/*////////////////////////////////////////////////////////////
// (C) Copyright 2002-2024 by Autodesk, Inc.
//
// The information contained herein is confidential, proprietary
// to Autodesk, Inc., and considered a trade secret as defined
// in section 499C of the penal code of the State of California.
// Use of this information by anyone other than authorized
// employees of Autodesk, Inc. is granted only under a written
// non-disclosure agreement, expressly prescribing the scope
// and manner of such use.
//////////////////////////////////////////////////////////////*/
/**
 * clm-hub-web - hub web ui and test harness
 * @version v1.9.1.416 
 */
function clicProtocolInterceptor(e,t,n){return{request:function(e){return/i18n|uib|\.html/.test(e.url)||n.debug("[WebUI->Service] Sending "+JSON.stringify(e)),e},requestError:function(t){return n.error("[WebUI->Service] Error when sending "+JSON.stringify(t)),e.reject(t)},response:function(e){var r=e.headers()["x-clic-location"];return r?(n.debug("[Service->WebUI] Redirect to "+r+" by response header x-clic-location"),t.location.href=r):/i18n|uib|\.html/.test(e.config.url)||n.debug("[Service->WebUI] Received "+JSON.stringify(e)),e},responseError:function(r){var i=r.headers()["x-clic-location"];return n.error("[Service->WebUI] Error response received! "+JSON.stringify(r)),i&&(n.debug("[Service->WebUI] Redirect to "+i+" by Error response header x-clic-location"),t.location.href=i),e.reject(r)}}}function loggerIframeHandler(){var e=document.createElement("iframe");return e.style="display:none;",e.width=0,e.height=0,e.id="logger-iframe",document.getElementById("logger-iframe")?e=document.getElementById("logger-iframe"):document.body.appendChild(e),e}function sendLogMsg(e){var t,n,r=2048,i="clic://logger?msg=",a=i.length,o=r-a,s=!0;if(/Trident/.test(navigator.userAgent)&&!/compatible/.test(navigator.userAgent)&&(s=!1),s){for(t=loggerIframeHandler(),n=window.encodeURIComponent(e);n.length>=o;)t.src=i+n.substring(0,o),n=n.substring(o);t.src=i+n}}function clicAppConfig(e,t,n,r,i){var a=r.$get(),o=(a.location.search.match(/locale=([a-z][a-z][-|_][A-Z][A-Z])/)||[])[1]||"en-US";o=o.replace("_","-"),n.interceptors.push("clicProtocolInterceptor"),/Trident/.test(navigator.userAgent)&&(n.defaults.headers.get||(n.defaults.headers.get={}),n.defaults.headers.get["Cache-Control"]="no-cache",n.defaults.headers.get.Pragma="no-cache"),t.useStaticFilesLoader({prefix:"i18n/clmres-",suffix:".json?cacheBuster=1.9.1.416"}),t.useMessageFormatInterpolation(),t.useSanitizeValueStrategy(null),t.preferredLanguage(o).fallbackLanguage("en-US"),e.decorator("$log",["$delegate",function(e){var t=e.debug,n=e.info,r=e.error,i=function(e){return("0"+e).slice(-2)},o=function(){var e=new Date;return e.getFullYear()+"-"+i(e.getMonth()+1)+"-"+i(e.getDate())+" "+i(e.getHours())+":"+i(e.getMinutes())+":"+i(e.getSeconds())+"."+e.getMilliseconds()};return e.debug=function(n){n=o()+" | Debug | "+n,/logLevel=debug/.test(a.location.href)&&sendLogMsg(n),t.apply(e,arguments)},e.info=function(t){t=o()+" | info | "+t,sendLogMsg(t),n.apply(e,arguments)},e.error=function(t){t=o()+" | Error | "+t,sendLogMsg(t),r.apply(e,arguments)},e}]),/logLevel=debug/.test(a.location.href)?i.debugEnabled(!0):i.debugEnabled(!1)}!function(e){"use strict";function t(e){if(!y(e))return $r;$(e.objectMaxDepth)&&($r.objectMaxDepth=n(e.objectMaxDepth)?e.objectMaxDepth:NaN),$(e.urlErrorParamsEnabled)&&A(e.urlErrorParamsEnabled)&&($r.urlErrorParamsEnabled=e.urlErrorParamsEnabled)}function n(e){return k(e)&&0<e}function r(e,t){return t=t||Error,function(){var n,r=arguments[0];for(n="["+(e?e+":":"")+r+"] http://errors.angularjs.org/1.8.2/"+(e?e+"/":"")+r,r=1;r<arguments.length;r++){n=n+(1==r?"?":"&")+"p"+(r-1)+"=";var i,a=encodeURIComponent;i=arguments[r],i="function"==typeof i?i.toString().replace(/ \{[\s\S]*$/,""):void 0===i?"undefined":"string"!=typeof i?JSON.stringify(i):i,n+=a(i)}return new t(n)}}function i(e){if(null==e||T(e))return!1;if(C(e)||M(e)||gr&&e instanceof gr)return!0;var t="length"in Object(e)&&e.length;return k(t)&&(0<=t&&t-1 in e||"function"==typeof e.item)}function a(e,t,n){var r,o;if(e)if(D(e))for(r in e)"prototype"!==r&&"length"!==r&&"name"!==r&&e.hasOwnProperty(r)&&t.call(n,e[r],r,e);else if(C(e)||i(e)){var s="object"!=typeof e;for(r=0,o=e.length;r<o;r++)(s||r in e)&&t.call(n,e[r],r,e)}else if(e.forEach&&e.forEach!==a)e.forEach(t,n,e);else if(w(e))for(r in e)t.call(n,e[r],r,e);else if("function"==typeof e.hasOwnProperty)for(r in e)e.hasOwnProperty(r)&&t.call(n,e[r],r,e);else for(r in e)wr.call(e,r)&&t.call(n,e[r],r,e);return e}function o(e,t,n){for(var r=Object.keys(e).sort(),i=0;i<r.length;i++)t.call(n,e[r[i]],r[i]);return r}function s(e){return function(t,n){e(n,t)}}function l(){return++Ar}function u(e,t,n){for(var r=e.$$hashKey,i=0,a=t.length;i<a;++i){var o=t[i];if(y(o)||D(o))for(var s=Object.keys(o),l=0,c=s.length;l<c;l++){var p=s[l],d=o[p];n&&y(d)?E(d)?e[p]=new Date(d.valueOf()):S(d)?e[p]=new RegExp(d):d.nodeName?e[p]=d.cloneNode(!0):I(d)?e[p]=d.clone():"__proto__"!==p&&(y(e[p])||(e[p]=C(d)?[]:{}),u(e[p],[d],!0)):e[p]=d}}return r?e.$$hashKey=r:delete e.$$hashKey,e}function c(e){return u(e,Er.call(arguments,1),!1)}function p(e){return u(e,Er.call(arguments,1),!0)}function d(e){return parseInt(e,10)}function f(e,t){return c(Object.create(e),t)}function h(){}function m(e){return e}function g(e){return function(){return e}}function v(e){return D(e.toString)&&e.toString!==Dr}function b(e){return void 0===e}function $(e){return void 0!==e}function y(e){return null!==e&&"object"==typeof e}function w(e){return null!==e&&"object"==typeof e&&!Sr(e)}function M(e){return"string"==typeof e}function k(e){return"number"==typeof e}function E(e){return"[object Date]"===Dr.call(e)}function C(e){return Array.isArray(e)||e instanceof Array}function x(e){switch(Dr.call(e)){case"[object Error]":case"[object Exception]":case"[object DOMException]":return!0;default:return e instanceof Error}}function D(e){return"function"==typeof e}function S(e){return"[object RegExp]"===Dr.call(e)}function T(e){return e&&e.window===e}function O(e){return e&&e.$evalAsync&&e.$watch}function A(e){return"boolean"==typeof e}function P(e){return e&&k(e.length)&&Ir.test(Dr.call(e))}function I(e){return!(!e||!(e.nodeName||e.prop&&e.attr&&e.find))}function N(e){var t={};e=e.split(",");var n;for(n=0;n<e.length;n++)t[e[n]]=!0;return t}function L(e){return Mr(e.nodeName||e[0]&&e[0].nodeName)}function U(e,t){var n=e.indexOf(t);return 0<=n&&e.splice(n,1),n}function F(e,t,r){function i(e,t,n){if(0>--n)return"...";var r,i=t.$$hashKey;if(C(e)){r=0;for(var a=e.length;r<a;r++)t.push(o(e[r],n))}else if(w(e))for(r in e)t[r]=o(e[r],n);else if(e&&"function"==typeof e.hasOwnProperty)for(r in e)e.hasOwnProperty(r)&&(t[r]=o(e[r],n));else for(r in e)wr.call(e,r)&&(t[r]=o(e[r],n));return i?t.$$hashKey=i:delete t.$$hashKey,t}function o(e,t){if(!y(e))return e;var n=l.indexOf(e);if(-1!==n)return u[n];if(T(e)||O(e))throw Tr("cpws");var n=!1,r=s(e);return void 0===r&&(r=C(e)?[]:Object.create(Sr(e)),n=!0),l.push(e),u.push(r),n?i(e,r,t):r}function s(e){switch(Dr.call(e)){case"[object Int8Array]":case"[object Int16Array]":case"[object Int32Array]":case"[object Float32Array]":case"[object Float64Array]":case"[object Uint8Array]":case"[object Uint8ClampedArray]":case"[object Uint16Array]":case"[object Uint32Array]":return new e.constructor(o(e.buffer),e.byteOffset,e.length);case"[object ArrayBuffer]":if(!e.slice){var t=new ArrayBuffer(e.byteLength);return new Uint8Array(t).set(new Uint8Array(e)),t}return e.slice(0);case"[object Boolean]":case"[object Number]":case"[object String]":case"[object Date]":return new e.constructor(e.valueOf());case"[object RegExp]":return t=new RegExp(e.source,e.toString().match(/[^\/]*$/)[0]),t.lastIndex=e.lastIndex,t;case"[object Blob]":return new e.constructor([e],{type:e.type})}if(D(e.cloneNode))return e.cloneNode(!0)}var l=[],u=[];if(r=n(r)?r:NaN,t){if(P(t)||"[object ArrayBuffer]"===Dr.call(t))throw Tr("cpta");if(e===t)throw Tr("cpi");return C(t)?t.length=0:a(t,function(e,n){"$$hashKey"!==n&&delete t[n]}),l.push(e),u.push(t),i(e,t,r)}return o(e,r)}function R(e,t){return e===t||e!==e&&t!==t}function H(e,t){if(e===t)return!0;if(null===e||null===t)return!1;if(e!==e&&t!==t)return!0;var n,r=typeof e;if(r===typeof t&&"object"===r){if(!C(e)){if(E(e))return!!E(t)&&R(e.getTime(),t.getTime());if(S(e))return!!S(t)&&e.toString()===t.toString();if(O(e)||O(t)||T(e)||T(t)||C(t)||E(t)||S(t))return!1;r=fe();for(n in e)if("$"!==n.charAt(0)&&!D(e[n])){if(!H(e[n],t[n]))return!1;r[n]=!0}for(n in t)if(!(n in r)&&"$"!==n.charAt(0)&&$(t[n])&&!D(t[n]))return!1;return!0}if(!C(t))return!1;if((r=e.length)===t.length){for(n=0;n<r;n++)if(!H(e[n],t[n]))return!1;return!0}}return!1}function j(e,t,n){return e.concat(Er.call(t,n))}function z(e,t){var n=2<arguments.length?Er.call(arguments,2):[];return!D(t)||t instanceof RegExp?t:n.length?function(){return arguments.length?t.apply(e,j(n,arguments,0)):t.apply(e,n)}:function(){return arguments.length?t.apply(e,arguments):t.call(e)}}function V(t,n){var r=n;return"string"==typeof t&&"$"===t.charAt(0)&&"$"===t.charAt(1)?r=void 0:T(n)?r="$WINDOW":n&&e.document===n?r="$DOCUMENT":O(n)&&(r="$SCOPE"),r}function _(e,t){if(!b(e))return k(t)||(t=t?2:null),JSON.stringify(e,V,t)}function B(e){return M(e)?JSON.parse(e):e}function q(e,t){e=e.replace(Rr,"");var n=Date.parse("Jan 01, 1970 00:00:00 "+e)/6e4;return Pr(n)?t:n}function W(e,t){return e=new Date(e.getTime()),e.setMinutes(e.getMinutes()+t),e}function G(e,t,n){n=n?-1:1;var r=e.getTimezoneOffset();return t=q(t,r),W(e,n*(t-r))}function Y(e){e=gr(e).clone().empty();var t=gr("<div></div>").append(e).html();try{return e[0].nodeType===_r?Mr(t):t.match(/^(<[^>]+>)/)[1].replace(/^<([\w-]+)/,function(e,t){return"<"+Mr(t)})}catch(e){return Mr(t)}}function Q(e){try{return decodeURIComponent(e)}catch(e){}}function K(e){var t={};return a((e||"").split("&"),function(e){var n,r,i;e&&(r=e=e.replace(/\+/g,"%20"),n=e.indexOf("="),-1!==n&&(r=e.substring(0,n),i=e.substring(n+1)),r=Q(r),$(r)&&(i=!$(i)||Q(i),wr.call(t,r)?C(t[r])?t[r].push(i):t[r]=[t[r],i]:t[r]=i))}),t}function X(e){var t=[];return a(e,function(e,n){C(e)?a(e,function(e){t.push(J(n,!0)+(!0===e?"":"="+J(e,!0)))}):t.push(J(n,!0)+(!0===e?"":"="+J(e,!0)))}),t.length?t.join("&"):""}function Z(e){return J(e,!0).replace(/%26/gi,"&").replace(/%3D/gi,"=").replace(/%2B/gi,"+")}function J(e,t){return encodeURIComponent(e).replace(/%40/gi,"@").replace(/%3A/gi,":").replace(/%24/g,"$").replace(/%2C/gi,",").replace(/%3B/gi,";").replace(/%20/g,t?"%20":"+")}function ee(e,t){var n,r,i=Hr.length;for(r=0;r<i;++r)if(n=Hr[r]+t,M(n=e.getAttribute(n)))return n;return null}function te(t,n){var r,i,o={};a(Hr,function(e){e+="app",!r&&t.hasAttribute&&t.hasAttribute(e)&&(r=t,i=t.getAttribute(e))}),a(Hr,function(e){e+="app";var n;!r&&(n=t.querySelector("["+e.replace(":","\\:")+"]"))&&(r=n,i=n.getAttribute(e))}),r&&(jr?(o.strictDi=null!==ee(r,"strict-di"),n(r,i?[i]:[],o)):e.console.error("AngularJS: disabling automatic bootstrap. <script> protocol indicates an extension, document.location.href does not match."))}function ne(t,n,r){y(r)||(r={}),r=c({strictDi:!1},r);var i=function(){if(t=gr(t),t.injector()){var i=t[0]===e.document?"document":Y(t);throw Tr("btstrpd",i.replace(/</,"&lt;").replace(/>/,"&gt;"))}return n=n||[],n.unshift(["$provide",function(e){e.value("$rootElement",t)}]),r.debugInfoEnabled&&n.push(["$compileProvider",function(e){e.debugInfoEnabled(!0)}]),n.unshift("ng"),i=Xe(n,r.strictDi),i.invoke(["$rootScope","$rootElement","$compile","$injector",function(e,t,n,r){e.$apply(function(){t.data("$injector",r),n(t)(e)})}]),i},o=/^NG_ENABLE_DEBUG_INFO!/,s=/^NG_DEFER_BOOTSTRAP!/;if(e&&o.test(e.name)&&(r.debugInfoEnabled=!0,e.name=e.name.replace(o,"")),e&&!s.test(e.name))return i();e.name=e.name.replace(s,""),Or.resumeBootstrap=function(e){return a(e,function(e){n.push(e)}),i()},D(Or.resumeDeferredBootstrap)&&Or.resumeDeferredBootstrap()}function re(){e.name="NG_ENABLE_DEBUG_INFO!"+e.name,e.location.reload()}function ie(e){if(!(e=Or.element(e).injector()))throw Tr("test");return e.get("$$testability")}function ae(e,t){return t=t||"_",e.replace(zr,function(e,n){return(n?t:"")+e.toLowerCase()})}function oe(){var t;if(!Vr){var n=Fr();(vr=b(n)?e.jQuery:n?e[n]:void 0)&&vr.fn.on?(gr=vr,c(vr.fn,{scope:si.scope,isolateScope:si.isolateScope,controller:si.controller,injector:si.injector,inheritedData:si.inheritedData})):gr=ke,t=gr.cleanData,gr.cleanData=function(e){for(var n,r,i=0;null!=(r=e[i]);i++)(n=(gr._data(r)||{}).events)&&n.$destroy&&gr(r).triggerHandler("$destroy");t(e)},Or.element=gr,Vr=!0}}function se(){ke.legacyXHTMLReplacement=!0}function le(e,t,n){if(!e)throw Tr("areq",t||"?",n||"required");return e}function ue(e,t,n){return n&&C(e)&&(e=e[e.length-1]),le(D(e),t,"not a function, got "+(e&&"object"==typeof e?e.constructor.name||"Object":typeof e)),e}function ce(e,t){if("hasOwnProperty"===e)throw Tr("badname",t)}function pe(e,t,n){if(!t)return e;t=t.split(".");for(var r,i=e,a=t.length,o=0;o<a;o++)r=t[o],e&&(e=(i=e)[r]);return!n&&D(e)?z(i,e):e}function de(e){for(var t,n=e[0],r=e[e.length-1],i=1;n!==r&&(n=n.nextSibling);i++)(t||e[i]!==n)&&(t||(t=gr(Er.call(e,0,i))),t.push(n));return t||e}function fe(){return Object.create(null)}function he(e){if(null==e)return"";switch(typeof e){case"string":break;case"number":e=""+e;break;default:e=!v(e)||C(e)||E(e)?_(e):e.toString()}return e}function me(e){function t(e,t,n){return e[t]||(e[t]=n())}var n=r("$injector"),i=r("ng");return e=t(e,"angular",Object),e.$$minErr=e.$$minErr||r,t(e,"module",function(){var e={};return function(r,a,o){var s={};if("hasOwnProperty"===r)throw i("badname","module");return a&&e.hasOwnProperty(r)&&(e[r]=null),t(e,r,function(){function e(e,t,n,r){return r||(r=l),function(){return r[n||"push"]([e,t,arguments]),d}}function t(e,t,n){return n||(n=l),function(i,a){return a&&D(a)&&(a.$$moduleName=r),n.push([e,t,arguments]),d}}if(!a)throw n("nomod",r);var l=[],u=[],c=[],p=e("$injector","invoke","push",u),d={_invokeQueue:l,_configBlocks:u,_runBlocks:c,info:function(e){if($(e)){if(!y(e))throw i("aobj","value");return s=e,this}return s},requires:a,name:r,provider:t("$provide","provider"),factory:t("$provide","factory"),service:t("$provide","service"),value:e("$provide","value"),constant:e("$provide","constant","unshift"),decorator:t("$provide","decorator",u),animation:t("$animateProvider","register"),filter:t("$filterProvider","register"),controller:t("$controllerProvider","register"),directive:t("$compileProvider","directive"),component:t("$compileProvider","component"),config:p,run:function(e){return c.push(e),this}};return o&&p(o),d})}})}function ge(e,t){if(C(e)){t=t||[];for(var n=0,r=e.length;n<r;n++)t[n]=e[n]}else if(y(e))for(n in t=t||{},e)"$"===n.charAt(0)&&"$"===n.charAt(1)||(t[n]=e[n]);return t||e}function ve(e,t){var r=[];return n(t)&&(e=Or.copy(e,null,t)),JSON.stringify(e,function(e,t){if(t=V(e,t),y(t)){if(0<=r.indexOf(t))return"...";r.push(t)}return t})}function be(n){c(n,{errorHandlingConfig:t,bootstrap:ne,copy:F,extend:c,merge:p,equals:H,element:gr,forEach:a,injector:Xe,noop:h,bind:z,toJson:_,fromJson:B,identity:m,isUndefined:b,isDefined:$,isString:M,isFunction:D,isObject:y,isNumber:k,isElement:I,isArray:C,version:Br,isDate:E,callbacks:{$$counter:0},getTestability:ie,reloadWithDebugInfo:re,UNSAFE_restoreLegacyJqLiteXHTMLReplacement:se,$$minErr:r,$$csp:Ur,$$encodeUriSegment:Z,$$encodeUriQuery:J,$$lowercase:Mr,$$stringify:he,$$uppercase:kr}),br=me(e),br("ng",["ngLocale"],["$provide",function(e){e.provider({$$sanitizeUri:sn}),e.provider("$compile",ot).directive({a:ba,input:La,textarea:La,form:Ma,script:Do,select:Oo,option:Ao,ngBind:Ha,ngBindHtml:za,ngBindTemplate:ja,ngClass:_a,ngClassEven:qa,ngClassOdd:Ba,ngCloak:Wa,ngController:Ga,ngForm:ka,ngHide:yo,ngIf:Ka,ngInclude:Xa,ngInit:Ja,ngNonBindable:co,ngPluralize:mo,ngRef:vo,ngRepeat:bo,ngShow:$o,ngStyle:wo,ngSwitch:Mo,ngSwitchWhen:ko,ngSwitchDefault:Eo,ngOptions:ho,ngTransclude:xo,ngModel:so,ngList:eo,ngChange:Va,pattern:Io,ngPattern:Io,required:Po,ngRequired:Po,minlength:Lo,ngMinlength:Lo,maxlength:No,ngMaxlength:No,ngValue:Ra,ngModelOptions:uo}).directive({ngInclude:Za,input:Ua}).directive($a).directive(Ya),e.provider({$anchorScroll:Ze,$animate:ki,$animateCss:xi,$$animateJs:wi,$$animateQueue:Mi,$$AnimateRunner:Ci,$$animateAsyncRun:Ei,$browser:rt,$cacheFactory:it,$controller:dt,$document:ft,$$isDocumentHidden:ht,$exceptionHandler:mt,$filter:En,$$forceReflow:Ii,$interpolate:Dt,$interval:St,$$intervalFactory:Tt,$http:kt,$httpParamSerializer:vt,$httpParamSerializerJQLike:bt,$httpBackend:Ct,$xhrFactory:Et,$jsonpCallbacks:Vi,$location:jt,$log:zt,$parse:en,$rootScope:on,$q:tn,$$q:nn,$sce:pn,$sceDelegate:cn,$sniffer:dn,$$taskTrackerFactory:fn,$templateCache:at,$templateRequest:mn,$$testability:gn,$timeout:vn,$window:wn,$$rAF:an,$$jqLite:We,$$Map:fi,$$cookieReader:kn})}]).info({angularVersion:"1.8.2"})}function $e(e,t){return t.toUpperCase()}function ye(e){return e.replace(Gr,$e)}function we(e){return 1===(e=e.nodeType)||!e||9===e}function Me(t,n){var r,i,o,s,l=n.createDocumentFragment(),u=[];if(Zr.test(t)){if(r=l.appendChild(n.createElement("div")),i=(Jr.exec(t)||["",""])[1].toLowerCase(),o=ke.legacyXHTMLReplacement?t.replace(ei,"<$1></$2>"):t,10>mr)for(i=ri[i]||ri._default,r.innerHTML=i[1]+o+i[2],s=i[0];s--;)r=r.firstChild;else{for(i=ti[i]||[],s=i.length;-1<--s;)r.appendChild(e.document.createElement(i[s])),r=r.firstChild;r.innerHTML=o}u=j(u,r.childNodes),r=l.firstChild,r.textContent=""}else u.push(n.createTextNode(t));return l.textContent="",l.innerHTML="",a(u,function(e){l.appendChild(e)}),l}function ke(t){if(t instanceof ke)return t;var n;if(M(t)&&(t=Nr(t),n=!0),!(this instanceof ke)){if(n&&"<"!==t.charAt(0))throw Kr("nosel");return new ke(t)}if(n){n=e.document;var r;t=(r=Xr.exec(t))?[n.createElement(r[1])]:(r=Me(t,n))?r.childNodes:[],Le(this,t)}else D(t)?ze(t):Le(this,t)}function Ee(e){return e.cloneNode(!0)}function Ce(e,t){!t&&we(e)&&gr.cleanData([e]),e.querySelectorAll&&gr.cleanData(e.querySelectorAll("*"))}function xe(e){for(var t in e)return!1;return!0}function De(e){var t=e.ng339,n=t&&qr[t],r=n&&n.events,n=n&&n.data;n&&!xe(n)||r&&!xe(r)||(delete qr[t],e.ng339=void 0)}function Se(e,t,n,r){if($(r))throw Kr("offargs");var i=(r=Oe(e))&&r.events,o=r&&r.handle;if(o){if(t){var s=function(t){var r=i[t];$(n)&&U(r||[],n),$(n)&&r&&0<r.length||(e.removeEventListener(t,o),delete i[t])};a(t.split(" "),function(e){s(e),Qr[e]&&s(Qr[e])})}else for(t in i)"$destroy"!==t&&e.removeEventListener(t,o),delete i[t];De(e)}}function Te(e,t){var n=e.ng339;(n=n&&qr[n])&&(t?delete n.data[t]:n.data={},De(e))}function Oe(e,t){var n=e.ng339,n=n&&qr[n];return t&&!n&&(e.ng339=n=++Wr,n=qr[n]={events:{},data:{},handle:void 0}),n}function Ae(e,t,n){if(we(e)){var r,i=$(n),a=!i&&t&&!y(t),o=!t;if(e=(e=Oe(e,!a))&&e.data,i)e[ye(t)]=n;else{if(o)return e;if(a)return e&&e[ye(t)];for(r in t)e[ye(r)]=t[r]}}}function Pe(e,t){return!!e.getAttribute&&-1<(" "+(e.getAttribute("class")||"")+" ").replace(/[\n\t]/g," ").indexOf(" "+t+" ")}function Ie(e,t){if(t&&e.setAttribute){var n=(" "+(e.getAttribute("class")||"")+" ").replace(/[\n\t]/g," "),r=n;a(t.split(" "),function(e){e=Nr(e),r=r.replace(" "+e+" "," ")}),r!==n&&e.setAttribute("class",Nr(r))}}function Ne(e,t){if(t&&e.setAttribute){var n=(" "+(e.getAttribute("class")||"")+" ").replace(/[\n\t]/g," "),r=n;a(t.split(" "),function(e){e=Nr(e),-1===r.indexOf(" "+e+" ")&&(r+=e+" ")}),r!==n&&e.setAttribute("class",Nr(r))}}function Le(e,t){if(t)if(t.nodeType)e[e.length++]=t;else{var n=t.length;if("number"==typeof n&&t.window!==t){if(n)for(var r=0;r<n;r++)e[e.length++]=t[r]}else e[e.length++]=t}}function Ue(e,t){return Fe(e,"$"+(t||"ngController")+"Controller")}function Fe(e,t,n){for(9===e.nodeType&&(e=e.documentElement),t=C(t)?t:[t];e;){for(var r=0,i=t.length;r<i;r++)if($(n=gr.data(e,t[r])))return n;e=e.parentNode||11===e.nodeType&&e.host}}function Re(e){for(Ce(e,!0);e.firstChild;)e.removeChild(e.firstChild)}function He(e,t){t||Ce(e);var n=e.parentNode;n&&n.removeChild(e)}function je(t,n){n=n||e,"complete"===n.document.readyState?n.setTimeout(t):gr(n).on("load",t)}function ze(t){function n(){e.document.removeEventListener("DOMContentLoaded",n),e.removeEventListener("load",n),t()}"complete"===e.document.readyState?e.setTimeout(t):(e.document.addEventListener("DOMContentLoaded",n),e.addEventListener("load",n))}function Ve(e,t){var n=li[t.toLowerCase()];return n&&ui[L(e)]&&n}function _e(e,t){var n=function(n,r){n.isDefaultPrevented=function(){return n.defaultPrevented};var i=t[r||n.type],a=i?i.length:0;if(a){if(b(n.immediatePropagationStopped)){var o=n.stopImmediatePropagation;n.stopImmediatePropagation=function(){n.immediatePropagationStopped=!0,n.stopPropagation&&n.stopPropagation(),o&&o.call(n)}}n.isImmediatePropagationStopped=function(){return!0===n.immediatePropagationStopped};var s=i.specialHandlerWrapper||Be;1<a&&(i=ge(i));for(var l=0;l<a;l++)n.isImmediatePropagationStopped()||s(e,n,i[l])}};return n.elem=e,n}function Be(e,t,n){n.call(e,t)}function qe(e,t,n){var r=t.relatedTarget;r&&(r===e||oi.call(e,r))||n.call(e,t)}function We(){this.$get=function(){return c(ke,{hasClass:function(e,t){return e.attr&&(e=e[0]),Pe(e,t)},addClass:function(e,t){return e.attr&&(e=e[0]),Ne(e,t)},removeClass:function(e,t){return e.attr&&(e=e[0]),Ie(e,t)}})}}function Ge(e,t){var n=e&&e.$$hashKey;return n?("function"==typeof n&&(n=e.$$hashKey()),n):(n=typeof e,n="function"===n||"object"===n&&null!==e?e.$$hashKey=n+":"+(t||l)():n+":"+e)}function Ye(){this._keys=[],this._values=[],this._lastKey=NaN,this._lastIndex=-1}function Qe(e){return e=Function.prototype.toString.call(e).replace(bi,""),e.match(hi)||e.match(mi)}function Ke(e){return(e=Qe(e))?"function("+(e[1]||"").replace(/[\s\r\n]+/," ")+")":"fn"}function Xe(e,t){function n(e){return function(t,n){if(!y(t))return e(t,n);a(t,s(e))}}function r(e,t){if(ce(e,"service"),(D(t)||C(t))&&(t=h.instantiate(t)),!t.$get)throw $i("pget",e);return f[e+"Provider"]=t}function i(e,t){return function(){var n=$.invoke(t,this);if(b(n))throw $i("undef",e);return n}}function o(e,t,n){return r(e,{$get:!1!==n?i(e,t):t})}function l(e){le(b(e)||C(e),"modulesToLoad","not an array");var t,n=[];return a(e,function(e){function r(e){var t,n;for(t=0,n=e.length;t<n;t++){var r=e[t],i=h.get(r[0]);i[r[1]].apply(i,r[2])}}if(!d.get(e)){d.set(e,!0);try{M(e)?(t=br(e),$.modules[e]=t,n=n.concat(l(t.requires)).concat(t._runBlocks),r(t._invokeQueue),r(t._configBlocks)):D(e)?n.push(h.invoke(e)):C(e)?n.push(h.invoke(e)):ue(e,"module")}catch(t){throw C(e)&&(e=e[e.length-1]),t.message&&t.stack&&-1===t.stack.indexOf(t.message)&&(t=t.message+"\n"+t.stack),$i("modulerr",e,t.stack||t.message||t)}}}),n}function u(e,n){function r(t,r){if(e.hasOwnProperty(t)){if(e[t]===c)throw $i("cdep",t+" <- "+p.join(" <- "));return e[t]}try{return p.unshift(t),e[t]=c,e[t]=n(t,r),e[t]}catch(n){throw e[t]===c&&delete e[t],n}finally{p.shift()}}function i(e,n,i){var a=[];e=Xe.$$annotate(e,t,i);for(var o=0,s=e.length;o<s;o++){var l=e[o];if("string"!=typeof l)throw $i("itkn",l);a.push(n&&n.hasOwnProperty(l)?n[l]:r(l,i))}return a}return{invoke:function(e,t,n,r){if("string"==typeof n&&(r=n,n=null),n=i(e,n,r),C(e)&&(e=e[e.length-1]),r=e,mr||"function"!=typeof r)r=!1;else{var a=r.$$ngIsClass;A(a)||(a=r.$$ngIsClass=/^class\b/.test(Function.prototype.toString.call(r))),r=a}return r?(n.unshift(null),new(Function.prototype.bind.apply(e,n))):e.apply(t,n)},instantiate:function(e,t,n){var r=C(e)?e[e.length-1]:e;return e=i(e,t,n),e.unshift(null),new(Function.prototype.bind.apply(r,e))},get:r,annotate:Xe.$$annotate,has:function(t){return f.hasOwnProperty(t+"Provider")||e.hasOwnProperty(t)}}}t=!0===t;var c={},p=[],d=new di,f={$provide:{provider:n(r),factory:n(o),service:n(function(e,t){return o(e,["$injector",function(e){return e.instantiate(t)}])}),value:n(function(e,t){return o(e,g(t),!1)}),constant:n(function(e,t){ce(e,"constant"),f[e]=t,m[e]=t}),decorator:function(e,t){var n=h.get(e+"Provider"),r=n.$get;n.$get=function(){var e=$.invoke(r,n);return $.invoke(t,null,{$delegate:e})}}}},h=f.$injector=u(f,function(e,t){throw Or.isString(t)&&p.push(t),$i("unpr",p.join(" <- "))}),m={},v=u(m,function(e,t){var n=h.get(e+"Provider",t);return $.invoke(n.$get,n,void 0,e)}),$=v;f.$injectorProvider={$get:g(v)},$.modules=h.modules=fe();var w=l(e),$=v.get("$injector");return $.strictDi=t,a(w,function(e){e&&$.invoke(e)}),$.loadNewModules=function(e){a(l(e),function(e){e&&$.invoke(e)})},$}function Ze(){var e=!0;this.disableAutoScrolling=function(){e=!1},this.$get=["$window","$location","$rootScope",function(t,n,r){function i(e){var t=null;return Array.prototype.some.call(e,function(e){if("a"===L(e))return t=e,!0}),t}function a(e){if(e){e.scrollIntoView();var n;n=o.yOffset,D(n)?n=n():I(n)?(n=n[0],n="fixed"!==t.getComputedStyle(n).position?0:n.getBoundingClientRect().bottom):k(n)||(n=0),n&&(e=e.getBoundingClientRect().top,t.scrollBy(0,e-n))}else t.scrollTo(0,0)}function o(e){e=M(e)?e:k(e)?e.toString():n.hash();var t;e?(t=s.getElementById(e))?a(t):(t=i(s.getElementsByName(e)))?a(t):"top"===e&&a(null):a(null)}var s=t.document;return e&&r.$watch(function(){return n.hash()},function(e,t){e===t&&""===e||je(function(){r.$evalAsync(o)})}),o}]}function Je(e,t){return e||t?e?t?(C(e)&&(e=e.join(" ")),C(t)&&(t=t.join(" ")),e+" "+t):e:t:""}function et(e){M(e)&&(e=e.split(" "));var t=fe();return a(e,function(e){e.length&&(t[e]=!0)}),t}function tt(e){return y(e)?e:{}}function nt(e,t,n,r,i){function o(){M=null,l()}function s(){v=k(),v=b(v)?null:v,H(v,x)&&(v=x),$=x=v}function l(){var e=$;s(),y===u.url()&&e===v||(y=u.url(),$=v,a(E,function(e){e(u.url(),v)}))}var u=this,c=e.location,p=e.history,d=e.setTimeout,f=e.clearTimeout,m={},g=i(n);u.isMock=!1,u.$$completeOutstandingRequest=g.completeTask,u.$$incOutstandingRequestCount=g.incTaskCount,u.notifyWhenNoOutstandingRequests=g.notifyWhenNoPendingTasks;var v,$,y=c.href,w=t.find("base"),M=null,k=r.history?function(){try{return p.state}catch(e){}}:h;s(),u.url=function(t,n,i){if(b(i)&&(i=null),c!==e.location&&(c=e.location),p!==e.history&&(p=e.history),t){var a=$===i;if(t=bn(t).href,y===t&&(!r.history||a))return u;var o=y&&Nt(y)===Nt(t);return y=t,$=i,!r.history||o&&a?(o||(M=t),n?c.replace(t):o?(n=c,i=t,a=i.indexOf("#"),i=-1===a?"":i.substr(a),n.hash=i):c.href=t,c.href!==t&&(M=t)):(p[n?"replaceState":"pushState"](i,"",t),s()),M&&(M=t),u}return(M||c.href).replace(/#$/,"")},u.state=function(){return v};var E=[],C=!1,x=null;u.onUrlChange=function(t){return C||(r.history&&gr(e).on("popstate",o),gr(e).on("hashchange",o),C=!0),E.push(t),t},u.$$applicationDestroyed=function(){gr(e).off("hashchange popstate",o)},u.$$checkUrlChange=l,u.baseHref=function(){var e=w.attr("href");return e?e.replace(/^(https?:)?\/\/[^\/]*/,""):""},u.defer=function(e,t,n){var r;return t=t||0,n=n||g.DEFAULT_TASK_TYPE,g.incTaskCount(n),r=d(function(){delete m[r],g.completeTask(e,n)},t),m[r]=n,r},u.defer.cancel=function(e){if(m.hasOwnProperty(e)){var t=m[e];return delete m[e],f(e),g.completeTask(h,t),!0}return!1}}function rt(){this.$get=["$window","$log","$sniffer","$document","$$taskTrackerFactory",function(e,t,n,r,i){return new nt(e,r,t,n,i)}]}function it(){this.$get=function(){function e(e,n){function i(e){e!==d&&(f?f===e&&(f=e.n):f=e,a(e.n,e.p),a(e,d),d=e,d.n=null)}function a(e,t){e!==t&&(e&&(e.p=t),t&&(t.n=e))}if(e in t)throw r("$cacheFactory")("iid",e);var o=0,s=c({},n,{id:e}),l=fe(),u=n&&n.capacity||Number.MAX_VALUE,p=fe(),d=null,f=null;return t[e]={put:function(e,t){if(!b(t)){if(u<Number.MAX_VALUE){i(p[e]||(p[e]={key:e}))}return e in l||o++,l[e]=t,o>u&&this.remove(f.key),t}},get:function(e){if(u<Number.MAX_VALUE){var t=p[e];if(!t)return;i(t)}return l[e]},remove:function(e){if(u<Number.MAX_VALUE){var t=p[e];if(!t)return;t===d&&(d=t.p),t===f&&(f=t.n),a(t.n,t.p),delete p[e]}e in l&&(delete l[e],o--)},removeAll:function(){l=fe(),o=0,p=fe(),d=f=null},destroy:function(){p=s=l=null,delete t[e]},info:function(){return c({},s,{size:o})}}}var t={};return e.info=function(){var e={};return a(t,function(t,n){e[n]=t.info()}),e},e.get=function(e){return t[e]},e}}function at(){this.$get=["$cacheFactory",function(e){return e("templates")}]}function ot(t,n){function r(e,t,n){var r=/^([@&]|[=<](\*?))(\??)\s*([\w$]*)$/,i=fe();return a(e,function(e,a){if((e=e.trim())in k)i[a]=k[e];else{var o=e.match(r);if(!o)throw Di("iscp",t,a,e,n?"controller bindings definition":"isolate scope definition");i[a]={mode:o[1][0],collection:"*"===o[2],optional:"?"===o[3],attrName:o[4]||a},o[4]&&(k[e]=i[a])}}),i}function i(e){var t=e.charAt(0);if(!t||t!==Mr(t))throw Di("baddir",e);if(e!==e.trim())throw Di("baddir",e)}function o(e){var t=e.require||e.controller&&e.name;return!C(t)&&y(t)&&a(t,function(e,n){var r=e.match(v);e.substring(r[0].length)||(t[n]=r[0]+n)}),t}var l={},u=/^\s*directive:\s*([\w-]+)\s+(.*)$/,p=/(([\w-]+)(?::([^;]+))?;?)/,d=N("ngSrc,ngSrcset,src,srcset"),v=/^(?:(\^\^?)?(\?)?(\^\^?)?)?/,w=/^(on[a-z]+|formaction)$/,k=fe();this.directive=function e(n,r){return le(n,"name"),ce(n,"directive"),M(n)?(i(n),le(r,"directiveFactory"),l.hasOwnProperty(n)||(l[n]=[],t.factory(n+"Directive",["$injector","$exceptionHandler",function(e,t){var r=[];return a(l[n],function(i,a){try{var s=e.invoke(i);D(s)?s={compile:g(s)}:!s.compile&&s.link&&(s.compile=g(s.link)),s.priority=s.priority||0,s.index=a,s.name=s.name||n,s.require=o(s);var l=s,u=s.restrict;if(u&&(!M(u)||!/[EACM]/.test(u)))throw Di("badrestrict",u,n);l.restrict=u||"EA",s.$$moduleName=i.$$moduleName,r.push(s)}catch(e){t(e)}}),r}])),l[n].push(r)):a(n,s(e)),this},this.component=function e(t,n){function r(e){function t(t){return D(t)||C(t)?function(n,r){return e.invoke(t,this,{$element:n,$attrs:r})}:t}var r=n.template||n.templateUrl?n.template:"",o={controller:i,controllerAs:pt(n.controller)||n.controllerAs||"$ctrl",template:t(r),templateUrl:t(n.templateUrl),transclude:n.transclude,scope:{},bindToController:n.bindings||{},restrict:"E",require:n.require};return a(n,function(e,t){"$"===t.charAt(0)&&(o[t]=e)}),o}if(!M(t))return a(t,s(z(this,e))),this;var i=n.controller||function(){};return a(n,function(e,t){"$"===t.charAt(0)&&(r[t]=e,D(i)&&(i[t]=e))}),r.$inject=["$injector"],this.directive(t,r)},this.aHrefSanitizationTrustedUrlList=function(e){return $(e)?(n.aHrefSanitizationTrustedUrlList(e),this):n.aHrefSanitizationTrustedUrlList()},Object.defineProperty(this,"aHrefSanitizationWhitelist",{get:function(){return this.aHrefSanitizationTrustedUrlList},set:function(e){this.aHrefSanitizationTrustedUrlList=e}}),this.imgSrcSanitizationTrustedUrlList=function(e){return $(e)?(n.imgSrcSanitizationTrustedUrlList(e),this):n.imgSrcSanitizationTrustedUrlList()},Object.defineProperty(this,"imgSrcSanitizationWhitelist",{get:function(){return this.imgSrcSanitizationTrustedUrlList},set:function(e){this.imgSrcSanitizationTrustedUrlList=e}});var E=!0;this.debugInfoEnabled=function(e){return $(e)?(E=e,this):E};var S=!1;this.strictComponentBindingsEnabled=function(e){return $(e)?(S=e,this):S};var T=10;this.onChangesTtl=function(e){return arguments.length?(T=e,this):T};var P=!0;this.commentDirectivesEnabled=function(e){return arguments.length?(P=e,this):P};var I=!0;this.cssClassDirectivesEnabled=function(e){return arguments.length?(I=e,this):I};var F=fe();this.addPropertySecurityContext=function(e,t,n){var r=e.toLowerCase()+"|"+t.toLowerCase();if(r in F&&F[r]!==n)throw Di("ctxoverride",e,t,F[r],n);return F[r]=n,this},function(){function e(e,t){a(t,function(t){F[t.toLowerCase()]=e})}e(ra.HTML,["iframe|srcdoc","*|innerHTML","*|outerHTML"]),e(ra.CSS,["*|style"]),e(ra.URL,"area|href area|ping a|href a|ping blockquote|cite body|background del|cite input|src ins|cite q|cite".split(" ")),e(ra.MEDIA_URL,"audio|src img|src img|srcset source|src source|srcset track|src video|src video|poster".split(" ")),e(ra.RESOURCE_URL,"*|formAction applet|code applet|codebase base|href embed|src frame|src form|action head|profile html|manifest iframe|src link|href media|src object|codebase object|data script|src".split(" "))}(),this.$get=["$injector","$interpolate","$exceptionHandler","$templateRequest","$parse","$controller","$rootScope","$sce","$animate",function(t,n,i,o,s,g,$,k,N){function j(){try{if(!--Ie)throw Se=void 0,Di("infchng",T);$.$apply(function(){for(var e=0,t=Se.length;e<t;++e)try{Se[e]()}catch(e){i(e)}Se=void 0})}finally{Ie++}}function V(e,t){if(!e)return e;if(!M(e))throw Di("srcset",t,e.toString());for(var n="",r=Nr(e),i=/(\s+\d+x\s*,|\s+\d+w\s*,|\s+,|,\s+)/,i=/\s/.test(r)?i:/(,)/,r=r.split(i),i=Math.floor(r.length/2),a=0;a<i;a++)var o=2*a,n=n+k.getTrustedMediaUrl(Nr(r[o])),n=n+" "+Nr(r[o+1]);return r=Nr(r[2*a]).split(/\s/),n+=k.getTrustedMediaUrl(Nr(r[0])),2===r.length&&(n+=" "+Nr(r[1])),n}function _(e,t){if(t){var n,r,i,a=Object.keys(t);for(n=0,r=a.length;n<r;n++)i=a[n],this[i]=t[i]}else this.$attr={};this.$$element=e}function B(e,t,n){Oe.innerHTML="<span "+t+">",t=Oe.firstChild.attributes;var r=t[0];t.removeNamedItem(r.name),r.value=n,e.attributes.setNamedItem(r)}function q(e,t){try{e.addClass(t)}catch(e){}}function W(e,t,n,r,i){e instanceof gr||(e=gr(e));var a=G(e,t,e,n,r,i);W.$$addScopeClass(e);var o=null;return function(t,n,r){if(!e)throw Di("multilink");le(t,"scope"),i&&i.needsNewScope&&(t=t.$parent.$new()),r=r||{};var s=r.parentBoundTranscludeFn,l=r.transcludeControllers;if(r=r.futureParentElement,s&&s.$$boundTransclude&&(s=s.$$boundTransclude),o||(o=(r=r&&r[0])&&"foreignobject"!==L(r)&&Dr.call(r).match(/SVG/)?"svg":"html"),r="html"!==o?gr(ge(o,gr("<div></div>").append(e).html())):n?si.clone.call(e):e,l)for(var u in l)r.data("$"+u+"Controller",l[u].instance);return W.$$addScopeInfo(r,t),n&&n(r,t),a&&a(t,r,r,s),n||(e=a=null),r}}function G(e,t,n,r,i,a){function o(e,n,r,i){var a,o,s,l,u,c,f;if(p)for(f=Array(n.length),l=0;l<d.length;l+=3)a=d[l],f[a]=n[a];else f=n;for(l=0,u=d.length;l<u;)o=f[d[l++]],n=d[l++],a=d[l++],n?(n.scope?(s=e.$new(),W.$$addScopeInfo(gr(o),s)):s=e,c=n.transcludeOnThisElement?K(e,n.transclude,i):!n.templateOnThisElement&&i?i:!i&&t?K(e,t):null,n(a,s,o,r,c)):a&&a(e,o.childNodes,void 0,i)}for(var s,l,u,c,p,d=[],f=C(e)||e instanceof gr,h=0;h<e.length;h++)s=new _,11===mr&&Q(e,h,f),l=X(e[h],[],s,0===h?r:void 0,i),(a=l.length?ne(l,e[h],s,t,n,null,[],[],a):null)&&a.scope&&W.$$addScopeClass(s.$$element),s=a&&a.terminal||!(u=e[h].childNodes)||!u.length?null:G(u,a?(a.transcludeOnThisElement||!a.templateOnThisElement)&&a.transclude:t),(a||s)&&(d.push(h,a,s),c=!0,p=p||a),a=null;return c?o:null}function Q(e,t,n){var r,i=e[t],a=i.parentNode;if(i.nodeType===_r)for(;(r=a?i.nextSibling:e[t+1])&&r.nodeType===_r;)i.nodeValue+=r.nodeValue,r.parentNode&&r.parentNode.removeChild(r),n&&r===e[t+1]&&e.splice(t+1,1)}function K(e,t,n){function r(r,i,a,o,s){return r||(r=e.$new(!1,s),r.$$transcluded=!0),t(r,i,{parentBoundTranscludeFn:n,transcludeControllers:a,futureParentElement:o})}var i,a=r.$$slots=fe();for(i in t.$$slots)a[i]=t.$$slots[i]?K(e,t.$$slots[i],n):null;return r}function X(e,t,n,r,a){var o,l=n.$attr;switch(e.nodeType){case 1:o=L(e),se(t,lt(o),"E",r,a);for(var u,c,d,f,h,m=e.attributes,g=0,v=m&&m.length;g<v;g++){var b,w=!1,k=!1,E=!1,C=!1,x=!1;u=m[g],c=u.name,f=u.value,d=lt(c.toLowerCase()),(h=d.match(Fe))?(E="Attr"===h[1],C="Prop"===h[1],x="On"===h[1],c=c.replace(Ti,"").toLowerCase().substr(4+h[1].length).replace(/_(.)/g,function(e,t){return t.toUpperCase()})):(b=d.match(Re))&&ue(b[1])&&(w=c,k=c.substr(0,c.length-5)+"end",c=c.substr(0,c.length-6)),C||x?(n[d]=f,l[d]=u.name,C?ye(e,t,d,c):t.push(sr(s,$,i,d,c,!1))):(d=lt(c.toLowerCase()),l[d]=c,!E&&n.hasOwnProperty(d)||(n[d]=f,Ve(e,d)&&(n[d]=!0)),we(e,t,f,d,E),se(t,d,"A",r,a,w,k))}if("input"===o&&"hidden"===e.getAttribute("type")&&e.setAttribute("autocomplete","off"),!Pe)break;if(l=e.className,y(l)&&(l=l.animVal),M(l)&&""!==l)for(;e=p.exec(l);)d=lt(e[2]),se(t,d,"C",r,a)&&(n[d]=Nr(e[3])),l=l.substr(e.index+e[0].length);break;case _r:me(t,e.nodeValue);break;case 8:if(!Ae)break;Z(e,t,n,r,a)}return t.sort(de),t}function Z(e,t,n,r,i){try{var a=u.exec(e.nodeValue);if(a){var o=lt(a[1]);se(t,o,"M",r,i)&&(n[o]=Nr(a[2]))}}catch(e){}}function J(e,t,n){var r=[],i=0;if(t&&e.hasAttribute&&e.hasAttribute(t))do{if(!e)throw Di("uterdir",t,n);1===e.nodeType&&(e.hasAttribute(t)&&i++,e.hasAttribute(n)&&i--),r.push(e),e=e.nextSibling}while(0<i);else r.push(e);return gr(r)}function ee(e,t,n){return function(r,i,a,o,s){return i=J(i[0],t,n),e(r,i,a,o,s)}}function te(e,t,n,r,i,a){var o;return e?W(t,n,r,i,a):function(){return o||(o=W(t,n,r,i,a),t=n=a=null),o.apply(this,arguments)}}function ne(t,n,r,o,s,l,u,p,d){function f(e,t,n,r){e&&(n&&(e=ee(e,n,r)),e.require=m.require,e.directiveName=g,(x===m||m.$$isolateScope)&&(e=ke(e,{isolateScope:!0})),u.push(e)),t&&(n&&(t=ee(t,n,r)),t.require=m.require,t.directiveName=g,(x===m||m.$$isolateScope)&&(t=ke(t,{isolateScope:!0})),p.push(t))}function h(e,t,o,s,l){function d(e,t,n,r){var i;if(O(e)||(r=n,n=t,t=e,e=void 0),I&&(i=$),n||(n=I?M.parent():M),!r)return l(e,t,i,n,A);var a=l.$$slots[r];if(a)return a(e,t,i,n,A);if(b(a))throw Di("noslot",r,Y(M))}var f,h,m,g,v,$,w,M;n===o?(s=r,M=r.$$element):(M=gr(o),s=new _(M,r)),v=t,x?g=t.$new(!0):k&&(v=t.$parent),l&&(w=d,w.$$boundTransclude=l,w.isSlotFilled=function(e){return!!l.$$slots[e]}),E&&($=ie(M,s,w,E,g,t,x)),x&&(W.$$addScopeInfo(M,g,!0,!(S&&(S===x||S===x.$$originalDirective))),W.$$addScopeClass(M,!0),g.$$isolateBindings=x.$$isolateBindings,h=De(t,s,g,g.$$isolateBindings,x),h.removeWatches&&g.$on("$destroy",h.removeWatches));for(f in $){h=E[f],m=$[f];var T=h.$$bindings.bindToController;m.instance=m(),M.data("$"+h.name+"Controller",m.instance),m.bindingInfo=De(v,s,m.instance,T,h)}for(a(E,function(e,t){var n=e.require;e.bindToController&&!C(n)&&y(n)&&c($[t].instance,re(t,n,M,$))}),a($,function(e){var t=e.instance;if(D(t.$onChanges))try{t.$onChanges(e.bindingInfo.initialChanges)}catch(e){i(e)}if(D(t.$onInit))try{t.$onInit()}catch(e){i(e)}D(t.$doCheck)&&(v.$watch(function(){t.$doCheck()}),t.$doCheck()),D(t.$onDestroy)&&v.$on("$destroy",function(){t.$onDestroy()})}),f=0,h=u.length;f<h;f++)m=u[f],Ce(m,m.isolateScope?g:t,M,s,m.require&&re(m.directiveName,m.require,M,$),w);var A=t;for(x&&(x.template||null===x.templateUrl)&&(A=g),e&&e(A,o.childNodes,void 0,l),f=p.length-1;0<=f;f--)m=p[f],Ce(m,m.isolateScope?g:t,M,s,m.require&&re(m.directiveName,m.require,M,$),w);a($,function(e){e=e.instance,D(e.$postLink)&&e.$postLink()})}d=d||{};for(var m,g,v,$,w,M=-Number.MAX_VALUE,k=d.newScopeDirective,E=d.controllerDirectives,x=d.newIsolateScopeDirective,S=d.templateDirective,T=d.nonTlbTranscludeDirective,A=!1,P=!1,I=d.hasElementTranscludeDirective,N=r.$$element=gr(n),U=o,F=!1,R=!1,H=0,j=t.length;H<j;H++){m=t[H];var V=m.$$start,B=m.$$end;if(V&&(N=J(n,V,B)),v=void 0,M>m.priority)break;if((w=m.scope)&&(m.templateUrl||(y(w)?(he("new/isolated scope",x||k,m,N),x=m):he("new/isolated scope",x,m,N)),k=k||m),g=m.name,!F&&(m.replace&&(m.templateUrl||m.template)||m.transclude&&!m.$$tlb)){for(w=H+1;F=t[w++];)if(F.transclude&&!F.$$tlb||F.replace&&(F.templateUrl||F.template)){R=!0;break}F=!0}if(!m.templateUrl&&m.controller&&(E=E||fe(),he("'"+g+"' controller",E[g],m,N),E[g]=m),w=m.transclude)if(A=!0,m.$$tlb||(he("transclusion",T,m,N),T=m),"element"===w)I=!0,M=m.priority,v=N,N=r.$$element=gr(W.$$createComment(g,r[g])),n=N[0],Me(s,Er.call(v,0),n),U=te(R,v,o,M,l&&l.name,{nonTlbTranscludeDirective:T});else{var q=fe();if(y(w)){v=e.document.createDocumentFragment();var G=fe(),Q=fe();a(w,function(e,t){var n="?"===e.charAt(0);e=n?e.substring(1):e,G[e]=t,q[t]=null,Q[t]=n}),a(N.contents(),function(t){var n=G[lt(L(t))];n?(Q[n]=!0,q[n]=q[n]||e.document.createDocumentFragment(),q[n].appendChild(t)):v.appendChild(t)}),a(Q,function(e,t){if(!e)throw Di("reqslot",t)});for(var K in q)q[K]&&(U=gr(q[K].childNodes),q[K]=te(R,U,o));v=gr(v.childNodes)}else v=gr(Ee(n)).contents();N.empty(),U=te(R,v,o,void 0,void 0,{needsNewScope:m.$$isolateScope||m.$$newScope}),U.$$slots=q}if(m.template)if(P=!0,he("template",S,m,N),S=m,w=D(m.template)?m.template(N,r):m.template,w=Ue(w),m.replace){if(l=m,v=Zr.test(w)?ct(ge(m.templateNamespace,Nr(w))):[],n=v[0],1!==v.length||1!==n.nodeType)throw Di("tplrt",g,"");Me(s,N,n),j={$attr:{}},w=X(n,[],j);var Z=t.splice(H+1,t.length-(H+1));(x||k)&&oe(w,x,k),t=t.concat(w).concat(Z),ce(r,j),j=t.length}else N.html(w);if(m.templateUrl)P=!0,he("template",S,m,N),S=m,m.replace&&(l=m),h=pe(t.splice(H,t.length-H),N,r,s,A&&U,u,p,{controllerDirectives:E,newScopeDirective:k!==m&&k,newIsolateScopeDirective:x,templateDirective:S,nonTlbTranscludeDirective:T}),j=t.length;else if(m.compile)try{$=m.compile(N,r,U);var ne=m.$$originalDirective||m;D($)?f(null,z(ne,$),V,B):$&&f(z(ne,$.pre),z(ne,$.post),V,B)}catch(e){i(e,Y(N))}m.terminal&&(h.terminal=!0,M=Math.max(M,m.priority))}return h.scope=k&&!0===k.scope,h.transcludeOnThisElement=A,h.templateOnThisElement=P,h.transclude=U,d.hasElementTranscludeDirective=I,h}function re(e,t,n,r){var i;if(M(t)){var o=t.match(v);t=t.substring(o[0].length);var s=o[1]||o[3],o="?"===o[2];if("^^"===s?n=n.parent():i=(i=r&&r[t])&&i.instance,!i){var l="$"+t+"Controller";i="^^"===s&&n[0]&&9===n[0].nodeType?null:s?n.inheritedData(l):n.data(l)}if(!i&&!o)throw Di("ctreq",t,e)}else if(C(t))for(i=[],s=0,o=t.length;s<o;s++)i[s]=re(e,t[s],n,r);else y(t)&&(i={},a(t,function(t,a){i[a]=re(e,t,n,r)}));return i||null}function ie(e,t,n,r,i,a,o){var s,l=fe();for(s in r){var u=r[s],c={$scope:u===o||u.$$isolateScope?i:a,$element:e,$attrs:t,$transclude:n},p=u.controller;"@"===p&&(p=t[u.name]),c=g(p,c,!0,u.controllerAs),l[u.name]=c,e.data("$"+u.name+"Controller",c.instance)}return l}function oe(e,t,n){for(var r=0,i=e.length;r<i;r++)e[r]=f(e[r],{$$isolateScope:t,$$newScope:n})}function se(e,n,i,a,o,s,u){if(n===o)return null;var c=null;if(l.hasOwnProperty(n)){o=t.get(n+"Directive");for(var p=0,d=o.length;p<d;p++)if(n=o[p],(b(a)||a>n.priority)&&-1!==n.restrict.indexOf(i)){if(s&&(n=f(n,{$$start:s,$$end:u})),!n.$$bindings){var h=c=n,m=n.name,g={isolateScope:null,bindToController:null};if(y(h.scope)&&(!0===h.bindToController?(g.bindToController=r(h.scope,m,!0),g.isolateScope={}):g.isolateScope=r(h.scope,m,!1)),y(h.bindToController)&&(g.bindToController=r(h.bindToController,m,!0)),g.bindToController&&!h.controller)throw Di("noctrl",m);c=c.$$bindings=g,y(c.isolateScope)&&(n.$$isolateBindings=c.isolateScope)}e.push(n),c=n}}return c}function ue(e){if(l.hasOwnProperty(e))for(var n=t.get(e+"Directive"),r=0,i=n.length;r<i;r++)if(e=n[r],e.multiElement)return!0;return!1}function ce(e,t){var n=t.$attr,r=e.$attr;a(e,function(r,i){"$"!==i.charAt(0)&&(t[i]&&t[i]!==r&&(r=r.length?r+("style"===i?";":" ")+t[i]:t[i]),e.$set(i,r,!0,n[i]))}),a(t,function(t,i){e.hasOwnProperty(i)||"$"===i.charAt(0)||(e[i]=t,"class"!==i&&"style"!==i&&(r[i]=n[i]))})}function pe(e,t,n,r,s,l,u,c){var p,d,h=[],m=t[0],g=e.shift(),v=f(g,{templateUrl:null,transclude:null,replace:null,$$originalDirective:g}),b=D(g.templateUrl)?g.templateUrl(t,n):g.templateUrl,$=g.templateNamespace;return t.empty(),o(b).then(function(i){var o,f;if(i=Ue(i),g.replace){if(i=Zr.test(i)?ct(ge($,Nr(i))):[],o=i[0],1!==i.length||1!==o.nodeType)throw Di("tplrt",g.name,b);i={$attr:{}},Me(r,t,o);var w=X(o,[],i);y(g.scope)&&oe(w,!0),e=w.concat(e),ce(n,i)}else o=m,t.html(i);for(e.unshift(v),p=ne(e,o,n,s,t,g,l,u,c),a(r,function(e,n){e===o&&(r[n]=t[0])}),d=G(t[0].childNodes,s);h.length;){i=h.shift(),f=h.shift();var M=h.shift(),k=h.shift(),w=t[0];if(!i.$$destroyed){if(f!==m){var E=f.className;c.hasElementTranscludeDirective&&g.replace||(w=Ee(o)),Me(M,gr(f),w),q(gr(w),E)}f=p.transcludeOnThisElement?K(i,p.transclude,k):k,p(d,i,w,r,f)}}h=null}).catch(function(e){x(e)&&i(e)}),function(e,t,n,r,i){e=i,t.$$destroyed||(h?h.push(t,n,r,e):(p.transcludeOnThisElement&&(e=K(t,p.transclude,i)),p(d,t,n,r,e)))}}function de(e,t){var n=t.priority-e.priority;return 0!==n?n:e.name!==t.name?e.name<t.name?-1:1:e.index-t.index}function he(e,t,n,r){function i(e){return e?" (module: "+e+")":""}if(t)throw Di("multidir",t.name,i(t.$$moduleName),n.name,i(n.$$moduleName),e,Y(r))}function me(e,t){var r=n(t,!0);r&&e.push({priority:0,compile:function(e){e=e.parent();var t=!!e.length;return t&&W.$$addBindingClass(e),function(e,n){var i=n.parent();t||W.$$addBindingClass(i),W.$$addBindingInfo(i,r.expressions),e.$watch(r,function(e){n[0].nodeValue=e})}}})}function ge(t,n){switch(t=Mr(t||"html")){case"svg":case"math":var r=e.document.createElement("div");return r.innerHTML="<"+t+">"+n+"</"+t+">",r.childNodes[0].childNodes;default:return n}}function ve(e,t){return"srcdoc"===t?k.HTML:"src"===t||"ngSrc"===t?-1===["img","video","audio","source","track"].indexOf(e)?k.RESOURCE_URL:k.MEDIA_URL:"xlinkHref"===t?"image"===e?k.MEDIA_URL:"a"===e?k.URL:k.RESOURCE_URL:"form"===e&&"action"===t||"base"===e&&"href"===t||"link"===e&&"href"===t?k.RESOURCE_URL:"a"!==e||"href"!==t&&"ngHref"!==t?void 0:k.URL}function be(e,t){var n=t.toLowerCase();return F[e+"|"+n]||F["*|"+n]}function $e(e){return V(k.valueOf(e),"ng-prop-srcset")}function ye(e,t,n,r){if(w.test(r))throw Di("nodomevents");e=L(e);var i=be(e,r),a=m;"srcset"!==r||"img"!==e&&"source"!==e?i&&(a=k.getTrusted.bind(k,i)):a=$e,t.push({priority:100,compile:function(e,t){var i=s(t[n]),o=s(t[n],function(e){return k.valueOf(e)});return{pre:function(e,t){function n(){var n=i(e);t[0][r]=a(n)}n(),e.$watch(o,n)}}}})}function we(e,t,r,i,a){var o=L(e),s=ve(o,i),l=d[i]||a,u=n(r,!a,s,l);if(u){if("multiple"===i&&"select"===o)throw Di("selmulti",Y(e));if(w.test(i))throw Di("nodomevents");t.push({priority:100,compile:function(){return{pre:function(e,t,a){t=a.$$observers||(a.$$observers=fe());var o=a[i];o!==r&&(u=o&&n(o,!0,s,l),r=o),u&&(a[i]=u(e),(t[i]||(t[i]=[])).$$inter=!0,(a.$$observers&&a.$$observers[i].$$scope||e).$watch(u,function(e,t){"class"===i&&e!==t?a.$updateClass(e,t):a.$set(i,e)}))}}}})}}function Me(t,n,r){var i,a,o=n[0],s=n.length,l=o.parentNode;if(t)for(i=0,a=t.length;i<a;i++)if(t[i]===o){t[i++]=r,a=i+s-1;for(var u=t.length;i<u;i++,a++)a<u?t[i]=t[a]:delete t[i];t.length-=s-1,t.context===o&&(t.context=r);break}for(l&&l.replaceChild(r,o),t=e.document.createDocumentFragment(),i=0;i<s;i++)t.appendChild(n[i]);for(gr.hasData(o)&&(gr.data(r,gr.data(o)),gr(o).off("$destroy")),gr.cleanData(t.querySelectorAll("*")),i=1;i<s;i++)delete n[i];n[0]=r,n.length=1}function ke(e,t){return c(function(){return e.apply(null,arguments)},e,t)}function Ce(e,t,n,r,a,o){try{e(t,n,r,a,o)}catch(e){i(e,Y(n))}}function xe(e,t){if(S)throw Di("missingattr",e,t)}function De(e,t,r,i,o){function l(t,n,i){D(r.$onChanges)&&!R(n,i)&&(Se||(e.$$postDigest(j),Se=[]),c||(c={},Se.push(u)),c[t]&&(i=c[t].previousValue),c[t]=new st(i,n))}function u(){r.$onChanges(c),c=void 0}var c,p=[],d={};return a(i,function(i,a){var u,c,f,m,g=i.attrName,v=i.optional;switch(i.mode){case"@":v||wr.call(t,g)||(xe(g,o.name),r[a]=t[g]=void 0),v=t.$observe(g,function(e){(M(e)||A(e))&&(l(a,e,r[a]),r[a]=e)}),t.$$observers[g].$$scope=e,u=t[g],M(u)?r[a]=n(u)(e):A(u)&&(r[a]=u),d[a]=new st(Si,r[a]),p.push(v);break;case"=":if(!wr.call(t,g)){if(v)break;xe(g,o.name),t[g]=void 0}if(v&&!t[g])break;c=s(t[g]),m=c.literal?H:R,f=c.assign||function(){throw u=r[a]=c(e),Di("nonassign",t[g],g,o.name)},u=r[a]=c(e),v=function(t){return m(t,r[a])||(m(t,u)?f(e,t=r[a]):r[a]=t),u=t},v.$stateful=!0,v=i.collection?e.$watchCollection(t[g],v):e.$watch(s(t[g],v),null,c.literal),p.push(v);break;case"<":if(!wr.call(t,g)){if(v)break;xe(g,o.name),t[g]=void 0}if(v&&!t[g])break;c=s(t[g]);var b=c.literal,$=r[a]=c(e);d[a]=new st(Si,r[a]),v=e[i.collection?"$watchCollection":"$watch"](c,function(e,t){if(t===e){if(t===$||b&&H(t,$))return;t=$}l(a,e,t),r[a]=e}),p.push(v);break;case"&":if(v||wr.call(t,g)||xe(g,o.name),(c=t.hasOwnProperty(g)?s(t[g]):h)===h&&v)break;r[a]=function(t){return c(e,t)}}}),{initialChanges:d,removeWatches:p.length&&function(){for(var e=0,t=p.length;e<t;++e)p[e]()}}}var Se,Te=/^\w/,Oe=e.document.createElement("div"),Ae=P,Pe=I,Ie=T;_.prototype={$normalize:lt,$addClass:function(e){e&&0<e.length&&N.addClass(this.$$element,e)},$removeClass:function(e){e&&0<e.length&&N.removeClass(this.$$element,e)},$updateClass:function(e,t){var n=ut(e,t);n&&n.length&&N.addClass(this.$$element,n),(n=ut(t,e))&&n.length&&N.removeClass(this.$$element,n)},$set:function(e,t,n,r){var o=Ve(this.$$element[0],e),s=ci[e],l=e;o?(this.$$element.prop(e,t),r=o):s&&(this[s]=t,l=s),this[e]=t,r?this.$attr[e]=r:(r=this.$attr[e])||(this.$attr[e]=r=ae(e,"-")),"img"===L(this.$$element)&&"srcset"===e&&(this[e]=t=V(t,"$set('srcset', value)")),!1!==n&&(null===t||b(t)?this.$$element.removeAttr(r):Te.test(r)?o&&!1===t?this.$$element.removeAttr(r):this.$$element.attr(r,t):B(this.$$element[0],r,t)),(e=this.$$observers)&&a(e[l],function(e){try{e(t)}catch(e){i(e)}})},$observe:function(e,t){var n=this,r=n.$$observers||(n.$$observers=fe()),i=r[e]||(r[e]=[]);return i.push(t),$.$evalAsync(function(){i.$$inter||!n.hasOwnProperty(e)||b(n[e])||t(n[e])}),function(){U(i,t)}}};var Ne=n.startSymbol(),Le=n.endSymbol(),Ue="{{"===Ne&&"}}"===Le?m:function(e){return e.replace(/\{\{/g,Ne).replace(/}}/g,Le)},Fe=/^ng(Attr|Prop|On)([A-Z].*)$/,Re=/^(.+)Start$/;return W.$$addBindingInfo=E?function(e,t){var n=e.data("$binding")||[];C(t)?n=n.concat(t):n.push(t),e.data("$binding",n)}:h,W.$$addBindingClass=E?function(e){q(e,"ng-binding")}:h,W.$$addScopeInfo=E?function(e,t,n,r){e.data(n?r?"$isolateScopeNoTemplate":"$isolateScope":"$scope",t)}:h,W.$$addScopeClass=E?function(e,t){q(e,t?"ng-isolate-scope":"ng-scope")}:h,W.$$createComment=function(t,n){var r="";return E&&(r=" "+(t||"")+": ",n&&(r+=n+" ")),e.document.createComment(r)},W}]}function st(e,t){this.previousValue=e,this.currentValue=t}function lt(e){return e.replace(Ti,"").replace(Oi,function(e,t,n){return n?t.toUpperCase():t})}function ut(e,t){var n="",r=e.split(/\s+/),i=t.split(/\s+/),a=0;e:for(;a<r.length;a++){for(var o=r[a],s=0;s<i.length;s++)if(o===i[s])continue e;n+=(0<n.length?" ":"")+o}return n}function ct(e){e=gr(e);var t=e.length;if(1>=t)return e;for(;t--;){var n=e[t];(8===n.nodeType||n.nodeType===_r&&""===n.nodeValue.trim())&&Cr.call(e,t,1)}return e}function pt(e,t){if(t&&M(t))return t;if(M(e)){var n=Pi.exec(e);if(n)return n[3]}}function dt(){var e={};this.has=function(t){return e.hasOwnProperty(t)},this.register=function(t,n){ce(t,"controller"),y(t)?c(e,t):e[t]=n},this.$get=["$injector",function(t){function n(e,t,n,i){if(!e||!y(e.$scope))throw r("$controller")("noscp",i,t);e.$scope[t]=n}return function(r,i,a,o){var s,l,u;if(a=!0===a,o&&M(o)&&(u=o),M(r)){if(!(o=r.match(Pi)))throw Ai("ctrlfmt",r);if(l=o[1],u=u||o[3],!(r=e.hasOwnProperty(l)?e[l]:pe(i.$scope,l,!0)))throw Ai("ctrlreg",l);ue(r,l,!0)}return a?(a=(C(r)?r[r.length-1]:r).prototype,s=Object.create(a||null),u&&n(i,u,s,l||r.name),c(function(){var e=t.invoke(r,s,i,l);return e!==s&&(y(e)||D(e))&&(s=e,u&&n(i,u,s,l||r.name)),s},{instance:s,identifier:u})):(s=t.instantiate(r,i,l),u&&n(i,u,s,l||r.name),s)}}]}function ft(){this.$get=["$window",function(e){return gr(e.document)}]}function ht(){this.$get=["$document","$rootScope",function(e,t){function n(){i=r.hidden}var r=e[0],i=r&&r.hidden;return e.on("visibilitychange",n),t.$on("$destroy",function(){e.off("visibilitychange",n)}),function(){return i}}]}function mt(){this.$get=["$log",function(e){return function(t,n){e.error.apply(e,arguments)}}]}function gt(e){return y(e)?E(e)?e.toISOString():_(e):e}function vt(){this.$get=function(){return function(e){if(!e)return"";var t=[];return o(e,function(e,n){null===e||b(e)||D(e)||(C(e)?a(e,function(e){t.push(J(n)+"="+J(gt(e)))}):t.push(J(n)+"="+J(gt(e))))}),t.join("&")}}}function bt(){this.$get=function(){return function(e){function t(e,r,i){C(e)?a(e,function(e,n){t(e,r+"["+(y(e)?n:"")+"]")}):y(e)&&!E(e)?o(e,function(e,n){t(e,r+(i?"":"[")+n+(i?"":"]"))}):(D(e)&&(e=e()),n.push(J(r)+"="+(null==e?"":J(gt(e)))))}if(!e)return"";var n=[];return t(e,"",!0),n.join("&")}}}function $t(e,t){if(M(e)){var n=e.replace(Ri,"").trim();if(n){var r,i=t("Content-Type"),i=i&&0===i.indexOf(Ni);if((r=i)||(r=(r=n.match(Ui))&&Fi[r[0]].test(n)),r)try{e=B(n)}catch(t){if(!i)return e;throw Hi("baddata",e,t)}}}return e}function yt(e){var t,n=fe();return M(e)?a(e.split("\n"),function(e){t=e.indexOf(":");var r=Mr(Nr(e.substr(0,t)));e=Nr(e.substr(t+1)),r&&(n[r]=n[r]?n[r]+", "+e:e)}):y(e)&&a(e,function(e,t){var r=Mr(t),i=Nr(e);r&&(n[r]=n[r]?n[r]+", "+i:i)}),n}function wt(e){var t;return function(n){return t||(t=yt(e)),n?(n=t[Mr(n)],void 0===n&&(n=null),n):t}}function Mt(e,t,n,r){return D(r)?r(e,t,n):(a(r,function(r){e=r(e,t,n)}),e)}function kt(){var e=this.defaults={transformResponse:[$t],transformRequest:[function(e){return y(e)&&"[object File]"!==Dr.call(e)&&"[object Blob]"!==Dr.call(e)&&"[object FormData]"!==Dr.call(e)?_(e):e}],headers:{common:{Accept:"application/json, text/plain, */*"},post:ge(Li),put:ge(Li),patch:ge(Li)},xsrfCookieName:"XSRF-TOKEN",xsrfHeaderName:"X-XSRF-TOKEN",paramSerializer:"$httpParamSerializer",jsonpCallbackParam:"callback"},t=!1;this.useApplyAsync=function(e){return $(e)?(t=!!e,this):t};var n=this.interceptors=[],i=this.xsrfTrustedOrigins=[];Object.defineProperty(this,"xsrfWhitelistedOrigins",{get:function(){return this.xsrfTrustedOrigins},set:function(e){this.xsrfTrustedOrigins=e}}),this.$get=["$browser","$httpBackend","$$cookieReader","$cacheFactory","$rootScope","$q","$injector","$sce",function(o,s,l,u,p,d,f,m){function g(t){function n(e,t){for(var n=0,r=t.length;n<r;){var i=t[n++],a=t[n++];e=e.then(i,a)}return t.length=0,e}function i(e,t){var n,r={};return a(e,function(e,i){D(e)?null!=(n=e(t))&&(r[i]=n):r[i]=e}),r}function s(e){var t=c({},e);return t.data=Mt(e.data,e.headers,e.status,l.transformResponse),e=e.status,200<=e&&300>e?t:d.reject(t)}if(!y(t))throw r("$http")("badreq",t);if(!M(m.valueOf(t.url)))throw r("$http")("badreq",t.url);var l=c({method:"get",transformRequest:e.transformRequest,transformResponse:e.transformResponse,paramSerializer:e.paramSerializer,jsonpCallbackParam:e.jsonpCallbackParam},t);l.headers=function(t){var n,r,a,o=e.headers,s=c({},t.headers),o=c({},o.common,o[Mr(t.method)]);e:for(n in o){r=Mr(n);for(a in s)if(Mr(a)===r)continue e;s[n]=o[n]}return i(s,ge(t))}(t),l.method=kr(l.method),l.paramSerializer=M(l.paramSerializer)?f.get(l.paramSerializer):l.paramSerializer,o.$$incOutstandingRequestCount("$http");var u=[],p=[];return t=d.resolve(l),a(x,function(e){(e.request||e.requestError)&&u.unshift(e.request,e.requestError),(e.response||e.responseError)&&p.push(e.response,e.responseError)}),t=n(t,u),t=t.then(function(t){var n=t.headers,r=Mt(t.data,wt(n),void 0,t.transformRequest);return b(r)&&a(n,function(e,t){"content-type"===Mr(t)&&delete n[t]}),b(t.withCredentials)&&!b(e.withCredentials)&&(t.withCredentials=e.withCredentials),v(t,r).then(s,s)}),t=n(t,p),t=t.finally(function(){o.$$completeOutstandingRequest(h,"$http")})}function v(n,r){function i(e){if(e){var n={};return a(e,function(e,r){n[r]=function(n){function r(){e(n)}t?p.$applyAsync(r):p.$$phase?r():p.$apply(r)}}),n}}function o(e,n,r,i,a){function o(){u(n,e,r,i,a)}h&&(200<=e&&300>e?h.put(P,[e,n,yt(r),i,a]):h.remove(P)),t?p.$applyAsync(o):(o(),p.$$phase||p.$apply())}function u(e,t,r,i,a){t=-1<=t?t:0,(200<=t&&300>t?x.resolve:x.reject)({data:e,status:t,headers:wt(r),config:n,statusText:i,xhrStatus:a})}function c(e){u(e.data,e.status,ge(e.headers()),e.statusText,e.xhrStatus)}function f(){var e=g.pendingRequests.indexOf(n);-1!==e&&g.pendingRequests.splice(e,1)}var h,v,x=d.defer(),T=x.promise,O=n.headers,A="jsonp"===Mr(n.method),P=n.url;return A?P=m.getTrustedResourceUrl(P):M(P)||(P=m.valueOf(P)),P=w(P,n.paramSerializer(n.params)),A&&(P=k(P,n.jsonpCallbackParam)),g.pendingRequests.push(n),T.then(f,f),!n.cache&&!e.cache||!1===n.cache||"GET"!==n.method&&"JSONP"!==n.method||(h=y(n.cache)?n.cache:y(e.cache)?e.cache:E),h&&(v=h.get(P),$(v)?v&&D(v.then)?v.then(c,c):C(v)?u(v[1],v[0],ge(v[2]),v[3],v[4]):u(v,200,{},"OK","complete"):h.put(P,T)),b(v)&&((v=S(n.url)?l()[n.xsrfCookieName||e.xsrfCookieName]:void 0)&&(O[n.xsrfHeaderName||e.xsrfHeaderName]=v),s(n.method,P,r,o,O,n.timeout,n.withCredentials,n.responseType,i(n.eventHandlers),i(n.uploadEventHandlers))),T}function w(e,t){return 0<t.length&&(e+=(-1===e.indexOf("?")?"?":"&")+t),e}function k(e,t){var n=e.split("?");if(2<n.length)throw Hi("badjsonp",e);return n=K(n[1]),a(n,function(n,r){if("JSON_CALLBACK"===n)throw Hi("badjsonp",e);if(r===t)throw Hi("badjsonp",t,e)}),e+=(-1===e.indexOf("?")?"?":"&")+t+"=JSON_CALLBACK"}var E=u("$http");e.paramSerializer=M(e.paramSerializer)?f.get(e.paramSerializer):e.paramSerializer;var x=[];a(n,function(e){x.unshift(M(e)?f.get(e):f.invoke(e))});var S=$n(i);return g.pendingRequests=[],function(e){a(arguments,function(e){g[e]=function(t,n){return g(c({},n||{},{method:e,url:t}))}})}("get","delete","head","jsonp"),function(e){a(arguments,function(e){g[e]=function(t,n,r){return g(c({},r||{},{method:e,url:t,data:n}))}})}("post","put","patch"),g.defaults=e,g}]}function Et(){this.$get=function(){return function(){return new e.XMLHttpRequest}}}function Ct(){this.$get=["$browser","$jsonpCallbacks","$document","$xhrFactory",function(e,t,n,r){return xt(e,r,e.defer,t,n[0])}]}function xt(e,t,n,r,i){function o(e,t,n){e=e.replace("JSON_CALLBACK",t);var a=i.createElement("script"),o=null;return a.type="text/javascript",a.src=e,a.async=!0,o=function(e){a.removeEventListener("load",o),a.removeEventListener("error",o),i.body.removeChild(a),a=null;var s=-1,l="unknown";e&&("load"!==e.type||r.wasCalled(t)||(e={type:"error"}),l=e.type,s="error"===e.type?404:200),n&&n(s,l)},a.addEventListener("load",o),a.addEventListener("error",o),i.body.appendChild(a),o}return function(i,s,l,u,c,p,d,f,h,m){function g(e){k="timeout"===e,w&&w(),M&&M.abort()}function v(e,t,r,i,a,o){$(E)&&n.cancel(E),w=M=null,e(t,r,i,a,o)}if(s=s||e.url(),"jsonp"===Mr(i))var y=r.createCallback(s),w=o(s,y,function(e,t){var n=200===e&&r.getResponse(y);v(u,e,n,"",t,"complete"),r.removeCallback(y)});else{var M=t(i,s),k=!1;if(M.open(i,s,!0),a(c,function(e,t){$(e)&&M.setRequestHeader(t,e)}),M.onload=function(){var e=M.statusText||"",t="response"in M?M.response:M.responseText,n=1223===M.status?204:M.status;0===n&&(n=t?200:"file"===bn(s).protocol?404:0),v(u,n,t,M.getAllResponseHeaders(),e,"complete")},M.onerror=function(){v(u,-1,null,null,"","error")},M.ontimeout=function(){v(u,-1,null,null,"","timeout")},M.onabort=function(){v(u,-1,null,null,"",k?"timeout":"abort")},a(h,function(e,t){M.addEventListener(t,e)}),a(m,function(e,t){M.upload.addEventListener(t,e)}),d&&(M.withCredentials=!0),f)try{M.responseType=f}catch(e){if("json"!==f)throw e}M.send(b(l)?null:l)}if(0<p)var E=n(function(){g("timeout")},p);else p&&D(p.then)&&p.then(function(){g($(p.$$timeoutId)?"timeout":"abort")})}}function Dt(){var e="{{",t="}}";this.startSymbol=function(t){return t?(e=t,this):e},this.endSymbol=function(e){return e?(t=e,this):t},this.$get=["$parse","$exceptionHandler","$sce",function(n,r,i){function a(e){return"\\\\\\"+e}function o(n){return n.replace(d,e).replace(f,t)}function s(e,t,n,r){var i=e.$watch(function(e){return i(),r(e)},t,n);return i}function l(a,l,d,f){function h(e){try{return e=d&&!m?i.getTrusted(d,e):i.valueOf(e),f&&!$(e)?e:he(e)}catch(e){r(ji.interr(a,e))}}var m=d===i.URL||d===i.MEDIA_URL;if(!a.length||-1===a.indexOf(e)){if(l)return;return l=o(a),m&&(l=i.getTrusted(d,l)),l=g(l),l.exp=a,l.expressions=[],l.$$watchDelegate=s,l}f=!!f;for(var v,y,w,M,k=0,E=[],C=a.length,x=[],D=[];k<C;){if(-1===(v=a.indexOf(e,k))||-1===(y=a.indexOf(t,v+u))){k!==C&&x.push(o(a.substring(k)));break}k!==v&&x.push(o(a.substring(k,v))),k=a.substring(v+u,y),E.push(k),k=y+p,D.push(x.length),x.push("")}M=1===x.length&&1===D.length;var S=m&&M?void 0:h;if(w=E.map(function(e){return n(e,S)}),!l||E.length){var T=function(e){for(var t=0,n=E.length;t<n;t++){if(f&&b(e[t]))return;x[D[t]]=e[t]}return m?i.getTrusted(d,M?x[0]:x.join("")):(d&&1<x.length&&ji.throwNoconcat(a),x.join(""))};return c(function(e){var t=0,n=E.length,i=Array(n);try{for(;t<n;t++)i[t]=w[t](e);return T(i)}catch(e){r(ji.interr(a,e))}},{exp:a,expressions:E,$$watchDelegate:function(e,t){var n;return e.$watchGroup(w,function(r,i){var a=T(r);t.call(this,a,r!==i?n:a,e),n=a})}})}}var u=e.length,p=t.length,d=new RegExp(e.replace(/./g,a),"g"),f=new RegExp(t.replace(/./g,a),"g");return l.startSymbol=function(){return e},l.endSymbol=function(){return t},l}]}function St(){this.$get=["$$intervalFactory","$window",function(e,t){var n={},r=function(e){t.clearInterval(e),delete n[e]},i=e(function(e,r,i){return e=t.setInterval(e,r),n[e]=i,e},r);return i.cancel=function(e){if(!e)return!1;if(!e.hasOwnProperty("$$intervalId"))throw zi("badprom");if(!n.hasOwnProperty(e.$$intervalId))return!1;e=e.$$intervalId;var t=n[e],i=t.promise;return i.$$state&&(i.$$state.pur=!0),t.reject("canceled"),r(e),!0},i}]}function Tt(){this.$get=["$browser","$q","$$q","$rootScope",function(e,t,n,r){return function(i,a){return function(o,s,l,u){function c(){p?o.apply(null,d):o(f)}var p=4<arguments.length,d=p?Er.call(arguments,4):[],f=0,h=$(u)&&!u,m=(h?n:t).defer(),g=m.promise;return l=$(l)?l:0,g.$$intervalId=i(function(){h?e.defer(c):r.$evalAsync(c),m.notify(f++),0<l&&f>=l&&(m.resolve(f),a(g.$$intervalId)),h||r.$apply()},s,m,h),g}}}]}function Ot(e,t){var n=bn(e);t.$$protocol=n.protocol,t.$$host=n.hostname,t.$$port=d(n.port)||Bi[n.protocol]||null}function At(e,t,n){if(Wi.test(e))throw qi("badpath",e);var r="/"!==e.charAt(0);r&&(e="/"+e),e=bn(e);for(var r=(r&&"/"===e.pathname.charAt(0)?e.pathname.substring(1):e.pathname).split("/"),i=r.length;i--;)r[i]=decodeURIComponent(r[i]),n&&(r[i]=r[i].replace(/\//g,"%2F"));n=r.join("/"),t.$$path=n,t.$$search=K(e.search),t.$$hash=decodeURIComponent(e.hash),t.$$path&&"/"!==t.$$path.charAt(0)&&(t.$$path="/"+t.$$path)}function Pt(e,t){return e.slice(0,t.length)===t}function It(e,t){if(Pt(t,e))return t.substr(e.length)}function Nt(e){var t=e.indexOf("#");return-1===t?e:e.substr(0,t)}function Lt(e,t,n){this.$$html5=!0,n=n||"",Ot(e,this),this.$$parse=function(e){var n=It(t,e);if(!M(n))throw qi("ipthprfx",e,t);At(n,this,!0),this.$$path||(this.$$path="/"),this.$$compose()},this.$$normalizeUrl=function(e){return t+e.substr(1)},this.$$parseLinkUrl=function(r,i){if(i&&"#"===i[0])return this.hash(i.slice(1)),!0;var a,o;return $(a=It(e,r))?(o=a,o=n&&$(a=It(n,a))?t+(It("/",a)||a):e+o):$(a=It(t,r))?o=t+a:t===r+"/"&&(o=t),o&&this.$$parse(o),!!o}}function Ut(e,t,n){Ot(e,this),this.$$parse=function(r){var i,a=It(e,r)||It(t,r);b(a)||"#"!==a.charAt(0)?this.$$html5?i=a:(i="",b(a)&&(e=r,this.replace())):(i=It(n,a),b(i)&&(i=a)),At(i,this,!1),r=this.$$path;var a=e,o=/^\/[A-Z]:(\/.*)/;Pt(i,a)&&(i=i.replace(a,"")),o.exec(i)||(r=(i=o.exec(r))?i[1]:r),this.$$path=r,this.$$compose()},this.$$normalizeUrl=function(t){return e+(t?n+t:"")},this.$$parseLinkUrl=function(t,n){return Nt(e)===Nt(t)&&(this.$$parse(t),!0)}}function Ft(e,t,n){this.$$html5=!0,Ut.apply(this,arguments),this.$$parseLinkUrl=function(r,i){if(i&&"#"===i[0])return this.hash(i.slice(1)),!0;var a,o;return e===Nt(r)?a=r:(o=It(t,r))?a=e+n+o:t===r+"/"&&(a=t),a&&this.$$parse(a),!!a},this.$$normalizeUrl=function(t){return e+n+t}}function Rt(e){return function(){return this[e]}}function Ht(e,t){return function(n){return b(n)?this[e]:(this[e]=t(n),this.$$compose(),this)}}function jt(){var e="!",t={enabled:!1,requireBase:!0,rewriteLinks:!0};this.hashPrefix=function(t){return $(t)?(e=t,this):e},this.html5Mode=function(e){return A(e)?(t.enabled=e,this):y(e)?(A(e.enabled)&&(t.enabled=e.enabled),A(e.requireBase)&&(t.requireBase=e.requireBase),(A(e.rewriteLinks)||M(e.rewriteLinks))&&(t.rewriteLinks=e.rewriteLinks),this):t},this.$get=["$rootScope","$browser","$sniffer","$rootElement","$window",function(n,r,i,a,o){function s(e,t){return e===t||bn(e).href===bn(t).href}function l(e,t,n){var i=c.url(),a=c.$$state;try{r.url(e,t,n),c.$$state=r.state()}catch(e){throw c.url(i),c.$$state=a,e}}function u(e,t){n.$broadcast("$locationChangeSuccess",c.absUrl(),e,c.$$state,t)}var c,p;p=r.baseHref();var d,f=r.url();if(t.enabled){if(!p&&t.requireBase)throw qi("nobase");d=f.substring(0,f.indexOf("/",f.indexOf("//")+2))+(p||"/"),p=i.history?Lt:Ft}else d=Nt(f),p=Ut;var h=d.substr(0,Nt(d).lastIndexOf("/")+1);c=new p(d,h,"#"+e),c.$$parseLinkUrl(f,f),c.$$state=r.state();var m=/^\s*(javascript|mailto):/i;a.on("click",function(e){var i=t.rewriteLinks;if(i&&!e.ctrlKey&&!e.metaKey&&!e.shiftKey&&2!==e.which&&2!==e.button){for(var o=gr(e.target);"a"!==L(o[0]);)if(o[0]===a[0]||!(o=o.parent())[0])return;if(!M(i)||!b(o.attr(i))){var i=o.prop("href"),s=o.attr("href")||o.attr("xlink:href");y(i)&&"[object SVGAnimatedString]"===i.toString()&&(i=bn(i.animVal).href),m.test(i)||!i||o.attr("target")||e.isDefaultPrevented()||!c.$$parseLinkUrl(i,s)||(e.preventDefault(),c.absUrl()!==r.url()&&n.$apply())}}}),c.absUrl()!==f&&r.url(c.absUrl(),!0);var g=!0;return r.onUrlChange(function(e,t){Pt(e,h)?(n.$evalAsync(function(){var r,i=c.absUrl(),a=c.$$state;c.$$parse(e),c.$$state=t,r=n.$broadcast("$locationChangeStart",e,i,t,a).defaultPrevented,c.absUrl()===e&&(r?(c.$$parse(i),c.$$state=a,l(i,!1,a)):(g=!1,u(i,a)))}),n.$$phase||n.$digest()):o.location.href=e}),n.$watch(function(){if(g||c.$$urlUpdatedByLocation){c.$$urlUpdatedByLocation=!1;var e=r.url(),t=c.absUrl(),a=r.state(),o=c.$$replace,p=!s(e,t)||c.$$html5&&i.history&&a!==c.$$state;(g||p)&&(g=!1,n.$evalAsync(function(){var t=c.absUrl(),r=n.$broadcast("$locationChangeStart",t,e,c.$$state,a).defaultPrevented;c.absUrl()===t&&(r?(c.$$parse(e),c.$$state=a):(p&&l(t,o,a===c.$$state?null:c.$$state),u(e,a)))}))}c.$$replace=!1}),c}]}function zt(){var e=!0,t=this;this.debugEnabled=function(t){return $(t)?(e=t,this):e},this.$get=["$window",function(n){function r(e){return x(e)&&(e.stack&&o?e=e.message&&-1===e.stack.indexOf(e.message)?"Error: "+e.message+"\n"+e.stack:e.stack:e.sourceURL&&(e=e.message+"\n"+e.sourceURL+":"+e.line)),e}function i(e){var t=n.console||{},i=t[e]||t.log||h;return function(){var e=[];return a(arguments,function(t){e.push(r(t))}),Function.prototype.apply.call(i,t,e)}}var o=mr||/\bEdge\//.test(n.navigator&&n.navigator.userAgent);return{log:i("log"),info:i("info"),warn:i("warn"),error:i("error"),debug:function(){var n=i("debug");return function(){e&&n.apply(t,arguments)}}()}}]}function Vt(e){return e+""}function _t(e,t){return void 0!==e?e:t}function Bt(e,t){return void 0===e?t:void 0===t?e:e+t}function qt(e,t){switch(e.type){case Ji.MemberExpression:if(e.computed)return!1;break;case Ji.UnaryExpression:return 1;case Ji.BinaryExpression:return"+"!==e.operator&&1;case Ji.CallExpression:return!1}return void 0===t?ea:t}function Wt(e,t,n){var r,i,o=e.isPure=qt(e,n);switch(e.type){case Ji.Program:r=!0,a(e.body,function(e){Wt(e.expression,t,o),r=r&&e.expression.constant}),e.constant=r;break;case Ji.Literal:e.constant=!0,e.toWatch=[];break;case Ji.UnaryExpression:Wt(e.argument,t,o),e.constant=e.argument.constant,e.toWatch=e.argument.toWatch;break;case Ji.BinaryExpression:Wt(e.left,t,o),Wt(e.right,t,o),e.constant=e.left.constant&&e.right.constant,e.toWatch=e.left.toWatch.concat(e.right.toWatch);break;case Ji.LogicalExpression:Wt(e.left,t,o),Wt(e.right,t,o),e.constant=e.left.constant&&e.right.constant,e.toWatch=e.constant?[]:[e];break;case Ji.ConditionalExpression:Wt(e.test,t,o),Wt(e.alternate,t,o),Wt(e.consequent,t,o),e.constant=e.test.constant&&e.alternate.constant&&e.consequent.constant,e.toWatch=e.constant?[]:[e];break;case Ji.Identifier:e.constant=!1,e.toWatch=[e];break;case Ji.MemberExpression:Wt(e.object,t,o),e.computed&&Wt(e.property,t,o),e.constant=e.object.constant&&(!e.computed||e.property.constant),e.toWatch=e.constant?[]:[e];break;case Ji.CallExpression:r=n=!!e.filter&&!t(e.callee.name).$stateful,i=[],a(e.arguments,function(e){Wt(e,t,o),r=r&&e.constant,i.push.apply(i,e.toWatch)}),e.constant=r,e.toWatch=n?i:[e];break;case Ji.AssignmentExpression:Wt(e.left,t,o),Wt(e.right,t,o),e.constant=e.left.constant&&e.right.constant,e.toWatch=[e];break;case Ji.ArrayExpression:r=!0,i=[],a(e.elements,function(e){Wt(e,t,o),r=r&&e.constant,i.push.apply(i,e.toWatch)}),e.constant=r,e.toWatch=i;break;case Ji.ObjectExpression:r=!0,i=[],a(e.properties,function(e){Wt(e.value,t,o),r=r&&e.value.constant,i.push.apply(i,e.value.toWatch),e.computed&&(Wt(e.key,t,!1),r=r&&e.key.constant,i.push.apply(i,e.key.toWatch))}),e.constant=r,e.toWatch=i;break;case Ji.ThisExpression:e.constant=!1,e.toWatch=[];break;case Ji.LocalsExpression:e.constant=!1,e.toWatch=[]}}function Gt(e){if(1===e.length){e=e[0].expression;var t=e.toWatch;return 1!==t.length?t:t[0]!==e?t:void 0}}function Yt(e){return e.type===Ji.Identifier||e.type===Ji.MemberExpression}function Qt(e){if(1===e.body.length&&Yt(e.body[0].expression))return{type:Ji.AssignmentExpression,left:e.body[0].expression,right:{type:Ji.NGValueParameter},operator:"="}}function Kt(e){this.$filter=e}function Xt(e){this.$filter=e}function Zt(e,t,n){this.ast=new Ji(e,n),this.astCompiler=n.csp?new Xt(t):new Kt(t)}function Jt(e){return D(e.valueOf)?e.valueOf():Qi.call(e)}function en(){var e,t,n=fe(),r={true:!0,false:!1,null:null,undefined:void 0};this.addLiteral=function(e,t){r[e]=t},this.setIdentifierFns=function(n,r){return e=n,t=r,this},this.$get=["$filter",function(i){function o(e,t){var r,a;switch(typeof e){case"string":return a=e=e.trim(),r=n[a],r||(r=new Zi(v),r=new Zt(r,i,v).parse(e),n[a]=d(r)),g(r,t);case"function":return g(e,t);default:return g(h,t)}}function s(e,t,n){return null==e||null==t?e===t:!("object"==typeof e&&"object"==typeof(e=Jt(e))&&!n)&&(e===t||e!==e&&t!==t)}function l(e,t,n,r,i){var a,o=r.inputs;if(1===o.length){var l=s,o=o[0];return e.$watch(function(e){var t=o(e);return s(t,l,o.isPure)||(a=r(e,void 0,void 0,[t]),l=t&&Jt(t)),a},t,n,i)}for(var u=[],c=[],p=0,d=o.length;p<d;p++)u[p]=s,c[p]=null;return e.$watch(function(e){for(var t=!1,n=0,i=o.length;n<i;n++){var l=o[n](e);(t||(t=!s(l,u[n],o[n].isPure)))&&(c[n]=l,u[n]=l&&Jt(l))}return t&&(a=r(e,void 0,void 0,c)),a},t,n,i)}function u(e,t,n,r,i){function a(){u(l)&&s()}function o(e,t,n,r){return l=h&&r?r[0]:p(e,t,n,r),u(l)&&e.$$postDigest(a),f(l)}var s,l,u=r.literal?c:$,p=r.$$intercepted||r,f=r.$$interceptor||m,h=r.inputs&&!p.inputs;return o.literal=r.literal,o.constant=r.constant,o.inputs=r.inputs,d(o),s=e.$watch(o,t,n,i)}function c(e){var t=!0;return a(e,function(e){$(e)||(t=!1)}),t}function p(e,t,n,r){var i=e.$watch(function(e){return i(),r(e)},t,n);return i}function d(e){return e.constant?e.$$watchDelegate=p:e.oneTime?e.$$watchDelegate=u:e.inputs&&(e.$$watchDelegate=l),e}function f(e,t){function n(n){return t(e(n))}return n.$stateful=e.$stateful||t.$stateful,n.$$pure=e.$$pure&&t.$$pure,n}function g(e,t){if(!t)return e;e.$$interceptor&&(t=f(e.$$interceptor,t),e=e.$$intercepted);var n=!1,r=function(r,i,a,o){return r=n&&o?o[0]:e(r,i,a,o),t(r)};return r.$$intercepted=e,r.$$interceptor=t,r.literal=e.literal,r.oneTime=e.oneTime,r.constant=e.constant,t.$stateful||(n=!e.inputs,r.inputs=e.inputs?e.inputs:[e],t.$$pure||(r.inputs=r.inputs.map(function(e){return e.isPure===ea?function(t){return e(t)}:e}))),d(r)}var v={csp:Ur().noUnsafeEval,literals:F(r),isIdentifierStart:D(e)&&e,isIdentifierContinue:D(t)&&t};return o.$$getAst=function(e){return new Zt(new Zi(v),i,v).getAst(e).ast},o}]}function tn(){var e=!0;this.$get=["$rootScope","$exceptionHandler",function(t,n){return rn(function(e){t.$evalAsync(e)},n,e)}],this.errorOnUnhandledRejections=function(t){return $(t)?(e=t,this):e}}function nn(){var e=!0;this.$get=["$browser","$exceptionHandler",function(t,n){return rn(function(e){t.defer(e)},n,e)}],this.errorOnUnhandledRejections=function(t){return $(t)?(e=t,this):e}}function rn(e,t,n){function i(){return new o}function o(){var e=this.promise=new s;this.resolve=function(t){p(e,t)},this.reject=function(t){f(e,t)},this.notify=function(t){m(e,t)}}function s(){this.$$state={status:0}}function l(){for(;!k&&E.length;){var e=E.shift();if(!e.pur){e.pur=!0;var n=e.value,n="Possibly unhandled rejection: "+("function"==typeof n?n.toString().replace(/ \{[\s\S]*$/,""):b(n)?"undefined":"string"!=typeof n?ve(n,void 0):n);x(e.value)?t(e.value,n):t(n)}}}function u(r){!n||r.pending||2!==r.status||r.pur||(0===k&&0===E.length&&e(l),E.push(r)),!r.processScheduled&&r.pending&&(r.processScheduled=!0,++k,e(function(){var i,a,o;o=r.pending,r.processScheduled=!1,r.pending=void 0;try{for(var s=0,u=o.length;s<u;++s){r.pur=!0,a=o[s][0],i=o[s][r.status];try{D(i)?p(a,i(r.value)):1===r.status?p(a,r.value):f(a,r.value)}catch(e){f(a,e),e&&!0===e.$$passToExceptionHandler&&t(e)}}}finally{--k,n&&0===k&&e(l)}}))}function p(e,t){e.$$state.status||(t===e?h(e,M("qcycle",t)):d(e,t))}function d(e,t){function n(t){o||(o=!0,d(e,t))}function r(t){o||(o=!0,h(e,t))}function i(t){m(e,t)}var a,o=!1;try{(y(t)||D(t))&&(a=t.then),D(a)?(e.$$state.status=-1,a.call(t,n,r,i)):(e.$$state.value=t,e.$$state.status=1,u(e.$$state))}catch(e){r(e)}}function f(e,t){e.$$state.status||h(e,t)}function h(e,t){e.$$state.value=t,e.$$state.status=2,u(e.$$state)}function m(n,r){var i=n.$$state.pending;0>=n.$$state.status&&i&&i.length&&e(function(){for(var e,n,a=0,o=i.length;a<o;a++){n=i[a][0],e=i[a][3];try{m(n,D(e)?e(r):r)}catch(e){t(e)}}})}function g(e){var t=new s;return f(t,e),t}function v(e,t,n){var r=null;try{D(n)&&(r=n())}catch(e){return g(e)}return r&&D(r.then)?r.then(function(){return t(e)},g):t(e)}function $(e,t,n,r){var i=new s;return p(i,e),i.then(t,n,r)}function w(e){if(!D(e))throw M("norslvr",e);var t=new s;return e(function(e){p(t,e)},function(e){f(t,e)}),t}var M=r("$q",TypeError),k=0,E=[];c(s.prototype,{then:function(e,t,n){if(b(e)&&b(t)&&b(n))return this;var r=new s;return this.$$state.pending=this.$$state.pending||[],this.$$state.pending.push([r,e,t,n]),0<this.$$state.status&&u(this.$$state),r},catch:function(e){return this.then(null,e)},finally:function(e,t){return this.then(function(t){return v(t,S,e)},function(t){return v(t,g,e)},t)}});var S=$;return w.prototype=s.prototype,w.defer=i,w.reject=g,w.when=$,w.resolve=S,w.all=function(e){var t=new s,n=0,r=C(e)?[]:{};return a(e,function(e,i){n++,$(e).then(function(e){r[i]=e,--n||p(t,r)},function(e){f(t,e)})}),0===n&&p(t,r),t},w.race=function(e){var t=i();return a(e,function(e){$(e).then(t.resolve,t.reject)}),t.promise},w}function an(){this.$get=["$window","$timeout",function(e,t){var n=e.requestAnimationFrame||e.webkitRequestAnimationFrame,r=e.cancelAnimationFrame||e.webkitCancelAnimationFrame||e.webkitCancelRequestAnimationFrame,i=!!n,a=i?function(e){var t=n(e);return function(){r(t)}}:function(e){var n=t(e,16.66,!1);return function(){t.cancel(n)}};return a.supported=i,a}]}function on(){function e(e){function t(){this.$$watchers=this.$$nextSibling=this.$$childHead=this.$$childTail=null,this.$$listeners={},this.$$listenerCount={},this.$$watchersCount=0,this.$id=++Ar,this.$$ChildScope=null,this.$$suspended=!1}return t.prototype=e,t}var t=10,n=r("$rootScope"),o=null,s=null;this.digestTtl=function(e){return arguments.length&&(t=e),t},this.$get=["$exceptionHandler","$parse","$browser",function(r,l,u){function c(e){e.currentScope.$$destroyed=!0}function p(e){9===mr&&(e.$$childHead&&p(e.$$childHead),e.$$nextSibling&&p(e.$$nextSibling)),e.$parent=e.$$nextSibling=e.$$prevSibling=e.$$childHead=e.$$childTail=e.$root=e.$$watchers=null}function d(){this.$id=++Ar,this.$$phase=this.$parent=this.$$watchers=this.$$nextSibling=this.$$prevSibling=this.$$childHead=this.$$childTail=null,this.$root=this,this.$$suspended=this.$$destroyed=!1,this.$$listeners={},this.$$listenerCount={},this.$$watchersCount=0,this.$$isolateBindings=null}function f(e){if(M.$$phase)throw n("inprog",M.$$phase);M.$$phase=e}function m(e,t){do{e.$$watchersCount+=t}while(e=e.$parent)}function g(e,t,n){do{e.$$listenerCount[n]-=t,0===e.$$listenerCount[n]&&delete e.$$listenerCount[n]}while(e=e.$parent)}function v(){}function $(){for(;C.length;)try{C.shift()()}catch(e){r(e)}s=null}function w(){null===s&&(s=u.defer(function(){M.$apply($)},null,"$applyAsync"))}d.prototype={constructor:d,$new:function(t,n){var r;return n=n||this,t?(r=new d,r.$root=this.$root):(this.$$ChildScope||(this.$$ChildScope=e(this)),r=new this.$$ChildScope),r.$parent=n,r.$$prevSibling=n.$$childTail,n.$$childHead?(n.$$childTail.$$nextSibling=r,n.$$childTail=r):n.$$childHead=n.$$childTail=r,(t||n!==this)&&r.$on("$destroy",c),r},$watch:function(e,t,n,r){var i=l(e);if(t=D(t)?t:h,i.$$watchDelegate)return i.$$watchDelegate(this,t,n,i,e);var a=this,s=a.$$watchers,u={fn:t,last:v,get:i,exp:r||e,eq:!!n};return o=null,s||(s=a.$$watchers=[],s.$$digestWatchIndex=-1),s.unshift(u),s.$$digestWatchIndex++,m(this,1),function(){var e=U(s,u);0<=e&&(m(a,-1),e<s.$$digestWatchIndex&&s.$$digestWatchIndex--),o=null}},$watchGroup:function(e,t){function n(){l=!1;try{u?(u=!1,t(i,i,s)):t(i,r,s)}finally{for(var n=0;n<e.length;n++)r[n]=i[n]}}var r=Array(e.length),i=Array(e.length),o=[],s=this,l=!1,u=!0;if(!e.length){var c=!0;return s.$evalAsync(function(){c&&t(i,i,s)}),function(){c=!1}}return 1===e.length?this.$watch(e[0],function(e,n,a){i[0]=e,r[0]=n,t(i,e===n?i:r,a)}):(a(e,function(e,t){var r=s.$watch(e,function(e){i[t]=e,l||(l=!0,s.$evalAsync(n))});o.push(r)}),function(){for(;o.length;)o.shift()()})},$watchCollection:function(e,t){function n(e){r=e;var t,n,o;if(!b(r)){if(y(r))if(i(r))for(a!==d&&(a=d,m=a.length=0,c++),e=r.length,m!==e&&(c++,a.length=m=e),t=0;t<e;t++)o=a[t],n=r[t],o!==o&&n!==n||o===n||(c++,a[t]=n);else{a!==f&&(a=f={},m=0,c++),e=0;for(t in r)wr.call(r,t)&&(e++,n=r[t],o=a[t],t in a?o!==o&&n!==n||o===n||(c++,a[t]=n):(m++,a[t]=n,c++));if(m>e)for(t in c++,a)wr.call(r,t)||(m--,delete a[t])}else a!==r&&(a=r,c++);return c}}n.$$pure=l(e).literal,n.$stateful=!n.$$pure;var r,a,o,s=this,u=1<t.length,c=0,p=l(e,n),d=[],f={},h=!0,m=0;return this.$watch(p,function(){if(h?(h=!1,t(r,r,s)):t(r,o,s),u)if(y(r))if(i(r)){o=Array(r.length);for(var e=0;e<r.length;e++)o[e]=r[e]}else for(e in o={},r)wr.call(r,e)&&(o[e]=r[e]);else o=r})},$digest:function(){var e,i,a,l,c,p,d,h,m,g,b=t,y=k.length?M:this,w=[];f("$digest"),u.$$checkUrlChange(),this===M&&null!==s&&(u.defer.cancel(s),$()),o=null;do{for(d=!1,h=y,p=0;p<k.length;p++){try{g=k[p],(l=g.fn)(g.scope,g.locals)}catch(e){r(e)}o=null}k.length=0;e:do{if(p=!h.$$suspended&&h.$$watchers)for(p.$$digestWatchIndex=p.length;p.$$digestWatchIndex--;)try{if(e=p[p.$$digestWatchIndex])if(c=e.get,(i=c(h))===(a=e.last)||(e.eq?H(i,a):Pr(i)&&Pr(a))){if(e===o){d=!1;break e}}else d=!0,o=e,e.last=e.eq?F(i,null):i,l=e.fn,l(i,a===v?i:a,h),5>b&&(m=4-b,w[m]||(w[m]=[]),w[m].push({msg:D(e.exp)?"fn: "+(e.exp.name||e.exp.toString()):e.exp,newVal:i,oldVal:a}))}catch(e){r(e)}if(!(p=!h.$$suspended&&h.$$watchersCount&&h.$$childHead||h!==y&&h.$$nextSibling))for(;h!==y&&!(p=h.$$nextSibling);)h=h.$parent}while(h=p);if((d||k.length)&&!b--)throw M.$$phase=null,n("infdig",t,w)}while(d||k.length);for(M.$$phase=null;x<E.length;)try{E[x++]()}catch(e){r(e)}E.length=x=0,u.$$checkUrlChange()},$suspend:function(){this.$$suspended=!0},$isSuspended:function(){return this.$$suspended},$resume:function(){this.$$suspended=!1},$destroy:function(){if(!this.$$destroyed){var e=this.$parent;this.$broadcast("$destroy"),this.$$destroyed=!0,this===M&&u.$$applicationDestroyed(),m(this,-this.$$watchersCount);for(var t in this.$$listenerCount)g(this,this.$$listenerCount[t],t);e&&e.$$childHead===this&&(e.$$childHead=this.$$nextSibling),e&&e.$$childTail===this&&(e.$$childTail=this.$$prevSibling),this.$$prevSibling&&(this.$$prevSibling.$$nextSibling=this.$$nextSibling),this.$$nextSibling&&(this.$$nextSibling.$$prevSibling=this.$$prevSibling),this.$destroy=this.$digest=this.$apply=this.$evalAsync=this.$applyAsync=h,this.$on=this.$watch=this.$watchGroup=function(){return h},this.$$listeners={},this.$$nextSibling=null,p(this)}},$eval:function(e,t){return l(e)(this,t)},$evalAsync:function(e,t){M.$$phase||k.length||u.defer(function(){k.length&&M.$digest()},null,"$evalAsync"),k.push({scope:this,fn:l(e),locals:t})},$$postDigest:function(e){E.push(e)},$apply:function(e){try{f("$apply");try{return this.$eval(e)}finally{M.$$phase=null}}catch(e){r(e)}finally{try{M.$digest()}catch(e){throw r(e),e}}},$applyAsync:function(e){function t(){n.$eval(e)}var n=this;e&&C.push(t),e=l(e),w()},$on:function(e,t){var n=this.$$listeners[e];n||(this.$$listeners[e]=n=[]),n.push(t);var r=this;do{r.$$listenerCount[e]||(r.$$listenerCount[e]=0),r.$$listenerCount[e]++}while(r=r.$parent);var i=this;return function(){var r=n.indexOf(t);-1!==r&&(delete n[r],g(i,1,e))}},$emit:function(e,t){var n,i,a,o=[],s=this,l=!1,u={name:e,targetScope:s,stopPropagation:function(){l=!0},preventDefault:function(){u.defaultPrevented=!0},defaultPrevented:!1},c=j([u],arguments,1);do{for(n=s.$$listeners[e]||o,u.currentScope=s,i=0,a=n.length;i<a;i++)if(n[i])try{n[i].apply(null,c)}catch(e){r(e)}else n.splice(i,1),i--,a--;if(l)break;s=s.$parent}while(s);return u.currentScope=null,u},$broadcast:function(e,t){var n=this,i=this,a={name:e,targetScope:this,preventDefault:function(){a.defaultPrevented=!0},defaultPrevented:!1};if(!this.$$listenerCount[e])return a;for(var o,s,l=j([a],arguments,1);n=i;){for(a.currentScope=n,i=n.$$listeners[e]||[],o=0,s=i.length;o<s;o++)if(i[o])try{i[o].apply(null,l)}catch(e){r(e)}else i.splice(o,1),o--,s--;if(!(i=n.$$listenerCount[e]&&n.$$childHead||n!==this&&n.$$nextSibling))for(;n!==this&&!(i=n.$$nextSibling);)n=n.$parent}return a.currentScope=null,a}};var M=new d,k=M.$$asyncQueue=[],E=M.$$postDigestQueue=[],C=M.$$applyAsyncQueue=[],x=0;return M}]}function sn(){var e=/^\s*(https?|s?ftp|mailto|tel|file):/,t=/^\s*((https?|ftp|file|blob):|data:image\/)/;this.aHrefSanitizationTrustedUrlList=function(t){return $(t)?(e=t,this):e},this.imgSrcSanitizationTrustedUrlList=function(e){return $(e)?(t=e,this):t},this.$get=function(){return function(n,r){var i=r?t:e,a=bn(n&&n.trim()).href;return""===a||a.match(i)?n:"unsafe:"+a}}}function ln(e){if("self"===e)return e;if(M(e)){if(-1<e.indexOf("***"))throw na("iwcard",e);return e=Lr(e).replace(/\\\*\\\*/g,".*").replace(/\\\*/g,"[^:/.?&;]*"),new RegExp("^"+e+"$")}if(S(e))return new RegExp("^"+e.source+"$");throw na("imatcher")}function un(e){var t=[];return $(e)&&a(e,function(e){t.push(ln(e))}),t}function cn(){this.SCE_CONTEXTS=ra;var t=["self"],n=[];this.trustedResourceUrlList=function(e){return arguments.length&&(t=un(e)),t},Object.defineProperty(this,"resourceUrlWhitelist",{get:function(){return this.trustedResourceUrlList},set:function(e){this.trustedResourceUrlList=e}}),this.bannedResourceUrlList=function(e){return arguments.length&&(n=un(e)),n},Object.defineProperty(this,"resourceUrlBlacklist",{get:function(){return this.bannedResourceUrlList},set:function(e){this.bannedResourceUrlList=e}}),this.$get=["$injector","$$sanitizeUri",function(r,i){function a(t,n){var r;return"self"===t?(r=yn(n,la))||(e.document.baseURI?r=e.document.baseURI:(ta||(ta=e.document.createElement("a"),ta.href=".",ta=ta.cloneNode(!1)),r=ta.href),r=yn(n,r)):r=!!t.exec(n.href),r}function o(e){var t=function(e){this.$$unwrapTrustedValue=function(){return e}};return e&&(t.prototype=new e),t.prototype.valueOf=function(){return this.$$unwrapTrustedValue()},t.prototype.toString=function(){return this.$$unwrapTrustedValue().toString()},t}var s=function(e){throw na("unsafe")};r.has("$sanitize")&&(s=r.get("$sanitize"));var l=o(),u={};return u[ra.HTML]=o(l),u[ra.CSS]=o(l),u[ra.MEDIA_URL]=o(l),u[ra.URL]=o(u[ra.MEDIA_URL]),u[ra.JS]=o(l),u[ra.RESOURCE_URL]=o(u[ra.URL]),{trustAs:function(e,t){var n=u.hasOwnProperty(e)?u[e]:null;if(!n)throw na("icontext",e,t);if(null===t||b(t)||""===t)return t;if("string"!=typeof t)throw na("itype",e);return new n(t)},getTrusted:function(e,r){if(null===r||b(r)||""===r)return r;var o=u.hasOwnProperty(e)?u[e]:null;if(o&&r instanceof o)return r.$$unwrapTrustedValue();if(D(r.$$unwrapTrustedValue)&&(r=r.$$unwrapTrustedValue()),e===ra.MEDIA_URL||e===ra.URL)return i(r.toString(),e===ra.MEDIA_URL);if(e===ra.RESOURCE_URL){var l,c,o=bn(r.toString()),p=!1;for(l=0,c=t.length;l<c;l++)if(a(t[l],o)){p=!0;break}if(p)for(l=0,c=n.length;l<c;l++)if(a(n[l],o)){p=!1;break}if(p)return r;throw na("insecurl",r.toString())}if(e===ra.HTML)return s(r);throw na("unsafe")},valueOf:function(e){return e instanceof l?e.$$unwrapTrustedValue():e}}}]}function pn(){var e=!0;this.enabled=function(t){return arguments.length&&(e=!!t),e},this.$get=["$parse","$sceDelegate",function(t,n){if(e&&8>mr)throw na("iequirks");var r=ge(ra);r.isEnabled=function(){return e},r.trustAs=n.trustAs,r.getTrusted=n.getTrusted,r.valueOf=n.valueOf,e||(r.trustAs=r.getTrusted=function(e,t){return t},r.valueOf=m),r.parseAs=function(e,n){var i=t(n);return i.literal&&i.constant?i:t(n,function(t){return r.getTrusted(e,t)})};var i=r.parseAs,o=r.getTrusted,s=r.trustAs;return a(ra,function(e,t){var n=Mr(t);r[("parse_as_"+n).replace(ia,$e)]=function(t){return i(e,t)},r[("get_trusted_"+n).replace(ia,$e)]=function(t){return o(e,t)},r[("trust_as_"+n).replace(ia,$e)]=function(t){return s(e,t)}}),r}]}function dn(){this.$get=["$window","$document",function(e,t){var n={},r=!((!e.nw||!e.nw.process)&&e.chrome&&(e.chrome.app&&e.chrome.app.runtime||!e.chrome.app&&e.chrome.runtime&&e.chrome.runtime.id))&&e.history&&e.history.pushState,i=d((/android (\d+)/.exec(Mr((e.navigator||{}).userAgent))||[])[1]),a=/Boxee/i.test((e.navigator||{}).userAgent),o=t[0]||{},s=o.body&&o.body.style,l=!1,u=!1;return s&&(l=!!("transition"in s||"webkitTransition"in s),u=!!("animation"in s||"webkitAnimation"in s)),{history:!(!r||4>i||a),hasEvent:function(e){if("input"===e&&mr)return!1;if(b(n[e])){var t=o.createElement("div");n[e]="on"+e in t}return n[e]},csp:Ur(),transitions:l,animations:u,android:i}}]}function fn(){this.$get=g(function(e){return new hn(e)})}function hn(e){function t(){var e=i.pop();return e&&e.cb}function n(e){for(var t=i.length-1;0<=t;--t){var n=i[t];if(n.type===e)return i.splice(t,1),n.cb}}var r={},i=[],a=this.ALL_TASKS_TYPE="$$all$$",o=this.DEFAULT_TASK_TYPE="$$default$$";this.completeTask=function(i,s){s=s||o;try{i()}finally{var l;l=s||o,r[l]&&(r[l]--,r[a]--),l=r[s];var u=r[a];if(!u||!l)for(l=u?n:t;u=l(s);)try{u()}catch(t){e.error(t)}}},this.incTaskCount=function(e){e=e||o,r[e]=(r[e]||0)+1,r[a]=(r[a]||0)+1},this.notifyWhenNoPendingTasks=function(e,t){t=t||a,r[t]?i.push({type:t,cb:e}):e()}}function mn(){var e;this.httpOptions=function(t){return t?(e=t,this):e},this.$get=["$exceptionHandler","$templateCache","$http","$q","$sce",function(t,n,r,i,a){function o(s,l){o.totalPendingRequests++,M(s)&&!b(n.get(s))||(s=a.getTrustedResourceUrl(s));var u=r.defaults&&r.defaults.transformResponse;return C(u)?u=u.filter(function(e){return e!==$t}):u===$t&&(u=null),r.get(s,c({cache:n,transformResponse:u},e)).finally(function(){o.totalPendingRequests--}).then(function(e){return n.put(s,e.data)},function(e){return l||(e=aa("tpload",s,e.status,e.statusText),t(e)),i.reject(e)})}return o.totalPendingRequests=0,o}]}function gn(){this.$get=["$rootScope","$browser","$location",function(e,t,n){return{findBindings:function(e,t,n){e=e.getElementsByClassName("ng-binding");var r=[];return a(e,function(e){var i=Or.element(e).data("$binding");i&&a(i,function(i){n?new RegExp("(^|\\s)"+Lr(t)+"(\\s|\\||$)").test(i)&&r.push(e):-1!==i.indexOf(t)&&r.push(e)})}),r},findModels:function(e,t,n){for(var r=["ng-","data-ng-","ng\\:"],i=0;i<r.length;++i){var a=e.querySelectorAll("["+r[i]+"model"+(n?"=":"*=")+'"'+t+'"]');if(a.length)return a}},getLocation:function(){return n.url()},setLocation:function(t){t!==n.url()&&(n.url(t),e.$digest())},whenStable:function(e){t.notifyWhenNoOutstandingRequests(e)}}}]}function vn(){this.$get=["$rootScope","$browser","$q","$$q","$exceptionHandler",function(e,t,n,r,i){function a(a,s,l){D(a)||(l=s,s=a,a=h);var u,c=Er.call(arguments,3),p=$(l)&&!l,d=(p?r:n).defer(),f=d.promise;return u=t.defer(function(){try{d.resolve(a.apply(null,c))}catch(e){d.reject(e),i(e)}finally{delete o[f.$$timeoutId]}p||e.$apply()},s,"$timeout"),f.$$timeoutId=u,o[u]=d,f}var o={};return a.cancel=function(e){if(!e)return!1;if(!e.hasOwnProperty("$$timeoutId"))throw oa("badprom");if(!o.hasOwnProperty(e.$$timeoutId))return!1;e=e.$$timeoutId;var n=o[e],r=n.promise;return r.$$state&&(r.$$state.pur=!0),n.reject("canceled"),delete o[e],t.defer.cancel(e)},a}]}function bn(e){return M(e)?(mr&&(sa.setAttribute("href",e),e=sa.href),sa.setAttribute("href",e),e=sa.hostname,!ua&&-1<e.indexOf(":")&&(e="["+e+"]"),{href:sa.href,protocol:sa.protocol?sa.protocol.replace(/:$/,""):"",host:sa.host,search:sa.search?sa.search.replace(/^\?/,""):"",hash:sa.hash?sa.hash.replace(/^#/,""):"",hostname:e,port:sa.port,pathname:"/"===sa.pathname.charAt(0)?sa.pathname:"/"+sa.pathname}):e}function $n(e){var t=[la].concat(e.map(bn));return function(e){return e=bn(e),t.some(yn.bind(null,e))}}function yn(e,t){return e=bn(e),t=bn(t),e.protocol===t.protocol&&e.host===t.host}function wn(){this.$get=g(e)}function Mn(e){function t(e){try{return decodeURIComponent(e)}catch(t){return e}}var n=e[0]||{},r={},i="";return function(){var e,a,o,s,l;try{e=n.cookie||""}catch(t){e=""}if(e!==i)for(i=e,e=i.split("; "),r={},o=0;o<e.length;o++)a=e[o],0<(s=a.indexOf("="))&&(l=t(a.substring(0,s)),b(r[l])&&(r[l]=t(a.substring(s+1))));return r}}function kn(){this.$get=Mn}function En(e){function t(n,r){if(y(n)){var i={};return a(n,function(e,n){i[n]=t(n,e)}),i}return e.factory(n+"Filter",r)}this.register=t,this.$get=["$injector",function(e){return function(t){return e.get(t+"Filter")}}],t("currency",Tn),t("date",jn),t("filter",Cn),t("json",zn),t("limitTo",Vn),t("lowercase",ga),t("number",On),t("orderBy",Bn),t("uppercase",va)}function Cn(){return function(e,t,n,a){if(!i(e)){if(null==e)return e;throw r("filter")("notarray",e)}a=a||"$";var o;switch(Sn(t)){case"function":break;case"boolean":case"null":case"number":case"string":o=!0;case"object":t=xn(t,n,a,o);break;default:return e}return Array.prototype.filter.call(e,t)}}function xn(e,t,n,r){var i=y(e)&&n in e;return!0===t?t=H:D(t)||(t=function(e,t){return!b(e)&&(null===e||null===t?e===t:!(y(t)||y(e)&&!v(e))&&(e=Mr(""+e),t=Mr(""+t),-1!==e.indexOf(t)))}),function(a){return i&&!y(a)?Dn(a,e[n],t,n,!1):Dn(a,e,t,n,r)}}function Dn(e,t,n,r,i,a){var o=Sn(e),s=Sn(t);if("string"===s&&"!"===t.charAt(0))return!Dn(e,t.substring(1),n,r,i);if(C(e))return e.some(function(e){return Dn(e,t,n,r,i)});switch(o){case"object":var l;if(i){for(l in e)if(l.charAt&&"$"!==l.charAt(0)&&Dn(e[l],t,n,r,!0))return!0;return!a&&Dn(e,t,n,r,!1)}if("object"===s){for(l in t)if(a=t[l],!D(a)&&!b(a)&&(o=l===r,!Dn(o?e:e[l],a,n,r,o,o)))return!1;return!0}return n(e,t);case"function":return!1;default:return n(e,t)}}function Sn(e){return null===e?"null":typeof e}function Tn(e){var t=e.NUMBER_FORMATS;return function(e,n,r){b(n)&&(n=t.CURRENCY_SYM),b(r)&&(r=t.PATTERNS[1].maxFrac);var i=n?/\u00A4/g:/\s*\u00A4\s*/g;return null==e?e:In(e,t.PATTERNS[1],t.GROUP_SEP,t.DECIMAL_SEP,r).replace(i,n)}}function On(e){var t=e.NUMBER_FORMATS;return function(e,n){return null==e?e:In(e,t.PATTERNS[0],t.GROUP_SEP,t.DECIMAL_SEP,n)}}function An(e){var t,n,r,i,a,o=0;for(-1<(n=e.indexOf(pa))&&(e=e.replace(pa,"")),0<(r=e.search(/e/i))?(0>n&&(n=r),n+=+e.slice(r+1),e=e.substring(0,r)):0>n&&(n=e.length),r=0;e.charAt(r)===da;r++);if(r===(a=e.length))t=[0],n=1;else{for(a--;e.charAt(a)===da;)a--;for(n-=r,t=[],i=0;r<=a;r++,i++)t[i]=+e.charAt(r)}return n>ca&&(t=t.splice(0,ca-1),o=n-1,n=1),{d:t,e:o,i:n}}function Pn(e,t,n,r){var i=e.d,a=i.length-e.i;if(t=b(t)?Math.min(Math.max(n,a),r):+t,n=t+e.i,r=i[n],0<n){i.splice(Math.max(e.i,n));for(var o=n;o<i.length;o++)i[o]=0}else for(a=Math.max(0,a),e.i=1,i.length=Math.max(1,n=t+1),i[0]=0,o=1;o<n;o++)i[o]=0;if(5<=r)if(0>n-1){for(r=0;r>n;r--)i.unshift(0),e.i++;i.unshift(1),e.i++}else i[n-1]++;for(;a<Math.max(0,t);a++)i.push(0);(t=i.reduceRight(function(e,t,n,r){return t+=e,r[n]=t%10,Math.floor(t/10)},0))&&(i.unshift(t),e.i++)}function In(e,t,n,r,i){if(!M(e)&&!k(e)||isNaN(e))return"";var a=!isFinite(e),o=!1,s=Math.abs(e)+"",l="";if(a)l="∞";else{for(o=An(s),Pn(o,i,t.minFrac,t.maxFrac),l=o.d,s=o.i,i=o.e,a=[],o=l.reduce(function(e,t){return e&&!t},!0);0>s;)l.unshift(0),s++;for(0<s?a=l.splice(s,l.length):(a=l,l=[0]),s=[],l.length>=t.lgSize&&s.unshift(l.splice(-t.lgSize,l.length).join(""));l.length>t.gSize;)s.unshift(l.splice(-t.gSize,l.length).join(""));l.length&&s.unshift(l.join("")),l=s.join(n),a.length&&(l+=r+a.join("")),i&&(l+="e+"+i)}return 0>e&&!o?t.negPre+l+t.negSuf:t.posPre+l+t.posSuf}function Nn(e,t,n,r){var i="";for((0>e||r&&0>=e)&&(r?e=1-e:(e=-e,i="-")),e=""+e;e.length<t;)e=da+e;return n&&(e=e.substr(e.length-t)),i+e}function Ln(e,t,n,r,i){return n=n||0,function(a){return a=a["get"+e](),(0<n||a>-n)&&(a+=n),0===a&&-12===n&&(a=12),Nn(a,t,r,i)}}function Un(e,t,n){return function(r,i){var a=r["get"+e]();return i[kr((n?"STANDALONE":"")+(t?"SHORT":"")+e)][a]}}function Fn(e){var t=new Date(e,0,1).getDay();return new Date(e,0,(4>=t?5:12)-t)}function Rn(e){return function(t){var n=Fn(t.getFullYear());return t=+new Date(t.getFullYear(),t.getMonth(),t.getDate()+(4-t.getDay()))-+n,t=1+Math.round(t/6048e5),Nn(t,e)}}function Hn(e,t){return 0>=e.getFullYear()?t.ERAS[0]:t.ERAS[1]}function jn(e){function t(e){var t;if(t=e.match(n)){e=new Date(0);var r=0,i=0,a=t[8]?e.setUTCFullYear:e.setFullYear,o=t[8]?e.setUTCHours:e.setHours;t[9]&&(r=d(t[9]+t[10]),i=d(t[9]+t[11])),a.call(e,d(t[1]),d(t[2])-1,d(t[3])),r=d(t[4]||0)-r,i=d(t[5]||0)-i,a=d(t[6]||0),t=Math.round(1e3*parseFloat("0."+(t[7]||0))),o.call(e,r,i,a,t)}return e}var n=/^(\d{4})-?(\d\d)-?(\d\d)(?:T(\d\d)(?::?(\d\d)(?::?(\d\d)(?:\.(\d+))?)?)?(Z|([+-])(\d\d):?(\d\d))?)?$/;return function(n,r,i){var o,s,l="",u=[];if(r=r||"mediumDate",r=e.DATETIME_FORMATS[r]||r,M(n)&&(n=ma.test(n)?d(n):t(n)),k(n)&&(n=new Date(n)),!E(n)||!isFinite(n.getTime()))return n;for(;r;)(s=ha.exec(r))?(u=j(u,s,1),r=u.pop()):(u.push(r),r=null);var c=n.getTimezoneOffset();return i&&(c=q(i,c),n=G(n,i,!0)),a(u,function(t){o=fa[t],l+=o?o(n,e.DATETIME_FORMATS,c):"''"===t?"'":t.replace(/(^'|'$)/g,"").replace(/''/g,"'")}),l}}function zn(){return function(e,t){return b(t)&&(t=2),_(e,t)}}function Vn(){return function(e,t,n){return t=1/0===Math.abs(Number(t))?Number(t):d(t),Pr(t)?e:(k(e)&&(e=e.toString()),i(e)?(n=!n||isNaN(n)?0:d(n),n=0>n?Math.max(0,e.length+n):n,0<=t?_n(e,n,n+t):0===n?_n(e,t,e.length):_n(e,Math.max(0,n+t),n)):e)}}function _n(e,t,n){return M(e)?e.slice(t,n):Er.call(e,t,n)}function Bn(e){function t(t){return t.map(function(t){var n=1,r=m;if(D(t))r=t;else if(M(t)&&("+"!==t.charAt(0)&&"-"!==t.charAt(0)||(n="-"===t.charAt(0)?-1:1,t=t.substring(1)),""!==t&&(r=e(t),r.constant)))var i=r(),r=function(e){return e[i]};return{get:r,descending:n}})}function n(e){switch(typeof e){case"number":case"boolean":case"string":return!0;default:return!1}}function a(e,t){var n=0,r=e.type,i=t.type;if(r===i){var i=e.value,a=t.value;"string"===r?(i=i.toLowerCase(),a=a.toLowerCase()):"object"===r&&(y(i)&&(i=e.index),y(a)&&(a=t.index)),i!==a&&(n=i<a?-1:1)}else n="undefined"===r?1:"undefined"===i?-1:"null"===r?1:"null"===i?-1:r<i?-1:1;return n}return function(e,o,s,l){if(null==e)return e;if(!i(e))throw r("orderBy")("notarray",e);C(o)||(o=[o]),0===o.length&&(o=["+"]);var u=t(o),c=s?-1:1,p=D(l)?l:a;return e=Array.prototype.map.call(e,function(e,t){return{value:e,tieBreaker:{value:t,type:"number",index:t},predicateValues:u.map(function(r){var i=r.get(e);return r=typeof i,null===i?r="null":"object"===r&&(D(i.valueOf)&&(i=i.valueOf(),n(i))||v(i)&&(i=i.toString(),n(i))),{value:i,type:r,index:t}})}}),e.sort(function(e,t){for(var n=0,r=u.length;n<r;n++){var i=p(e.predicateValues[n],t.predicateValues[n]);if(i)return i*u[n].descending*c}return(p(e.tieBreaker,t.tieBreaker)||a(e.tieBreaker,t.tieBreaker))*c}),e=e.map(function(e){return e.value})}}function qn(e){return D(e)&&(e={link:e}),e.restrict=e.restrict||"AC",g(e)}function Wn(e,t,n,r,i){this.$$controls=[],this.$error={},this.$$success={},this.$pending=void 0,this.$name=i(t.name||t.ngForm||"")(n),this.$dirty=!1,this.$valid=this.$pristine=!0,this.$submitted=this.$invalid=!1,this.$$parentForm=ya,this.$$element=e,this.$$animate=r,Gn(this)}function Gn(e){e.$$classCache={},e.$$classCache[no]=!(e.$$classCache[to]=e.$$element.hasClass(to))}function Yn(e){function t(e,t,n){n&&!e.$$classCache[t]?(e.$$animate.addClass(e.$$element,t),e.$$classCache[t]=!0):!n&&e.$$classCache[t]&&(e.$$animate.removeClass(e.$$element,t),e.$$classCache[t]=!1)}function n(e,n,r){n=n?"-"+ae(n,"-"):"",t(e,to+n,!0===r),t(e,no+n,!1===r)}var r=e.set,i=e.unset;e.clazz.prototype.$setValidity=function(e,a,o){b(a)?(this.$pending||(this.$pending={}),r(this.$pending,e,o)):(this.$pending&&i(this.$pending,e,o),Qn(this.$pending)&&(this.$pending=void 0)),A(a)?a?(i(this.$error,e,o),r(this.$$success,e,o)):(r(this.$error,e,o),i(this.$$success,e,o)):(i(this.$error,e,o),i(this.$$success,e,o)),this.$pending?(t(this,"ng-pending",!0),this.$valid=this.$invalid=void 0,n(this,"",null)):(t(this,"ng-pending",!1),this.$valid=Qn(this.$error),this.$invalid=!this.$valid,n(this,"",this.$valid)),a=this.$pending&&this.$pending[e]?void 0:!this.$error[e]&&(!!this.$$success[e]||null),n(this,e,a),this.$$parentForm.$setValidity(e,a,this)}}function Qn(e){if(e)for(var t in e)if(e.hasOwnProperty(t))return!1;return!0}function Kn(e){e.$formatters.push(function(t){return e.$isEmpty(t)?t:t.toString()})}function Xn(e,t,n,r,i,a){var o=Mr(t[0].type);if(!i.android){var s=!1;t.on("compositionstart",function(){s=!0}),t.on("compositionupdate",function(e){(b(e.data)||""===e.data)&&(s=!1)}),t.on("compositionend",function(){s=!1,u()})}var l,u=function(e){if(l&&(a.defer.cancel(l),l=null),!s){var i=t.val();e=e&&e.type,"password"===o||n.ngTrim&&"false"===n.ngTrim||(i=Nr(i)),(r.$viewValue!==i||""===i&&r.$$hasNativeValidators)&&r.$setViewValue(i,e)}};if(i.hasEvent("input"))t.on("input",u);else{var c=function(e,t,n){l||(l=a.defer(function(){l=null,t&&t.value===n||u(e)}))};t.on("keydown",function(e){var t=e.keyCode;91===t||15<t&&19>t||37<=t&&40>=t||c(e,this,this.value)}),i.hasEvent("paste")&&t.on("paste cut drop",c)}t.on("change",u),Ia[o]&&r.$$hasNativeValidators&&o===n.type&&t.on("keydown wheel mousedown",function(e){if(!l){var t=this.validity,n=t.badInput,r=t.typeMismatch;l=a.defer(function(){l=null,t.badInput===n&&t.typeMismatch===r||u(e)})}}),r.$render=function(){var e=r.$isEmpty(r.$viewValue)?"":r.$viewValue;t.val()!==e&&t.val(e)}}function Zn(e,t){return function(n,r){var i,o;if(E(n))return n;if(M(n)){if('"'===n.charAt(0)&&'"'===n.charAt(n.length-1)&&(n=n.substring(1,n.length-1)),Ea.test(n))return new Date(n);if(e.lastIndex=0,i=e.exec(n))return i.shift(),o=r?{yyyy:r.getFullYear(),MM:r.getMonth()+1,dd:r.getDate(),HH:r.getHours(),mm:r.getMinutes(),ss:r.getSeconds(),sss:r.getMilliseconds()/1e3}:{yyyy:1970,MM:1,dd:1,HH:0,mm:0,ss:0,sss:0},a(i,function(e,n){n<t.length&&(o[t[n]]=+e)}),i=new Date(o.yyyy,o.MM-1,o.dd,o.HH,o.mm,o.ss||0,1e3*o.sss||0),100>o.yyyy&&i.setFullYear(o.yyyy),i}return NaN}}function Jn(e,t,n,r){return function(i,a,o,s,l,u,c,p){function d(e){return e&&!(e.getTime&&e.getTime()!==e.getTime())}function f(e){return $(e)&&!E(e)?h(e)||void 0:e}function h(e,t){var r=s.$options.getOption("timezone");g&&g!==r&&(t=W(t,q(g)));var i=n(e,t);return!isNaN(i)&&r&&(i=G(i,r)),i}er(i,a,o,s,e),Xn(i,a,o,s,l,u);var m,g,v="time"===e||"datetimelocal"===e;if(s.$parsers.push(function(n){return s.$isEmpty(n)?null:t.test(n)?h(n,m):void(s.$$parserName=e)}),s.$formatters.push(function(e){if(e&&!E(e))throw ao("datefmt",e);if(d(e)){m=e;var t=s.$options.getOption("timezone");t&&(g=t,m=G(m,t,!0));var n=r;return v&&M(s.$options.getOption("timeSecondsFormat"))&&(n=r.replace("ss.sss",s.$options.getOption("timeSecondsFormat")).replace(/:$/,"")),e=c("date")(e,n,t),v&&s.$options.getOption("timeStripZeroSeconds")&&(e=e.replace(/(?::00)?(?:\.000)?$/,"")),e}return g=m=null,""}),$(o.min)||o.ngMin){var y=o.min||p(o.ngMin)(i),w=f(y);s.$validators.min=function(e){return!d(e)||b(w)||n(e)>=w},o.$observe("min",function(e){e!==y&&(w=f(e),y=e,s.$validate())})}if($(o.max)||o.ngMax){var k=o.max||p(o.ngMax)(i),C=f(k);s.$validators.max=function(e){return!d(e)||b(C)||n(e)<=C},o.$observe("max",function(e){e!==k&&(C=f(e),k=e,s.$validate())})}}}function er(e,t,n,r,i){(r.$$hasNativeValidators=y(t[0].validity))&&r.$parsers.push(function(e){var n=t.prop("validity")||{};if(!n.badInput&&!n.typeMismatch)return e;r.$$parserName=i})}function tr(e){e.$parsers.push(function(t){return e.$isEmpty(t)?null:Da.test(t)?parseFloat(t):void(e.$$parserName="number")}),e.$formatters.push(function(t){if(!e.$isEmpty(t)){if(!k(t))throw ao("numfmt",t);t=t.toString()}return t})}function nr(e){return $(e)&&!k(e)&&(e=parseFloat(e)),Pr(e)?void 0:e}function rr(e){var t=e.toString(),n=t.indexOf(".");return-1===n?-1<e&&1>e&&(e=/e-(\d+)$/.exec(t))?Number(e[1]):0:t.length-n-1}function ir(e,t,n){e=Number(e);var r=(0|e)!==e,i=(0|t)!==t,a=(0|n)!==n;if(r||i||a){var o=r?rr(e):0,s=i?rr(t):0,l=a?rr(n):0,o=Math.max(o,s,l),o=Math.pow(10,o);e*=o,t*=o,n*=o,r&&(e=Math.round(e)),i&&(t=Math.round(t)),a&&(n=Math.round(n))}return 0==(e-t)%n}function ar(e,t,n,r,i){if($(r)){if(e=e(r),!e.constant)throw ao("constexpr",n,r);return e(t)}return i}function or(e,t){function n(e,t){if(!e||!e.length)return[];if(!t||!t.length)return e;var n=[],r=0;e:for(;r<e.length;r++){for(var i=e[r],a=0;a<t.length;a++)if(i===t[a])continue e;n.push(i)}return n}function r(e){if(!e)return e;var t=e;return C(e)?t=e.map(r).join(" "):y(e)?t=Object.keys(e).filter(function(t){return e[t]}).join(" "):M(e)||(t=e+""),t}e="ngClass"+e;var i;return["$parse",function(o){return{restrict:"AC",link:function(s,l,u){function c(e,t){var n=[];return a(e,function(e){(0<t||f[e])&&(f[e]=(f[e]||0)+t,f[e]===+(0<t)&&n.push(e))}),n.join(" ")}function p(e){if(e===t){var n=d,n=c(n&&n.split(" "),1);u.$addClass(n)}else n=d,n=c(n&&n.split(" "),-1),u.$removeClass(n);h=e}var d,f=l.data("$classCounts"),h=!0;f||(f=fe(),l.data("$classCounts",f)),"ngClass"!==e&&(i||(i=o("$index",function(e){return 1&e})),s.$watch(i,p)),s.$watch(o(u[e],r),function(e){if(h===t){var r=d&&d.split(" "),i=e&&e.split(" "),a=n(r,i),r=n(i,r),a=c(a,-1),r=c(r,1);u.$addClass(r),u.$removeClass(a)}d=e})}}}]}function sr(e,t,n,r,i,a){return{restrict:"A",compile:function(o,s){var l=e(s[r]);return function(e,r){r.on(i,function(r){var i=function(){l(e,{$event:r})};if(t.$$phase)if(a)e.$evalAsync(i);else try{i()}catch(e){n(e)}else e.$apply(i)})}}}}function lr(e,t,n,r,i,a,o,s,l){this.$modelValue=this.$viewValue=Number.NaN,this.$$rawModelValue=void 0,this.$validators={},this.$asyncValidators={},this.$parsers=[],this.$formatters=[],this.$viewChangeListeners=[],this.$untouched=!0,this.$touched=!1,this.$pristine=!0,this.$dirty=!1,this.$valid=!0,this.$invalid=!1,this.$error={},this.$$success={},this.$pending=void 0,this.$name=l(n.name||"",!1)(e),this.$$parentForm=ya,this.$options=oo,this.$$updateEvents="",this.$$updateEventHandler=this.$$updateEventHandler.bind(this),this.$$parsedNgModel=i(n.ngModel),this.$$parsedNgModelAssign=this.$$parsedNgModel.assign,this.$$ngModelGet=this.$$parsedNgModel,this.$$ngModelSet=this.$$parsedNgModelAssign,this.$$pendingDebounce=null,this.$$parserValid=void 0,this.$$parserName="parse",this.$$currentValidationRunId=0,this.$$scope=e,this.$$rootScope=e.$root,this.$$attr=n,this.$$element=r,this.$$animate=a,this.$$timeout=o,this.$$parse=i,this.$$q=s,this.$$exceptionHandler=t,Gn(this),ur(this)}function ur(e){e.$$scope.$watch(function(t){return t=e.$$ngModelGet(t),t===e.$modelValue||e.$modelValue!==e.$modelValue&&t!==t||e.$$setModelValue(t),t})}function cr(e){this.$$options=e}function pr(e,t){a(t,function(t,n){$(e[n])||(e[n]=t)})}function dr(e,t){e.prop("selected",t),e.attr("selected",t)}function fr(e,t,n){if(e){if(M(e)&&(e=new RegExp("^"+e+"$")),!e.test)throw r("ngPattern")("noregexp",t,e,Y(n));return e}}function hr(e){return e=d(e),Pr(e)?-1:e}var mr,gr,vr,br,$r={objectMaxDepth:5,urlErrorParamsEnabled:!0},yr=/^\/(.+)\/([a-z]*)$/,wr=Object.prototype.hasOwnProperty,Mr=function(e){return M(e)?e.toLowerCase():e},kr=function(e){return M(e)?e.toUpperCase():e},Er=[].slice,Cr=[].splice,xr=[].push,Dr=Object.prototype.toString,Sr=Object.getPrototypeOf,Tr=r("ng"),Or=e.angular||(e.angular={}),Ar=0;mr=e.document.documentMode;var Pr=Number.isNaN||function(e){return e!==e};h.$inject=[],m.$inject=[];var Ir=/^\[object (?:Uint8|Uint8Clamped|Uint16|Uint32|Int8|Int16|Int32|Float32|Float64)Array]$/,Nr=function(e){return M(e)?e.trim():e},Lr=function(e){return e.replace(/([-()[\]{}+?*.$^|,:#<!\\])/g,"\\$1").replace(/\x08/g,"\\x08")},Ur=function(){if(!$(Ur.rules)){var t=e.document.querySelector("[ng-csp]")||e.document.querySelector("[data-ng-csp]");if(t){var n=t.getAttribute("ng-csp")||t.getAttribute("data-ng-csp");Ur.rules={noUnsafeEval:!n||-1!==n.indexOf("no-unsafe-eval"),noInlineStyle:!n||-1!==n.indexOf("no-inline-style")}}else{t=Ur;try{new Function(""),n=!1}catch(e){n=!0}t.rules={noUnsafeEval:n,noInlineStyle:!1}}}return Ur.rules},Fr=function(){if($(Fr.name_))return Fr.name_;var t,n,r,i,a=Hr.length;for(n=0;n<a;++n)if(r=Hr[n],t=e.document.querySelector("["+r.replace(":","\\:")+"jq]")){i=t.getAttribute(r+"jq");break}return Fr.name_=i},Rr=/:/g,Hr=["ng-","data-ng-","ng:","x-ng-"],jr=function(t){var n=t.currentScript;return!n||(n instanceof e.HTMLScriptElement||n instanceof e.SVGScriptElement)&&(n=n.attributes,[n.getNamedItem("src"),n.getNamedItem("href"),n.getNamedItem("xlink:href")].every(function(e){if(!e)return!0;if(!e.value)return!1;var n=t.createElement("a");if(n.href=e.value,t.location.origin===n.origin)return!0;switch(n.protocol){case"http:":case"https:":case"ftp:":case"blob:":case"file:":case"data:":return!0;default:return!1}}))}(e.document),zr=/[A-Z]/g,Vr=!1,_r=3,Br={full:"1.8.2",major:1,minor:8,dot:2,codeName:"meteoric-mining"};ke.expando="ng339";var qr=ke.cache={},Wr=1;ke._data=function(e){return this.cache[e[this.expando]]||{}};var Gr=/-([a-z])/g,Yr=/^-ms-/,Qr={mouseleave:"mouseout",mouseenter:"mouseover"},Kr=r("jqLite"),Xr=/^<([\w-]+)\s*\/?>(?:<\/\1>|)$/,Zr=/<|&#?\w+;/,Jr=/<([\w:-]+)/,ei=/<(?!area|br|col|embed|hr|img|input|link|meta|param)(([\w:-]+)[^>]*)\/>/gi,ti={thead:["table"],col:["colgroup","table"],tr:["tbody","table"],td:["tr","tbody","table"]};ti.tbody=ti.tfoot=ti.colgroup=ti.caption=ti.thead,ti.th=ti.td;var ni,ri={option:[1,'<select multiple="multiple">',"</select>"],_default:[0,"",""]};for(ni in ti){var ii=ti[ni],ai=ii.slice().reverse();ri[ni]=[ai.length,"<"+ai.join("><")+">","</"+ii.join("></")+">"]}ri.optgroup=ri.option;var oi=e.Node.prototype.contains||function(e){return!!(16&this.compareDocumentPosition(e))},si=ke.prototype={ready:ze,toString:function(){var e=[];return a(this,function(t){e.push(""+t)}),"["+e.join(", ")+"]"},eq:function(e){return gr(0<=e?this[e]:this[this.length+e])},length:0,push:xr,sort:[].sort,splice:[].splice},li={};a("multiple selected checked disabled readOnly required open".split(" "),function(e){li[Mr(e)]=e});var ui={};a("input select option textarea button form details".split(" "),function(e){ui[e]=!0});var ci={ngMinlength:"minlength",ngMaxlength:"maxlength",ngMin:"min",ngMax:"max",ngPattern:"pattern",ngStep:"step"};a({data:Ae,removeData:Te,hasData:function(e){for(var t in qr[e.ng339])return!0;return!1},cleanData:function(e){for(var t=0,n=e.length;t<n;t++)Te(e[t]),Se(e[t])}},function(e,t){ke[t]=e}),a({data:Ae,inheritedData:Fe,scope:function(e){return gr.data(e,"$scope")||Fe(e.parentNode||e,["$isolateScope","$scope"])},isolateScope:function(e){return gr.data(e,"$isolateScope")||gr.data(e,"$isolateScopeNoTemplate")},controller:Ue,injector:function(e){return Fe(e,"$injector")},removeAttr:function(e,t){e.removeAttribute(t)},hasClass:Pe,css:function(e,t,n){if(t=ye(t.replace(Yr,"ms-")),!$(n))return e.style[t];e.style[t]=n},attr:function(e,t,n){var r=e.nodeType;if(r!==_r&&2!==r&&8!==r&&e.getAttribute){var r=Mr(t),i=li[r];if(!$(n))return e=e.getAttribute(t),i&&null!==e&&(e=r),null===e?void 0:e;null===n||!1===n&&i?e.removeAttribute(t):e.setAttribute(t,i?r:n)}},prop:function(e,t,n){if(!$(n))return e[t];e[t]=n},text:function(){function e(e,t){if(b(t)){var n=e.nodeType;return 1===n||n===_r?e.textContent:""}e.textContent=t}return e.$dv="",e}(),val:function(e,t){if(b(t)){if(e.multiple&&"select"===L(e)){var n=[];return a(e.options,function(e){e.selected&&n.push(e.value||e.text)}),n}return e.value}e.value=t},html:function(e,t){if(b(t))return e.innerHTML;Ce(e,!0),e.innerHTML=t},empty:Re},function(e,t){ke.prototype[t]=function(t,n){var r,i,a=this.length;if(e!==Re&&b(2===e.length&&e!==Pe&&e!==Ue?t:n)){if(y(t)){for(r=0;r<a;r++)if(e===Ae)e(this[r],t);else for(i in t)e(this[r],i,t[i]);return this}for(r=e.$dv,a=b(r)?Math.min(a,1):a,i=0;i<a;i++){var o=e(this[i],t,n);r=r?r+o:o}return r}for(r=0;r<a;r++)e(this[r],t,n);return this}}),a({removeData:Te,on:function(e,t,n,r){if($(r))throw Kr("onargs");if(we(e)){r=Oe(e,!0);var i=r.events,a=r.handle;a||(a=r.handle=_e(e,i)),r=0<=t.indexOf(" ")?t.split(" "):[t];for(var o=r.length,s=function(t,r,o){var s=i[t];s||(s=i[t]=[],s.specialHandlerWrapper=r,"$destroy"===t||o||e.addEventListener(t,a)),s.push(n)};o--;)t=r[o],Qr[t]?(s(Qr[t],qe),s(t,void 0,!0)):s(t)}},off:Se,one:function(e,t,n){e=gr(e),e.on(t,function r(){e.off(t,n),e.off(t,r)}),e.on(t,n)},replaceWith:function(e,t){var n,r=e.parentNode;Ce(e),a(new ke(t),function(t){n?r.insertBefore(t,n.nextSibling):r.replaceChild(t,e),n=t})},children:function(e){var t=[];return a(e.childNodes,function(e){1===e.nodeType&&t.push(e)}),t},contents:function(e){return e.contentDocument||e.childNodes||[]},append:function(e,t){var n=e.nodeType;if(1===n||11===n){t=new ke(t);for(var n=0,r=t.length;n<r;n++)e.appendChild(t[n])}},prepend:function(e,t){if(1===e.nodeType){var n=e.firstChild;a(new ke(t),function(t){e.insertBefore(t,n)})}},wrap:function(e,t){var n=gr(t).eq(0).clone()[0],r=e.parentNode;r&&r.replaceChild(n,e),n.appendChild(e)},remove:He,detach:function(e){He(e,!0)},after:function(e,t){var n=e,r=e.parentNode;if(r){t=new ke(t);for(var i=0,a=t.length;i<a;i++){var o=t[i];r.insertBefore(o,n.nextSibling),n=o}}},addClass:Ne,removeClass:Ie,toggleClass:function(e,t,n){t&&a(t.split(" "),function(t){var r=n;b(r)&&(r=!Pe(e,t)),(r?Ne:Ie)(e,t)})},parent:function(e){return(e=e.parentNode)&&11!==e.nodeType?e:null},next:function(e){return e.nextElementSibling},find:function(e,t){return e.getElementsByTagName?e.getElementsByTagName(t):[]},clone:Ee,triggerHandler:function(e,t,n){var r,i,o=t.type||t,s=Oe(e);(s=(s=s&&s.events)&&s[o])&&(r={preventDefault:function(){this.defaultPrevented=!0},isDefaultPrevented:function(){return!0===this.defaultPrevented},stopImmediatePropagation:function(){this.immediatePropagationStopped=!0},isImmediatePropagationStopped:function(){return!0===this.immediatePropagationStopped},stopPropagation:h,type:o,target:e},t.type&&(r=c(r,t)),t=ge(s),i=n?[r].concat(n):[r],a(t,function(t){r.isImmediatePropagationStopped()||t.apply(e,i)}))}},function(e,t){ke.prototype[t]=function(t,n,r){for(var i,a=0,o=this.length;a<o;a++)b(i)?(i=e(this[a],t,n,r),$(i)&&(i=gr(i))):Le(i,e(this[a],t,n,r));return $(i)?i:this}}),ke.prototype.bind=ke.prototype.on,ke.prototype.unbind=ke.prototype.off;var pi=Object.create(null);Ye.prototype={_idx:function(e){return e!==this._lastKey&&(this._lastKey=e,this._lastIndex=this._keys.indexOf(e)),this._lastIndex},_transformKey:function(e){return Pr(e)?pi:e},get:function(e){if(e=this._transformKey(e),-1!==(e=this._idx(e)))return this._values[e]},has:function(e){return e=this._transformKey(e),-1!==this._idx(e)},set:function(e,t){e=this._transformKey(e);var n=this._idx(e);-1===n&&(n=this._lastIndex=this._keys.length),this._keys[n]=e,this._values[n]=t},delete:function(e){return e=this._transformKey(e),-1!==(e=this._idx(e))&&(this._keys.splice(e,1),this._values.splice(e,1),this._lastKey=NaN,this._lastIndex=-1,!0)}};var di=Ye,fi=[function(){this.$get=[function(){return di}]}],hi=/^([^(]+?)=>/,mi=/^[^(]*\(\s*([^)]*)\)/m,gi=/,/,vi=/^\s*(_?)(\S+?)\1\s*$/,bi=/((\/\/.*$)|(\/\*[\s\S]*?\*\/))/gm,$i=r("$injector");Xe.$$annotate=function(e,t,n){var r;if("function"==typeof e){if(!(r=e.$inject)){if(r=[],e.length){if(t)throw M(n)&&n||(n=e.name||Ke(e)),$i("strictdi",n);t=Qe(e),a(t[1].split(gi),function(e){e.replace(vi,function(e,t,n){r.push(n)})})}e.$inject=r}}else C(e)?(t=e.length-1,ue(e[t],"fn"),r=e.slice(0,t)):ue(e,"fn",!0);return r};var yi=r("$animate"),wi=function(){this.$get=h},Mi=function(){var e=new di,t=[];this.$get=["$$AnimateRunner","$rootScope",function(n,r){function i(e,t,n){var r=!1;return t&&(t=M(t)?t.split(" "):C(t)?t:[],a(t,function(t){t&&(r=!0,e[t]=n)})),r}function o(){a(t,function(t){var n=e.get(t);if(n){var r=et(t.attr("class")),i="",o="";a(n,function(e,t){e!==!!r[t]&&(e?i+=(i.length?" ":"")+t:o+=(o.length?" ":"")+t)}),a(t,function(e){i&&Ne(e,i),o&&Ie(e,o)}),e.delete(t)}}),t.length=0}return{enabled:h,on:h,off:h,pin:h,push:function(a,s,l,u){return u&&u(),l=l||{},l.from&&a.css(l.from),l.to&&a.css(l.to),(l.addClass||l.removeClass)&&(s=l.addClass,u=l.removeClass,l=e.get(a)||{},s=i(l,s,!0),u=i(l,u,!1),(s||u)&&(e.set(a,l),t.push(a),1===t.length&&r.$$postDigest(o))),a=new n,a.complete(),a}}}]},ki=["$provide",function(e){var t=this,n=null,r=null;this.$$registeredAnimations=Object.create(null),this.register=function(n,r){if(n&&"."!==n.charAt(0))throw yi("notcsel",n);var i=n+"-animation";t.$$registeredAnimations[n.substr(1)]=i,e.factory(i,r)},this.customFilter=function(e){return 1===arguments.length&&(r=D(e)?e:null),r},this.classNameFilter=function(e){if(1===arguments.length&&(n=e instanceof RegExp?e:null)&&/[(\s|\/)]ng-animate[(\s|\/)]/.test(n.toString()))throw n=null,yi("nongcls","ng-animate");return n},this.$get=["$$animateQueue",function(e){function t(e,t,n){if(n){var r;e:{for(r=0;r<n.length;r++){var i=n[r];if(1===i.nodeType){r=i;break e}}r=void 0}!r||r.parentNode||r.previousElementSibling||(n=null)}n?n.after(e):t.prepend(e)}return{on:e.on,off:e.off,pin:e.pin,enabled:e.enabled,cancel:function(e){e.cancel&&e.cancel()},enter:function(n,r,i,a){return r=r&&gr(r),i=i&&gr(i),r=r||i.parent(),t(n,r,i),e.push(n,"enter",tt(a))},move:function(n,r,i,a){return r=r&&gr(r),i=i&&gr(i),r=r||i.parent(),t(n,r,i),e.push(n,"move",tt(a))},leave:function(t,n){return e.push(t,"leave",tt(n),function(){t.remove()})},addClass:function(t,n,r){return r=tt(r),r.addClass=Je(r.addclass,n),e.push(t,"addClass",r)},removeClass:function(t,n,r){return r=tt(r),r.removeClass=Je(r.removeClass,n),e.push(t,"removeClass",r)},setClass:function(t,n,r,i){return i=tt(i),i.addClass=Je(i.addClass,n),i.removeClass=Je(i.removeClass,r),e.push(t,"setClass",i)},animate:function(t,n,r,i,a){return a=tt(a),a.from=a.from?c(a.from,n):n,a.to=a.to?c(a.to,r):r,a.tempClasses=Je(a.tempClasses,i||"ng-inline-animate"),e.push(t,"animate",a)}}}]}],Ei=function(){this.$get=["$$rAF",function(e){function t(t){n.push(t),1<n.length||e(function(){for(var e=0;e<n.length;e++)n[e]();n=[]})}var n=[];return function(){var e=!1;return t(function(){e=!0}),function(n){e?n():t(n)}}}]},Ci=function(){this.$get=["$q","$sniffer","$$animateAsyncRun","$$isDocumentHidden","$timeout",function(e,t,n,r,i){function o(e){this.setHost(e);var t=n();this._doneCallbacks=[],this._tick=function(e){r()?i(e,0,!1):t(e)},this._state=0}return o.chain=function(e,t){function n(){r===e.length?t(!0):e[r](function(e){!1===e?t(!1):(r++,n())})}var r=0;n()},o.all=function(e,t){function n(n){i=i&&n,++r===e.length&&t(i)}var r=0,i=!0;a(e,function(e){e.done(n)})},o.prototype={setHost:function(e){this.host=e||{}},done:function(e){2===this._state?e():this._doneCallbacks.push(e)},progress:h,getPromise:function(){if(!this.promise){var t=this;this.promise=e(function(e,n){t.done(function(t){!1===t?n():e()})})}return this.promise},then:function(e,t){return this.getPromise().then(e,t)},catch:function(e){return this.getPromise().catch(e)},finally:function(e){return this.getPromise().finally(e)},pause:function(){this.host.pause&&this.host.pause()},resume:function(){this.host.resume&&this.host.resume()},end:function(){this.host.end&&this.host.end(),this._resolve(!0)},cancel:function(){this.host.cancel&&this.host.cancel(),this._resolve(!1)},complete:function(e){var t=this;0===t._state&&(t._state=1,t._tick(function(){t._resolve(e)}))},_resolve:function(e){2!==this._state&&(a(this._doneCallbacks,function(t){t(e)}),this._doneCallbacks.length=0,this._state=2)}},o}]},xi=function(){this.$get=["$$rAF","$q","$$AnimateRunner",function(e,t,n){return function(t,r){function i(){return e(function(){a.addClass&&(t.addClass(a.addClass),a.addClass=null),a.removeClass&&(t.removeClass(a.removeClass),a.removeClass=null),a.to&&(t.css(a.to),a.to=null),o||s.complete(),o=!0}),s}var a=r||{};a.$$prepared||(a=F(a)),a.cleanupStyles&&(a.from=a.to=null),a.from&&(t.css(a.from),a.from=null);var o,s=new n;return{start:i,end:i}}}]},Di=r("$compile"),Si=new function(){};ot.$inject=["$provide","$$sanitizeUriProvider"],st.prototype.isFirstChange=function(){return this.previousValue===Si};var Ti=/^((?:x|data)[:\-_])/i,Oi=/[:\-_]+(.)/g,Ai=r("$controller"),Pi=/^(\S+)(\s+as\s+([\w$]+))?$/,Ii=function(){this.$get=["$document",function(e){return function(t){return t?!t.nodeType&&t instanceof gr&&(t=t[0]):t=e[0].body,t.offsetWidth+1}}]},Ni="application/json",Li={"Content-Type":Ni+";charset=utf-8"},Ui=/^\[|^\{(?!\{)/,Fi={"[":/]$/,"{":/}$/},Ri=/^\)]\}',?\n/,Hi=r("$http"),ji=Or.$interpolateMinErr=r("$interpolate");ji.throwNoconcat=function(e){throw ji("noconcat",e)},ji.interr=function(e,t){return ji("interr",e,t.toString())};var zi=r("$interval"),Vi=function(){this.$get=function(){function e(e){var t=function(e){t.data=e,t.called=!0};return t.id=e,t}var t=Or.callbacks,n={};return{createCallback:function(r){r="_"+(t.$$counter++).toString(36);var i="angular.callbacks."+r,a=e(r);return n[i]=t[r]=a,i},wasCalled:function(e){return n[e].called},getResponse:function(e){return n[e].data},removeCallback:function(e){delete t[n[e].id],delete n[e]}}}},_i=/^([^?#]*)(\?([^#]*))?(#(.*))?$/,Bi={http:80,https:443,ftp:21},qi=r("$location"),Wi=/^\s*[\\\/]{2,}/,Gi={$$absUrl:"",$$html5:!1,$$replace:!1,$$compose:function(){for(var e=this.$$path,t=this.$$hash,n=X(this.$$search),t=t?"#"+Z(t):"",e=e.split("/"),r=e.length;r--;)e[r]=Z(e[r].replace(/%2F/g,"/"));this.$$url=e.join("/")+(n?"?"+n:"")+t,this.$$absUrl=this.$$normalizeUrl(this.$$url),this.$$urlUpdatedByLocation=!0},absUrl:Rt("$$absUrl"),url:function(e){if(b(e))return this.$$url;var t=_i.exec(e);return(t[1]||""===e)&&this.path(decodeURIComponent(t[1])),(t[2]||t[1]||""===e)&&this.search(t[3]||""),this.hash(t[5]||""),this},protocol:Rt("$$protocol"),host:Rt("$$host"),port:Rt("$$port"),path:Ht("$$path",function(e){return e=null!==e?e.toString():"","/"===e.charAt(0)?e:"/"+e}),search:function(e,t){switch(arguments.length){case 0:return this.$$search;case 1:if(M(e)||k(e))e=e.toString(),this.$$search=K(e);else{if(!y(e))throw qi("isrcharg");e=F(e,{}),a(e,function(t,n){null==t&&delete e[n]}),this.$$search=e}break;default:b(t)||null===t?delete this.$$search[e]:this.$$search[e]=t}return this.$$compose(),this},hash:Ht("$$hash",function(e){return null!==e?e.toString():""}),replace:function(){return this.$$replace=!0,this}};a([Ft,Ut,Lt],function(e){e.prototype=Object.create(Gi),e.prototype.state=function(t){if(!arguments.length)return this.$$state;if(e!==Lt||!this.$$html5)throw qi("nostate");return this.$$state=b(t)?null:t,this.$$urlUpdatedByLocation=!0,this}});var Yi=r("$parse"),Qi={}.constructor.prototype.valueOf,Ki=fe();a("+ - * / % === !== == != < > <= >= && || ! = |".split(" "),function(e){Ki[e]=!0});var Xi={n:"\n",f:"\f",r:"\r",t:"\t",v:"\v","'":"'",'"':'"'},Zi=function(e){this.options=e};Zi.prototype={constructor:Zi,lex:function(e){for(this.text=e,this.index=0,this.tokens=[];this.index<this.text.length;)if('"'===(e=this.text.charAt(this.index))||"'"===e)this.readString(e);else if(this.isNumber(e)||"."===e&&this.isNumber(this.peek()))this.readNumber();else if(this.isIdentifierStart(this.peekMultichar()))this.readIdent();else if(this.is(e,"(){}[].,;:?"))this.tokens.push({index:this.index,text:e}),this.index++;else if(this.isWhitespace(e))this.index++;else{var t=e+this.peek(),n=t+this.peek(2),r=Ki[t],i=Ki[n];Ki[e]||r||i?(e=i?n:r?t:e,this.tokens.push({index:this.index,text:e,operator:!0}),this.index+=e.length):this.throwError("Unexpected next character ",this.index,this.index+1)}return this.tokens},is:function(e,t){return-1!==t.indexOf(e)},peek:function(e){return e=e||1,this.index+e<this.text.length&&this.text.charAt(this.index+e)},isNumber:function(e){return"0"<=e&&"9">=e&&"string"==typeof e},isWhitespace:function(e){return" "===e||"\r"===e||"\t"===e||"\n"===e||"\v"===e||" "===e},isIdentifierStart:function(e){return this.options.isIdentifierStart?this.options.isIdentifierStart(e,this.codePointAt(e)):this.isValidIdentifierStart(e)},isValidIdentifierStart:function(e){return"a"<=e&&"z">=e||"A"<=e&&"Z">=e||"_"===e||"$"===e},isIdentifierContinue:function(e){return this.options.isIdentifierContinue?this.options.isIdentifierContinue(e,this.codePointAt(e)):this.isValidIdentifierContinue(e)},isValidIdentifierContinue:function(e,t){return this.isValidIdentifierStart(e,t)||this.isNumber(e)},codePointAt:function(e){return 1===e.length?e.charCodeAt(0):(e.charCodeAt(0)<<10)+e.charCodeAt(1)-56613888},peekMultichar:function(){var e=this.text.charAt(this.index),t=this.peek();if(!t)return e;var n=e.charCodeAt(0),r=t.charCodeAt(0);return 55296<=n&&56319>=n&&56320<=r&&57343>=r?e+t:e},isExpOperator:function(e){return"-"===e||"+"===e||this.isNumber(e)},throwError:function(e,t,n){throw n=n||this.index,t=$(t)?"s "+t+"-"+this.index+" ["+this.text.substring(t,n)+"]":" "+n,Yi("lexerr",e,t,this.text)},readNumber:function(){for(var e="",t=this.index;this.index<this.text.length;){var n=Mr(this.text.charAt(this.index));if("."===n||this.isNumber(n))e+=n;else{var r=this.peek();if("e"===n&&this.isExpOperator(r))e+=n;else if(this.isExpOperator(n)&&r&&this.isNumber(r)&&"e"===e.charAt(e.length-1))e+=n;else{if(!this.isExpOperator(n)||r&&this.isNumber(r)||"e"!==e.charAt(e.length-1))break;this.throwError("Invalid exponent")}}this.index++}this.tokens.push({index:t,text:e,constant:!0,value:Number(e)})},readIdent:function(){var e=this.index;for(this.index+=this.peekMultichar().length;this.index<this.text.length;){var t=this.peekMultichar();if(!this.isIdentifierContinue(t))break;this.index+=t.length}this.tokens.push({index:e,text:this.text.slice(e,this.index),identifier:!0})},readString:function(e){var t=this.index;this.index++;for(var n="",r=e,i=!1;this.index<this.text.length;){var a=this.text.charAt(this.index),r=r+a;if(i)"u"===a?(i=this.text.substring(this.index+1,this.index+5),i.match(/[\da-f]{4}/i)||this.throwError("Invalid unicode escape [\\u"+i+"]"),this.index+=4,n+=String.fromCharCode(parseInt(i,16))):n+=Xi[a]||a,i=!1;else if("\\"===a)i=!0;else{if(a===e)return this.index++,void this.tokens.push({index:t,text:r,constant:!0,value:n});n+=a}this.index++}this.throwError("Unterminated quote",t)}};var Ji=function(e,t){this.lexer=e,this.options=t};Ji.Program="Program",Ji.ExpressionStatement="ExpressionStatement",Ji.AssignmentExpression="AssignmentExpression",Ji.ConditionalExpression="ConditionalExpression",Ji.LogicalExpression="LogicalExpression",Ji.BinaryExpression="BinaryExpression",Ji.UnaryExpression="UnaryExpression",Ji.CallExpression="CallExpression",Ji.MemberExpression="MemberExpression",Ji.Identifier="Identifier",Ji.Literal="Literal",Ji.ArrayExpression="ArrayExpression",Ji.Property="Property",Ji.ObjectExpression="ObjectExpression",Ji.ThisExpression="ThisExpression",Ji.LocalsExpression="LocalsExpression",Ji.NGValueParameter="NGValueParameter",Ji.prototype={ast:function(e){return this.text=e,this.tokens=this.lexer.lex(e),e=this.program(),0!==this.tokens.length&&this.throwError("is an unexpected token",this.tokens[0]),e},program:function(){for(var e=[];;)if(0<this.tokens.length&&!this.peek("}",")",";","]")&&e.push(this.expressionStatement()),!this.expect(";"))return{type:Ji.Program,body:e}},expressionStatement:function(){return{type:Ji.ExpressionStatement,expression:this.filterChain()}},filterChain:function(){for(var e=this.expression();this.expect("|");)e=this.filter(e);return e},expression:function(){return this.assignment()},assignment:function(){var e=this.ternary();if(this.expect("=")){if(!Yt(e))throw Yi("lval");e={type:Ji.AssignmentExpression,left:e,right:this.assignment(),operator:"="}}return e},ternary:function(){var e,t,n=this.logicalOR();return this.expect("?")&&(e=this.expression(),this.consume(":"))?(t=this.expression(),{type:Ji.ConditionalExpression,test:n,alternate:e,consequent:t}):n},logicalOR:function(){for(var e=this.logicalAND();this.expect("||");)e={type:Ji.LogicalExpression,operator:"||",left:e,right:this.logicalAND()};return e},logicalAND:function(){for(var e=this.equality();this.expect("&&");)e={type:Ji.LogicalExpression,operator:"&&",left:e,right:this.equality()};return e},equality:function(){for(var e,t=this.relational();e=this.expect("==","!=","===","!==");)t={type:Ji.BinaryExpression,operator:e.text,left:t,right:this.relational()};return t},relational:function(){for(var e,t=this.additive();e=this.expect("<",">","<=",">=");)t={type:Ji.BinaryExpression,operator:e.text,left:t,right:this.additive()};return t},additive:function(){for(var e,t=this.multiplicative();e=this.expect("+","-");)t={type:Ji.BinaryExpression,operator:e.text,left:t,right:this.multiplicative()};return t},multiplicative:function(){for(var e,t=this.unary();e=this.expect("*","/","%");)t={type:Ji.BinaryExpression,operator:e.text,left:t,right:this.unary()};return t},unary:function(){var e;return(e=this.expect("+","-","!"))?{type:Ji.UnaryExpression,operator:e.text,prefix:!0,argument:this.unary()}:this.primary()},primary:function(){var e;this.expect("(")?(e=this.filterChain(),this.consume(")")):this.expect("[")?e=this.arrayDeclaration():this.expect("{")?e=this.object():this.selfReferential.hasOwnProperty(this.peek().text)?e=F(this.selfReferential[this.consume().text]):this.options.literals.hasOwnProperty(this.peek().text)?e={type:Ji.Literal,value:this.options.literals[this.consume().text]}:this.peek().identifier?e=this.identifier():this.peek().constant?e=this.constant():this.throwError("not a primary expression",this.peek());for(var t;t=this.expect("(","[",".");)"("===t.text?(e={type:Ji.CallExpression,callee:e,arguments:this.parseArguments()},this.consume(")")):"["===t.text?(e={type:Ji.MemberExpression,object:e,property:this.expression(),computed:!0},this.consume("]")):"."===t.text?e={type:Ji.MemberExpression,object:e,property:this.identifier(),computed:!1}:this.throwError("IMPOSSIBLE");return e},filter:function(e){e=[e];for(var t={type:Ji.CallExpression,callee:this.identifier(),arguments:e,filter:!0};this.expect(":");)e.push(this.expression());return t},parseArguments:function(){var e=[];if(")"!==this.peekToken().text)do{e.push(this.filterChain())}while(this.expect(","));return e},identifier:function(){var e=this.consume();return e.identifier||this.throwError("is not a valid identifier",e),{type:Ji.Identifier,name:e.text}},constant:function(){return{type:Ji.Literal,value:this.consume().value}},arrayDeclaration:function(){var e=[];if("]"!==this.peekToken().text)do{if(this.peek("]"))break;e.push(this.expression())}while(this.expect(","));return this.consume("]"),{type:Ji.ArrayExpression,elements:e}},object:function(){var e,t=[];if("}"!==this.peekToken().text)do{if(this.peek("}"))break;e={type:Ji.Property,kind:"init"},this.peek().constant?(e.key=this.constant(),e.computed=!1,this.consume(":"),e.value=this.expression()):this.peek().identifier?(e.key=this.identifier(),e.computed=!1,this.peek(":")?(this.consume(":"),e.value=this.expression()):e.value=e.key):this.peek("[")?(this.consume("["),e.key=this.expression(),this.consume("]"),e.computed=!0,this.consume(":"),e.value=this.expression()):this.throwError("invalid key",this.peek()),t.push(e)}while(this.expect(","));return this.consume("}"),{type:Ji.ObjectExpression,properties:t}},throwError:function(e,t){throw Yi("syntax",t.text,e,t.index+1,this.text,this.text.substring(t.index))},consume:function(e){if(0===this.tokens.length)throw Yi("ueoe",this.text);var t=this.expect(e);return t||this.throwError("is unexpected, expecting ["+e+"]",this.peek()),t},peekToken:function(){if(0===this.tokens.length)throw Yi("ueoe",this.text);return this.tokens[0]},peek:function(e,t,n,r){return this.peekAhead(0,e,t,n,r)},peekAhead:function(e,t,n,r,i){if(this.tokens.length>e){e=this.tokens[e];var a=e.text;if(a===t||a===n||a===r||a===i||!(t||n||r||i))return e}return!1},expect:function(e,t,n,r){return!!(e=this.peek(e,t,n,r))&&(this.tokens.shift(),e)},selfReferential:{this:{type:Ji.ThisExpression},$locals:{type:Ji.LocalsExpression}}};var ea=2;Kt.prototype={compile:function(e){var t=this;this.state={nextId:0,filters:{},fn:{vars:[],body:[],own:{}},assign:{vars:[],body:[],own:{}},inputs:[]},Wt(e,t.$filter);var n,r="";return this.stage="assign",(n=Qt(e))&&(this.state.computing="assign",r=this.nextId(),this.recurse(n,r),this.return_(r),r="fn.assign="+this.generateFunction("assign","s,v,l")),n=Gt(e.body),t.stage="inputs",a(n,function(e,n){var r="fn"+n;t.state[r]={vars:[],body:[],own:{}},t.state.computing=r;var i=t.nextId();t.recurse(e,i),t.return_(i),t.state.inputs.push({name:r,isPure:e.isPure}),e.watchId=n}),this.state.computing="fn",this.stage="main",this.recurse(e),e='"'+this.USE+" "+this.STRICT+'";\n'+this.filterPrefix()+"var fn="+this.generateFunction("fn","s,l,a,i")+r+this.watchFns()+"return fn;",e=new Function("$filter","getStringValue","ifDefined","plus",e)(this.$filter,Vt,_t,Bt),this.state=this.stage=void 0,e},USE:"use",STRICT:"strict",watchFns:function(){var e=[],t=this.state.inputs,n=this;return a(t,function(t){e.push("var "+t.name+"="+n.generateFunction(t.name,"s")),t.isPure&&e.push(t.name,".isPure="+JSON.stringify(t.isPure)+";")}),t.length&&e.push("fn.inputs=["+t.map(function(e){return e.name}).join(",")+"];"),e.join("")},generateFunction:function(e,t){return"function("+t+"){"+this.varsPrefix(e)+this.body(e)+"};"},filterPrefix:function(){var e=[],t=this;return a(this.state.filters,function(n,r){e.push(n+"=$filter("+t.escape(r)+")")}),e.length?"var "+e.join(",")+";":""},varsPrefix:function(e){return this.state[e].vars.length?"var "+this.state[e].vars.join(",")+";":""},body:function(e){return this.state[e].body.join("")},recurse:function(e,t,n,r,i,o){var s,l,u,c,p,d=this;if(r=r||h,!o&&$(e.watchId))t=t||this.nextId(),this.if_("i",this.lazyAssign(t,this.computedMember("i",e.watchId)),this.lazyRecurse(e,t,n,r,i,!0));else switch(e.type){case Ji.Program:a(e.body,function(t,n){d.recurse(t.expression,void 0,void 0,function(e){l=e}),n!==e.body.length-1?d.current().body.push(l,";"):d.return_(l)});break;case Ji.Literal:c=this.escape(e.value),this.assign(t,c),r(t||c);break;case Ji.UnaryExpression:this.recurse(e.argument,void 0,void 0,function(e){l=e}),c=e.operator+"("+this.ifDefined(l,0)+")",this.assign(t,c),r(c);break;case Ji.BinaryExpression:this.recurse(e.left,void 0,void 0,function(e){s=e}),this.recurse(e.right,void 0,void 0,function(e){l=e}),c="+"===e.operator?this.plus(s,l):"-"===e.operator?this.ifDefined(s,0)+e.operator+this.ifDefined(l,0):"("+s+")"+e.operator+"("+l+")",this.assign(t,c),r(c);break;case Ji.LogicalExpression:t=t||this.nextId(),d.recurse(e.left,t),d.if_("&&"===e.operator?t:d.not(t),d.lazyRecurse(e.right,t)),r(t);break;case Ji.ConditionalExpression:t=t||this.nextId(),d.recurse(e.test,t),d.if_(t,d.lazyRecurse(e.alternate,t),d.lazyRecurse(e.consequent,t)),r(t);break;case Ji.Identifier:t=t||this.nextId(),n&&(n.context="inputs"===d.stage?"s":this.assign(this.nextId(),this.getHasOwnProperty("l",e.name)+"?l:s"),n.computed=!1,n.name=e.name),d.if_("inputs"===d.stage||d.not(d.getHasOwnProperty("l",e.name)),function(){d.if_("inputs"===d.stage||"s",function(){i&&1!==i&&d.if_(d.isNull(d.nonComputedMember("s",e.name)),d.lazyAssign(d.nonComputedMember("s",e.name),"{}")),d.assign(t,d.nonComputedMember("s",e.name))})},t&&d.lazyAssign(t,d.nonComputedMember("l",e.name))),r(t);break;case Ji.MemberExpression:s=n&&(n.context=this.nextId())||this.nextId(),t=t||this.nextId(),d.recurse(e.object,s,void 0,function(){d.if_(d.notNull(s),function(){e.computed?(l=d.nextId(),d.recurse(e.property,l),d.getStringValue(l),i&&1!==i&&d.if_(d.not(d.computedMember(s,l)),d.lazyAssign(d.computedMember(s,l),"{}")),c=d.computedMember(s,l),d.assign(t,c),n&&(n.computed=!0,n.name=l)):(i&&1!==i&&d.if_(d.isNull(d.nonComputedMember(s,e.property.name)),d.lazyAssign(d.nonComputedMember(s,e.property.name),"{}")),c=d.nonComputedMember(s,e.property.name),d.assign(t,c),n&&(n.computed=!1,n.name=e.property.name))},function(){d.assign(t,"undefined")}),r(t)},!!i);break;case Ji.CallExpression:t=t||this.nextId(),e.filter?(l=d.filter(e.callee.name),u=[],a(e.arguments,function(e){var t=d.nextId();d.recurse(e,t),u.push(t)}),c=l+"("+u.join(",")+")",d.assign(t,c),r(t)):(l=d.nextId(),s={},u=[],d.recurse(e.callee,l,s,function(){d.if_(d.notNull(l),function(){a(e.arguments,function(t){d.recurse(t,e.constant?void 0:d.nextId(),void 0,function(e){u.push(e)})}),c=s.name?d.member(s.context,s.name,s.computed)+"("+u.join(",")+")":l+"("+u.join(",")+")",d.assign(t,c)},function(){d.assign(t,"undefined")}),r(t)}));break;case Ji.AssignmentExpression:l=this.nextId(),s={},this.recurse(e.left,void 0,s,function(){d.if_(d.notNull(s.context),function(){d.recurse(e.right,l),c=d.member(s.context,s.name,s.computed)+e.operator+l,d.assign(t,c),r(t||c)})},1);break;case Ji.ArrayExpression:u=[],a(e.elements,function(t){d.recurse(t,e.constant?void 0:d.nextId(),void 0,function(e){u.push(e)})}),c="["+u.join(",")+"]",this.assign(t,c),r(t||c);break;case Ji.ObjectExpression:u=[],p=!1,a(e.properties,function(e){e.computed&&(p=!0)}),p?(t=t||this.nextId(),this.assign(t,"{}"),a(e.properties,function(e){e.computed?(s=d.nextId(),d.recurse(e.key,s)):s=e.key.type===Ji.Identifier?e.key.name:""+e.key.value,l=d.nextId(),d.recurse(e.value,l),d.assign(d.member(t,s,e.computed),l)})):(a(e.properties,function(t){d.recurse(t.value,e.constant?void 0:d.nextId(),void 0,function(e){u.push(d.escape(t.key.type===Ji.Identifier?t.key.name:""+t.key.value)+":"+e)})}),c="{"+u.join(",")+"}",this.assign(t,c)),r(t||c);break;case Ji.ThisExpression:this.assign(t,"s"),r(t||"s");break;case Ji.LocalsExpression:this.assign(t,"l"),r(t||"l");break;case Ji.NGValueParameter:this.assign(t,"v"),r(t||"v")}},getHasOwnProperty:function(e,t){var n=e+"."+t,r=this.current().own;return r.hasOwnProperty(n)||(r[n]=this.nextId(!1,e+"&&("+this.escape(t)+" in "+e+")")),r[n]},assign:function(e,t){if(e)return this.current().body.push(e,"=",t,";"),e},filter:function(e){return this.state.filters.hasOwnProperty(e)||(this.state.filters[e]=this.nextId(!0)),this.state.filters[e]},ifDefined:function(e,t){return"ifDefined("+e+","+this.escape(t)+")"},plus:function(e,t){return"plus("+e+","+t+")"},return_:function(e){this.current().body.push("return ",e,";")},if_:function(e,t,n){if(!0===e)t();else{var r=this.current().body;r.push("if(",e,"){"),t(),r.push("}"),n&&(r.push("else{"),n(),r.push("}"))}},not:function(e){return"!("+e+")"},isNull:function(e){return e+"==null"},notNull:function(e){return e+"!=null"},nonComputedMember:function(e,t){var n=/[^$_a-zA-Z0-9]/g;return/^[$_a-zA-Z][$_a-zA-Z0-9]*$/.test(t)?e+"."+t:e+'["'+t.replace(n,this.stringEscapeFn)+'"]'},computedMember:function(e,t){return e+"["+t+"]"},member:function(e,t,n){return n?this.computedMember(e,t):this.nonComputedMember(e,t)},getStringValue:function(e){this.assign(e,"getStringValue("+e+")")},lazyRecurse:function(e,t,n,r,i,a){var o=this;return function(){o.recurse(e,t,n,r,i,a)}},lazyAssign:function(e,t){var n=this;return function(){n.assign(e,t)}},stringEscapeRegex:/[^ a-zA-Z0-9]/g,stringEscapeFn:function(e){return"\\u"+("0000"+e.charCodeAt(0).toString(16)).slice(-4)},escape:function(e){if(M(e))return"'"+e.replace(this.stringEscapeRegex,this.stringEscapeFn)+"'";if(k(e))return e.toString();if(!0===e)return"true";if(!1===e)return"false";if(null===e)return"null";if(void 0===e)return"undefined";throw Yi("esc")},nextId:function(e,t){var n="v"+this.state.nextId++;return e||this.current().vars.push(n+(t?"="+t:"")),n},current:function(){return this.state[this.state.computing]}},Xt.prototype={compile:function(e){var t=this;Wt(e,t.$filter);var n,r;(n=Qt(e))&&(r=this.recurse(n)),n=Gt(e.body);var i;n&&(i=[],a(n,function(e,n){var r=t.recurse(e);r.isPure=e.isPure,e.input=r,i.push(r),e.watchId=n}));var o=[];return a(e.body,function(e){o.push(t.recurse(e.expression))}),e=0===e.body.length?h:1===e.body.length?o[0]:function(e,t){var n;return a(o,function(r){n=r(e,t)}),n},r&&(e.assign=function(e,t,n){return r(e,n,t)}),i&&(e.inputs=i),e},recurse:function(e,t,n){var r,i,o,s=this;if(e.input)return this.inputs(e.input,e.watchId);switch(e.type){case Ji.Literal:return this.value(e.value,t);case Ji.UnaryExpression:return i=this.recurse(e.argument),this["unary"+e.operator](i,t);case Ji.BinaryExpression:case Ji.LogicalExpression:return r=this.recurse(e.left),i=this.recurse(e.right),this["binary"+e.operator](r,i,t);case Ji.ConditionalExpression:return this["ternary?:"](this.recurse(e.test),this.recurse(e.alternate),this.recurse(e.consequent),t);case Ji.Identifier:return s.identifier(e.name,t,n);case Ji.MemberExpression:return r=this.recurse(e.object,!1,!!n),e.computed||(i=e.property.name),e.computed&&(i=this.recurse(e.property)),e.computed?this.computedMember(r,i,t,n):this.nonComputedMember(r,i,t,n);case Ji.CallExpression:return o=[],a(e.arguments,function(e){o.push(s.recurse(e))}),e.filter&&(i=this.$filter(e.callee.name)),e.filter||(i=this.recurse(e.callee,!0)),e.filter?function(e,n,r,a){for(var s=[],l=0;l<o.length;++l)s.push(o[l](e,n,r,a));return e=i.apply(void 0,s,a),t?{context:void 0,name:void 0,value:e}:e}:function(e,n,r,a){var s,l=i(e,n,r,a);if(null!=l.value){s=[];for(var u=0;u<o.length;++u)s.push(o[u](e,n,r,a));s=l.value.apply(l.context,s)}return t?{value:s}:s};case Ji.AssignmentExpression:return r=this.recurse(e.left,!0,1),i=this.recurse(e.right),function(e,n,a,o){var s=r(e,n,a,o);return e=i(e,n,a,o),s.context[s.name]=e,t?{value:e}:e};case Ji.ArrayExpression:return o=[],a(e.elements,function(e){o.push(s.recurse(e))}),function(e,n,r,i){for(var a=[],s=0;s<o.length;++s)a.push(o[s](e,n,r,i));return t?{value:a}:a};case Ji.ObjectExpression:return o=[],a(e.properties,function(e){e.computed?o.push({key:s.recurse(e.key),computed:!0,value:s.recurse(e.value)}):o.push({key:e.key.type===Ji.Identifier?e.key.name:""+e.key.value,computed:!1,value:s.recurse(e.value)})}),function(e,n,r,i){for(var a={},s=0;s<o.length;++s)o[s].computed?a[o[s].key(e,n,r,i)]=o[s].value(e,n,r,i):a[o[s].key]=o[s].value(e,n,r,i);return t?{value:a}:a};case Ji.ThisExpression:return function(e){return t?{value:e}:e};case Ji.LocalsExpression:return function(e,n){return t?{value:n}:n};case Ji.NGValueParameter:return function(e,n,r){return t?{value:r}:r}}},"unary+":function(e,t){return function(n,r,i,a){return n=e(n,r,i,a),n=$(n)?+n:0,t?{value:n}:n}},"unary-":function(e,t){return function(n,r,i,a){return n=e(n,r,i,a),n=$(n)?-n:-0,t?{value:n}:n}},"unary!":function(e,t){return function(n,r,i,a){return n=!e(n,r,i,a),t?{value:n}:n}},"binary+":function(e,t,n){return function(r,i,a,o){var s=e(r,i,a,o);return r=t(r,i,a,o),s=Bt(s,r),n?{value:s}:s}},"binary-":function(e,t,n){return function(r,i,a,o){var s=e(r,i,a,o);return r=t(r,i,a,o),s=($(s)?s:0)-($(r)?r:0),n?{value:s}:s}},"binary*":function(e,t,n){return function(r,i,a,o){return r=e(r,i,a,o)*t(r,i,a,o),n?{value:r}:r}},"binary/":function(e,t,n){return function(r,i,a,o){return r=e(r,i,a,o)/t(r,i,a,o),n?{value:r}:r}},"binary%":function(e,t,n){return function(r,i,a,o){return r=e(r,i,a,o)%t(r,i,a,o),n?{value:r}:r}},"binary===":function(e,t,n){return function(r,i,a,o){return r=e(r,i,a,o)===t(r,i,a,o),n?{value:r}:r}},"binary!==":function(e,t,n){return function(r,i,a,o){return r=e(r,i,a,o)!==t(r,i,a,o),n?{value:r}:r}},"binary==":function(e,t,n){return function(r,i,a,o){return r=e(r,i,a,o)==t(r,i,a,o),n?{value:r}:r}},"binary!=":function(e,t,n){return function(r,i,a,o){return r=e(r,i,a,o)!=t(r,i,a,o),n?{value:r}:r}},"binary<":function(e,t,n){return function(r,i,a,o){return r=e(r,i,a,o)<t(r,i,a,o),n?{value:r}:r}},"binary>":function(e,t,n){return function(r,i,a,o){return r=e(r,i,a,o)>t(r,i,a,o),n?{value:r}:r}},"binary<=":function(e,t,n){return function(r,i,a,o){return r=e(r,i,a,o)<=t(r,i,a,o),n?{value:r}:r}},"binary>=":function(e,t,n){return function(r,i,a,o){return r=e(r,i,a,o)>=t(r,i,a,o),n?{value:r}:r}},"binary&&":function(e,t,n){return function(r,i,a,o){return r=e(r,i,a,o)&&t(r,i,a,o),n?{value:r}:r}},"binary||":function(e,t,n){return function(r,i,a,o){return r=e(r,i,a,o)||t(r,i,a,o),n?{value:r}:r}},"ternary?:":function(e,t,n,r){return function(i,a,o,s){return i=e(i,a,o,s)?t(i,a,o,s):n(i,a,o,s),r?{value:i}:i}},value:function(e,t){return function(){return t?{context:void 0,name:void 0,value:e}:e}},identifier:function(e,t,n){return function(r,i,a,o){return r=i&&e in i?i:r,n&&1!==n&&r&&null==r[e]&&(r[e]={}),i=r?r[e]:void 0,t?{context:r,name:e,value:i}:i}},computedMember:function(e,t,n,r){return function(i,a,o,s){var l,u,c=e(i,a,o,s);return null!=c&&(l=t(i,a,o,s),l+="",r&&1!==r&&c&&!c[l]&&(c[l]={}),u=c[l]),n?{context:c,name:l,value:u}:u}},nonComputedMember:function(e,t,n,r){return function(i,a,o,s){return i=e(i,a,o,s),r&&1!==r&&i&&null==i[t]&&(i[t]={}),a=null!=i?i[t]:void 0,n?{context:i,name:t,value:a}:a}},inputs:function(e,t){return function(n,r,i,a){return a?a[t]:e(n,r,i)}}},Zt.prototype={constructor:Zt,parse:function(e){e=this.getAst(e);var t=this.astCompiler.compile(e.ast),n=e.ast;return t.literal=0===n.body.length||1===n.body.length&&(n.body[0].expression.type===Ji.Literal||n.body[0].expression.type===Ji.ArrayExpression||n.body[0].expression.type===Ji.ObjectExpression),t.constant=e.ast.constant,t.oneTime=e.oneTime,t},getAst:function(e){var t=!1;return e=e.trim(),":"===e.charAt(0)&&":"===e.charAt(1)&&(t=!0,e=e.substring(2)),{ast:this.ast.ast(e),oneTime:t}}};var ta,na=r("$sce"),ra={HTML:"html",CSS:"css",MEDIA_URL:"mediaUrl",URL:"url",RESOURCE_URL:"resourceUrl",JS:"js"},ia=/_([a-z])/g,aa=r("$templateRequest"),oa=r("$timeout"),sa=e.document.createElement("a"),la=bn(e.location.href);sa.href="http://[::1]";var ua="[::1]"===sa.hostname;Mn.$inject=["$document"],En.$inject=["$provide"];var ca=22,pa=".",da="0";Tn.$inject=["$locale"],On.$inject=["$locale"];var fa={yyyy:Ln("FullYear",4,0,!1,!0),yy:Ln("FullYear",2,0,!0,!0),y:Ln("FullYear",1,0,!1,!0),MMMM:Un("Month"),MMM:Un("Month",!0),MM:Ln("Month",2,1),M:Ln("Month",1,1),LLLL:Un("Month",!1,!0),dd:Ln("Date",2),d:Ln("Date",1),HH:Ln("Hours",2),H:Ln("Hours",1),hh:Ln("Hours",2,-12),h:Ln("Hours",1,-12),mm:Ln("Minutes",2),m:Ln("Minutes",1),ss:Ln("Seconds",2),s:Ln("Seconds",1),sss:Ln("Milliseconds",3),EEEE:Un("Day"),EEE:Un("Day",!0),a:function(e,t){return 12>e.getHours()?t.AMPMS[0]:t.AMPMS[1]},Z:function(e,t,n){return e=-1*n,e=(0<=e?"+":"")+(Nn(Math[0<e?"floor":"ceil"](e/60),2)+Nn(Math.abs(e%60),2))},ww:Rn(2),w:Rn(1),G:Hn,GG:Hn,GGG:Hn,GGGG:function(e,t){return 0>=e.getFullYear()?t.ERANAMES[0]:t.ERANAMES[1]}},ha=/((?:[^yMLdHhmsaZEwG']+)|(?:'(?:[^']|'')*')|(?:E+|y+|M+|L+|d+|H+|h+|m+|s+|a|Z|G+|w+))([\s\S]*)/,ma=/^-?\d+$/;jn.$inject=["$locale"];var ga=g(Mr),va=g(kr);Bn.$inject=["$parse"];var ba=g({restrict:"E",compile:function(e,t){if(!t.href&&!t.xlinkHref)return function(e,t){if("a"===t[0].nodeName.toLowerCase()){var n="[object SVGAnimatedString]"===Dr.call(t.prop("href"))?"xlink:href":"href";t.on("click",function(e){t.attr(n)||e.preventDefault()})}}}}),$a={};a(li,function(e,t){function n(e,n,i){e.$watch(i[r],function(e){i.$set(t,!!e)})}if("multiple"!==e){var r=lt("ng-"+t),i=n;"checked"===e&&(i=function(e,t,i){i.ngModel!==i[r]&&n(e,t,i)}),$a[r]=function(){return{restrict:"A",priority:100,link:i}}}}),a(ci,function(e,t){$a[t]=function(){return{priority:100,link:function(e,n,r){if("ngPattern"===t&&"/"===r.ngPattern.charAt(0)&&(n=r.ngPattern.match(yr)))return void r.$set("ngPattern",new RegExp(n[1],n[2]));e.$watch(r[t],function(e){r.$set(t,e)})}}}}),a(["src","srcset","href"],function(e){var t=lt("ng-"+e);$a[t]=["$sce",function(n){return{priority:99,link:function(r,i,a){var o=e,s=e;"href"===e&&"[object SVGAnimatedString]"===Dr.call(i.prop("href"))&&(s="xlinkHref",a.$attr[s]="xlink:href",o=null),a.$set(t,n.getTrustedMediaUrl(a[t])),a.$observe(t,function(t){t?(a.$set(s,t),mr&&o&&i.prop(o,a[s])):"href"===e&&a.$set(s,null)})}}}]});var ya={$addControl:h,$getControls:g([]),$$renameControl:function(e,t){e.$name=t},$removeControl:h,$setValidity:h,$setDirty:h,$setPristine:h,$setSubmitted:h,$$setSubmitted:h};Wn.$inject=["$element","$attrs","$scope","$animate","$interpolate"],Wn.prototype={$rollbackViewValue:function(){a(this.$$controls,function(e){e.$rollbackViewValue()})},$commitViewValue:function(){a(this.$$controls,function(e){e.$commitViewValue()})},$addControl:function(e){ce(e.$name,"input"),this.$$controls.push(e),e.$name&&(this[e.$name]=e),e.$$parentForm=this},$getControls:function(){return ge(this.$$controls)},$$renameControl:function(e,t){var n=e.$name;this[n]===e&&delete this[n],this[t]=e,e.$name=t},$removeControl:function(e){e.$name&&this[e.$name]===e&&delete this[e.$name],a(this.$pending,function(t,n){this.$setValidity(n,null,e)},this),a(this.$error,function(t,n){this.$setValidity(n,null,e)},this),a(this.$$success,function(t,n){this.$setValidity(n,null,e)},this),U(this.$$controls,e),e.$$parentForm=ya},$setDirty:function(){this.$$animate.removeClass(this.$$element,ro),this.$$animate.addClass(this.$$element,io),this.$dirty=!0,this.$pristine=!1,this.$$parentForm.$setDirty()},$setPristine:function(){this.$$animate.setClass(this.$$element,ro,io+" ng-submitted"),this.$dirty=!1,this.$pristine=!0,this.$submitted=!1,a(this.$$controls,function(e){e.$setPristine()})},$setUntouched:function(){a(this.$$controls,function(e){e.$setUntouched()})},$setSubmitted:function(){for(var e=this;e.$$parentForm&&e.$$parentForm!==ya;)e=e.$$parentForm;e.$$setSubmitted()},$$setSubmitted:function(){this.$$animate.addClass(this.$$element,"ng-submitted"),this.$submitted=!0,a(this.$$controls,function(e){e.$$setSubmitted&&e.$$setSubmitted()})}},Yn({clazz:Wn,set:function(e,t,n){var r=e[t];r?-1===r.indexOf(n)&&r.push(n):e[t]=[n]},unset:function(e,t,n){var r=e[t];r&&(U(r,n),0===r.length&&delete e[t])}});var wa=function(e){return["$timeout","$parse",function(t,n){function r(e){return""===e?n('this[""]').assign:n(e).assign||h}return{name:"form",restrict:e?"EAC":"E",require:["form","^^?form"],controller:Wn,compile:function(n,i){n.addClass(ro).addClass(to);var a=i.name?"name":!(!e||!i.ngForm)&&"ngForm";return{pre:function(e,n,i,o){var s=o[0];if(!("action"in i)){var l=function(t){e.$apply(function(){s.$commitViewValue(),s.$setSubmitted()}),t.preventDefault()};n[0].addEventListener("submit",l),n.on("$destroy",function(){t(function(){n[0].removeEventListener("submit",l)},0,!1)})}(o[1]||s.$$parentForm).$addControl(s);var u=a?r(s.$name):h;a&&(u(e,s),i.$observe(a,function(t){s.$name!==t&&(u(e,void 0),s.$$parentForm.$$renameControl(s,t),(u=r(s.$name))(e,s))})),n.on("$destroy",function(){s.$$parentForm.$removeControl(s),u(e,void 0),c(s,ya)})}}}}}]},Ma=wa(),ka=wa(!0),Ea=/^\d{4,}-[01]\d-[0-3]\dT[0-2]\d:[0-5]\d:[0-5]\d\.\d+(?:[+-][0-2]\d:[0-5]\d|Z)$/,Ca=/^[a-z][a-z\d.+-]*:\/*(?:[^:@]+(?::[^@]+)?@)?(?:[^\s:\/?#]+|\[[a-f\d:]+])(?::\d+)?(?:\/[^?#]*)?(?:\?[^#]*)?(?:#.*)?$/i,xa=/^(?=.{1,254}$)(?=.{1,64}@)[-!#$%&'*+\/0-9=?A-Z^_`a-z{|}~]+(\.[-!#$%&'*+\/0-9=?A-Z^_`a-z{|}~]+)*@[A-Za-z0-9]([A-Za-z0-9-]{0,61}[A-Za-z0-9])?(\.[A-Za-z0-9]([A-Za-z0-9-]{0,61}[A-Za-z0-9])?)*$/,Da=/^\s*(-|\+)?(\d+|(\d*(\.\d*)))([eE][+-]?\d+)?\s*$/,Sa=/^(\d{4,})-(\d{2})-(\d{2})$/,Ta=/^(\d{4,})-(\d\d)-(\d\d)T(\d\d):(\d\d)(?::(\d\d)(\.\d{1,3})?)?$/,Oa=/^(\d{4,})-W(\d\d)$/,Aa=/^(\d{4,})-(\d\d)$/,Pa=/^(\d\d):(\d\d)(?::(\d\d)(\.\d{1,3})?)?$/,Ia=fe();a(["date","datetime-local","month","time","week"],function(e){Ia[e]=!0});var Na={text:function(e,t,n,r,i,a){Xn(e,t,n,r,i,a),Kn(r)},date:Jn("date",Sa,Zn(Sa,["yyyy","MM","dd"]),"yyyy-MM-dd"),"datetime-local":Jn("datetimelocal",Ta,Zn(Ta,"yyyy MM dd HH mm ss sss".split(" ")),"yyyy-MM-ddTHH:mm:ss.sss"),time:Jn("time",Pa,Zn(Pa,["HH","mm","ss","sss"]),"HH:mm:ss.sss"),week:Jn("week",Oa,function(e,t){if(E(e))return e;if(M(e)){Oa.lastIndex=0;var n=Oa.exec(e);if(n){var r=+n[1],i=+n[2],a=n=0,o=0,s=0,l=Fn(r),i=7*(i-1);return t&&(n=t.getHours(),a=t.getMinutes(),o=t.getSeconds(),s=t.getMilliseconds()),new Date(r,0,l.getDate()+i,n,a,o,s)}}return NaN},"yyyy-Www"),month:Jn("month",Aa,Zn(Aa,["yyyy","MM"]),"yyyy-MM"),number:function(e,t,n,r,i,a,o,s){er(e,t,n,r,"number"),tr(r),Xn(e,t,n,r,i,a);var l;if($(n.min)||n.ngMin){var u=n.min||s(n.ngMin)(e);l=nr(u),r.$validators.min=function(e,t){return r.$isEmpty(t)||b(l)||t>=l},n.$observe("min",function(e){e!==u&&(l=nr(e),u=e,r.$validate())})}if($(n.max)||n.ngMax){var c=n.max||s(n.ngMax)(e),p=nr(c);r.$validators.max=function(e,t){return r.$isEmpty(t)||b(p)||t<=p},n.$observe("max",function(e){e!==c&&(p=nr(e),c=e,r.$validate())})}if($(n.step)||n.ngStep){var d=n.step||s(n.ngStep)(e),f=nr(d);r.$validators.step=function(e,t){return r.$isEmpty(t)||b(f)||ir(t,l||0,f)},n.$observe("step",function(e){e!==d&&(f=nr(e),d=e,r.$validate())})}},url:function(e,t,n,r,i,a){Xn(e,t,n,r,i,a),Kn(r),r.$validators.url=function(e,t){var n=e||t;return r.$isEmpty(n)||Ca.test(n)}},email:function(e,t,n,r,i,a){Xn(e,t,n,r,i,a),Kn(r),r.$validators.email=function(e,t){var n=e||t;return r.$isEmpty(n)||xa.test(n)}},radio:function(e,t,n,r){var i=!n.ngTrim||"false"!==Nr(n.ngTrim);b(n.name)&&t.attr("name",++Ar),t.on("change",function(e){var a;t[0].checked&&(a=n.value,i&&(a=Nr(a)),r.$setViewValue(a,e&&e.type))}),r.$render=function(){var e=n.value;i&&(e=Nr(e)),t[0].checked=e===r.$viewValue},n.$observe("value",r.$render)},range:function(e,t,n,r,i,a){function o(e,r){t.attr(e,n[e]);var i=n[e];n.$observe(e,function(e){e!==i&&(i=e,r(e))})}function s(e){p=nr(e),Pr(r.$modelValue)||(c?(e=t.val(),p>e&&(e=p,t.val(e)),r.$setViewValue(e)):r.$validate())}function l(e){d=nr(e),Pr(r.$modelValue)||(c?(e=t.val(),d<e&&(t.val(d),e=d<p?p:d),r.$setViewValue(e)):r.$validate())}function u(e){f=nr(e),Pr(r.$modelValue)||(c?r.$viewValue!==t.val()&&r.$setViewValue(t.val()):r.$validate())}er(e,t,n,r,"range"),tr(r),Xn(e,t,n,r,i,a);var c=r.$$hasNativeValidators&&"range"===t[0].type,p=c?0:void 0,d=c?100:void 0,f=c?1:void 0,h=t[0].validity;e=$(n.min),i=$(n.max),a=$(n.step);var m=r.$render;r.$render=c&&$(h.rangeUnderflow)&&$(h.rangeOverflow)?function(){m(),r.$setViewValue(t.val())}:m,e&&(p=nr(n.min),r.$validators.min=c?function(){return!0}:function(e,t){return r.$isEmpty(t)||b(p)||t>=p},o("min",s)),i&&(d=nr(n.max),r.$validators.max=c?function(){return!0}:function(e,t){return r.$isEmpty(t)||b(d)||t<=d},o("max",l)),a&&(f=nr(n.step),r.$validators.step=c?function(){return!h.stepMismatch}:function(e,t){return r.$isEmpty(t)||b(f)||ir(t,p||0,f)},o("step",u))},checkbox:function(e,t,n,r,i,a,o,s){var l=ar(s,e,"ngTrueValue",n.ngTrueValue,!0),u=ar(s,e,"ngFalseValue",n.ngFalseValue,!1);t.on("change",function(e){r.$setViewValue(t[0].checked,e&&e.type)}),r.$render=function(){t[0].checked=r.$viewValue},r.$isEmpty=function(e){return!1===e},r.$formatters.push(function(e){return H(e,l)}),r.$parsers.push(function(e){return e?l:u})},hidden:h,button:h,submit:h,reset:h,file:h},La=["$browser","$sniffer","$filter","$parse",function(e,t,n,r){return{restrict:"E",require:["?ngModel"],link:{pre:function(i,a,o,s){s[0]&&(Na[Mr(o.type)]||Na.text)(i,a,o,s[0],t,e,n,r)}}}}],Ua=function(){var e={configurable:!0,enumerable:!1,get:function(){return this.getAttribute("value")||""},set:function(e){this.setAttribute("value",e)}};return{restrict:"E",priority:200,compile:function(t,n){if("hidden"===Mr(n.type))return{pre:function(t,n,r,i){t=n[0],t.parentNode&&t.parentNode.insertBefore(t,t.nextSibling),Object.defineProperty&&Object.defineProperty(t,"value",e)}}}}},Fa=/^(true|false|\d+)$/,Ra=function(){function e(e,t,n){var r=$(n)?n:9===mr?"":null;e.prop("value",r),t.$set("value",n)}return{restrict:"A",priority:100,compile:function(t,n){return Fa.test(n.ngValue)?function(t,n,r){t=t.$eval(r.ngValue),e(n,r,t)}:function(t,n,r){t.$watch(r.ngValue,function(t){e(n,r,t)})}}}},Ha=["$compile",function(e){return{restrict:"AC",compile:function(t){return e.$$addBindingClass(t),function(t,n,r){e.$$addBindingInfo(n,r.ngBind),n=n[0],t.$watch(r.ngBind,function(e){n.textContent=he(e)})}}}}],ja=["$interpolate","$compile",function(e,t){return{compile:function(n){return t.$$addBindingClass(n),function(n,r,i){n=e(r.attr(i.$attr.ngBindTemplate)),t.$$addBindingInfo(r,n.expressions),r=r[0],i.$observe("ngBindTemplate",function(e){r.textContent=b(e)?"":e})}}}}],za=["$sce","$parse","$compile",function(e,t,n){return{restrict:"A",compile:function(r,i){var a=t(i.ngBindHtml),o=t(i.ngBindHtml,function(t){return e.valueOf(t)});return n.$$addBindingClass(r),function(t,r,i){n.$$addBindingInfo(r,i.ngBindHtml),t.$watch(o,function(){var n=a(t);r.html(e.getTrustedHtml(n)||"")})}}}}],Va=g({restrict:"A",require:"ngModel",link:function(e,t,n,r){r.$viewChangeListeners.push(function(){e.$eval(n.ngChange)})}}),_a=or("",!0),Ba=or("Odd",0),qa=or("Even",1),Wa=qn({compile:function(e,t){t.$set("ngCloak",void 0),e.removeClass("ng-cloak")}}),Ga=[function(){return{restrict:"A",scope:!0,controller:"@",priority:500}}],Ya={},Qa={blur:!0,focus:!0};a("click dblclick mousedown mouseup mouseover mouseout mousemove mouseenter mouseleave keydown keyup keypress submit focus blur copy cut paste".split(" "),function(e){var t=lt("ng-"+e);Ya[t]=["$parse","$rootScope","$exceptionHandler",function(n,r,i){return sr(n,r,i,t,e,Qa[e])}]});var Ka=["$animate","$compile",function(e,t){return{multiElement:!0,transclude:"element",priority:600,terminal:!0,restrict:"A",$$tlb:!0,link:function(n,r,i,a,o){var s,l,u;n.$watch(i.ngIf,function(n){n?l||o(function(n,a){l=a,n[n.length++]=t.$$createComment("end ngIf",i.ngIf),s={clone:n},e.enter(n,r.parent(),r)}):(u&&(u.remove(),u=null),l&&(l.$destroy(),l=null),s&&(u=de(s.clone),e.leave(u).done(function(e){!1!==e&&(u=null)}),s=null))})}}}],Xa=["$templateRequest","$anchorScroll","$animate",function(e,t,n){return{restrict:"ECA",priority:400,terminal:!0,transclude:"element",controller:Or.noop,compile:function(r,i){var a=i.ngInclude||i.src,o=i.onload||"",s=i.autoscroll;return function(r,i,l,u,c){var p,d,f,h=0,m=function(){d&&(d.remove(),d=null),p&&(p.$destroy(),p=null),f&&(n.leave(f).done(function(e){!1!==e&&(d=null)}),d=f,f=null)};r.$watch(a,function(a){var l=function(e){!1===e||!$(s)||s&&!r.$eval(s)||t()},d=++h;a?(e(a,!0).then(function(e){if(!r.$$destroyed&&d===h){var t=r.$new();u.template=e,e=c(t,function(e){m(),n.enter(e,null,i).done(l)}),p=t,f=e,p.$emit("$includeContentLoaded",a),r.$eval(o)}},function(){r.$$destroyed||d!==h||(m(),r.$emit("$includeContentError",a))}),r.$emit("$includeContentRequested",a)):(m(),u.template=null)})}}}}],Za=["$compile",function(t){return{restrict:"ECA",priority:-400,require:"ngInclude",link:function(n,r,i,a){Dr.call(r[0]).match(/SVG/)?(r.empty(),t(Me(a.template,e.document).childNodes)(n,function(e){r.append(e)},{futureParentElement:r})):(r.html(a.template),t(r.contents())(n))}}}],Ja=qn({priority:450,compile:function(){return{pre:function(e,t,n){e.$eval(n.ngInit)}}}}),eo=function(){return{restrict:"A",priority:100,require:"ngModel",link:function(e,t,n,r){var i=n.ngList||", ",o="false"!==n.ngTrim,s=o?Nr(i):i;r.$parsers.push(function(e){if(!b(e)){var t=[];return e&&a(e.split(s),function(e){e&&t.push(o?Nr(e):e)}),t}}),r.$formatters.push(function(e){if(C(e))return e.join(i)}),r.$isEmpty=function(e){return!e||!e.length}}}},to="ng-valid",no="ng-invalid",ro="ng-pristine",io="ng-dirty",ao=r("ngModel");lr.$inject="$scope $exceptionHandler $attrs $element $parse $animate $timeout $q $interpolate".split(" "),lr.prototype={$$initGetterSetters:function(){if(this.$options.getOption("getterSetter")){var e=this.$$parse(this.$$attr.ngModel+"()"),t=this.$$parse(this.$$attr.ngModel+"($$$p)");this.$$ngModelGet=function(t){var n=this.$$parsedNgModel(t);return D(n)&&(n=e(t)),n},this.$$ngModelSet=function(e,n){D(this.$$parsedNgModel(e))?t(e,{$$$p:n}):this.$$parsedNgModelAssign(e,n)}}else if(!this.$$parsedNgModel.assign)throw ao("nonassign",this.$$attr.ngModel,Y(this.$$element))},$render:h,$isEmpty:function(e){return b(e)||""===e||null===e||e!==e},$$updateEmptyClasses:function(e){this.$isEmpty(e)?(this.$$animate.removeClass(this.$$element,"ng-not-empty"),this.$$animate.addClass(this.$$element,"ng-empty")):(this.$$animate.removeClass(this.$$element,"ng-empty"),this.$$animate.addClass(this.$$element,"ng-not-empty"))},$setPristine:function(){this.$dirty=!1,this.$pristine=!0,this.$$animate.removeClass(this.$$element,io),this.$$animate.addClass(this.$$element,ro)},$setDirty:function(){this.$dirty=!0,this.$pristine=!1,this.$$animate.removeClass(this.$$element,ro),this.$$animate.addClass(this.$$element,io),this.$$parentForm.$setDirty()},$setUntouched:function(){this.$touched=!1,this.$untouched=!0,this.$$animate.setClass(this.$$element,"ng-untouched","ng-touched")},$setTouched:function(){this.$touched=!0,this.$untouched=!1,this.$$animate.setClass(this.$$element,"ng-touched","ng-untouched")},$rollbackViewValue:function(){this.$$timeout.cancel(this.$$pendingDebounce),this.$viewValue=this.$$lastCommittedViewValue,this.$render()},$validate:function(){if(!Pr(this.$modelValue)){var e=this.$$lastCommittedViewValue,t=this.$$rawModelValue,n=this.$valid,r=this.$modelValue,i=this.$options.getOption("allowInvalid"),a=this;this.$$runValidators(t,e,function(e){i||n===e||(a.$modelValue=e?t:void 0,a.$modelValue!==r&&a.$$writeModelToScope())})}},$$runValidators:function(e,t,n){function r(){var n=!0;return a(u.$validators,function(r,i){var a=Boolean(r(e,t));n=n&&a,o(i,a)}),!!n||(a(u.$asyncValidators,function(e,t){o(t,null)}),!1)}function i(){var n=[],r=!0;a(u.$asyncValidators,function(i,a){var s=i(e,t);if(!s||!D(s.then))throw ao("nopromise",s);o(a,void 0),n.push(s.then(function(){o(a,!0)},function(){r=!1,o(a,!1)}))}),n.length?u.$$q.all(n).then(function(){s(r)},h):s(!0)}function o(e,t){l===u.$$currentValidationRunId&&u.$setValidity(e,t)}function s(e){l===u.$$currentValidationRunId&&n(e)}this.$$currentValidationRunId++;var l=this.$$currentValidationRunId,u=this;!function(){var e=u.$$parserName;return b(u.$$parserValid)?(o(e,null),!0):(u.$$parserValid||(a(u.$validators,function(e,t){o(t,null)}),a(u.$asyncValidators,function(e,t){o(t,null)})),o(e,u.$$parserValid),u.$$parserValid)}()?s(!1):r()?i():s(!1)},$commitViewValue:function(){var e=this.$viewValue;this.$$timeout.cancel(this.$$pendingDebounce),(this.$$lastCommittedViewValue!==e||""===e&&this.$$hasNativeValidators)&&(this.$$updateEmptyClasses(e),this.$$lastCommittedViewValue=e,this.$pristine&&this.$setDirty(),this.$$parseAndValidate())},$$parseAndValidate:function(){var e=this.$$lastCommittedViewValue,t=this;if(this.$$parserValid=!b(e)||void 0,this.$setValidity(this.$$parserName,null),this.$$parserName="parse",this.$$parserValid)for(var n=0;n<this.$parsers.length;n++)if(e=this.$parsers[n](e),b(e)){this.$$parserValid=!1;break}Pr(this.$modelValue)&&(this.$modelValue=this.$$ngModelGet(this.$$scope));var r=this.$modelValue,i=this.$options.getOption("allowInvalid");this.$$rawModelValue=e,i&&(this.$modelValue=e,t.$modelValue!==r&&t.$$writeModelToScope()),this.$$runValidators(e,this.$$lastCommittedViewValue,function(n){i||(t.$modelValue=n?e:void 0,t.$modelValue!==r&&t.$$writeModelToScope())})},$$writeModelToScope:function(){this.$$ngModelSet(this.$$scope,this.$modelValue),a(this.$viewChangeListeners,function(e){try{e()}catch(e){this.$$exceptionHandler(e)}},this)},$setViewValue:function(e,t){this.$viewValue=e,this.$options.getOption("updateOnDefault")&&this.$$debounceViewValueCommit(t)},$$debounceViewValueCommit:function(e){var t=this.$options.getOption("debounce");k(t[e])?t=t[e]:k(t.default)&&-1===this.$options.getOption("updateOn").indexOf(e)?t=t.default:k(t["*"])&&(t=t["*"]),this.$$timeout.cancel(this.$$pendingDebounce);var n=this;0<t?this.$$pendingDebounce=this.$$timeout(function(){n.$commitViewValue()},t):this.$$rootScope.$$phase?this.$commitViewValue():this.$$scope.$apply(function(){n.$commitViewValue()})},$overrideModelOptions:function(e){this.$options=this.$options.createChild(e),this.$$setUpdateOnEvents()},$processModelValue:function(){var e=this.$$format();this.$viewValue!==e&&(this.$$updateEmptyClasses(e),this.$viewValue=this.$$lastCommittedViewValue=e,this.$render(),this.$$runValidators(this.$modelValue,this.$viewValue,h))},$$format:function(){for(var e=this.$formatters,t=e.length,n=this.$modelValue;t--;)n=e[t](n);return n},$$setModelValue:function(e){this.$modelValue=this.$$rawModelValue=e,this.$$parserValid=void 0,this.$processModelValue()},$$setUpdateOnEvents:function(){this.$$updateEvents&&this.$$element.off(this.$$updateEvents,this.$$updateEventHandler),(this.$$updateEvents=this.$options.getOption("updateOn"))&&this.$$element.on(this.$$updateEvents,this.$$updateEventHandler)},$$updateEventHandler:function(e){this.$$debounceViewValueCommit(e&&e.type)}},Yn({clazz:lr,set:function(e,t){e[t]=!0},unset:function(e,t){delete e[t]}});var oo,so=["$rootScope",function(e){return{restrict:"A",require:["ngModel","^?form","^?ngModelOptions"],controller:lr,priority:1,compile:function(t){return t.addClass(ro).addClass("ng-untouched").addClass(to),{pre:function(e,t,n,r){var i=r[0];t=r[1]||i.$$parentForm,(r=r[2])&&(i.$options=r.$options),i.$$initGetterSetters(),t.$addControl(i),n.$observe("name",function(e){i.$name!==e&&i.$$parentForm.$$renameControl(i,e)}),e.$on("$destroy",function(){i.$$parentForm.$removeControl(i)})},post:function(t,n,r,i){function a(){o.$setTouched()}var o=i[0];o.$$setUpdateOnEvents(),n.on("blur",function(){o.$touched||(e.$$phase?t.$evalAsync(a):t.$apply(a))})}}}}}],lo=/(\s+|^)default(\s+|$)/;cr.prototype={getOption:function(e){return this.$$options[e]},createChild:function(e){var t=!1;return e=c({},e),a(e,function(n,r){"$inherit"===n?"*"===r?t=!0:(e[r]=this.$$options[r],"updateOn"===r&&(e.updateOnDefault=this.$$options.updateOnDefault)):"updateOn"===r&&(e.updateOnDefault=!1,e[r]=Nr(n.replace(lo,function(){return e.updateOnDefault=!0," "})))},this),t&&(delete e["*"],pr(e,this.$$options)),pr(e,oo.$$options),new cr(e)}},oo=new cr({updateOn:"",updateOnDefault:!0,debounce:0,getterSetter:!1,allowInvalid:!1,timezone:null});var uo=function(){function e(e,t){this.$$attrs=e,this.$$scope=t}return e.$inject=["$attrs","$scope"],e.prototype={$onInit:function(){var e=this.parentCtrl?this.parentCtrl.$options:oo,t=this.$$scope.$eval(this.$$attrs.ngModelOptions);this.$options=e.createChild(t)}},{restrict:"A",priority:10,require:{parentCtrl:"?^^ngModelOptions"},bindToController:!0,controller:e}},co=qn({terminal:!0,priority:1e3}),po=r("ngOptions"),fo=/^\s*([\s\S]+?)(?:\s+as\s+([\s\S]+?))?(?:\s+group\s+by\s+([\s\S]+?))?(?:\s+disable\s+when\s+([\s\S]+?))?\s+for\s+(?:([$\w][$\w]*)|(?:\(\s*([$\w][$\w]*)\s*,\s*([$\w][$\w]*)\s*\)))\s+in\s+([\s\S]+?)(?:\s+track\s+by\s+([\s\S]+?))?$/,ho=["$compile","$document","$parse",function(t,n,r){function o(e,t,n){function a(e,t,n,r,i){this.selectValue=e,this.viewValue=t,this.label=n,this.group=r,this.disabled=i}function o(e){var t;if(!u&&i(e))t=e;else{t=[];for(var n in e)e.hasOwnProperty(n)&&"$"!==n.charAt(0)&&t.push(n)}return t}var s=e.match(fo);if(!s)throw po("iexp",e,Y(t));var l=s[5]||s[7],u=s[6];e=/ as /.test(s[0])&&s[1];var c=s[9];t=r(s[2]?s[1]:l);var p=e&&r(e)||t,d=c&&r(c),f=c?function(e,t){return d(n,t)}:function(e){return Ge(e)},h=function(e,t){return f(e,y(e,t))},m=r(s[2]||s[1]),g=r(s[3]||""),v=r(s[4]||""),b=r(s[8]),$={},y=u?function(e,t){return $[u]=t,$[l]=e,$}:function(e){return $[l]=e,$};return{trackBy:c,getTrackByValue:h,getWatchables:r(b,function(e){var t=[];e=e||[];for(var r=o(e),i=r.length,a=0;a<i;a++){var l=e===r?a:r[a],u=e[l],l=y(u,l),u=f(u,l);t.push(u),(s[2]||s[1])&&(u=m(n,l),t.push(u)),s[4]&&(l=v(n,l),t.push(l))}return t}),getOptions:function(){for(var e=[],t={},r=b(n)||[],i=o(r),s=i.length,l=0;l<s;l++){var u=r===i?l:i[l],d=y(r[u],u),$=p(n,d),u=f($,d),w=m(n,d),M=g(n,d),d=v(n,d),$=new a(u,$,w,M,d);e.push($),t[u]=$}return{items:e,selectValueMap:t,getOptionFromViewValue:function(e){return t[h(e)]},getViewValueFromOption:function(e){return c?F(e.viewValue):e.viewValue}}}}}var s=e.document.createElement("option"),l=e.document.createElement("optgroup");return{restrict:"A",terminal:!0,require:["select","ngModel"],link:{pre:function(e,t,n,r){r[0].registerOption=h},post:function(e,r,i,u){function c(e){var t=(e=v.getOptionFromViewValue(e))&&e.element;return t&&!t.selected&&(t.selected=!0),e}function p(e,t){e.element=t,t.disabled=e.disabled,e.label!==t.label&&(t.label=e.label,t.textContent=e.label),t.value=e.selectValue}var d=u[0],f=u[1],h=i.multiple;u=0;for(var m=r.children(),g=m.length;u<g;u++)if(""===m[u].value){d.hasEmptyOption=!0,d.emptyOption=m.eq(u);break}r.empty(),u=!!d.emptyOption,gr(s.cloneNode(!1)).val("?");var v,b=o(i.ngOptions,r,e),y=n[0].createDocumentFragment();d.generateUnknownOptionValue=function(e){return"?"},h?(d.writeValue=function(e){if(v){var t=e&&e.map(c)||[];v.items.forEach(function(e){e.element.selected&&-1===Array.prototype.indexOf.call(t,e)&&(e.element.selected=!1)})}},d.readValue=function(){var e=r.val()||[],t=[];return a(e,function(e){(e=v.selectValueMap[e])&&!e.disabled&&t.push(v.getViewValueFromOption(e))}),t},b.trackBy&&e.$watchCollection(function(){if(C(f.$viewValue))return f.$viewValue.map(function(e){return b.getTrackByValue(e)})},function(){f.$render()})):(d.writeValue=function(e){if(v){var t=r[0].options[r[0].selectedIndex],n=v.getOptionFromViewValue(e);t&&t.removeAttribute("selected"),n?(r[0].value!==n.selectValue&&(d.removeUnknownOption(),r[0].value=n.selectValue,n.element.selected=!0),n.element.setAttribute("selected","selected")):d.selectUnknownOrEmptyOption(e)}},d.readValue=function(){var e=v.selectValueMap[r.val()];return e&&!e.disabled?(d.unselectEmptyOption(),d.removeUnknownOption(),v.getViewValueFromOption(e)):null},b.trackBy&&e.$watch(function(){return b.getTrackByValue(f.$viewValue)},function(){f.$render()})),u&&(t(d.emptyOption)(e),r.prepend(d.emptyOption),8===d.emptyOption[0].nodeType?(d.hasEmptyOption=!1,d.registerOption=function(e,t){""===t.val()&&(d.hasEmptyOption=!0,d.emptyOption=t,d.emptyOption.removeClass("ng-scope"),f.$render(),t.on("$destroy",function(){var e=d.$isEmptyOptionSelected();d.hasEmptyOption=!1,d.emptyOption=void 0,e&&f.$render()}))}):d.emptyOption.removeClass("ng-scope")),e.$watchCollection(b.getWatchables,function(){var e=v&&d.readValue();if(v)for(var t=v.items.length-1;0<=t;t--){var n=v.items[t];He($(n.group)?n.element.parentNode:n.element)}v=b.getOptions();var i={};v.items.forEach(function(e){var t;if($(e.group)){t=i[e.group],t||(t=l.cloneNode(!1),y.appendChild(t),t.label=null===e.group?"null":e.group,i[e.group]=t);var n=s.cloneNode(!1);t.appendChild(n),p(e,n)}else t=s.cloneNode(!1),y.appendChild(t),p(e,t)}),r[0].appendChild(y),f.$render(),f.$isEmpty(e)||(t=d.readValue(),(b.trackBy||h?H(e,t):e===t)||(f.$setViewValue(t),f.$render()))})}}}}],mo=["$locale","$interpolate","$log",function(e,t,n){var r=/{}/g,i=/^when(Minus)?(.+)$/;return{link:function(o,s,l){function u(e){s.text(e||"")}var c,p=l.count,d=l.$attr.when&&s.attr(l.$attr.when),f=l.offset||0,m=o.$eval(d)||{},g={},v=t.startSymbol(),$=t.endSymbol(),y=v+p+"-"+f+$,w=Or.noop;a(l,function(e,t){var n=i.exec(t);n&&(n=(n[1]?"-":"")+Mr(n[2]),m[n]=s.attr(l.$attr[t]))}),a(m,function(e,n){g[n]=t(e.replace(r,y))}),o.$watch(p,function(t){var r=parseFloat(t),i=Pr(r);i||r in m||(r=e.pluralCat(r-f)),r===c||i&&Pr(c)||(w(),i=g[r],b(i)?(null!=t&&n.debug("ngPluralize: no rule defined for '"+r+"' in "+d),w=h,u()):w=o.$watch(i,u),c=r)})}}}],go=r("ngRef"),vo=["$parse",function(e){return{priority:-1,restrict:"A",compile:function(t,n){var r=lt(L(t)),i=e(n.ngRef),a=i.assign||function(){throw go("nonassign",n.ngRef)};return function(e,t,o){var s;if(o.hasOwnProperty("ngRefRead")){if("$element"===o.ngRefRead)s=t;else if(!(s=t.data("$"+o.ngRefRead+"Controller")))throw go("noctrl",o.ngRefRead,n.ngRef)}else s=t.data("$"+r+"Controller");s=s||t,a(e,s),t.on("$destroy",function(){i(e)===s&&a(e,null)})}}}}],bo=["$parse","$animate","$compile",function(e,t,n){var o=r("ngRepeat"),s=function(e,t,n,r,i,a,o){e[n]=r,i&&(e[i]=a),e.$index=t,e.$first=0===t,e.$last=t===o-1,e.$middle=!(e.$first||e.$last),e.$odd=!(e.$even=0==(1&t))},l=function(e,t,n){return Ge(n)},u=function(e,t){return t};return{restrict:"A",multiElement:!0,transclude:"element",priority:1e3,terminal:!0,$$tlb:!0,compile:function(r,c){var p=c.ngRepeat,d=n.$$createComment("end ngRepeat",p),f=p.match(/^\s*([\s\S]+?)\s+in\s+([\s\S]+?)(?:\s+as\s+([\s\S]+?))?(?:\s+track\s+by\s+([\s\S]+?))?\s*$/);if(!f)throw o("iexp",p);var h=f[1],m=f[2],g=f[3],v=f[4],f=h.match(/^(?:(\s*[$\w]+)|\(\s*([$\w]+)\s*,\s*([$\w]+)\s*\))$/);if(!f)throw o("iidexp",h);var b=f[3]||f[1],$=f[2];if(g&&(!/^[$a-zA-Z_][$a-zA-Z0-9_]*$/.test(g)||/^(null|undefined|this|\$index|\$first|\$middle|\$last|\$even|\$odd|\$parent|\$root|\$id)$/.test(g)))throw o("badident",g);var y;if(v){var w={$id:Ge},M=e(v);y=function(e,t,n,r){return $&&(w[$]=t),w[b]=n,w.$index=r,M(e,w)}}return function(e,n,r,c,f){var h=fe();e.$watchCollection(m,function(r){var c,m,v,M,k,E,C,x,D,S,T=n[0],O=fe();if(g&&(e[g]=r),i(r))x=r,m=y||l;else for(S in m=y||u,x=[],r)wr.call(r,S)&&"$"!==S.charAt(0)&&x.push(S);for(M=x.length,S=Array(M),c=0;c<M;c++)if(k=r===x?c:x[c],E=r[k],C=m(e,k,E,c),h[C])D=h[C],delete h[C],O[C]=D,S[c]=D;else{if(O[C])throw a(S,function(e){e&&e.scope&&(h[e.id]=e)}),o("dupes",p,C,E);S[c]={id:C,scope:void 0,clone:void 0},O[C]=!0}w&&(w[b]=void 0);for(v in h){if(D=h[v],C=de(D.clone),t.leave(C),C[0].parentNode)for(c=0,m=C.length;c<m;c++)C[c].$$NG_REMOVED=!0;D.scope.$destroy()}for(c=0;c<M;c++)if(k=r===x?c:x[c],E=r[k],D=S[c],D.scope){v=T;do{v=v.nextSibling}while(v&&v.$$NG_REMOVED);D.clone[0]!==v&&t.move(de(D.clone),null,T),T=D.clone[D.clone.length-1],s(D.scope,c,b,E,$,k,M)}else f(function(e,n){D.scope=n;var r=d.cloneNode(!1);e[e.length++]=r,t.enter(e,null,T),T=r,D.clone=e,O[D.id]=D,s(D.scope,c,b,E,$,k,M)});h=O})}}}}],$o=["$animate",function(e){return{restrict:"A",multiElement:!0,link:function(t,n,r){t.$watch(r.ngShow,function(t){e[t?"removeClass":"addClass"](n,"ng-hide",{tempClasses:"ng-hide-animate"})})}}}],yo=["$animate",function(e){return{restrict:"A",multiElement:!0,link:function(t,n,r){t.$watch(r.ngHide,function(t){e[t?"addClass":"removeClass"](n,"ng-hide",{tempClasses:"ng-hide-animate"})})}}}],wo=qn(function(e,t,n){e.$watchCollection(n.ngStyle,function(e,n){n&&e!==n&&a(n,function(e,n){t.css(n,"")}),e&&t.css(e)})}),Mo=["$animate","$compile",function(e,t){return{require:"ngSwitch",controller:["$scope",function(){this.cases={}}],link:function(n,r,i,o){var s=[],l=[],u=[],c=[],p=function(e,t){return function(n){!1!==n&&e.splice(t,1)}};n.$watch(i.ngSwitch||i.on,function(n){for(var r,i;u.length;)e.cancel(u.pop());for(r=0,i=c.length;r<i;++r){var d=de(l[r].clone);c[r].$destroy(),(u[r]=e.leave(d)).done(p(u,r))}l.length=0,c.length=0,(s=o.cases["!"+n]||o.cases["?"])&&a(s,function(n){n.transclude(function(r,i){c.push(i);var a=n.element;r[r.length++]=t.$$createComment("end ngSwitchWhen"),l.push({clone:r}),e.enter(r,a.parent(),a)})})})}}}],ko=qn({transclude:"element",priority:1200,require:"^ngSwitch",multiElement:!0,link:function(e,t,n,r,i){e=n.ngSwitchWhen.split(n.ngSwitchWhenSeparator).sort().filter(function(e,t,n){return n[t-1]!==e}),a(e,function(e){r.cases["!"+e]=r.cases["!"+e]||[],r.cases["!"+e].push({transclude:i,element:t})})}}),Eo=qn({transclude:"element",priority:1200,require:"^ngSwitch",multiElement:!0,link:function(e,t,n,r,i){r.cases["?"]=r.cases["?"]||[],r.cases["?"].push({transclude:i,element:t})}}),Co=r("ngTransclude"),xo=["$compile",function(e){return{restrict:"EAC",compile:function(t){var n=e(t.contents());return t.empty(),function(e,t,r,i,a){function o(){n(e,function(e){t.append(e)})}if(!a)throw Co("orphan",Y(t));r.ngTransclude===r.$attr.ngTransclude&&(r.ngTransclude=""),r=r.ngTransclude||r.ngTranscludeSlot,a(function(e,n){var r;if(r=e.length)e:{r=0;for(var i=e.length;r<i;r++){var a=e[r];if(a.nodeType!==_r||a.nodeValue.trim()){r=!0;break e}}r=void 0}r?t.append(e):(o(),n.$destroy())},null,r),r&&!a.isSlotFilled(r)&&o()}}}}],Do=["$templateCache",function(e){return{restrict:"E",terminal:!0,compile:function(t,n){"text/ng-template"===n.type&&e.put(n.id,t[0].text)}}}],So={$setViewValue:h,$render:h},To=["$element","$scope",function(t,n){function r(){s||(s=!0,n.$$postDigest(function(){s=!1,a.ngModelCtrl.$render()}))}function i(e){l||(l=!0,n.$$postDigest(function(){n.$$destroyed||(l=!1,a.ngModelCtrl.$setViewValue(a.readValue()),e&&a.ngModelCtrl.$render())}))}var a=this,o=new di;a.selectValueMap={},a.ngModelCtrl=So,a.multiple=!1,a.unknownOption=gr(e.document.createElement("option")),a.hasEmptyOption=!1,a.emptyOption=void 0,a.renderUnknownOption=function(e){e=a.generateUnknownOptionValue(e),a.unknownOption.val(e),t.prepend(a.unknownOption),dr(a.unknownOption,!0),t.val(e)},a.updateUnknownOption=function(e){e=a.generateUnknownOptionValue(e),a.unknownOption.val(e),dr(a.unknownOption,!0),t.val(e)},a.generateUnknownOptionValue=function(e){return"? "+Ge(e)+" ?"},a.removeUnknownOption=function(){a.unknownOption.parent()&&a.unknownOption.remove()},a.selectEmptyOption=function(){a.emptyOption&&(t.val(""),dr(a.emptyOption,!0))},a.unselectEmptyOption=function(){a.hasEmptyOption&&dr(a.emptyOption,!1)},n.$on("$destroy",function(){a.renderUnknownOption=h}),a.readValue=function(){var e=t.val(),e=e in a.selectValueMap?a.selectValueMap[e]:e;return a.hasOption(e)?e:null},a.writeValue=function(e){var n=t[0].options[t[0].selectedIndex];n&&dr(gr(n),!1),a.hasOption(e)?(a.removeUnknownOption(),n=Ge(e),t.val(n in a.selectValueMap?n:e),dr(gr(t[0].options[t[0].selectedIndex]),!0)):a.selectUnknownOrEmptyOption(e)},a.addOption=function(e,t){if(8!==t[0].nodeType){ce(e,'"option value"'),""===e&&(a.hasEmptyOption=!0,a.emptyOption=t);var n=o.get(e)||0;o.set(e,n+1),r()}},a.removeOption=function(e){var t=o.get(e);t&&(1===t?(o.delete(e),""===e&&(a.hasEmptyOption=!1,a.emptyOption=void 0)):o.set(e,t-1))},a.hasOption=function(e){return!!o.get(e)},a.$hasEmptyOption=function(){return a.hasEmptyOption},a.$isUnknownOptionSelected=function(){return t[0].options[0]===a.unknownOption[0]},a.$isEmptyOptionSelected=function(){return a.hasEmptyOption&&t[0].options[t[0].selectedIndex]===a.emptyOption[0]},a.selectUnknownOrEmptyOption=function(e){null==e&&a.emptyOption?(a.removeUnknownOption(),a.selectEmptyOption()):a.unknownOption.parent().length?a.updateUnknownOption(e):a.renderUnknownOption(e)};var s=!1,l=!1;a.registerOption=function(e,t,n,o,s){if(n.$attr.ngValue){var l,u;n.$observe("value",function(e){var n,r=t.prop("selected");$(u)&&(a.removeOption(l),delete a.selectValueMap[u],n=!0),u=Ge(e),l=e,a.selectValueMap[u]=e,a.addOption(e,t),t.attr("value",u),n&&r&&i()})}else o?n.$observe("value",function(e){a.readValue();var n,r=t.prop("selected");$(l)&&(a.removeOption(l),n=!0),l=e,a.addOption(e,t),n&&r&&i()}):s?e.$watch(s,function(e,r){n.$set("value",e);var o=t.prop("selected");r!==e&&a.removeOption(r),a.addOption(e,t),r&&o&&i()}):a.addOption(n.value,t);n.$observe("disabled",function(e){("true"===e||e&&t.prop("selected"))&&(a.multiple?i(!0):(a.ngModelCtrl.$setViewValue(null),a.ngModelCtrl.$render()))}),t.on("$destroy",function(){var e=a.readValue(),t=n.value;a.removeOption(t),r(),(a.multiple&&e&&-1!==e.indexOf(t)||e===t)&&i(!0)})}}],Oo=function(){return{restrict:"E",require:["select","?ngModel"],controller:To,priority:1,link:{pre:function(e,t,n,r){var i=r[0],o=r[1];if(o){if(i.ngModelCtrl=o,t.on("change",function(){i.removeUnknownOption(),e.$apply(function(){o.$setViewValue(i.readValue())})}),n.multiple){i.multiple=!0,i.readValue=function(){var e=[];return a(t.find("option"),function(t){t.selected&&!t.disabled&&(t=t.value,e.push(t in i.selectValueMap?i.selectValueMap[t]:t))}),e},i.writeValue=function(e){a(t.find("option"),function(t){var n=!!e&&(-1!==Array.prototype.indexOf.call(e,t.value)||-1!==Array.prototype.indexOf.call(e,i.selectValueMap[t.value]));n!==t.selected&&dr(gr(t),n)})};var s,l=NaN;e.$watch(function(){l!==o.$viewValue||H(s,o.$viewValue)||(s=ge(o.$viewValue),o.$render()),l=o.$viewValue}),o.$isEmpty=function(e){return!e||0===e.length}}}else i.registerOption=h},post:function(e,t,n,r){var i=r[1];if(i){var a=r[0];i.$render=function(){a.writeValue(i.$viewValue)}}}}}},Ao=["$interpolate",function(e){return{restrict:"E",priority:100,compile:function(t,n){var r,i;return $(n.ngValue)||($(n.value)?r=e(n.value,!0):(i=e(t.text(),!0))||n.$set("value",t.text())),function(e,t,n){var a=t.parent();(a=a.data("$selectController")||a.parent().data("$selectController"))&&a.registerOption(e,t,n,r,i)}}}}],Po=["$parse",function(e){return{restrict:"A",require:"?ngModel",link:function(t,n,r,i){if(i){var a=r.hasOwnProperty("required")||e(r.ngRequired)(t);r.ngRequired||(r.required=!0),i.$validators.required=function(e,t){return!a||!i.$isEmpty(t)},r.$observe("required",function(e){a!==e&&(a=e,i.$validate())})}}}}],Io=["$parse",function(e){return{restrict:"A",require:"?ngModel",compile:function(t,n){var r,i;return n.ngPattern&&(r=n.ngPattern,i="/"===n.ngPattern.charAt(0)&&yr.test(n.ngPattern)?function(){return n.ngPattern}:e(n.ngPattern)),function(e,t,n,a){if(a){var o=n.pattern;n.ngPattern?o=i(e):r=n.pattern;var s=fr(o,r,t);n.$observe("pattern",function(e){var n=s;s=fr(e,r,t),(n&&n.toString())!==(s&&s.toString())&&a.$validate()}),a.$validators.pattern=function(e,t){return a.$isEmpty(t)||b(s)||s.test(t)}}}}}}],No=["$parse",function(e){return{restrict:"A",require:"?ngModel",link:function(t,n,r,i){if(i){var a=r.maxlength||e(r.ngMaxlength)(t),o=hr(a);r.$observe("maxlength",function(e){a!==e&&(o=hr(e),a=e,i.$validate())}),i.$validators.maxlength=function(e,t){return 0>o||i.$isEmpty(t)||t.length<=o}}}}}],Lo=["$parse",function(e){return{restrict:"A",require:"?ngModel",link:function(t,n,r,i){if(i){var a=r.minlength||e(r.ngMinlength)(t),o=hr(a)||-1;r.$observe("minlength",function(e){a!==e&&(o=hr(e)||-1,a=e,i.$validate())}),i.$validators.minlength=function(e,t){return i.$isEmpty(t)||t.length>=o}}}}}];e.angular.bootstrap?e.console&&console.log("WARNING: Tried to load AngularJS more than once."):(oe(),be(Or),Or.module("ngLocale",[],["$provide",function(e){function t(e){e+="";var t=e.indexOf(".");return-1==t?0:e.length-t-1}e.value("$locale",{DATETIME_FORMATS:{AMPMS:["AM","PM"],DAY:"Sunday Monday Tuesday Wednesday Thursday Friday Saturday".split(" "),ERANAMES:["Before Christ","Anno Domini"],ERAS:["BC","AD"],FIRSTDAYOFWEEK:6,MONTH:"January February March April May June July August September October November December".split(" "),SHORTDAY:"Sun Mon Tue Wed Thu Fri Sat".split(" "),SHORTMONTH:"Jan Feb Mar Apr May Jun Jul Aug Sep Oct Nov Dec".split(" "),STANDALONEMONTH:"January February March April May June July August September October November December".split(" "),WEEKENDRANGE:[5,6],fullDate:"EEEE, MMMM d, y",longDate:"MMMM d, y",medium:"MMM d, y h:mm:ss a",mediumDate:"MMM d, y",mediumTime:"h:mm:ss a",short:"M/d/yy h:mm a",shortDate:"M/d/yy",shortTime:"h:mm a"},NUMBER_FORMATS:{CURRENCY_SYM:"$",DECIMAL_SEP:".",GROUP_SEP:",",PATTERNS:[{gSize:3,lgSize:3,maxFrac:3,minFrac:0,minInt:1,negPre:"-",negSuf:"",posPre:"",posSuf:""},{gSize:3,lgSize:3,maxFrac:2,minFrac:2,minInt:1,negPre:"-¤",negSuf:"",posPre:"¤",posSuf:""}]},id:"en-us",localeID:"en_US",pluralCat:function(e,n){var r=0|e,i=n;return void 0===i&&(i=Math.min(t(e),3)),Math.pow(10,i),1==r&&0==i?"one":"other"}})}]),gr(function(){te(e.document,ne)}))}(window),!window.angular.$$csp().noInlineStyle&&window.angular.element(document.head).prepend(window.angular.element("<style>").text('@charset "UTF-8";[ng\\:cloak],[ng-cloak],[data-ng-cloak],[x-ng-cloak],.ng-cloak,.x-ng-cloak,.ng-hide:not(.ng-hide-animate){display:none !important;}ng\\:form{display:block;}.ng-animate-shim{visibility:hidden;}.ng-anchor{position:absolute;}')),function(e,t){"use strict";function n(e,t,n){if(!e)throw G("areq",t||"?",n||"required");return e}function r(e,t){return e||t?e?t?(N(e)&&(e=e.join(" ")),N(t)&&(t=t.join(" ")),e+" "+t):e:t:""}function i(e){var t={};return e&&(e.to||e.from)&&(t.to=e.to,t.from=e.from),t}function a(e,t,n){var r="";return e=N(e)?e:e&&H(e)&&e.length?e.split(/\s+/):[],I(e,function(e,i){e&&0<e.length&&(r+=0<i?" ":"",r+=n?t+e:e+t)}),r}function o(e){if(e instanceof z)switch(e.length){case 0:return e;case 1:if(1===e[0].nodeType)return e;break;default:return z(s(e))}if(1===e.nodeType)return z(e)}function s(e){if(!e[0])return e;for(var t=0;t<e.length;t++){var n=e[t];if(1===n.nodeType)return n}}function l(e,t,n){I(t,function(t){e.addClass(t,n)})}function u(e,t,n){I(t,function(t){e.removeClass(t,n)})}function c(e){return function(t,n){n.addClass&&(l(e,t,n.addClass),n.addClass=null),n.removeClass&&(u(e,t,n.removeClass),n.removeClass=null)}}function p(e){if(e=e||{},!e.$$prepared){var t=e.domOperation||V;e.domOperation=function(){e.$$domOperationFired=!0,t(),t=V},e.$$prepared=!0}return e}function d(e,t){f(e,t),h(e,t)}function f(e,t){t.from&&(e.css(t.from),t.from=null)}function h(e,t){t.to&&(e.css(t.to),t.to=null)}function m(e,t,n){var r=t.options||{};n=n.options||{};var i=(r.addClass||"")+" "+(n.addClass||""),a=(r.removeClass||"")+" "+(n.removeClass||"");return e=g(e.attr("class"),i,a),n.preparationClasses&&(r.preparationClasses=w(n.preparationClasses,r.preparationClasses),delete n.preparationClasses),i=r.domOperation!==V?r.domOperation:null,P(r,n),i&&(r.domOperation=i),r.addClass=e.addClass?e.addClass:null,r.removeClass=e.removeClass?e.removeClass:null,t.addClass=r.addClass,t.removeClass=r.removeClass,r}function g(e,t,n){function r(e){H(e)&&(e=e.split(" "));var t={};return I(e,function(e){e.length&&(t[e]=!0)}),t}var i={};e=r(e),t=r(t),I(t,function(e,t){i[t]=1}),n=r(n),I(n,function(e,t){i[t]=1===i[t]?null:-1});var a={addClass:"",removeClass:""};return I(i,function(t,n){var r,i;1===t?(r="addClass",i=!e[n]||e[n+"-remove"]):-1===t&&(r="removeClass",i=e[n]||e[n+"-add"]),i&&(a[r].length&&(a[r]+=" "),a[r]+=n)}),a}function v(e){return e instanceof z?e[0]:e}function b(e,t,n,r){e="",n&&(e=a(n,"ng-",!0)),r.addClass&&(e=w(e,a(r.addClass,"-add"))),r.removeClass&&(e=w(e,a(r.removeClass,"-remove"))),e.length&&(r.preparationClasses=e,t.addClass(e))}function $(e,t){var n=t?"paused":"",r=T+"PlayState";return y(e,[r,n]),[r,n]}function y(e,t){e.style[t[0]]=t[1]}function w(e,t){return e?t?e+" "+t:e:t}function M(e,t,n){var r=Object.create(null),i=e.getComputedStyle(t)||{};return I(n,function(e,t){var n=i[e];if(n){var a=n.charAt(0);("-"===a||"+"===a||0<=a)&&(n=k(n)),0===n&&(n=null),r[t]=n}}),r}function k(e){var t=0;return e=e.split(/\s*,\s*/),I(e,function(e){"s"===e.charAt(e.length-1)&&(e=e.substring(0,e.length-1)),e=parseFloat(e)||0,t=t?Math.max(e,t):e}),t}function E(e){return 0===e||null!=e}function C(e,t){var n=D,r=e+"s";return t?n+="Duration":r+=" linear all",[n,r]}function x(e,t,n){I(n,function(n){e[n]=L(e[n])?e[n]:t.style.getPropertyValue(n)})}var D,S,T,O;void 0===e.ontransitionend&&void 0!==e.onwebkittransitionend?(D="WebkitTransition",S="webkitTransitionEnd transitionend"):(D="transition",S="transitionend"),void 0===e.onanimationend&&void 0!==e.onwebkitanimationend?(T="WebkitAnimation",O="webkitAnimationEnd animationend"):(T="animation",O="animationend");var A,P,I,N,L,U,F,R,H,j,z,V,_=T+"Delay",B=T+"Duration",q=D+"Delay",W=D+"Duration",G=t.$$minErr("ng"),Y={blockTransitions:function(e,t){var n=t?"-"+t+"s":"";return y(e,[q,n]),[q,n]}},Q={transitionDuration:W,transitionDelay:q,transitionProperty:D+"Property",animationDuration:B,animationDelay:_,animationIterationCount:T+"IterationCount"},K={transitionDuration:W,transitionDelay:q,animationDuration:B,animationDelay:_};t.module("ngAnimate",[],function(){V=t.noop,A=t.copy,P=t.extend,z=t.element,I=t.forEach,N=t.isArray,H=t.isString,R=t.isObject,j=t.isUndefined,L=t.isDefined,F=t.isFunction,U=t.isElement}).info({angularVersion:"1.8.2"}).directive("ngAnimateSwap",["$animate",function(e){return{restrict:"A",transclude:"element",terminal:!0,priority:550,link:function(t,n,r,i,a){var o,s;t.$watchCollection(r.ngAnimateSwap||r.for,function(t){o&&e.leave(o),s&&(s.$destroy(),s=null),(t||0===t)&&a(function(t,r){o=t,s=r,e.enter(t,null,n)})})}}}]).directive("ngAnimateChildren",["$interpolate",function(e){return{link:function(t,n,r){function i(e){n.data("$$ngAnimateChildren","on"===e||"true"===e)}var a=r.ngAnimateChildren;H(a)&&0===a.length?n.data("$$ngAnimateChildren",!0):(i(e(a)(t)),r.$observe("ngAnimateChildren",i))}}}]).factory("$$rAFScheduler",["$$rAF",function(e){function t(e){r=r.concat(e),n()}function n(){if(r.length){for(var t=r.shift(),a=0;a<t.length;a++)t[a]();i||e(function(){i||n()})}}var r,i;return r=t.queue=[],t.waitUntilQuiet=function(t){i&&i(),i=e(function(){i=null,t(),n()})},t}]).provider("$$animateQueue",["$animateProvider",function(t){function r(e){return{addClass:e.addClass,removeClass:e.removeClass,from:e.from,to:e.to}}function i(e){if(!e)return null;e=e.split(" ");var t=Object.create(null);return I(e,function(e){t[e]=!0}),t}function a(e,t){if(e&&t){var n=i(t);return e.split(" ").some(function(e){return n[e]})}}function l(e,t,n){return f[e].some(function(e){return e(t,n)})}function u(e,t){var n=0<(e.addClass||"").length,r=0<(e.removeClass||"").length;return t?n&&r:n||r}var f=this.rules={skip:[],cancel:[],join:[]};f.join.push(function(e,t){return!e.structural&&u(e)}),f.skip.push(function(e,t){return!e.structural&&!u(e)}),f.skip.push(function(e,t){return"leave"===t.event&&e.structural}),f.skip.push(function(e,t){return t.structural&&2===t.state&&!e.structural}),f.cancel.push(function(e,t){return t.structural&&e.structural}),f.cancel.push(function(e,t){return 2===t.state&&e.structural}),f.cancel.push(function(e,t){if(t.structural)return!1;var n=e.addClass,r=e.removeClass,i=t.addClass,o=t.removeClass;return!(j(n)&&j(r)||j(i)&&j(o))&&(a(n,o)||a(r,i))}),this.$get=["$$rAF","$rootScope","$rootElement","$document","$$Map","$$animation","$$AnimateRunner","$templateRequest","$$jqLite","$$forceReflow","$$isDocumentHidden",function(i,a,f,h,g,$,y,w,M,k,E){function C(e){q.delete(e.target)}function x(){var e=!1;return function(t){e?t():a.$$postDigest(function(){e=!0,t()})}}function D(e,t,n){var r=[],i=Y[n];return i&&I(i,function(i){J.call(i.node,t)?r.push(i.callback):"leave"===n&&J.call(i.node,e)&&r.push(i.callback)}),r}function S(e,t,n){var r=s(t);return e.filter(function(e){return!(e.node===r&&(!n||e.callback===n))})}function T(e,t,n){function s(e,t,n,r){C(function(){var e=D(w,g,t);e.length?i(function(){I(e,function(e){e(h,n,r)}),"close"!==n||g.parentNode||ee.off(g)}):"close"!==n||g.parentNode||ee.off(g)}),e.progress(t,n,r)}function c(e){var t=h,n=f;n.preparationClasses&&(t.removeClass(n.preparationClasses),n.preparationClasses=null),n.activeClasses&&(t.removeClass(n.activeClasses),n.activeClasses=null),Z(h,f),d(h,f),f.domOperation(),k.complete(!e)}var f=A(n),h=o(e),g=v(h),w=g&&g.parentNode,f=p(f),k=new y,C=x();if(N(f.addClass)&&(f.addClass=f.addClass.join(" ")),f.addClass&&!H(f.addClass)&&(f.addClass=null),N(f.removeClass)&&(f.removeClass=f.removeClass.join(" ")),f.removeClass&&!H(f.removeClass)&&(f.removeClass=null),f.from&&!R(f.from)&&(f.from=null),f.to&&!R(f.to)&&(f.to=null),!(W&&g&&K(g,t,n)&&X(g,f)))return c(),k;var S=0<=["enter","move","leave"].indexOf(t),T=E(),P=T||q.get(g);n=!P&&B.get(g)||{};var L=!!n.state;if(P||L&&1===n.state||(P=!V(g,w,t)),P)return T&&s(k,t,"start",r(f)),c(),T&&s(k,t,"close",r(f)),k;if(S&&O(g),T={structural:S,element:h,event:t,addClass:f.addClass,removeClass:f.removeClass,close:c,options:f,runner:k},L){if(l("skip",T,n))return 2===n.state?(c(),k):(m(h,n,T),n.runner);if(l("cancel",T,n))if(2===n.state)n.runner.end();else{if(!n.structural)return m(h,n,T),n.runner;n.close()}else if(l("join",T,n)){if(2!==n.state)return b(M,h,S?t:null,f),t=T.event=n.event,f=m(h,n,T),n.runner;m(h,T,{})}}else m(h,T,{});if((L=T.structural)||(L="animate"===T.event&&0<Object.keys(T.options.to||{}).length||u(T)),!L)return c(),F(g),k;var U=(n.counter||0)+1;return T.counter=U,_(g,1,T),a.$$postDigest(function(){h=o(e);var n=B.get(g),i=!n,n=n||{},a=0<(h.parent()||[]).length&&("animate"===n.event||n.structural||u(n));i||n.counter!==U||!a?(i&&(Z(h,f),d(h,f)),(i||S&&n.event!==t)&&(f.domOperation(),k.end()),a||F(g)):(t=!n.structural&&u(n,!0)?"setClass":n.event,_(g,2),n=$(h,t,n.options),k.setHost(n),s(k,t,"start",r(f)),n.done(function(e){c(!e),(e=B.get(g))&&e.counter===U&&F(g),s(k,t,"close",r(f))}))}),k}function O(e){e=e.querySelectorAll("[data-ng-animate]"),I(e,function(e){var t=parseInt(e.getAttribute("data-ng-animate"),10),n=B.get(e);if(n)switch(t){case 2:n.runner.end();case 1:B.delete(e)}})}function F(e){e.removeAttribute("data-ng-animate"),B.delete(e)}function V(e,t,n){n=h[0].body;var r,i=v(f),a=e===n||"HTML"===e.nodeName,o=e===i,s=!1,l=q.get(e);for((e=z.data(e,"$ngAnimatePin"))&&(t=v(e));t&&(o||(o=t===i),1===t.nodeType);){if(e=B.get(t)||{},!s){var u=q.get(t);if(!0===u&&!1!==l){l=!0;break}!1===u&&(l=!1),s=e.structural}if((j(r)||!0===r)&&(e=z.data(t,"$$ngAnimateChildren"),L(e)&&(r=e)),s&&!1===r)break;if(a||(a=t===n),a&&o)break;t=o||!(e=z.data(t,"$ngAnimatePin"))?t.parentNode:v(e)}return(!s||r)&&!0!==l&&o&&a}function _(e,t,n){n=n||{},n.state=t,e.setAttribute("data-ng-animate",t),n=(t=B.get(e))?P(t,n):n,B.set(e,n)}var B=new g,q=new g,W=null,G=a.$watch(function(){return 0===w.totalPendingRequests},function(e){e&&(G(),a.$$postDigest(function(){a.$$postDigest(function(){null===W&&(W=!0)})}))}),Y=Object.create(null);g=t.customFilter();var Q=t.classNameFilter();k=function(){return!0};var K=g||k,X=Q?function(e,t){var n=[e.getAttribute("class"),t.addClass,t.removeClass].join(" ");return Q.test(n)}:k,Z=c(M),J=e.Node.prototype.contains||function(e){return this===e||!!(16&this.compareDocumentPosition(e))},ee={on:function(e,t,n){var r=s(t);Y[e]=Y[e]||[],Y[e].push({node:r,callback:n}),z(t).on("$destroy",function(){B.get(r)||ee.off(e,t,n)})},off:function(e,t,n){if(1!==arguments.length||H(arguments[0])){var r=Y[e];r&&(Y[e]=1===arguments.length?null:S(r,t,n))}else for(r in t=arguments[0],Y)Y[r]=S(Y[r],t)},pin:function(e,t){n(U(e),"element","not an element"),n(U(t),"parentElement","not an element"),e.data("$ngAnimatePin",t)},push:function(e,t,n,r){return n=n||{},n.domOperation=r,T(e,t,n)},enabled:function(e,t){var n=arguments.length;if(0===n)t=!!W;else if(U(e)){var r=v(e);1===n?t=!q.get(r):(q.has(r)||z(e).on("$destroy",C),q.set(r,!t))}else t=W=!!e;return t}};return ee}]}]).provider("$$animateCache",function(){var e=0,t=Object.create(null);this.$get=[function(){return{cacheKey:function(t,n,r,i){var a=t.parentNode;return t=[a.$$ngAnimateParentKey||(a.$$ngAnimateParentKey=++e),n,t.getAttribute("class")],r&&t.push(r),i&&t.push(i),t.join(" ")},containsCachedAnimationWithoutDuration:function(e){return(e=t[e])&&!e.isValid||!1},flush:function(){t=Object.create(null)},count:function(e){return(e=t[e])?e.total:0},get:function(e){return(e=t[e])&&e.value},put:function(e,n,r){t[e]?(t[e].total++,t[e].value=n):t[e]={total:1,value:n,isValid:r}}}}]}).provider("$$animation",["$animateProvider",function(e){var t=this.drivers=[];this.$get=["$$jqLite","$rootScope","$injector","$$AnimateRunner","$$Map","$$rAFScheduler","$$animateCache",function(e,n,i,a,o,s,l){function u(e){function t(e){if(e.processed)return e;e.processed=!0;var n=e.domNode,a=n.parentNode;i.set(n,e);for(var o;a;){if(o=i.get(a)){o.processed||(o=t(o));break}a=a.parentNode}return(o||r).children.push(e),e}var n,r={children:[]},i=new o;for(n=0;n<e.length;n++){var a=e[n];i.set(a.domNode,e[n]={domNode:a.domNode,element:a.element,fn:a.fn,children:[]})}for(n=0;n<e.length;n++)t(e[n]);return function(e){var t,n=[],r=[];for(t=0;t<e.children.length;t++)r.push(e.children[t]);e=r.length;var i=0,a=[];for(t=0;t<r.length;t++){var o=r[t];0>=e&&(e=i,i=0,n.push(a),a=[]),a.push(o),o.children.forEach(function(e){i++,r.push(e)}),e--}return a.length&&n.push(a),n}(r)}var f=[],h=c(e);return function(o,c,m){function g(e){e=e.hasAttribute("ng-animate-ref")?[e]:e.querySelectorAll("[ng-animate-ref]");var t=[];return I(e,function(e){var n=e.getAttribute("ng-animate-ref");n&&n.length&&t.push(e)}),t}function b(e){var t=[],n={};I(e,function(e,r){var i=v(e.element),a=0<=["enter","move"].indexOf(e.event),i=e.structural?g(i):[];if(i.length){var o=a?"to":"from";I(i,function(e){var t=e.getAttribute("ng-animate-ref");n[t]=n[t]||{},n[t][o]={animationID:r,element:z(e)}})}else t.push(e)});var r={},i={};return I(n,function(n,a){var o=n.from,s=n.to;if(o&&s){var l=e[o.animationID],u=e[s.animationID],c=o.animationID.toString();if(!i[c]){var p=i[c]={structural:!0,beforeStart:function(){l.beforeStart(),u.beforeStart()},close:function(){l.close(),u.close()},classes:$(l.classes,u.classes),from:l,to:u,anchors:[]};p.classes.length?t.push(p):(t.push(l),t.push(u))}i[c].anchors.push({out:o.element,in:s.element})}else o=o?o.animationID:s.animationID,s=o.toString(),r[s]||(r[s]=!0,t.push(e[o]))}),t}function $(e,t){e=e.split(" "),t=t.split(" ");for(var n=[],r=0;r<e.length;r++){var i=e[r];if("ng-"!==i.substring(0,3))for(var a=0;a<t.length;a++)if(i===t[a]){n.push(i);break}}return n.join(" ")}function y(e){for(var n=t.length-1;0<=n;n--){var r=i.get(t[n])(e);if(r)return r}}function w(e,t){function n(e){(e=e.data("$$animationRunner"))&&e.setHost(t)}e.from&&e.to?(n(e.from.element),n(e.to.element)):n(e.element)}function M(){var e=o.data("$$animationRunner");!e||"leave"===c&&m.$$domOperationFired||e.end()}function k(t){o.off("$destroy",M),o.removeData("$$animationRunner"),h(o,m),d(o,m),m.domOperation(),D&&e.removeClass(o,D),C.complete(!t)}m=p(m);var E=0<=["enter","move","leave"].indexOf(c),C=new a({end:function(){k()},cancel:function(){k(!0)}});if(!t.length)return k(),C;var x=r(o.attr("class"),r(m.addClass,m.removeClass)),D=m.tempClasses;return D&&(x+=" "+D,m.tempClasses=null),E&&o.data("$$animatePrepareClasses","ng-"+c+"-prepare"),o.data("$$animationRunner",C),f.push({element:o,classes:x,event:c,structural:E,options:m,beforeStart:function(){D=(D?D+" ":"")+"ng-animate",e.addClass(o,D);var t=o.data("$$animatePrepareClasses");t&&e.removeClass(o,t)},close:k}),o.on("$destroy",M),1<f.length?C:(n.$$postDigest(function(){var t=[];I(f,function(e){e.element.data("$$animationRunner")?t.push(e):e.close()}),f.length=0;var n=b(t),r=[];I(n,function(e){var t=e.from?e.from.element:e.element,n=m.addClass,i=l.cacheKey(t[0],e.event,(n?n+" ":"")+"ng-animate",m.removeClass);r.push({element:t,domNode:v(t),fn:function(){var t,n=e.close;if(l.containsCachedAnimationWithoutDuration(i))n();else{if(e.beforeStart(),(e.anchors?e.from.element||e.to.element:e.element).data("$$animationRunner")){var r=y(e);r&&(t=r.start)}t?(t=t(),t.done(function(e){n(!e)}),w(e,t)):n()}}})});for(var n=u(r),i=0;i<n.length;i++)for(var a=n[i],o=0;o<a.length;o++){var c=a[o],p=c.element;n[i][o]=c.fn,0===i?p.removeData("$$animatePrepareClasses"):(c=p.data("$$animatePrepareClasses"))&&e.addClass(p,c)}s(n)}),C)}}]}]).provider("$animateCss",["$animateProvider",function(e){this.$get=["$window","$$jqLite","$$AnimateRunner","$timeout","$$animateCache","$$forceReflow","$sniffer","$$rAFScheduler","$$animateQueue",function(e,t,n,r,o,s,l,u,m){function g(n,r,i,s){var l,u="stagger-"+i;return 0<o.count(i)&&((l=o.get(u))||(r=a(r,"-stagger"),t.addClass(n,r),l=M(e,n,s),l.animationDuration=Math.max(l.animationDuration,0),l.transitionDuration=Math.max(l.transitionDuration,0),t.removeClass(n,r),o.put(u,l,!0))),l||{}}function b(e){P.push(e),u.waitUntilQuiet(function(){o.flush();for(var e=s(),t=0;t<P.length;t++)P[t](e);P.length=0})}function w(t,n,r,i){return n=o.get(r),n||(n=M(e,t,Q),"infinite"===n.animationIterationCount&&(n.animationIterationCount=1)),o.put(r,n,i||0<n.transitionDuration||0<n.animationDuration),t=n,r=t.animationDelay,i=t.transitionDelay,t.maxDelay=r&&i?Math.max(r,i):r||i,t.maxDuration=Math.max(t.animationDuration*t.animationIterationCount,t.transitionDuration),t}var k=c(t),P=[];return function(e,s){function u(){M()}function c(){M(!0)}function M(n){if(!(z||G&&W)){z=!0,W=!1,pe&&!R.$$skipPreparationClasses&&t.removeClass(e,pe),$e&&t.removeClass(e,$e),$(j,!1),Y.blockTransitions(j,!1),I(re,function(e){j.style[e[0]]=""}),k(e,R),d(e,R),Object.keys(H).length&&I(H,function(e,t){e?j.style.setProperty(t,e):j.style.removeProperty(t)}),R.onDone&&R.onDone(),oe&&oe.length&&e.off(oe.join(" "),U);var i=e.data("$$animateCss");i&&(r.cancel(i[0].timer),e.removeData("$$animateCss")),Q&&Q.complete(!n)}}function P(e){be.blockTransition&&Y.blockTransitions(j,e),be.blockKeyframeAnimation&&$(j,!!e)}function L(){return Q=new n({end:u,cancel:c}),b(V),M(),{$$willAnimate:!1,start:function(){return Q},end:u}}function U(e){e.stopPropagation();var t=e.originalEvent||e;t.target===j&&(e=t.$manualTimeStamp||Date.now(),t=parseFloat(t.elapsedTime.toFixed(3)),Math.max(e-ne,0)>=J&&t>=ee&&(G=!0,M()))}function F(){function n(){if(!z){if(P(!1),I(re,function(e){j.style[e[0]]=e[1]}),k(e,R),t.addClass(e,$e),be.recalculateTimingStyles){if(de=j.getAttribute("class")+" "+pe,he=o.cacheKey(j,se,R.addClass,R.removeClass),ge=w(j,de,he,!1),ve=ge.maxDelay,Z=Math.max(ve,0),0===(ee=ge.maxDuration))return void M();be.hasTransitions=0<ge.transitionDuration,be.hasAnimations=0<ge.animationDuration}if(be.applyAnimationDelay&&(ve="boolean"!=typeof R.delay&&E(R.delay)?parseFloat(R.delay):ve,Z=Math.max(ve,0),ge.animationDelay=ve,ye=[_,ve+"s"],re.push(ye),j.style[ye[0]]=ye[1]),J=1e3*Z,te=1e3*ee,R.easing){var n,a=R.easing;be.hasTransitions&&(n=D+"TimingFunction",re.push([n,a]),j.style[n]=a),be.hasAnimations&&(n=T+"TimingFunction",re.push([n,a]),j.style[n]=a)}ge.transitionDuration&&oe.push(S),ge.animationDuration&&oe.push(O),ne=Date.now();var s=J+1.5*te;n=ne+s;var a=e.data("$$animateCss")||[],l=!0;if(a.length){var u=a[0];(l=n>u.expectedEndTime)?r.cancel(u.timer):a.push(M)}l&&(s=r(i,s,!1),a[0]={timer:s,expectedEndTime:n},a.push(M),e.data("$$animateCss",a)),oe.length&&e.on(oe.join(" "),U),R.to&&(R.cleanupStyles&&x(H,j,Object.keys(R.to)),h(e,R))}}function i(){var t=e.data("$$animateCss");if(t){for(var n=1;n<t.length;n++)t[n]();e.removeData("$$animateCss")}}if(!z)if(j.parentNode){var a=function(e){if(G)W&&e&&(W=!1,M());else if(W=!e,ge.animationDuration)if(e=$(j,W),W)re.push(e);else{var t=re,n=t.indexOf(e);0<=e&&t.splice(n,1)}},s=0<me&&(ge.transitionDuration&&0===fe.transitionDuration||ge.animationDuration&&0===fe.animationDuration)&&Math.max(fe.animationDelay,fe.transitionDelay);s?r(n,Math.floor(s*me*1e3),!1):n(),X.resume=function(){a(!0)},X.pause=function(){a(!1)}}else M()}var R=s||{};R.$$prepared||(R=p(A(R)));var H={},j=v(e);if(!j||!j.parentNode||!m.enabled())return L();var z,W,G,Q,X,Z,J,ee,te,ne,re=[],ie=e.attr("class"),ae=i(R),oe=[];if(0===R.duration||!l.animations&&!l.transitions)return L();var se=R.event&&N(R.event)?R.event.join(" "):R.event,le=se&&R.structural,ue="",ce="";le?ue=a(se,"ng-",!0):se&&(ue=se),R.addClass&&(ce+=a(R.addClass,"-add")),R.removeClass&&(ce.length&&(ce+=" "),ce+=a(R.removeClass,"-remove")),R.applyClassesEarly&&ce.length&&k(e,R);var pe=[ue,ce].join(" ").trim(),de=ie+" "+pe,ie=ae.to&&0<Object.keys(ae.to).length;if(!(0<(R.keyframeStyle||"").length||ie||pe))return L();var fe,he=o.cacheKey(j,se,R.addClass,R.removeClass);if(o.containsCachedAnimationWithoutDuration(he))return pe=null,L();0<R.stagger?(ae=parseFloat(R.stagger),fe={transitionDelay:ae,animationDelay:ae,transitionDuration:0,animationDuration:0}):fe=g(j,pe,he,K),R.$$skipPreparationClasses||t.addClass(e,pe),R.transitionStyle&&(ae=[D,R.transitionStyle],y(j,ae),re.push(ae)),0<=R.duration&&(ae=0<j.style[D].length,ae=C(R.duration,ae),y(j,ae),re.push(ae)),R.keyframeStyle&&(ae=[T,R.keyframeStyle],y(j,ae),re.push(ae));var me=fe?0<=R.staggerIndex?R.staggerIndex:o.count(he):0;(ue=0===me)&&!R.skipBlocking&&Y.blockTransitions(j,9999);var ge=w(j,de,he,!le),ve=ge.maxDelay;Z=Math.max(ve,0),ee=ge.maxDuration;var be={};if(be.hasTransitions=0<ge.transitionDuration,be.hasAnimations=0<ge.animationDuration,be.hasTransitionAll=be.hasTransitions&&"all"===ge.transitionProperty,be.applyTransitionDuration=ie&&(be.hasTransitions&&!be.hasTransitionAll||be.hasAnimations&&!be.hasTransitions),be.applyAnimationDuration=R.duration&&be.hasAnimations,be.applyTransitionDelay=E(R.delay)&&(be.applyTransitionDuration||be.hasTransitions),be.applyAnimationDelay=E(R.delay)&&be.hasAnimations,be.recalculateTimingStyles=0<ce.length,(be.applyTransitionDuration||be.applyAnimationDuration)&&(ee=R.duration?parseFloat(R.duration):ee,be.applyTransitionDuration&&(be.hasTransitions=!0,ge.transitionDuration=ee,ae=0<j.style[D+"Property"].length,re.push(C(ee,ae))),be.applyAnimationDuration&&(be.hasAnimations=!0,ge.animationDuration=ee,re.push([B,ee+"s"]))),0===ee&&!be.recalculateTimingStyles)return L();var $e=a(pe,"-active");if(null!=R.delay){var ye;"boolean"!=typeof R.delay&&(ye=parseFloat(R.delay),Z=Math.max(ye,0)),be.applyTransitionDelay&&re.push([q,ye+"s"]),be.applyAnimationDelay&&re.push([_,ye+"s"])}return null==R.duration&&0<ge.transitionDuration&&(be.recalculateTimingStyles=be.recalculateTimingStyles||ue),J=1e3*Z,te=1e3*ee,R.skipBlocking||(be.blockTransition=0<ge.transitionDuration,be.blockKeyframeAnimation=0<ge.animationDuration&&0<fe.animationDelay&&0===fe.animationDuration),R.from&&(R.cleanupStyles&&x(H,j,Object.keys(R.from)),f(e,R)),be.blockTransition||be.blockKeyframeAnimation?P(ee):R.skipBlocking||Y.blockTransitions(j,!1),{$$willAnimate:!0,end:u,start:function(){if(!z)return X={end:u,cancel:c,resume:null,pause:null},Q=new n(X),b(F),Q}}}}]}]).provider("$$animateCssDriver",["$$animationProvider",function(e){e.drivers.push("$$animateCssDriver"),this.$get=["$animateCss","$rootScope","$$AnimateRunner","$rootElement","$sniffer","$$jqLite","$document",function(e,t,n,r,i,a,o){function s(e){return e.replace(/\bng-\S+\b/g,"")}function l(e,t){return H(e)&&(e=e.split(" ")),H(t)&&(t=t.split(" ")),e.filter(function(e){return-1===t.indexOf(e)}).join(" ")}function u(t,r,i){function a(e){var t={},n=v(e).getBoundingClientRect();return I(["width","height","top","left"],function(e){var r=n[e];switch(e){case"top":r+=d.scrollTop;break;case"left":r+=d.scrollLeft}t[e]=Math.floor(r)+"px"}),t}function o(){var t=s(i.attr("class")||""),n=l(t,p),t=l(p,t),n=e(c,{to:a(i),addClass:"ng-anchor-in "+n,removeClass:"ng-anchor-out "+t,delay:!0});return n.$$willAnimate?n:null}function u(){c.remove(),r.removeClass("ng-animate-shim"),i.removeClass("ng-animate-shim")}var c=z(v(r).cloneNode(!0)),p=s(c.attr("class")||"");r.addClass("ng-animate-shim"),i.addClass("ng-animate-shim"),c.addClass("ng-anchor"),f.append(c);var h;if(!(t=function(){var t=e(c,{addClass:"ng-anchor-out",delay:!0,from:a(r)});return t.$$willAnimate?t:null}())&&!(h=o()))return u();var m=t||h;return{start:function(){function e(){r&&r.end()}var t,r=m.start();return r.done(function(){if(r=null,!h&&(h=o()))return r=h.start(),r.done(function(){r=null,u(),t.complete()}),r;u(),t.complete()}),t=new n({end:e,cancel:e})}}}function c(e,t,r,i){var a=p(e,V),o=p(t,V),s=[];if(I(i,function(e){(e=u(r,e.out,e.in))&&s.push(e)}),a||o||0!==s.length)return{start:function(){function e(){I(t,function(e){e.end()})}var t=[];a&&t.push(a.start()),o&&t.push(o.start()),I(s,function(e){t.push(e.start())});var r=new n({end:e,cancel:e});return n.all(t,function(e){r.complete(e)}),r}}}function p(t){var n=t.element,r=t.options||{};return t.structural&&(r.event=t.event,r.structural=!0,r.applyClassesEarly=!0,"leave"===t.event&&(r.onDone=r.domOperation)),r.preparationClasses&&(r.event=w(r.event,r.preparationClasses)),t=e(n,r),t.$$willAnimate?t:null}if(!i.animations&&!i.transitions)return V;var d=o[0].body;t=v(r);var f=z(t.parentNode&&11===t.parentNode.nodeType||d.contains(t)?t:d);return function(e){return e.from&&e.to?c(e.from,e.to,e.classes,e.anchors):p(e)}}]}]).provider("$$animateJs",["$animateProvider",function(e){this.$get=["$injector","$$AnimateRunner","$$jqLite",function(t,n,r){function i(n){n=N(n)?n:n.split(" ");for(var r=[],i={},a=0;a<n.length;a++){var o=n[a],s=e.$$registeredAnimations[o];s&&!i[o]&&(r.push(t.get(s)),i[o]=!0)}return r}var a=c(r);return function(e,t,r,o){function s(){o.domOperation(),a(e,o)}function l(e,t,r,i,a){switch(r){case"animate":t=[t,i.from,i.to,a];break;case"setClass":t=[t,g,v,a];break;case"addClass":t=[t,g,a];break;case"removeClass":t=[t,v,a];break;default:t=[t,a]}if(t.push(i),e=e.apply(e,t))if(F(e.start)&&(e=e.start()),e instanceof n)e.done(a);else if(F(e))return e;return V}function u(e,t,r,i,a){var o=[];return I(i,function(i){var s=i[a];s&&o.push(function(){var i,a,o=!1,u=function(e){o||(o=!0,(a||V)(e),i.complete(!e))};return i=new n({end:function(){u()},cancel:function(){u(!0)}}),a=l(s,e,t,r,function(e){u(!1===e)}),i})}),o}function c(e,t,r,i,a){var o=u(e,t,r,i,a);if(0===o.length){var s,l;"beforeSetClass"===a?(s=u(e,"removeClass",r,i,"beforeRemoveClass"),l=u(e,"addClass",r,i,"beforeAddClass")):"setClass"===a&&(s=u(e,"removeClass",r,i,"removeClass"),l=u(e,"addClass",r,i,"addClass")),s&&(o=o.concat(s)),l&&(o=o.concat(l))}if(0!==o.length)return function(e){var t=[];return o.length&&I(o,function(e){t.push(e())}),t.length?n.all(t,e):e(),function(e){I(t,function(t){e?t.cancel():t.end()})}}}var f=!1;3===arguments.length&&R(r)&&(o=r,r=null),o=p(o),r||(r=e.attr("class")||"",o.addClass&&(r+=" "+o.addClass),o.removeClass&&(r+=" "+o.removeClass));var h,m,g=o.addClass,v=o.removeClass,b=i(r);if(b.length){var $,y;"leave"===t?(y="leave",$="afterLeave"):(y="before"+t.charAt(0).toUpperCase()+t.substr(1),$=t),"enter"!==t&&"move"!==t&&(h=c(e,t,o,b,y)),m=c(e,t,o,b,$)}if(h||m){var w;return{$$willAnimate:!0,end:function(){return w?w.end():(f=!0,s(),d(e,o),w=new n,w.complete(!0)),w},start:function(){function t(t){f=!0,s(),d(e,o),w.complete(t)}if(w)return w;w=new n;var r,i=[];return h&&i.push(function(e){r=h(e)}),i.length?i.push(function(e){s(),e(!0)}):s(),m&&i.push(function(e){r=m(e)}),w.setHost({end:function(){f||((r||V)(void 0),t(void 0))},cancel:function(){f||((r||V)(!0),t(!0))}}),n.chain(i,t),w}}}}}]}]).provider("$$animateJsDriver",["$$animationProvider",function(e){e.drivers.push("$$animateJsDriver"),this.$get=["$$animateJs","$$AnimateRunner",function(e,t){function n(t){return e(t.element,t.event,t.classes,t.options)}return function(e){if(!e.from||!e.to)return n(e);var r=n(e.from),i=n(e.to);return r||i?{start:function(){function e(){return function(){I(n,function(e){e.end()})}}var n=[];r&&n.push(r.start()),i&&n.push(i.start()),t.all(n,function(e){a.complete(e)});var a=new t({end:e(),cancel:e()});return a}}:void 0}}]}])}(window,window.angular),function(e,t){"use strict";function n(e){var t=[];return d(t,u).chars(e),t.join("")}var r,i,a,o,s,l,u,c,p,d,f=t.$$minErr("$sanitize");t.module("ngSanitize",[]).provider("$sanitize",function(){function n(e,t){return h(e.split(","),t)}function h(e,t){var n,r={};for(n=0;n<e.length;n++)r[t?l(e[n]):e[n]]=!0;return r}function m(e,t){t&&t.length&&i(e,h(t))}function g(e){for(var t={},n=0,r=e.length;n<r;n++){var i=e[n];t[i.name]=i.value}return t}function v(e){return e.replace(/&/g,"&amp;").replace(M,function(e){var t=e.charCodeAt(0);return e=e.charCodeAt(1),"&#"+(1024*(t-55296)+(e-56320)+65536)+";"}).replace(k,function(e){return"&#"+e.charCodeAt(0)+";"}).replace(/</g,"&lt;").replace(/>/g,"&gt;")}function b(t){for(;t;){if(t.nodeType===e.Node.ELEMENT_NODE)for(var n=t.attributes,r=0,i=n.length;r<i;r++){var a=n[r],o=a.name.toLowerCase();"xmlns:ns1"!==o&&0!==o.lastIndexOf("ns1:",0)||(t.removeAttributeNode(a),r--,i--)}(n=t.firstChild)&&b(n),t=$("nextSibling",t)}}function $(e,t){var n=t[e];if(n&&c.call(t,n))throw f("elclob",t.outerHTML||t.outerText);return n}var y=!1,w=!1;this.$get=["$$sanitizeUri",function(e){return y=!0,w&&i(O,S),function(t){var n=[];return p(t,d(n,function(t,n){return!/^unsafe:/.test(e(t,n))})),n.join("")}}],this.enableSvg=function(e){return s(e)?(w=e,this):w},this.addValidElements=function(e){return y||(o(e)&&(e={htmlElements:e}),m(S,e.svgElements),m(E,e.htmlVoidElements),m(O,e.htmlVoidElements),m(O,e.htmlElements)),this},this.addValidAttrs=function(e){return y||i(P,h(e,!0)),this},r=t.bind,i=t.extend,a=t.forEach,o=t.isArray,s=t.isDefined,l=t.$$lowercase,u=t.noop,p=function(e,t){null===e||void 0===e?e="":"string"!=typeof e&&(e=""+e);var n=I(e);if(!n)return"";var r=5;do{if(0===r)throw f("uinput");r--,e=n.innerHTML,n=I(e)}while(e!==n.innerHTML);for(r=n.firstChild;r;){switch(r.nodeType){case 1:t.start(r.nodeName.toLowerCase(),g(r.attributes));break;case 3:t.chars(r.textContent)}var i;if(!((i=r.firstChild)||(1===r.nodeType&&t.end(r.nodeName.toLowerCase()),i=$("nextSibling",r))))for(;null==i&&(r=$("parentNode",r))!==n;)i=$("nextSibling",r),1===r.nodeType&&t.end(r.nodeName.toLowerCase());r=i}for(;r=n.firstChild;)n.removeChild(r)},d=function(e,t){var n=!1,i=r(e,e.push);return{start:function(e,r){e=l(e),!n&&T[e]&&(n=e),n||!0!==O[e]||(i("<"),i(e),a(r,function(n,r){var a=l(r),o="img"===e&&"src"===a||"background"===a;!0!==P[a]||!0===A[a]&&!t(n,o)||(i(" "),i(r),i('="'),i(v(n)),i('"'))}),i(">"))},end:function(e){e=l(e),n||!0!==O[e]||!0===E[e]||(i("</"),i(e),i(">")),e==n&&(n=!1)},chars:function(e){n||i(v(e))}}},c=e.Node.prototype.contains||function(e){return!!(16&this.compareDocumentPosition(e))};var M=/[\uD800-\uDBFF][\uDC00-\uDFFF]/g,k=/([^#-~ |!])/g,E=n("area,br,col,hr,img,wbr"),C=n("colgroup,dd,dt,li,p,tbody,td,tfoot,th,thead,tr"),x=n("rp,rt"),D=i({},x,C),C=i({},C,n("address,article,aside,blockquote,caption,center,del,dir,div,dl,figure,figcaption,footer,h1,h2,h3,h4,h5,h6,header,hgroup,hr,ins,map,menu,nav,ol,pre,section,table,ul")),x=i({},x,n("a,abbr,acronym,b,bdi,bdo,big,br,cite,code,del,dfn,em,font,i,img,ins,kbd,label,map,mark,q,ruby,rp,rt,s,samp,small,span,strike,strong,sub,sup,time,tt,u,var")),S=n("circle,defs,desc,ellipse,font-face,font-face-name,font-face-src,g,glyph,hkern,image,linearGradient,line,marker,metadata,missing-glyph,mpath,path,polygon,polyline,radialGradient,rect,stop,svg,switch,text,title,tspan"),T=n("script,style"),O=i({},E,C,x,D),A=n("background,cite,href,longdesc,src,xlink:href,xml:base"),D=n("abbr,align,alt,axis,bgcolor,border,cellpadding,cellspacing,class,clear,color,cols,colspan,compact,coords,dir,face,headers,height,hreflang,hspace,ismap,lang,language,nohref,nowrap,rel,rev,rows,rowspan,rules,scope,scrolling,shape,size,span,start,summary,tabindex,target,title,type,valign,value,vspace,width"),x=n("accent-height,accumulate,additive,alphabetic,arabic-form,ascent,baseProfile,bbox,begin,by,calcMode,cap-height,class,color,color-rendering,content,cx,cy,d,dx,dy,descent,display,dur,end,fill,fill-rule,font-family,font-size,font-stretch,font-style,font-variant,font-weight,from,fx,fy,g1,g2,glyph-name,gradientUnits,hanging,height,horiz-adv-x,horiz-origin-x,ideographic,k,keyPoints,keySplines,keyTimes,lang,marker-end,marker-mid,marker-start,markerHeight,markerUnits,markerWidth,mathematical,max,min,offset,opacity,orient,origin,overline-position,overline-thickness,panose-1,path,pathLength,points,preserveAspectRatio,r,refX,refY,repeatCount,repeatDur,requiredExtensions,requiredFeatures,restart,rotate,rx,ry,slope,stemh,stemv,stop-color,stop-opacity,strikethrough-position,strikethrough-thickness,stroke,stroke-dasharray,stroke-dashoffset,stroke-linecap,stroke-linejoin,stroke-miterlimit,stroke-opacity,stroke-width,systemLanguage,target,text-anchor,to,transform,type,u1,u2,underline-position,underline-thickness,unicode,unicode-range,units-per-em,values,version,viewBox,visibility,width,widths,x,x-height,x1,x2,xlink:actuate,xlink:arcrole,xlink:role,xlink:show,xlink:title,xlink:type,xml:base,xml:lang,xml:space,xmlns,xmlns:xlink,y,y1,y2,zoomAndPan",!0),P=i({},A,x,D),I=function(e,t){function n(t){t="<remove></remove>"+t;try{var n=(new e.DOMParser).parseFromString(t,"text/html").body;return n.firstChild.remove(),n}catch(e){}}var r;try{r=!!n("")}catch(e){r=!1}if(r)return n;if(!t||!t.implementation)throw f("noinert");r=t.implementation.createHTMLDocument("inert");var i=(r.documentElement||r.getDocumentElement()).querySelector("body");return function(e){return i.innerHTML=e,t.documentMode&&b(i),i}}(e,e.document)}).info({angularVersion:"1.8.2"}),t.module("ngSanitize").filter("linky",["$sanitize",function(e){var r=/((s?ftp|https?):\/\/|(www\.)|(mailto:)?[A-Za-z0-9._%+-]+@)\S*[^\s.;,(){}<>"\u201d\u2019]/i,i=/^mailto:/i,a=t.$$minErr("linky"),o=t.isDefined,s=t.isFunction,l=t.isObject,u=t.isString;return function(t,c,p){function d(e){e&&b.push(n(e))}function f(e,t){var n,r=g(e);b.push("<a ");for(n in r)b.push(n+'="'+r[n]+'" ');!o(c)||"target"in r||b.push('target="',c,'" '),b.push('href="',e.replace(/"/g,"&quot;"),'">'),d(t),b.push("</a>")}if(null==t||""===t)return t;if(!u(t))throw a("notstring",t);for(var h,m,g=s(p)?p:l(p)?function(){return p}:function(){return{}},v=t,b=[];t=v.match(r);)h=t[0],t[2]||t[4]||(h=(t[3]?"http://":"mailto:")+h),m=t.index,d(v.substr(0,m)),f(h,t[0].replace(i,"")),v=v.substring(m+t[0].length);return d(v),e(b.join(""))}}])}(window,window.angular),function(e,t){"function"==typeof define&&define.amd?define([],function(){return t()}):"object"==typeof module&&module.exports?module.exports=t():t()}(0,function(){function e(e){"use strict";var t=e.storageKey(),n=e.storage(),r=function(){var r=e.preferredLanguage();angular.isString(r)?e.use(r):n.put(t,e.use())};r.displayName="fallbackFromIncorrectStorageValue",n?n.get(t)?e.use(n.get(t)).catch(r):r():angular.isString(e.preferredLanguage())&&e.use(e.preferredLanguage())}function t(e,t,n,r){"use strict";var i,a,o,s,l,u,c,p,d,f,h,m,g,v,b,$,y={},w=[],M=e,k=[],E="translate-cloak",C=!1,x=!1,D=".",S=!1,T=!1,O=0,A=!0,P="default",I={default:function(e){return(e||"").split("-").join("_")},java:function(e){var t=(e||"").split("-").join("_"),n=t.split("_");return n.length>1?n[0].toLowerCase()+"_"+n[1].toUpperCase():t},bcp47:function(e){var t=(e||"").split("_").join("-"),n=t.split("-");switch(n.length){case 1:n[0]=n[0].toLowerCase();break;case 2:n[0]=n[0].toLowerCase(),4===n[1].length?n[1]=n[1].charAt(0).toUpperCase()+n[1].slice(1).toLowerCase():n[1]=n[1].toUpperCase();break;case 3:n[0]=n[0].toLowerCase(),n[1]=n[1].charAt(0).toUpperCase()+n[1].slice(1).toLowerCase(),n[2]=n[2].toUpperCase();break;default:return t}return n.join("-")},"iso639-1":function(e){return(e||"").split("_").join("-").split("-")[0].toLowerCase()}},N=function(){if(angular.isFunction(r.getLocale))return r.getLocale();var e,n,i=t.$get().navigator,a=["language","browserLanguage","systemLanguage","userLanguage"];if(angular.isArray(i.languages))for(e=0;e<i.languages.length;e++)if((n=i.languages[e])&&n.length)return n;for(e=0;e<a.length;e++)if((n=i[a[e]])&&n.length)return n;return null};N.displayName="angular-translate/service: getFirstBrowserLanguage";var L=function(){var e=N()||"";return I[P]&&(e=I[P](e)),e};L.displayName="angular-translate/service: getLocale";var U=function(e,t){for(var n=0,r=e.length;n<r;n++)if(e[n]===t)return n;return-1},F=function(){return this.toString().replace(/^\s+|\s+$/g,"")},R=function(e){return angular.isString(e)?e.toLowerCase():e},H=function(e){if(e){for(var t=[],n=R(e),r=0,i=w.length;r<i;r++)t.push(R(w[r]));if((r=U(t,n))>-1)return w[r];if(a){var o;for(var s in a)if(a.hasOwnProperty(s)){var l=!1,u=Object.prototype.hasOwnProperty.call(a,s)&&R(s)===R(e);if("*"===s.slice(-1)&&(l=R(s.slice(0,-1))===R(e.slice(0,s.length-1))),(u||l)&&(o=a[s],U(t,R(o))>-1))return o}}var c=e.split("_");return c.length>1&&U(t,R(c[0]))>-1?c[0]:void 0}},j=function(e,t){if(!e&&!t)return y;if(e&&!t){if(angular.isString(e))return y[e]}else angular.isObject(y[e])||(y[e]={}),angular.extend(y[e],z(t));return this};this.translations=j,this.cloakClassName=function(e){return e?(E=e,this):E},this.nestedObjectDelimeter=function(e){return e?(D=e,this):D};var z=function(e,t,n,r){var i,a,o;t||(t=[]),n||(n={});for(i in e)Object.prototype.hasOwnProperty.call(e,i)&&(o=e[i],angular.isObject(o)?z(o,t.concat(i),n,i):(a=t.length?""+t.join(D)+D+i:i,t.length&&i===r&&(n[""+t.join(D)]="@:"+a),n[a]=o));return n};z.displayName="flatObject",this.addInterpolation=function(e){return k.push(e),this},this.useMessageFormatInterpolation=function(){return this.useInterpolation("$translateMessageFormatInterpolation")},this.useInterpolation=function(e){return f=e,this},this.useSanitizeValueStrategy=function(e){return n.useStrategy(e),this},this.preferredLanguage=function(e){return e?(V(e),this):i};var V=function(e){return e&&(i=e),i};this.translationNotFoundIndicator=function(e){return this.translationNotFoundIndicatorLeft(e),this.translationNotFoundIndicatorRight(e),this},this.translationNotFoundIndicatorLeft=function(e){return e?(g=e,this):g},this.translationNotFoundIndicatorRight=function(e){return e?(v=e,this):v},this.fallbackLanguage=function(e){return _(e),this};var _=function(e){return e?(angular.isString(e)?(s=!0,o=[e]):angular.isArray(e)&&(s=!1,o=e),angular.isString(i)&&U(o,i)<0&&o.push(i),this):s?o[0]:o};this.use=function(e){if(e){if(!y[e]&&!h)throw new Error("$translateProvider couldn't find translationTable for langKey: '"+e+"'");return l=e,this}return l},this.resolveClientLocale=function(){return L()};var B=function(e){return e?(M=e,this):p?p+M:M};this.storageKey=B,this.useUrlLoader=function(e,t){return this.useLoader("$translateUrlLoader",angular.extend({url:e},t))},this.useStaticFilesLoader=function(e){return this.useLoader("$translateStaticFilesLoader",e)},this.useLoader=function(e,t){return h=e,m=t||{},this},this.useLocalStorage=function(){return this.useStorage("$translateLocalStorage")},this.useCookieStorage=function(){return this.useStorage("$translateCookieStorage")},this.useStorage=function(e){return c=e,this},this.storagePrefix=function(e){return e?(p=e,this):e},this.useMissingTranslationHandlerLog=function(){return this.useMissingTranslationHandler("$translateMissingTranslationHandlerLog")},this.useMissingTranslationHandler=function(e){return d=e,this},this.usePostCompiling=function(e){return C=!!e,this},this.forceAsyncReload=function(e){return x=!!e,this},this.uniformLanguageTag=function(e){return e?angular.isString(e)&&(e={standard:e}):e={},P=e.standard,this},this.determinePreferredLanguage=function(e){var t=e&&angular.isFunction(e)?e():L();return i=w.length?H(t)||t:t,this},this.registerAvailableLanguageKeys=function(e,t){return e?(w=e,t&&(a=t),this):w},this.useLoaderCache=function(e){return!1===e?b=void 0:!0===e?b=!0:void 0===e?b="$translationCache":e&&(b=e),this},this.directivePriority=function(e){return void 0===e?O:(O=e,this)},this.statefulFilter=function(e){return void 0===e?A:(A=e,this)},this.postProcess=function(e){return $=e||void 0,this},this.keepContent=function(e){return T=!!e,this},this.$get=["$log","$injector","$rootScope","$q",function(e,t,n,r){var a,p,P,I=t.get(f||"$translateDefaultInterpolation"),N=!1,R={},q={},W=function(e,t,n,s,u,d){!l&&i&&(l=i);var f=u&&u!==l?H(u)||u:l;if(u&&ue(u),angular.isArray(e))return function(e){for(var i={},a=[],o=0,l=e.length;o<l;o++)a.push(function(e){var a=r.defer(),o=function(t){i[e]=t,a.resolve([e,t])};return W(e,t,n,s,u,d).then(o,o),a.promise}(e[o]));return r.all(a).then(function(){return i})}(e);var h=r.defer();e&&(e=F.apply(e));var m=function(){var e=q[f]||q[i];if(p=0,c&&!e){var t=a.get(M);if(e=q[t],o&&o.length){var n=U(o,t);p=0===n?1:0,U(o,i)<0&&o.push(i)}}return e}();if(m){var g=function(){u||(f=l),ae(e,t,n,s,f,d).then(h.resolve,h.reject)};g.displayName="promiseResolved",m.finally(g).catch(angular.noop)}else ae(e,t,n,s,f,d).then(h.resolve,h.reject);return h.promise},G=function(e){return g&&(e=[g,e].join(" ")),v&&(e=[e,v].join(" ")),e},Y=function(e){l=e,c&&a.put(W.storageKey(),l),n.$emit("$translateChangeSuccess",{language:e}),I.setLocale(l);var t=function(e,t){R[t].setLocale(l)};t.displayName="eachInterpolatorLocaleSetter",angular.forEach(R,t),n.$emit("$translateChangeEnd",{language:e})},Q=function(e){if(!e)throw"No language key specified for loading.";var i=r.defer();n.$emit("$translateLoadingStart",{language:e}),N=!0;var a=b;"string"==typeof a&&(a=t.get(a));var o=angular.extend({},m,{key:e,$http:angular.extend({},{cache:a},m.$http)}),s=function(t){var r={};n.$emit("$translateLoadingSuccess",{language:e}),angular.isArray(t)?angular.forEach(t,function(e){angular.extend(r,z(e))}):angular.extend(r,z(t)),N=!1,i.resolve({key:e,table:r}),n.$emit("$translateLoadingEnd",{language:e})};s.displayName="onLoaderSuccess";var l=function(e){n.$emit("$translateLoadingError",{language:e}),i.reject(e),n.$emit("$translateLoadingEnd",{language:e})};return l.displayName="onLoaderError",t.get(h)(o).then(s,l),i.promise};if(c&&(!(a=t.get(c)).get||!a.put))throw new Error("Couldn't use storage '"+c+"', missing get() or put() method!");if(k.length){var K=function(e){var n=t.get(e);n.setLocale(i||l),R[n.getInterpolationIdentifier()]=n};K.displayName="interpolationFactoryAdder",angular.forEach(k,K)}var X=function(e){var t=r.defer();if(Object.prototype.hasOwnProperty.call(y,e))t.resolve(y[e]);else if(q[e]){var n=function(e){j(e.key,e.table),t.resolve(e.table)};n.displayName="translationTableResolver",q[e].then(n,t.reject)}else t.reject();return t.promise},Z=function(e,t,n,i,a){var o=r.defer(),s=function(r){if(Object.prototype.hasOwnProperty.call(r,t)&&null!==r[t]){i.setLocale(e);var s=r[t];if("@:"===s.substr(0,2))Z(e,s.substr(2),n,i,a).then(o.resolve,o.reject);else{var u=i.interpolate(r[t],n,"service",a,t);u=le(t,r[t],u,n,e),o.resolve(u)}i.setLocale(l)}else o.reject()};return s.displayName="fallbackTranslationResolver",X(e).then(s,o.reject),o.promise},J=function(e,t,n,r,i){var a,o=y[e];if(o&&Object.prototype.hasOwnProperty.call(o,t)&&null!==o[t]){if(r.setLocale(e),a=r.interpolate(o[t],n,"filter",i,t),a=le(t,o[t],a,n,e,i),!angular.isString(a)&&angular.isFunction(a.$$unwrapTrustedValue)){var s=a.$$unwrapTrustedValue();if("@:"===s.substr(0,2))return J(e,s.substr(2),n,r,i)}else if("@:"===a.substr(0,2))return J(e,a.substr(2),n,r,i);r.setLocale(l)}return a},ee=function(e,n,r,i){return d?t.get(d)(e,l,n,r,i):e},te=function(e,t,n,i,a,s){var l=r.defer();if(e<o.length){var u=o[e];Z(u,t,n,i,s).then(function(e){l.resolve(e)},function(){return te(e+1,t,n,i,a,s).then(l.resolve,l.reject)})}else if(a)l.resolve(a);else{var c=ee(t,n,a);d&&c?l.resolve(c):l.reject(G(t))}return l.promise},ne=function(e,t,n,r,i){var a;if(e<o.length){var s=o[e];(a=J(s,t,n,r,i))||""===a||(a=ne(e+1,t,n,r))}return a},re=function(e,t,n,r,i){return te(P>0?P:p,e,t,n,r,i)},ie=function(e,t,n,r){return ne(P>0?P:p,e,t,n,r)},ae=function(e,t,n,i,a,s){var l=r.defer(),u=a?y[a]:y,c=n?R[n]:I;if(u&&Object.prototype.hasOwnProperty.call(u,e)&&null!==u[e]){var p=u[e];if("@:"===p.substr(0,2))W(p.substr(2),t,n,i,a,s).then(l.resolve,l.reject);else{var f=c.interpolate(p,t,"service",s,e);f=le(e,p,f,t,a),l.resolve(f)}}else{var h;d&&!N&&(h=ee(e,t,i)),a&&o&&o.length?re(e,t,c,i,s).then(function(e){l.resolve(e)},function(e){l.reject(G(e))}):d&&!N&&h?i?l.resolve(i):l.resolve(h):i?l.resolve(i):l.reject(G(e))}return l.promise},oe=function(e,t,n,r,i){var a,s=r?y[r]:y,l=I;if(R&&Object.prototype.hasOwnProperty.call(R,n)&&(l=R[n]),s&&Object.prototype.hasOwnProperty.call(s,e)&&null!==s[e]){var u=s[e];"@:"===u.substr(0,2)?a=oe(u.substr(2),t,n,r,i):(a=l.interpolate(u,t,"filter",i,e),a=le(e,u,a,t,r,i))}else{var c;d&&!N&&(c=ee(e,t,i)),r&&o&&o.length?(p=0,a=ie(e,t,l,i)):a=d&&!N&&c?c:G(e)}return a},se=function(e){u===e&&(u=void 0),q[e]=void 0},le=function(e,n,r,i,a,o){var s=$;return s&&("string"==typeof s&&(s=t.get(s)),s)?s(e,n,r,i,a,o):r},ue=function(e){y[e]||!h||q[e]||(q[e]=Q(e).then(function(e){return j(e.key,e.table),e}))};W.preferredLanguage=function(e){return e&&V(e),i},W.cloakClassName=function(){return E},W.nestedObjectDelimeter=function(){return D},W.fallbackLanguage=function(e){if(void 0!==e&&null!==e){if(_(e),h&&o&&o.length)for(var t=0,n=o.length;t<n;t++)q[o[t]]||(q[o[t]]=Q(o[t]));W.use(W.use())}return s?o[0]:o},W.useFallbackLanguage=function(e){if(void 0!==e&&null!==e)if(e){var t=U(o,e);t>-1&&(P=t)}else P=0},W.proposedLanguage=function(){return u},W.storage=function(){return a},W.negotiateLocale=H,W.use=function(e){if(!e)return l;var t=r.defer();t.promise.then(null,angular.noop),n.$emit("$translateChangeStart",{language:e});var i=H(e);return w.length>0&&!i?r.reject(e):(i&&(e=i),u=e,!x&&y[e]||!h||q[e]?q[e]?q[e].then(function(e){return u===e.key&&Y(e.key),t.resolve(e.key),e},function(e){return!l&&o&&o.length>0&&o[0]!==e?W.use(o[0]).then(t.resolve,t.reject):t.reject(e)}):(t.resolve(e),Y(e)):(q[e]=Q(e).then(function(n){return j(n.key,n.table),t.resolve(n.key),u===e&&Y(n.key),n},function(e){return n.$emit("$translateChangeError",{language:e}),t.reject(e),n.$emit("$translateChangeEnd",{language:e}),r.reject(e)}),q[e].finally(function(){se(e)}).catch(angular.noop)),t.promise)},W.resolveClientLocale=function(){return L()},W.storageKey=function(){return B()},W.isPostCompilingEnabled=function(){return C},W.isForceAsyncReloadEnabled=function(){return x},W.isKeepContent=function(){return T},W.refresh=function(e){function t(e){var t=Q(e);return q[e]=t,t.then(function(t){y[e]={},j(e,t.table),a[e]=!0},angular.noop),t}if(!h)throw new Error("Couldn't refresh translation table, no loader registered!");n.$emit("$translateRefreshStart",{language:e});var i=r.defer(),a={};if(i.promise.then(function(){for(var e in y)y.hasOwnProperty(e)&&(e in a||delete y[e]);l&&Y(l)},angular.noop).finally(function(){n.$emit("$translateRefreshEnd",{language:e})}),e)y[e]?t(e).then(i.resolve,i.reject):i.reject();else{var s=o&&o.slice()||[];l&&-1===s.indexOf(l)&&s.push(l),r.all(s.map(t)).then(i.resolve,i.reject)}return i.promise},W.instant=function(e,t,n,r,a){var s=r&&r!==l?H(r)||r:l;if(null===e||angular.isUndefined(e))return e;if(r&&ue(r),angular.isArray(e)){for(var u={},c=0,p=e.length;c<p;c++)u[e[c]]=W.instant(e[c],t,n,r,a);return u}if(angular.isString(e)&&e.length<1)return e;e&&(e=F.apply(e));var f,h=[];i&&h.push(i),s&&h.push(s),o&&o.length&&(h=h.concat(o));for(var m=0,b=h.length;m<b;m++){var $=h[m];if(y[$]&&void 0!==y[$][e]&&(f=oe(e,t,n,s,a)),void 0!==f)break}if(!f&&""!==f)if(g||v)f=G(e);else{f=I.interpolate(e,t,"filter",a);var w;d&&!N&&(w=ee(e,t,a)),d&&!N&&w&&(f=w)}return f},W.versionInfo=function(){return"2.17.1"},W.loaderCache=function(){return b},W.directivePriority=function(){return O},W.statefulFilter=function(){return A},W.isReady=function(){return S};var ce=r.defer();ce.promise.then(function(){S=!0}),W.onReady=function(e){var t=r.defer();return angular.isFunction(e)&&t.promise.then(e),S?t.resolve():ce.promise.then(t.resolve),t.promise},W.getAvailableLanguageKeys=function(){return w.length>0?w:null},W.getTranslationTable=function(e){return(e=e||W.use())&&y[e]?angular.copy(y[e]):null};var pe=n.$on("$translateReady",function(){ce.resolve(),pe(),pe=null}),de=n.$on("$translateChangeEnd",function(){ce.resolve(),de(),de=null});if(h){if(angular.equals(y,{})&&W.use()&&W.use(W.use()),o&&o.length)for(var fe=0,he=o.length;fe<he;fe++){var me=o[fe];!x&&y[me]||(q[me]=Q(me).then(function(e){return j(e.key,e.table),n.$emit("$translateChangeEnd",{language:e.key}),e}))}}else n.$emit("$translateReady",{language:W.use()});return W}]}function n(e,t){"use strict";var n,r={};return r.setLocale=function(e){n=e},r.getInterpolationIdentifier=function(){return"default"},r.useSanitizeValueStrategy=function(e){return t.useStrategy(e),this},r.interpolate=function(n,r,i,a,o){r=r||{},r=t.sanitize(r,"params",a,i);var s;return angular.isNumber(n)?s=""+n:angular.isString(n)?(s=e(n)(r),s=t.sanitize(s,"text",a,i)):s="",s},r}function r(e,t,n,r,a){"use strict";var o=function(){return this.toString().replace(/^\s+|\s+$/g,"")},s=function(e){return angular.isString(e)?e.toLowerCase():e};return{restrict:"AE",scope:!0,priority:e.directivePriority(),compile:function(l,u){var c=u.translateValues?u.translateValues:void 0,p=u.translateInterpolation?u.translateInterpolation:void 0,d=u.translateSanitizeStrategy?u.translateSanitizeStrategy:void 0,f=l[0].outerHTML.match(/translate-value-+/i),h="^(.*)("+t.startSymbol()+".*"+t.endSymbol()+")(.*)",m="^(.*)"+t.startSymbol()+"(.*)"+t.endSymbol()+"(.*)";return function(l,g,v){l.interpolateParams={},l.preText="",l.postText="",l.translateNamespace=i(l);var b={},$=function(e){if(angular.isFunction($._unwatchOld)&&($._unwatchOld(),$._unwatchOld=void 0),angular.equals(e,"")||!angular.isDefined(e)){var n=o.apply(g.text()),r=n.match(h);if(angular.isArray(r)){l.preText=r[1],l.postText=r[3],b.translate=t(r[2])(l.$parent);var i=n.match(m);angular.isArray(i)&&i[2]&&i[2].length&&($._unwatchOld=l.$watch(i[2],function(e){b.translate=e,k()}))}else b.translate=n||void 0}else b.translate=e;k()};!function(e,t,n){if(t.translateValues&&angular.extend(e,r(t.translateValues)(l.$parent)),f)for(var i in n)Object.prototype.hasOwnProperty.call(t,i)&&"translateValue"===i.substr(0,14)&&"translateValues"!==i&&(e[s(i.substr(14,1))+i.substr(15)]=n[i])}(l.interpolateParams,v,u);var y=!0;v.$observe("translate",function(e){void 0===e?$(""):""===e&&y||(b.translate=e,k()),y=!1});for(var w in v)v.hasOwnProperty(w)&&"translateAttr"===w.substr(0,13)&&w.length>13&&function(e){v.$observe(e,function(t){b[e]=t,k()})}(w);if(v.$observe("translateDefault",function(e){l.defaultText=e,k()}),d&&v.$observe("translateSanitizeStrategy",function(e){l.sanitizeStrategy=r(e)(l.$parent),k()}),c&&v.$observe("translateValues",function(e){e&&l.$parent.$watch(function(){angular.extend(l.interpolateParams,r(e)(l.$parent))})}),f)for(var M in v)Object.prototype.hasOwnProperty.call(v,M)&&"translateValue"===M.substr(0,14)&&"translateValues"!==M&&function(e){v.$observe(e,function(t){var n=s(e.substr(14,1))+e.substr(15);l.interpolateParams[n]=t})}(M);var k=function(){for(var e in b)b.hasOwnProperty(e)&&void 0!==b[e]&&E(e,b[e],l,l.interpolateParams,l.defaultText,l.translateNamespace)},E=function(t,n,r,i,a,o){n?(o&&"."===n.charAt(0)&&(n=o+n),e(n,i,p,a,r.translateLanguage,r.sanitizeStrategy).then(function(e){C(e,r,!0,t)},function(e){C(e,r,!1,t)})):C(n,r,!1,t)},C=function(t,r,i,a){if(i||void 0!==r.defaultText&&(t=r.defaultText),"translate"===a){(i||!i&&!e.isKeepContent()&&void 0===v.translateKeepContent)&&g.empty().append(r.preText+t+r.postText);var o=e.isPostCompilingEnabled(),s=void 0!==u.translateCompile,l=s&&"false"!==u.translateCompile;(o&&!s||l)&&n(g.contents())(r)}else{var c=v.$attr[a];"data-"===c.substr(0,5)&&(c=c.substr(5)),c=c.substr(15),g.attr(c,t)}};(c||f||v.translateDefault)&&l.$watch("interpolateParams",k,!0),l.$on("translateLanguageChanged",k);var x=a.$on("$translateChangeSuccess",k);g.text().length?$(v.translate?v.translate:""):v.translate&&$(v.translate),k(),l.$on("$destroy",x)}}}}function i(e){"use strict";return e.translateNamespace?e.translateNamespace:e.$parent?i(e.$parent):void 0}function a(e,t){"use strict";return{restrict:"A",priority:e.directivePriority(),link:function(n,r,i){var a,s,l,u={},c=function(){angular.forEach(a,function(t,a){t&&(u[a]=!0,n.translateNamespace&&"."===t.charAt(0)&&(t=n.translateNamespace+t),e(t,s,i.translateInterpolation,void 0,n.translateLanguage,l).then(function(e){r.attr(a,e)},function(e){r.attr(a,e)}))}),angular.forEach(u,function(e,t){a[t]||(r.removeAttr(t),delete u[t])})};o(n,i.translateAttr,function(e){a=e},c),o(n,i.translateValues,function(e){s=e},c),o(n,i.translateSanitizeStrategy,function(e){l=e},c),i.translateValues&&n.$watch(i.translateValues,c,!0),n.$on("translateLanguageChanged",c);var p=t.$on("$translateChangeSuccess",c);c(),n.$on("$destroy",p)}}}function o(e,t,n,r){"use strict";t&&("::"===t.substr(0,2)?t=t.substr(2):e.$watch(t,function(e){n(e),r()},!0),n(e.$eval(t)))}function s(e,t){"use strict";return{compile:function(n){var r=function(t){t.addClass(e.cloakClassName())},i=function(t){t.removeClass(e.cloakClassName())};return r(n),function(n,a,o){var s=i.bind(this,a),l=r.bind(this,a);o.translateCloak&&o.translateCloak.length?(o.$observe("translateCloak",function(t){e(t).then(s,l)}),t.$on("$translateChangeSuccess",function(){e(o.translateCloak).then(s,l)})):e.onReady(s)}}}}function l(){"use strict";return{restrict:"A",scope:!0,compile:function(){return{pre:function(e,t,n){e.translateNamespace=u(e),e.translateNamespace&&"."===n.translateNamespace.charAt(0)?e.translateNamespace+=n.translateNamespace:e.translateNamespace=n.translateNamespace}}}}}function u(e){"use strict";return e.translateNamespace?e.translateNamespace:e.$parent?u(e.$parent):void 0}function c(){"use strict";return{restrict:"A",scope:!0,compile:function(){return function(e,t,n){n.$observe("translateLanguage",function(t){e.translateLanguage=t}),e.$watch("translateLanguage",function(){e.$broadcast("translateLanguageChanged")})}}}}function p(e,t){"use strict";var n=function(n,r,i,a){if(!angular.isObject(r)){var o=this||{__SCOPE_IS_NOT_AVAILABLE:"More info at https://github.com/angular/angular.js/commit/8863b9d04c722b278fa93c5d66ad1e578ad6eb1f"};r=e(r)(o)}return t.instant(n,r,i,a)};return t.statefulFilter()&&(n.$stateful=!0),n}function d(e){"use strict";return e("translations")}return e.$inject=["$translate"],t.$inject=["$STORAGE_KEY","$windowProvider","$translateSanitizationProvider","pascalprechtTranslateOverrider"],n.$inject=["$interpolate","$translateSanitization"],r.$inject=["$translate","$interpolate","$compile","$parse","$rootScope"],a.$inject=["$translate","$rootScope"],s.$inject=["$translate","$rootScope"],p.$inject=["$parse","$translate"],d.$inject=["$cacheFactory"],angular.module("pascalprecht.translate",["ng"]).run(e),e.displayName="runTranslate",angular.module("pascalprecht.translate").provider("$translateSanitization",function(){"use strict";var e,t,n,r=null,i=!1,a=!1;(n={sanitize:function(e,t){return"text"===t&&(e=s(e)),e},escape:function(e,t){return"text"===t&&(e=o(e)),e},sanitizeParameters:function(e,t){return"params"===t&&(e=u(e,s)),e},escapeParameters:function(e,t){return"params"===t&&(e=u(e,o)),e},sce:function(e,t,n){return"text"===t?e=l(e):"params"===t&&"filter"!==n&&(e=u(e,o)),e},sceParameters:function(e,t){return"params"===t&&(e=u(e,l)),e}}).escaped=n.escapeParameters,this.addStrategy=function(e,t){return n[e]=t,this},this.removeStrategy=function(e){return delete n[e],this},this.useStrategy=function(e){return i=!0,r=e,this},this.$get=["$injector","$log",function(o,s){var l={},u=function(e,t,r,i){return angular.forEach(i,function(i){if(angular.isFunction(i))e=i(e,t,r);else if(angular.isFunction(n[i]))e=n[i](e,t,r);else{if(!angular.isString(n[i]))throw new Error("pascalprecht.translate.$translateSanitization: Unknown sanitization strategy: '"+i+"'");if(!l[n[i]])try{l[n[i]]=o.get(n[i])}catch(e){throw l[n[i]]=function(){},new Error("pascalprecht.translate.$translateSanitization: Unknown sanitization strategy: '"+i+"'")}e=l[n[i]](e,t,r)}}),e},c=function(){i||a||(s.warn("pascalprecht.translate.$translateSanitization: No sanitization strategy has been configured. This can have serious security implications. See http://angular-translate.github.io/docs/#/guide/19_security for details."),a=!0)};return o.has("$sanitize")&&(e=o.get("$sanitize")),o.has("$sce")&&(t=o.get("$sce")),{useStrategy:function(e){return function(t){e.useStrategy(t)}}(this),sanitize:function(e,t,n,i){if(r||c(),n||null===n||(n=r),!n)return e;i||(i="service");var a=angular.isArray(n)?n:[n];return u(e,t,i,a)}}}];var o=function(e){var t=angular.element("<div></div>");return t.text(e),t.html()},s=function(t){if(!e)throw new Error("pascalprecht.translate.$translateSanitization: Error cannot find $sanitize service. Either include the ngSanitize module (https://docs.angularjs.org/api/ngSanitize) or use a sanitization strategy which does not depend on $sanitize, such as 'escape'.");return e(t)},l=function(e){if(!t)throw new Error("pascalprecht.translate.$translateSanitization: Error cannot find $sce service.");return t.trustAsHtml(e)},u=function(e,t,n){if(angular.isDate(e))return e;if(angular.isObject(e)){var r=angular.isArray(e)?[]:{};if(n){if(n.indexOf(e)>-1)throw new Error("pascalprecht.translate.$translateSanitization: Error cannot interpolate parameter due recursive object")}else n=[];return n.push(e),angular.forEach(e,function(e,i){angular.isFunction(e)||(r[i]=u(e,t,n))}),n.splice(-1,1),r}return angular.isNumber(e)?e:!0===e||!1===e?e:angular.isUndefined(e)||null===e?e:t(e)}}),angular.module("pascalprecht.translate").constant("pascalprechtTranslateOverrider",{}).provider("$translate",t),t.displayName="displayName",angular.module("pascalprecht.translate").factory("$translateDefaultInterpolation",n),n.displayName="$translateDefaultInterpolation",angular.module("pascalprecht.translate").constant("$STORAGE_KEY","NG_TRANSLATE_LANG_KEY"),angular.module("pascalprecht.translate").directive("translate",r),r.displayName="translateDirective",angular.module("pascalprecht.translate").directive("translateAttr",a),a.displayName="translateAttrDirective",angular.module("pascalprecht.translate").directive("translateCloak",s),s.displayName="translateCloakDirective",angular.module("pascalprecht.translate").directive("translateNamespace",l),l.displayName="translateNamespaceDirective",angular.module("pascalprecht.translate").directive("translateLanguage",c),c.displayName="translateLanguageDirective",angular.module("pascalprecht.translate").filter("translate",p),p.displayName="translateFilterFactory",angular.module("pascalprecht.translate").factory("$translationCache",d),d.displayName="$translationCache","pascalprecht.translate"}),function(e,t){"function"==typeof define&&define.amd?define([],function(){return t()}):"object"==typeof module&&module.exports?module.exports=t():t()}(0,function(){function e(e,t){"use strict";return function(n){if(!n||!(angular.isArray(n.files)||angular.isString(n.prefix)&&angular.isString(n.suffix)))throw new Error("Couldn't load static files, no files and prefix or suffix specified!");n.files||(n.files=[{prefix:n.prefix,suffix:n.suffix}]);for(var r=[],i=n.files.length,a=0;a<i;a++)r.push(function(r){if(!r||!angular.isString(r.prefix)||!angular.isString(r.suffix))throw new Error("Couldn't load static file, no prefix or suffix specified!");var i=[r.prefix,n.key,r.suffix].join("");return angular.isObject(n.fileMap)&&n.fileMap[i]&&(i=n.fileMap[i]),t(angular.extend({url:i,method:"GET"},n.$http)).then(function(e){return e.data},function(){return e.reject(n.key)})}({prefix:n.files[a].prefix,key:n.key,suffix:n.files[a].suffix}));return e.all(r).then(function(e){for(var t=e.length,n={},r=0;r<t;r++)for(var i in e[r])n[i]=e[r][i];return n})}}return e.$inject=["$q","$http"],angular.module("pascalprecht.translate").factory("$translateStaticFilesLoader",e),e.displayName="$translateStaticFilesLoader","pascalprecht.translate"}),function(e){if("object"==typeof exports&&"undefined"!=typeof module)module.exports=e();else if("function"==typeof define&&define.amd)define([],e);else{var t;t="undefined"!=typeof window?window:"undefined"!=typeof global?global:"undefined"!=typeof self?self:this,t.MessageFormat=e()}}(function(){var e;return function e(t,n,r){function i(o,s){if(!n[o]){if(!t[o]){var l="function"==typeof require&&require;if(!s&&l)return l(o,!0);if(a)return a(o,!0);var u=new Error("Cannot find module '"+o+"'");throw u.code="MODULE_NOT_FOUND",u}var c=n[o]={exports:{}};t[o][0].call(c.exports,function(e){var n=t[o][1][e];return i(n||e)},c,c.exports,e,t,n,r)}return n[o].exports}for(var a="function"==typeof require&&require,o=0;o<r.length;o++)i(r[o]);return i}({1:[function(e,t,n){t.exports=function(){"use strict";function e(e,t){function n(){this.constructor=e}n.prototype=t.prototype,e.prototype=new n}function t(e,n,r,i){this.message=e,this.expected=n,this.found=r,this.location=i,this.name="SyntaxError","function"==typeof Error.captureStackTrace&&Error.captureStackTrace(this,t)}function n(e){function n(t){var n,r,i=qe[t];if(i)return i;for(n=t-1;!qe[n];)n--;for(i=qe[n],i={line:i.line,column:i.column,seenCR:i.seenCR};n<t;)r=e.charAt(n),"\n"===r?(i.seenCR||i.line++,i.column=1,i.seenCR=!1):"\r"===r||"\u2028"===r||"\u2029"===r?(i.line++,i.column=1,i.seenCR=!0):(i.column++,i.seenCR=!1),n++;return qe[t]=i,i}function r(e,t){var r=n(e),i=n(t);return{start:{offset:e,line:r.line,column:r.column},end:{offset:t,line:i.line,column:i.column}}}function i(e){_e<We||(_e>We&&(We=_e,Ge=[]),Ge.push(e))}function a(e,n,r,i){function a(e){var t=1;for(e.sort(function(e,t){return e.description<t.description?-1:e.description>t.description?1:0});t<e.length;)e[t-1]===e[t]?e.splice(t,1):t++}function o(e,t){function n(e){function t(e){return e.charCodeAt(0).toString(16).toUpperCase()}return e.replace(/\\/g,"\\\\").replace(/"/g,'\\"').replace(/\x08/g,"\\b").replace(/\t/g,"\\t").replace(/\n/g,"\\n").replace(/\f/g,"\\f").replace(/\r/g,"\\r").replace(/[\x00-\x07\x0B\x0E\x0F]/g,function(e){return"\\x0"+t(e)}).replace(/[\x10-\x1F\x80-\xFF]/g,function(e){return"\\x"+t(e)}).replace(/[\u0100-\u0FFF]/g,function(e){return"\\u0"+t(e)}).replace(/[\u1000-\uFFFF]/g,function(e){return"\\u"+t(e)})}var r,i,a,o=new Array(e.length);for(a=0;a<e.length;a++)o[a]=e[a].description;return r=e.length>1?o.slice(0,-1).join(", ")+" or "+o[e.length-1]:o[0],i=t?'"'+n(t)+'"':"end of input","Expected "+r+" but "+i+" found."}return null!==n&&a(n),new t(null!==e?e:o(n,r),n,r,i)}function o(){return s()}function s(){var e,t,n;for(e=_e,t=[],n=l(),n===S&&(n=b())===S&&(n=v());n!==S;)t.push(n),(n=l())===S&&(n=b())===S&&(n=v());return t!==S&&(Be=e,t=A(t)),e=t}function l(){var t,n,r,a,o,s,l;return t=_e,123===e.charCodeAt(_e)?(n=P,_e++):(n=S,0===Ye&&i(I)),n!==S?(r=E(),r!==S?(a=$(),a!==S?(o=_e,44===e.charCodeAt(_e)?(s=N,_e++):(s=S,0===Ye&&i(L)),s!==S?(l=u(),l!==S?(s=[s,l],o=s):(_e=o,o=S)):(_e=o,o=S),o===S&&(o=null),o!==S?(s=E(),s!==S?(125===e.charCodeAt(_e)?(l=U,_e++):(l=S,0===Ye&&i(F)),l!==S?(Be=t,n=R(a,o),t=n):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S),t}function u(){var t,n,r,a,o,s,l,u;if(t=_e,n=E(),n!==S?(e.substr(_e,6)===H?(r=H,_e+=6):(r=S,0===Ye&&i(j)),r!==S?(a=E(),a!==S?(44===e.charCodeAt(_e)?(o=N,_e++):(o=S,0===Ye&&i(L)),o!==S?(s=E(),s!==S?(l=c(),l!==S?(u=E(),u!==S?(Be=t,n=z(r,l),t=n):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S),t===S&&(t=_e,n=E(),n!==S?(e.substr(_e,13)===V?(r=V,_e+=13):(r=S,0===Ye&&i(_)),r!==S?(a=E(),a!==S?(44===e.charCodeAt(_e)?(o=N,_e++):(o=S,0===Ye&&i(L)),o!==S?(s=E(),s!==S?(l=c(),l!==S?(u=E(),u!==S?(Be=t,n=z(r,l),t=n):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S),t===S&&(t=_e,n=E(),n!==S?(e.substr(_e,6)===B?(r=B,_e+=6):(r=S,0===Ye&&i(q)),r!==S?(a=E(),a!==S?(44===e.charCodeAt(_e)?(o=N,_e++):(o=S,0===Ye&&i(L)),o!==S?(s=E(),s!==S?(l=h(),l!==S?(u=E(),u!==S?(Be=t,n=z(r,l),t=n):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S),t===S)))if(t=_e,(n=E())!==S)if((r=$())!==S){for(a=[],o=g();o!==S;)a.push(o),o=g();a!==S?(Be=t,n=W(r,a),t=n):(_e=t,t=S)}else _e=t,t=S;else _e=t,t=S;return t}function c(){var e,t,n,r;if(e=_e,t=p(),t===S&&(t=null),t!==S){if(n=[],(r=d())!==S)for(;r!==S;)n.push(r),r=d();else n=S;n!==S?(Be=e,t=G(t,n),e=t):(_e=e,e=S)}else _e=e,e=S;return e}function p(){var t,n,r,a,o,s,l,u;return t=_e,n=E(),n!==S?(e.substr(_e,6)===Y?(r=Y,_e+=6):(r=S,0===Ye&&i(Q)),r!==S?(a=E(),a!==S?(58===e.charCodeAt(_e)?(o=K,_e++):(o=S,0===Ye&&i(X)),o!==S?(s=E(),s!==S?(l=M(),l!==S?(u=E(),u!==S?(Be=t,n=Z(l),t=n):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S),t}function d(){var t,n,r,a,o,l,u,c,p;return t=_e,n=E(),n!==S?(r=f(),r!==S?(a=E(),a!==S?(123===e.charCodeAt(_e)?(o=P,_e++):(o=S,0===Ye&&i(I)),o!==S?(l=E(),l!==S?(u=s(),u!==S?(c=E(),c!==S?(125===e.charCodeAt(_e)?(p=U,_e++):(p=S,0===Ye&&i(F)),p!==S?(Be=t,n=J(r,u),t=n):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S),t}function f(){var t,n,r;return t=_e,n=$(),n!==S&&(Be=t,n=ee(n)),t=n,t===S&&(t=_e,61===e.charCodeAt(_e)?(n=te,_e++):(n=S,0===Ye&&i(ne)),n!==S?(r=M(),r!==S?(Be=t,n=Z(r),t=n):(_e=t,t=S)):(_e=t,t=S)),t}function h(){var e,t,n;if(e=_e,t=[],(n=m())!==S)for(;n!==S;)t.push(n),n=m();else t=S;return t!==S&&(Be=e,t=re(t)),e=t}function m(){var t,n,r,a,o,l,u,c,p;return t=_e,n=E(),n!==S?(r=$(),r!==S?(a=E(),a!==S?(123===e.charCodeAt(_e)?(o=P,_e++):(o=S,0===Ye&&i(I)),o!==S?(l=E(),l!==S?(u=s(),u!==S?(c=E(),c!==S?(125===e.charCodeAt(_e)?(p=U,_e++):(p=S,0===Ye&&i(F)),p!==S?(Be=t,n=J(r,u),t=n):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S),t}function g(){var t,n,r,a,o,s;return t=_e,n=E(),n!==S?(44===e.charCodeAt(_e)?(r=N,_e++):(r=S,0===Ye&&i(L)),r!==S?(a=E(),a!==S?(o=$(),o!==S?(s=E(),s!==S?(Be=t,n=ie(o),t=n):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S),t}function v(){var t,n;return t=_e,35===e.charCodeAt(_e)?(n=ae,_e++):(n=S,0===Ye&&i(oe)),n!==S&&(Be=t,n=se()),t=n}function b(){var e,t,n;if(e=_e,t=[],n=y(),n===S&&(n=C()),n!==S)for(;n!==S;)t.push(n),(n=y())===S&&(n=C());else t=S;return t!==S&&(Be=e,t=le(t)),e=t}function $(){var t,n,r,a,o,s,l;if(Ye++,t=_e,(n=E())!==S){if(r=_e,a=_e,ce.test(e.charAt(_e))?(o=e.charAt(_e),_e++):(o=S,0===Ye&&i(pe)),o!==S){for(s=[],de.test(e.charAt(_e))?(l=e.charAt(_e),_e++):(l=S,0===Ye&&i(fe));l!==S;)s.push(l),de.test(e.charAt(_e))?(l=e.charAt(_e),_e++):(l=S,0===Ye&&i(fe));s!==S?(o=[o,s],a=o):(_e=a,a=S)}else _e=a,a=S;r=a!==S?e.substring(r,_e):a,r!==S?(a=E(),a!==S?(Be=t,n=he(r),t=n):(_e=t,t=S)):(_e=t,t=S)}else _e=t,t=S;return Ye--,t===S&&(n=S,0===Ye&&i(ue)),t}function y(){var e,t,n;if(e=_e,t=[],(n=w())!==S)for(;n!==S;)t.push(n),n=w();else t=S;return t!==S&&(Be=e,t=me(t)),e=t}function w(){var t,n,r,a,o,s;return t=_e,ge.test(e.charAt(_e))?(n=e.charAt(_e),_e++):(n=S,0===Ye&&i(ve)),n!==S&&(Be=t,n=be(n)),t=n,t===S&&(t=_e,e.substr(_e,2)===$e?(n=$e,_e+=2):(n=S,0===Ye&&i(ye)),n!==S&&(Be=t,n=we()),(t=n)===S&&(t=_e,e.substr(_e,2)===Me?(n=Me,_e+=2):(n=S,0===Ye&&i(ke)),n!==S&&(Be=t,n=Ee()),(t=n)===S&&(t=_e,e.substr(_e,2)===Ce?(n=Ce,_e+=2):(n=S,0===Ye&&i(xe)),n!==S&&(Be=t,n=De()),(t=n)===S&&(t=_e,e.substr(_e,2)===Se?(n=Se,_e+=2):(n=S,0===Ye&&i(Te)),n!==S&&(Be=t,n=Oe()),(t=n)===S&&(t=_e,e.substr(_e,2)===Ae?(n=Ae,_e+=2):(n=S,0===Ye&&i(Pe)),n!==S?(r=k(),r!==S?(a=k(),a!==S?(o=k(),o!==S?(s=k(),s!==S?(Be=t,n=Ie(r,a,o,s),t=n):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S)):(_e=t,t=S)))))),t}function M(){var t,n,r;if(t=_e,n=[],Ne.test(e.charAt(_e))?(r=e.charAt(_e),_e++):(r=S,0===Ye&&i(Le)),r!==S)for(;r!==S;)n.push(r),Ne.test(e.charAt(_e))?(r=e.charAt(_e),_e++):(r=S,0===Ye&&i(Le));else n=S;return n!==S&&(Be=t,n=Ue(n)),t=n}function k(){var t;return Fe.test(e.charAt(_e))?(t=e.charAt(_e),_e++):(t=S,0===Ye&&i(Re)),t}function E(){var e,t,n;for(Ye++,e=_e,t=[],n=C();n!==S;)t.push(n),n=C();return t!==S&&(Be=e,t=je(t)),e=t,Ye--,e===S&&(t=S,0===Ye&&i(He)),e}function C(){var t;return ze.test(e.charAt(_e))?(t=e.charAt(_e),_e++):(t=S,0===Ye&&i(Ve)),t}var x,D=arguments.length>1?arguments[1]:{},S={},T={start:o},O=o,A=function(e){return{type:"messageFormatPattern",statements:e}},P="{",I={type:"literal",value:"{",description:'"{"'},N=",",L={type:"literal",value:",",description:'","'},U="}",F={type:"literal",value:"}",description:'"}"'},R=function(e,t){var n={type:"messageFormatElement",argumentIndex:e};return t&&t.length?n.elementFormat=t[1]:n.output=!0,n},H="plural",j={type:"literal",value:"plural",description:'"plural"'},z=function(e,t){return{type:"elementFormat",key:e,val:t}},V="selectordinal",_={type:"literal",value:"selectordinal",description:'"selectordinal"'},B="select",q={type:"literal",value:"select",description:'"select"'},W=function(e,t){return{type:"elementFormat",key:e,val:t}},G=function(e,t){return{type:"pluralFormatPattern",pluralForms:t,offset:e||0}},Y="offset",Q={type:"literal",value:"offset",description:'"offset"'},K=":",X={type:"literal",value:":",description:'":"'},Z=function(e){return e},J=function(e,t){return{key:e,val:t}},ee=function(e){return e},te="=",ne={type:"literal",value:"=",description:'"="'},re=function(e){return{type:"selectFormatPattern",pluralForms:e}},ie=function(e){return e},ae="#",oe={type:"literal",value:"#",description:'"#"'},se=function(){return{type:"octothorpe"}},le=function(e){return{type:"string",val:e.join("")}},ue={type:"other",description:"identifier"},ce=/^[0-9a-zA-Z$_]/,pe={type:"class",value:"[0-9a-zA-Z$_]",description:"[0-9a-zA-Z$_]"},de=/^[^ \t\n\r,.+={}]/,fe={type:"class",value:"[^ \\t\\n\\r,.+={}]",description:"[^ \\t\\n\\r,.+={}]"},he=function(e){return e},me=function(e){return e.join("")},ge=/^[^{}#\\\0-\x1F \t\n\r]/,ve={type:"class",value:"[^{}#\\\\\\0-\\x1F\\x7f \\t\\n\\r]",description:"[^{}#\\\\\\0-\\x1F\\x7f \\t\\n\\r]"},be=function(e){return e},$e="\\\\",ye={type:"literal",value:"\\\\",description:'"\\\\\\\\"'},we=function(){return"\\"},Me="\\#",ke={type:"literal",value:"\\#",description:'"\\\\#"'},Ee=function(){return"#"},Ce="\\{",xe={type:"literal",value:"\\{",description:'"\\\\{"'},De=function(){return"{"},Se="\\}",Te={type:"literal",value:"\\}",description:'"\\\\}"'},Oe=function(){return"}"},Ae="\\u",Pe={type:"literal",value:"\\u",description:'"\\\\u"'},Ie=function(e,t,n,r){return String.fromCharCode(parseInt("0x"+e+t+n+r))},Ne=/^[0-9]/,Le={type:"class",value:"[0-9]",description:"[0-9]"},Ue=function(e){return parseInt(e.join(""),10)},Fe=/^[0-9a-fA-F]/,Re={type:"class",value:"[0-9a-fA-F]",description:"[0-9a-fA-F]"},He={type:"other",description:"whitespace"},je=function(e){return e.join("")},ze=/^[ \t\n\r]/,Ve={type:"class",value:"[ \\t\\n\\r]",description:"[ \\t\\n\\r]"},_e=0,Be=0,qe=[{line:1,column:1,seenCR:!1}],We=0,Ge=[],Ye=0;if("startRule"in D){if(!(D.startRule in T))throw new Error("Can't start parsing from rule \""+D.startRule+'".');O=T[D.startRule]}if((x=O())!==S&&_e===e.length)return x;throw x!==S&&_e<e.length&&i({type:"end",description:"end of input"}),a(null,Ge,We<e.length?e.charAt(We):null,We<e.length?r(We,We+1):r(We,We))}return e(t,Error),{SyntaxError:t,parse:n}}()},{}],2:[function(e,t,n){function r(e,t){if(/^[A-Z_$][0-9A-Z_$]*$/i.test(e)&&["break","continue","delete","else","for","function","if","in","new","return","this","typeof","var","void","while","with","case","catch","default","do","finally","instanceof","switch","throw","try"].indexOf(e)<0)return t?t+"."+e:e;var n=JSON.stringify(e);return t?t+"["+n+"]":n}function i(e,t){function n(e){var t=["ar","ckb","fa","he","ks($|[^bfh])","lrc","mzn","pa-Arab","ps","ug","ur","uz-Arab","yi"];return new RegExp("^"+t.join("|^")).test(e)}var r=JSON.stringify(n(t)?"‏":"‎");return r+" + "+e+" + "+r}function a(e,t,n){if(e)if("string"==typeof e){this.lc=[];for(var r=e;r;r=r.replace(/[-_]?[^-_]*$/,""))this.lc.push(r)}else this.lc=e;else this.lc=["en"];if(!t&&this.lc.every(function(e){return!(t=a.plurals[e])}))throw new Error("Plural function for locale `"+this.lc.join(",")+"` not found");this.runtime=new o(this.lc[0],t,n)}function o(e,t,n){if(this.pluralFuncs={},this.pluralFuncs[e]=t,this.fmt={},n)for(var r in n)this.fmt[r]=n[r]}t.exports=a,a._parse=e("./messageformat-parser").parse,a.plurals=e("make-plural/plurals"),a.formatters={number:function(e){return new Function("v,lc,p","return Intl.NumberFormat(lc,\n    p=='integer' ? {maximumFractionDigits:0}\n  : p=='percent' ? {style:'percent'}\n  : p=='currency' ? {style:'currency', currency:'"+(e.currency||"USD")+"', minimumFractionDigits:2, maximumFractionDigits:2}\n  : {}).format(v)")},date:function(e,t,n){var r={day:"numeric",month:"short",year:"numeric"};switch(n){case"full":r.weekday="long";case"long":r.month="long";break;case"short":r.month="numeric"}return new Date(e).toLocaleDateString(t,r)},time:function(e,t,n){var r={second:"numeric",minute:"numeric",hour:"numeric"};switch(n){case"full":case"long":r.timeZoneName="short";break;case"short":delete r.minute}return new Date(e).toLocaleTimeString(t,r)}},a.prototype.setBiDiSupport=function(e){return this.bidiSupport=!!e||void 0===e,this},a.prototype.setIntlSupport=function(e){return this.withIntlSupport=!!e||void 0===e,this},o.prototype={number:function(e,t){if(isNaN(e))throw new Error("'"+e+"' isn't a number.");return e-(t||0)},plural:function(e,t,n,r,i){if({}.hasOwnProperty.call(r,e))return r[e]();t&&(e-=t);var a=n(e,i);return a in r?r[a]():r.other()},select:function(e,t){return{}.hasOwnProperty.call(t,e)?t[e]():t.other()},toString:function(){var e=function(t,n){if("object"!=typeof t){var i=t.toString().replace(/^(function )\w*/,"$1"),a=/([ \t]*)\S.*$/.exec(i);return a?i.replace(new RegExp("^"+a[1],"mg"),""):i}var o=[];for(var s in t)"toString"!=s&&(0==n?o.push("var "+s+" = "+e(t[s],n+1)+";\n"):o.push(r(s)+": "+e(t[s],n+1)));if(0==n)return o.join("");if(0==o.length)return"{}";for(var a="  ";--n;)a+="  ";return"{\n"+o.join(",\n").replace(/^/gm,a)+"\n}"};return e(this,0)}},a.prototype._precompile=function(e,t){t=t||{keys:{},offset:{}};var n,o,s=[],l=[];switch(e.type){case"messageFormatPattern":for(n=0;n<e.statements.length;++n)s.push(this._precompile(e.statements[n],t));return o=s.join(" + ")||'""',t.pf_count?o:"function(d) { return "+o+"; }";case"messageFormatElement":if(t.pf_count=t.pf_count||0,e.output){var u=r(e.argumentIndex,"d");return this.bidiSupport?i(u,this.lc):u}return t.keys[t.pf_count]=e.argumentIndex,this._precompile(e.elementFormat,t);case"elementFormat":switch(l=[r(t.keys[t.pf_count],"d")],e.key){case"select":return l.push(this._precompile(e.val,t)),"select("+l.join(", ")+")";case"selectordinal":return l=l.concat([0,r(this.lc[0],"pluralFuncs"),this._precompile(e.val,t),1]),"plural("+l.join(", ")+")";case"plural":return t.offset[t.pf_count||0]=e.val.offset||0,l=l.concat([t.offset[t.pf_count]||0,r(this.lc[0],"pluralFuncs"),this._precompile(e.val,t)]),"plural("+l.join(", ")+")";default:return this.withIntlSupport&&!(e.key in this.runtime.fmt)&&e.key in a.formatters&&(o=a.formatters[e.key],this.runtime.fmt[e.key]="function"==typeof o(this)?o(this):o),l.push(JSON.stringify(this.lc)),e.val&&e.val.length&&l.push(JSON.stringify(1==e.val.length?e.val[0]:e.val)),"fmt."+e.key+"("+l.join(", ")+")"}case"pluralFormatPattern":case"selectFormatPattern":t.pf_count=t.pf_count||0,"selectFormatPattern"==e.type&&(t.offset[t.pf_count]=0);var c=!0;for(n=0;n<e.pluralForms.length;++n){var p=e.pluralForms[n].key;"other"===p&&(c=!1);var d=JSON.parse(JSON.stringify(t));d.pf_count++,s.push(r(p)+": function() { return "+this._precompile(e.pluralForms[n].val,d)+";}")}if(c)throw new Error("No 'other' form found in "+e.type+" "+t.pf_count);return"{ "+s.join(", ")+" }";case"string":return JSON.stringify(e.val||"");case"octothorpe":return t.pf_count?(l=[r(t.keys[t.pf_count-1],"d")],t.offset[t.pf_count-1]&&l.push(t.offset[t.pf_count-1]),"number("+l.join(", ")+")"):'"#"';default:throw new Error("Bad AST type: "+e.type)}},a.prototype.compile=function(e,t){var n={},i=this.lc,o=function(e,t){try{var n=a._parse(t);return e._precompile(n)}catch(e){throw new Error((n?"Precompiler":"Parser")+" error: "+e.toString())}},s=function(e,t){if(t||(t=0),"object"!=typeof e)return e;for(var n=[],i="",a=0;a<t;++a)i+="  ";for(var o in e)n.push("\n"+i+"  "+r(o)+": "+s(e[o],t+1));return"{"+n.join(",")+"\n"+i+"}"};if("string"==typeof e){return new Function("number, plural, select, pluralFuncs, fmt","return "+o(this,e))(this.runtime.number,this.runtime.plural,this.runtime.select,this.runtime.pluralFuncs,this.runtime.fmt)}t=t||{};for(var l in e)if(t.locale&&(this.lc=t.locale[l]&&[].concat(t.locale[l])||i),"string"==typeof e[l])try{n[l]=o(this,e[l])}catch(e){throw e.message=e.message.replace(":"," with `"+l+"`:"),e}else{n[l]={};for(var u in e[l])try{n[l][u]=o(this,e[l][u])}catch(e){throw e.message=e.message.replace(":"," with `"+u+"` in `"+l+"`:"),e}}this.lc=i;var c=this.runtime.toString()+"\n";switch(t.global||""){case"exports":var p=[];for(var d in n)p.push(r(d,"exports")+" = "+s(n[d]));return new Function(c+p.join(";\n"));case"module.exports":return new Function(c+"module.exports = "+s(n));case"":return new Function(c+"return "+s(n));default:return new Function("G",c+r(t.global,"G")+" = "+s(n))}}},{"./messageformat-parser":1,"make-plural/plurals":3}],3:[function(t,n,r){var i=[function(e,t){return"other"},function(e,t){return t?"other":1==e?"one":"other"},function(e,t){return t?"other":0==e||1==e?"one":"other"},function(e,t){var n=String(e).split("."),r=!n[1];return t?"other":1==e&&r?"one":"other"}];!function(t,i){"function"==typeof e&&e.amd?e(i):"object"==typeof r?n.exports=i:t.plurals=i}(this,{af:i[1],ak:i[2],am:function(e,t){return t?"other":e>=0&&e<=1?"one":"other"},ar:function(e,t){var n=String(e).split("."),r=Number(n[0])==e,i=r&&n[0].slice(-2);return t?"other":0==e?"zero":1==e?"one":2==e?"two":i>=3&&i<=10?"few":i>=11&&i<=99?"many":"other"},as:function(e,t){return t?1==e||5==e||7==e||8==e||9==e||10==e?"one":2==e||3==e?"two":4==e?"few":6==e?"many":"other":e>=0&&e<=1?"one":"other"},asa:i[1],ast:i[3],az:function(e,t){var n=String(e).split("."),r=n[0],i=r.slice(-1),a=r.slice(-2),o=r.slice(-3);return t?1==i||2==i||5==i||7==i||8==i||20==a||50==a||70==a||80==a?"one":3==i||4==i||100==o||200==o||300==o||400==o||500==o||600==o||700==o||800==o||900==o?"few":0==r||6==i||40==a||60==a||90==a?"many":"other":1==e?"one":"other"},be:function(e,t){var n=String(e).split("."),r=Number(n[0])==e,i=r&&n[0].slice(-1),a=r&&n[0].slice(-2);return t?2!=i&&3!=i||12==a||13==a?"other":"few":1==i&&11!=a?"one":i>=2&&i<=4&&(a<12||a>14)?"few":r&&0==i||i>=5&&i<=9||a>=11&&a<=14?"many":"other"},bem:i[1],bez:i[1],bg:i[1],bh:i[2],bm:i[0],bn:function(e,t){return t?1==e||5==e||7==e||8==e||9==e||10==e?"one":2==e||3==e?"two":4==e?"few":6==e?"many":"other":e>=0&&e<=1?"one":"other"},bo:i[0],br:function(e,t){var n=String(e).split("."),r=Number(n[0])==e,i=r&&n[0].slice(-1),a=r&&n[0].slice(-2),o=r&&n[0].slice(-6);return t?"other":1==i&&11!=a&&71!=a&&91!=a?"one":2==i&&12!=a&&72!=a&&92!=a?"two":(3==i||4==i||9==i)&&(a<10||a>19)&&(a<70||a>79)&&(a<90||a>99)?"few":0!=e&&r&&0==o?"many":"other"},brx:i[1],bs:function(e,t){var n=String(e).split("."),r=n[0],i=n[1]||"",a=!n[1],o=r.slice(-1),s=r.slice(-2),l=i.slice(-1),u=i.slice(-2);return t?"other":a&&1==o&&11!=s||1==l&&11!=u?"one":a&&o>=2&&o<=4&&(s<12||s>14)||l>=2&&l<=4&&(u<12||u>14)?"few":"other"},ca:function(e,t){var n=String(e).split("."),r=!n[1];return t?1==e||3==e?"one":2==e?"two":4==e?"few":"other":1==e&&r?"one":"other"},ce:i[1],cgg:i[1],chr:i[1],ckb:i[1],cs:function(e,t){var n=String(e).split("."),r=n[0],i=!n[1];return t?"other":1==e&&i?"one":r>=2&&r<=4&&i?"few":i?"other":"many"},cy:function(e,t){return t?0==e||7==e||8==e||9==e?"zero":1==e?"one":2==e?"two":3==e||4==e?"few":5==e||6==e?"many":"other":0==e?"zero":1==e?"one":2==e?"two":3==e?"few":6==e?"many":"other"},da:function(e,t){var n=String(e).split("."),r=n[0],i=Number(n[0])==e;return t?"other":1!=e&&(i||0!=r&&1!=r)?"other":"one"},de:i[3],dsb:function(e,t){var n=String(e).split("."),r=n[0],i=n[1]||"",a=!n[1],o=r.slice(-2),s=i.slice(-2);return t?"other":a&&1==o||1==s?"one":a&&2==o||2==s?"two":a&&(3==o||4==o)||3==s||4==s?"few":"other"},dv:i[1],dz:i[0],ee:i[1],el:i[1],en:function(e,t){var n=String(e).split("."),r=!n[1],i=Number(n[0])==e,a=i&&n[0].slice(-1),o=i&&n[0].slice(-2);return t?1==a&&11!=o?"one":2==a&&12!=o?"two":3==a&&13!=o?"few":"other":1==e&&r?"one":"other"},eo:i[1],es:i[1],et:i[3],eu:i[1],fa:function(e,t){return t?"other":e>=0&&e<=1?"one":"other"},ff:function(e,t){return t?"other":e>=0&&e<2?"one":"other"},fi:i[3],fil:function(e,t){var n=String(e).split("."),r=n[0],i=n[1]||"",a=!n[1],o=r.slice(-1),s=i.slice(-1);return t?1==e?"one":"other":a&&(1==r||2==r||3==r)||a&&4!=o&&6!=o&&9!=o||!a&&4!=s&&6!=s&&9!=s?"one":"other"},fo:i[1],fr:function(e,t){return t?1==e?"one":"other":e>=0&&e<2?"one":"other"},fur:i[1],fy:i[3],ga:function(e,t){var n=String(e).split("."),r=Number(n[0])==e;return t?1==e?"one":"other":1==e?"one":2==e?"two":r&&e>=3&&e<=6?"few":r&&e>=7&&e<=10?"many":"other"},gd:function(e,t){var n=String(e).split("."),r=Number(n[0])==e;return t?"other":1==e||11==e?"one":2==e||12==e?"two":r&&e>=3&&e<=10||r&&e>=13&&e<=19?"few":"other"},gl:i[3],gsw:i[1],gu:function(e,t){return t?1==e?"one":2==e||3==e?"two":4==e?"few":6==e?"many":"other":e>=0&&e<=1?"one":"other"},guw:i[2],gv:function(e,t){var n=String(e).split("."),r=n[0],i=!n[1],a=r.slice(-1),o=r.slice(-2);return t?"other":i&&1==a?"one":i&&2==a?"two":!i||0!=o&&20!=o&&40!=o&&60!=o&&80!=o?i?"other":"many":"few"},ha:i[1],haw:i[1],he:function(e,t){var n=String(e).split("."),r=n[0],i=!n[1],a=Number(n[0])==e,o=a&&n[0].slice(-1);return t?"other":1==e&&i?"one":2==r&&i?"two":i&&(e<0||e>10)&&a&&0==o?"many":"other"},hi:function(e,t){return t?1==e?"one":2==e||3==e?"two":4==e?"few":6==e?"many":"other":e>=0&&e<=1?"one":"other"},hr:function(e,t){var n=String(e).split("."),r=n[0],i=n[1]||"",a=!n[1],o=r.slice(-1),s=r.slice(-2),l=i.slice(-1),u=i.slice(-2);return t?"other":a&&1==o&&11!=s||1==l&&11!=u?"one":a&&o>=2&&o<=4&&(s<12||s>14)||l>=2&&l<=4&&(u<12||u>14)?"few":"other"},hsb:function(e,t){var n=String(e).split("."),r=n[0],i=n[1]||"",a=!n[1],o=r.slice(-2),s=i.slice(-2);return t?"other":a&&1==o||1==s?"one":a&&2==o||2==s?"two":a&&(3==o||4==o)||3==s||4==s?"few":"other"},hu:function(e,t){return t?1==e||5==e?"one":"other":1==e?"one":"other"},hy:function(e,t){return t?1==e?"one":"other":e>=0&&e<2?"one":"other"},id:i[0],ig:i[0],ii:i[0],in:i[0],is:function(e,t){var n=String(e).split("."),r=n[0],i=Number(n[0])==e,a=r.slice(-1),o=r.slice(-2);return t?"other":i&&1==a&&11!=o||!i?"one":"other"},it:function(e,t){var n=String(e).split("."),r=!n[1];return t?11==e||8==e||80==e||800==e?"many":"other":1==e&&r?"one":"other"},iu:function(e,t){return t?"other":1==e?"one":2==e?"two":"other"},iw:function(e,t){var n=String(e).split("."),r=n[0],i=!n[1],a=Number(n[0])==e,o=a&&n[0].slice(-1);return t?"other":1==e&&i?"one":2==r&&i?"two":i&&(e<0||e>10)&&a&&0==o?"many":"other"},ja:i[0],jbo:i[0],jgo:i[1],ji:i[3],jmc:i[1],jv:i[0],jw:i[0],ka:function(e,t){var n=String(e).split("."),r=n[0],i=r.slice(-2);return t?1==r?"one":0==r||i>=2&&i<=20||40==i||60==i||80==i?"many":"other":1==e?"one":"other"},kab:function(e,t){return t?"other":e>=0&&e<2?"one":"other"},kaj:i[1],kcg:i[1],kde:i[0],kea:i[0],kk:function(e,t){var n=String(e).split("."),r=Number(n[0])==e,i=r&&n[0].slice(-1);return t?6==i||9==i||r&&0==i&&0!=e?"many":"other":1==e?"one":"other"},kkj:i[1],kl:i[1],km:i[0],kn:function(e,t){return t?"other":e>=0&&e<=1?"one":"other"},ko:i[0],ks:i[1],ksb:i[1],ksh:function(e,t){return t?"other":0==e?"zero":1==e?"one":"other"},ku:i[1],kw:function(e,t){return t?"other":1==e?"one":2==e?"two":"other"},ky:i[1],lag:function(e,t){var n=String(e).split("."),r=n[0];return t?"other":0==e?"zero":0!=r&&1!=r||0==e?"other":"one"},lb:i[1],lg:i[1],lkt:i[0],ln:i[2],lo:function(e,t){return t&&1==e?"one":"other"},lt:function(e,t){var n=String(e).split("."),r=n[1]||"",i=Number(n[0])==e,a=i&&n[0].slice(-1),o=i&&n[0].slice(-2);return t?"other":1==a&&(o<11||o>19)?"one":a>=2&&a<=9&&(o<11||o>19)?"few":0!=r?"many":"other"},lv:function(e,t){var n=String(e).split("."),r=n[1]||"",i=r.length,a=Number(n[0])==e,o=a&&n[0].slice(-1),s=a&&n[0].slice(-2),l=r.slice(-2),u=r.slice(-1);return t?"other":a&&0==o||s>=11&&s<=19||2==i&&l>=11&&l<=19?"zero":1==o&&11!=s||2==i&&1==u&&11!=l||2!=i&&1==u?"one":"other"},mas:i[1],mg:i[2],mgo:i[1],mk:function(e,t){var n=String(e).split("."),r=n[0],i=n[1]||"",a=!n[1],o=r.slice(-1),s=r.slice(-2),l=i.slice(-1);return t?1==o&&11!=s?"one":2==o&&12!=s?"two":7!=o&&8!=o||17==s||18==s?"other":"many":a&&1==o||1==l?"one":"other"},ml:i[1],mn:i[1],mo:function(e,t){var n=String(e).split("."),r=!n[1],i=Number(n[0])==e,a=i&&n[0].slice(-2);return t?1==e?"one":"other":1==e&&r?"one":!r||0==e||1!=e&&a>=1&&a<=19?"few":"other"},mr:function(e,t){return t?1==e?"one":2==e||3==e?"two":4==e?"few":"other":e>=0&&e<=1?"one":"other"},ms:function(e,t){return t&&1==e?"one":"other"},mt:function(e,t){var n=String(e).split("."),r=Number(n[0])==e,i=r&&n[0].slice(-2);return t?"other":1==e?"one":0==e||i>=2&&i<=10?"few":i>=11&&i<=19?"many":"other"},my:i[0],nah:i[1],naq:function(e,t){return t?"other":1==e?"one":2==e?"two":"other"},nb:i[1],nd:i[1],ne:function(e,t){var n=String(e).split("."),r=Number(n[0])==e;return t?r&&e>=1&&e<=4?"one":"other":1==e?"one":"other"},nl:i[3],nn:i[1],nnh:i[1],no:i[1],nqo:i[0],nr:i[1],nso:i[2],ny:i[1],nyn:i[1],om:i[1],or:i[1],os:i[1],pa:i[2],pap:i[1],pl:function(e,t){var n=String(e).split("."),r=n[0],i=!n[1],a=r.slice(-1),o=r.slice(-2);return t?"other":1==e&&i?"one":i&&a>=2&&a<=4&&(o<12||o>14)?"few":i&&1!=r&&(0==a||1==a)||i&&a>=5&&a<=9||i&&o>=12&&o<=14?"many":"other"},prg:function(e,t){var n=String(e).split("."),r=n[1]||"",i=r.length,a=Number(n[0])==e,o=a&&n[0].slice(-1),s=a&&n[0].slice(-2),l=r.slice(-2),u=r.slice(-1);return t?"other":a&&0==o||s>=11&&s<=19||2==i&&l>=11&&l<=19?"zero":1==o&&11!=s||2==i&&1==u&&11!=l||2!=i&&1==u?"one":"other"},ps:i[1],pt:function(e,t){var n=String(e).split("."),r=Number(n[0])==e;return t?"other":r&&e>=0&&e<=2&&2!=e?"one":"other"},"pt-PT":i[3],rm:i[1],ro:function(e,t){var n=String(e).split("."),r=!n[1],i=Number(n[0])==e,a=i&&n[0].slice(-2);return t?1==e?"one":"other":1==e&&r?"one":!r||0==e||1!=e&&a>=1&&a<=19?"few":"other"},rof:i[1],root:i[0],ru:function(e,t){var n=String(e).split("."),r=n[0],i=!n[1],a=r.slice(-1),o=r.slice(-2);return t?"other":i&&1==a&&11!=o?"one":i&&a>=2&&a<=4&&(o<12||o>14)?"few":i&&0==a||i&&a>=5&&a<=9||i&&o>=11&&o<=14?"many":"other"},rwk:i[1],sah:i[0],saq:i[1],sdh:i[1],se:function(e,t){return t?"other":1==e?"one":2==e?"two":"other"},seh:i[1],ses:i[0],sg:i[0],sh:function(e,t){var n=String(e).split("."),r=n[0],i=n[1]||"",a=!n[1],o=r.slice(-1),s=r.slice(-2),l=i.slice(-1),u=i.slice(-2);return t?"other":a&&1==o&&11!=s||1==l&&11!=u?"one":a&&o>=2&&o<=4&&(s<12||s>14)||l>=2&&l<=4&&(u<12||u>14)?"few":"other"},shi:function(e,t){var n=String(e).split("."),r=Number(n[0])==e;return t?"other":e>=0&&e<=1?"one":r&&e>=2&&e<=10?"few":"other"},si:function(e,t){var n=String(e).split("."),r=n[0],i=n[1]||"";return t?"other":0==e||1==e||0==r&&1==i?"one":"other"},sk:function(e,t){var n=String(e).split("."),r=n[0],i=!n[1];return t?"other":1==e&&i?"one":r>=2&&r<=4&&i?"few":i?"other":"many"},sl:function(e,t){var n=String(e).split("."),r=n[0],i=!n[1],a=r.slice(-2);return t?"other":i&&1==a?"one":i&&2==a?"two":i&&(3==a||4==a)||!i?"few":"other"},sma:function(e,t){return t?"other":1==e?"one":2==e?"two":"other"},smi:function(e,t){return t?"other":1==e?"one":2==e?"two":"other"},smj:function(e,t){return t?"other":1==e?"one":2==e?"two":"other"},smn:function(e,t){return t?"other":1==e?"one":2==e?"two":"other"},sms:function(e,t){return t?"other":1==e?"one":2==e?"two":"other"},sn:i[1],so:i[1],sq:function(e,t){var n=String(e).split("."),r=Number(n[0])==e,i=r&&n[0].slice(-1),a=r&&n[0].slice(-2);return t?1==e?"one":4==i&&14!=a?"many":"other":1==e?"one":"other"},sr:function(e,t){var n=String(e).split("."),r=n[0],i=n[1]||"",a=!n[1],o=r.slice(-1),s=r.slice(-2),l=i.slice(-1),u=i.slice(-2);return t?"other":a&&1==o&&11!=s||1==l&&11!=u?"one":a&&o>=2&&o<=4&&(s<12||s>14)||l>=2&&l<=4&&(u<12||u>14)?"few":"other"},ss:i[1],ssy:i[1],st:i[1],sv:function(e,t){var n=String(e).split("."),r=!n[1],i=Number(n[0])==e,a=i&&n[0].slice(-1),o=i&&n[0].slice(-2);return t?1!=a&&2!=a||11==o||12==o?"other":"one":1==e&&r?"one":"other"},sw:i[3],syr:i[1],ta:i[1],te:i[1],teo:i[1],th:i[0],ti:i[2],tig:i[1],tk:i[1],tl:function(e,t){var n=String(e).split("."),r=n[0],i=n[1]||"",a=!n[1],o=r.slice(-1),s=i.slice(-1);return t?1==e?"one":"other":a&&(1==r||2==r||3==r)||a&&4!=o&&6!=o&&9!=o||!a&&4!=s&&6!=s&&9!=s?"one":"other"},tn:i[1],to:i[0],tr:i[1],ts:i[1],tzm:function(e,t){var n=String(e).split("."),r=Number(n[0])==e;return t?"other":0==e||1==e||r&&e>=11&&e<=99?"one":"other"},ug:i[1],uk:function(e,t){var n=String(e).split("."),r=n[0],i=!n[1],a=Number(n[0])==e,o=a&&n[0].slice(-1),s=a&&n[0].slice(-2),l=r.slice(-1),u=r.slice(-2);return t?3==o&&13!=s?"few":"other":i&&1==l&&11!=u?"one":i&&l>=2&&l<=4&&(u<12||u>14)?"few":i&&0==l||i&&l>=5&&l<=9||i&&u>=11&&u<=14?"many":"other"},ur:i[3],uz:i[1],ve:i[1],vi:function(e,t){return t&&1==e?"one":"other"},vo:i[1],vun:i[1],wa:i[2],wae:i[1],wo:i[0],xh:i[1],xog:i[1],yi:i[3],yo:i[0],zh:i[0],zu:function(e,t){return t?"other":e>=0&&e<=1?"one":"other"}})},{}]},{},[2])(2)}),function(e,t){"function"==typeof define&&define.amd?define(["messageformat"],function(e){return t(e)}):"object"==typeof module&&module.exports?module.exports=t(require("messageformat")):t(e.MessageFormat)}(this,function(e){function t(t,n,r,i){"use strict";var a={},o=n.get(r),s=new e("en");return angular.isFunction(i)&&i(s),o||(o=n(r)),o.put("en",s),a.setLocale=function(t){(s=o.get(t))||(s=new e(t),angular.isFunction(i)&&i(s),o.put(t,s))},a.getInterpolationIdentifier=function(){return"messageformat"},a.useSanitizeValueStrategy=function(e){return t.useStrategy(e),this},a.interpolate=function(e,n,r,i){n=n||{},n=t.sanitize(n,"params",i);var a=o.get("mf:"+e);if(!a){for(var l in n)if(n.hasOwnProperty(l)){var u=parseInt(n[l],10);angular.isNumber(u)&&""+u===n[l]&&(n[l]=u)}a=s.compile(e),o.put("mf:"+e,a)}var c=a(n);return t.sanitize(c,"text",i)},a}return angular.module("pascalprecht.translate").constant("TRANSLATE_MF_INTERPOLATION_CACHE","$translateMessageFormatInterpolation").provider("$translateMessageFormatInterpolation",function(){"use strict";var e;this.messageFormatConfigurer=function(t){e=t},this.$get=["$translateSanitization","$cacheFactory","TRANSLATE_MF_INTERPOLATION_CACHE",function(n,r,i){return t(n,r,i,e)}]}),t.displayName="$translateMessageFormatInterpolation","pascalprecht.translate"}),angular.module("ui.bootstrap",["ui.bootstrap.tpls","ui.bootstrap.collapse","ui.bootstrap.accordion","ui.bootstrap.alert","ui.bootstrap.buttons","ui.bootstrap.carousel","ui.bootstrap.dateparser","ui.bootstrap.isClass","ui.bootstrap.datepicker","ui.bootstrap.position","ui.bootstrap.datepickerPopup","ui.bootstrap.debounce","ui.bootstrap.dropdown","ui.bootstrap.stackedMap","ui.bootstrap.modal","ui.bootstrap.paging","ui.bootstrap.pager","ui.bootstrap.pagination","ui.bootstrap.tooltip","ui.bootstrap.popover","ui.bootstrap.progressbar","ui.bootstrap.rating","ui.bootstrap.tabs","ui.bootstrap.timepicker","ui.bootstrap.typeahead"]),angular.module("ui.bootstrap.tpls",["uib/template/accordion/accordion-group.html","uib/template/accordion/accordion.html","uib/template/alert/alert.html","uib/template/carousel/carousel.html","uib/template/carousel/slide.html","uib/template/datepicker/datepicker.html","uib/template/datepicker/day.html","uib/template/datepicker/month.html","uib/template/datepicker/year.html","uib/template/datepickerPopup/popup.html","uib/template/modal/backdrop.html","uib/template/modal/window.html","uib/template/pager/pager.html","uib/template/pagination/pagination.html","uib/template/tooltip/tooltip-html-popup.html","uib/template/tooltip/tooltip-popup.html","uib/template/tooltip/tooltip-template-popup.html","uib/template/popover/popover-html.html","uib/template/popover/popover-template.html","uib/template/popover/popover.html","uib/template/progressbar/bar.html","uib/template/progressbar/progress.html","uib/template/progressbar/progressbar.html","uib/template/rating/rating.html","uib/template/tabs/tab.html","uib/template/tabs/tabset.html","uib/template/timepicker/timepicker.html","uib/template/typeahead/typeahead-match.html","uib/template/typeahead/typeahead-popup.html"]),angular.module("ui.bootstrap.collapse",[]).directive("uibCollapse",["$animate","$q","$parse","$injector",function(e,t,n,r){var i=r.has("$animateCss")?r.get("$animateCss"):null;return{link:function(r,a,o){function s(){a.hasClass("collapse")&&a.hasClass("in")||t.resolve(p(r)).then(function(){a.removeClass("collapse").addClass("collapsing").attr("aria-expanded",!0).attr("aria-hidden",!1),i?i(a,{addClass:"in",easing:"ease",to:{height:a[0].scrollHeight+"px"}}).start().finally(l):e.addClass(a,"in",{to:{height:a[0].scrollHeight+"px"}}).then(l)})}function l(){a.removeClass("collapsing").addClass("collapse").css({height:"auto"}),d(r)}function u(){if(!a.hasClass("collapse")&&!a.hasClass("in"))return c();t.resolve(f(r)).then(function(){a.css({height:a[0].scrollHeight+"px"}).removeClass("collapse").addClass("collapsing").attr("aria-expanded",!1).attr("aria-hidden",!0),i?i(a,{removeClass:"in",to:{height:"0"}}).start().finally(c):e.removeClass(a,"in",{to:{height:"0"}}).then(c)})}function c(){a.css({height:"0"}),a.removeClass("collapsing").addClass("collapse"),h(r)}var p=n(o.expanding),d=n(o.expanded),f=n(o.collapsing),h=n(o.collapsed);r.$eval(o.uibCollapse)||a.addClass("in").addClass("collapse").attr("aria-expanded",!0).attr("aria-hidden",!1).css({height:"auto"}),r.$watch(o.uibCollapse,function(e){e?u():s()})}}}]),angular.module("ui.bootstrap.accordion",["ui.bootstrap.collapse"]).constant("uibAccordionConfig",{closeOthers:!0}).controller("UibAccordionController",["$scope","$attrs","uibAccordionConfig",function(e,t,n){this.groups=[],this.closeOthers=function(r){(angular.isDefined(t.closeOthers)?e.$eval(t.closeOthers):n.closeOthers)&&angular.forEach(this.groups,function(e){e!==r&&(e.isOpen=!1)})},this.addGroup=function(e){var t=this;this.groups.push(e),e.$on("$destroy",function(n){t.removeGroup(e)})},this.removeGroup=function(e){var t=this.groups.indexOf(e);-1!==t&&this.groups.splice(t,1)}}]).directive("uibAccordion",function(){return{controller:"UibAccordionController",controllerAs:"accordion",transclude:!0,templateUrl:function(e,t){return t.templateUrl||"uib/template/accordion/accordion.html"}}}).directive("uibAccordionGroup",function(){return{require:"^uibAccordion",transclude:!0,replace:!0,templateUrl:function(e,t){return t.templateUrl||"uib/template/accordion/accordion-group.html"},scope:{heading:"@",panelClass:"@?",isOpen:"=?",isDisabled:"=?"},controller:function(){this.setHeading=function(e){this.heading=e}},link:function(e,t,n,r){r.addGroup(e),e.openClass=n.openClass||"panel-open",e.panelClass=n.panelClass||"panel-default",e.$watch("isOpen",function(n){t.toggleClass(e.openClass,!!n),n&&r.closeOthers(e)}),e.toggleOpen=function(t){e.isDisabled||t&&32!==t.which||(e.isOpen=!e.isOpen)};var i="accordiongroup-"+e.$id+"-"+Math.floor(1e4*Math.random());e.headingId=i+"-tab",e.panelId=i+"-panel"}}}).directive("uibAccordionHeading",function(){return{transclude:!0,template:"",replace:!0,require:"^uibAccordionGroup",link:function(e,t,n,r,i){r.setHeading(i(e,angular.noop))}}}).directive("uibAccordionTransclude",function(){function e(){return"uib-accordion-header,data-uib-accordion-header,x-uib-accordion-header,uib\\:accordion-header,[uib-accordion-header],[data-uib-accordion-header],[x-uib-accordion-header]"}return{require:"^uibAccordionGroup",link:function(t,n,r,i){t.$watch(function(){return i[r.uibAccordionTransclude]},function(t){if(t){var r=angular.element(n[0].querySelector(e()));r.html(""),r.append(t)}})}}}),angular.module("ui.bootstrap.alert",[]).controller("UibAlertController",["$scope","$attrs","$interpolate","$timeout",function(e,t,n,r){e.closeable=!!t.close;var i=angular.isDefined(t.dismissOnTimeout)?n(t.dismissOnTimeout)(e.$parent):null;i&&r(function(){e.close()},parseInt(i,10))}]).directive("uibAlert",function(){return{controller:"UibAlertController",controllerAs:"alert",templateUrl:function(e,t){return t.templateUrl||"uib/template/alert/alert.html"},transclude:!0,replace:!0,scope:{type:"@",close:"&"}}}),angular.module("ui.bootstrap.buttons",[]).constant("uibButtonConfig",{activeClass:"active",toggleEvent:"click"}).controller("UibButtonsController",["uibButtonConfig",function(e){this.activeClass=e.activeClass||"active",this.toggleEvent=e.toggleEvent||"click"}]).directive("uibBtnRadio",["$parse",function(e){return{require:["uibBtnRadio","ngModel"],controller:"UibButtonsController",controllerAs:"buttons",link:function(t,n,r,i){var a=i[0],o=i[1],s=e(r.uibUncheckable);n.find("input").css({display:"none"}),o.$render=function(){n.toggleClass(a.activeClass,angular.equals(o.$modelValue,t.$eval(r.uibBtnRadio)))},n.on(a.toggleEvent,function(){if(!r.disabled){var e=n.hasClass(a.activeClass);e&&!angular.isDefined(r.uncheckable)||t.$apply(function(){o.$setViewValue(e?null:t.$eval(r.uibBtnRadio)),o.$render()})}}),r.uibUncheckable&&t.$watch(s,function(e){r.$set("uncheckable",e?"":void 0)})}}}]).directive("uibBtnCheckbox",function(){return{require:["uibBtnCheckbox","ngModel"],controller:"UibButtonsController",controllerAs:"button",link:function(e,t,n,r){function i(){return o(n.btnCheckboxTrue,!0)}function a(){return o(n.btnCheckboxFalse,!1)}function o(t,n){return angular.isDefined(t)?e.$eval(t):n}var s=r[0],l=r[1];t.find("input").css({display:"none"}),l.$render=function(){t.toggleClass(s.activeClass,angular.equals(l.$modelValue,i()))},t.on(s.toggleEvent,function(){n.disabled||e.$apply(function(){l.$setViewValue(t.hasClass(s.activeClass)?a():i()),l.$render()})})}}}),angular.module("ui.bootstrap.carousel",[]).controller("UibCarouselController",["$scope","$element","$interval","$timeout","$animate",function(e,t,n,r,i){function a(){for(;$.length;)$.shift()}function o(e){for(var t=0;t<g.length;t++)g[t].slide.active=t===e}function s(n,r,l){if(!y){if(angular.extend(n,{direction:l}),angular.extend(g[b].slide||{},{direction:l}),i.enabled(t)&&!e.$currentTransition&&g[r].element&&m.slides.length>1){g[r].element.data(v,n.direction);var u=m.getCurrentIndex();angular.isNumber(u)&&g[u].element&&g[u].element.data(v,n.direction),e.$currentTransition=!0,i.on("addClass",g[r].element,function(t,n){if("close"===n&&(e.$currentTransition=null,i.off("addClass",t),$.length)){var r=$.pop().slide,o=r.index,l=o>m.getCurrentIndex()?"next":"prev";a(),s(r,o,l)}})}e.active=n.index,b=n.index,o(r),p()}}function l(e){for(var t=0;t<g.length;t++)if(g[t].slide===e)return t}function u(){f&&(n.cancel(f),f=null)}function c(t){t.length||(e.$currentTransition=null,a())}function p(){u();var t=+e.interval;!isNaN(t)&&t>0&&(f=n(d,t))}function d(){var t=+e.interval;h&&!isNaN(t)&&t>0&&g.length?e.next():e.pause()}var f,h,m=this,g=m.slides=e.slides=[],v="uib-slideDirection",b=e.active,$=[],y=!1;m.addSlide=function(t,n){g.push({slide:t,element:n}),g.sort(function(e,t){return+e.slide.index-+t.slide.index}),(t.index===e.active||1===g.length&&!angular.isNumber(e.active))&&(e.$currentTransition&&(e.$currentTransition=null),b=t.index,e.active=t.index,o(b),m.select(g[l(t)]),1===g.length&&e.play())},m.getCurrentIndex=function(){for(var e=0;e<g.length;e++)if(g[e].slide.index===b)return e},m.next=e.next=function(){var t=(m.getCurrentIndex()+1)%g.length;return 0===t&&e.noWrap()?void e.pause():m.select(g[t],"next")},m.prev=e.prev=function(){var t=m.getCurrentIndex()-1<0?g.length-1:m.getCurrentIndex()-1;return e.noWrap()&&t===g.length-1?void e.pause():m.select(g[t],"prev")},m.removeSlide=function(t){var n=l(t),r=$.indexOf(g[n]);-1!==r&&$.splice(r,1),g.splice(n,1),g.length>0&&b===n?n>=g.length?(b=g.length-1,e.active=b,o(b),m.select(g[g.length-1])):(b=n,e.active=b,o(b),m.select(g[n])):b>n&&(b--,e.active=b),0===g.length&&(b=null,e.active=null,a())},m.select=e.select=function(t,n){var r=l(t.slide);void 0===n&&(n=r>m.getCurrentIndex()?"next":"prev"),t.slide.index===b||e.$currentTransition?t&&t.slide.index!==b&&e.$currentTransition&&$.push(g[r]):s(t.slide,r,n)},e.indexOfSlide=function(e){return+e.slide.index},e.isActive=function(t){return e.active===t.slide.index},e.isPrevDisabled=function(){return 0===e.active&&e.noWrap()},e.isNextDisabled=function(){return e.active===g.length-1&&e.noWrap()},e.pause=function(){e.noPause||(h=!1,u())},e.play=function(){h||(h=!0,p())},e.$on("$destroy",function(){y=!0,u()}),e.$watch("noTransition",function(e){i.enabled(t,!e)}),e.$watch("interval",p),e.$watchCollection("slides",c),e.$watch("active",function(e){if(angular.isNumber(e)&&b!==e){for(var t=0;t<g.length;t++)if(g[t].slide.index===e){e=t;break}g[e]&&(o(e),m.select(g[e]),b=e)}})}]).directive("uibCarousel",function(){return{transclude:!0,replace:!0,controller:"UibCarouselController",controllerAs:"carousel",templateUrl:function(e,t){return t.templateUrl||"uib/template/carousel/carousel.html"},scope:{active:"=",interval:"=",noTransition:"=",noPause:"=",noWrap:"&"}}}).directive("uibSlide",function(){return{require:"^uibCarousel",transclude:!0,replace:!0,templateUrl:function(e,t){return t.templateUrl||"uib/template/carousel/slide.html"},scope:{actual:"=?",index:"=?"},link:function(e,t,n,r){r.addSlide(e,t),e.$on("$destroy",function(){r.removeSlide(e)})}}}).animation(".item",["$animateCss",function(e){function t(e,t,n){e.removeClass(t),n&&n()}var n="uib-slideDirection";return{beforeAddClass:function(r,i,a){if("active"===i){var o=!1,s=r.data(n),l="next"===s?"left":"right",u=t.bind(this,r,l+" "+s,a);return r.addClass(s),e(r,{addClass:l}).start().done(u),function(){o=!0}}a()},beforeRemoveClass:function(r,i,a){if("active"===i){var o=!1,s=r.data(n),l="next"===s?"left":"right",u=t.bind(this,r,l,a);return e(r,{addClass:l}).start().done(u),function(){o=!0}}a()}}}]),angular.module("ui.bootstrap.dateparser",[]).service("uibDateParser",["$log","$locale","dateFilter","orderByFilter",function(e,t,n,r){function i(e,t){var n=[],i=e.split(""),a=e.indexOf("'");if(a>-1){var o=!1;e=e.split("");for(var s=a;s<e.length;s++)o?("'"===e[s]&&(s+1<e.length&&"'"===e[s+1]?(e[s+1]="$",i[s+1]=""):(i[s]="",o=!1)),e[s]="$"):"'"===e[s]&&(e[s]="$",i[s]="",o=!0);e=e.join("")}return angular.forEach(f,function(r){var a=e.indexOf(r.key);if(a>-1){e=e.split(""),i[a]="("+r.regex+")",e[a]="$";for(var o=a+1,s=a+r.key.length;o<s;o++)i[o]="",e[o]="$";e=e.join(""),n.push({index:a,key:r.key,apply:r[t],matcher:r.regex})}}),{regex:new RegExp("^"+i.join("")+"$"),map:r(n,"index")}}function a(e,t,n){return!(n<1)&&(1===t&&n>28?29===n&&(e%4==0&&e%100!=0||e%400==0):3!==t&&5!==t&&8!==t&&10!==t||n<31)}function o(e){return parseInt(e,10)}function s(e,t){return e&&t?p(e,t):e}function l(e,t){return e&&t?p(e,t,!0):e}function u(e,t){e=e.replace(/:/g,"");var n=Date.parse("Jan 01, 1970 00:00:00 "+e)/6e4;return isNaN(n)?t:n}function c(e,t){return e=new Date(e.getTime()),e.setMinutes(e.getMinutes()+t),e}function p(e,t,n){n=n?-1:1;var r=e.getTimezoneOffset();return c(e,n*(u(t,r)-r))}var d,f,h=/[\\\^\$\*\+\?\|\[\]\(\)\.\{\}]/g;this.init=function(){d=t.id,this.parsers={},this.formatters={},f=[{key:"yyyy",regex:"\\d{4}",apply:function(e){this.year=+e},formatter:function(e){var t=new Date;return t.setFullYear(Math.abs(e.getFullYear())),n(t,"yyyy")}},{key:"yy",regex:"\\d{2}",apply:function(e){e=+e,this.year=e<69?e+2e3:e+1900},formatter:function(e){var t=new Date;return t.setFullYear(Math.abs(e.getFullYear())),n(t,"yy")}},{key:"y",regex:"\\d{1,4}",apply:function(e){this.year=+e},formatter:function(e){var t=new Date;return t.setFullYear(Math.abs(e.getFullYear())),n(t,"y")}},{key:"M!",regex:"0?[1-9]|1[0-2]",apply:function(e){this.month=e-1},formatter:function(e){return/^[0-9]$/.test(e.getMonth())?n(e,"MM"):n(e,"M")}},{key:"MMMM",regex:t.DATETIME_FORMATS.MONTH.join("|"),apply:function(e){this.month=t.DATETIME_FORMATS.MONTH.indexOf(e)},formatter:function(e){return n(e,"MMMM")}},{key:"MMM",regex:t.DATETIME_FORMATS.SHORTMONTH.join("|"),apply:function(e){this.month=t.DATETIME_FORMATS.SHORTMONTH.indexOf(e)},formatter:function(e){return n(e,"MMM")}},{key:"MM",regex:"0[1-9]|1[0-2]",apply:function(e){this.month=e-1},formatter:function(e){return n(e,"MM")}},{key:"M",regex:"[1-9]|1[0-2]",apply:function(e){this.month=e-1},formatter:function(e){return n(e,"M")}},{key:"d!",regex:"[0-2]?[0-9]{1}|3[0-1]{1}",apply:function(e){this.date=+e},formatter:function(e){return/^[1-9]$/.test(e.getDate())?n(e,"dd"):n(e,"d")}},{key:"dd",regex:"[0-2][0-9]{1}|3[0-1]{1}",apply:function(e){this.date=+e},formatter:function(e){return n(e,"dd")}},{key:"d",regex:"[1-2]?[0-9]{1}|3[0-1]{1}",apply:function(e){this.date=+e},formatter:function(e){return n(e,"d")}},{key:"EEEE",regex:t.DATETIME_FORMATS.DAY.join("|"),formatter:function(e){return n(e,"EEEE")}},{key:"EEE",regex:t.DATETIME_FORMATS.SHORTDAY.join("|"),formatter:function(e){return n(e,"EEE")}},{key:"HH",regex:"(?:0|1)[0-9]|2[0-3]",apply:function(e){this.hours=+e},formatter:function(e){return n(e,"HH")}},{key:"hh",regex:"0[0-9]|1[0-2]",apply:function(e){this.hours=+e},formatter:function(e){return n(e,"hh")}},{key:"H",regex:"1?[0-9]|2[0-3]",apply:function(e){this.hours=+e},formatter:function(e){return n(e,"H")}},{key:"h",regex:"[0-9]|1[0-2]",apply:function(e){this.hours=+e},formatter:function(e){return n(e,"h")}},{key:"mm",regex:"[0-5][0-9]",apply:function(e){this.minutes=+e},formatter:function(e){return n(e,"mm")}},{key:"m",regex:"[0-9]|[1-5][0-9]",apply:function(e){this.minutes=+e},formatter:function(e){return n(e,"m")}},{key:"sss",regex:"[0-9][0-9][0-9]",apply:function(e){this.milliseconds=+e},formatter:function(e){return n(e,"sss")}},{key:"ss",regex:"[0-5][0-9]",apply:function(e){this.seconds=+e},formatter:function(e){return n(e,"ss")}},{key:"s",regex:"[0-9]|[1-5][0-9]",apply:function(e){this.seconds=+e},formatter:function(e){return n(e,"s")}},{key:"a",regex:t.DATETIME_FORMATS.AMPMS.join("|"),apply:function(e){12===this.hours&&(this.hours=0),"PM"===e&&(this.hours+=12)},formatter:function(e){return n(e,"a")}},{key:"Z",regex:"[+-]\\d{4}",apply:function(e){var t=e.match(/([+-])(\d{2})(\d{2})/),n=t[1],r=t[2],i=t[3];this.hours+=o(n+r),this.minutes+=o(n+i)},formatter:function(e){return n(e,"Z")}},{key:"ww",regex:"[0-4][0-9]|5[0-3]",formatter:function(e){return n(e,"ww")}},{key:"w",regex:"[0-9]|[1-4][0-9]|5[0-3]",formatter:function(e){return n(e,"w")}},{key:"GGGG",regex:t.DATETIME_FORMATS.ERANAMES.join("|").replace(/\s/g,"\\s"),formatter:function(e){return n(e,"GGGG")}},{key:"GGG",regex:t.DATETIME_FORMATS.ERAS.join("|"),formatter:function(e){return n(e,"GGG")}},{key:"GG",regex:t.DATETIME_FORMATS.ERAS.join("|"),formatter:function(e){return n(e,"GG")}},{key:"G",regex:t.DATETIME_FORMATS.ERAS.join("|"),formatter:function(e){return n(e,"G")}}]},this.init(),this.filter=function(e,n){if(!angular.isDate(e)||isNaN(e)||!n)return"";n=t.DATETIME_FORMATS[n]||n,t.id!==d&&this.init(),this.formatters[n]||(this.formatters[n]=i(n,"formatter"));var r=this.formatters[n],a=r.map,o=n;return a.reduce(function(t,n,r){var i=o.match(new RegExp("(.*)"+n.key));i&&angular.isString(i[1])&&(t+=i[1],o=o.replace(i[1]+n.key,""));var s=r===a.length-1?o:"";return n.apply?t+n.apply.call(null,e)+s:t+s},"")},this.parse=function(n,r,o){if(!angular.isString(n)||!r)return n;r=t.DATETIME_FORMATS[r]||r,r=r.replace(h,"\\$&"),t.id!==d&&this.init(),this.parsers[r]||(this.parsers[r]=i(r,"apply"));var s=this.parsers[r],l=s.regex,u=s.map,c=n.match(l),p=!1;if(c&&c.length){var f,m;angular.isDate(o)&&!isNaN(o.getTime())?f={year:o.getFullYear(),month:o.getMonth(),date:o.getDate(),hours:o.getHours(),minutes:o.getMinutes(),seconds:o.getSeconds(),milliseconds:o.getMilliseconds()}:(o&&e.warn("dateparser:","baseDate is not a valid date"),f={year:1900,month:0,date:1,hours:0,minutes:0,seconds:0,milliseconds:0});for(var g=1,v=c.length;g<v;g++){var b=u[g-1];"Z"===b.matcher&&(p=!0),b.apply&&b.apply.call(f,c[g])}var $=p?Date.prototype.setUTCFullYear:Date.prototype.setFullYear,y=p?Date.prototype.setUTCHours:Date.prototype.setHours;return a(f.year,f.month,f.date)&&(!angular.isDate(o)||isNaN(o.getTime())||p?(m=new Date(0),$.call(m,f.year,f.month,f.date),y.call(m,f.hours||0,f.minutes||0,f.seconds||0,f.milliseconds||0)):(m=new Date(o),$.call(m,f.year,f.month,f.date),y.call(m,f.hours,f.minutes,f.seconds,f.milliseconds))),m}},this.toTimezone=s,this.fromTimezone=l,this.timezoneToOffset=u,this.addDateMinutes=c,this.convertTimezoneToLocal=p}]),angular.module("ui.bootstrap.isClass",[]).directive("uibIsClass",["$animate",function(e){var t=/^\s*([\s\S]+?)\s+on\s+([\s\S]+?)\s*$/,n=/^\s*([\s\S]+?)\s+for\s+([\s\S]+?)\s*$/;return{restrict:"A",compile:function(r,i){function a(e,t,n){l.push(e),u.push({scope:e,element:t}),h.forEach(function(t,n){o(t,e)}),e.$on("$destroy",s)}function o(t,r){var i=t.match(n),a=r.$eval(i[1]),o=i[2],s=c[t];if(!s){var l=function(t){var n=null;u.some(function(e){if(e.scope.$eval(d)===t)return n=e,!0}),s.lastActivated!==n&&(s.lastActivated&&e.removeClass(s.lastActivated.element,a),n&&e.addClass(n.element,a),s.lastActivated=n)};c[t]=s={lastActivated:null,scope:r,watchFn:l,compareWithExp:o,watcher:r.$watch(o,l)}}s.watchFn(r.$eval(o))}function s(e){var t=e.targetScope,n=l.indexOf(t);if(l.splice(n,1),u.splice(n,1),l.length){var r=l[0];angular.forEach(c,function(e){e.scope===t&&(e.watcher=r.$watch(e.compareWithExp,e.watchFn),e.scope=r)})}else c={}}var l=[],u=[],c={},p=i.uibIsClass.match(t),d=p[2],f=p[1],h=f.split(",");return a}}}]),angular.module("ui.bootstrap.datepicker",["ui.bootstrap.dateparser","ui.bootstrap.isClass"]).value("$datepickerSuppressError",!1).value("$datepickerLiteralWarning",!0).constant("uibDatepickerConfig",{datepickerMode:"day",formatDay:"dd",formatMonth:"MMMM",formatYear:"yyyy",formatDayHeader:"EEE",formatDayTitle:"MMMM yyyy",formatMonthTitle:"yyyy",maxDate:null,maxMode:"year",minDate:null,minMode:"day",ngModelOptions:{},shortcutPropagation:!1,showWeeks:!0,yearColumns:5,yearRows:4}).controller("UibDatepickerController",["$scope","$attrs","$parse","$interpolate","$locale","$log","dateFilter","uibDatepickerConfig","$datepickerLiteralWarning","$datepickerSuppressError","uibDateParser",function(e,t,n,r,i,a,o,s,l,u,c){function p(t){e.datepickerMode=t,e.datepickerOptions.datepickerMode=t}var d=this,f={$setViewValue:angular.noop},h={},m=[];t.datepickerOptions;e.datepickerOptions||(e.datepickerOptions={}),this.modes=["day","month","year"],["customClass","dateDisabled","datepickerMode","formatDay","formatDayHeader","formatDayTitle","formatMonth","formatMonthTitle","formatYear","maxDate","maxMode","minDate","minMode","showWeeks","shortcutPropagation","startingDay","yearColumns","yearRows"].forEach(function(t){switch(t){case"customClass":case"dateDisabled":e[t]=e.datepickerOptions[t]||angular.noop;break;case"datepickerMode":e.datepickerMode=angular.isDefined(e.datepickerOptions.datepickerMode)?e.datepickerOptions.datepickerMode:s.datepickerMode;break;case"formatDay":case"formatDayHeader":case"formatDayTitle":case"formatMonth":case"formatMonthTitle":case"formatYear":d[t]=angular.isDefined(e.datepickerOptions[t])?r(e.datepickerOptions[t])(e.$parent):s[t];break;case"showWeeks":case"shortcutPropagation":case"yearColumns":case"yearRows":d[t]=angular.isDefined(e.datepickerOptions[t])?e.datepickerOptions[t]:s[t];break;case"startingDay":angular.isDefined(e.datepickerOptions.startingDay)?d.startingDay=e.datepickerOptions.startingDay:angular.isNumber(s.startingDay)?d.startingDay=s.startingDay:d.startingDay=(i.DATETIME_FORMATS.FIRSTDAYOFWEEK+8)%7;break;case"maxDate":case"minDate":e.$watch("datepickerOptions."+t,function(e){e?angular.isDate(e)?d[t]=c.fromTimezone(new Date(e),h.timezone):(l&&a.warn("Literal date support has been deprecated, please switch to date object usage"),d[t]=new Date(o(e,"medium"))):d[t]=s[t]?c.fromTimezone(new Date(s[t]),h.timezone):null,d.refreshView()});break;case"maxMode":case"minMode":e.datepickerOptions[t]?e.$watch(function(){return e.datepickerOptions[t]},function(n){d[t]=e[t]=angular.isDefined(n)?n:datepickerOptions[t],("minMode"===t&&d.modes.indexOf(e.datepickerOptions.datepickerMode)<d.modes.indexOf(d[t])||"maxMode"===t&&d.modes.indexOf(e.datepickerOptions.datepickerMode)>d.modes.indexOf(d[t]))&&(e.datepickerMode=d[t],e.datepickerOptions.datepickerMode=d[t])}):d[t]=e[t]=s[t]||null}}),e.uniqueId="datepicker-"+e.$id+"-"+Math.floor(1e4*Math.random()),e.disabled=angular.isDefined(t.disabled)||!1,angular.isDefined(t.ngDisabled)&&m.push(e.$parent.$watch(t.ngDisabled,function(t){e.disabled=t,d.refreshView()})),e.isActive=function(t){return 0===d.compare(t.date,d.activeDate)&&(e.activeDateId=t.uid,!0)},this.init=function(t){f=t,h=t.$options||s.ngModelOptions,e.datepickerOptions.initDate?(d.activeDate=c.fromTimezone(e.datepickerOptions.initDate,h.timezone)||new Date,e.$watch("datepickerOptions.initDate",function(e){e&&(f.$isEmpty(f.$modelValue)||f.$invalid)&&(d.activeDate=c.fromTimezone(e,h.timezone),d.refreshView())})):d.activeDate=new Date;var n=f.$modelValue?new Date(f.$modelValue):new Date;this.activeDate=isNaN(n)?c.fromTimezone(new Date,h.timezone):c.fromTimezone(n,h.timezone),f.$render=function(){d.render()}},this.render=function(){if(f.$viewValue){var e=new Date(f.$viewValue);!isNaN(e)?this.activeDate=c.fromTimezone(e,h.timezone):u||a.error('Datepicker directive: "ng-model" value must be a Date object')}this.refreshView()},this.refreshView=function(){if(this.element){e.selectedDt=null,this._refreshView(),e.activeDt&&(e.activeDateId=e.activeDt.uid);var t=f.$viewValue?new Date(f.$viewValue):null;t=c.fromTimezone(t,h.timezone),f.$setValidity("dateDisabled",!t||this.element&&!this.isDisabled(t))}},this.createDateObject=function(t,n){var r=f.$viewValue?new Date(f.$viewValue):null;r=c.fromTimezone(r,h.timezone);var i=new Date;i=c.fromTimezone(i,h.timezone);var a=this.compare(t,i),o={date:t,label:c.filter(t,n),selected:r&&0===this.compare(t,r),disabled:this.isDisabled(t),past:a<0,current:0===a,future:a>0,customClass:this.customClass(t)||null};return r&&0===this.compare(t,r)&&(e.selectedDt=o),d.activeDate&&0===this.compare(o.date,d.activeDate)&&(e.activeDt=o),o},this.isDisabled=function(t){return e.disabled||this.minDate&&this.compare(t,this.minDate)<0||this.maxDate&&this.compare(t,this.maxDate)>0||e.dateDisabled&&e.dateDisabled({date:t,mode:e.datepickerMode})},this.customClass=function(t){return e.customClass({date:t,mode:e.datepickerMode})},this.split=function(e,t){for(var n=[];e.length>0;)n.push(e.splice(0,t));return n},e.select=function(t){if(e.datepickerMode===d.minMode){var n=f.$viewValue?c.fromTimezone(new Date(f.$viewValue),h.timezone):new Date(0,0,0,0,0,0,0);n.setFullYear(t.getFullYear(),t.getMonth(),t.getDate()),n=c.toTimezone(n,h.timezone),f.$setViewValue(n),f.$render()}else d.activeDate=t,p(d.modes[d.modes.indexOf(e.datepickerMode)-1]),e.$emit("uib:datepicker.mode");e.$broadcast("uib:datepicker.focus")},e.move=function(e){var t=d.activeDate.getFullYear()+e*(d.step.years||0),n=d.activeDate.getMonth()+e*(d.step.months||0);d.activeDate.setFullYear(t,n,1),d.refreshView()},e.toggleMode=function(t){t=t||1,e.datepickerMode===d.maxMode&&1===t||e.datepickerMode===d.minMode&&-1===t||(p(d.modes[d.modes.indexOf(e.datepickerMode)+t]),e.$emit("uib:datepicker.mode"))},e.keys={13:"enter",32:"space",33:"pageup",34:"pagedown",35:"end",36:"home",37:"left",38:"up",39:"right",40:"down"};var g=function(){d.element[0].focus()};e.$on("uib:datepicker.focus",g),e.keydown=function(t){var n=e.keys[t.which];if(n&&!t.shiftKey&&!t.altKey&&!e.disabled)if(t.preventDefault(),d.shortcutPropagation||t.stopPropagation(),"enter"===n||"space"===n){if(d.isDisabled(d.activeDate))return;e.select(d.activeDate)}else!t.ctrlKey||"up"!==n&&"down"!==n?(d.handleKeyDown(n,t),d.refreshView()):e.toggleMode("up"===n?1:-1)},e.$on("$destroy",function(){for(;m.length;)m.shift()()})}]).controller("UibDaypickerController",["$scope","$element","dateFilter",function(e,t,n){function r(e,t){return 1!==t||e%4!=0||e%100==0&&e%400!=0?a[t]:29}function i(e){var t=new Date(e);t.setDate(t.getDate()+4-(t.getDay()||7));var n=t.getTime();return t.setMonth(0),t.setDate(1),Math.floor(Math.round((n-t)/864e5)/7)+1}var a=[31,28,31,30,31,30,31,31,30,31,30,31];this.step={months:1},this.element=t,this.init=function(t){angular.extend(t,this),e.showWeeks=t.showWeeks,t.refreshView()},this.getDates=function(e,t){for(var n,r=new Array(t),i=new Date(e),a=0;a<t;)n=new Date(i),r[a++]=n,i.setDate(i.getDate()+1);return r},this._refreshView=function(){var t=this.activeDate.getFullYear(),r=this.activeDate.getMonth(),a=new Date(this.activeDate);a.setFullYear(t,r,1);var o=this.startingDay-a.getDay(),s=o>0?7-o:-o,l=new Date(a);s>0&&l.setDate(1-s);for(var u=this.getDates(l,42),c=0;c<42;c++)u[c]=angular.extend(this.createDateObject(u[c],this.formatDay),{secondary:u[c].getMonth()!==r,uid:e.uniqueId+"-"+c});e.labels=new Array(7);for(var p=0;p<7;p++)e.labels[p]={abbr:n(u[p].date,this.formatDayHeader),full:n(u[p].date,"EEEE")};if(e.title=n(this.activeDate,this.formatDayTitle),e.rows=this.split(u,7),e.showWeeks){e.weekNumbers=[];for(var d=(11-this.startingDay)%7,f=e.rows.length,h=0;h<f;h++)e.weekNumbers.push(i(e.rows[h][d].date))}},this.compare=function(e,t){var n=new Date(e.getFullYear(),e.getMonth(),e.getDate()),r=new Date(t.getFullYear(),t.getMonth(),t.getDate());return n.setFullYear(e.getFullYear()),r.setFullYear(t.getFullYear()),n-r},this.handleKeyDown=function(e,t){var n=this.activeDate.getDate();if("left"===e)n-=1;else if("up"===e)n-=7;else if("right"===e)n+=1;else if("down"===e)n+=7;else if("pageup"===e||"pagedown"===e){var i=this.activeDate.getMonth()+("pageup"===e?-1:1);this.activeDate.setMonth(i,1),n=Math.min(r(this.activeDate.getFullYear(),this.activeDate.getMonth()),n)}else"home"===e?n=1:"end"===e&&(n=r(this.activeDate.getFullYear(),this.activeDate.getMonth()));this.activeDate.setDate(n)}}]).controller("UibMonthpickerController",["$scope","$element","dateFilter",function(e,t,n){this.step={years:1},this.element=t,this.init=function(e){angular.extend(e,this),e.refreshView()},this._refreshView=function(){for(var t,r=new Array(12),i=this.activeDate.getFullYear(),a=0;a<12;a++)t=new Date(this.activeDate),t.setFullYear(i,a,1),r[a]=angular.extend(this.createDateObject(t,this.formatMonth),{uid:e.uniqueId+"-"+a});e.title=n(this.activeDate,this.formatMonthTitle),e.rows=this.split(r,3)},this.compare=function(e,t){var n=new Date(e.getFullYear(),e.getMonth()),r=new Date(t.getFullYear(),t.getMonth());return n.setFullYear(e.getFullYear()),r.setFullYear(t.getFullYear()),n-r},this.handleKeyDown=function(e,t){var n=this.activeDate.getMonth();if("left"===e)n-=1;else if("up"===e)n-=3;else if("right"===e)n+=1;else if("down"===e)n+=3;else if("pageup"===e||"pagedown"===e){var r=this.activeDate.getFullYear()+("pageup"===e?-1:1);this.activeDate.setFullYear(r)}else"home"===e?n=0:"end"===e&&(n=11);this.activeDate.setMonth(n)}}]).controller("UibYearpickerController",["$scope","$element","dateFilter",function(e,t,n){function r(e){return parseInt((e-1)/a,10)*a+1}var i,a;this.element=t,this.yearpickerInit=function(){i=this.yearColumns,a=this.yearRows*i,this.step={years:a}},this._refreshView=function(){for(var t,n=new Array(a),o=0,s=r(this.activeDate.getFullYear());o<a;o++)t=new Date(this.activeDate),t.setFullYear(s+o,0,1),n[o]=angular.extend(this.createDateObject(t,this.formatYear),{uid:e.uniqueId+"-"+o});e.title=[n[0].label,n[a-1].label].join(" - "),e.rows=this.split(n,i),e.columns=i},this.compare=function(e,t){return e.getFullYear()-t.getFullYear()},this.handleKeyDown=function(e,t){var n=this.activeDate.getFullYear();"left"===e?n-=1:"up"===e?n-=i:"right"===e?n+=1:"down"===e?n+=i:"pageup"===e||"pagedown"===e?n+=("pageup"===e?-1:1)*a:"home"===e?n=r(this.activeDate.getFullYear()):"end"===e&&(n=r(this.activeDate.getFullYear())+a-1),this.activeDate.setFullYear(n)}}]).directive("uibDatepicker",function(){return{replace:!0,templateUrl:function(e,t){return t.templateUrl||"uib/template/datepicker/datepicker.html"},scope:{datepickerOptions:"=?"},require:["uibDatepicker","^ngModel"],controller:"UibDatepickerController",controllerAs:"datepicker",link:function(e,t,n,r){var i=r[0],a=r[1];i.init(a)}}}).directive("uibDaypicker",function(){return{replace:!0,templateUrl:function(e,t){return t.templateUrl||"uib/template/datepicker/day.html"},require:["^uibDatepicker","uibDaypicker"],controller:"UibDaypickerController",link:function(e,t,n,r){var i=r[0];r[1].init(i)}}}).directive("uibMonthpicker",function(){return{replace:!0,templateUrl:function(e,t){return t.templateUrl||"uib/template/datepicker/month.html"},require:["^uibDatepicker","uibMonthpicker"],controller:"UibMonthpickerController",link:function(e,t,n,r){var i=r[0];r[1].init(i)}}}).directive("uibYearpicker",function(){return{replace:!0,templateUrl:function(e,t){return t.templateUrl||"uib/template/datepicker/year.html"},require:["^uibDatepicker","uibYearpicker"],controller:"UibYearpickerController",link:function(e,t,n,r){var i=r[0];angular.extend(i,r[1]),i.yearpickerInit(),i.refreshView()}}}),angular.module("ui.bootstrap.position",[]).factory("$uibPosition",["$document","$window",function(e,t){var n,r,i={normal:/(auto|scroll)/,hidden:/(auto|scroll|hidden)/},a={auto:/\s?auto?\s?/i,primary:/^(top|bottom|left|right)$/,secondary:/^(top|bottom|left|right|center)$/,vertical:/^(top|bottom)$/},o=/(HTML|BODY)/;return{getRawNode:function(e){return e.nodeName?e:e[0]||e},parseStyle:function(e){return e=parseFloat(e),isFinite(e)?e:0},offsetParent:function(n){function r(e){return"static"===(t.getComputedStyle(e).position||"static")}n=this.getRawNode(n);for(var i=n.offsetParent||e[0].documentElement;i&&i!==e[0].documentElement&&r(i);)i=i.offsetParent;return i||e[0].documentElement},scrollbarWidth:function(i){if(i){if(angular.isUndefined(r)){var a=e.find("body");a.addClass("uib-position-body-scrollbar-measure"),r=t.innerWidth-a[0].clientWidth,r=isFinite(r)?r:0,a.removeClass("uib-position-body-scrollbar-measure")}return r}if(angular.isUndefined(n)){var o=angular.element('<div class="uib-position-scrollbar-measure"></div>');e.find("body").append(o),n=o[0].offsetWidth-o[0].clientWidth,n=isFinite(n)?n:0,o.remove()}return n},scrollbarPadding:function(e){e=this.getRawNode(e);var n=t.getComputedStyle(e),r=this.parseStyle(n.paddingRight),i=this.parseStyle(n.paddingBottom),a=this.scrollParent(e,!1,!0),s=this.scrollbarWidth(a,o.test(a.tagName));return{scrollbarWidth:s,widthOverflow:a.scrollWidth>a.clientWidth,right:r+s,originalRight:r,heightOverflow:a.scrollHeight>a.clientHeight,bottom:i+s,originalBottom:i}},isScrollable:function(e,n){e=this.getRawNode(e);var r=n?i.hidden:i.normal,a=t.getComputedStyle(e);return r.test(a.overflow+a.overflowY+a.overflowX)},scrollParent:function(n,r,a){n=this.getRawNode(n);var o=r?i.hidden:i.normal,s=e[0].documentElement,l=t.getComputedStyle(n);if(a&&o.test(l.overflow+l.overflowY+l.overflowX))return n;var u="absolute"===l.position,c=n.parentElement||s;if(c===s||"fixed"===l.position)return s;for(;c.parentElement&&c!==s;){var p=t.getComputedStyle(c);if(u&&"static"!==p.position&&(u=!1),!u&&o.test(p.overflow+p.overflowY+p.overflowX))break;c=c.parentElement}return c},position:function(n,r){n=this.getRawNode(n);var i=this.offset(n);if(r){var a=t.getComputedStyle(n);i.top-=this.parseStyle(a.marginTop),i.left-=this.parseStyle(a.marginLeft)}var o=this.offsetParent(n),s={top:0,left:0};return o!==e[0].documentElement&&(s=this.offset(o),s.top+=o.clientTop-o.scrollTop,s.left+=o.clientLeft-o.scrollLeft),{width:Math.round(angular.isNumber(i.width)?i.width:n.offsetWidth),height:Math.round(angular.isNumber(i.height)?i.height:n.offsetHeight),top:Math.round(i.top-s.top),left:Math.round(i.left-s.left)}},offset:function(n){n=this.getRawNode(n);var r=n.getBoundingClientRect();return{width:Math.round(angular.isNumber(r.width)?r.width:n.offsetWidth),height:Math.round(angular.isNumber(r.height)?r.height:n.offsetHeight),top:Math.round(r.top+(t.pageYOffset||e[0].documentElement.scrollTop)),left:Math.round(r.left+(t.pageXOffset||e[0].documentElement.scrollLeft))}},viewportOffset:function(n,r,i){n=this.getRawNode(n),i=!1!==i;var a=n.getBoundingClientRect(),o={top:0,left:0,bottom:0,right:0},s=r?e[0].documentElement:this.scrollParent(n),l=s.getBoundingClientRect();if(o.top=l.top+s.clientTop,o.left=l.left+s.clientLeft,s===e[0].documentElement&&(o.top+=t.pageYOffset,o.left+=t.pageXOffset),o.bottom=o.top+s.clientHeight,o.right=o.left+s.clientWidth,i){var u=t.getComputedStyle(s);o.top+=this.parseStyle(u.paddingTop),o.bottom-=this.parseStyle(u.paddingBottom),o.left+=this.parseStyle(u.paddingLeft),o.right-=this.parseStyle(u.paddingRight)}return{top:Math.round(a.top-o.top),bottom:Math.round(o.bottom-a.bottom),left:Math.round(a.left-o.left),right:Math.round(o.right-a.right)}},parsePlacement:function(e){var t=a.auto.test(e);return t&&(e=e.replace(a.auto,"")),e=e.split("-"),e[0]=e[0]||"top",a.primary.test(e[0])||(e[0]="top"),e[1]=e[1]||"center",a.secondary.test(e[1])||(e[1]="center"),e[2]=!!t,e},positionElements:function(e,n,r,i){e=this.getRawNode(e),n=this.getRawNode(n);var o=angular.isDefined(n.offsetWidth)?n.offsetWidth:n.prop("offsetWidth"),s=angular.isDefined(n.offsetHeight)?n.offsetHeight:n.prop("offsetHeight");r=this.parsePlacement(r);var l=i?this.offset(e):this.position(e),u={top:0,left:0,placement:""};if(r[2]){var c=this.viewportOffset(e,i),p=t.getComputedStyle(n),d={width:o+Math.round(Math.abs(this.parseStyle(p.marginLeft)+this.parseStyle(p.marginRight))),height:s+Math.round(Math.abs(this.parseStyle(p.marginTop)+this.parseStyle(p.marginBottom)))};if(r[0]="top"===r[0]&&d.height>c.top&&d.height<=c.bottom?"bottom":"bottom"===r[0]&&d.height>c.bottom&&d.height<=c.top?"top":"left"===r[0]&&d.width>c.left&&d.width<=c.right?"right":"right"===r[0]&&d.width>c.right&&d.width<=c.left?"left":r[0],r[1]="top"===r[1]&&d.height-l.height>c.bottom&&d.height-l.height<=c.top?"bottom":"bottom"===r[1]&&d.height-l.height>c.top&&d.height-l.height<=c.bottom?"top":"left"===r[1]&&d.width-l.width>c.right&&d.width-l.width<=c.left?"right":"right"===r[1]&&d.width-l.width>c.left&&d.width-l.width<=c.right?"left":r[1],"center"===r[1])if(a.vertical.test(r[0])){var f=l.width/2-o/2;c.left+f<0&&d.width-l.width<=c.right?r[1]="left":c.right+f<0&&d.width-l.width<=c.left&&(r[1]="right")}else{var h=l.height/2-d.height/2;c.top+h<0&&d.height-l.height<=c.bottom?r[1]="top":c.bottom+h<0&&d.height-l.height<=c.top&&(r[1]="bottom")}}switch(r[0]){case"top":u.top=l.top-s;break;case"bottom":u.top=l.top+l.height;break;case"left":u.left=l.left-o;break;case"right":u.left=l.left+l.width}switch(r[1]){case"top":u.top=l.top;break;case"bottom":u.top=l.top+l.height-s;break;case"left":u.left=l.left;break;case"right":u.left=l.left+l.width-o;break;case"center":a.vertical.test(r[0])?u.left=l.left+l.width/2-o/2:u.top=l.top+l.height/2-s/2}return u.top=Math.round(u.top),u.left=Math.round(u.left),u.placement="center"===r[1]?r[0]:r[0]+"-"+r[1],u},positionArrow:function(e,n){e=this.getRawNode(e);var r=e.querySelector(".tooltip-inner, .popover-inner");if(r){var i=angular.element(r).hasClass("tooltip-inner"),o=i?e.querySelector(".tooltip-arrow"):e.querySelector(".arrow");if(o){var s={top:"",bottom:"",left:"",right:""};if(n=this.parsePlacement(n),"center"===n[1])return void angular.element(o).css(s);var l="border-"+n[0]+"-width",u=t.getComputedStyle(o)[l],c="border-";a.vertical.test(n[0])?c+=n[0]+"-"+n[1]:c+=n[1]+"-"+n[0],c+="-radius";var p=t.getComputedStyle(i?r:e)[c];switch(n[0]){case"top":s.bottom=i?"0":"-"+u;break;case"bottom":s.top=i?"0":"-"+u;break;case"left":s.right=i?"0":"-"+u;break;case"right":s.left=i?"0":"-"+u}s[n[1]]=p,angular.element(o).css(s)}}}}}]),angular.module("ui.bootstrap.datepickerPopup",["ui.bootstrap.datepicker","ui.bootstrap.position"]).value("$datepickerPopupLiteralWarning",!0).constant("uibDatepickerPopupConfig",{altInputFormats:[],appendToBody:!1,clearText:"Clear",closeOnDateSelection:!0,closeText:"Done",currentText:"Today",datepickerPopup:"yyyy-MM-dd",datepickerPopupTemplateUrl:"uib/template/datepickerPopup/popup.html",datepickerTemplateUrl:"uib/template/datepicker/datepicker.html",html5Types:{date:"yyyy-MM-dd","datetime-local":"yyyy-MM-ddTHH:mm:ss.sss",month:"yyyy-MM"},onOpenFocus:!0,showButtonBar:!0,placement:"auto bottom-left"}).controller("UibDatepickerPopupController",["$scope","$element","$attrs","$compile","$log","$parse","$window","$document","$rootScope","$uibPosition","dateFilter","uibDateParser","uibDatepickerPopupConfig","$timeout","uibDatepickerConfig","$datepickerPopupLiteralWarning",function(e,t,n,r,i,a,o,s,l,u,c,p,d,f,h,m){function g(t){var n=p.parse(t,M,e.date);if(isNaN(n))for(var r=0;r<N.length;r++)if(n=p.parse(t,N[r],e.date),!isNaN(n))return n;return n}function v(e){if(angular.isNumber(e)&&(e=new Date(e)),!e)return null;if(angular.isDate(e)&&!isNaN(e))return e;if(angular.isString(e)){var t=g(e);if(!isNaN(t))return p.toTimezone(t,L)}return A.$options&&A.$options.allowInvalid?e:void 0}function b(e,t){var r=e||t;return!n.ngRequired&&!r||(angular.isNumber(r)&&(r=new Date(r)),!r||(!(!angular.isDate(r)||isNaN(r))||!!angular.isString(r)&&!isNaN(g(t))))}function $(n){if(e.isOpen||!e.disabled){var r=I[0],i=t[0].contains(n.target),a=void 0!==r.contains&&r.contains(n.target);!e.isOpen||i||a||e.$apply(function(){e.isOpen=!1})}}function y(n){27===n.which&&e.isOpen?(n.preventDefault(),n.stopPropagation(),e.$apply(function(){e.isOpen=!1}),t[0].focus()):40!==n.which||e.isOpen||(n.preventDefault(),n.stopPropagation(),e.$apply(function(){e.isOpen=!0}))}function w(){if(e.isOpen){var r=angular.element(I[0].querySelector(".uib-datepicker-popup")),i=n.popupPlacement?n.popupPlacement:d.placement,a=u.positionElements(t,r,i,E);r.css({top:a.top+"px",left:a.left+"px"}),r.hasClass("uib-position-measure")&&r.removeClass("uib-position-measure")}}var M,k,E,C,x,D,S,T,O,A,P,I,N,L,U=!1,F=[];this.init=function(i){if(A=i,P=i.$options,k=angular.isDefined(n.closeOnDateSelection)?e.$parent.$eval(n.closeOnDateSelection):d.closeOnDateSelection,E=angular.isDefined(n.datepickerAppendToBody)?e.$parent.$eval(n.datepickerAppendToBody):d.appendToBody,C=angular.isDefined(n.onOpenFocus)?e.$parent.$eval(n.onOpenFocus):d.onOpenFocus,x=angular.isDefined(n.datepickerPopupTemplateUrl)?n.datepickerPopupTemplateUrl:d.datepickerPopupTemplateUrl,D=angular.isDefined(n.datepickerTemplateUrl)?n.datepickerTemplateUrl:d.datepickerTemplateUrl,N=angular.isDefined(n.altInputFormats)?e.$parent.$eval(n.altInputFormats):d.altInputFormats,e.showButtonBar=angular.isDefined(n.showButtonBar)?e.$parent.$eval(n.showButtonBar):d.showButtonBar,d.html5Types[n.type]?(M=d.html5Types[n.type],U=!0):(M=n.uibDatepickerPopup||d.datepickerPopup,n.$observe("uibDatepickerPopup",function(e,t){var n=e||d.datepickerPopup;if(n!==M&&(M=n,A.$modelValue=null,!M))throw new Error("uibDatepickerPopup must have a date format specified.")})),!M)throw new Error("uibDatepickerPopup must have a date format specified.");if(U&&n.uibDatepickerPopup)throw new Error("HTML5 date input types do not support custom formats.");S=angular.element("<div uib-datepicker-popup-wrap><div uib-datepicker></div></div>"),P?(L=P.timezone,e.ngModelOptions=angular.copy(P),e.ngModelOptions.timezone=null,!0===e.ngModelOptions.updateOnDefault&&(e.ngModelOptions.updateOn=e.ngModelOptions.updateOn?e.ngModelOptions.updateOn+" default":"default"),S.attr("ng-model-options","ngModelOptions")):L=null,S.attr({"ng-model":"date","ng-change":"dateSelection(date)","template-url":x}),T=angular.element(S.children()[0]),T.attr("template-url",D),e.datepickerOptions||(e.datepickerOptions={}),U&&"month"===n.type&&(e.datepickerOptions.datepickerMode="month",e.datepickerOptions.minMode="month"),T.attr("datepicker-options","datepickerOptions"),U?A.$formatters.push(function(t){return e.date=p.fromTimezone(t,L),t}):(A.$$parserName="date",A.$validators.date=b,A.$parsers.unshift(v),A.$formatters.push(function(t){return A.$isEmpty(t)?(e.date=t,t):(angular.isNumber(t)&&(t=new Date(t)),e.date=p.fromTimezone(t,L),p.filter(e.date,M))})),A.$viewChangeListeners.push(function(){e.date=g(A.$viewValue)}),t.on("keydown",y),I=r(S)(e),S.remove(),E?s.find("body").append(I):t.after(I),e.$on("$destroy",function(){for(!0===e.isOpen&&(l.$$phase||e.$apply(function(){e.isOpen=!1})),I.remove(),t.off("keydown",y),s.off("click",$),O&&O.off("scroll",w),angular.element(o).off("resize",w);F.length;)F.shift()()})},e.getText=function(t){return e[t+"Text"]||d[t+"Text"]},e.isDisabled=function(t){"today"===t&&(t=p.fromTimezone(new Date,L));var n={};return angular.forEach(["minDate","maxDate"],function(t){e.datepickerOptions[t]?angular.isDate(e.datepickerOptions[t])?n[t]=p.fromTimezone(new Date(e.datepickerOptions[t]),L):(m&&i.warn("Literal date support has been deprecated, please switch to date object usage"),n[t]=new Date(c(e.datepickerOptions[t],"medium"))):n[t]=null}),e.datepickerOptions&&n.minDate&&e.compare(t,n.minDate)<0||n.maxDate&&e.compare(t,n.maxDate)>0},e.compare=function(e,t){return new Date(e.getFullYear(),e.getMonth(),e.getDate())-new Date(t.getFullYear(),t.getMonth(),t.getDate())},e.dateSelection=function(n){angular.isDefined(n)&&(e.date=n);var r=e.date?p.filter(e.date,M):null;t.val(r),A.$setViewValue(r),k&&(e.isOpen=!1,t[0].focus())},e.keydown=function(n){27===n.which&&(n.stopPropagation(),e.isOpen=!1,t[0].focus())},e.select=function(t,n){if(n.stopPropagation(),"today"===t){var r=new Date;angular.isDate(e.date)?(t=new Date(e.date),t.setFullYear(r.getFullYear(),r.getMonth(),r.getDate())):t=new Date(r.setHours(0,0,0,0))}e.dateSelection(t)},e.close=function(n){n.stopPropagation(),e.isOpen=!1,t[0].focus()},e.disabled=angular.isDefined(n.disabled)||!1,n.ngDisabled&&F.push(e.$parent.$watch(a(n.ngDisabled),function(t){e.disabled=t})),e.$watch("isOpen",function(r){r?e.disabled?e.isOpen=!1:f(function(){w(),C&&e.$broadcast("uib:datepicker.focus"),s.on("click",$);var r=n.popupPlacement?n.popupPlacement:d.placement;E||u.parsePlacement(r)[2]?(O=O||angular.element(u.scrollParent(t)))&&O.on("scroll",w):O=null,angular.element(o).on("resize",w)},0,!1):(s.off("click",$),O&&O.off("scroll",w),angular.element(o).off("resize",w))}),e.$on("uib:datepicker.mode",function(){f(w,0,!1)})}]).directive("uibDatepickerPopup",function(){return{require:["ngModel","uibDatepickerPopup"],controller:"UibDatepickerPopupController",scope:{datepickerOptions:"=?",isOpen:"=?",currentText:"@",clearText:"@",closeText:"@"},link:function(e,t,n,r){var i=r[0];r[1].init(i)}}}).directive("uibDatepickerPopupWrap",function(){return{replace:!0,transclude:!0,templateUrl:function(e,t){return t.templateUrl||"uib/template/datepickerPopup/popup.html"}}}),angular.module("ui.bootstrap.debounce",[]).factory("$$debounce",["$timeout",function(e){return function(t,n){var r;return function(){var i=this,a=Array.prototype.slice.call(arguments);r&&e.cancel(r),r=e(function(){t.apply(i,a)},n)}}}]),angular.module("ui.bootstrap.dropdown",["ui.bootstrap.position"]).constant("uibDropdownConfig",{appendToOpenClass:"uib-dropdown-open",openClass:"open"}).service("uibDropdownService",["$document","$rootScope",function(e,t){var n=null;this.open=function(t,a){n||(e.on("click",r),a.on("keydown",i)),n&&n!==t&&(n.isOpen=!1),n=t},this.close=function(t,a){n===t&&(n=null,e.off("click",r),a.off("keydown",i))};var r=function(e){if(n&&!(e&&"disabled"===n.getAutoClose()||e&&3===e.which)){var r=n.getToggleElement();if(!(e&&r&&r[0].contains(e.target))){var i=n.getDropdownElement();e&&"outsideClick"===n.getAutoClose()&&i&&i[0].contains(e.target)||(n.isOpen=!1,t.$$phase||n.$apply())}}},i=function(e){27===e.which?(e.stopPropagation(),n.focusToggleElement(),r()):n.isKeynavEnabled()&&-1!==[38,40].indexOf(e.which)&&n.isOpen&&(e.preventDefault(),e.stopPropagation(),n.focusDropdownEntry(e.which))}}]).controller("UibDropdownController",["$scope","$element","$attrs","$parse","uibDropdownConfig","uibDropdownService","$animate","$uibPosition","$document","$compile","$templateRequest",function(e,t,n,r,i,a,o,s,l,u,c){var p,d,f=this,h=e.$new(),m=i.appendToOpenClass,g=i.openClass,v=angular.noop,b=n.onToggle?r(n.onToggle):angular.noop,$=!1,y=null,w=!1,M=l.find("body");t.addClass("dropdown"),this.init=function(){if(n.isOpen&&(d=r(n.isOpen),v=d.assign,e.$watch(d,function(e){h.isOpen=!!e})),angular.isDefined(n.dropdownAppendTo)){var i=r(n.dropdownAppendTo)(h);i&&(y=angular.element(i))}$=angular.isDefined(n.dropdownAppendToBody),w=angular.isDefined(n.keyboardNav),$&&!y&&(y=M),y&&f.dropdownMenu&&(y.append(f.dropdownMenu),t.on("$destroy",function(){f.dropdownMenu.remove()}))},this.toggle=function(e){return h.isOpen=arguments.length?!!e:!h.isOpen,angular.isFunction(v)&&v(h,h.isOpen),h.isOpen},this.isOpen=function(){return h.isOpen},h.getToggleElement=function(){return f.toggleElement},h.getAutoClose=function(){return n.autoClose||"always"},h.getElement=function(){return t},h.isKeynavEnabled=function(){return w},h.focusDropdownEntry=function(e){var n=f.dropdownMenu?angular.element(f.dropdownMenu).find("a"):t.find("ul").eq(0).find("a");switch(e){case 40:angular.isNumber(f.selectedOption)?f.selectedOption=f.selectedOption===n.length-1?f.selectedOption:f.selectedOption+1:f.selectedOption=0;break;case 38:angular.isNumber(f.selectedOption)?f.selectedOption=0===f.selectedOption?0:f.selectedOption-1:f.selectedOption=n.length-1}n[f.selectedOption].focus()},h.getDropdownElement=function(){return f.dropdownMenu},h.focusToggleElement=function(){f.toggleElement&&f.toggleElement[0].focus()},h.$watch("isOpen",function(n,r){if(y&&f.dropdownMenu){var i,l,d,w=s.positionElements(t,f.dropdownMenu,"bottom-left",!0);if(i={top:w.top+"px",display:n?"block":"none"},l=f.dropdownMenu.hasClass("dropdown-menu-right"),l?(i.left="auto",d=s.scrollbarWidth(!0),i.right=window.innerWidth-d-(w.left+t.prop("offsetWidth"))+"px"):(i.left=w.left+"px",i.right="auto"),!$){var M=s.offset(y);i.top=w.top-M.top+"px",l?i.right=window.innerWidth-(w.left-M.left+t.prop("offsetWidth"))+"px":i.left=w.left-M.left+"px"}f.dropdownMenu.css(i)}var k=y||t;if(k.hasClass(y?m:g)===!n&&o[n?"addClass":"removeClass"](k,y?m:g).then(function(){angular.isDefined(n)&&n!==r&&b(e,{open:!!n})}),n)f.dropdownMenuTemplateUrl&&c(f.dropdownMenuTemplateUrl).then(function(e){p=h.$new(),u(e.trim())(p,function(e){var t=e;f.dropdownMenu.replaceWith(t),f.dropdownMenu=t})}),h.focusToggleElement(),a.open(h,t);else{if(f.dropdownMenuTemplateUrl){p&&p.$destroy();var E=angular.element('<ul class="dropdown-menu"></ul>');f.dropdownMenu.replaceWith(E),f.dropdownMenu=E}a.close(h,t),f.selectedOption=null}angular.isFunction(v)&&v(e,n)})}]).directive("uibDropdown",function(){return{controller:"UibDropdownController",link:function(e,t,n,r){r.init()}}}).directive("uibDropdownMenu",function(){return{restrict:"A",require:"?^uibDropdown",link:function(e,t,n,r){if(r&&!angular.isDefined(n.dropdownNested)){t.addClass("dropdown-menu");var i=n.templateUrl;i&&(r.dropdownMenuTemplateUrl=i),r.dropdownMenu||(r.dropdownMenu=t)}}}}).directive("uibDropdownToggle",function(){return{require:"?^uibDropdown",link:function(e,t,n,r){if(r){t.addClass("dropdown-toggle"),r.toggleElement=t;var i=function(i){i.preventDefault(),t.hasClass("disabled")||n.disabled||e.$apply(function(){r.toggle()})};t.bind("click",i),t.attr({"aria-haspopup":!0,"aria-expanded":!1}),e.$watch(r.isOpen,function(e){t.attr("aria-expanded",!!e)}),e.$on("$destroy",function(){t.unbind("click",i)})}}}}),angular.module("ui.bootstrap.stackedMap",[]).factory("$$stackedMap",function(){return{createNew:function(){var e=[];return{add:function(t,n){e.push({key:t,value:n})},get:function(t){for(var n=0;n<e.length;n++)if(t===e[n].key)return e[n]},keys:function(){for(var t=[],n=0;n<e.length;n++)t.push(e[n].key);return t},top:function(){return e[e.length-1]},remove:function(t){for(var n=-1,r=0;r<e.length;r++)if(t===e[r].key){n=r;break}return e.splice(n,1)[0]},removeTop:function(){return e.splice(e.length-1,1)[0]},length:function(){return e.length}}}}}),angular.module("ui.bootstrap.modal",["ui.bootstrap.stackedMap","ui.bootstrap.position"]).factory("$$multiMap",function(){return{createNew:function(){var e={};return{entries:function(){return Object.keys(e).map(function(t){return{key:t,value:e[t]}})},get:function(t){return e[t]},hasKey:function(t){return!!e[t]},keys:function(){return Object.keys(e)},put:function(t,n){e[t]||(e[t]=[]),e[t].push(n)},remove:function(t,n){var r=e[t];if(r){var i=r.indexOf(n);-1!==i&&r.splice(i,1),r.length||delete e[t]}}}}}}).provider("$uibResolve",function(){var e=this;this.resolver=null,this.setResolver=function(e){this.resolver=e},this.$get=["$injector","$q",function(t,n){var r=e.resolver?t.get(e.resolver):null;return{resolve:function(e,i,a,o){if(r)return r.resolve(e,i,a,o);var s=[];return angular.forEach(e,function(e){angular.isFunction(e)||angular.isArray(e)?s.push(n.resolve(t.invoke(e))):angular.isString(e)?s.push(n.resolve(t.get(e))):s.push(n.resolve(e))}),n.all(s).then(function(t){var n={},r=0;return angular.forEach(e,function(e,i){n[i]=t[r++]}),n})}}}]}).directive("uibModalBackdrop",["$animate","$injector","$uibModalStack",function(e,t,n){function r(t,r,i){i.modalInClass&&(e.addClass(r,i.modalInClass),t.$on(n.NOW_CLOSING_EVENT,function(n,a){var o=a();t.modalOptions.animation?e.removeClass(r,i.modalInClass).then(o):o()}))}return{replace:!0,templateUrl:"uib/template/modal/backdrop.html",compile:function(e,t){return e.addClass(t.backdropClass),r}}}]).directive("uibModalWindow",["$uibModalStack","$q","$animateCss","$document",function(e,t,n,r){return{scope:{index:"@"},replace:!0,transclude:!0,templateUrl:function(e,t){return t.templateUrl||"uib/template/modal/window.html"},link:function(i,a,o){a.addClass(o.windowClass||""),a.addClass(o.windowTopClass||""),i.size=o.size,i.close=function(t){var n=e.getTop();n&&n.value.backdrop&&"static"!==n.value.backdrop&&t.target===t.currentTarget&&(t.preventDefault(),t.stopPropagation(),e.dismiss(n.key,"backdrop click"))},a.on("click",i.close),i.$isRendered=!0;var s=t.defer();o.$observe("modalRender",function(e){"true"===e&&s.resolve()}),s.promise.then(function(){var s=null;o.modalInClass&&(s=n(a,{addClass:o.modalInClass}).start(),i.$on(e.NOW_CLOSING_EVENT,function(e,t){var r=t();n(a,{removeClass:o.modalInClass}).start().then(r)})),t.when(s).then(function(){var t=e.getTop();if(t&&e.modalRendered(t.key),!r[0].activeElement||!a[0].contains(r[0].activeElement)){var n=a[0].querySelector("[autofocus]");n?n.focus():a[0].focus()}})})}}}]).directive("uibModalAnimationClass",function(){return{compile:function(e,t){t.modalAnimation&&e.addClass(t.uibModalAnimationClass)}}}).directive("uibModalTransclude",function(){return{link:function(e,t,n,r,i){i(e.$parent,function(e){t.empty(),t.append(e)})}}}).factory("$uibModalStack",["$animate","$animateCss","$document","$compile","$rootScope","$q","$$multiMap","$$stackedMap","$uibPosition",function(e,t,n,r,i,a,o,s,l){function u(e){return!!(e.offsetWidth||e.offsetHeight||e.getClientRects().length)}function c(){for(var e=-1,t=w.keys(),n=0;n<t.length;n++)w.get(t[n]).value.backdrop&&(e=n);return e>-1&&e<E&&(e=E),e}function p(e,t){var n=w.get(e).value,r=n.appendTo;w.remove(e),C=w.top(),C&&(E=parseInt(C.value.modalDomEl.attr("index"),10)),h(n.modalDomEl,n.modalScope,function(){var t=n.openedClass||y;M.remove(t,e);var i=M.hasKey(t);r.toggleClass(t,i),!i&&$&&$.heightOverflow&&$.scrollbarWidth&&($.originalRight?r.css({paddingRight:$.originalRight+"px"}):r.css({paddingRight:""}),$=null),d(!0)},n.closedDeferred),f(),t&&t.focus?t.focus():r.focus&&r.focus()}function d(e){var t;w.length()>0&&(t=w.top().value,t.modalDomEl.toggleClass(t.windowTopClass||"",e))}function f(){if(v&&-1===c()){var e=b;h(v,b,function(){e=null}),v=void 0,b=void 0}}function h(t,n,r,i){function o(){o.done||(o.done=!0,e.leave(t).then(function(){t.remove(),i&&i.resolve()}),n.$destroy(),r&&r())}var s,l=null,u=function(){return s||(s=a.defer(),l=s.promise),function(){s.resolve()}};return n.$broadcast(k.NOW_CLOSING_EVENT,u),a.when(l).then(o)}function m(e){if(e.isDefaultPrevented())return e;var t=w.top();if(t)switch(e.which){case 27:t.value.keyboard&&(e.preventDefault(),i.$apply(function(){k.dismiss(t.key,"escape key press")}));break;case 9:var n=k.loadFocusElementList(t),r=!1;e.shiftKey?(k.isFocusInFirstItem(e,n)||k.isModalFocused(e,t))&&(r=k.focusLastFocusableElement(n)):k.isFocusInLastItem(e,n)&&(r=k.focusFirstFocusableElement(n)),r&&(e.preventDefault(),e.stopPropagation())}}function g(e,t,n){return!e.value.modalScope.$broadcast("modal.closing",t,n).defaultPrevented}var v,b,$,y="modal-open",w=s.createNew(),M=o.createNew(),k={NOW_CLOSING_EVENT:"modal.stack.now-closing"},E=0,C=null,x="a[href], area[href], input:not([disabled]), button:not([disabled]),select:not([disabled]), textarea:not([disabled]), iframe, object, embed, *[tabindex], *[contenteditable=true]";return i.$watch(c,function(e){b&&(b.index=e)}),n.on("keydown",m),i.$on("$destroy",function(){n.off("keydown",m)}),k.open=function(t,a){var o=n[0].activeElement,s=a.openedClass||y;d(!1),C=w.top(),w.add(t,{deferred:a.deferred,renderDeferred:a.renderDeferred,closedDeferred:a.closedDeferred,modalScope:a.scope,backdrop:a.backdrop,keyboard:a.keyboard,openedClass:a.openedClass,windowTopClass:a.windowTopClass,animation:a.animation,appendTo:a.appendTo}),M.put(s,t);var u=a.appendTo,p=c();if(!u.length)throw new Error("appendTo element not found. Make sure that the element passed is in DOM.");p>=0&&!v&&(b=i.$new(!0),b.modalOptions=a,b.index=p,v=angular.element('<div uib-modal-backdrop="modal-backdrop"></div>'),v.attr("backdrop-class",a.backdropClass),a.animation&&v.attr("modal-animation","true"),r(v)(b),e.enter(v,u),$=l.scrollbarPadding(u),$.heightOverflow&&$.scrollbarWidth&&u.css({paddingRight:$.right+"px"})),E=C?parseInt(C.value.modalDomEl.attr("index"),10)+1:0;var f=angular.element('<div uib-modal-window="modal-window"></div>');f.attr({"template-url":a.windowTemplateUrl,"window-class":a.windowClass,"window-top-class":a.windowTopClass,size:a.size,index:E,animate:"animate"}).html(a.content),a.animation&&f.attr("modal-animation","true"),u.addClass(s),e.enter(r(f)(a.scope),u),w.top().value.modalDomEl=f,w.top().value.modalOpener=o},k.close=function(e,t){var n=w.get(e);return n&&g(n,t,!0)?(n.value.modalScope.$$uibDestructionScheduled=!0,n.value.deferred.resolve(t),p(e,n.value.modalOpener),!0):!n},k.dismiss=function(e,t){var n=w.get(e);return n&&g(n,t,!1)?(n.value.modalScope.$$uibDestructionScheduled=!0,n.value.deferred.reject(t),p(e,n.value.modalOpener),!0):!n},k.dismissAll=function(e){for(var t=this.getTop();t&&this.dismiss(t.key,e);)t=this.getTop()},k.getTop=function(){return w.top()},k.modalRendered=function(e){var t=w.get(e);t&&t.value.renderDeferred.resolve()},k.focusFirstFocusableElement=function(e){return e.length>0&&(e[0].focus(),!0)},k.focusLastFocusableElement=function(e){return e.length>0&&(e[e.length-1].focus(),!0)},k.isModalFocused=function(e,t){if(e&&t){var n=t.value.modalDomEl;if(n&&n.length)return(e.target||e.srcElement)===n[0]}return!1},k.isFocusInFirstItem=function(e,t){return t.length>0&&(e.target||e.srcElement)===t[0]},k.isFocusInLastItem=function(e,t){return t.length>0&&(e.target||e.srcElement)===t[t.length-1]},k.loadFocusElementList=function(e){if(e){var t=e.value.modalDomEl;if(t&&t.length){var n=t[0].querySelectorAll(x);return n?Array.prototype.filter.call(n,function(e){return u(e)}):n}}},k}]).provider("$uibModal",function(){var e={options:{animation:!0,backdrop:!0,keyboard:!0},$get:["$rootScope","$q","$document","$templateRequest","$controller","$uibResolve","$uibModalStack",function(t,n,r,i,a,o,s){function l(e){return e.template?n.when(e.template):i(angular.isFunction(e.templateUrl)?e.templateUrl():e.templateUrl)}var u={},c=null;return u.getPromiseChain=function(){return c},u.open=function(i){function u(){return v}var p=n.defer(),d=n.defer(),f=n.defer(),h=n.defer(),m={result:p.promise,opened:d.promise,closed:f.promise,rendered:h.promise,close:function(e){return s.close(m,e)},dismiss:function(e){return s.dismiss(m,e)}};if(i=angular.extend({},e.options,i),i.resolve=i.resolve||{},i.appendTo=i.appendTo||r.find("body").eq(0),!i.template&&!i.templateUrl)throw new Error("One of template or templateUrl options is required.");var g,v=n.all([l(i),o.resolve(i.resolve,{},null,null)]);return g=c=n.all([c]).then(u,u).then(function(e){var n=i.scope||t,r=n.$new();r.$close=m.close,r.$dismiss=m.dismiss,r.$on("$destroy",function(){r.$$uibDestructionScheduled||r.$dismiss("$uibUnscheduledDestruction")});var o,l,u={};i.controller&&(u.$scope=r,u.$scope.$resolve={},u.$uibModalInstance=m,angular.forEach(e[1],function(e,t){u[t]=e,u.$scope.$resolve[t]=e}),l=a(i.controller,u,!0,i.controllerAs),i.controllerAs&&i.bindToController&&(o=l.instance,o.$close=r.$close,o.$dismiss=r.$dismiss,angular.extend(o,{$resolve:u.$scope.$resolve},n)),o=l(),angular.isFunction(o.$onInit)&&o.$onInit()),s.open(m,{scope:r,deferred:p,renderDeferred:h,closedDeferred:f,content:e[0],animation:i.animation,backdrop:i.backdrop,keyboard:i.keyboard,backdropClass:i.backdropClass,windowTopClass:i.windowTopClass,windowClass:i.windowClass,windowTemplateUrl:i.windowTemplateUrl,size:i.size,openedClass:i.openedClass,appendTo:i.appendTo}),d.resolve(!0)},function(e){d.reject(e),p.reject(e)}).finally(function(){c===g&&(c=null)}),m},u}]};return e}),angular.module("ui.bootstrap.paging",[]).factory("uibPaging",["$parse",function(e){return{create:function(t,n,r){t.setNumPages=r.numPages?e(r.numPages).assign:angular.noop,t.ngModelCtrl={$setViewValue:angular.noop},t._watchers=[],t.init=function(e,i){t.ngModelCtrl=e,t.config=i,e.$render=function(){t.render()},r.itemsPerPage?t._watchers.push(n.$parent.$watch(r.itemsPerPage,function(e){t.itemsPerPage=parseInt(e,10),n.totalPages=t.calculateTotalPages(),t.updatePage()})):t.itemsPerPage=i.itemsPerPage,n.$watch("totalItems",function(e,r){(angular.isDefined(e)||e!==r)&&(n.totalPages=t.calculateTotalPages(),t.updatePage())})},t.calculateTotalPages=function(){var e=t.itemsPerPage<1?1:Math.ceil(n.totalItems/t.itemsPerPage);return Math.max(e||0,1)},t.render=function(){n.page=parseInt(t.ngModelCtrl.$viewValue,10)||1},n.selectPage=function(e,r){r&&r.preventDefault(),(!n.ngDisabled||!r)&&n.page!==e&&e>0&&e<=n.totalPages&&(r&&r.target&&r.target.blur(),t.ngModelCtrl.$setViewValue(e),t.ngModelCtrl.$render())},n.getText=function(e){return n[e+"Text"]||t.config[e+"Text"]},n.noPrevious=function(){return 1===n.page},n.noNext=function(){return n.page===n.totalPages},t.updatePage=function(){t.setNumPages(n.$parent,n.totalPages),n.page>n.totalPages?n.selectPage(n.totalPages):t.ngModelCtrl.$render()},n.$on("$destroy",function(){for(;t._watchers.length;)t._watchers.shift()()})}}}]),angular.module("ui.bootstrap.pager",["ui.bootstrap.paging"]).controller("UibPagerController",["$scope","$attrs","uibPaging","uibPagerConfig",function(e,t,n,r){e.align=angular.isDefined(t.align)?e.$parent.$eval(t.align):r.align,n.create(this,e,t)}]).constant("uibPagerConfig",{itemsPerPage:10,previousText:"« Previous",nextText:"Next »",align:!0}).directive("uibPager",["uibPagerConfig",function(e){return{scope:{totalItems:"=",previousText:"@",nextText:"@",ngDisabled:"="},require:["uibPager","?ngModel"],controller:"UibPagerController",controllerAs:"pager",templateUrl:function(e,t){return t.templateUrl||"uib/template/pager/pager.html"},replace:!0,link:function(t,n,r,i){var a=i[0],o=i[1];o&&a.init(o,e)}}}]),angular.module("ui.bootstrap.pagination",["ui.bootstrap.paging"]).controller("UibPaginationController",["$scope","$attrs","$parse","uibPaging","uibPaginationConfig",function(e,t,n,r,i){function a(e,t,n){return{number:e,text:t,active:n}}function o(e,t){var n=[],r=1,i=t,o=angular.isDefined(l)&&l<t;o&&(u?(r=Math.max(e-Math.floor(l/2),1),(i=r+l-1)>t&&(i=t,r=i-l+1)):(r=(Math.ceil(e/l)-1)*l+1,i=Math.min(r+l-1,t)));for(var s=r;s<=i;s++){var f=a(s,d(s),s===e);n.push(f)}if(o&&l>0&&(!u||c||p)){if(r>1){if(!p||r>3){var h=a(r-1,"...",!1);n.unshift(h)}if(p){if(3===r){var m=a(2,"2",!1);n.unshift(m)}var g=a(1,"1",!1);n.unshift(g)}}if(i<t){if(!p||i<t-2){var v=a(i+1,"...",!1);n.push(v)}if(p){if(i===t-2){var b=a(t-1,t-1,!1);n.push(b)}var $=a(t,t,!1);n.push($)}}}return n}var s=this,l=angular.isDefined(t.maxSize)?e.$parent.$eval(t.maxSize):i.maxSize,u=angular.isDefined(t.rotate)?e.$parent.$eval(t.rotate):i.rotate,c=angular.isDefined(t.forceEllipses)?e.$parent.$eval(t.forceEllipses):i.forceEllipses,p=angular.isDefined(t.boundaryLinkNumbers)?e.$parent.$eval(t.boundaryLinkNumbers):i.boundaryLinkNumbers,d=angular.isDefined(t.pageLabel)?function(n){return e.$parent.$eval(t.pageLabel,{$page:n})}:angular.identity;e.boundaryLinks=angular.isDefined(t.boundaryLinks)?e.$parent.$eval(t.boundaryLinks):i.boundaryLinks,e.directionLinks=angular.isDefined(t.directionLinks)?e.$parent.$eval(t.directionLinks):i.directionLinks,r.create(this,e,t),t.maxSize&&s._watchers.push(e.$parent.$watch(n(t.maxSize),function(e){l=parseInt(e,10),s.render()}));var f=this.render;this.render=function(){f(),e.page>0&&e.page<=e.totalPages&&(e.pages=o(e.page,e.totalPages))}}]).constant("uibPaginationConfig",{itemsPerPage:10,boundaryLinks:!1,boundaryLinkNumbers:!1,directionLinks:!0,firstText:"First",previousText:"Previous",nextText:"Next",lastText:"Last",rotate:!0,forceEllipses:!1}).directive("uibPagination",["$parse","uibPaginationConfig",function(e,t){return{scope:{totalItems:"=",firstText:"@",previousText:"@",nextText:"@",lastText:"@",ngDisabled:"="},require:["uibPagination","?ngModel"],controller:"UibPaginationController",controllerAs:"pagination",templateUrl:function(e,t){return t.templateUrl||"uib/template/pagination/pagination.html"},replace:!0,link:function(e,n,r,i){var a=i[0],o=i[1];o&&a.init(o,t)}}}]),angular.module("ui.bootstrap.tooltip",["ui.bootstrap.position","ui.bootstrap.stackedMap"]).provider("$uibTooltip",function(){function e(e){var t=/[A-Z]/g;return e.replace(t,function(e,t){return(t?"-":"")+e.toLowerCase()})}var t={placement:"top",placementClassPrefix:"",animation:!0,popupDelay:0,popupCloseDelay:0,useContentExp:!1},n={mouseenter:"mouseleave",click:"click",outsideClick:"outsideClick",focus:"blur",none:""},r={};this.options=function(e){angular.extend(r,e)},this.setTriggers=function(e){angular.extend(n,e)},this.$get=["$window","$compile","$timeout","$document","$uibPosition","$interpolate","$rootScope","$parse","$$stackedMap",function(i,a,o,s,l,u,c,p,d){function f(e){if(27===e.which){var t=h.top();t&&(t.value.close(),h.removeTop(),t=null)}}var h=d.createNew();return s.on("keypress",f),c.$on("$destroy",function(){s.off("keypress",f)}),function(i,c,d,f){function m(e){var t=(e||f.trigger||d).split(" ");return{show:t,hide:t.map(function(e){return n[e]||e})}}f=angular.extend({},t,r,f);var g=e(i),v=u.startSymbol(),b=u.endSymbol(),$="<div "+g+'-popup uib-title="'+v+"title"+b+'" '+(f.useContentExp?'content-exp="contentExp()" ':'content="'+v+"content"+b+'" ')+'placement="'+v+"placement"+b+'" popup-class="'+v+"popupClass"+b+'" animation="animation" is-open="isOpen" origin-scope="origScope" class="uib-position-measure"></div>';return{compile:function(e,t){var n=a($);return function(e,t,r,a){function u(){H.isOpen?g():d()}function d(){R&&!e.$eval(r[c+"Enable"])||(y(),k(),H.popupDelay?P||(P=o(v,H.popupDelay,!1)):v())}function g(){b(),H.popupCloseDelay?I||(I=o($,H.popupCloseDelay,!1)):$()}function v(){if(b(),y(),!H.content)return angular.noop;w(),H.$evalAsync(function(){H.isOpen=!0,E(!0),B()})}function b(){P&&(o.cancel(P),P=null),N&&(o.cancel(N),N=null)}function $(){H&&H.$evalAsync(function(){H&&(H.isOpen=!1,E(!1),H.animation?A||(A=o(M,150,!1)):M())})}function y(){I&&(o.cancel(I),I=null),A&&(o.cancel(A),A=null)}function w(){T||(O=H.$new(),T=n(O,function(e){U?s.find("body").append(e):t.after(e)}),C())}function M(){b(),y(),x(),T&&(T.remove(),T=null),O&&(O.$destroy(),O=null)}function k(){H.title=r[c+"Title"],H.content=V?V(e):r[i],H.popupClass=r[c+"Class"],H.placement=angular.isDefined(r[c+"Placement"])?r[c+"Placement"]:f.placement;var t=l.parsePlacement(H.placement);L=t[1]?t[0]+"-"+t[1]:t[0];var n=parseInt(r[c+"PopupDelay"],10),a=parseInt(r[c+"PopupCloseDelay"],10);H.popupDelay=isNaN(n)?f.popupDelay:n,H.popupCloseDelay=isNaN(a)?f.popupCloseDelay:a}function E(t){z&&angular.isFunction(z.assign)&&z.assign(e,t)}function C(){_.length=0,V?(_.push(e.$watch(V,function(e){H.content=e,!e&&H.isOpen&&$()})),_.push(O.$watch(function(){j||(j=!0,O.$$postDigest(function(){j=!1,H&&H.isOpen&&B()}))}))):_.push(r.$observe(i,function(e){H.content=e,!e&&H.isOpen?$():B()})),_.push(r.$observe(c+"Title",function(e){H.title=e,H.isOpen&&B()})),_.push(r.$observe(c+"Placement",function(e){H.placement=e||f.placement,H.isOpen&&B()}))}function x(){_.length&&(angular.forEach(_,function(e){e()}),_.length=0)}function D(e){H&&H.isOpen&&T&&(t[0].contains(e.target)||T[0].contains(e.target)||g())}function S(){var e=r[c+"Trigger"];q(),F=m(e),"none"!==F.show&&F.show.forEach(function(e,n){"outsideClick"===e?(t.on("click",u),s.on("click",D)):e===F.hide[n]?t.on(e,u):e&&(t.on(e,d),t.on(F.hide[n],g)),t.on("keypress",function(e){27===e.which&&g()})})}var T,O,A,P,I,N,L,U=!!angular.isDefined(f.appendToBody)&&f.appendToBody,F=m(void 0),R=angular.isDefined(r[c+"Enable"]),H=e.$new(!0),j=!1,z=!!angular.isDefined(r[c+"IsOpen"])&&p(r[c+"IsOpen"]),V=!!f.useContentExp&&p(r[i]),_=[],B=function(){T&&T.html()&&(N||(N=o(function(){var e=l.positionElements(t,T,H.placement,U);T.css({top:e.top+"px",left:e.left+"px"}),T.hasClass(e.placement.split("-")[0])||(T.removeClass(L.split("-")[0]),T.addClass(e.placement.split("-")[0])),T.hasClass(f.placementClassPrefix+e.placement)||(T.removeClass(f.placementClassPrefix+L),T.addClass(f.placementClassPrefix+e.placement)),T.hasClass("uib-position-measure")?(l.positionArrow(T,e.placement),T.removeClass("uib-position-measure")):L!==e.placement&&l.positionArrow(T,e.placement),L=e.placement,N=null},0,!1)))};H.origScope=e,H.isOpen=!1,h.add(H,{close:$}),H.contentExp=function(){return H.content},r.$observe("disabled",function(e){e&&b(),e&&H.isOpen&&$()}),z&&e.$watch(z,function(e){H&&!e===H.isOpen&&u()});var q=function(){F.show.forEach(function(e){"outsideClick"===e?t.off("click",u):(t.off(e,d),t.off(e,u))}),F.hide.forEach(function(e){"outsideClick"===e?s.off("click",D):t.off(e,g)})};S();var W=e.$eval(r[c+"Animation"]);H.animation=angular.isDefined(W)?!!W:f.animation;var G,Y=c+"AppendToBody";G=Y in r&&void 0===r[Y]||e.$eval(r[Y]),U=angular.isDefined(G)?G:U,e.$on("$destroy",function(){q(),M(),h.remove(H),H=null})}}}}}]}).directive("uibTooltipTemplateTransclude",["$animate","$sce","$compile","$templateRequest",function(e,t,n,r){return{link:function(i,a,o){var s,l,u,c=i.$eval(o.tooltipTemplateTranscludeScope),p=0,d=function(){l&&(l.remove(),l=null),s&&(s.$destroy(),s=null),u&&(e.leave(u).then(function(){l=null}),l=u,u=null)};i.$watch(t.parseAsResourceUrl(o.uibTooltipTemplateTransclude),function(t){var o=++p;t?(r(t,!0).then(function(r){if(o===p){var i=c.$new(),l=r,f=n(l)(i,function(t){d(),e.enter(t,a)});s=i,u=f,s.$emit("$includeContentLoaded",t)}},function(){o===p&&(d(),i.$emit("$includeContentError",t))}),i.$emit("$includeContentRequested",t)):d()}),i.$on("$destroy",d)}}}]).directive("uibTooltipClasses",["$uibPosition",function(e){return{restrict:"A",link:function(t,n,r){if(t.placement){var i=e.parsePlacement(t.placement);n.addClass(i[0])}t.popupClass&&n.addClass(t.popupClass),t.animation()&&n.addClass(r.tooltipAnimationClass)}}}]).directive("uibTooltipPopup",function(){return{replace:!0,scope:{content:"@",placement:"@",popupClass:"@",animation:"&",isOpen:"&"},templateUrl:"uib/template/tooltip/tooltip-popup.html"}}).directive("uibTooltip",["$uibTooltip",function(e){return e("uibTooltip","tooltip","mouseenter")}]).directive("uibTooltipTemplatePopup",function(){return{replace:!0,scope:{contentExp:"&",placement:"@",popupClass:"@",animation:"&",isOpen:"&",originScope:"&"},templateUrl:"uib/template/tooltip/tooltip-template-popup.html"}}).directive("uibTooltipTemplate",["$uibTooltip",function(e){return e("uibTooltipTemplate","tooltip","mouseenter",{useContentExp:!0})}]).directive("uibTooltipHtmlPopup",function(){return{replace:!0,scope:{contentExp:"&",placement:"@",popupClass:"@",animation:"&",isOpen:"&"},templateUrl:"uib/template/tooltip/tooltip-html-popup.html"}}).directive("uibTooltipHtml",["$uibTooltip",function(e){return e("uibTooltipHtml","tooltip","mouseenter",{useContentExp:!0})}]),angular.module("ui.bootstrap.popover",["ui.bootstrap.tooltip"]).directive("uibPopoverTemplatePopup",function(){return{replace:!0,scope:{uibTitle:"@",contentExp:"&",placement:"@",popupClass:"@",animation:"&",isOpen:"&",originScope:"&"},templateUrl:"uib/template/popover/popover-template.html"}}).directive("uibPopoverTemplate",["$uibTooltip",function(e){return e("uibPopoverTemplate","popover","click",{useContentExp:!0})}]).directive("uibPopoverHtmlPopup",function(){return{replace:!0,scope:{contentExp:"&",uibTitle:"@",placement:"@",popupClass:"@",animation:"&",isOpen:"&"},templateUrl:"uib/template/popover/popover-html.html"}}).directive("uibPopoverHtml",["$uibTooltip",function(e){return e("uibPopoverHtml","popover","click",{useContentExp:!0})}]).directive("uibPopoverPopup",function(){return{replace:!0,scope:{uibTitle:"@",content:"@",placement:"@",popupClass:"@",animation:"&",isOpen:"&"},templateUrl:"uib/template/popover/popover.html"}}).directive("uibPopover",["$uibTooltip",function(e){return e("uibPopover","popover","click")}]),angular.module("ui.bootstrap.progressbar",[]).constant("uibProgressConfig",{animate:!0,max:100}).controller("UibProgressController",["$scope","$attrs","uibProgressConfig",function(e,t,n){function r(){return angular.isDefined(e.maxParam)?e.maxParam:n.max}var i=this,a=angular.isDefined(t.animate)?e.$parent.$eval(t.animate):n.animate;this.bars=[],e.max=r(),this.addBar=function(e,t,n){a||t.css({transition:"none"}),this.bars.push(e),e.max=r(),e.title=n&&angular.isDefined(n.title)?n.title:"progressbar",e.$watch("value",function(t){e.recalculatePercentage()}),e.recalculatePercentage=function(){var t=i.bars.reduce(function(e,t){return t.percent=+(100*t.value/t.max).toFixed(2),e+t.percent},0);t>100&&(e.percent-=t-100)},e.$on("$destroy",function(){t=null,i.removeBar(e)})},this.removeBar=function(e){this.bars.splice(this.bars.indexOf(e),1),this.bars.forEach(function(e){e.recalculatePercentage()})},e.$watch("maxParam",function(e){i.bars.forEach(function(e){e.max=r(),e.recalculatePercentage()})})}]).directive("uibProgress",function(){return{replace:!0,transclude:!0,controller:"UibProgressController",require:"uibProgress",scope:{maxParam:"=?max"},templateUrl:"uib/template/progressbar/progress.html"}}).directive("uibBar",function(){return{replace:!0,transclude:!0,require:"^uibProgress",scope:{value:"=",type:"@"},templateUrl:"uib/template/progressbar/bar.html",link:function(e,t,n,r){r.addBar(e,t,n)}}}).directive("uibProgressbar",function(){return{replace:!0,transclude:!0,controller:"UibProgressController",scope:{value:"=",maxParam:"=?max",type:"@"},templateUrl:"uib/template/progressbar/progressbar.html",link:function(e,t,n,r){r.addBar(e,angular.element(t.children()[0]),{title:n.title})}}}),angular.module("ui.bootstrap.rating",[]).constant("uibRatingConfig",{max:5,stateOn:null,stateOff:null,enableReset:!0,titles:["one","two","three","four","five"]}).controller("UibRatingController",["$scope","$attrs","uibRatingConfig",function(e,t,n){var r={$setViewValue:angular.noop},i=this;this.init=function(i){r=i,r.$render=this.render,r.$formatters.push(function(e){return angular.isNumber(e)&&e<<0!==e&&(e=Math.round(e)),e}),this.stateOn=angular.isDefined(t.stateOn)?e.$parent.$eval(t.stateOn):n.stateOn,this.stateOff=angular.isDefined(t.stateOff)?e.$parent.$eval(t.stateOff):n.stateOff,this.enableReset=angular.isDefined(t.enableReset)?e.$parent.$eval(t.enableReset):n.enableReset;var a=angular.isDefined(t.titles)?e.$parent.$eval(t.titles):n.titles;this.titles=angular.isArray(a)&&a.length>0?a:n.titles;var o=angular.isDefined(t.ratingStates)?e.$parent.$eval(t.ratingStates):new Array(angular.isDefined(t.max)?e.$parent.$eval(t.max):n.max);e.range=this.buildTemplateObjects(o)},this.buildTemplateObjects=function(e){for(var t=0,n=e.length;t<n;t++)e[t]=angular.extend({index:t},{stateOn:this.stateOn,stateOff:this.stateOff,title:this.getTitle(t)},e[t]);return e},this.getTitle=function(e){return e>=this.titles.length?e+1:this.titles[e]},e.rate=function(t){if(!e.readonly&&t>=0&&t<=e.range.length){var n=i.enableReset&&r.$viewValue===t?0:t;r.$setViewValue(n),r.$render()}},e.enter=function(t){e.readonly||(e.value=t),e.onHover({value:t})},e.reset=function(){e.value=r.$viewValue,e.onLeave()},e.onKeydown=function(t){/(37|38|39|40)/.test(t.which)&&(t.preventDefault(),t.stopPropagation(),e.rate(e.value+(38===t.which||39===t.which?1:-1)))},this.render=function(){e.value=r.$viewValue,e.title=i.getTitle(e.value-1)}}]).directive("uibRating",function(){return{require:["uibRating","ngModel"],scope:{readonly:"=?readOnly",onHover:"&",onLeave:"&"},controller:"UibRatingController",templateUrl:"uib/template/rating/rating.html",replace:!0,link:function(e,t,n,r){var i=r[0],a=r[1];i.init(a)}}}),angular.module("ui.bootstrap.tabs",[]).controller("UibTabsetController",["$scope",function(e){function t(e){for(var t=0;t<r.tabs.length;t++)if(r.tabs[t].index===e)return t}var n,r=this;r.tabs=[],r.select=function(e,a){if(!i){var o=t(n),s=r.tabs[o];if(s){if(s.tab.onDeselect({$event:a,$selectedIndex:e}),a&&a.isDefaultPrevented())return;s.tab.active=!1}var l=r.tabs[e];l?(l.tab.onSelect({$event:a}),l.tab.active=!0,r.active=l.index,n=l.index):!l&&angular.isDefined(n)&&(r.active=null,n=null)}},r.addTab=function(e){if(r.tabs.push({tab:e,index:e.index}),r.tabs.sort(function(e,t){return e.index>t.index?1:e.index<t.index?-1:0}),e.index===r.active||!angular.isDefined(r.active)&&1===r.tabs.length){var n=t(e.index);r.select(n)}},r.removeTab=function(e){for(var t,n=0;n<r.tabs.length;n++)if(r.tabs[n].tab===e){t=n;break}if(r.tabs[t].index===r.active){var i=t===r.tabs.length-1?t-1:t+1%r.tabs.length;r.select(i)}r.tabs.splice(t,1)},e.$watch("tabset.active",function(e){angular.isDefined(e)&&e!==n&&r.select(t(e))});var i;e.$on("$destroy",function(){i=!0})}]).directive("uibTabset",function(){return{transclude:!0,replace:!0,scope:{},bindToController:{active:"=?",type:"@"},controller:"UibTabsetController",controllerAs:"tabset",templateUrl:function(e,t){return t.templateUrl||"uib/template/tabs/tabset.html"},link:function(e,t,n){e.vertical=!!angular.isDefined(n.vertical)&&e.$parent.$eval(n.vertical),e.justified=!!angular.isDefined(n.justified)&&e.$parent.$eval(n.justified)}}}).directive("uibTab",["$parse",function(e){return{require:"^uibTabset",replace:!0,templateUrl:function(e,t){return t.templateUrl||"uib/template/tabs/tab.html"},transclude:!0,scope:{heading:"@",index:"=?",classes:"@?",onSelect:"&select",onDeselect:"&deselect"},controller:function(){},controllerAs:"tab",link:function(t,n,r,i,a){t.disabled=!1,r.disable&&t.$parent.$watch(e(r.disable),function(e){t.disabled=!!e}),angular.isUndefined(r.index)&&(i.tabs&&i.tabs.length?t.index=Math.max.apply(null,i.tabs.map(function(e){return e.index}))+1:t.index=0),angular.isUndefined(r.classes)&&(t.classes=""),t.select=function(e){if(!t.disabled){for(var n,r=0;r<i.tabs.length;r++)if(i.tabs[r].tab===t){n=r;break}i.select(n,e)}},i.addTab(t),t.$on("$destroy",function(){i.removeTab(t)}),t.$transcludeFn=a}}}]).directive("uibTabHeadingTransclude",function(){return{restrict:"A",require:"^uibTab",link:function(e,t){e.$watch("headingElement",function(e){e&&(t.html(""),t.append(e))})}}}).directive("uibTabContentTransclude",function(){function e(e){return e.tagName&&(e.hasAttribute("uib-tab-heading")||e.hasAttribute("data-uib-tab-heading")||e.hasAttribute("x-uib-tab-heading")||"uib-tab-heading"===e.tagName.toLowerCase()||"data-uib-tab-heading"===e.tagName.toLowerCase()||"x-uib-tab-heading"===e.tagName.toLowerCase()||"uib:tab-heading"===e.tagName.toLowerCase())}return{restrict:"A",require:"^uibTabset",link:function(t,n,r){var i=t.$eval(r.uibTabContentTransclude).tab;i.$transcludeFn(i.$parent,function(t){angular.forEach(t,function(t){e(t)?i.headingElement=t:n.append(t)})})}}}),angular.module("ui.bootstrap.timepicker",[]).constant("uibTimepickerConfig",{hourStep:1,minuteStep:1,secondStep:1,showMeridian:!0,showSeconds:!1,meridians:null,readonlyInput:!1,mousewheel:!0,arrowkeys:!0,showSpinners:!0,templateUrl:"uib/template/timepicker/timepicker.html"}).controller("UibTimepickerController",["$scope","$element","$attrs","$parse","$log","$locale","uibTimepickerConfig",function(e,t,n,r,i,a,o){function s(){var t=+e.hours;if((e.showMeridian?t>0&&t<13:t>=0&&t<24)&&""!==e.hours)return e.showMeridian&&(12===t&&(t=0),e.meridian===w[1]&&(t+=12)),t}function l(){var t=+e.minutes;if(t>=0&&t<60&&""!==e.minutes)return t}function u(){var t=+e.seconds;return t>=0&&t<60?t:void 0}function c(e,t){return null===e?"":angular.isDefined(e)&&e.toString().length<2&&!t?"0"+e:e.toString()}function p(e){d(),y.$setViewValue(new Date(b)),f(e)}function d(){y.$setValidity("time",!0),e.invalidHours=!1,e.invalidMinutes=!1,e.invalidSeconds=!1}function f(t){if(y.$modelValue){var n=b.getHours(),r=b.getMinutes(),i=b.getSeconds();e.showMeridian&&(n=0===n||12===n?12:n%12),e.hours="h"===t?n:c(n,!M),"m"!==t&&(e.minutes=c(r)),e.meridian=b.getHours()<12?w[0]:w[1],"s"!==t&&(e.seconds=c(i)),e.meridian=b.getHours()<12?w[0]:w[1]}else e.hours=null,e.minutes=null,e.seconds=null,e.meridian=w[0]}function h(e){b=g(b,e),p()}function m(e,t){return g(e,60*t)}function g(e,t){var n=new Date(e.getTime()+1e3*t),r=new Date(e);return r.setHours(n.getHours(),n.getMinutes(),n.getSeconds()),r}function v(){return(null===e.hours||""===e.hours)&&(null===e.minutes||""===e.minutes)&&(!e.showSeconds||e.showSeconds&&(null===e.seconds||""===e.seconds))}var b=new Date,$=[],y={$setViewValue:angular.noop},w=angular.isDefined(n.meridians)?e.$parent.$eval(n.meridians):o.meridians||a.DATETIME_FORMATS.AMPMS,M=!angular.isDefined(n.padHours)||e.$parent.$eval(n.padHours);e.tabindex=angular.isDefined(n.tabindex)?n.tabindex:0,t.removeAttr("tabindex"),this.init=function(t,r){y=t,y.$render=this.render,y.$formatters.unshift(function(e){return e?new Date(e):null});var i=r.eq(0),a=r.eq(1),s=r.eq(2);(angular.isDefined(n.mousewheel)?e.$parent.$eval(n.mousewheel):o.mousewheel)&&this.setupMousewheelEvents(i,a,s),(angular.isDefined(n.arrowkeys)?e.$parent.$eval(n.arrowkeys):o.arrowkeys)&&this.setupArrowkeyEvents(i,a,s),e.readonlyInput=angular.isDefined(n.readonlyInput)?e.$parent.$eval(n.readonlyInput):o.readonlyInput,this.setupInputEvents(i,a,s)};var k=o.hourStep;n.hourStep&&$.push(e.$parent.$watch(r(n.hourStep),function(e){k=+e}));var E=o.minuteStep;n.minuteStep&&$.push(e.$parent.$watch(r(n.minuteStep),function(e){E=+e}));var C;$.push(e.$parent.$watch(r(n.min),function(e){var t=new Date(e);C=isNaN(t)?void 0:t}));var x;$.push(e.$parent.$watch(r(n.max),function(e){var t=new Date(e);x=isNaN(t)?void 0:t}));var D=!1;n.ngDisabled&&$.push(e.$parent.$watch(r(n.ngDisabled),function(e){D=e})),e.noIncrementHours=function(){var e=m(b,60*k);return D||e>x||e<b&&e<C},e.noDecrementHours=function(){var e=m(b,60*-k);return D||e<C||e>b&&e>x},e.noIncrementMinutes=function(){var e=m(b,E);return D||e>x||e<b&&e<C},e.noDecrementMinutes=function(){var e=m(b,-E);return D||e<C||e>b&&e>x},e.noIncrementSeconds=function(){var e=g(b,S);return D||e>x||e<b&&e<C},e.noDecrementSeconds=function(){var e=g(b,-S);return D||e<C||e>b&&e>x},e.noToggleMeridian=function(){return b.getHours()<12?D||m(b,720)>x:D||m(b,-720)<C};var S=o.secondStep;n.secondStep&&$.push(e.$parent.$watch(r(n.secondStep),function(e){S=+e})),e.showSeconds=o.showSeconds,n.showSeconds&&$.push(e.$parent.$watch(r(n.showSeconds),function(t){e.showSeconds=!!t})),e.showMeridian=o.showMeridian,n.showMeridian&&$.push(e.$parent.$watch(r(n.showMeridian),function(t){if(e.showMeridian=!!t,y.$error.time){var n=s(),r=l();angular.isDefined(n)&&angular.isDefined(r)&&(b.setHours(n),p())}else f()})),this.setupMousewheelEvents=function(t,n,r){var i=function(e){e.originalEvent&&(e=e.originalEvent);var t=e.wheelDelta?e.wheelDelta:-e.deltaY;return e.detail||t>0};t.bind("mousewheel wheel",function(t){D||e.$apply(i(t)?e.incrementHours():e.decrementHours()),t.preventDefault()}),n.bind("mousewheel wheel",function(t){D||e.$apply(i(t)?e.incrementMinutes():e.decrementMinutes()),t.preventDefault()}),r.bind("mousewheel wheel",function(t){D||e.$apply(i(t)?e.incrementSeconds():e.decrementSeconds()),t.preventDefault()})},this.setupArrowkeyEvents=function(t,n,r){t.bind("keydown",function(t){D||(38===t.which?(t.preventDefault(),e.incrementHours(),e.$apply()):40===t.which&&(t.preventDefault(),e.decrementHours(),e.$apply()))}),n.bind("keydown",function(t){D||(38===t.which?(t.preventDefault(),e.incrementMinutes(),e.$apply()):40===t.which&&(t.preventDefault(),e.decrementMinutes(),e.$apply()))}),r.bind("keydown",function(t){D||(38===t.which?(t.preventDefault(),e.incrementSeconds(),e.$apply()):40===t.which&&(t.preventDefault(),e.decrementSeconds(),e.$apply()))})},this.setupInputEvents=function(t,n,r){if(e.readonlyInput)return e.updateHours=angular.noop,e.updateMinutes=angular.noop,void(e.updateSeconds=angular.noop);var i=function(t,n,r){y.$setViewValue(null),y.$setValidity("time",!1),angular.isDefined(t)&&(e.invalidHours=t),angular.isDefined(n)&&(e.invalidMinutes=n),angular.isDefined(r)&&(e.invalidSeconds=r)};e.updateHours=function(){var e=s(),t=l();y.$setDirty(),angular.isDefined(e)&&angular.isDefined(t)?(b.setHours(e),b.setMinutes(t),b<C||b>x?i(!0):p("h")):i(!0)},t.bind("blur",function(t){y.$setTouched(),v()?d():null===e.hours||""===e.hours?i(!0):!e.invalidHours&&e.hours<10&&e.$apply(function(){e.hours=c(e.hours,!M)})}),e.updateMinutes=function(){var e=l(),t=s();y.$setDirty(),angular.isDefined(e)&&angular.isDefined(t)?(b.setHours(t),b.setMinutes(e),b<C||b>x?i(void 0,!0):p("m")):i(void 0,!0)},n.bind("blur",function(t){y.$setTouched(),v()?d():null===e.minutes?i(void 0,!0):!e.invalidMinutes&&e.minutes<10&&e.$apply(function(){e.minutes=c(e.minutes)})}),e.updateSeconds=function(){var e=u();y.$setDirty(),angular.isDefined(e)?(b.setSeconds(e),p("s")):i(void 0,void 0,!0)},r.bind("blur",function(t){v()?d():!e.invalidSeconds&&e.seconds<10&&e.$apply(function(){e.seconds=c(e.seconds)})})},this.render=function(){var t=y.$viewValue;isNaN(t)?(y.$setValidity("time",!1),i.error('Timepicker directive: "ng-model" value must be a Date object, a number of milliseconds since 01.01.1970 or a string representing an RFC2822 or ISO 8601 date.')):(t&&(b=t),b<C||b>x?(y.$setValidity("time",!1),e.invalidHours=!0,e.invalidMinutes=!0):d(),f())},e.showSpinners=angular.isDefined(n.showSpinners)?e.$parent.$eval(n.showSpinners):o.showSpinners,e.incrementHours=function(){e.noIncrementHours()||h(60*k*60)},e.decrementHours=function(){e.noDecrementHours()||h(60*-k*60)},e.incrementMinutes=function(){e.noIncrementMinutes()||h(60*E)},e.decrementMinutes=function(){e.noDecrementMinutes()||h(60*-E)},e.incrementSeconds=function(){e.noIncrementSeconds()||h(S)},e.decrementSeconds=function(){e.noDecrementSeconds()||h(-S)},e.toggleMeridian=function(){var t=l(),n=s();e.noToggleMeridian()||(angular.isDefined(t)&&angular.isDefined(n)?h(720*(b.getHours()<12?60:-60)):e.meridian=e.meridian===w[0]?w[1]:w[0])},e.blur=function(){y.$setTouched()},e.$on("$destroy",function(){for(;$.length;)$.shift()()})}]).directive("uibTimepicker",["uibTimepickerConfig",function(e){return{require:["uibTimepicker","?^ngModel"],controller:"UibTimepickerController",controllerAs:"timepicker",replace:!0,scope:{},templateUrl:function(t,n){return n.templateUrl||e.templateUrl},link:function(e,t,n,r){var i=r[0],a=r[1];a&&i.init(a,t.find("input"))}}}]),angular.module("ui.bootstrap.typeahead",["ui.bootstrap.debounce","ui.bootstrap.position"]).factory("uibTypeaheadParser",["$parse",function(e){var t=/^\s*([\s\S]+?)(?:\s+as\s+([\s\S]+?))?\s+for\s+(?:([\$\w][\$\w\d]*))\s+in\s+([\s\S]+?)$/;return{parse:function(n){var r=n.match(t);if(!r)throw new Error('Expected typeahead specification in form of "_modelValue_ (as _label_)? for _item_ in _collection_" but got "'+n+'".');return{itemName:r[3],source:e(r[4]),viewMapper:e(r[2]||r[1]),modelMapper:e(r[1])}}}}]).controller("UibTypeaheadController",["$scope","$element","$attrs","$compile","$parse","$q","$timeout","$document","$window","$rootScope","$$debounce","$uibPosition","uibTypeaheadParser",function(e,t,n,r,i,a,o,s,l,u,c,p,d){function f(){j.moveInProgress||(j.moveInProgress=!0,j.$digest()),X()}function h(){j.position=O?p.offset(t):p.position(t),j.position.top+=t.prop("offsetHeight")}var m,g,v=[9,13,27,38,40],b=200,$=e.$eval(n.typeaheadMinLength);$||0===$||($=1),e.$watch(n.typeaheadMinLength,function(e){$=e||0===e?e:1});var y=e.$eval(n.typeaheadWaitMs)||0,w=!1!==e.$eval(n.typeaheadEditable);e.$watch(n.typeaheadEditable,function(e){w=!1!==e});var M,k,E=i(n.typeaheadLoading).assign||angular.noop,C=n.typeaheadShouldSelect?i(n.typeaheadShouldSelect):function(e,t){var n=t.$event;return 13===n.which||9===n.which},x=i(n.typeaheadOnSelect),D=!!angular.isDefined(n.typeaheadSelectOnBlur)&&e.$eval(n.typeaheadSelectOnBlur),S=i(n.typeaheadNoResults).assign||angular.noop,T=n.typeaheadInputFormatter?i(n.typeaheadInputFormatter):void 0,O=!!n.typeaheadAppendToBody&&e.$eval(n.typeaheadAppendToBody),A=n.typeaheadAppendTo?e.$eval(n.typeaheadAppendTo):null,P=!1!==e.$eval(n.typeaheadFocusFirst),I=!!n.typeaheadSelectOnExact&&e.$eval(n.typeaheadSelectOnExact),N=i(n.typeaheadIsOpen).assign||angular.noop,L=e.$eval(n.typeaheadShowHint)||!1,U=i(n.ngModel),F=i(n.ngModel+"($$$p)"),R=function(t,n){return angular.isFunction(U(e))&&g&&g.$options&&g.$options.getterSetter?F(t,{$$$p:n}):U.assign(t,n)},H=d.parse(n.uibTypeahead),j=e.$new(),z=e.$on("$destroy",function(){j.$destroy()});j.$on("$destroy",z);var V="typeahead-"+j.$id+"-"+Math.floor(1e4*Math.random());t.attr({"aria-autocomplete":"list","aria-expanded":!1,"aria-owns":V});var _,B;L&&(_=angular.element("<div></div>"),_.css("position","relative"),t.after(_),B=t.clone(),B.attr("placeholder",""),B.attr("tabindex","-1"),B.val(""),B.css({position:"absolute",top:"0px",left:"0px","border-color":"transparent","box-shadow":"none",opacity:1,background:"none 0% 0% / auto repeat scroll padding-box border-box rgb(255, 255, 255)",color:"#999"}),t.css({position:"relative","vertical-align":"top","background-color":"transparent"}),_.append(B),B.after(t));var q=angular.element("<div uib-typeahead-popup></div>");q.attr({id:V,matches:"matches",active:"activeIdx",select:"select(activeIdx, evt)","move-in-progress":"moveInProgress",query:"query",position:"position","assign-is-open":"assignIsOpen(isOpen)",debounce:"debounceUpdate"}),angular.isDefined(n.typeaheadTemplateUrl)&&q.attr("template-url",n.typeaheadTemplateUrl),angular.isDefined(n.typeaheadPopupTemplateUrl)&&q.attr("popup-template-url",n.typeaheadPopupTemplateUrl);var W=function(){L&&B.val("")},G=function(){j.matches=[],j.activeIdx=-1,t.attr("aria-expanded",!1),W()},Y=function(e){return V+"-option-"+e};j.$watch("activeIdx",function(e){e<0?t.removeAttr("aria-activedescendant"):t.attr("aria-activedescendant",Y(e))});var Q=function(e,t){return!!(j.matches.length>t&&e)&&e.toUpperCase()===j.matches[t].label.toUpperCase()},K=function(n,r){var i={$viewValue:n};E(e,!0),S(e,!1),a.when(H.source(e,i)).then(function(a){var o=n===m.$viewValue;if(o&&M)if(a&&a.length>0){j.activeIdx=P?0:-1,S(e,!1),j.matches.length=0;for(var s=0;s<a.length;s++)i[H.itemName]=a[s],j.matches.push({id:Y(s),label:H.viewMapper(j,i),model:a[s]});if(j.query=n,h(),t.attr("aria-expanded",!0),I&&1===j.matches.length&&Q(n,0)&&(angular.isNumber(j.debounceUpdate)||angular.isObject(j.debounceUpdate)?c(function(){j.select(0,r)},angular.isNumber(j.debounceUpdate)?j.debounceUpdate:j.debounceUpdate.default):j.select(0,r)),L){var l=j.matches[0].label;angular.isString(n)&&n.length>0&&l.slice(0,n.length).toUpperCase()===n.toUpperCase()?B.val(n+l.slice(n.length)):B.val("")}}else G(),S(e,!0);o&&E(e,!1)},function(){G(),E(e,!1),S(e,!0)})};O&&(angular.element(l).on("resize",f),s.find("body").on("scroll",f));var X=c(function(){j.matches.length&&h(),j.moveInProgress=!1},b);j.moveInProgress=!1,j.query=void 0;var Z,J=function(e){Z=o(function(){K(e)},y)},ee=function(){Z&&o.cancel(Z)};G(),j.assignIsOpen=function(t){N(e,t)},j.select=function(r,i){var a,s,l={};k=!0,l[H.itemName]=s=j.matches[r].model,a=H.modelMapper(e,l),R(e,a),m.$setValidity("editable",!0),m.$setValidity("parse",!0),x(e,{$item:s,$model:a,$label:H.viewMapper(e,l),$event:i}),G(),!1!==j.$eval(n.typeaheadFocusOnSelect)&&o(function(){t[0].focus()},0,!1)},t.on("keydown",function(t){if(0!==j.matches.length&&-1!==v.indexOf(t.which)){var n=C(e,{$event:t});if(-1===j.activeIdx&&n||9===t.which&&t.shiftKey)return G(),void j.$digest();t.preventDefault();var r;switch(t.which){case 27:t.stopPropagation(),G(),e.$digest();break;case 38:j.activeIdx=(j.activeIdx>0?j.activeIdx:j.matches.length)-1,j.$digest(),r=q.find("li")[j.activeIdx],r.parentNode.scrollTop=r.offsetTop;break;case 40:j.activeIdx=(j.activeIdx+1)%j.matches.length,j.$digest(),r=q.find("li")[j.activeIdx],r.parentNode.scrollTop=r.offsetTop;break;default:n&&j.$apply(function(){angular.isNumber(j.debounceUpdate)||angular.isObject(j.debounceUpdate)?c(function(){j.select(j.activeIdx,t)},angular.isNumber(j.debounceUpdate)?j.debounceUpdate:j.debounceUpdate.default):j.select(j.activeIdx,t)})}}}),t.bind("focus",function(e){M=!0,0!==$||m.$viewValue||o(function(){K(m.$viewValue,e)},0)}),t.bind("blur",function(e){D&&j.matches.length&&-1!==j.activeIdx&&!k&&(k=!0,j.$apply(function(){angular.isObject(j.debounceUpdate)&&angular.isNumber(j.debounceUpdate.blur)?c(function(){j.select(j.activeIdx,e)},j.debounceUpdate.blur):j.select(j.activeIdx,e)})),!w&&m.$error.editable&&(m.$setViewValue(),m.$setValidity("editable",!0),m.$setValidity("parse",!0),t.val("")),M=!1,k=!1});var te=function(n){t[0]!==n.target&&3!==n.which&&0!==j.matches.length&&(G(),u.$$phase||e.$digest())};s.on("click",te),e.$on("$destroy",function(){s.off("click",te),(O||A)&&ne.remove(),O&&(angular.element(l).off("resize",f),s.find("body").off("scroll",f)),q.remove(),L&&_.remove()});var ne=r(q)(j);O?s.find("body").append(ne):A?angular.element(A).eq(0).append(ne):t.after(ne),this.init=function(t,n){m=t,g=n,j.debounceUpdate=m.$options&&i(m.$options.debounce)(e),m.$parsers.unshift(function(t){return M=!0,0===$||t&&t.length>=$?y>0?(ee(),J(t)):K(t):(E(e,!1),ee(),G()),w?t:t?void m.$setValidity("editable",!1):(m.$setValidity("editable",!0),null)}),m.$formatters.push(function(t){var n,r,i={};return w||m.$setValidity("editable",!0),T?(i.$model=t,T(e,i)):(i[H.itemName]=t,n=H.viewMapper(e,i),i[H.itemName]=void 0,r=H.viewMapper(e,i),n!==r?n:t)})}}]).directive("uibTypeahead",function(){return{controller:"UibTypeaheadController",require:["ngModel","^?ngModelOptions","uibTypeahead"],link:function(e,t,n,r){r[2].init(r[0],r[1])}}}).directive("uibTypeaheadPopup",["$$debounce",function(e){return{scope:{matches:"=",query:"=",active:"=",position:"&",moveInProgress:"=",select:"&",assignIsOpen:"&",debounce:"&"},replace:!0,templateUrl:function(e,t){return t.popupTemplateUrl||"uib/template/typeahead/typeahead-popup.html"},link:function(t,n,r){t.templateUrl=r.templateUrl,t.isOpen=function(){var e=t.matches.length>0;return t.assignIsOpen({isOpen:e}),e},t.isActive=function(e){return t.active===e},t.selectActive=function(e){t.active=e},t.selectMatch=function(n,r){var i=t.debounce();angular.isNumber(i)||angular.isObject(i)?e(function(){t.select({activeIdx:n,evt:r})},angular.isNumber(i)?i:i.default):t.select({activeIdx:n,evt:r})}}}}]).directive("uibTypeaheadMatch",["$templateRequest","$compile","$parse",function(e,t,n){return{scope:{index:"=",match:"=",query:"="},link:function(r,i,a){var o=n(a.templateUrl)(r.$parent)||"uib/template/typeahead/typeahead-match.html";e(o).then(function(e){var n=angular.element(e.trim());i.replaceWith(n),t(n)(r)})}}}]).filter("uibTypeaheadHighlight",["$sce","$injector","$log",function(e,t,n){function r(e){return e.replace(/([.?*+^$[\]\\(){}|-])/g,"\\$1")}function i(e){return/<.*>/g.test(e)}var a;return a=t.has("$sanitize"),function(t,o){return!a&&i(t)&&n.warn("Unsafe use of typeahead please use ngSanitize"),t=o?(""+t).replace(new RegExp(r(o),"gi"),"<strong>$&</strong>"):t,a||(t=e.trustAsHtml(t)),t}}]),angular.module("uib/template/accordion/accordion-group.html",[]).run(["$templateCache",function(e){e.put("uib/template/accordion/accordion-group.html",'<div class="panel" ng-class="panelClass || \'panel-default\'">\n  <div role="tab" id="{{::headingId}}" aria-selected="{{isOpen}}" class="panel-heading" ng-keypress="toggleOpen($event)">\n    <h4 class="panel-title">\n      <a role="button" data-toggle="collapse" href aria-expanded="{{isOpen}}" aria-controls="{{::panelId}}" tabindex="0" class="accordion-toggle" ng-click="toggleOpen()" uib-accordion-transclude="heading"><span uib-accordion-header ng-class="{\'text-muted\': isDisabled}">{{heading}}</span></a>\n    </h4>\n  </div>\n  <div id="{{::panelId}}" aria-labelledby="{{::headingId}}" aria-hidden="{{!isOpen}}" role="tabpanel" class="panel-collapse collapse" uib-collapse="!isOpen">\n    <div class="panel-body" ng-transclude></div>\n  </div>\n</div>\n')}]),angular.module("uib/template/accordion/accordion.html",[]).run(["$templateCache",function(e){e.put("uib/template/accordion/accordion.html",'<div role="tablist" class="panel-group" ng-transclude></div>')}]),angular.module("uib/template/alert/alert.html",[]).run(["$templateCache",function(e){e.put("uib/template/alert/alert.html",'<div class="alert" ng-class="[\'alert-\' + (type || \'warning\'), closeable ? \'alert-dismissible\' : null]" role="alert">\n    <button ng-show="closeable" type="button" class="close" ng-click="close({$event: $event})">\n        <span aria-hidden="true">&times;</span>\n        <span class="sr-only">Close</span>\n    </button>\n    <div ng-transclude></div>\n</div>\n')}]),angular.module("uib/template/carousel/carousel.html",[]).run(["$templateCache",function(e){e.put("uib/template/carousel/carousel.html",'<div ng-mouseenter="pause()" ng-mouseleave="play()" class="carousel" ng-swipe-right="prev()" ng-swipe-left="next()">\n  <div class="carousel-inner" ng-transclude></div>\n  <a role="button" href class="left carousel-control" ng-click="prev()" ng-class="{ disabled: isPrevDisabled() }" ng-show="slides.length > 1">\n    <span aria-hidden="true" class="glyphicon glyphicon-chevron-left"></span>\n    <span class="sr-only">previous</span>\n  </a>\n  <a role="button" href class="right carousel-control" ng-click="next()" ng-class="{ disabled: isNextDisabled() }" ng-show="slides.length > 1">\n    <span aria-hidden="true" class="glyphicon glyphicon-chevron-right"></span>\n    <span class="sr-only">next</span>\n  </a>\n  <ol class="carousel-indicators" ng-show="slides.length > 1">\n    <li ng-repeat="slide in slides | orderBy:indexOfSlide track by $index" ng-class="{ active: isActive(slide) }" ng-click="select(slide)">\n      <span class="sr-only">slide {{ $index + 1 }} of {{ slides.length }}<span ng-if="isActive(slide)">, currently active</span></span>\n    </li>\n  </ol>\n</div>\n')}]),angular.module("uib/template/carousel/slide.html",[]).run(["$templateCache",function(e){e.put("uib/template/carousel/slide.html",'<div ng-class="{\n    \'active\': active\n  }" class="item text-center" ng-transclude></div>\n')}]),angular.module("uib/template/datepicker/datepicker.html",[]).run(["$templateCache",function(e){e.put("uib/template/datepicker/datepicker.html",'<div class="uib-datepicker" ng-switch="datepickerMode" role="application" ng-keydown="keydown($event)">\n  <uib-daypicker ng-switch-when="day" tabindex="0"></uib-daypicker>\n  <uib-monthpicker ng-switch-when="month" tabindex="0"></uib-monthpicker>\n  <uib-yearpicker ng-switch-when="year" tabindex="0"></uib-yearpicker>\n</div>\n')}]),angular.module("uib/template/datepicker/day.html",[]).run(["$templateCache",function(e){e.put("uib/template/datepicker/day.html",'<table class="uib-daypicker" role="grid" aria-labelledby="{{::uniqueId}}-title" aria-activedescendant="{{activeDateId}}">\n  <thead>\n    <tr>\n      <th><button type="button" class="btn btn-default btn-sm pull-left uib-left" ng-click="move(-1)" tabindex="-1"><i class="glyphicon glyphicon-chevron-left"></i></button></th>\n      <th colspan="{{::5 + showWeeks}}"><button id="{{::uniqueId}}-title" role="heading" aria-live="assertive" aria-atomic="true" type="button" class="btn btn-default btn-sm uib-title" ng-click="toggleMode()" ng-disabled="datepickerMode === maxMode" tabindex="-1"><strong>{{title}}</strong></button></th>\n      <th><button type="button" class="btn btn-default btn-sm pull-right uib-right" ng-click="move(1)" tabindex="-1"><i class="glyphicon glyphicon-chevron-right"></i></button></th>\n    </tr>\n    <tr>\n      <th ng-if="showWeeks" class="text-center"></th>\n      <th ng-repeat="label in ::labels track by $index" class="text-center"><small aria-label="{{::label.full}}">{{::label.abbr}}</small></th>\n    </tr>\n  </thead>\n  <tbody>\n    <tr class="uib-weeks" ng-repeat="row in rows track by $index">\n      <td ng-if="showWeeks" class="text-center h6"><em>{{ weekNumbers[$index] }}</em></td>\n      <td ng-repeat="dt in row" class="uib-day text-center" role="gridcell"\n        id="{{::dt.uid}}"\n        ng-class="::dt.customClass">\n        <button type="button" class="btn btn-default btn-sm"\n          uib-is-class="\n            \'btn-info\' for selectedDt,\n            \'active\' for activeDt\n            on dt"\n          ng-click="select(dt.date)"\n          ng-disabled="::dt.disabled"\n          tabindex="-1"><span ng-class="::{\'text-muted\': dt.secondary, \'text-info\': dt.current}">{{::dt.label}}</span></button>\n      </td>\n    </tr>\n  </tbody>\n</table>\n')}]),angular.module("uib/template/datepicker/month.html",[]).run(["$templateCache",function(e){e.put("uib/template/datepicker/month.html",'<table class="uib-monthpicker" role="grid" aria-labelledby="{{::uniqueId}}-title" aria-activedescendant="{{activeDateId}}">\n  <thead>\n    <tr>\n      <th><button type="button" class="btn btn-default btn-sm pull-left uib-left" ng-click="move(-1)" tabindex="-1"><i class="glyphicon glyphicon-chevron-left"></i></button></th>\n      <th><button id="{{::uniqueId}}-title" role="heading" aria-live="assertive" aria-atomic="true" type="button" class="btn btn-default btn-sm uib-title" ng-click="toggleMode()" ng-disabled="datepickerMode === maxMode" tabindex="-1"><strong>{{title}}</strong></button></th>\n      <th><button type="button" class="btn btn-default btn-sm pull-right uib-right" ng-click="move(1)" tabindex="-1"><i class="glyphicon glyphicon-chevron-right"></i></button></th>\n    </tr>\n  </thead>\n  <tbody>\n    <tr class="uib-months" ng-repeat="row in rows track by $index">\n      <td ng-repeat="dt in row" class="uib-month text-center" role="gridcell"\n        id="{{::dt.uid}}"\n        ng-class="::dt.customClass">\n        <button type="button" class="btn btn-default"\n          uib-is-class="\n            \'btn-info\' for selectedDt,\n            \'active\' for activeDt\n            on dt"\n          ng-click="select(dt.date)"\n          ng-disabled="::dt.disabled"\n          tabindex="-1"><span ng-class="::{\'text-info\': dt.current}">{{::dt.label}}</span></button>\n      </td>\n    </tr>\n  </tbody>\n</table>\n')}]),angular.module("uib/template/datepicker/year.html",[]).run(["$templateCache",function(e){e.put("uib/template/datepicker/year.html",'<table class="uib-yearpicker" role="grid" aria-labelledby="{{::uniqueId}}-title" aria-activedescendant="{{activeDateId}}">\n  <thead>\n    <tr>\n      <th><button type="button" class="btn btn-default btn-sm pull-left uib-left" ng-click="move(-1)" tabindex="-1"><i class="glyphicon glyphicon-chevron-left"></i></button></th>\n      <th colspan="{{::columns - 2}}"><button id="{{::uniqueId}}-title" role="heading" aria-live="assertive" aria-atomic="true" type="button" class="btn btn-default btn-sm uib-title" ng-click="toggleMode()" ng-disabled="datepickerMode === maxMode" tabindex="-1"><strong>{{title}}</strong></button></th>\n      <th><button type="button" class="btn btn-default btn-sm pull-right uib-right" ng-click="move(1)" tabindex="-1"><i class="glyphicon glyphicon-chevron-right"></i></button></th>\n    </tr>\n  </thead>\n  <tbody>\n    <tr class="uib-years" ng-repeat="row in rows track by $index">\n      <td ng-repeat="dt in row" class="uib-year text-center" role="gridcell"\n        id="{{::dt.uid}}"\n        ng-class="::dt.customClass">\n        <button type="button" class="btn btn-default"\n          uib-is-class="\n            \'btn-info\' for selectedDt,\n            \'active\' for activeDt\n            on dt"\n          ng-click="select(dt.date)"\n          ng-disabled="::dt.disabled"\n          tabindex="-1"><span ng-class="::{\'text-info\': dt.current}">{{::dt.label}}</span></button>\n      </td>\n    </tr>\n  </tbody>\n</table>\n')}]),angular.module("uib/template/datepickerPopup/popup.html",[]).run(["$templateCache",function(e){e.put("uib/template/datepickerPopup/popup.html",'<div>\n  <ul class="uib-datepicker-popup dropdown-menu uib-position-measure" dropdown-nested ng-if="isOpen" ng-keydown="keydown($event)" ng-click="$event.stopPropagation()">\n    <li ng-transclude></li>\n    <li ng-if="showButtonBar" class="uib-button-bar">\n      <span class="btn-group pull-left">\n        <button type="button" class="btn btn-sm btn-info uib-datepicker-current" ng-click="select(\'today\', $event)" ng-disabled="isDisabled(\'today\')">{{ getText(\'current\') }}</button>\n        <button type="button" class="btn btn-sm btn-danger uib-clear" ng-click="select(null, $event)">{{ getText(\'clear\') }}</button>\n      </span>\n      <button type="button" class="btn btn-sm btn-success pull-right uib-close" ng-click="close($event)">{{ getText(\'close\') }}</button>\n    </li>\n  </ul>\n</div>\n')}]),angular.module("uib/template/modal/backdrop.html",[]).run(["$templateCache",function(e){e.put("uib/template/modal/backdrop.html",'<div class="modal-backdrop"\n     uib-modal-animation-class="fade"\n     modal-in-class="in"\n     ng-style="{\'z-index\': 1040 + (index && 1 || 0) + index*10}"\n></div>\n')}]),angular.module("uib/template/modal/window.html",[]).run(["$templateCache",function(e){e.put("uib/template/modal/window.html",'<div modal-render="{{$isRendered}}" tabindex="-1" role="dialog" class="modal"\n    uib-modal-animation-class="fade"\n    modal-in-class="in"\n    ng-style="{\'z-index\': 1050 + index*10, display: \'block\'}">\n    <div class="modal-dialog {{size ? \'modal-\' + size : \'\'}}"><div class="modal-content" uib-modal-transclude></div></div>\n</div>\n')}]),angular.module("uib/template/pager/pager.html",[]).run(["$templateCache",function(e){e.put("uib/template/pager/pager.html",'<ul class="pager">\n  <li ng-class="{disabled: noPrevious()||ngDisabled, previous: align}"><a href ng-click="selectPage(page - 1, $event)">{{::getText(\'previous\')}}</a></li>\n  <li ng-class="{disabled: noNext()||ngDisabled, next: align}"><a href ng-click="selectPage(page + 1, $event)">{{::getText(\'next\')}}</a></li>\n</ul>\n')}]),angular.module("uib/template/pagination/pagination.html",[]).run(["$templateCache",function(e){e.put("uib/template/pagination/pagination.html",'<ul class="pagination">\n  <li ng-if="::boundaryLinks" ng-class="{disabled: noPrevious()||ngDisabled}" class="pagination-first"><a href ng-click="selectPage(1, $event)">{{::getText(\'first\')}}</a></li>\n  <li ng-if="::directionLinks" ng-class="{disabled: noPrevious()||ngDisabled}" class="pagination-prev"><a href ng-click="selectPage(page - 1, $event)">{{::getText(\'previous\')}}</a></li>\n  <li ng-repeat="page in pages track by $index" ng-class="{active: page.active,disabled: ngDisabled&&!page.active}" class="pagination-page"><a href ng-click="selectPage(page.number, $event)">{{page.text}}</a></li>\n  <li ng-if="::directionLinks" ng-class="{disabled: noNext()||ngDisabled}" class="pagination-next"><a href ng-click="selectPage(page + 1, $event)">{{::getText(\'next\')}}</a></li>\n  <li ng-if="::boundaryLinks" ng-class="{disabled: noNext()||ngDisabled}" class="pagination-last"><a href ng-click="selectPage(totalPages, $event)">{{::getText(\'last\')}}</a></li>\n</ul>\n')}]),angular.module("uib/template/tooltip/tooltip-html-popup.html",[]).run(["$templateCache",function(e){e.put("uib/template/tooltip/tooltip-html-popup.html",'<div class="tooltip"\n  tooltip-animation-class="fade"\n  uib-tooltip-classes\n  ng-class="{ in: isOpen() }">\n  <div class="tooltip-arrow"></div>\n  <div class="tooltip-inner" ng-bind-html="contentExp()"></div>\n</div>\n')}]),angular.module("uib/template/tooltip/tooltip-popup.html",[]).run(["$templateCache",function(e){e.put("uib/template/tooltip/tooltip-popup.html",'<div class="tooltip"\n  tooltip-animation-class="fade"\n  uib-tooltip-classes\n  ng-class="{ in: isOpen() }">\n  <div class="tooltip-arrow"></div>\n  <div class="tooltip-inner" ng-bind="content"></div>\n</div>\n')}]),angular.module("uib/template/tooltip/tooltip-template-popup.html",[]).run(["$templateCache",function(e){e.put("uib/template/tooltip/tooltip-template-popup.html",'<div class="tooltip"\n  tooltip-animation-class="fade"\n  uib-tooltip-classes\n  ng-class="{ in: isOpen() }">\n  <div class="tooltip-arrow"></div>\n  <div class="tooltip-inner"\n    uib-tooltip-template-transclude="contentExp()"\n    tooltip-template-transclude-scope="originScope()"></div>\n</div>\n')}]),angular.module("uib/template/popover/popover-html.html",[]).run(["$templateCache",function(e){e.put("uib/template/popover/popover-html.html",'<div class="popover"\n  tooltip-animation-class="fade"\n  uib-tooltip-classes\n  ng-class="{ in: isOpen() }">\n  <div class="arrow"></div>\n\n  <div class="popover-inner">\n      <h3 class="popover-title" ng-bind="uibTitle" ng-if="uibTitle"></h3>\n      <div class="popover-content" ng-bind-html="contentExp()"></div>\n  </div>\n</div>\n')}]),angular.module("uib/template/popover/popover-template.html",[]).run(["$templateCache",function(e){e.put("uib/template/popover/popover-template.html",'<div class="popover"\n  tooltip-animation-class="fade"\n  uib-tooltip-classes\n  ng-class="{ in: isOpen() }">\n  <div class="arrow"></div>\n\n  <div class="popover-inner">\n      <h3 class="popover-title" ng-bind="uibTitle" ng-if="uibTitle"></h3>\n      <div class="popover-content"\n        uib-tooltip-template-transclude="contentExp()"\n        tooltip-template-transclude-scope="originScope()"></div>\n  </div>\n</div>\n')}]),angular.module("uib/template/popover/popover.html",[]).run(["$templateCache",function(e){e.put("uib/template/popover/popover.html",'<div class="popover"\n  tooltip-animation-class="fade"\n  uib-tooltip-classes\n  ng-class="{ in: isOpen() }">\n  <div class="arrow"></div>\n\n  <div class="popover-inner">\n      <h3 class="popover-title" ng-bind="uibTitle" ng-if="uibTitle"></h3>\n      <div class="popover-content" ng-bind="content"></div>\n  </div>\n</div>\n')}]),angular.module("uib/template/progressbar/bar.html",[]).run(["$templateCache",function(e){e.put("uib/template/progressbar/bar.html",'<div class="progress-bar" ng-class="type && \'progress-bar-\' + type" role="progressbar" aria-valuenow="{{value}}" aria-valuemin="0" aria-valuemax="{{max}}" ng-style="{width: (percent < 100 ? percent : 100) + \'%\'}" aria-valuetext="{{percent | number:0}}%" aria-labelledby="{{::title}}" ng-transclude></div>\n')}]),angular.module("uib/template/progressbar/progress.html",[]).run(["$templateCache",function(e){e.put("uib/template/progressbar/progress.html",'<div class="progress" ng-transclude aria-labelledby="{{::title}}"></div>')}]),angular.module("uib/template/progressbar/progressbar.html",[]).run(["$templateCache",function(e){e.put("uib/template/progressbar/progressbar.html",'<div class="progress">\n  <div class="progress-bar" ng-class="type && \'progress-bar-\' + type" role="progressbar" aria-valuenow="{{value}}" aria-valuemin="0" aria-valuemax="{{max}}" ng-style="{width: (percent < 100 ? percent : 100) + \'%\'}" aria-valuetext="{{percent | number:0}}%" aria-labelledby="{{::title}}" ng-transclude></div>\n</div>\n')}]),angular.module("uib/template/rating/rating.html",[]).run(["$templateCache",function(e){e.put("uib/template/rating/rating.html",'<span ng-mouseleave="reset()" ng-keydown="onKeydown($event)" tabindex="0" role="slider" aria-valuemin="0" aria-valuemax="{{range.length}}" aria-valuenow="{{value}}" aria-valuetext="{{title}}">\n    <span ng-repeat-start="r in range track by $index" class="sr-only">({{ $index < value ? \'*\' : \' \' }})</span>\n    <i ng-repeat-end ng-mouseenter="enter($index + 1)" ng-click="rate($index + 1)" class="glyphicon" ng-class="$index < value && (r.stateOn || \'glyphicon-star\') || (r.stateOff || \'glyphicon-star-empty\')" ng-attr-title="{{r.title}}"></i>\n</span>\n')}]),angular.module("uib/template/tabs/tab.html",[]).run(["$templateCache",function(e){e.put("uib/template/tabs/tab.html",'<li ng-class="[{active: active, disabled: disabled}, classes]" class="uib-tab nav-item">\n  <a href ng-click="select($event)" class="nav-link" uib-tab-heading-transclude>{{heading}}</a>\n</li>\n')}]),angular.module("uib/template/tabs/tabset.html",[]).run(["$templateCache",function(e){e.put("uib/template/tabs/tabset.html",'<div>\n  <ul class="nav nav-{{tabset.type || \'tabs\'}}" ng-class="{\'nav-stacked\': vertical, \'nav-justified\': justified}" ng-transclude></ul>\n  <div class="tab-content">\n    <div class="tab-pane"\n         ng-repeat="tab in tabset.tabs"\n         ng-class="{active: tabset.active === tab.index}"\n         uib-tab-content-transclude="tab">\n    </div>\n  </div>\n</div>\n')}]),angular.module("uib/template/timepicker/timepicker.html",[]).run(["$templateCache",function(e){e.put("uib/template/timepicker/timepicker.html",'<table class="uib-timepicker">\n  <tbody>\n    <tr class="text-center" ng-show="::showSpinners">\n      <td class="uib-increment hours"><a ng-click="incrementHours()" ng-class="{disabled: noIncrementHours()}" class="btn btn-link" ng-disabled="noIncrementHours()" tabindex="{{::tabindex}}"><span class="glyphicon glyphicon-chevron-up"></span></a></td>\n      <td>&nbsp;</td>\n      <td class="uib-increment minutes"><a ng-click="incrementMinutes()" ng-class="{disabled: noIncrementMinutes()}" class="btn btn-link" ng-disabled="noIncrementMinutes()" tabindex="{{::tabindex}}"><span class="glyphicon glyphicon-chevron-up"></span></a></td>\n      <td ng-show="showSeconds">&nbsp;</td>\n      <td ng-show="showSeconds" class="uib-increment seconds"><a ng-click="incrementSeconds()" ng-class="{disabled: noIncrementSeconds()}" class="btn btn-link" ng-disabled="noIncrementSeconds()" tabindex="{{::tabindex}}"><span class="glyphicon glyphicon-chevron-up"></span></a></td>\n      <td ng-show="showMeridian"></td>\n    </tr>\n    <tr>\n      <td class="form-group uib-time hours" ng-class="{\'has-error\': invalidHours}">\n        <input type="text" placeholder="HH" ng-model="hours" ng-change="updateHours()" class="form-control text-center" ng-readonly="::readonlyInput" maxlength="2" tabindex="{{::tabindex}}" ng-disabled="noIncrementHours()" ng-blur="blur()">\n      </td>\n      <td class="uib-separator">:</td>\n      <td class="form-group uib-time minutes" ng-class="{\'has-error\': invalidMinutes}">\n        <input type="text" placeholder="MM" ng-model="minutes" ng-change="updateMinutes()" class="form-control text-center" ng-readonly="::readonlyInput" maxlength="2" tabindex="{{::tabindex}}" ng-disabled="noIncrementMinutes()" ng-blur="blur()">\n      </td>\n      <td ng-show="showSeconds" class="uib-separator">:</td>\n      <td class="form-group uib-time seconds" ng-class="{\'has-error\': invalidSeconds}" ng-show="showSeconds">\n        <input type="text" placeholder="SS" ng-model="seconds" ng-change="updateSeconds()" class="form-control text-center" ng-readonly="readonlyInput" maxlength="2" tabindex="{{::tabindex}}" ng-disabled="noIncrementSeconds()" ng-blur="blur()">\n      </td>\n      <td ng-show="showMeridian" class="uib-time am-pm"><button type="button" ng-class="{disabled: noToggleMeridian()}" class="btn btn-default text-center" ng-click="toggleMeridian()" ng-disabled="noToggleMeridian()" tabindex="{{::tabindex}}">{{meridian}}</button></td>\n    </tr>\n    <tr class="text-center" ng-show="::showSpinners">\n      <td class="uib-decrement hours"><a ng-click="decrementHours()" ng-class="{disabled: noDecrementHours()}" class="btn btn-link" ng-disabled="noDecrementHours()" tabindex="{{::tabindex}}"><span class="glyphicon glyphicon-chevron-down"></span></a></td>\n      <td>&nbsp;</td>\n      <td class="uib-decrement minutes"><a ng-click="decrementMinutes()" ng-class="{disabled: noDecrementMinutes()}" class="btn btn-link" ng-disabled="noDecrementMinutes()" tabindex="{{::tabindex}}"><span class="glyphicon glyphicon-chevron-down"></span></a></td>\n      <td ng-show="showSeconds">&nbsp;</td>\n      <td ng-show="showSeconds" class="uib-decrement seconds"><a ng-click="decrementSeconds()" ng-class="{disabled: noDecrementSeconds()}" class="btn btn-link" ng-disabled="noDecrementSeconds()" tabindex="{{::tabindex}}"><span class="glyphicon glyphicon-chevron-down"></span></a></td>\n      <td ng-show="showMeridian"></td>\n    </tr>\n  </tbody>\n</table>\n')}]),angular.module("uib/template/typeahead/typeahead-match.html",[]).run(["$templateCache",function(e){e.put("uib/template/typeahead/typeahead-match.html",'<a href\n   tabindex="-1"\n   ng-bind-html="match.label | uibTypeaheadHighlight:query"\n   ng-attr-title="{{match.label}}"></a>\n')}]),angular.module("uib/template/typeahead/typeahead-popup.html",[]).run(["$templateCache",function(e){e.put("uib/template/typeahead/typeahead-popup.html",'<ul class="dropdown-menu" ng-show="isOpen() && !moveInProgress" ng-style="{top: position().top+\'px\', left: position().left+\'px\'}" role="listbox" aria-hidden="{{!isOpen()}}">\n    <li ng-repeat="match in matches track by $index" ng-class="{active: isActive($index) }" ng-mouseenter="selectActive($index)" ng-click="selectMatch($index, $event)" role="option" id="{{::match.id}}">\n        <div uib-typeahead-match index="$index" match="match" query="query" template-url="templateUrl"></div>\n    </li>\n</ul>\n')}]),angular.module("ui.bootstrap.carousel").run(function(){!angular.$$csp().noInlineStyle&&!angular.$$uibCarouselCss&&angular.element(document).find("head").prepend('<style type="text/css">.ng-animate.item:not(.left):not(.right){-webkit-transition:0s ease-in-out left;transition:0s ease-in-out left}</style>'),angular.$$uibCarouselCss=!0}),angular.module("ui.bootstrap.datepicker").run(function(){!angular.$$csp().noInlineStyle&&!angular.$$uibDatepickerCss&&angular.element(document).find("head").prepend('<style type="text/css">.uib-datepicker .uib-title{width:100%;}.uib-day button,.uib-month button,.uib-year button{min-width:100%;}.uib-left,.uib-right{width:100%}</style>'),angular.$$uibDatepickerCss=!0}),angular.module("ui.bootstrap.position").run(function(){!angular.$$csp().noInlineStyle&&!angular.$$uibPositionCss&&angular.element(document).find("head").prepend('<style type="text/css">.uib-position-measure{display:block !important;visibility:hidden !important;position:absolute !important;top:-9999px !important;left:-9999px !important;}.uib-position-scrollbar-measure{position:absolute !important;top:-9999px !important;width:50px !important;height:50px !important;overflow:scroll !important;}.uib-position-body-scrollbar-measure{overflow:scroll !important;}</style>'),angular.$$uibPositionCss=!0}),angular.module("ui.bootstrap.datepickerPopup").run(function(){!angular.$$csp().noInlineStyle&&!angular.$$uibDatepickerpopupCss&&angular.element(document).find("head").prepend('<style type="text/css">.uib-datepicker-popup.dropdown-menu{display:block;float:none;margin:0;}.uib-button-bar{padding:10px 9px 2px;}</style>'),angular.$$uibDatepickerpopupCss=!0}),angular.module("ui.bootstrap.tooltip").run(function(){!angular.$$csp().noInlineStyle&&!angular.$$uibTooltipCss&&angular.element(document).find("head").prepend('<style type="text/css">[uib-tooltip-popup].tooltip.top-left > .tooltip-arrow,[uib-tooltip-popup].tooltip.top-right > .tooltip-arrow,[uib-tooltip-popup].tooltip.bottom-left > .tooltip-arrow,[uib-tooltip-popup].tooltip.bottom-right > .tooltip-arrow,[uib-tooltip-popup].tooltip.left-top > .tooltip-arrow,[uib-tooltip-popup].tooltip.left-bottom > .tooltip-arrow,[uib-tooltip-popup].tooltip.right-top > .tooltip-arrow,[uib-tooltip-popup].tooltip.right-bottom > .tooltip-arrow,[uib-tooltip-html-popup].tooltip.top-left > .tooltip-arrow,[uib-tooltip-html-popup].tooltip.top-right > .tooltip-arrow,[uib-tooltip-html-popup].tooltip.bottom-left > .tooltip-arrow,[uib-tooltip-html-popup].tooltip.bottom-right > .tooltip-arrow,[uib-tooltip-html-popup].tooltip.left-top > .tooltip-arrow,[uib-tooltip-html-popup].tooltip.left-bottom > .tooltip-arrow,[uib-tooltip-html-popup].tooltip.right-top > .tooltip-arrow,[uib-tooltip-html-popup].tooltip.right-bottom > .tooltip-arrow,[uib-tooltip-template-popup].tooltip.top-left > .tooltip-arrow,[uib-tooltip-template-popup].tooltip.top-right > .tooltip-arrow,[uib-tooltip-template-popup].tooltip.bottom-left > .tooltip-arrow,[uib-tooltip-template-popup].tooltip.bottom-right > .tooltip-arrow,[uib-tooltip-template-popup].tooltip.left-top > .tooltip-arrow,[uib-tooltip-template-popup].tooltip.left-bottom > .tooltip-arrow,[uib-tooltip-template-popup].tooltip.right-top > .tooltip-arrow,[uib-tooltip-template-popup].tooltip.right-bottom > .tooltip-arrow,[uib-popover-popup].popover.top-left > .arrow,[uib-popover-popup].popover.top-right > .arrow,[uib-popover-popup].popover.bottom-left > .arrow,[uib-popover-popup].popover.bottom-right > .arrow,[uib-popover-popup].popover.left-top > .arrow,[uib-popover-popup].popover.left-bottom > .arrow,[uib-popover-popup].popover.right-top > .arrow,[uib-popover-popup].popover.right-bottom > .arrow,[uib-popover-html-popup].popover.top-left > .arrow,[uib-popover-html-popup].popover.top-right > .arrow,[uib-popover-html-popup].popover.bottom-left > .arrow,[uib-popover-html-popup].popover.bottom-right > .arrow,[uib-popover-html-popup].popover.left-top > .arrow,[uib-popover-html-popup].popover.left-bottom > .arrow,[uib-popover-html-popup].popover.right-top > .arrow,[uib-popover-html-popup].popover.right-bottom > .arrow,[uib-popover-template-popup].popover.top-left > .arrow,[uib-popover-template-popup].popover.top-right > .arrow,[uib-popover-template-popup].popover.bottom-left > .arrow,[uib-popover-template-popup].popover.bottom-right > .arrow,[uib-popover-template-popup].popover.left-top > .arrow,[uib-popover-template-popup].popover.left-bottom > .arrow,[uib-popover-template-popup].popover.right-top > .arrow,[uib-popover-template-popup].popover.right-bottom > .arrow{top:auto;bottom:auto;left:auto;right:auto;margin:0;}[uib-popover-popup].popover,[uib-popover-html-popup].popover,[uib-popover-template-popup].popover{display:block !important;}</style>'),angular.$$uibTooltipCss=!0}),angular.module("ui.bootstrap.timepicker").run(function(){!angular.$$csp().noInlineStyle&&!angular.$$uibTimepickerCss&&angular.element(document).find("head").prepend('<style type="text/css">.uib-time input{width:50px;}</style>'),angular.$$uibTimepickerCss=!0}),angular.module("ui.bootstrap.typeahead").run(function(){!angular.$$csp().noInlineStyle&&!angular.$$uibTypeaheadCss&&angular.element(document).find("head").prepend('<style type="text/css">[uib-typeahead-popup].dropdown-menu{display:block;}</style>'),angular.$$uibTypeaheadCss=!0}),angular.module("ui.bootstrap",["ui.bootstrap.collapse","ui.bootstrap.accordion","ui.bootstrap.alert","ui.bootstrap.buttons","ui.bootstrap.carousel","ui.bootstrap.dateparser","ui.bootstrap.isClass","ui.bootstrap.datepicker","ui.bootstrap.position","ui.bootstrap.datepickerPopup","ui.bootstrap.debounce","ui.bootstrap.dropdown","ui.bootstrap.stackedMap","ui.bootstrap.modal","ui.bootstrap.paging","ui.bootstrap.pager","ui.bootstrap.pagination","ui.bootstrap.tooltip","ui.bootstrap.popover","ui.bootstrap.progressbar","ui.bootstrap.rating","ui.bootstrap.tabs","ui.bootstrap.timepicker","ui.bootstrap.typeahead"]),angular.module("ui.bootstrap.collapse",[]).directive("uibCollapse",["$animate","$q","$parse","$injector",function(e,t,n,r){var i=r.has("$animateCss")?r.get("$animateCss"):null;return{link:function(r,a,o){function s(){a.hasClass("collapse")&&a.hasClass("in")||t.resolve(p(r)).then(function(){a.removeClass("collapse").addClass("collapsing").attr("aria-expanded",!0).attr("aria-hidden",!1),i?i(a,{addClass:"in",easing:"ease",to:{height:a[0].scrollHeight+"px"}}).start().finally(l):e.addClass(a,"in",{to:{height:a[0].scrollHeight+"px"}}).then(l)})}function l(){a.removeClass("collapsing").addClass("collapse").css({height:"auto"}),d(r)}function u(){if(!a.hasClass("collapse")&&!a.hasClass("in"))return c();t.resolve(f(r)).then(function(){a.css({height:a[0].scrollHeight+"px"}).removeClass("collapse").addClass("collapsing").attr("aria-expanded",!1).attr("aria-hidden",!0),i?i(a,{removeClass:"in",to:{height:"0"}}).start().finally(c):e.removeClass(a,"in",{to:{height:"0"}}).then(c)})}function c(){a.css({height:"0"}),a.removeClass("collapsing").addClass("collapse"),h(r)}var p=n(o.expanding),d=n(o.expanded),f=n(o.collapsing),h=n(o.collapsed);r.$eval(o.uibCollapse)||a.addClass("in").addClass("collapse").attr("aria-expanded",!0).attr("aria-hidden",!1).css({height:"auto"}),r.$watch(o.uibCollapse,function(e){e?u():s()})}}}]),angular.module("ui.bootstrap.accordion",["ui.bootstrap.collapse"]).constant("uibAccordionConfig",{closeOthers:!0}).controller("UibAccordionController",["$scope","$attrs","uibAccordionConfig",function(e,t,n){this.groups=[],this.closeOthers=function(r){(angular.isDefined(t.closeOthers)?e.$eval(t.closeOthers):n.closeOthers)&&angular.forEach(this.groups,function(e){e!==r&&(e.isOpen=!1)})},this.addGroup=function(e){var t=this;this.groups.push(e),e.$on("$destroy",function(n){t.removeGroup(e)})},this.removeGroup=function(e){var t=this.groups.indexOf(e);-1!==t&&this.groups.splice(t,1)}}]).directive("uibAccordion",function(){return{controller:"UibAccordionController",controllerAs:"accordion",transclude:!0,templateUrl:function(e,t){return t.templateUrl||"uib/template/accordion/accordion.html"}}}).directive("uibAccordionGroup",function(){return{require:"^uibAccordion",transclude:!0,replace:!0,templateUrl:function(e,t){return t.templateUrl||"uib/template/accordion/accordion-group.html"},scope:{heading:"@",panelClass:"@?",isOpen:"=?",isDisabled:"=?"},controller:function(){this.setHeading=function(e){this.heading=e}},link:function(e,t,n,r){r.addGroup(e),e.openClass=n.openClass||"panel-open",e.panelClass=n.panelClass||"panel-default",e.$watch("isOpen",function(n){t.toggleClass(e.openClass,!!n),n&&r.closeOthers(e)}),e.toggleOpen=function(t){e.isDisabled||t&&32!==t.which||(e.isOpen=!e.isOpen)};var i="accordiongroup-"+e.$id+"-"+Math.floor(1e4*Math.random());e.headingId=i+"-tab",e.panelId=i+"-panel"}}}).directive("uibAccordionHeading",function(){return{transclude:!0,template:"",replace:!0,require:"^uibAccordionGroup",link:function(e,t,n,r,i){r.setHeading(i(e,angular.noop))}}}).directive("uibAccordionTransclude",function(){function e(){return"uib-accordion-header,data-uib-accordion-header,x-uib-accordion-header,uib\\:accordion-header,[uib-accordion-header],[data-uib-accordion-header],[x-uib-accordion-header]"}return{require:"^uibAccordionGroup",link:function(t,n,r,i){t.$watch(function(){return i[r.uibAccordionTransclude]},function(t){if(t){var r=angular.element(n[0].querySelector(e()));r.html(""),r.append(t)}})}}}),angular.module("ui.bootstrap.alert",[]).controller("UibAlertController",["$scope","$attrs","$interpolate","$timeout",function(e,t,n,r){e.closeable=!!t.close;var i=angular.isDefined(t.dismissOnTimeout)?n(t.dismissOnTimeout)(e.$parent):null;i&&r(function(){e.close()},parseInt(i,10))}]).directive("uibAlert",function(){return{controller:"UibAlertController",controllerAs:"alert",templateUrl:function(e,t){return t.templateUrl||"uib/template/alert/alert.html"},transclude:!0,replace:!0,scope:{type:"@",close:"&"}}}),angular.module("ui.bootstrap.buttons",[]).constant("uibButtonConfig",{activeClass:"active",toggleEvent:"click"}).controller("UibButtonsController",["uibButtonConfig",function(e){this.activeClass=e.activeClass||"active",this.toggleEvent=e.toggleEvent||"click"}]).directive("uibBtnRadio",["$parse",function(e){return{require:["uibBtnRadio","ngModel"],controller:"UibButtonsController",controllerAs:"buttons",link:function(t,n,r,i){var a=i[0],o=i[1],s=e(r.uibUncheckable);n.find("input").css({display:"none"}),o.$render=function(){n.toggleClass(a.activeClass,angular.equals(o.$modelValue,t.$eval(r.uibBtnRadio)))},n.on(a.toggleEvent,function(){if(!r.disabled){var e=n.hasClass(a.activeClass);e&&!angular.isDefined(r.uncheckable)||t.$apply(function(){o.$setViewValue(e?null:t.$eval(r.uibBtnRadio)),o.$render()})}}),r.uibUncheckable&&t.$watch(s,function(e){r.$set("uncheckable",e?"":void 0)})}}}]).directive("uibBtnCheckbox",function(){return{require:["uibBtnCheckbox","ngModel"],controller:"UibButtonsController",controllerAs:"button",link:function(e,t,n,r){function i(){return o(n.btnCheckboxTrue,!0)}function a(){return o(n.btnCheckboxFalse,!1)}function o(t,n){return angular.isDefined(t)?e.$eval(t):n}var s=r[0],l=r[1];t.find("input").css({display:"none"}),l.$render=function(){t.toggleClass(s.activeClass,angular.equals(l.$modelValue,i()))},t.on(s.toggleEvent,function(){n.disabled||e.$apply(function(){l.$setViewValue(t.hasClass(s.activeClass)?a():i()),l.$render()})})}}}),angular.module("ui.bootstrap.carousel",[]).controller("UibCarouselController",["$scope","$element","$interval","$timeout","$animate",function(e,t,n,r,i){function a(){for(;$.length;)$.shift()}function o(e){for(var t=0;t<g.length;t++)g[t].slide.active=t===e}function s(n,r,l){if(!y){if(angular.extend(n,{direction:l}),angular.extend(g[b].slide||{},{direction:l}),i.enabled(t)&&!e.$currentTransition&&g[r].element&&m.slides.length>1){g[r].element.data(v,n.direction);var u=m.getCurrentIndex();angular.isNumber(u)&&g[u].element&&g[u].element.data(v,n.direction),e.$currentTransition=!0,i.on("addClass",g[r].element,function(t,n){if("close"===n&&(e.$currentTransition=null,i.off("addClass",t),$.length)){var r=$.pop().slide,o=r.index,l=o>m.getCurrentIndex()?"next":"prev";a(),s(r,o,l)}})}e.active=n.index,b=n.index,o(r),p()}}function l(e){for(var t=0;t<g.length;t++)if(g[t].slide===e)return t}function u(){f&&(n.cancel(f),f=null)}function c(t){t.length||(e.$currentTransition=null,a())}function p(){u();var t=+e.interval;!isNaN(t)&&t>0&&(f=n(d,t))}function d(){var t=+e.interval;h&&!isNaN(t)&&t>0&&g.length?e.next():e.pause()}var f,h,m=this,g=m.slides=e.slides=[],v="uib-slideDirection",b=e.active,$=[],y=!1;m.addSlide=function(t,n){g.push({slide:t,element:n}),g.sort(function(e,t){return+e.slide.index-+t.slide.index}),(t.index===e.active||1===g.length&&!angular.isNumber(e.active))&&(e.$currentTransition&&(e.$currentTransition=null),b=t.index,e.active=t.index,o(b),m.select(g[l(t)]),1===g.length&&e.play())},m.getCurrentIndex=function(){for(var e=0;e<g.length;e++)if(g[e].slide.index===b)return e},m.next=e.next=function(){var t=(m.getCurrentIndex()+1)%g.length;return 0===t&&e.noWrap()?void e.pause():m.select(g[t],"next")},m.prev=e.prev=function(){var t=m.getCurrentIndex()-1<0?g.length-1:m.getCurrentIndex()-1;return e.noWrap()&&t===g.length-1?void e.pause():m.select(g[t],"prev")},m.removeSlide=function(t){var n=l(t),r=$.indexOf(g[n]);-1!==r&&$.splice(r,1),g.splice(n,1),g.length>0&&b===n?n>=g.length?(b=g.length-1,e.active=b,o(b),m.select(g[g.length-1])):(b=n,e.active=b,o(b),m.select(g[n])):b>n&&(b--,e.active=b),0===g.length&&(b=null,e.active=null,a())},m.select=e.select=function(t,n){var r=l(t.slide);void 0===n&&(n=r>m.getCurrentIndex()?"next":"prev"),t.slide.index===b||e.$currentTransition?t&&t.slide.index!==b&&e.$currentTransition&&$.push(g[r]):s(t.slide,r,n)},e.indexOfSlide=function(e){return+e.slide.index},e.isActive=function(t){return e.active===t.slide.index},e.isPrevDisabled=function(){return 0===e.active&&e.noWrap()},e.isNextDisabled=function(){return e.active===g.length-1&&e.noWrap()},e.pause=function(){e.noPause||(h=!1,u())},e.play=function(){h||(h=!0,p())},e.$on("$destroy",function(){y=!0,u()}),e.$watch("noTransition",function(e){i.enabled(t,!e)}),e.$watch("interval",p),e.$watchCollection("slides",c),e.$watch("active",function(e){if(angular.isNumber(e)&&b!==e){for(var t=0;t<g.length;t++)if(g[t].slide.index===e){e=t;break}g[e]&&(o(e),m.select(g[e]),b=e)}})}]).directive("uibCarousel",function(){return{transclude:!0,replace:!0,controller:"UibCarouselController",controllerAs:"carousel",templateUrl:function(e,t){return t.templateUrl||"uib/template/carousel/carousel.html"},scope:{active:"=",interval:"=",noTransition:"=",noPause:"=",noWrap:"&"}}}).directive("uibSlide",function(){return{require:"^uibCarousel",transclude:!0,replace:!0,templateUrl:function(e,t){return t.templateUrl||"uib/template/carousel/slide.html"},scope:{actual:"=?",index:"=?"},link:function(e,t,n,r){r.addSlide(e,t),e.$on("$destroy",function(){r.removeSlide(e)})}}}).animation(".item",["$animateCss",function(e){function t(e,t,n){e.removeClass(t),n&&n()}var n="uib-slideDirection";return{beforeAddClass:function(r,i,a){if("active"===i){var o=!1,s=r.data(n),l="next"===s?"left":"right",u=t.bind(this,r,l+" "+s,a);return r.addClass(s),e(r,{addClass:l}).start().done(u),function(){o=!0}}a()},beforeRemoveClass:function(r,i,a){if("active"===i){var o=!1,s=r.data(n),l="next"===s?"left":"right",u=t.bind(this,r,l,a);return e(r,{addClass:l}).start().done(u),function(){o=!0}}a()}}}]),angular.module("ui.bootstrap.dateparser",[]).service("uibDateParser",["$log","$locale","dateFilter","orderByFilter",function(e,t,n,r){function i(e,t){var n=[],i=e.split(""),a=e.indexOf("'");if(a>-1){var o=!1;e=e.split("");for(var s=a;s<e.length;s++)o?("'"===e[s]&&(s+1<e.length&&"'"===e[s+1]?(e[s+1]="$",i[s+1]=""):(i[s]="",o=!1)),e[s]="$"):"'"===e[s]&&(e[s]="$",i[s]="",o=!0);e=e.join("")}return angular.forEach(f,function(r){var a=e.indexOf(r.key);if(a>-1){e=e.split(""),i[a]="("+r.regex+")",e[a]="$";for(var o=a+1,s=a+r.key.length;o<s;o++)i[o]="",e[o]="$";e=e.join(""),n.push({index:a,key:r.key,apply:r[t],matcher:r.regex})}}),{regex:new RegExp("^"+i.join("")+"$"),map:r(n,"index")}}function a(e,t,n){return!(n<1)&&(1===t&&n>28?29===n&&(e%4==0&&e%100!=0||e%400==0):3!==t&&5!==t&&8!==t&&10!==t||n<31)}function o(e){return parseInt(e,10)}function s(e,t){return e&&t?p(e,t):e}function l(e,t){return e&&t?p(e,t,!0):e}function u(e,t){e=e.replace(/:/g,"");var n=Date.parse("Jan 01, 1970 00:00:00 "+e)/6e4;return isNaN(n)?t:n}function c(e,t){return e=new Date(e.getTime()),e.setMinutes(e.getMinutes()+t),e}function p(e,t,n){n=n?-1:1;var r=e.getTimezoneOffset();return c(e,n*(u(t,r)-r))}var d,f,h=/[\\\^\$\*\+\?\|\[\]\(\)\.\{\}]/g;this.init=function(){d=t.id,this.parsers={},this.formatters={},f=[{key:"yyyy",regex:"\\d{4}",apply:function(e){this.year=+e},formatter:function(e){var t=new Date;return t.setFullYear(Math.abs(e.getFullYear())),n(t,"yyyy")}},{key:"yy",regex:"\\d{2}",apply:function(e){e=+e,this.year=e<69?e+2e3:e+1900},formatter:function(e){var t=new Date;return t.setFullYear(Math.abs(e.getFullYear())),n(t,"yy")}},{key:"y",regex:"\\d{1,4}",apply:function(e){this.year=+e},formatter:function(e){var t=new Date;return t.setFullYear(Math.abs(e.getFullYear())),n(t,"y")}},{key:"M!",regex:"0?[1-9]|1[0-2]",apply:function(e){this.month=e-1},formatter:function(e){return/^[0-9]$/.test(e.getMonth())?n(e,"MM"):n(e,"M")}},{key:"MMMM",regex:t.DATETIME_FORMATS.MONTH.join("|"),apply:function(e){this.month=t.DATETIME_FORMATS.MONTH.indexOf(e)},formatter:function(e){return n(e,"MMMM")}},{key:"MMM",regex:t.DATETIME_FORMATS.SHORTMONTH.join("|"),apply:function(e){this.month=t.DATETIME_FORMATS.SHORTMONTH.indexOf(e)},formatter:function(e){return n(e,"MMM")}},{key:"MM",regex:"0[1-9]|1[0-2]",apply:function(e){this.month=e-1},formatter:function(e){return n(e,"MM")}},{key:"M",regex:"[1-9]|1[0-2]",apply:function(e){this.month=e-1},formatter:function(e){return n(e,"M")}},{key:"d!",regex:"[0-2]?[0-9]{1}|3[0-1]{1}",apply:function(e){this.date=+e},formatter:function(e){return/^[1-9]$/.test(e.getDate())?n(e,"dd"):n(e,"d")}},{key:"dd",regex:"[0-2][0-9]{1}|3[0-1]{1}",apply:function(e){this.date=+e},formatter:function(e){return n(e,"dd")}},{key:"d",regex:"[1-2]?[0-9]{1}|3[0-1]{1}",apply:function(e){this.date=+e},formatter:function(e){return n(e,"d")}},{key:"EEEE",regex:t.DATETIME_FORMATS.DAY.join("|"),formatter:function(e){return n(e,"EEEE")}},{key:"EEE",regex:t.DATETIME_FORMATS.SHORTDAY.join("|"),formatter:function(e){return n(e,"EEE")}},{key:"HH",regex:"(?:0|1)[0-9]|2[0-3]",apply:function(e){this.hours=+e},formatter:function(e){return n(e,"HH")}},{key:"hh",regex:"0[0-9]|1[0-2]",apply:function(e){this.hours=+e},formatter:function(e){return n(e,"hh")}},{key:"H",regex:"1?[0-9]|2[0-3]",apply:function(e){this.hours=+e},formatter:function(e){return n(e,"H")}},{key:"h",regex:"[0-9]|1[0-2]",apply:function(e){this.hours=+e},formatter:function(e){return n(e,"h")}},{key:"mm",regex:"[0-5][0-9]",apply:function(e){this.minutes=+e},formatter:function(e){return n(e,"mm")}},{key:"m",regex:"[0-9]|[1-5][0-9]",apply:function(e){this.minutes=+e},formatter:function(e){return n(e,"m")}},{key:"sss",regex:"[0-9][0-9][0-9]",apply:function(e){this.milliseconds=+e},formatter:function(e){return n(e,"sss")}},{key:"ss",regex:"[0-5][0-9]",apply:function(e){this.seconds=+e},formatter:function(e){return n(e,"ss")}},{key:"s",regex:"[0-9]|[1-5][0-9]",apply:function(e){this.seconds=+e},formatter:function(e){return n(e,"s")}},{key:"a",regex:t.DATETIME_FORMATS.AMPMS.join("|"),apply:function(e){12===this.hours&&(this.hours=0),"PM"===e&&(this.hours+=12)},formatter:function(e){return n(e,"a")}},{key:"Z",regex:"[+-]\\d{4}",apply:function(e){var t=e.match(/([+-])(\d{2})(\d{2})/),n=t[1],r=t[2],i=t[3];this.hours+=o(n+r),this.minutes+=o(n+i)},formatter:function(e){return n(e,"Z")}},{key:"ww",regex:"[0-4][0-9]|5[0-3]",formatter:function(e){return n(e,"ww")}},{key:"w",regex:"[0-9]|[1-4][0-9]|5[0-3]",formatter:function(e){return n(e,"w")}},{key:"GGGG",regex:t.DATETIME_FORMATS.ERANAMES.join("|").replace(/\s/g,"\\s"),formatter:function(e){return n(e,"GGGG")}},{key:"GGG",regex:t.DATETIME_FORMATS.ERAS.join("|"),formatter:function(e){return n(e,"GGG")}},{key:"GG",regex:t.DATETIME_FORMATS.ERAS.join("|"),formatter:function(e){return n(e,"GG")}},{key:"G",regex:t.DATETIME_FORMATS.ERAS.join("|"),formatter:function(e){return n(e,"G")}}]},this.init(),this.filter=function(e,n){if(!angular.isDate(e)||isNaN(e)||!n)return"";n=t.DATETIME_FORMATS[n]||n,t.id!==d&&this.init(),this.formatters[n]||(this.formatters[n]=i(n,"formatter"));var r=this.formatters[n],a=r.map,o=n;return a.reduce(function(t,n,r){var i=o.match(new RegExp("(.*)"+n.key));i&&angular.isString(i[1])&&(t+=i[1],o=o.replace(i[1]+n.key,""));var s=r===a.length-1?o:"";return n.apply?t+n.apply.call(null,e)+s:t+s},"")},this.parse=function(n,r,o){if(!angular.isString(n)||!r)return n;r=t.DATETIME_FORMATS[r]||r,r=r.replace(h,"\\$&"),t.id!==d&&this.init(),this.parsers[r]||(this.parsers[r]=i(r,"apply"));var s=this.parsers[r],l=s.regex,u=s.map,c=n.match(l),p=!1;if(c&&c.length){var f,m;angular.isDate(o)&&!isNaN(o.getTime())?f={year:o.getFullYear(),month:o.getMonth(),date:o.getDate(),hours:o.getHours(),minutes:o.getMinutes(),seconds:o.getSeconds(),milliseconds:o.getMilliseconds()}:(o&&e.warn("dateparser:","baseDate is not a valid date"),f={year:1900,month:0,date:1,hours:0,minutes:0,seconds:0,milliseconds:0});for(var g=1,v=c.length;g<v;g++){var b=u[g-1];"Z"===b.matcher&&(p=!0),b.apply&&b.apply.call(f,c[g])}var $=p?Date.prototype.setUTCFullYear:Date.prototype.setFullYear,y=p?Date.prototype.setUTCHours:Date.prototype.setHours;return a(f.year,f.month,f.date)&&(!angular.isDate(o)||isNaN(o.getTime())||p?(m=new Date(0),$.call(m,f.year,f.month,f.date),y.call(m,f.hours||0,f.minutes||0,f.seconds||0,f.milliseconds||0)):(m=new Date(o),$.call(m,f.year,f.month,f.date),y.call(m,f.hours,f.minutes,f.seconds,f.milliseconds))),m}},this.toTimezone=s,this.fromTimezone=l,this.timezoneToOffset=u,this.addDateMinutes=c,this.convertTimezoneToLocal=p}]),angular.module("ui.bootstrap.isClass",[]).directive("uibIsClass",["$animate",function(e){var t=/^\s*([\s\S]+?)\s+on\s+([\s\S]+?)\s*$/,n=/^\s*([\s\S]+?)\s+for\s+([\s\S]+?)\s*$/;return{restrict:"A",compile:function(r,i){function a(e,t,n){l.push(e),u.push({scope:e,element:t}),h.forEach(function(t,n){o(t,e)}),e.$on("$destroy",s)}function o(t,r){var i=t.match(n),a=r.$eval(i[1]),o=i[2],s=c[t];if(!s){var l=function(t){var n=null;u.some(function(e){if(e.scope.$eval(d)===t)return n=e,!0}),s.lastActivated!==n&&(s.lastActivated&&e.removeClass(s.lastActivated.element,a),n&&e.addClass(n.element,a),s.lastActivated=n)};c[t]=s={lastActivated:null,scope:r,watchFn:l,compareWithExp:o,watcher:r.$watch(o,l)}}s.watchFn(r.$eval(o))}function s(e){var t=e.targetScope,n=l.indexOf(t);if(l.splice(n,1),u.splice(n,1),l.length){var r=l[0];angular.forEach(c,function(e){e.scope===t&&(e.watcher=r.$watch(e.compareWithExp,e.watchFn),e.scope=r)})}else c={}}var l=[],u=[],c={},p=i.uibIsClass.match(t),d=p[2],f=p[1],h=f.split(",");return a}}}]),angular.module("ui.bootstrap.datepicker",["ui.bootstrap.dateparser","ui.bootstrap.isClass"]).value("$datepickerSuppressError",!1).value("$datepickerLiteralWarning",!0).constant("uibDatepickerConfig",{datepickerMode:"day",formatDay:"dd",formatMonth:"MMMM",formatYear:"yyyy",formatDayHeader:"EEE",formatDayTitle:"MMMM yyyy",formatMonthTitle:"yyyy",maxDate:null,maxMode:"year",minDate:null,minMode:"day",ngModelOptions:{},shortcutPropagation:!1,showWeeks:!0,yearColumns:5,yearRows:4}).controller("UibDatepickerController",["$scope","$attrs","$parse","$interpolate","$locale","$log","dateFilter","uibDatepickerConfig","$datepickerLiteralWarning","$datepickerSuppressError","uibDateParser",function(e,t,n,r,i,a,o,s,l,u,c){function p(t){e.datepickerMode=t,e.datepickerOptions.datepickerMode=t}var d=this,f={$setViewValue:angular.noop},h={},m=[];t.datepickerOptions;e.datepickerOptions||(e.datepickerOptions={}),this.modes=["day","month","year"],["customClass","dateDisabled","datepickerMode","formatDay","formatDayHeader","formatDayTitle","formatMonth","formatMonthTitle","formatYear","maxDate","maxMode","minDate","minMode","showWeeks","shortcutPropagation","startingDay","yearColumns","yearRows"].forEach(function(t){switch(t){case"customClass":case"dateDisabled":e[t]=e.datepickerOptions[t]||angular.noop;break;case"datepickerMode":e.datepickerMode=angular.isDefined(e.datepickerOptions.datepickerMode)?e.datepickerOptions.datepickerMode:s.datepickerMode;break;case"formatDay":case"formatDayHeader":case"formatDayTitle":case"formatMonth":case"formatMonthTitle":case"formatYear":d[t]=angular.isDefined(e.datepickerOptions[t])?r(e.datepickerOptions[t])(e.$parent):s[t];break;case"showWeeks":case"shortcutPropagation":case"yearColumns":case"yearRows":d[t]=angular.isDefined(e.datepickerOptions[t])?e.datepickerOptions[t]:s[t];break;case"startingDay":angular.isDefined(e.datepickerOptions.startingDay)?d.startingDay=e.datepickerOptions.startingDay:angular.isNumber(s.startingDay)?d.startingDay=s.startingDay:d.startingDay=(i.DATETIME_FORMATS.FIRSTDAYOFWEEK+8)%7;break;case"maxDate":case"minDate":e.$watch("datepickerOptions."+t,function(e){e?angular.isDate(e)?d[t]=c.fromTimezone(new Date(e),h.timezone):(l&&a.warn("Literal date support has been deprecated, please switch to date object usage"),d[t]=new Date(o(e,"medium"))):d[t]=s[t]?c.fromTimezone(new Date(s[t]),h.timezone):null,d.refreshView()});break;case"maxMode":case"minMode":e.datepickerOptions[t]?e.$watch(function(){return e.datepickerOptions[t]},function(n){d[t]=e[t]=angular.isDefined(n)?n:datepickerOptions[t],("minMode"===t&&d.modes.indexOf(e.datepickerOptions.datepickerMode)<d.modes.indexOf(d[t])||"maxMode"===t&&d.modes.indexOf(e.datepickerOptions.datepickerMode)>d.modes.indexOf(d[t]))&&(e.datepickerMode=d[t],e.datepickerOptions.datepickerMode=d[t])}):d[t]=e[t]=s[t]||null}}),e.uniqueId="datepicker-"+e.$id+"-"+Math.floor(1e4*Math.random()),e.disabled=angular.isDefined(t.disabled)||!1,angular.isDefined(t.ngDisabled)&&m.push(e.$parent.$watch(t.ngDisabled,function(t){e.disabled=t,d.refreshView()})),e.isActive=function(t){return 0===d.compare(t.date,d.activeDate)&&(e.activeDateId=t.uid,!0)},this.init=function(t){f=t,h=t.$options||s.ngModelOptions,e.datepickerOptions.initDate?(d.activeDate=c.fromTimezone(e.datepickerOptions.initDate,h.timezone)||new Date,e.$watch("datepickerOptions.initDate",function(e){e&&(f.$isEmpty(f.$modelValue)||f.$invalid)&&(d.activeDate=c.fromTimezone(e,h.timezone),d.refreshView())})):d.activeDate=new Date;var n=f.$modelValue?new Date(f.$modelValue):new Date;this.activeDate=isNaN(n)?c.fromTimezone(new Date,h.timezone):c.fromTimezone(n,h.timezone),f.$render=function(){d.render()}},this.render=function(){if(f.$viewValue){var e=new Date(f.$viewValue);!isNaN(e)?this.activeDate=c.fromTimezone(e,h.timezone):u||a.error('Datepicker directive: "ng-model" value must be a Date object')}this.refreshView()},this.refreshView=function(){if(this.element){e.selectedDt=null,this._refreshView(),e.activeDt&&(e.activeDateId=e.activeDt.uid);var t=f.$viewValue?new Date(f.$viewValue):null;t=c.fromTimezone(t,h.timezone),f.$setValidity("dateDisabled",!t||this.element&&!this.isDisabled(t))}},this.createDateObject=function(t,n){var r=f.$viewValue?new Date(f.$viewValue):null;r=c.fromTimezone(r,h.timezone);var i=new Date;i=c.fromTimezone(i,h.timezone);var a=this.compare(t,i),o={date:t,label:c.filter(t,n),selected:r&&0===this.compare(t,r),disabled:this.isDisabled(t),past:a<0,current:0===a,future:a>0,customClass:this.customClass(t)||null};return r&&0===this.compare(t,r)&&(e.selectedDt=o),d.activeDate&&0===this.compare(o.date,d.activeDate)&&(e.activeDt=o),o},this.isDisabled=function(t){return e.disabled||this.minDate&&this.compare(t,this.minDate)<0||this.maxDate&&this.compare(t,this.maxDate)>0||e.dateDisabled&&e.dateDisabled({date:t,mode:e.datepickerMode})},this.customClass=function(t){return e.customClass({date:t,mode:e.datepickerMode})},this.split=function(e,t){for(var n=[];e.length>0;)n.push(e.splice(0,t));return n},e.select=function(t){if(e.datepickerMode===d.minMode){var n=f.$viewValue?c.fromTimezone(new Date(f.$viewValue),h.timezone):new Date(0,0,0,0,0,0,0);n.setFullYear(t.getFullYear(),t.getMonth(),t.getDate()),n=c.toTimezone(n,h.timezone),f.$setViewValue(n),f.$render()}else d.activeDate=t,p(d.modes[d.modes.indexOf(e.datepickerMode)-1]),e.$emit("uib:datepicker.mode");e.$broadcast("uib:datepicker.focus")},e.move=function(e){var t=d.activeDate.getFullYear()+e*(d.step.years||0),n=d.activeDate.getMonth()+e*(d.step.months||0);d.activeDate.setFullYear(t,n,1),d.refreshView()},e.toggleMode=function(t){t=t||1,e.datepickerMode===d.maxMode&&1===t||e.datepickerMode===d.minMode&&-1===t||(p(d.modes[d.modes.indexOf(e.datepickerMode)+t]),e.$emit("uib:datepicker.mode"))},e.keys={13:"enter",32:"space",33:"pageup",34:"pagedown",35:"end",36:"home",37:"left",38:"up",39:"right",40:"down"};var g=function(){d.element[0].focus()};e.$on("uib:datepicker.focus",g),e.keydown=function(t){var n=e.keys[t.which];if(n&&!t.shiftKey&&!t.altKey&&!e.disabled)if(t.preventDefault(),d.shortcutPropagation||t.stopPropagation(),"enter"===n||"space"===n){if(d.isDisabled(d.activeDate))return;e.select(d.activeDate)}else!t.ctrlKey||"up"!==n&&"down"!==n?(d.handleKeyDown(n,t),d.refreshView()):e.toggleMode("up"===n?1:-1)},e.$on("$destroy",function(){for(;m.length;)m.shift()()})}]).controller("UibDaypickerController",["$scope","$element","dateFilter",function(e,t,n){function r(e,t){return 1!==t||e%4!=0||e%100==0&&e%400!=0?a[t]:29}function i(e){var t=new Date(e);t.setDate(t.getDate()+4-(t.getDay()||7));var n=t.getTime();return t.setMonth(0),t.setDate(1),Math.floor(Math.round((n-t)/864e5)/7)+1}var a=[31,28,31,30,31,30,31,31,30,31,30,31];this.step={months:1},this.element=t,this.init=function(t){angular.extend(t,this),e.showWeeks=t.showWeeks,t.refreshView()},this.getDates=function(e,t){for(var n,r=new Array(t),i=new Date(e),a=0;a<t;)n=new Date(i),r[a++]=n,i.setDate(i.getDate()+1);return r},this._refreshView=function(){var t=this.activeDate.getFullYear(),r=this.activeDate.getMonth(),a=new Date(this.activeDate);a.setFullYear(t,r,1);var o=this.startingDay-a.getDay(),s=o>0?7-o:-o,l=new Date(a);s>0&&l.setDate(1-s);for(var u=this.getDates(l,42),c=0;c<42;c++)u[c]=angular.extend(this.createDateObject(u[c],this.formatDay),{secondary:u[c].getMonth()!==r,uid:e.uniqueId+"-"+c});e.labels=new Array(7);for(var p=0;p<7;p++)e.labels[p]={abbr:n(u[p].date,this.formatDayHeader),full:n(u[p].date,"EEEE")};if(e.title=n(this.activeDate,this.formatDayTitle),e.rows=this.split(u,7),e.showWeeks){e.weekNumbers=[];for(var d=(11-this.startingDay)%7,f=e.rows.length,h=0;h<f;h++)e.weekNumbers.push(i(e.rows[h][d].date))}},this.compare=function(e,t){var n=new Date(e.getFullYear(),e.getMonth(),e.getDate()),r=new Date(t.getFullYear(),t.getMonth(),t.getDate());return n.setFullYear(e.getFullYear()),r.setFullYear(t.getFullYear()),n-r},this.handleKeyDown=function(e,t){var n=this.activeDate.getDate();if("left"===e)n-=1;else if("up"===e)n-=7;else if("right"===e)n+=1;else if("down"===e)n+=7;else if("pageup"===e||"pagedown"===e){var i=this.activeDate.getMonth()+("pageup"===e?-1:1);this.activeDate.setMonth(i,1),n=Math.min(r(this.activeDate.getFullYear(),this.activeDate.getMonth()),n)}else"home"===e?n=1:"end"===e&&(n=r(this.activeDate.getFullYear(),this.activeDate.getMonth()));this.activeDate.setDate(n)}}]).controller("UibMonthpickerController",["$scope","$element","dateFilter",function(e,t,n){this.step={years:1},this.element=t,this.init=function(e){angular.extend(e,this),e.refreshView()},this._refreshView=function(){for(var t,r=new Array(12),i=this.activeDate.getFullYear(),a=0;a<12;a++)t=new Date(this.activeDate),t.setFullYear(i,a,1),r[a]=angular.extend(this.createDateObject(t,this.formatMonth),{uid:e.uniqueId+"-"+a});e.title=n(this.activeDate,this.formatMonthTitle),e.rows=this.split(r,3)},this.compare=function(e,t){var n=new Date(e.getFullYear(),e.getMonth()),r=new Date(t.getFullYear(),t.getMonth());return n.setFullYear(e.getFullYear()),r.setFullYear(t.getFullYear()),n-r},this.handleKeyDown=function(e,t){var n=this.activeDate.getMonth();if("left"===e)n-=1;else if("up"===e)n-=3;else if("right"===e)n+=1;else if("down"===e)n+=3;else if("pageup"===e||"pagedown"===e){var r=this.activeDate.getFullYear()+("pageup"===e?-1:1);this.activeDate.setFullYear(r)}else"home"===e?n=0:"end"===e&&(n=11);this.activeDate.setMonth(n)}}]).controller("UibYearpickerController",["$scope","$element","dateFilter",function(e,t,n){function r(e){return parseInt((e-1)/a,10)*a+1}var i,a;this.element=t,this.yearpickerInit=function(){i=this.yearColumns,a=this.yearRows*i,this.step={years:a}},this._refreshView=function(){for(var t,n=new Array(a),o=0,s=r(this.activeDate.getFullYear());o<a;o++)t=new Date(this.activeDate),t.setFullYear(s+o,0,1),n[o]=angular.extend(this.createDateObject(t,this.formatYear),{uid:e.uniqueId+"-"+o});e.title=[n[0].label,n[a-1].label].join(" - "),e.rows=this.split(n,i),e.columns=i},this.compare=function(e,t){return e.getFullYear()-t.getFullYear()},this.handleKeyDown=function(e,t){var n=this.activeDate.getFullYear();"left"===e?n-=1:"up"===e?n-=i:"right"===e?n+=1:"down"===e?n+=i:"pageup"===e||"pagedown"===e?n+=("pageup"===e?-1:1)*a:"home"===e?n=r(this.activeDate.getFullYear()):"end"===e&&(n=r(this.activeDate.getFullYear())+a-1),this.activeDate.setFullYear(n)}}]).directive("uibDatepicker",function(){return{replace:!0,templateUrl:function(e,t){return t.templateUrl||"uib/template/datepicker/datepicker.html"},scope:{datepickerOptions:"=?"},require:["uibDatepicker","^ngModel"],controller:"UibDatepickerController",controllerAs:"datepicker",link:function(e,t,n,r){var i=r[0],a=r[1];i.init(a)}}}).directive("uibDaypicker",function(){return{replace:!0,templateUrl:function(e,t){return t.templateUrl||"uib/template/datepicker/day.html"},require:["^uibDatepicker","uibDaypicker"],controller:"UibDaypickerController",link:function(e,t,n,r){var i=r[0];r[1].init(i)}}}).directive("uibMonthpicker",function(){return{replace:!0,templateUrl:function(e,t){return t.templateUrl||"uib/template/datepicker/month.html"},require:["^uibDatepicker","uibMonthpicker"],controller:"UibMonthpickerController",link:function(e,t,n,r){var i=r[0];r[1].init(i)}}}).directive("uibYearpicker",function(){return{replace:!0,templateUrl:function(e,t){return t.templateUrl||"uib/template/datepicker/year.html"},require:["^uibDatepicker","uibYearpicker"],controller:"UibYearpickerController",link:function(e,t,n,r){var i=r[0];angular.extend(i,r[1]),i.yearpickerInit(),i.refreshView()}}}),angular.module("ui.bootstrap.position",[]).factory("$uibPosition",["$document","$window",function(e,t){var n,r,i={normal:/(auto|scroll)/,hidden:/(auto|scroll|hidden)/},a={auto:/\s?auto?\s?/i,primary:/^(top|bottom|left|right)$/,secondary:/^(top|bottom|left|right|center)$/,vertical:/^(top|bottom)$/},o=/(HTML|BODY)/;return{getRawNode:function(e){return e.nodeName?e:e[0]||e},parseStyle:function(e){return e=parseFloat(e),isFinite(e)?e:0},offsetParent:function(n){function r(e){return"static"===(t.getComputedStyle(e).position||"static")}n=this.getRawNode(n);for(var i=n.offsetParent||e[0].documentElement;i&&i!==e[0].documentElement&&r(i);)i=i.offsetParent;return i||e[0].documentElement},scrollbarWidth:function(i){if(i){if(angular.isUndefined(r)){var a=e.find("body");a.addClass("uib-position-body-scrollbar-measure"),r=t.innerWidth-a[0].clientWidth,r=isFinite(r)?r:0,a.removeClass("uib-position-body-scrollbar-measure")}return r}if(angular.isUndefined(n)){var o=angular.element('<div class="uib-position-scrollbar-measure"></div>');e.find("body").append(o),n=o[0].offsetWidth-o[0].clientWidth,n=isFinite(n)?n:0,o.remove()}return n},scrollbarPadding:function(e){e=this.getRawNode(e);var n=t.getComputedStyle(e),r=this.parseStyle(n.paddingRight),i=this.parseStyle(n.paddingBottom),a=this.scrollParent(e,!1,!0),s=this.scrollbarWidth(a,o.test(a.tagName));return{scrollbarWidth:s,widthOverflow:a.scrollWidth>a.clientWidth,right:r+s,originalRight:r,heightOverflow:a.scrollHeight>a.clientHeight,bottom:i+s,originalBottom:i}},isScrollable:function(e,n){e=this.getRawNode(e);var r=n?i.hidden:i.normal,a=t.getComputedStyle(e);return r.test(a.overflow+a.overflowY+a.overflowX)},scrollParent:function(n,r,a){n=this.getRawNode(n);var o=r?i.hidden:i.normal,s=e[0].documentElement,l=t.getComputedStyle(n);if(a&&o.test(l.overflow+l.overflowY+l.overflowX))return n;var u="absolute"===l.position,c=n.parentElement||s;if(c===s||"fixed"===l.position)return s;for(;c.parentElement&&c!==s;){var p=t.getComputedStyle(c);if(u&&"static"!==p.position&&(u=!1),!u&&o.test(p.overflow+p.overflowY+p.overflowX))break;c=c.parentElement}return c},position:function(n,r){n=this.getRawNode(n);var i=this.offset(n);if(r){var a=t.getComputedStyle(n);i.top-=this.parseStyle(a.marginTop),i.left-=this.parseStyle(a.marginLeft)}var o=this.offsetParent(n),s={top:0,left:0};return o!==e[0].documentElement&&(s=this.offset(o),s.top+=o.clientTop-o.scrollTop,s.left+=o.clientLeft-o.scrollLeft),{width:Math.round(angular.isNumber(i.width)?i.width:n.offsetWidth),height:Math.round(angular.isNumber(i.height)?i.height:n.offsetHeight),top:Math.round(i.top-s.top),left:Math.round(i.left-s.left)}},offset:function(n){n=this.getRawNode(n);var r=n.getBoundingClientRect();return{width:Math.round(angular.isNumber(r.width)?r.width:n.offsetWidth),height:Math.round(angular.isNumber(r.height)?r.height:n.offsetHeight),top:Math.round(r.top+(t.pageYOffset||e[0].documentElement.scrollTop)),left:Math.round(r.left+(t.pageXOffset||e[0].documentElement.scrollLeft))}},viewportOffset:function(n,r,i){n=this.getRawNode(n),i=!1!==i;var a=n.getBoundingClientRect(),o={top:0,left:0,bottom:0,right:0},s=r?e[0].documentElement:this.scrollParent(n),l=s.getBoundingClientRect();if(o.top=l.top+s.clientTop,o.left=l.left+s.clientLeft,s===e[0].documentElement&&(o.top+=t.pageYOffset,o.left+=t.pageXOffset),o.bottom=o.top+s.clientHeight,o.right=o.left+s.clientWidth,i){var u=t.getComputedStyle(s);o.top+=this.parseStyle(u.paddingTop),o.bottom-=this.parseStyle(u.paddingBottom),o.left+=this.parseStyle(u.paddingLeft),o.right-=this.parseStyle(u.paddingRight)}return{top:Math.round(a.top-o.top),bottom:Math.round(o.bottom-a.bottom),left:Math.round(a.left-o.left),right:Math.round(o.right-a.right)}},parsePlacement:function(e){var t=a.auto.test(e);return t&&(e=e.replace(a.auto,"")),e=e.split("-"),e[0]=e[0]||"top",a.primary.test(e[0])||(e[0]="top"),e[1]=e[1]||"center",a.secondary.test(e[1])||(e[1]="center"),e[2]=!!t,e},positionElements:function(e,n,r,i){e=this.getRawNode(e),n=this.getRawNode(n);var o=angular.isDefined(n.offsetWidth)?n.offsetWidth:n.prop("offsetWidth"),s=angular.isDefined(n.offsetHeight)?n.offsetHeight:n.prop("offsetHeight");r=this.parsePlacement(r);var l=i?this.offset(e):this.position(e),u={top:0,left:0,placement:""};if(r[2]){var c=this.viewportOffset(e,i),p=t.getComputedStyle(n),d={width:o+Math.round(Math.abs(this.parseStyle(p.marginLeft)+this.parseStyle(p.marginRight))),height:s+Math.round(Math.abs(this.parseStyle(p.marginTop)+this.parseStyle(p.marginBottom)))};if(r[0]="top"===r[0]&&d.height>c.top&&d.height<=c.bottom?"bottom":"bottom"===r[0]&&d.height>c.bottom&&d.height<=c.top?"top":"left"===r[0]&&d.width>c.left&&d.width<=c.right?"right":"right"===r[0]&&d.width>c.right&&d.width<=c.left?"left":r[0],r[1]="top"===r[1]&&d.height-l.height>c.bottom&&d.height-l.height<=c.top?"bottom":"bottom"===r[1]&&d.height-l.height>c.top&&d.height-l.height<=c.bottom?"top":"left"===r[1]&&d.width-l.width>c.right&&d.width-l.width<=c.left?"right":"right"===r[1]&&d.width-l.width>c.left&&d.width-l.width<=c.right?"left":r[1],"center"===r[1])if(a.vertical.test(r[0])){var f=l.width/2-o/2;c.left+f<0&&d.width-l.width<=c.right?r[1]="left":c.right+f<0&&d.width-l.width<=c.left&&(r[1]="right")}else{var h=l.height/2-d.height/2;c.top+h<0&&d.height-l.height<=c.bottom?r[1]="top":c.bottom+h<0&&d.height-l.height<=c.top&&(r[1]="bottom")}}switch(r[0]){case"top":u.top=l.top-s;break;case"bottom":u.top=l.top+l.height;break;case"left":u.left=l.left-o;break;case"right":u.left=l.left+l.width}switch(r[1]){case"top":u.top=l.top;break;case"bottom":u.top=l.top+l.height-s;break;case"left":u.left=l.left;break;case"right":u.left=l.left+l.width-o;break;case"center":a.vertical.test(r[0])?u.left=l.left+l.width/2-o/2:u.top=l.top+l.height/2-s/2}return u.top=Math.round(u.top),u.left=Math.round(u.left),u.placement="center"===r[1]?r[0]:r[0]+"-"+r[1],u},positionArrow:function(e,n){e=this.getRawNode(e);var r=e.querySelector(".tooltip-inner, .popover-inner");if(r){var i=angular.element(r).hasClass("tooltip-inner"),o=i?e.querySelector(".tooltip-arrow"):e.querySelector(".arrow");if(o){var s={top:"",bottom:"",left:"",right:""};if(n=this.parsePlacement(n),"center"===n[1])return void angular.element(o).css(s);var l="border-"+n[0]+"-width",u=t.getComputedStyle(o)[l],c="border-";a.vertical.test(n[0])?c+=n[0]+"-"+n[1]:c+=n[1]+"-"+n[0],c+="-radius";var p=t.getComputedStyle(i?r:e)[c];switch(n[0]){case"top":s.bottom=i?"0":"-"+u;break;case"bottom":s.top=i?"0":"-"+u;break;case"left":s.right=i?"0":"-"+u;break;case"right":s.left=i?"0":"-"+u}s[n[1]]=p,angular.element(o).css(s)}}}}}]),angular.module("ui.bootstrap.datepickerPopup",["ui.bootstrap.datepicker","ui.bootstrap.position"]).value("$datepickerPopupLiteralWarning",!0).constant("uibDatepickerPopupConfig",{altInputFormats:[],appendToBody:!1,clearText:"Clear",closeOnDateSelection:!0,closeText:"Done",currentText:"Today",datepickerPopup:"yyyy-MM-dd",datepickerPopupTemplateUrl:"uib/template/datepickerPopup/popup.html",datepickerTemplateUrl:"uib/template/datepicker/datepicker.html",html5Types:{date:"yyyy-MM-dd","datetime-local":"yyyy-MM-ddTHH:mm:ss.sss",month:"yyyy-MM"},onOpenFocus:!0,showButtonBar:!0,placement:"auto bottom-left"}).controller("UibDatepickerPopupController",["$scope","$element","$attrs","$compile","$log","$parse","$window","$document","$rootScope","$uibPosition","dateFilter","uibDateParser","uibDatepickerPopupConfig","$timeout","uibDatepickerConfig","$datepickerPopupLiteralWarning",function(e,t,n,r,i,a,o,s,l,u,c,p,d,f,h,m){function g(t){var n=p.parse(t,M,e.date);if(isNaN(n))for(var r=0;r<N.length;r++)if(n=p.parse(t,N[r],e.date),!isNaN(n))return n;return n}function v(e){if(angular.isNumber(e)&&(e=new Date(e)),!e)return null;if(angular.isDate(e)&&!isNaN(e))return e;if(angular.isString(e)){var t=g(e);if(!isNaN(t))return p.toTimezone(t,L)}return A.$options&&A.$options.allowInvalid?e:void 0}function b(e,t){var r=e||t;return!n.ngRequired&&!r||(angular.isNumber(r)&&(r=new Date(r)),!r||(!(!angular.isDate(r)||isNaN(r))||!!angular.isString(r)&&!isNaN(g(t))))}function $(n){if(e.isOpen||!e.disabled){var r=I[0],i=t[0].contains(n.target),a=void 0!==r.contains&&r.contains(n.target);!e.isOpen||i||a||e.$apply(function(){e.isOpen=!1})}}function y(n){27===n.which&&e.isOpen?(n.preventDefault(),n.stopPropagation(),e.$apply(function(){e.isOpen=!1}),t[0].focus()):40!==n.which||e.isOpen||(n.preventDefault(),n.stopPropagation(),e.$apply(function(){e.isOpen=!0}))}function w(){if(e.isOpen){var r=angular.element(I[0].querySelector(".uib-datepicker-popup")),i=n.popupPlacement?n.popupPlacement:d.placement,a=u.positionElements(t,r,i,E);r.css({top:a.top+"px",left:a.left+"px"}),r.hasClass("uib-position-measure")&&r.removeClass("uib-position-measure")}}var M,k,E,C,x,D,S,T,O,A,P,I,N,L,U=!1,F=[];this.init=function(i){if(A=i,P=i.$options,k=angular.isDefined(n.closeOnDateSelection)?e.$parent.$eval(n.closeOnDateSelection):d.closeOnDateSelection,E=angular.isDefined(n.datepickerAppendToBody)?e.$parent.$eval(n.datepickerAppendToBody):d.appendToBody,C=angular.isDefined(n.onOpenFocus)?e.$parent.$eval(n.onOpenFocus):d.onOpenFocus,x=angular.isDefined(n.datepickerPopupTemplateUrl)?n.datepickerPopupTemplateUrl:d.datepickerPopupTemplateUrl,D=angular.isDefined(n.datepickerTemplateUrl)?n.datepickerTemplateUrl:d.datepickerTemplateUrl,N=angular.isDefined(n.altInputFormats)?e.$parent.$eval(n.altInputFormats):d.altInputFormats,e.showButtonBar=angular.isDefined(n.showButtonBar)?e.$parent.$eval(n.showButtonBar):d.showButtonBar,d.html5Types[n.type]?(M=d.html5Types[n.type],U=!0):(M=n.uibDatepickerPopup||d.datepickerPopup,n.$observe("uibDatepickerPopup",function(e,t){var n=e||d.datepickerPopup;if(n!==M&&(M=n,A.$modelValue=null,!M))throw new Error("uibDatepickerPopup must have a date format specified.")})),!M)throw new Error("uibDatepickerPopup must have a date format specified.");if(U&&n.uibDatepickerPopup)throw new Error("HTML5 date input types do not support custom formats.");S=angular.element("<div uib-datepicker-popup-wrap><div uib-datepicker></div></div>"),P?(L=P.timezone,e.ngModelOptions=angular.copy(P),e.ngModelOptions.timezone=null,!0===e.ngModelOptions.updateOnDefault&&(e.ngModelOptions.updateOn=e.ngModelOptions.updateOn?e.ngModelOptions.updateOn+" default":"default"),S.attr("ng-model-options","ngModelOptions")):L=null,S.attr({"ng-model":"date","ng-change":"dateSelection(date)","template-url":x}),T=angular.element(S.children()[0]),T.attr("template-url",D),e.datepickerOptions||(e.datepickerOptions={}),U&&"month"===n.type&&(e.datepickerOptions.datepickerMode="month",e.datepickerOptions.minMode="month"),T.attr("datepicker-options","datepickerOptions"),U?A.$formatters.push(function(t){return e.date=p.fromTimezone(t,L),t}):(A.$$parserName="date",A.$validators.date=b,A.$parsers.unshift(v),A.$formatters.push(function(t){return A.$isEmpty(t)?(e.date=t,t):(angular.isNumber(t)&&(t=new Date(t)),e.date=p.fromTimezone(t,L),p.filter(e.date,M))})),A.$viewChangeListeners.push(function(){e.date=g(A.$viewValue)}),t.on("keydown",y),I=r(S)(e),S.remove(),E?s.find("body").append(I):t.after(I),e.$on("$destroy",function(){for(!0===e.isOpen&&(l.$$phase||e.$apply(function(){e.isOpen=!1})),I.remove(),t.off("keydown",y),s.off("click",$),O&&O.off("scroll",w),angular.element(o).off("resize",w);F.length;)F.shift()()})},e.getText=function(t){return e[t+"Text"]||d[t+"Text"]},e.isDisabled=function(t){"today"===t&&(t=p.fromTimezone(new Date,L));var n={};return angular.forEach(["minDate","maxDate"],function(t){e.datepickerOptions[t]?angular.isDate(e.datepickerOptions[t])?n[t]=p.fromTimezone(new Date(e.datepickerOptions[t]),L):(m&&i.warn("Literal date support has been deprecated, please switch to date object usage"),n[t]=new Date(c(e.datepickerOptions[t],"medium"))):n[t]=null}),e.datepickerOptions&&n.minDate&&e.compare(t,n.minDate)<0||n.maxDate&&e.compare(t,n.maxDate)>0},e.compare=function(e,t){return new Date(e.getFullYear(),e.getMonth(),e.getDate())-new Date(t.getFullYear(),t.getMonth(),t.getDate())},e.dateSelection=function(n){angular.isDefined(n)&&(e.date=n);var r=e.date?p.filter(e.date,M):null;t.val(r),A.$setViewValue(r),k&&(e.isOpen=!1,t[0].focus())},e.keydown=function(n){27===n.which&&(n.stopPropagation(),e.isOpen=!1,t[0].focus())},e.select=function(t,n){if(n.stopPropagation(),"today"===t){var r=new Date;angular.isDate(e.date)?(t=new Date(e.date),t.setFullYear(r.getFullYear(),r.getMonth(),r.getDate())):t=new Date(r.setHours(0,0,0,0))}e.dateSelection(t)},e.close=function(n){n.stopPropagation(),e.isOpen=!1,t[0].focus()},e.disabled=angular.isDefined(n.disabled)||!1,n.ngDisabled&&F.push(e.$parent.$watch(a(n.ngDisabled),function(t){e.disabled=t})),e.$watch("isOpen",function(r){r?e.disabled?e.isOpen=!1:f(function(){w(),C&&e.$broadcast("uib:datepicker.focus"),s.on("click",$);var r=n.popupPlacement?n.popupPlacement:d.placement;E||u.parsePlacement(r)[2]?(O=O||angular.element(u.scrollParent(t)))&&O.on("scroll",w):O=null,angular.element(o).on("resize",w)},0,!1):(s.off("click",$),O&&O.off("scroll",w),angular.element(o).off("resize",w))}),e.$on("uib:datepicker.mode",function(){f(w,0,!1)})}]).directive("uibDatepickerPopup",function(){return{require:["ngModel","uibDatepickerPopup"],controller:"UibDatepickerPopupController",scope:{datepickerOptions:"=?",isOpen:"=?",currentText:"@",clearText:"@",closeText:"@"},link:function(e,t,n,r){var i=r[0];r[1].init(i)}}}).directive("uibDatepickerPopupWrap",function(){return{replace:!0,transclude:!0,templateUrl:function(e,t){return t.templateUrl||"uib/template/datepickerPopup/popup.html"}}}),angular.module("ui.bootstrap.debounce",[]).factory("$$debounce",["$timeout",function(e){return function(t,n){var r;return function(){var i=this,a=Array.prototype.slice.call(arguments);r&&e.cancel(r),r=e(function(){t.apply(i,a)},n)}}}]),angular.module("ui.bootstrap.dropdown",["ui.bootstrap.position"]).constant("uibDropdownConfig",{appendToOpenClass:"uib-dropdown-open",openClass:"open"}).service("uibDropdownService",["$document","$rootScope",function(e,t){var n=null;this.open=function(t,a){n||(e.on("click",r),a.on("keydown",i)),n&&n!==t&&(n.isOpen=!1),n=t},this.close=function(t,a){n===t&&(n=null,e.off("click",r),a.off("keydown",i))};var r=function(e){if(n&&!(e&&"disabled"===n.getAutoClose()||e&&3===e.which)){var r=n.getToggleElement();if(!(e&&r&&r[0].contains(e.target))){var i=n.getDropdownElement();e&&"outsideClick"===n.getAutoClose()&&i&&i[0].contains(e.target)||(n.isOpen=!1,t.$$phase||n.$apply())}}},i=function(e){27===e.which?(e.stopPropagation(),n.focusToggleElement(),r()):n.isKeynavEnabled()&&-1!==[38,40].indexOf(e.which)&&n.isOpen&&(e.preventDefault(),e.stopPropagation(),n.focusDropdownEntry(e.which))}}]).controller("UibDropdownController",["$scope","$element","$attrs","$parse","uibDropdownConfig","uibDropdownService","$animate","$uibPosition","$document","$compile","$templateRequest",function(e,t,n,r,i,a,o,s,l,u,c){var p,d,f=this,h=e.$new(),m=i.appendToOpenClass,g=i.openClass,v=angular.noop,b=n.onToggle?r(n.onToggle):angular.noop,$=!1,y=null,w=!1,M=l.find("body");t.addClass("dropdown"),this.init=function(){if(n.isOpen&&(d=r(n.isOpen),v=d.assign,e.$watch(d,function(e){h.isOpen=!!e})),angular.isDefined(n.dropdownAppendTo)){var i=r(n.dropdownAppendTo)(h);i&&(y=angular.element(i))}$=angular.isDefined(n.dropdownAppendToBody),w=angular.isDefined(n.keyboardNav),$&&!y&&(y=M),y&&f.dropdownMenu&&(y.append(f.dropdownMenu),t.on("$destroy",function(){f.dropdownMenu.remove()}))},this.toggle=function(e){return h.isOpen=arguments.length?!!e:!h.isOpen,angular.isFunction(v)&&v(h,h.isOpen),h.isOpen},this.isOpen=function(){return h.isOpen},h.getToggleElement=function(){return f.toggleElement},h.getAutoClose=function(){return n.autoClose||"always"},h.getElement=function(){return t},h.isKeynavEnabled=function(){return w},h.focusDropdownEntry=function(e){var n=f.dropdownMenu?angular.element(f.dropdownMenu).find("a"):t.find("ul").eq(0).find("a");switch(e){case 40:angular.isNumber(f.selectedOption)?f.selectedOption=f.selectedOption===n.length-1?f.selectedOption:f.selectedOption+1:f.selectedOption=0;break;case 38:angular.isNumber(f.selectedOption)?f.selectedOption=0===f.selectedOption?0:f.selectedOption-1:f.selectedOption=n.length-1}n[f.selectedOption].focus()},h.getDropdownElement=function(){return f.dropdownMenu},h.focusToggleElement=function(){f.toggleElement&&f.toggleElement[0].focus()},h.$watch("isOpen",function(n,r){if(y&&f.dropdownMenu){var i,l,d,w=s.positionElements(t,f.dropdownMenu,"bottom-left",!0);if(i={top:w.top+"px",display:n?"block":"none"},l=f.dropdownMenu.hasClass("dropdown-menu-right"),l?(i.left="auto",d=s.scrollbarWidth(!0),i.right=window.innerWidth-d-(w.left+t.prop("offsetWidth"))+"px"):(i.left=w.left+"px",i.right="auto"),!$){var M=s.offset(y);i.top=w.top-M.top+"px",l?i.right=window.innerWidth-(w.left-M.left+t.prop("offsetWidth"))+"px":i.left=w.left-M.left+"px"}f.dropdownMenu.css(i)}var k=y||t;if(k.hasClass(y?m:g)===!n&&o[n?"addClass":"removeClass"](k,y?m:g).then(function(){angular.isDefined(n)&&n!==r&&b(e,{open:!!n})}),n)f.dropdownMenuTemplateUrl&&c(f.dropdownMenuTemplateUrl).then(function(e){p=h.$new(),u(e.trim())(p,function(e){var t=e;f.dropdownMenu.replaceWith(t),f.dropdownMenu=t})}),h.focusToggleElement(),a.open(h,t);else{if(f.dropdownMenuTemplateUrl){p&&p.$destroy();var E=angular.element('<ul class="dropdown-menu"></ul>');f.dropdownMenu.replaceWith(E),f.dropdownMenu=E}a.close(h,t),f.selectedOption=null}angular.isFunction(v)&&v(e,n)})}]).directive("uibDropdown",function(){return{controller:"UibDropdownController",link:function(e,t,n,r){r.init()}}}).directive("uibDropdownMenu",function(){return{restrict:"A",require:"?^uibDropdown",link:function(e,t,n,r){if(r&&!angular.isDefined(n.dropdownNested)){t.addClass("dropdown-menu");var i=n.templateUrl;i&&(r.dropdownMenuTemplateUrl=i),r.dropdownMenu||(r.dropdownMenu=t)}}}}).directive("uibDropdownToggle",function(){return{require:"?^uibDropdown",link:function(e,t,n,r){if(r){t.addClass("dropdown-toggle"),r.toggleElement=t;var i=function(i){i.preventDefault(),t.hasClass("disabled")||n.disabled||e.$apply(function(){r.toggle()})};t.bind("click",i),t.attr({"aria-haspopup":!0,"aria-expanded":!1}),e.$watch(r.isOpen,function(e){t.attr("aria-expanded",!!e)}),e.$on("$destroy",function(){t.unbind("click",i)})}}}}),angular.module("ui.bootstrap.stackedMap",[]).factory("$$stackedMap",function(){return{createNew:function(){var e=[];return{add:function(t,n){e.push({key:t,value:n})},get:function(t){for(var n=0;n<e.length;n++)if(t===e[n].key)return e[n]},keys:function(){for(var t=[],n=0;n<e.length;n++)t.push(e[n].key);return t},top:function(){return e[e.length-1]},remove:function(t){for(var n=-1,r=0;r<e.length;r++)if(t===e[r].key){n=r;break}return e.splice(n,1)[0]},removeTop:function(){return e.splice(e.length-1,1)[0]},length:function(){return e.length}}}}}),angular.module("ui.bootstrap.modal",["ui.bootstrap.stackedMap","ui.bootstrap.position"]).factory("$$multiMap",function(){return{createNew:function(){var e={};return{entries:function(){return Object.keys(e).map(function(t){return{key:t,value:e[t]}})},get:function(t){return e[t]},hasKey:function(t){return!!e[t]},keys:function(){return Object.keys(e)},put:function(t,n){e[t]||(e[t]=[]),e[t].push(n)},remove:function(t,n){var r=e[t];if(r){var i=r.indexOf(n);-1!==i&&r.splice(i,1),r.length||delete e[t]}}}}}}).provider("$uibResolve",function(){var e=this;this.resolver=null,this.setResolver=function(e){this.resolver=e},this.$get=["$injector","$q",function(t,n){var r=e.resolver?t.get(e.resolver):null;return{resolve:function(e,i,a,o){if(r)return r.resolve(e,i,a,o);var s=[];return angular.forEach(e,function(e){angular.isFunction(e)||angular.isArray(e)?s.push(n.resolve(t.invoke(e))):angular.isString(e)?s.push(n.resolve(t.get(e))):s.push(n.resolve(e))}),n.all(s).then(function(t){var n={},r=0;return angular.forEach(e,function(e,i){n[i]=t[r++]}),n})}}}]}).directive("uibModalBackdrop",["$animate","$injector","$uibModalStack",function(e,t,n){function r(t,r,i){i.modalInClass&&(e.addClass(r,i.modalInClass),t.$on(n.NOW_CLOSING_EVENT,function(n,a){var o=a();t.modalOptions.animation?e.removeClass(r,i.modalInClass).then(o):o()}))}return{replace:!0,templateUrl:"uib/template/modal/backdrop.html",compile:function(e,t){return e.addClass(t.backdropClass),r}}}]).directive("uibModalWindow",["$uibModalStack","$q","$animateCss","$document",function(e,t,n,r){return{scope:{index:"@"},replace:!0,transclude:!0,templateUrl:function(e,t){return t.templateUrl||"uib/template/modal/window.html"},link:function(i,a,o){a.addClass(o.windowClass||""),a.addClass(o.windowTopClass||""),i.size=o.size,i.close=function(t){var n=e.getTop();n&&n.value.backdrop&&"static"!==n.value.backdrop&&t.target===t.currentTarget&&(t.preventDefault(),t.stopPropagation(),e.dismiss(n.key,"backdrop click"))},a.on("click",i.close),i.$isRendered=!0;var s=t.defer();o.$observe("modalRender",function(e){"true"===e&&s.resolve()}),s.promise.then(function(){var s=null;o.modalInClass&&(s=n(a,{addClass:o.modalInClass}).start(),i.$on(e.NOW_CLOSING_EVENT,function(e,t){var r=t();n(a,{removeClass:o.modalInClass}).start().then(r)})),t.when(s).then(function(){var t=e.getTop();if(t&&e.modalRendered(t.key),!r[0].activeElement||!a[0].contains(r[0].activeElement)){var n=a[0].querySelector("[autofocus]");n?n.focus():a[0].focus()}})})}}}]).directive("uibModalAnimationClass",function(){return{compile:function(e,t){t.modalAnimation&&e.addClass(t.uibModalAnimationClass)}}}).directive("uibModalTransclude",function(){return{link:function(e,t,n,r,i){i(e.$parent,function(e){t.empty(),t.append(e)})}}}).factory("$uibModalStack",["$animate","$animateCss","$document","$compile","$rootScope","$q","$$multiMap","$$stackedMap","$uibPosition",function(e,t,n,r,i,a,o,s,l){function u(e){return!!(e.offsetWidth||e.offsetHeight||e.getClientRects().length)}function c(){for(var e=-1,t=w.keys(),n=0;n<t.length;n++)w.get(t[n]).value.backdrop&&(e=n);return e>-1&&e<E&&(e=E),e}function p(e,t){var n=w.get(e).value,r=n.appendTo;w.remove(e),C=w.top(),C&&(E=parseInt(C.value.modalDomEl.attr("index"),10)),h(n.modalDomEl,n.modalScope,function(){var t=n.openedClass||y;M.remove(t,e);var i=M.hasKey(t);r.toggleClass(t,i),!i&&$&&$.heightOverflow&&$.scrollbarWidth&&($.originalRight?r.css({paddingRight:$.originalRight+"px"}):r.css({paddingRight:""}),$=null),d(!0)},n.closedDeferred),f(),t&&t.focus?t.focus():r.focus&&r.focus()}function d(e){var t;w.length()>0&&(t=w.top().value,t.modalDomEl.toggleClass(t.windowTopClass||"",e))}function f(){if(v&&-1===c()){var e=b;h(v,b,function(){e=null}),v=void 0,b=void 0}}function h(t,n,r,i){function o(){o.done||(o.done=!0,e.leave(t).then(function(){t.remove(),i&&i.resolve()}),n.$destroy(),r&&r())}var s,l=null,u=function(){return s||(s=a.defer(),l=s.promise),function(){s.resolve()}};return n.$broadcast(k.NOW_CLOSING_EVENT,u),a.when(l).then(o)}function m(e){if(e.isDefaultPrevented())return e;var t=w.top();if(t)switch(e.which){case 27:t.value.keyboard&&(e.preventDefault(),i.$apply(function(){k.dismiss(t.key,"escape key press")}));break;case 9:var n=k.loadFocusElementList(t),r=!1;e.shiftKey?(k.isFocusInFirstItem(e,n)||k.isModalFocused(e,t))&&(r=k.focusLastFocusableElement(n)):k.isFocusInLastItem(e,n)&&(r=k.focusFirstFocusableElement(n)),r&&(e.preventDefault(),e.stopPropagation())}}function g(e,t,n){return!e.value.modalScope.$broadcast("modal.closing",t,n).defaultPrevented}var v,b,$,y="modal-open",w=s.createNew(),M=o.createNew(),k={NOW_CLOSING_EVENT:"modal.stack.now-closing"},E=0,C=null,x="a[href], area[href], input:not([disabled]), button:not([disabled]),select:not([disabled]), textarea:not([disabled]), iframe, object, embed, *[tabindex], *[contenteditable=true]";return i.$watch(c,function(e){b&&(b.index=e)}),n.on("keydown",m),i.$on("$destroy",function(){n.off("keydown",m)}),k.open=function(t,a){var o=n[0].activeElement,s=a.openedClass||y;d(!1),C=w.top(),w.add(t,{deferred:a.deferred,renderDeferred:a.renderDeferred,closedDeferred:a.closedDeferred,modalScope:a.scope,backdrop:a.backdrop,keyboard:a.keyboard,openedClass:a.openedClass,windowTopClass:a.windowTopClass,animation:a.animation,appendTo:a.appendTo}),M.put(s,t);var u=a.appendTo,p=c();if(!u.length)throw new Error("appendTo element not found. Make sure that the element passed is in DOM.");p>=0&&!v&&(b=i.$new(!0),b.modalOptions=a,b.index=p,v=angular.element('<div uib-modal-backdrop="modal-backdrop"></div>'),v.attr("backdrop-class",a.backdropClass),a.animation&&v.attr("modal-animation","true"),r(v)(b),e.enter(v,u),$=l.scrollbarPadding(u),$.heightOverflow&&$.scrollbarWidth&&u.css({paddingRight:$.right+"px"})),E=C?parseInt(C.value.modalDomEl.attr("index"),10)+1:0;var f=angular.element('<div uib-modal-window="modal-window"></div>');f.attr({"template-url":a.windowTemplateUrl,"window-class":a.windowClass,"window-top-class":a.windowTopClass,size:a.size,index:E,animate:"animate"}).html(a.content),a.animation&&f.attr("modal-animation","true"),u.addClass(s),e.enter(r(f)(a.scope),u),w.top().value.modalDomEl=f,w.top().value.modalOpener=o},k.close=function(e,t){var n=w.get(e);return n&&g(n,t,!0)?(n.value.modalScope.$$uibDestructionScheduled=!0,n.value.deferred.resolve(t),p(e,n.value.modalOpener),!0):!n},k.dismiss=function(e,t){var n=w.get(e);return n&&g(n,t,!1)?(n.value.modalScope.$$uibDestructionScheduled=!0,n.value.deferred.reject(t),p(e,n.value.modalOpener),!0):!n},k.dismissAll=function(e){for(var t=this.getTop();t&&this.dismiss(t.key,e);)t=this.getTop()},k.getTop=function(){return w.top()},k.modalRendered=function(e){var t=w.get(e);t&&t.value.renderDeferred.resolve()},k.focusFirstFocusableElement=function(e){return e.length>0&&(e[0].focus(),!0)},k.focusLastFocusableElement=function(e){return e.length>0&&(e[e.length-1].focus(),!0)},k.isModalFocused=function(e,t){if(e&&t){var n=t.value.modalDomEl;if(n&&n.length)return(e.target||e.srcElement)===n[0]}return!1},k.isFocusInFirstItem=function(e,t){return t.length>0&&(e.target||e.srcElement)===t[0]},k.isFocusInLastItem=function(e,t){return t.length>0&&(e.target||e.srcElement)===t[t.length-1]},k.loadFocusElementList=function(e){if(e){var t=e.value.modalDomEl;if(t&&t.length){var n=t[0].querySelectorAll(x);return n?Array.prototype.filter.call(n,function(e){return u(e)}):n}}},k}]).provider("$uibModal",function(){var e={options:{animation:!0,backdrop:!0,keyboard:!0},$get:["$rootScope","$q","$document","$templateRequest","$controller","$uibResolve","$uibModalStack",function(t,n,r,i,a,o,s){function l(e){return e.template?n.when(e.template):i(angular.isFunction(e.templateUrl)?e.templateUrl():e.templateUrl)}var u={},c=null;return u.getPromiseChain=function(){return c},u.open=function(i){function u(){return v}var p=n.defer(),d=n.defer(),f=n.defer(),h=n.defer(),m={result:p.promise,opened:d.promise,closed:f.promise,rendered:h.promise,close:function(e){return s.close(m,e)},dismiss:function(e){return s.dismiss(m,e)}};if(i=angular.extend({},e.options,i),i.resolve=i.resolve||{},i.appendTo=i.appendTo||r.find("body").eq(0),!i.template&&!i.templateUrl)throw new Error("One of template or templateUrl options is required.");var g,v=n.all([l(i),o.resolve(i.resolve,{},null,null)]);return g=c=n.all([c]).then(u,u).then(function(e){var n=i.scope||t,r=n.$new();r.$close=m.close,r.$dismiss=m.dismiss,r.$on("$destroy",function(){r.$$uibDestructionScheduled||r.$dismiss("$uibUnscheduledDestruction")});var o,l,u={};i.controller&&(u.$scope=r,u.$scope.$resolve={},u.$uibModalInstance=m,angular.forEach(e[1],function(e,t){u[t]=e,u.$scope.$resolve[t]=e}),l=a(i.controller,u,!0,i.controllerAs),i.controllerAs&&i.bindToController&&(o=l.instance,o.$close=r.$close,o.$dismiss=r.$dismiss,angular.extend(o,{$resolve:u.$scope.$resolve},n)),o=l(),angular.isFunction(o.$onInit)&&o.$onInit()),s.open(m,{scope:r,deferred:p,renderDeferred:h,closedDeferred:f,content:e[0],animation:i.animation,backdrop:i.backdrop,keyboard:i.keyboard,backdropClass:i.backdropClass,windowTopClass:i.windowTopClass,windowClass:i.windowClass,windowTemplateUrl:i.windowTemplateUrl,size:i.size,openedClass:i.openedClass,appendTo:i.appendTo}),d.resolve(!0)},function(e){d.reject(e),p.reject(e)}).finally(function(){c===g&&(c=null)}),m},u}]};return e}),angular.module("ui.bootstrap.paging",[]).factory("uibPaging",["$parse",function(e){return{create:function(t,n,r){t.setNumPages=r.numPages?e(r.numPages).assign:angular.noop,t.ngModelCtrl={$setViewValue:angular.noop},t._watchers=[],t.init=function(e,i){t.ngModelCtrl=e,t.config=i,e.$render=function(){t.render()},r.itemsPerPage?t._watchers.push(n.$parent.$watch(r.itemsPerPage,function(e){t.itemsPerPage=parseInt(e,10),n.totalPages=t.calculateTotalPages(),t.updatePage()})):t.itemsPerPage=i.itemsPerPage,n.$watch("totalItems",function(e,r){(angular.isDefined(e)||e!==r)&&(n.totalPages=t.calculateTotalPages(),t.updatePage())})},t.calculateTotalPages=function(){var e=t.itemsPerPage<1?1:Math.ceil(n.totalItems/t.itemsPerPage);return Math.max(e||0,1)},t.render=function(){n.page=parseInt(t.ngModelCtrl.$viewValue,10)||1},n.selectPage=function(e,r){r&&r.preventDefault(),(!n.ngDisabled||!r)&&n.page!==e&&e>0&&e<=n.totalPages&&(r&&r.target&&r.target.blur(),t.ngModelCtrl.$setViewValue(e),t.ngModelCtrl.$render())},n.getText=function(e){return n[e+"Text"]||t.config[e+"Text"]},n.noPrevious=function(){return 1===n.page},n.noNext=function(){return n.page===n.totalPages},t.updatePage=function(){t.setNumPages(n.$parent,n.totalPages),n.page>n.totalPages?n.selectPage(n.totalPages):t.ngModelCtrl.$render()},n.$on("$destroy",function(){for(;t._watchers.length;)t._watchers.shift()()})}}}]),angular.module("ui.bootstrap.pager",["ui.bootstrap.paging"]).controller("UibPagerController",["$scope","$attrs","uibPaging","uibPagerConfig",function(e,t,n,r){e.align=angular.isDefined(t.align)?e.$parent.$eval(t.align):r.align,n.create(this,e,t)}]).constant("uibPagerConfig",{itemsPerPage:10,previousText:"« Previous",nextText:"Next »",align:!0}).directive("uibPager",["uibPagerConfig",function(e){return{scope:{totalItems:"=",previousText:"@",nextText:"@",ngDisabled:"="},require:["uibPager","?ngModel"],controller:"UibPagerController",controllerAs:"pager",templateUrl:function(e,t){return t.templateUrl||"uib/template/pager/pager.html"},replace:!0,link:function(t,n,r,i){var a=i[0],o=i[1];o&&a.init(o,e)}}}]),angular.module("ui.bootstrap.pagination",["ui.bootstrap.paging"]).controller("UibPaginationController",["$scope","$attrs","$parse","uibPaging","uibPaginationConfig",function(e,t,n,r,i){function a(e,t,n){return{number:e,text:t,active:n}}function o(e,t){var n=[],r=1,i=t,o=angular.isDefined(l)&&l<t;o&&(u?(r=Math.max(e-Math.floor(l/2),1),(i=r+l-1)>t&&(i=t,r=i-l+1)):(r=(Math.ceil(e/l)-1)*l+1,i=Math.min(r+l-1,t)));for(var s=r;s<=i;s++){var f=a(s,d(s),s===e);n.push(f)}if(o&&l>0&&(!u||c||p)){if(r>1){if(!p||r>3){var h=a(r-1,"...",!1);n.unshift(h)}if(p){if(3===r){var m=a(2,"2",!1);n.unshift(m)}var g=a(1,"1",!1);n.unshift(g)}}if(i<t){if(!p||i<t-2){var v=a(i+1,"...",!1);n.push(v)}if(p){if(i===t-2){var b=a(t-1,t-1,!1);n.push(b)}var $=a(t,t,!1);n.push($)}}}return n}var s=this,l=angular.isDefined(t.maxSize)?e.$parent.$eval(t.maxSize):i.maxSize,u=angular.isDefined(t.rotate)?e.$parent.$eval(t.rotate):i.rotate,c=angular.isDefined(t.forceEllipses)?e.$parent.$eval(t.forceEllipses):i.forceEllipses,p=angular.isDefined(t.boundaryLinkNumbers)?e.$parent.$eval(t.boundaryLinkNumbers):i.boundaryLinkNumbers,d=angular.isDefined(t.pageLabel)?function(n){return e.$parent.$eval(t.pageLabel,{$page:n})}:angular.identity;e.boundaryLinks=angular.isDefined(t.boundaryLinks)?e.$parent.$eval(t.boundaryLinks):i.boundaryLinks,e.directionLinks=angular.isDefined(t.directionLinks)?e.$parent.$eval(t.directionLinks):i.directionLinks,r.create(this,e,t),t.maxSize&&s._watchers.push(e.$parent.$watch(n(t.maxSize),function(e){l=parseInt(e,10),s.render()}));var f=this.render;this.render=function(){f(),e.page>0&&e.page<=e.totalPages&&(e.pages=o(e.page,e.totalPages))}}]).constant("uibPaginationConfig",{itemsPerPage:10,boundaryLinks:!1,boundaryLinkNumbers:!1,directionLinks:!0,firstText:"First",previousText:"Previous",nextText:"Next",lastText:"Last",rotate:!0,forceEllipses:!1}).directive("uibPagination",["$parse","uibPaginationConfig",function(e,t){return{scope:{totalItems:"=",firstText:"@",previousText:"@",nextText:"@",lastText:"@",ngDisabled:"="},require:["uibPagination","?ngModel"],controller:"UibPaginationController",controllerAs:"pagination",templateUrl:function(e,t){return t.templateUrl||"uib/template/pagination/pagination.html"},replace:!0,link:function(e,n,r,i){var a=i[0],o=i[1];o&&a.init(o,t)}}}]),angular.module("ui.bootstrap.tooltip",["ui.bootstrap.position","ui.bootstrap.stackedMap"]).provider("$uibTooltip",function(){function e(e){var t=/[A-Z]/g;return e.replace(t,function(e,t){return(t?"-":"")+e.toLowerCase()})}var t={placement:"top",placementClassPrefix:"",animation:!0,popupDelay:0,popupCloseDelay:0,useContentExp:!1},n={mouseenter:"mouseleave",click:"click",outsideClick:"outsideClick",focus:"blur",none:""},r={};this.options=function(e){angular.extend(r,e)},this.setTriggers=function(e){angular.extend(n,e)},this.$get=["$window","$compile","$timeout","$document","$uibPosition","$interpolate","$rootScope","$parse","$$stackedMap",function(i,a,o,s,l,u,c,p,d){function f(e){if(27===e.which){var t=h.top();t&&(t.value.close(),h.removeTop(),t=null)}}var h=d.createNew();return s.on("keypress",f),c.$on("$destroy",function(){s.off("keypress",f)}),function(i,c,d,f){function m(e){var t=(e||f.trigger||d).split(" ");return{show:t,hide:t.map(function(e){return n[e]||e})}}f=angular.extend({},t,r,f);var g=e(i),v=u.startSymbol(),b=u.endSymbol(),$="<div "+g+'-popup uib-title="'+v+"title"+b+'" '+(f.useContentExp?'content-exp="contentExp()" ':'content="'+v+"content"+b+'" ')+'placement="'+v+"placement"+b+'" popup-class="'+v+"popupClass"+b+'" animation="animation" is-open="isOpen" origin-scope="origScope" class="uib-position-measure"></div>';return{compile:function(e,t){var n=a($);return function(e,t,r,a){function u(){H.isOpen?g():d()}function d(){R&&!e.$eval(r[c+"Enable"])||(y(),k(),H.popupDelay?P||(P=o(v,H.popupDelay,!1)):v())}function g(){b(),H.popupCloseDelay?I||(I=o($,H.popupCloseDelay,!1)):$()}function v(){if(b(),y(),!H.content)return angular.noop;w(),H.$evalAsync(function(){H.isOpen=!0,E(!0),B()})}function b(){P&&(o.cancel(P),P=null),N&&(o.cancel(N),N=null)}function $(){H&&H.$evalAsync(function(){H&&(H.isOpen=!1,E(!1),H.animation?A||(A=o(M,150,!1)):M())})}function y(){I&&(o.cancel(I),I=null),A&&(o.cancel(A),A=null)}function w(){T||(O=H.$new(),T=n(O,function(e){U?s.find("body").append(e):t.after(e)}),C())}function M(){b(),y(),x(),T&&(T.remove(),T=null),O&&(O.$destroy(),O=null)}function k(){H.title=r[c+"Title"],H.content=V?V(e):r[i],H.popupClass=r[c+"Class"],H.placement=angular.isDefined(r[c+"Placement"])?r[c+"Placement"]:f.placement;var t=l.parsePlacement(H.placement);L=t[1]?t[0]+"-"+t[1]:t[0];var n=parseInt(r[c+"PopupDelay"],10),a=parseInt(r[c+"PopupCloseDelay"],10);H.popupDelay=isNaN(n)?f.popupDelay:n,H.popupCloseDelay=isNaN(a)?f.popupCloseDelay:a}function E(t){z&&angular.isFunction(z.assign)&&z.assign(e,t)}function C(){_.length=0,V?(_.push(e.$watch(V,function(e){H.content=e,!e&&H.isOpen&&$()})),_.push(O.$watch(function(){j||(j=!0,O.$$postDigest(function(){j=!1,H&&H.isOpen}))}))):_.push(r.$observe(i,function(e){H.content=e,!e&&H.isOpen?$():B()})),_.push(r.$observe(c+"Title",function(e){H.title=e,H.isOpen&&B()})),_.push(r.$observe(c+"Placement",function(e){H.placement=e||f.placement,H.isOpen&&B()}))}function x(){_.length&&(angular.forEach(_,function(e){e()}),_.length=0)}function D(e){H&&H.isOpen&&T&&(t[0].contains(e.target)||T[0].contains(e.target)||g())}function S(){var e=r[c+"Trigger"];q(),F=m(e),"none"!==F.show&&F.show.forEach(function(e,n){"outsideClick"===e?(t.on("click",u),s.on("click",D)):e===F.hide[n]?t.on(e,u):e&&(t.on(e,d),t.on(F.hide[n],g)),t.on("keypress",function(e){27===e.which&&g()})})}var T,O,A,P,I,N,L,U=!!angular.isDefined(f.appendToBody)&&f.appendToBody,F=m(void 0),R=angular.isDefined(r[c+"Enable"]),H=e.$new(!0),j=!1,z=!!angular.isDefined(r[c+"IsOpen"])&&p(r[c+"IsOpen"]),V=!!f.useContentExp&&p(r[i]),_=[],B=function(){T&&T.html()&&(N||(N=o(function(){var e=l.positionElements(t,T,H.placement,U);T.css({top:e.top+"px",left:e.left+"px"}),T.hasClass(e.placement.split("-")[0])||(T.removeClass(L.split("-")[0]),T.addClass(e.placement.split("-")[0])),T.hasClass(f.placementClassPrefix+e.placement)||(T.removeClass(f.placementClassPrefix+L),T.addClass(f.placementClassPrefix+e.placement)),T.hasClass("uib-position-measure")?(l.positionArrow(T,e.placement),T.removeClass("uib-position-measure")):L!==e.placement&&l.positionArrow(T,e.placement),L=e.placement,N=null},0,!1)))};H.origScope=e,H.isOpen=!1,h.add(H,{close:$}),H.contentExp=function(){return H.content},r.$observe("disabled",function(e){e&&b(),e&&H.isOpen&&$()}),z&&e.$watch(z,function(e){H&&!e===H.isOpen&&u()});var q=function(){F.show.forEach(function(e){"outsideClick"===e?t.off("click",u):(t.off(e,d),t.off(e,u))}),F.hide.forEach(function(e){"outsideClick"===e?s.off("click",D):t.off(e,g)})};S();var W=e.$eval(r[c+"Animation"]);H.animation=angular.isDefined(W)?!!W:f.animation;var G,Y=c+"AppendToBody";G=Y in r&&void 0===r[Y]||e.$eval(r[Y]),U=angular.isDefined(G)?G:U,e.$on("$destroy",function(){q(),M(),h.remove(H),H=null})}}}}}]}).directive("uibTooltipTemplateTransclude",["$animate","$sce","$compile","$templateRequest",function(e,t,n,r){return{link:function(i,a,o){var s,l,u,c=i.$eval(o.tooltipTemplateTranscludeScope),p=0,d=function(){l&&(l.remove(),l=null),s&&(s.$destroy(),s=null),u&&(e.leave(u).then(function(){l=null}),l=u,u=null)};i.$watch(t.parseAsResourceUrl(o.uibTooltipTemplateTransclude),function(t){var o=++p;t?(r(t,!0).then(function(r){if(o===p){var i=c.$new(),l=r,f=n(l)(i,function(t){d(),e.enter(t,a)});s=i,u=f,s.$emit("$includeContentLoaded",t)}},function(){o===p&&(d(),i.$emit("$includeContentError",t))}),i.$emit("$includeContentRequested",t)):d()}),i.$on("$destroy",d)}}}]).directive("uibTooltipClasses",["$uibPosition",function(e){return{restrict:"A",link:function(t,n,r){if(t.placement){var i=e.parsePlacement(t.placement);n.addClass(i[0])}t.popupClass&&n.addClass(t.popupClass),t.animation()&&n.addClass(r.tooltipAnimationClass)}}}]).directive("uibTooltipPopup",function(){return{replace:!0,scope:{content:"@",placement:"@",popupClass:"@",animation:"&",isOpen:"&"},templateUrl:"uib/template/tooltip/tooltip-popup.html"}}).directive("uibTooltip",["$uibTooltip",function(e){return e("uibTooltip","tooltip","mouseenter")}]).directive("uibTooltipTemplatePopup",function(){return{replace:!0,scope:{contentExp:"&",placement:"@",popupClass:"@",animation:"&",isOpen:"&",originScope:"&"},templateUrl:"uib/template/tooltip/tooltip-template-popup.html"}}).directive("uibTooltipTemplate",["$uibTooltip",function(e){return e("uibTooltipTemplate","tooltip","mouseenter",{useContentExp:!0})}]).directive("uibTooltipHtmlPopup",function(){return{replace:!0,scope:{contentExp:"&",placement:"@",popupClass:"@",animation:"&",isOpen:"&"},templateUrl:"uib/template/tooltip/tooltip-html-popup.html"}}).directive("uibTooltipHtml",["$uibTooltip",function(e){return e("uibTooltipHtml","tooltip","mouseenter",{useContentExp:!0})}]),angular.module("ui.bootstrap.popover",["ui.bootstrap.tooltip"]).directive("uibPopoverTemplatePopup",function(){return{replace:!0,scope:{uibTitle:"@",contentExp:"&",placement:"@",popupClass:"@",animation:"&",isOpen:"&",originScope:"&"},templateUrl:"uib/template/popover/popover-template.html"}}).directive("uibPopoverTemplate",["$uibTooltip",function(e){return e("uibPopoverTemplate","popover","click",{useContentExp:!0})}]).directive("uibPopoverHtmlPopup",function(){return{replace:!0,scope:{contentExp:"&",uibTitle:"@",placement:"@",popupClass:"@",animation:"&",isOpen:"&"},templateUrl:"uib/template/popover/popover-html.html"}}).directive("uibPopoverHtml",["$uibTooltip",function(e){return e("uibPopoverHtml","popover","click",{useContentExp:!0})}]).directive("uibPopoverPopup",function(){return{replace:!0,scope:{uibTitle:"@",content:"@",placement:"@",popupClass:"@",animation:"&",isOpen:"&"},templateUrl:"uib/template/popover/popover.html"}}).directive("uibPopover",["$uibTooltip",function(e){return e("uibPopover","popover","click")}]),angular.module("ui.bootstrap.progressbar",[]).constant("uibProgressConfig",{animate:!0,max:100}).controller("UibProgressController",["$scope","$attrs","uibProgressConfig",function(e,t,n){function r(){return angular.isDefined(e.maxParam)?e.maxParam:n.max}var i=this,a=angular.isDefined(t.animate)?e.$parent.$eval(t.animate):n.animate;this.bars=[],e.max=r(),this.addBar=function(e,t,n){a||t.css({transition:"none"}),this.bars.push(e),e.max=r(),e.title=n&&angular.isDefined(n.title)?n.title:"progressbar",e.$watch("value",function(t){e.recalculatePercentage()}),e.recalculatePercentage=function(){var t=i.bars.reduce(function(e,t){return t.percent=+(100*t.value/t.max).toFixed(2),e+t.percent},0);t>100&&(e.percent-=t-100)},e.$on("$destroy",function(){t=null,i.removeBar(e)})},this.removeBar=function(e){this.bars.splice(this.bars.indexOf(e),1),this.bars.forEach(function(e){e.recalculatePercentage()})},e.$watch("maxParam",function(e){i.bars.forEach(function(e){e.max=r(),e.recalculatePercentage()})})}]).directive("uibProgress",function(){return{replace:!0,transclude:!0,controller:"UibProgressController",require:"uibProgress",scope:{maxParam:"=?max"},templateUrl:"uib/template/progressbar/progress.html"}}).directive("uibBar",function(){return{replace:!0,transclude:!0,require:"^uibProgress",scope:{value:"=",type:"@"},templateUrl:"uib/template/progressbar/bar.html",link:function(e,t,n,r){r.addBar(e,t,n)}}}).directive("uibProgressbar",function(){return{replace:!0,transclude:!0,controller:"UibProgressController",scope:{value:"=",maxParam:"=?max",type:"@"},templateUrl:"uib/template/progressbar/progressbar.html",link:function(e,t,n,r){r.addBar(e,angular.element(t.children()[0]),{title:n.title})}}}),angular.module("ui.bootstrap.rating",[]).constant("uibRatingConfig",{max:5,stateOn:null,stateOff:null,enableReset:!0,titles:["one","two","three","four","five"]}).controller("UibRatingController",["$scope","$attrs","uibRatingConfig",function(e,t,n){var r={$setViewValue:angular.noop},i=this;this.init=function(i){r=i,r.$render=this.render,r.$formatters.push(function(e){return angular.isNumber(e)&&e<<0!==e&&(e=Math.round(e)),e}),this.stateOn=angular.isDefined(t.stateOn)?e.$parent.$eval(t.stateOn):n.stateOn,this.stateOff=angular.isDefined(t.stateOff)?e.$parent.$eval(t.stateOff):n.stateOff,this.enableReset=angular.isDefined(t.enableReset)?e.$parent.$eval(t.enableReset):n.enableReset;var a=angular.isDefined(t.titles)?e.$parent.$eval(t.titles):n.titles;this.titles=angular.isArray(a)&&a.length>0?a:n.titles;var o=angular.isDefined(t.ratingStates)?e.$parent.$eval(t.ratingStates):new Array(angular.isDefined(t.max)?e.$parent.$eval(t.max):n.max);e.range=this.buildTemplateObjects(o)},this.buildTemplateObjects=function(e){for(var t=0,n=e.length;t<n;t++)e[t]=angular.extend({index:t},{stateOn:this.stateOn,stateOff:this.stateOff,title:this.getTitle(t)},e[t]);return e},this.getTitle=function(e){return e>=this.titles.length?e+1:this.titles[e]},e.rate=function(t){if(!e.readonly&&t>=0&&t<=e.range.length){var n=i.enableReset&&r.$viewValue===t?0:t;r.$setViewValue(n),r.$render()}},e.enter=function(t){e.readonly||(e.value=t),e.onHover({value:t})},e.reset=function(){e.value=r.$viewValue,e.onLeave()},e.onKeydown=function(t){/(37|38|39|40)/.test(t.which)&&(t.preventDefault(),t.stopPropagation(),e.rate(e.value+(38===t.which||39===t.which?1:-1)))},this.render=function(){e.value=r.$viewValue,e.title=i.getTitle(e.value-1)}}]).directive("uibRating",function(){return{require:["uibRating","ngModel"],scope:{readonly:"=?readOnly",onHover:"&",onLeave:"&"},controller:"UibRatingController",templateUrl:"uib/template/rating/rating.html",replace:!0,link:function(e,t,n,r){var i=r[0],a=r[1];i.init(a)}}}),angular.module("ui.bootstrap.tabs",[]).controller("UibTabsetController",["$scope",function(e){function t(e){for(var t=0;t<r.tabs.length;t++)if(r.tabs[t].index===e)return t}var n,r=this;r.tabs=[],r.select=function(e,a){if(!i){var o=t(n),s=r.tabs[o];if(s){if(s.tab.onDeselect({$event:a,$selectedIndex:e}),a&&a.isDefaultPrevented())return;s.tab.active=!1}var l=r.tabs[e];l?(l.tab.onSelect({$event:a}),l.tab.active=!0,r.active=l.index,n=l.index):!l&&angular.isDefined(n)&&(r.active=null,n=null)}},r.addTab=function(e){if(r.tabs.push({tab:e,index:e.index}),r.tabs.sort(function(e,t){return e.index>t.index?1:e.index<t.index?-1:0}),e.index===r.active||!angular.isDefined(r.active)&&1===r.tabs.length){var n=t(e.index);r.select(n)}},r.removeTab=function(e){for(var t,n=0;n<r.tabs.length;n++)if(r.tabs[n].tab===e){t=n;break}if(r.tabs[t].index===r.active){var i=t===r.tabs.length-1?t-1:t+1%r.tabs.length;r.select(i)}r.tabs.splice(t,1)},e.$watch("tabset.active",function(e){angular.isDefined(e)&&e!==n&&r.select(t(e))});var i;e.$on("$destroy",function(){i=!0})}]).directive("uibTabset",function(){return{transclude:!0,replace:!0,scope:{},bindToController:{active:"=?",type:"@"},controller:"UibTabsetController",controllerAs:"tabset",templateUrl:function(e,t){return t.templateUrl||"uib/template/tabs/tabset.html"},link:function(e,t,n){e.vertical=!!angular.isDefined(n.vertical)&&e.$parent.$eval(n.vertical),e.justified=!!angular.isDefined(n.justified)&&e.$parent.$eval(n.justified)}}}).directive("uibTab",["$parse",function(e){return{require:"^uibTabset",replace:!0,templateUrl:function(e,t){return t.templateUrl||"uib/template/tabs/tab.html"},transclude:!0,scope:{heading:"@",index:"=?",classes:"@?",onSelect:"&select",onDeselect:"&deselect"},controller:function(){},controllerAs:"tab",link:function(t,n,r,i,a){t.disabled=!1,r.disable&&t.$parent.$watch(e(r.disable),function(e){t.disabled=!!e}),angular.isUndefined(r.index)&&(i.tabs&&i.tabs.length?t.index=Math.max.apply(null,i.tabs.map(function(e){return e.index}))+1:t.index=0),angular.isUndefined(r.classes)&&(t.classes=""),t.select=function(e){if(!t.disabled){for(var n,r=0;r<i.tabs.length;r++)if(i.tabs[r].tab===t){n=r;break}i.select(n,e)}},i.addTab(t),t.$on("$destroy",function(){i.removeTab(t)}),t.$transcludeFn=a}}}]).directive("uibTabHeadingTransclude",function(){return{restrict:"A",require:"^uibTab",link:function(e,t){e.$watch("headingElement",function(e){e&&(t.html(""),t.append(e))})}}}).directive("uibTabContentTransclude",function(){function e(e){return e.tagName&&(e.hasAttribute("uib-tab-heading")||e.hasAttribute("data-uib-tab-heading")||e.hasAttribute("x-uib-tab-heading")||"uib-tab-heading"===e.tagName.toLowerCase()||"data-uib-tab-heading"===e.tagName.toLowerCase()||"x-uib-tab-heading"===e.tagName.toLowerCase()||"uib:tab-heading"===e.tagName.toLowerCase())}return{restrict:"A",require:"^uibTabset",link:function(t,n,r){var i=t.$eval(r.uibTabContentTransclude).tab;i.$transcludeFn(i.$parent,function(t){angular.forEach(t,function(t){e(t)?i.headingElement=t:n.append(t)})})}}}),angular.module("ui.bootstrap.timepicker",[]).constant("uibTimepickerConfig",{hourStep:1,minuteStep:1,secondStep:1,showMeridian:!0,showSeconds:!1,meridians:null,readonlyInput:!1,mousewheel:!0,arrowkeys:!0,showSpinners:!0,templateUrl:"uib/template/timepicker/timepicker.html"}).controller("UibTimepickerController",["$scope","$element","$attrs","$parse","$log","$locale","uibTimepickerConfig",function(e,t,n,r,i,a,o){function s(){var t=+e.hours;if((e.showMeridian?t>0&&t<13:t>=0&&t<24)&&""!==e.hours)return e.showMeridian&&(12===t&&(t=0),e.meridian===w[1]&&(t+=12)),t}function l(){var t=+e.minutes;if(t>=0&&t<60&&""!==e.minutes)return t}function u(){var t=+e.seconds;return t>=0&&t<60?t:void 0}function c(e,t){return null===e?"":angular.isDefined(e)&&e.toString().length<2&&!t?"0"+e:e.toString()}function p(e){d(),y.$setViewValue(new Date(b)),f(e)}function d(){y.$setValidity("time",!0),e.invalidHours=!1,e.invalidMinutes=!1,e.invalidSeconds=!1}function f(t){if(y.$modelValue){var n=b.getHours(),r=b.getMinutes(),i=b.getSeconds();e.showMeridian&&(n=0===n||12===n?12:n%12),e.hours="h"===t?n:c(n,!M),"m"!==t&&(e.minutes=c(r)),e.meridian=b.getHours()<12?w[0]:w[1],"s"!==t&&(e.seconds=c(i)),e.meridian=b.getHours()<12?w[0]:w[1]}else e.hours=null,e.minutes=null,e.seconds=null,e.meridian=w[0]}function h(e){b=g(b,e),p()}function m(e,t){return g(e,60*t)}function g(e,t){var n=new Date(e.getTime()+1e3*t),r=new Date(e);return r.setHours(n.getHours(),n.getMinutes(),n.getSeconds()),r}function v(){return(null===e.hours||""===e.hours)&&(null===e.minutes||""===e.minutes)&&(!e.showSeconds||e.showSeconds&&(null===e.seconds||""===e.seconds))}var b=new Date,$=[],y={$setViewValue:angular.noop},w=angular.isDefined(n.meridians)?e.$parent.$eval(n.meridians):o.meridians||a.DATETIME_FORMATS.AMPMS,M=!angular.isDefined(n.padHours)||e.$parent.$eval(n.padHours);e.tabindex=angular.isDefined(n.tabindex)?n.tabindex:0,t.removeAttr("tabindex"),this.init=function(t,r){y=t,y.$render=this.render,y.$formatters.unshift(function(e){return e?new Date(e):null});var i=r.eq(0),a=r.eq(1),s=r.eq(2);(angular.isDefined(n.mousewheel)?e.$parent.$eval(n.mousewheel):o.mousewheel)&&this.setupMousewheelEvents(i,a,s),(angular.isDefined(n.arrowkeys)?e.$parent.$eval(n.arrowkeys):o.arrowkeys)&&this.setupArrowkeyEvents(i,a,s),e.readonlyInput=angular.isDefined(n.readonlyInput)?e.$parent.$eval(n.readonlyInput):o.readonlyInput,this.setupInputEvents(i,a,s)};var k=o.hourStep;n.hourStep&&$.push(e.$parent.$watch(r(n.hourStep),function(e){k=+e}));var E=o.minuteStep;n.minuteStep&&$.push(e.$parent.$watch(r(n.minuteStep),function(e){E=+e}));var C;$.push(e.$parent.$watch(r(n.min),function(e){var t=new Date(e);C=isNaN(t)?void 0:t}));var x;$.push(e.$parent.$watch(r(n.max),function(e){var t=new Date(e);x=isNaN(t)?void 0:t}));var D=!1;n.ngDisabled&&$.push(e.$parent.$watch(r(n.ngDisabled),function(e){D=e})),e.noIncrementHours=function(){var e=m(b,60*k);return D||e>x||e<b&&e<C},e.noDecrementHours=function(){var e=m(b,60*-k);return D||e<C||e>b&&e>x},e.noIncrementMinutes=function(){var e=m(b,E);return D||e>x||e<b&&e<C},e.noDecrementMinutes=function(){var e=m(b,-E);return D||e<C||e>b&&e>x},e.noIncrementSeconds=function(){var e=g(b,S);return D||e>x||e<b&&e<C},e.noDecrementSeconds=function(){var e=g(b,-S);return D||e<C||e>b&&e>x},e.noToggleMeridian=function(){return b.getHours()<12?D||m(b,720)>x:D||m(b,-720)<C};var S=o.secondStep;n.secondStep&&$.push(e.$parent.$watch(r(n.secondStep),function(e){S=+e})),e.showSeconds=o.showSeconds,n.showSeconds&&$.push(e.$parent.$watch(r(n.showSeconds),function(t){e.showSeconds=!!t})),e.showMeridian=o.showMeridian,n.showMeridian&&$.push(e.$parent.$watch(r(n.showMeridian),function(t){if(e.showMeridian=!!t,y.$error.time){var n=s(),r=l();angular.isDefined(n)&&angular.isDefined(r)&&(b.setHours(n),p())}else f()})),this.setupMousewheelEvents=function(t,n,r){var i=function(e){e.originalEvent&&(e=e.originalEvent);var t=e.wheelDelta?e.wheelDelta:-e.deltaY;return e.detail||t>0};t.bind("mousewheel wheel",function(t){D||e.$apply(i(t)?e.incrementHours():e.decrementHours()),t.preventDefault()}),n.bind("mousewheel wheel",function(t){D||e.$apply(i(t)?e.incrementMinutes():e.decrementMinutes()),t.preventDefault()}),r.bind("mousewheel wheel",function(t){D||e.$apply(i(t)?e.incrementSeconds():e.decrementSeconds()),t.preventDefault()})},this.setupArrowkeyEvents=function(t,n,r){t.bind("keydown",function(t){D||(38===t.which?(t.preventDefault(),e.incrementHours(),e.$apply()):40===t.which&&(t.preventDefault(),e.decrementHours(),e.$apply()))}),n.bind("keydown",function(t){D||(38===t.which?(t.preventDefault(),e.incrementMinutes(),e.$apply()):40===t.which&&(t.preventDefault(),e.decrementMinutes(),e.$apply()))}),r.bind("keydown",function(t){D||(38===t.which?(t.preventDefault(),e.incrementSeconds(),e.$apply()):40===t.which&&(t.preventDefault(),e.decrementSeconds(),e.$apply()))})},this.setupInputEvents=function(t,n,r){if(e.readonlyInput)return e.updateHours=angular.noop,e.updateMinutes=angular.noop,void(e.updateSeconds=angular.noop);var i=function(t,n,r){y.$setViewValue(null),y.$setValidity("time",!1),angular.isDefined(t)&&(e.invalidHours=t),angular.isDefined(n)&&(e.invalidMinutes=n),angular.isDefined(r)&&(e.invalidSeconds=r)};e.updateHours=function(){var e=s(),t=l();y.$setDirty(),angular.isDefined(e)&&angular.isDefined(t)?(b.setHours(e),b.setMinutes(t),b<C||b>x?i(!0):p("h")):i(!0)},t.bind("blur",function(t){y.$setTouched(),v()?d():null===e.hours||""===e.hours?i(!0):!e.invalidHours&&e.hours<10&&e.$apply(function(){e.hours=c(e.hours,!M)})}),e.updateMinutes=function(){var e=l(),t=s();y.$setDirty(),angular.isDefined(e)&&angular.isDefined(t)?(b.setHours(t),b.setMinutes(e),b<C||b>x?i(void 0,!0):p("m")):i(void 0,!0)},n.bind("blur",function(t){y.$setTouched(),v()?d():null===e.minutes?i(void 0,!0):!e.invalidMinutes&&e.minutes<10&&e.$apply(function(){e.minutes=c(e.minutes)})}),e.updateSeconds=function(){var e=u();y.$setDirty(),angular.isDefined(e)?(b.setSeconds(e),p("s")):i(void 0,void 0,!0)},r.bind("blur",function(t){v()?d():!e.invalidSeconds&&e.seconds<10&&e.$apply(function(){e.seconds=c(e.seconds)})})},this.render=function(){var t=y.$viewValue;isNaN(t)?(y.$setValidity("time",!1),i.error('Timepicker directive: "ng-model" value must be a Date object, a number of milliseconds since 01.01.1970 or a string representing an RFC2822 or ISO 8601 date.')):(t&&(b=t),b<C||b>x?(y.$setValidity("time",!1),e.invalidHours=!0,e.invalidMinutes=!0):d(),f())},e.showSpinners=angular.isDefined(n.showSpinners)?e.$parent.$eval(n.showSpinners):o.showSpinners,e.incrementHours=function(){e.noIncrementHours()||h(60*k*60)},e.decrementHours=function(){e.noDecrementHours()||h(60*-k*60)},e.incrementMinutes=function(){e.noIncrementMinutes()||h(60*E)},e.decrementMinutes=function(){e.noDecrementMinutes()||h(60*-E)},e.incrementSeconds=function(){e.noIncrementSeconds()||h(S)},e.decrementSeconds=function(){e.noDecrementSeconds()||h(-S)},e.toggleMeridian=function(){var t=l(),n=s();e.noToggleMeridian()||(angular.isDefined(t)&&angular.isDefined(n)?h(720*(b.getHours()<12?60:-60)):e.meridian=e.meridian===w[0]?w[1]:w[0])},e.blur=function(){y.$setTouched()},e.$on("$destroy",function(){for(;$.length;)$.shift()()})}]).directive("uibTimepicker",["uibTimepickerConfig",function(e){return{require:["uibTimepicker","?^ngModel"],controller:"UibTimepickerController",controllerAs:"timepicker",replace:!0,scope:{},templateUrl:function(t,n){return n.templateUrl||e.templateUrl},link:function(e,t,n,r){var i=r[0],a=r[1];a&&i.init(a,t.find("input"))}}}]),angular.module("ui.bootstrap.typeahead",["ui.bootstrap.debounce","ui.bootstrap.position"]).factory("uibTypeaheadParser",["$parse",function(e){var t=/^\s*([\s\S]+?)(?:\s+as\s+([\s\S]+?))?\s+for\s+(?:([\$\w][\$\w\d]*))\s+in\s+([\s\S]+?)$/;return{parse:function(n){var r=n.match(t);if(!r)throw new Error('Expected typeahead specification in form of "_modelValue_ (as _label_)? for _item_ in _collection_" but got "'+n+'".');return{itemName:r[3],source:e(r[4]),viewMapper:e(r[2]||r[1]),modelMapper:e(r[1])}}}}]).controller("UibTypeaheadController",["$scope","$element","$attrs","$compile","$parse","$q","$timeout","$document","$window","$rootScope","$$debounce","$uibPosition","uibTypeaheadParser",function(e,t,n,r,i,a,o,s,l,u,c,p,d){function f(){j.moveInProgress||(j.moveInProgress=!0,j.$digest()),X()}function h(){j.position=O?p.offset(t):p.position(t),j.position.top+=t.prop("offsetHeight")}var m,g,v=[9,13,27,38,40],b=200,$=e.$eval(n.typeaheadMinLength);$||0===$||($=1),e.$watch(n.typeaheadMinLength,function(e){$=e||0===e?e:1});var y=e.$eval(n.typeaheadWaitMs)||0,w=!1!==e.$eval(n.typeaheadEditable);e.$watch(n.typeaheadEditable,function(e){w=!1!==e});var M,k,E=i(n.typeaheadLoading).assign||angular.noop,C=n.typeaheadShouldSelect?i(n.typeaheadShouldSelect):function(e,t){var n=t.$event;return 13===n.which||9===n.which},x=i(n.typeaheadOnSelect),D=!!angular.isDefined(n.typeaheadSelectOnBlur)&&e.$eval(n.typeaheadSelectOnBlur),S=i(n.typeaheadNoResults).assign||angular.noop,T=n.typeaheadInputFormatter?i(n.typeaheadInputFormatter):void 0,O=!!n.typeaheadAppendToBody&&e.$eval(n.typeaheadAppendToBody),A=n.typeaheadAppendTo?e.$eval(n.typeaheadAppendTo):null,P=!1!==e.$eval(n.typeaheadFocusFirst),I=!!n.typeaheadSelectOnExact&&e.$eval(n.typeaheadSelectOnExact),N=i(n.typeaheadIsOpen).assign||angular.noop,L=e.$eval(n.typeaheadShowHint)||!1,U=i(n.ngModel),F=i(n.ngModel+"($$$p)"),R=function(t,n){return angular.isFunction(U(e))&&g&&g.$options&&g.$options.getterSetter?F(t,{$$$p:n}):U.assign(t,n)},H=d.parse(n.uibTypeahead),j=e.$new(),z=e.$on("$destroy",function(){j.$destroy()});j.$on("$destroy",z);var V="typeahead-"+j.$id+"-"+Math.floor(1e4*Math.random());t.attr({"aria-autocomplete":"list","aria-expanded":!1,"aria-owns":V});var _,B;L&&(_=angular.element("<div></div>"),_.css("position","relative"),t.after(_),B=t.clone(),B.attr("placeholder",""),B.attr("tabindex","-1"),B.val(""),B.css({position:"absolute",top:"0px",left:"0px","border-color":"transparent","box-shadow":"none",opacity:1,background:"none 0% 0% / auto repeat scroll padding-box border-box rgb(255, 255, 255)",color:"#999"}),t.css({position:"relative","vertical-align":"top","background-color":"transparent"}),_.append(B),B.after(t));var q=angular.element("<div uib-typeahead-popup></div>");q.attr({id:V,matches:"matches",active:"activeIdx",select:"select(activeIdx, evt)","move-in-progress":"moveInProgress",query:"query",position:"position","assign-is-open":"assignIsOpen(isOpen)",debounce:"debounceUpdate"}),angular.isDefined(n.typeaheadTemplateUrl)&&q.attr("template-url",n.typeaheadTemplateUrl),angular.isDefined(n.typeaheadPopupTemplateUrl)&&q.attr("popup-template-url",n.typeaheadPopupTemplateUrl);var W=function(){L&&B.val("")},G=function(){j.matches=[],j.activeIdx=-1,t.attr("aria-expanded",!1),W()},Y=function(e){return V+"-option-"+e};j.$watch("activeIdx",function(e){e<0?t.removeAttr("aria-activedescendant"):t.attr("aria-activedescendant",Y(e))});var Q=function(e,t){return!!(j.matches.length>t&&e)&&e.toUpperCase()===j.matches[t].label.toUpperCase()},K=function(n,r){var i={$viewValue:n};E(e,!0),S(e,!1),a.when(H.source(e,i)).then(function(a){var o=n===m.$viewValue;if(o&&M)if(a&&a.length>0){j.activeIdx=P?0:-1,S(e,!1),j.matches.length=0;for(var s=0;s<a.length;s++)i[H.itemName]=a[s],j.matches.push({id:Y(s),label:H.viewMapper(j,i),model:a[s]});if(j.query=n,h(),t.attr("aria-expanded",!0),I&&1===j.matches.length&&Q(n,0)&&(angular.isNumber(j.debounceUpdate)||angular.isObject(j.debounceUpdate)?c(function(){j.select(0,r)},angular.isNumber(j.debounceUpdate)?j.debounceUpdate:j.debounceUpdate.default):j.select(0,r)),L){var l=j.matches[0].label;angular.isString(n)&&n.length>0&&l.slice(0,n.length).toUpperCase()===n.toUpperCase()?B.val(n+l.slice(n.length)):B.val("")}}else G(),S(e,!0);o&&E(e,!1)},function(){G(),E(e,!1),S(e,!0)})};O&&(angular.element(l).on("resize",f),s.find("body").on("scroll",f));var X=c(function(){j.matches.length&&h(),j.moveInProgress=!1},b);j.moveInProgress=!1,j.query=void 0;var Z,J=function(e){Z=o(function(){K(e)},y)},ee=function(){Z&&o.cancel(Z)};G(),j.assignIsOpen=function(t){N(e,t)},j.select=function(r,i){var a,s,l={};k=!0,l[H.itemName]=s=j.matches[r].model,a=H.modelMapper(e,l),R(e,a),m.$setValidity("editable",!0),m.$setValidity("parse",!0),x(e,{$item:s,$model:a,$label:H.viewMapper(e,l),$event:i}),G(),!1!==j.$eval(n.typeaheadFocusOnSelect)&&o(function(){t[0].focus()},0,!1)},t.on("keydown",function(t){if(0!==j.matches.length&&-1!==v.indexOf(t.which)){var n=C(e,{$event:t});if(-1===j.activeIdx&&n||9===t.which&&t.shiftKey)return G(),void j.$digest();t.preventDefault();var r;switch(t.which){case 27:t.stopPropagation(),G(),e.$digest();break;case 38:j.activeIdx=(j.activeIdx>0?j.activeIdx:j.matches.length)-1,j.$digest(),r=q.find("li")[j.activeIdx],r.parentNode.scrollTop=r.offsetTop;break;case 40:j.activeIdx=(j.activeIdx+1)%j.matches.length,j.$digest(),r=q.find("li")[j.activeIdx],r.parentNode.scrollTop=r.offsetTop;break;default:n&&j.$apply(function(){angular.isNumber(j.debounceUpdate)||angular.isObject(j.debounceUpdate)?c(function(){j.select(j.activeIdx,t)},angular.isNumber(j.debounceUpdate)?j.debounceUpdate:j.debounceUpdate.default):j.select(j.activeIdx,t)})}}}),t.bind("focus",function(e){M=!0,0!==$||m.$viewValue||o(function(){K(m.$viewValue,e)},0)}),t.bind("blur",function(e){D&&j.matches.length&&-1!==j.activeIdx&&!k&&(k=!0,j.$apply(function(){angular.isObject(j.debounceUpdate)&&angular.isNumber(j.debounceUpdate.blur)?c(function(){j.select(j.activeIdx,e)},j.debounceUpdate.blur):j.select(j.activeIdx,e)})),!w&&m.$error.editable&&(m.$setViewValue(),m.$setValidity("editable",!0),m.$setValidity("parse",!0),t.val("")),M=!1,k=!1});var te=function(n){t[0]!==n.target&&3!==n.which&&0!==j.matches.length&&(G(),u.$$phase||e.$digest())};s.on("click",te),e.$on("$destroy",function(){s.off("click",te),(O||A)&&ne.remove(),O&&(angular.element(l).off("resize",f),s.find("body").off("scroll",f)),q.remove(),L&&_.remove()});var ne=r(q)(j);O?s.find("body").append(ne):A?angular.element(A).eq(0).append(ne):t.after(ne),this.init=function(t,n){m=t,g=n,j.debounceUpdate=m.$options&&i(m.$options.debounce)(e),m.$parsers.unshift(function(t){return M=!0,0===$||t&&t.length>=$?y>0?(ee(),J(t)):K(t):(E(e,!1),ee(),G()),w?t:t?void m.$setValidity("editable",!1):(m.$setValidity("editable",!0),null)}),m.$formatters.push(function(t){var n,r,i={};return w||m.$setValidity("editable",!0),T?(i.$model=t,T(e,i)):(i[H.itemName]=t,n=H.viewMapper(e,i),i[H.itemName]=void 0,r=H.viewMapper(e,i),n!==r?n:t)})}}]).directive("uibTypeahead",function(){return{controller:"UibTypeaheadController",require:["ngModel","^?ngModelOptions","uibTypeahead"],link:function(e,t,n,r){r[2].init(r[0],r[1])}}}).directive("uibTypeaheadPopup",["$$debounce",function(e){return{scope:{matches:"=",query:"=",active:"=",position:"&",moveInProgress:"=",select:"&",assignIsOpen:"&",debounce:"&"},replace:!0,templateUrl:function(e,t){return t.popupTemplateUrl||"uib/template/typeahead/typeahead-popup.html"},link:function(t,n,r){t.templateUrl=r.templateUrl,t.isOpen=function(){var e=t.matches.length>0;return t.assignIsOpen({isOpen:e}),e},t.isActive=function(e){return t.active===e},t.selectActive=function(e){t.active=e},t.selectMatch=function(n,r){var i=t.debounce();angular.isNumber(i)||angular.isObject(i)?e(function(){t.select({activeIdx:n,evt:r})},angular.isNumber(i)?i:i.default):t.select({activeIdx:n,evt:r})}}}}]).directive("uibTypeaheadMatch",["$templateRequest","$compile","$parse",function(e,t,n){return{scope:{index:"=",match:"=",query:"="},link:function(r,i,a){var o=n(a.templateUrl)(r.$parent)||"uib/template/typeahead/typeahead-match.html";e(o).then(function(e){var n=angular.element(e.trim());i.replaceWith(n),t(n)(r)})}}}]).filter("uibTypeaheadHighlight",["$sce","$injector","$log",function(e,t,n){function r(e){return e.replace(/([.?*+^$[\]\\(){}|-])/g,"\\$1")}function i(e){return/<.*>/g.test(e)}var a;return a=t.has("$sanitize"),function(t,o){return!a&&i(t)&&n.warn("Unsafe use of typeahead please use ngSanitize"),t=o?(""+t).replace(new RegExp(r(o),"gi"),"<strong>$&</strong>"):t,a||(t=e.trustAsHtml(t)),t}}]),angular.module("ui.bootstrap.carousel").run(function(){!angular.$$csp().noInlineStyle&&!angular.$$uibCarouselCss&&angular.element(document).find("head").prepend('<style type="text/css">.ng-animate.item:not(.left):not(.right){-webkit-transition:0s ease-in-out left;transition:0s ease-in-out left}</style>'),angular.$$uibCarouselCss=!0}),angular.module("ui.bootstrap.datepicker").run(function(){!angular.$$csp().noInlineStyle&&!angular.$$uibDatepickerCss&&angular.element(document).find("head").prepend('<style type="text/css">.uib-datepicker .uib-title{width:100%;}.uib-day button,.uib-month button,.uib-year button{min-width:100%;}.uib-left,.uib-right{width:100%}</style>'),angular.$$uibDatepickerCss=!0}),angular.module("ui.bootstrap.position").run(function(){!angular.$$csp().noInlineStyle&&!angular.$$uibPositionCss&&angular.element(document).find("head").prepend('<style type="text/css">.uib-position-measure{display:block !important;visibility:hidden !important;position:absolute !important;top:-9999px !important;left:-9999px !important;}.uib-position-scrollbar-measure{position:absolute !important;top:-9999px !important;width:50px !important;height:50px !important;overflow:scroll !important;}.uib-position-body-scrollbar-measure{overflow:scroll !important;}</style>'),angular.$$uibPositionCss=!0}),angular.module("ui.bootstrap.datepickerPopup").run(function(){!angular.$$csp().noInlineStyle&&!angular.$$uibDatepickerpopupCss&&angular.element(document).find("head").prepend('<style type="text/css">.uib-datepicker-popup.dropdown-menu{display:block;float:none;margin:0;}.uib-button-bar{padding:10px 9px 2px;}</style>'),angular.$$uibDatepickerpopupCss=!0}),angular.module("ui.bootstrap.tooltip").run(function(){!angular.$$csp().noInlineStyle&&!angular.$$uibTooltipCss&&angular.element(document).find("head").prepend('<style type="text/css">[uib-tooltip-popup].tooltip.top-left > .tooltip-arrow,[uib-tooltip-popup].tooltip.top-right > .tooltip-arrow,[uib-tooltip-popup].tooltip.bottom-left > .tooltip-arrow,[uib-tooltip-popup].tooltip.bottom-right > .tooltip-arrow,[uib-tooltip-popup].tooltip.left-top > .tooltip-arrow,[uib-tooltip-popup].tooltip.left-bottom > .tooltip-arrow,[uib-tooltip-popup].tooltip.right-top > .tooltip-arrow,[uib-tooltip-popup].tooltip.right-bottom > .tooltip-arrow,[uib-tooltip-html-popup].tooltip.top-left > .tooltip-arrow,[uib-tooltip-html-popup].tooltip.top-right > .tooltip-arrow,[uib-tooltip-html-popup].tooltip.bottom-left > .tooltip-arrow,[uib-tooltip-html-popup].tooltip.bottom-right > .tooltip-arrow,[uib-tooltip-html-popup].tooltip.left-top > .tooltip-arrow,[uib-tooltip-html-popup].tooltip.left-bottom > .tooltip-arrow,[uib-tooltip-html-popup].tooltip.right-top > .tooltip-arrow,[uib-tooltip-html-popup].tooltip.right-bottom > .tooltip-arrow,[uib-tooltip-template-popup].tooltip.top-left > .tooltip-arrow,[uib-tooltip-template-popup].tooltip.top-right > .tooltip-arrow,[uib-tooltip-template-popup].tooltip.bottom-left > .tooltip-arrow,[uib-tooltip-template-popup].tooltip.bottom-right > .tooltip-arrow,[uib-tooltip-template-popup].tooltip.left-top > .tooltip-arrow,[uib-tooltip-template-popup].tooltip.left-bottom > .tooltip-arrow,[uib-tooltip-template-popup].tooltip.right-top > .tooltip-arrow,[uib-tooltip-template-popup].tooltip.right-bottom > .tooltip-arrow,[uib-popover-popup].popover.top-left > .arrow,[uib-popover-popup].popover.top-right > .arrow,[uib-popover-popup].popover.bottom-left > .arrow,[uib-popover-popup].popover.bottom-right > .arrow,[uib-popover-popup].popover.left-top > .arrow,[uib-popover-popup].popover.left-bottom > .arrow,[uib-popover-popup].popover.right-top > .arrow,[uib-popover-popup].popover.right-bottom > .arrow,[uib-popover-html-popup].popover.top-left > .arrow,[uib-popover-html-popup].popover.top-right > .arrow,[uib-popover-html-popup].popover.bottom-left > .arrow,[uib-popover-html-popup].popover.bottom-right > .arrow,[uib-popover-html-popup].popover.left-top > .arrow,[uib-popover-html-popup].popover.left-bottom > .arrow,[uib-popover-html-popup].popover.right-top > .arrow,[uib-popover-html-popup].popover.right-bottom > .arrow,[uib-popover-template-popup].popover.top-left > .arrow,[uib-popover-template-popup].popover.top-right > .arrow,[uib-popover-template-popup].popover.bottom-left > .arrow,[uib-popover-template-popup].popover.bottom-right > .arrow,[uib-popover-template-popup].popover.left-top > .arrow,[uib-popover-template-popup].popover.left-bottom > .arrow,[uib-popover-template-popup].popover.right-top > .arrow,[uib-popover-template-popup].popover.right-bottom > .arrow{top:auto;bottom:auto;left:auto;right:auto;margin:0;}[uib-popover-popup].popover,[uib-popover-html-popup].popover,[uib-popover-template-popup].popover{display:block !important;}</style>'),angular.$$uibTooltipCss=!0}),angular.module("ui.bootstrap.timepicker").run(function(){!angular.$$csp().noInlineStyle&&!angular.$$uibTimepickerCss&&angular.element(document).find("head").prepend('<style type="text/css">.uib-time input{width:50px;}</style>'),angular.$$uibTimepickerCss=!0}),angular.module("ui.bootstrap.typeahead").run(function(){!angular.$$csp().noInlineStyle&&!angular.$$uibTypeaheadCss&&angular.element(document).find("head").prepend('<style type="text/css">[uib-typeahead-popup].dropdown-menu{display:block;}</style>'),angular.$$uibTypeaheadCss=!0}),function(e){function t(e,t){return"all"==t?e:e.filter(function(e){return-1!=t.toLowerCase().indexOf(e)})}var n="application/x-dnd",r="application/json",i="Text",a=["move","copy","link"];e.directive("dndDraggable",["$parse","$timeout",function(e,s){return function(l,u,c){u.attr("draggable","true"),c.dndDisableIf&&l.$watch(c.dndDisableIf,function(e){u.attr("draggable",!e)}),u.on("dragstart",function(p){if(p=p.originalEvent||p,"false"==u.attr("draggable"))return!0;o.isDragging=!0,o.itemType=c.dndType&&l.$eval(c.dndType).toLowerCase(),o.dropEffect="none",o.effectAllowed=c.dndEffectAllowed||a[0],p.dataTransfer.effectAllowed=o.effectAllowed;var d=l.$eval(c.dndDraggable),f=n+(o.itemType?"-"+o.itemType:"");try{p.dataTransfer.setData(f,angular.toJson(d))}catch(e){var h=angular.toJson({item:d,type:o.itemType});try{p.dataTransfer.setData(r,h)}catch(e){var m=t(a,o.effectAllowed);p.dataTransfer.effectAllowed=m[0],p.dataTransfer.setData(i,h)}}if(u.addClass("dndDragging"),s(function(){u.addClass("dndDraggingSource")},0),p._dndHandle&&p.dataTransfer.setDragImage&&p.dataTransfer.setDragImage(u[0],0,0),e(c.dndDragstart)(l,{event:p}),c.dndCallback){var g=e(c.dndCallback);o.callback=function(e){return g(l,e||{})}}p.stopPropagation()}),u.on("dragend",function(t){t=t.originalEvent||t,l.$apply(function(){var n=o.dropEffect;e(c[{copy:"dndCopied",link:"dndLinked",move:"dndMoved",none:"dndCanceled"}[n]])(l,{event:t}),e(c.dndDragend)(l,{event:t,dropEffect:n})}),o.isDragging=!1,o.callback=void 0,u.removeClass("dndDragging"),u.removeClass("dndDraggingSource"),t.stopPropagation(),s(function(){u.removeClass("dndDraggingSource")},0)}),u.on("click",function(t){c.dndSelected&&(t=t.originalEvent||t,l.$apply(function(){e(c.dndSelected)(l,{event:t})}),t.stopPropagation())}),u.on("selectstart",function(){this.dragDrop&&this.dragDrop()})}}]),e.directive("dndList",["$parse",function(e){return function(s,l,u){function c(e){if(!e)return i;for(var t=0;t<e.length;t++)if(e[t]==i||e[t]==r||e[t].substr(0,n.length)==n)return e[t];return null}function p(e){return o.isDragging?o.itemType||void 0:e==i||e==r?null:e&&e.substr(n.length+1)||void 0}function d(e){return!w.disabled&&(!(!w.externalSources&&!o.isDragging)&&(!w.allowedTypes||null===e||e&&-1!=w.allowedTypes.indexOf(e)))}function f(e,n){var r=a;return n||(r=t(r,e.dataTransfer.effectAllowed)),o.isDragging&&(r=t(r,o.effectAllowed)),u.dndEffectAllowed&&(r=t(r,u.dndEffectAllowed)),r.length?e.ctrlKey&&-1!=r.indexOf("copy")?"copy":e.altKey&&-1!=r.indexOf("link")?"link":r[0]:"none"}function h(){return b.remove(),l.removeClass("dndDragover"),!0}function m(t,n,r,i,a,l){return e(t)(s,{callback:o.callback,dropEffect:r,event:n,external:!o.isDragging,index:void 0!==a?a:g(),item:l||void 0,type:i})}function g(){return Array.prototype.indexOf.call(y.children,$)}function v(){var e;return angular.forEach(l.children(),function(t){var n=angular.element(t);n.hasClass("dndPlaceholder")&&(e=n)}),e||angular.element("<li class='dndPlaceholder'></li>")}var b=v();b.remove();var $=b[0],y=l[0],w={};l.on("dragenter",function(e){e=e.originalEvent||e;var t=u.dndAllowedTypes&&s.$eval(u.dndAllowedTypes);w={allowedTypes:angular.isArray(t)&&t.join("|").toLowerCase().split("|"),disabled:u.dndDisableIf&&s.$eval(u.dndDisableIf),externalSources:u.dndExternalSources&&s.$eval(u.dndExternalSources),horizontal:u.dndHorizontalList&&s.$eval(u.dndHorizontalList)};var n=c(e.dataTransfer.types);if(!n||!d(p(n)))return!0;e.preventDefault()}),l.on("dragover",function(e){e=e.originalEvent||e;var t=c(e.dataTransfer.types),n=p(t);if(!t||!d(n))return!0;if($.parentNode!=y&&l.append(b),e.target!=y){for(var r=e.target;r.parentNode!=y&&r.parentNode;)r=r.parentNode;if(r.parentNode==y&&r!=$){var a=r.getBoundingClientRect();if(w.horizontal)var o=e.clientX<a.left+a.width/2;else var o=e.clientY<a.top+a.height/2;y.insertBefore($,o?r:r.nextSibling)}}var s=t==i,g=f(e,s);return"none"==g?h():u.dndDragover&&!m(u.dndDragover,e,g,n)?h():(e.preventDefault(),s||(e.dataTransfer.dropEffect=g),l.addClass("dndDragover"),e.stopPropagation(),!1)}),l.on("drop",function(e){e=e.originalEvent||e;var t=c(e.dataTransfer.types),n=p(t);if(!t||!d(n))return!0;e.preventDefault();try{var a=JSON.parse(e.dataTransfer.getData(t))}catch(e){return h()}if((t==i||t==r)&&(n=a.type||void 0,a=a.item,!d(n)))return h();var l=t==i,v=f(e,l);if("none"==v)return h();var b=g();return u.dndDrop&&!(a=m(u.dndDrop,e,v,n,b,a))?h():(o.dropEffect=v,l||(e.dataTransfer.dropEffect=v),!0!==a&&s.$apply(function(){s.$eval(u.dndList).splice(b,0,a)}),m(u.dndInserted,e,v,n,b,a),h(),e.stopPropagation(),!1)}),l.on("dragleave",function(e){e=e.originalEvent||e;var t=document.elementFromPoint(e.clientX,e.clientY);y.contains(t)&&!e._dndPhShown?e._dndPhShown=!0:h()})}}]),e.directive("dndNodrag",function(){return function(e,t,n){t.attr("draggable","true"),t.on("dragstart",function(e){e=e.originalEvent||e,e._dndHandle||(e.dataTransfer.types&&e.dataTransfer.types.length||e.preventDefault(),e.stopPropagation())}),t.on("dragend",function(e){e=e.originalEvent||e,e._dndHandle||e.stopPropagation()})}}),e.directive("dndHandle",function(){return function(e,t,n){t.attr("draggable","true"),t.on("dragstart dragend",function(e){e=e.originalEvent||e,e._dndHandle=!0})}});var o={}}(angular.module("dndLists",[])),function(e,t){"object"==typeof exports&&"undefined"!=typeof module?module.exports=t():"function"==typeof define&&define.amd?define(t):e.IntlPolyfill=t()}(this,function(){"use strict";function e(e){if("function"==typeof Math.log10)return Math.floor(Math.log10(e));var t=Math.round(Math.log(e)*Math.LOG10E);return t-(Number("1e"+t)>e)}function t(e){for(var n in e)(e instanceof t||Le.call(e,n))&&Ue(this,n,{value:e[n],enumerable:!0,writable:!0,configurable:!0})}function n(){Ue(this,"length",{writable:!0,value:0}),arguments.length&&ze.apply(this,He.call(arguments))}function r(){if(qe.disableRegExpRestore)return function(){};for(var e={lastMatch:RegExp.lastMatch||"",leftContext:RegExp.leftContext,multiline:RegExp.multiline,input:RegExp.input},t=!1,r=1;r<=9;r++)t=(e["$"+r]=RegExp["$"+r])||t;return function(){var r=/[.?*+^$[\]\\(){}|-]/g,i=e.lastMatch.replace(r,"\\$&"),a=new n;if(t)for(var o=1;o<=9;o++){var s=e["$"+o];s?(s=s.replace(r,"\\$&"),i=i.replace(s,"("+s+")")):i="()"+i,ze.call(a,i.slice(0,i.indexOf("(")+1)),i=i.slice(i.indexOf("(")+1)}var l=Ve.call(a,"")+i;l=l.replace(/(\\\(|\\\)|[^()])+/g,function(e){return"[\\s\\S]{"+e.replace("\\","").length+"}"});var u=new RegExp(l,e.multiline?"gm":"g");u.lastIndex=e.leftContext.length,u.exec(e.input)}}function i(e){if(null===e)throw new TypeError("Cannot convert null or undefined to object");return"object"===(void 0===e?"undefined":Pe.typeof(e))?e:Object(e)}function a(e){return"number"==typeof e?e:Number(e)}function o(e){var t=a(e);return isNaN(t)?0:0===t||-0===t||t===1/0||t===-1/0?t:t<0?-1*Math.floor(Math.abs(t)):Math.floor(Math.abs(t))}function s(e){var t=o(e);return t<=0?0:t===1/0?Math.pow(2,53)-1:Math.min(t,Math.pow(2,53)-1)}function l(e){return Le.call(e,"__getInternalProperties")?e.__getInternalProperties(We):Re(null)}function u(e){ut=e}function c(e){for(var t=e.length;t--;){var n=e.charAt(t);n>="a"&&n<="z"&&(e=e.slice(0,t)+n.toUpperCase()+e.slice(t+1))}return e}function p(e){return!!at.test(e)&&!ot.test(e)&&!st.test(e)}function d(e){var t=void 0,n=void 0;e=e.toLowerCase(),n=e.split("-");for(var r=1,i=n.length;r<i;r++)if(2===n[r].length)n[r]=n[r].toUpperCase();else if(4===n[r].length)n[r]=n[r].charAt(0).toUpperCase()+n[r].slice(1);else if(1===n[r].length&&"x"!==n[r])break;e=Ve.call(n,"-"),(t=e.match(lt))&&t.length>1&&(t.sort(),e=e.replace(RegExp("(?:"+lt.source+")+","i"),Ve.call(t,""))),Le.call(ct.tags,e)&&(e=ct.tags[e]),n=e.split("-");for(var a=1,o=n.length;a<o;a++)Le.call(ct.subtags,n[a])?n[a]=ct.subtags[n[a]]:Le.call(ct.extLang,n[a])&&(n[a]=ct.extLang[n[a]][0],1===a&&ct.extLang[n[1]][1]===n[0]&&(n=He.call(n,a++),o-=1));return Ve.call(n,"-")}function f(){return ut}function h(e){var t=String(e),n=c(t);return!1!==pt.test(n)}function m(e){if(void 0===e)return new n;var t=new n;e="string"==typeof e?[e]:e;for(var r=i(e),a=s(r.length),o=0;o<a;){var l=String(o);if(l in r){var u=r[l];if(null===u||"string"!=typeof u&&"object"!==(void 0===u?"undefined":Pe.typeof(u)))throw new TypeError("String or Object type expected");var c=String(u);if(!p(c))throw new RangeError("'"+c+"' is not a structurally valid language tag");c=d(c),-1===Fe.call(t,c)&&ze.call(t,c)}o++}return t}function g(e,t){for(var n=t;n;){if(Fe.call(e,n)>-1)return n;var r=n.lastIndexOf("-");if(r<0)return;r>=2&&"-"===n.charAt(r-2)&&(r-=2),n=n.substring(0,r)}}function v(e,n){for(var r=0,i=n.length,a=void 0,o=void 0,s=void 0;r<i&&!a;)o=n[r],s=String(o).replace(dt,""),a=g(e,s),r++;var l=new t;if(void 0!==a){if(l["[[locale]]"]=a,String(o)!==String(s)){var u=o.match(dt)[0],c=o.indexOf("-u-");l["[[extension]]"]=u,l["[[extensionIndex]]"]=c}}else l["[[locale]]"]=f();return l}function b(e,t){return v(e,t)}function $(e,n,r,i,a){if(0===e.length)throw new ReferenceError("No locale data has been provided for this object yet.");var o=r["[[localeMatcher]]"],s=void 0;s="lookup"===o?v(e,n):b(e,n);var l=s["[[locale]]"],u=void 0,c=void 0;if(Le.call(s,"[[extension]]")){var p=s["[[extension]]"];u=String.prototype.split.call(p,"-"),c=u.length}var f=new t;f["[[dataLocale]]"]=l;for(var h="-u",m=0,g=i.length;m<g;){var $=i[m],y=a[l],w=y[$],M=w[0],k="",E=Fe;if(void 0!==u){var C=E.call(u,$);if(-1!==C)if(C+1<c&&u[C+1].length>2){var x=u[C+1],D=E.call(w,x);-1!==D&&(M=x,k="-"+$+"-"+M)}else{var S=E(w,"true");-1!==S&&(M="true")}}if(Le.call(r,"[["+$+"]]")){var T=r["[["+$+"]]"];-1!==E.call(w,T)&&T!==M&&(M=T,k="")}f["[["+$+"]]"]=M,h+=k,m++}if(h.length>2){var O=l.indexOf("-x-");if(-1===O)l+=h;else{l=l.substring(0,O)+h+l.substring(O)}l=d(l)}return f["[[locale]]"]=l,f}function y(e,t){for(var r=t.length,i=new n,a=0;a<r;){var o=t[a];void 0!==g(e,String(o).replace(dt,""))&&ze.call(i,o),a++}return He.call(i)}function w(e,t){return y(e,t)}function M(e,n,r){var a=void 0,o=void 0;if(void 0!==r&&(r=new t(i(r)),void 0!==(a=r.localeMatcher)&&"lookup"!==(a=String(a))&&"best fit"!==a))throw new RangeError('matcher should be "lookup" or "best fit"');o=void 0===a||"best fit"===a?w(e,n):y(e,n);for(var s in o)Le.call(o,s)&&Ue(o,s,{writable:!1,configurable:!1,value:o[s]});return Ue(o,"length",{writable:!1}),o}function k(e,t,n,r,i){var a=e[t];if(void 0!==a){if(a="boolean"===n?Boolean(a):"string"===n?String(a):a,void 0!==r&&-1===Fe.call(r,a))throw new RangeError("'"+a+"' is not an allowed value for `"+t+"`");return a}return i}function E(e,t,n,r,i){var a=e[t];if(void 0!==a){if(a=Number(a),isNaN(a)||a<n||a>r)throw new RangeError("Value is not a number or outside accepted range");return Math.floor(a)}return i}function C(e){for(var t=m(e),n=[],r=t.length,i=0;i<r;)n[i]=t[i],i++;return n}function x(){var e=arguments[0],t=arguments[1];return this&&this!==ft?D(i(this),e,t):new ft.NumberFormat(e,t)}function D(e,a,o){var s=l(e),u=r();if(!0===s["[[initializedIntlObject]]"])throw new TypeError("`this` object has already been initialized as an Intl object");Ue(e,"__getInternalProperties",{value:function(){if(arguments[0]===We)return s}}),s["[[initializedIntlObject]]"]=!0;var c=m(a);o=void 0===o?{}:i(o);var p=new t,d=k(o,"localeMatcher","string",new n("lookup","best fit"),"best fit");p["[[localeMatcher]]"]=d;var f=qe.NumberFormat["[[localeData]]"],g=$(qe.NumberFormat["[[availableLocales]]"],c,p,qe.NumberFormat["[[relevantExtensionKeys]]"],f);s["[[locale]]"]=g["[[locale]]"],s["[[numberingSystem]]"]=g["[[nu]]"],s["[[dataLocale]]"]=g["[[dataLocale]]"];var v=g["[[dataLocale]]"],b=k(o,"style","string",new n("decimal","percent","currency"),"decimal");s["[[style]]"]=b;var y=k(o,"currency","string");if(void 0!==y&&!h(y))throw new RangeError("'"+y+"' is not a valid currency code");if("currency"===b&&void 0===y)throw new TypeError("Currency code is required when style is currency");var w=void 0;"currency"===b&&(y=y.toUpperCase(),s["[[currency]]"]=y,w=S(y));var M=k(o,"currencyDisplay","string",new n("code","symbol","name"),"symbol");"currency"===b&&(s["[[currencyDisplay]]"]=M);var C=E(o,"minimumIntegerDigits",1,21,1);s["[[minimumIntegerDigits]]"]=C;var x="currency"===b?w:0,D=E(o,"minimumFractionDigits",0,20,x);s["[[minimumFractionDigits]]"]=D;var O="currency"===b?Math.max(D,w):"percent"===b?Math.max(D,0):Math.max(D,3),A=E(o,"maximumFractionDigits",D,20,O);s["[[maximumFractionDigits]]"]=A;var P=o.minimumSignificantDigits,I=o.maximumSignificantDigits;void 0===P&&void 0===I||(P=E(o,"minimumSignificantDigits",1,21,1),I=E(o,"maximumSignificantDigits",P,21,21),s["[[minimumSignificantDigits]]"]=P,s["[[maximumSignificantDigits]]"]=I);var N=k(o,"useGrouping","boolean",void 0,!0);s["[[useGrouping]]"]=N;var L=f[v],U=L.patterns,F=U[b];return s["[[positivePattern]]"]=F.positivePattern,s["[[negativePattern]]"]=F.negativePattern,s["[[boundFormat]]"]=void 0,s["[[initializedNumberFormat]]"]=!0,Ne&&(e.format=T.call(e)),u(),e}function S(e){return void 0!==ht[e]?ht[e]:2}function T(){var e=null!==this&&"object"===Pe.typeof(this)&&l(this);if(!e||!e["[[initializedNumberFormat]]"])throw new TypeError("`this` value for format() is not an initialized Intl.NumberFormat object.");if(void 0===e["[[boundFormat]]"]){var t=function(e){return I(this,Number(e))},n=Be.call(t,this);e["[[boundFormat]]"]=n}return e["[[boundFormat]]"]}function O(){var e=arguments.length<=0||void 0===arguments[0]?void 0:arguments[0],t=null!==this&&"object"===Pe.typeof(this)&&l(this);if(!t||!t["[[initializedNumberFormat]]"])throw new TypeError("`this` value for formatToParts() is not an initialized Intl.NumberFormat object.");return A(this,Number(e))}function A(e,t){for(var n=P(e,t),r=[],i=0,a=0;n.length>a;a++){var o=n[a],s={};s.type=o["[[type]]"],s.value=o["[[value]]"],r[i]=s,i+=1}return r}function P(e,t){var r=l(e),i=r["[[dataLocale]]"],a=r["[[numberingSystem]]"],o=qe.NumberFormat["[[localeData]]"][i],s=o.symbols[a]||o.symbols.latn,u=void 0;!isNaN(t)&&t<0?(t=-t,u=r["[[negativePattern]]"]):u=r["[[positivePattern]]"];for(var c=new n,p=u.indexOf("{",0),d=0,f=0,h=u.length;p>-1&&p<h;){if(-1===(d=u.indexOf("}",p)))throw new Error;if(p>f){var m=u.substring(f,p);ze.call(c,{"[[type]]":"literal","[[value]]":m})}var g=u.substring(p+1,d);if("number"===g)if(isNaN(t)){var v=s.nan;ze.call(c,{"[[type]]":"nan","[[value]]":v})}else if(isFinite(t)){"percent"===r["[[style]]"]&&isFinite(t)&&(t*=100);var b=void 0;b=Le.call(r,"[[minimumSignificantDigits]]")&&Le.call(r,"[[maximumSignificantDigits]]")?N(t,r["[[minimumSignificantDigits]]"],r["[[maximumSignificantDigits]]"]):L(t,r["[[minimumIntegerDigits]]"],r["[[minimumFractionDigits]]"],r["[[maximumFractionDigits]]"]),mt[a]?function(){var e=mt[a];b=String(b).replace(/\d/g,function(t){return e[t]})}():b=String(b);var $=void 0,y=void 0,w=b.indexOf(".",0);if(w>0?($=b.substring(0,w),y=b.substring(w+1,w.length)):($=b,y=void 0),!0===r["[[useGrouping]]"]){var M=s.group,k=[],E=o.patterns.primaryGroupSize||3,C=o.patterns.secondaryGroupSize||E;if($.length>E){var x=$.length-E,D=x%C,S=$.slice(0,D);for(S.length&&ze.call(k,S);D<x;)ze.call(k,$.slice(D,D+C)),D+=C;ze.call(k,$.slice(x))}else ze.call(k,$);if(0===k.length)throw new Error;for(;k.length;){var T=_e.call(k);ze.call(c,{"[[type]]":"integer","[[value]]":T}),k.length&&ze.call(c,{"[[type]]":"group","[[value]]":M})}}else ze.call(c,{"[[type]]":"integer","[[value]]":$});if(void 0!==y){var O=s.decimal;ze.call(c,{"[[type]]":"decimal","[[value]]":O}),ze.call(c,{"[[type]]":"fraction","[[value]]":y})}}else{var A=s.infinity;ze.call(c,{"[[type]]":"infinity","[[value]]":A})}else if("plusSign"===g){var P=s.plusSign;ze.call(c,{"[[type]]":"plusSign","[[value]]":P})}else if("minusSign"===g){var I=s.minusSign;ze.call(c,{"[[type]]":"minusSign","[[value]]":I})}else if("percentSign"===g&&"percent"===r["[[style]]"]){var U=s.percentSign;ze.call(c,{"[[type]]":"literal","[[value]]":U})}else if("currency"===g&&"currency"===r["[[style]]"]){var F=r["[[currency]]"],R=void 0;"code"===r["[[currencyDisplay]]"]?R=F:"symbol"===r["[[currencyDisplay]]"]?R=o.currencies[F]||F:"name"===r["[[currencyDisplay]]"]&&(R=F),ze.call(c,{"[[type]]":"currency","[[value]]":R})}else{var H=u.substring(p,d);ze.call(c,{"[[type]]":"literal","[[value]]":H})}f=d+1,p=u.indexOf("{",f)}if(f<h){var j=u.substring(f,h);ze.call(c,{"[[type]]":"literal","[[value]]":j})}return c}function I(e,t){for(var n=P(e,t),r="",i=0;n.length>i;i++){r+=n[i]["[[value]]"]}return r}function N(t,n,r){var i=r,a=void 0,o=void 0;if(0===t)a=Ve.call(Array(i+1),"0"),o=0;else{o=e(Math.abs(t));var s=Math.round(Math.exp(Math.abs(o-i+1)*Math.LN10));a=String(Math.round(o-i+1<0?t*s:t/s))}if(o>=i)return a+Ve.call(Array(o-i+1+1),"0");if(o===i-1)return a;if(o>=0?a=a.slice(0,o+1)+"."+a.slice(o+1):o<0&&(a="0."+Ve.call(Array(1-(o+1)),"0")+a),a.indexOf(".")>=0&&r>n){for(var l=r-n;l>0&&"0"===a.charAt(a.length-1);)a=a.slice(0,-1),l--;"."===a.charAt(a.length-1)&&(a=a.slice(0,-1))}return a}function L(e,t,n,r){var i=r,a=Math.pow(10,i)*e,o=0===a?"0":a.toFixed(0),s=void 0,l=(s=o.indexOf("e"))>-1?o.slice(s+1):0;l&&(o=o.slice(0,s).replace(".",""),o+=Ve.call(Array(l-(o.length-1)+1),"0"));var u=void 0;if(0!==i){var c=o.length;if(c<=i){o=Ve.call(Array(i+1-c+1),"0")+o,c=i+1}var p=o.substring(0,c-i);o=p+"."+o.substring(c-i,o.length),u=p.length}else u=o.length;for(var d=r-n;d>0&&"0"===o.slice(-1);)o=o.slice(0,-1),d--;if("."===o.slice(-1)&&(o=o.slice(0,-1)),u<t){o=Ve.call(Array(t-u+1),"0")+o}return o}function U(e){for(var t=0;t<yt.length;t+=1)if(e.hasOwnProperty(yt[t]))return!1;return!0}function F(e){for(var t=0;t<$t.length;t+=1)if(e.hasOwnProperty($t[t]))return!1;return!0}function R(e,t){for(var n={_:{}},r=0;r<$t.length;r+=1)e[$t[r]]&&(n[$t[r]]=e[$t[r]]),e._[$t[r]]&&(n._[$t[r]]=e._[$t[r]]);for(var i=0;i<yt.length;i+=1)t[yt[i]]&&(n[yt[i]]=t[yt[i]]),t._[yt[i]]&&(n._[yt[i]]=t._[yt[i]]);return n}function H(e){return e.pattern12=e.extendedPattern.replace(/'([^']*)'/g,function(e,t){return t||"'"}),e.pattern=e.pattern12.replace("{ampm}","").replace(vt,""),e}function j(e,t){switch(e.charAt(0)){case"G":return t.era=["short","short","short","long","narrow"][e.length-1],"{era}";case"y":case"Y":case"u":case"U":case"r":return t.year=2===e.length?"2-digit":"numeric","{year}";case"Q":case"q":return t.quarter=["numeric","2-digit","short","long","narrow"][e.length-1],"{quarter}";case"M":case"L":return t.month=["numeric","2-digit","short","long","narrow"][e.length-1],"{month}";case"w":return t.week=2===e.length?"2-digit":"numeric","{weekday}";case"W":return t.week="numeric","{weekday}";case"d":return t.day=2===e.length?"2-digit":"numeric","{day}";case"D":case"F":case"g":return t.day="numeric","{day}";case"E":return t.weekday=["short","short","short","long","narrow","short"][e.length-1],"{weekday}";case"e":return t.weekday=["numeric","2-digit","short","long","narrow","short"][e.length-1],"{weekday}";case"c":return t.weekday=["numeric",void 0,"short","long","narrow","short"][e.length-1],"{weekday}";case"a":case"b":case"B":return t.hour12=!0,"{ampm}";case"h":case"H":return t.hour=2===e.length?"2-digit":"numeric","{hour}";case"k":case"K":return t.hour12=!0,t.hour=2===e.length?"2-digit":"numeric","{hour}";case"m":return t.minute=2===e.length?"2-digit":"numeric","{minute}";case"s":return t.second=2===e.length?"2-digit":"numeric","{second}";case"S":case"A":return t.second="numeric","{second}";case"z":case"Z":case"O":case"v":case"V":case"X":case"x":return t.timeZoneName=e.length<4?"short":"long","{timeZoneName}"}}function z(e,t){if(!bt.test(t)){var n={originalPattern:t,_:{}};return n.extendedPattern=t.replace(gt,function(e){return j(e,n._)}),e.replace(gt,function(e){return j(e,n)}),H(n)}}function V(e){var t=e.availableFormats,n=e.timeFormats,r=e.dateFormats,i=[],a=void 0,o=void 0,s=void 0,l=void 0,u=void 0,c=[],p=[];for(a in t)t.hasOwnProperty(a)&&(o=t[a],(s=z(a,o))&&(i.push(s),U(s)?p.push(s):F(s)&&c.push(s)));for(a in n)n.hasOwnProperty(a)&&(o=n[a],(s=z(a,o))&&(i.push(s),c.push(s)));for(a in r)r.hasOwnProperty(a)&&(o=r[a],(s=z(a,o))&&(i.push(s),p.push(s)));for(l=0;l<c.length;l+=1)for(u=0;u<p.length;u+=1)o="long"===p[u].month?p[u].weekday?e.full:e.long:"short"===p[u].month?e.medium:e.short,s=R(p[u],c[l]),s.originalPattern=o,s.extendedPattern=o.replace("{0}",c[l].extendedPattern).replace("{1}",p[u].extendedPattern).replace(/^[,\s]+|[,\s]+$/gi,""),i.push(H(s));return i}function _(e,t){if(wt[e]&&wt[e][t]){var n;return n={originalPattern:wt[e][t],_:pe({},e,t),extendedPattern:"{"+e+"}"},pe(n,e,t),pe(n,"pattern12","{"+e+"}"),pe(n,"pattern","{"+e+"}"),n}}function B(e,t,n,r,i){var a=e[t]&&e[t][n]?e[t][n]:e.gregory[n],o={narrow:["short","long"],short:["long","narrow"],long:["short","narrow"]},s=Le.call(a,r)?a[r]:Le.call(a,o[r][0])?a[o[r][0]]:a[o[r][1]];return null!==i?s[i]:s}function q(){var e=arguments[0],t=arguments[1];return this&&this!==ft?W(i(this),e,t):new ft.DateTimeFormat(e,t)}function W(e,i,a){var o=l(e),s=r();if(!0===o["[[initializedIntlObject]]"])throw new TypeError("`this` object has already been initialized as an Intl object");Ue(e,"__getInternalProperties",{value:function(){if(arguments[0]===We)return o}}),o["[[initializedIntlObject]]"]=!0;var u=m(i);a=Y(a,"any","date");var p=new t,d=k(a,"localeMatcher","string",new n("lookup","best fit"),"best fit");p["[[localeMatcher]]"]=d;var f=qe.DateTimeFormat,h=f["[[localeData]]"],g=$(f["[[availableLocales]]"],u,p,f["[[relevantExtensionKeys]]"],h);o["[[locale]]"]=g["[[locale]]"],o["[[calendar]]"]=g["[[ca]]"],o["[[numberingSystem]]"]=g["[[nu]]"],o["[[dataLocale]]"]=g["[[dataLocale]]"];var v=g["[[dataLocale]]"],b=a.timeZone;if(void 0!==b&&"UTC"!==(b=c(b)))throw new RangeError("timeZone is not supported.");o["[[timeZone]]"]=b,p=new t;for(var y in kt)if(Le.call(kt,y)){var w=k(a,y,"string",kt[y]);p["[["+y+"]]"]=w}var M=void 0,E=h[v],C=G(E.formats);if(d=k(a,"formatMatcher","string",new n("basic","best fit"),"best fit"),E.formats=C,"basic"===d)M=Q(p,C);else{var x=k(a,"hour12","boolean");p.hour12=void 0===x?E.hour12:x,M=K(p,C)}for(var D in kt)if(Le.call(kt,D)&&Le.call(M,D)){var S=M[D];S=M._&&Le.call(M._,D)?M._[D]:S,o["[["+D+"]]"]=S}var T=void 0,O=k(a,"hour12","boolean");if(o["[[hour]]"])if(O=void 0===O?E.hour12:O,o["[[hour12]]"]=O,!0===O){var A=E.hourNo0;o["[[hourNo0]]"]=A,T=M.pattern12}else T=M.pattern;else T=M.pattern;return o["[[pattern]]"]=T,o["[[boundFormat]]"]=void 0,o["[[initializedDateTimeFormat]]"]=!0,Ne&&(e.format=X.call(e)),s(),e}function G(e){return"[object Array]"===Object.prototype.toString.call(e)?e:V(e)}function Y(e,n,r){if(void 0===e)e=null;else{var a=i(e);e=new t;for(var o in a)e[o]=a[o]}e=Re(e);var s=!0;return"date"!==n&&"any"!==n||void 0===e.weekday&&void 0===e.year&&void 0===e.month&&void 0===e.day||(s=!1),"time"!==n&&"any"!==n||void 0===e.hour&&void 0===e.minute&&void 0===e.second||(s=!1),!s||"date"!==r&&"all"!==r||(e.year=e.month=e.day="numeric"),!s||"time"!==r&&"all"!==r||(e.hour=e.minute=e.second="numeric"),e}function Q(e,t){for(var n=120,r=20,i=8,a=6,o=6,s=3,l=-1/0,u=void 0,c=0,p=t.length;c<p;){var d=t[c],f=0;for(var h in kt)if(Le.call(kt,h)){var m=e["[["+h+"]]"],g=Le.call(d,h)?d[h]:void 0;if(void 0===m&&void 0!==g)f-=r;else if(void 0!==m&&void 0===g)f-=n;else{var v=["2-digit","numeric","narrow","short","long"],b=Fe.call(v,m),$=Fe.call(v,g),y=Math.max(Math.min($-b,2),-2);2===y?f-=a:1===y?f-=s:-1===y?f-=o:-2===y&&(f-=i)}}f>l&&(l=f,u=d),c++}return u}function K(e,t){var n=[];for(var r in kt)Le.call(kt,r)&&void 0!==e["[["+r+"]]"]&&n.push(r);if(1===n.length){var i=_(n[0],e["[["+n[0]+"]]"]);if(i)return i}for(var a=120,o=20,s=8,l=6,u=6,c=3,p=2,d=1,f=-1/0,h=void 0,m=0,g=t.length;m<g;){var v=t[m],b=0;for(var $ in kt)if(Le.call(kt,$)){var y=e["[["+$+"]]"],w=Le.call(v,$)?v[$]:void 0,M=Le.call(v._,$)?v._[$]:void 0;if(y!==M&&(b-=p),void 0===y&&void 0!==w)b-=o;else if(void 0!==y&&void 0===w)b-=a;else{var k=["2-digit","numeric","narrow","short","long"],E=Fe.call(k,y),C=Fe.call(k,w),x=Math.max(Math.min(C-E,2),-2);C<=1&&E>=2||C>=2&&E<=1?x>0?b-=l:x<0&&(b-=s):x>1?b-=c:x<-1&&(b-=u)}}v._.hour12!==e.hour12&&(b-=d),b>f&&(f=b,h=v),m++}return h}function X(){var e=null!==this&&"object"===Pe.typeof(this)&&l(this);if(!e||!e["[[initializedDateTimeFormat]]"])throw new TypeError("`this` value for format() is not an initialized Intl.DateTimeFormat object.");if(void 0===e["[[boundFormat]]"]){var t=function(){var e=arguments.length<=0||void 0===arguments[0]?void 0:arguments[0];return ee(this,void 0===e?Date.now():a(e))},n=Be.call(t,this);e["[[boundFormat]]"]=n}return e["[[boundFormat]]"]}function Z(){var e=arguments.length<=0||void 0===arguments[0]?void 0:arguments[0],t=null!==this&&"object"===Pe.typeof(this)&&l(this);if(!t||!t["[[initializedDateTimeFormat]]"])throw new TypeError("`this` value for formatToParts() is not an initialized Intl.DateTimeFormat object.");return te(this,void 0===e?Date.now():a(e))}function J(e,t){if(!isFinite(t))throw new RangeError("Invalid valid date passed to format");var i=e.__getInternalProperties(We);r();for(var a=i["[[locale]]"],o=new ft.NumberFormat([a],{useGrouping:!1}),s=new ft.NumberFormat([a],{minimumIntegerDigits:2,useGrouping:!1}),l=ne(t,i["[[calendar]]"],i["[[timeZone]]"]),u=i["[[pattern]]"],c=new n,p=0,d=u.indexOf("{"),f=0,h=i["[[dataLocale]]"],m=qe.DateTimeFormat["[[localeData]]"][h].calendars,g=i["[[calendar]]"];-1!==d;){var v=void 0;if(-1===(f=u.indexOf("}",d)))throw new Error("Unclosed pattern");d>p&&ze.call(c,{type:"literal",value:u.substring(p,d)});var b=u.substring(d+1,f);if(kt.hasOwnProperty(b)){var $=i["[["+b+"]]"],y=l["[["+b+"]]"];if("year"===b&&y<=0?y=1-y:"month"===b?y++:"hour"===b&&!0===i["[[hour12]]"]&&0===(y%=12)&&!0===i["[[hourNo0]]"]&&(y=12),"numeric"===$)v=I(o,y);else if("2-digit"===$)v=I(s,y),v.length>2&&(v=v.slice(-2));else if($ in Mt)switch(b){case"month":v=B(m,g,"months",$,l["[["+b+"]]"]);break;case"weekday":try{v=B(m,g,"days",$,l["[["+b+"]]"])}catch(e){throw new Error("Could not find weekday data for locale "+a)}break;case"timeZoneName":v="";break;case"era":try{v=B(m,g,"eras",$,l["[["+b+"]]"])}catch(e){throw new Error("Could not find era data for locale "+a)}break;default:v=l["[["+b+"]]"]}ze.call(c,{type:b,value:v})}else if("ampm"===b){var w=l["[[hour]]"];v=B(m,g,"dayPeriods",w>11?"pm":"am",null),ze.call(c,{type:"dayPeriod",value:v})}else ze.call(c,{type:"literal",value:u.substring(d,f+1)});p=f+1,d=u.indexOf("{",p)}return f<u.length-1&&ze.call(c,{type:"literal",value:u.substr(f+1)}),c}function ee(e,t){for(var n=J(e,t),r="",i=0;n.length>i;i++){r+=n[i].value}return r}function te(e,t){for(var n=J(e,t),r=[],i=0;n.length>i;i++){var a=n[i];r.push({type:a.type,value:a.value})}return r}function ne(e,n,r){var i=new Date(e),a="get"+(r||"");return new t({"[[weekday]]":i[a+"Day"](),"[[era]]":+(i[a+"FullYear"]()>=0),"[[year]]":i[a+"FullYear"](),"[[month]]":i[a+"Month"](),"[[day]]":i[a+"Date"](),"[[hour]]":i[a+"Hours"](),"[[minute]]":i[a+"Minutes"](),"[[second]]":i[a+"Seconds"](),"[[inDST]]":!1})}function re(e,t){if(!e.number)throw new Error("Object passed doesn't contain locale data for Intl.NumberFormat");var n=void 0,r=[t],i=t.split("-");for(i.length>2&&4===i[1].length&&ze.call(r,i[0]+"-"+i[2]);n=_e.call(r);)ze.call(qe.NumberFormat["[[availableLocales]]"],n),qe.NumberFormat["[[localeData]]"][n]=e.number,e.date&&(e.date.nu=e.number.nu,ze.call(qe.DateTimeFormat["[[availableLocales]]"],n),qe.DateTimeFormat["[[localeData]]"][n]=e.date);void 0===ut&&u(t)}var ie="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol?"symbol":typeof e},ae=function(){var e="function"==typeof Symbol&&Symbol.for&&Symbol.for("react.element")||60103;return function(t,n,r,i){var a=t&&t.defaultProps,o=arguments.length-3;if(n||0===o||(n={}),n&&a)for(var s in a)void 0===n[s]&&(n[s]=a[s]);else n||(n=a||{});if(1===o)n.children=i;else if(o>1){for(var l=Array(o),u=0;u<o;u++)l[u]=arguments[u+3];n.children=l}return{$$typeof:e,type:t,key:void 0===r?null:""+r,ref:null,props:n,_owner:null}}}(),oe=function(e){return function(){var t=e.apply(this,arguments);return new Promise(function(e,n){function r(i,a){try{var o=t[i](a),s=o.value}catch(e){return void n(e)}return o.done?void e(s):Promise.resolve(s).then(function(e){return r("next",e)},function(e){return r("throw",e)})}return r("next")})}},se=function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")},le=function(){function e(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}return function(t,n,r){return n&&e(t.prototype,n),r&&e(t,r),t}}(),ue=function(e,t){for(var n in t){var r=t[n];r.configurable=r.enumerable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,n,r)}return e},ce=function(e,t){for(var n=Object.getOwnPropertyNames(t),r=0;r<n.length;r++){var i=n[r],a=Object.getOwnPropertyDescriptor(t,i);a&&a.configurable&&void 0===e[i]&&Object.defineProperty(e,i,a)}return e},pe=function(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e},de=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},fe=function e(t,n,r){null===t&&(t=Function.prototype);var i=Object.getOwnPropertyDescriptor(t,n);if(void 0===i){var a=Object.getPrototypeOf(t);return null===a?void 0:e(a,n,r)}if("value"in i)return i.value;var o=i.get;return void 0!==o?o.call(r):void 0},he=function(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)},me=function(e,t){return null!=t&&"undefined"!=typeof Symbol&&t[Symbol.hasInstance]?t[Symbol.hasInstance](e):e instanceof t},ge=function(e){return e&&e.__esModule?e:{default:e}},ve=function(e){if(e&&e.__esModule)return e;var t={};if(null!=e)for(var n in e)Object.prototype.hasOwnProperty.call(e,n)&&(t[n]=e[n]);return t.default=e,t},be=function(e,t){if(e!==t)throw new TypeError("Cannot instantiate an arrow function")},$e=function(e){if(null==e)throw new TypeError("Cannot destructure undefined")},ye=function(e,t){var n={};for(var r in e)t.indexOf(r)>=0||Object.prototype.hasOwnProperty.call(e,r)&&(n[r]=e[r]);return n},we=function(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t},Me="undefined"==typeof global?self:global,ke=function e(t,n,r,i){var a=Object.getOwnPropertyDescriptor(t,n);if(void 0===a){var o=Object.getPrototypeOf(t);null!==o&&e(o,n,r,i)}else if("value"in a&&a.writable)a.value=r;else{var s=a.set;void 0!==s&&s.call(i,r)}return r},Ee=function(){function e(e,t){var n=[],r=!0,i=!1,a=void 0;try{for(var o,s=e[Symbol.iterator]();!(r=(o=s.next()).done)&&(n.push(o.value),!t||n.length!==t);r=!0);}catch(e){i=!0,a=e}finally{try{!r&&s.return&&s.return()}finally{if(i)throw a}}return n}return function(t,n){if(Array.isArray(t))return t;if(Symbol.iterator in Object(t))return e(t,n);throw new TypeError("Invalid attempt to destructure non-iterable instance")}}(),Ce=function(e,t){if(Array.isArray(e))return e;if(Symbol.iterator in Object(e)){for(var n,r=[],i=e[Symbol.iterator]();!(n=i.next()).done&&(r.push(n.value),!t||r.length!==t););return r}throw new TypeError("Invalid attempt to destructure non-iterable instance")},xe=function(e,t){return Object.freeze(Object.defineProperties(e,{raw:{value:Object.freeze(t)}}))},De=function(e,t){return e.raw=t,e},Se=function(e,t,n){if(e===n)throw new ReferenceError(t+" is not defined - temporal dead zone");return e},Te={},Oe=function(e){return Array.isArray(e)?e:Array.from(e)},Ae=function(e){if(Array.isArray(e)){for(var t=0,n=Array(e.length);t<e.length;t++)n[t]=e[t];return n}return Array.from(e)},Pe=Object.freeze({jsx:ae,asyncToGenerator:oe,classCallCheck:se,createClass:le,defineEnumerableProperties:ue,defaults:ce,defineProperty:pe,get:fe,inherits:he,interopRequireDefault:ge,interopRequireWildcard:ve,newArrowCheck:be,objectDestructuringEmpty:$e,objectWithoutProperties:ye,possibleConstructorReturn:we,selfGlobal:Me,set:ke,slicedToArray:Ee,slicedToArrayLoose:Ce,taggedTemplateLiteral:xe,taggedTemplateLiteralLoose:De,temporalRef:Se,temporalUndefined:Te,toArray:Oe,toConsumableArray:Ae,typeof:ie,extends:de,instanceof:me}),Ie=function(){var e=function(){};try{return Object.defineProperty(e,"a",{get:function(){return 1}}),Object.defineProperty(e,"prototype",{writable:!1}),1===e.a&&e.prototype instanceof Object}catch(e){return!1}}(),Ne=!Ie&&!Object.prototype.__defineGetter__,Le=Object.prototype.hasOwnProperty,Ue=Ie?Object.defineProperty:function(e,t,n){"get"in n&&e.__defineGetter__?e.__defineGetter__(t,n.get):(!Le.call(e,t)||"value"in n)&&(e[t]=n.value)},Fe=Array.prototype.indexOf||function(e){var t=this;if(!t.length)return-1;for(var n=arguments[1]||0,r=t.length;n<r;n++)if(t[n]===e)return n;return-1},Re=Object.create||function(e,t){function n(){}var r=void 0;n.prototype=e,r=new n;for(var i in t)Le.call(t,i)&&Ue(r,i,t[i]);return r},He=Array.prototype.slice,je=Array.prototype.concat,ze=Array.prototype.push,Ve=Array.prototype.join,_e=Array.prototype.shift,Be=Function.prototype.bind||function(e){var t=this,n=He.call(arguments,1);return t.length,function(){return t.apply(e,je.call(n,He.call(arguments)))}},qe=Re(null),We=Math.random();t.prototype=Re(null),n.prototype=Re(null);var Ge="[a-z]{3}(?:-[a-z]{3}){0,2}",Ye="(?:[a-z]{2,3}(?:-"+Ge+")?|[a-z]{4}|[a-z]{5,8})",Qe="[a-z]{4}",Ke="(?:[a-z]{2}|\\d{3})",Xe="(?:[a-z0-9]{5,8}|\\d[a-z0-9]{3})",Ze="[0-9a-wy-z]",Je=Ze+"(?:-[a-z0-9]{2,8})+",et="x(?:-[a-z0-9]{1,8})+",tt="(?:en-GB-oed|i-(?:ami|bnn|default|enochian|hak|klingon|lux|mingo|navajo|pwn|tao|tay|tsu)|sgn-(?:BE-FR|BE-NL|CH-DE))",nt="(?:art-lojban|cel-gaulish|no-bok|no-nyn|zh-(?:guoyu|hakka|min|min-nan|xiang))",rt="(?:"+tt+"|"+nt+")",it=Ye+"(?:-"+Qe+")?(?:-"+Ke+")?(?:-"+Xe+")*(?:-"+Je+")*(?:-"+et+")?",at=RegExp("^(?:"+it+"|"+et+"|"+rt+")$","i"),ot=RegExp("^(?!x).*?-("+Xe+")-(?:\\w{4,8}-(?!x-))*\\1\\b","i"),st=RegExp("^(?!x).*?-("+Ze+")-(?:\\w+-(?!x-))*\\1\\b","i"),lt=RegExp("-"+Je,"ig"),ut=void 0,ct={tags:{"art-lojban":"jbo","i-ami":"ami","i-bnn":"bnn","i-hak":"hak","i-klingon":"tlh","i-lux":"lb","i-navajo":"nv","i-pwn":"pwn","i-tao":"tao","i-tay":"tay","i-tsu":"tsu","no-bok":"nb","no-nyn":"nn","sgn-BE-FR":"sfb","sgn-BE-NL":"vgt","sgn-CH-DE":"sgg","zh-guoyu":"cmn","zh-hakka":"hak","zh-min-nan":"nan","zh-xiang":"hsn","sgn-BR":"bzs","sgn-CO":"csn","sgn-DE":"gsg","sgn-DK":"dsl","sgn-ES":"ssp","sgn-FR":"fsl","sgn-GB":"bfi","sgn-GR":"gss","sgn-IE":"isg","sgn-IT":"ise","sgn-JP":"jsl","sgn-MX":"mfs","sgn-NI":"ncs","sgn-NL":"dse","sgn-NO":"nsl","sgn-PT":"psr","sgn-SE":"swl","sgn-US":"ase","sgn-ZA":"sfs","zh-cmn":"cmn","zh-cmn-Hans":"cmn-Hans","zh-cmn-Hant":"cmn-Hant","zh-gan":"gan","zh-wuu":"wuu","zh-yue":"yue"},subtags:{BU:"MM",DD:"DE",FX:"FR",TP:"TL",YD:"YE",ZR:"CD",heploc:"alalc97",in:"id",iw:"he",ji:"yi",jw:"jv",mo:"ro",ayx:"nun",bjd:"drl",ccq:"rki",cjr:"mom",cka:"cmr",cmk:"xch",drh:"khk",drw:"prs",gav:"dev",hrr:"jal",ibi:"opa",kgh:"kml",lcq:"ppr",mst:"mry",myt:"mry",sca:"hle",tie:"ras",tkk:"twm",tlw:"weo",tnf:"prs",ybd:"rki",yma:"lrr"},extLang:{aao:["aao","ar"],abh:["abh","ar"],abv:["abv","ar"],acm:["acm","ar"],acq:["acq","ar"],acw:["acw","ar"],acx:["acx","ar"],acy:["acy","ar"],adf:["adf","ar"],ads:["ads","sgn"],aeb:["aeb","ar"],aec:["aec","ar"],aed:["aed","sgn"],aen:["aen","sgn"],afb:["afb","ar"],afg:["afg","sgn"],ajp:["ajp","ar"],apc:["apc","ar"],apd:["apd","ar"],arb:["arb","ar"],arq:["arq","ar"],ars:["ars","ar"],ary:["ary","ar"],arz:["arz","ar"],ase:["ase","sgn"],asf:["asf","sgn"],asp:["asp","sgn"],asq:["asq","sgn"],asw:["asw","sgn"],auz:["auz","ar"],avl:["avl","ar"],ayh:["ayh","ar"],ayl:["ayl","ar"],ayn:["ayn","ar"],ayp:["ayp","ar"],bbz:["bbz","ar"],bfi:["bfi","sgn"],bfk:["bfk","sgn"],bjn:["bjn","ms"],bog:["bog","sgn"],bqn:["bqn","sgn"],bqy:["bqy","sgn"],btj:["btj","ms"],bve:["bve","ms"],bvl:["bvl","sgn"],bvu:["bvu","ms"],bzs:["bzs","sgn"],cdo:["cdo","zh"],cds:["cds","sgn"],cjy:["cjy","zh"],cmn:["cmn","zh"],coa:["coa","ms"],cpx:["cpx","zh"],csc:["csc","sgn"],csd:["csd","sgn"],cse:["cse","sgn"],csf:["csf","sgn"],csg:["csg","sgn"],csl:["csl","sgn"],csn:["csn","sgn"],csq:["csq","sgn"],csr:["csr","sgn"],czh:["czh","zh"],czo:["czo","zh"],doq:["doq","sgn"],dse:["dse","sgn"],dsl:["dsl","sgn"],dup:["dup","ms"],ecs:["ecs","sgn"],esl:["esl","sgn"],esn:["esn","sgn"],eso:["eso","sgn"],eth:["eth","sgn"],fcs:["fcs","sgn"],fse:["fse","sgn"],fsl:["fsl","sgn"],fss:["fss","sgn"],gan:["gan","zh"],gds:["gds","sgn"],gom:["gom","kok"],gse:["gse","sgn"],gsg:["gsg","sgn"],gsm:["gsm","sgn"],gss:["gss","sgn"],gus:["gus","sgn"],hab:["hab","sgn"],haf:["haf","sgn"],hak:["hak","zh"],hds:["hds","sgn"],hji:["hji","ms"],hks:["hks","sgn"],hos:["hos","sgn"],hps:["hps","sgn"],hsh:["hsh","sgn"],hsl:["hsl","sgn"],hsn:["hsn","zh"],icl:["icl","sgn"],ils:["ils","sgn"],inl:["inl","sgn"],ins:["ins","sgn"],ise:["ise","sgn"],isg:["isg","sgn"],isr:["isr","sgn"],jak:["jak","ms"],jax:["jax","ms"],jcs:["jcs","sgn"],jhs:["jhs","sgn"],jls:["jls","sgn"],jos:["jos","sgn"],jsl:["jsl","sgn"],jus:["jus","sgn"],kgi:["kgi","sgn"],knn:["knn","kok"],kvb:["kvb","ms"],kvk:["kvk","sgn"],kvr:["kvr","ms"],kxd:["kxd","ms"],lbs:["lbs","sgn"],lce:["lce","ms"],lcf:["lcf","ms"],liw:["liw","ms"],lls:["lls","sgn"],lsg:["lsg","sgn"],lsl:["lsl","sgn"],lso:["lso","sgn"],lsp:["lsp","sgn"],lst:["lst","sgn"],lsy:["lsy","sgn"],ltg:["ltg","lv"],lvs:["lvs","lv"],lzh:["lzh","zh"],max:["max","ms"],mdl:["mdl","sgn"],meo:["meo","ms"],mfa:["mfa","ms"],mfb:["mfb","ms"],mfs:["mfs","sgn"],min:["min","ms"],mnp:["mnp","zh"],mqg:["mqg","ms"],mre:["mre","sgn"],msd:["msd","sgn"],msi:["msi","ms"],msr:["msr","sgn"],mui:["mui","ms"],mzc:["mzc","sgn"],mzg:["mzg","sgn"],mzy:["mzy","sgn"],nan:["nan","zh"],nbs:["nbs","sgn"],ncs:["ncs","sgn"],nsi:["nsi","sgn"],nsl:["nsl","sgn"],nsp:["nsp","sgn"],nsr:["nsr","sgn"],nzs:["nzs","sgn"],okl:["okl","sgn"],orn:["orn","ms"],ors:["ors","ms"],pel:["pel","ms"],pga:["pga","ar"],pks:["pks","sgn"],prl:["prl","sgn"],prz:["prz","sgn"],psc:["psc","sgn"],psd:["psd","sgn"],pse:["pse","ms"],psg:["psg","sgn"],psl:["psl","sgn"],pso:["pso","sgn"],psp:["psp","sgn"],psr:["psr","sgn"],pys:["pys","sgn"],rms:["rms","sgn"],rsi:["rsi","sgn"],rsl:["rsl","sgn"],sdl:["sdl","sgn"],sfb:["sfb","sgn"],sfs:["sfs","sgn"],sgg:["sgg","sgn"],sgx:["sgx","sgn"],shu:["shu","ar"],slf:["slf","sgn"],sls:["sls","sgn"],sqk:["sqk","sgn"],sqs:["sqs","sgn"],ssh:["ssh","ar"],ssp:["ssp","sgn"],ssr:["ssr","sgn"],svk:["svk","sgn"],swc:["swc","sw"],swh:["swh","sw"],swl:["swl","sgn"],syy:["syy","sgn"],tmw:["tmw","ms"],tse:["tse","sgn"],tsm:["tsm","sgn"],tsq:["tsq","sgn"],tss:["tss","sgn"],tsy:["tsy","sgn"],tza:["tza","sgn"],ugn:["ugn","sgn"],ugy:["ugy","sgn"],ukl:["ukl","sgn"],uks:["uks","sgn"],urk:["urk","ms"],uzn:["uzn","uz"],uzs:["uzs","uz"],vgt:["vgt","sgn"],vkk:["vkk","ms"],vkt:["vkt","ms"],vsi:["vsi","sgn"],vsl:["vsl","sgn"],vsv:["vsv","sgn"],wuu:["wuu","zh"],xki:["xki","sgn"],xml:["xml","sgn"],xmm:["xmm","ms"],xms:["xms","sgn"],yds:["yds","sgn"],ysl:["ysl","sgn"],yue:["yue","zh"],zib:["zib","sgn"],zlm:["zlm","ms"],zmi:["zmi","ms"],zsl:["zsl","sgn"],zsm:["zsm","ms"]}},pt=/^[A-Z]{3}$/,dt=/-u(?:-[0-9a-z]{2,8})+/gi,ft={};Object.defineProperty(ft,"getCanonicalLocales",{enumerable:!1,configurable:!0,writable:!0,value:C});var ht={BHD:3,BYR:0,XOF:0,BIF:0,XAF:0,CLF:4,CLP:0,KMF:0,DJF:0,XPF:0,GNF:0,ISK:0,IQD:3,JPY:0,JOD:3,KRW:0,KWD:3,LYD:3,OMR:3,PYG:0,RWF:0,TND:3,UGX:0,UYI:0,VUV:0,VND:0};Ue(ft,"NumberFormat",{configurable:!0,writable:!0,value:x}),Ue(ft.NumberFormat,"prototype",{writable:!1}),qe.NumberFormat={"[[availableLocales]]":[],"[[relevantExtensionKeys]]":["nu"],"[[localeData]]":{}},Ue(ft.NumberFormat,"supportedLocalesOf",{configurable:!0,writable:!0,value:Be.call(function(e){if(!Le.call(this,"[[availableLocales]]"))throw new TypeError("supportedLocalesOf() is not a constructor");var t=r(),n=arguments[1],i=this["[[availableLocales]]"],a=m(e);return t(),M(i,a,n)},qe.NumberFormat)}),Ue(ft.NumberFormat.prototype,"format",{configurable:!0,get:T}),Object.defineProperty(ft.NumberFormat.prototype,"formatToParts",{configurable:!0,enumerable:!1,writable:!0,value:O});var mt={arab:["٠","١","٢","٣","٤","٥","٦","٧","٨","٩"],arabext:["۰","۱","۲","۳","۴","۵","۶","۷","۸","۹"],bali:["᭐","᭑","᭒","᭓","᭔","᭕","᭖","᭗","᭘","᭙"],beng:["০","১","২","৩","৪","৫","৬","৭","৮","৯"],deva:["०","१","२","३","४","५","६","७","८","९"],fullwide:["０","１","２","３","４","５","６","７","８","９"],gujr:["૦","૧","૨","૩","૪","૫","૬","૭","૮","૯"],guru:["੦","੧","੨","੩","੪","੫","੬","੭","੮","੯"],hanidec:["〇","一","二","三","四","五","六","七","八","九"],khmr:["០","១","២","៣","៤","៥","៦","៧","៨","៩"],knda:["೦","೧","೨","೩","೪","೫","೬","೭","೮","೯"],laoo:["໐","໑","໒","໓","໔","໕","໖","໗","໘","໙"],latn:["0","1","2","3","4","5","6","7","8","9"],limb:["᥆","᥇","᥈","᥉","᥊","᥋","᥌","᥍","᥎","᥏"],mlym:["൦","൧","൨","൩","൪","൫","൬","൭","൮","൯"],mong:["᠐","᠑","᠒","᠓","᠔","᠕","᠖","᠗","᠘","᠙"],mymr:["၀","၁","၂","၃","၄","၅","၆","၇","၈","၉"],orya:["୦","୧","୨","୩","୪","୫","୬","୭","୮","୯"],tamldec:["௦","௧","௨","௩","௪","௫","௬","௭","௮","௯"],telu:["౦","౧","౨","౩","౪","౫","౬","౭","౮","౯"],thai:["๐","๑","๒","๓","๔","๕","๖","๗","๘","๙"],tibt:["༠","༡","༢","༣","༤","༥","༦","༧","༨","༩"]};Ue(ft.NumberFormat.prototype,"resolvedOptions",{configurable:!0,writable:!0,value:function(){var e=void 0,n=new t,r=["locale","numberingSystem","style","currency","currencyDisplay","minimumIntegerDigits","minimumFractionDigits","maximumFractionDigits","minimumSignificantDigits","maximumSignificantDigits","useGrouping"],i=null!==this&&"object"===Pe.typeof(this)&&l(this);if(!i||!i["[[initializedNumberFormat]]"])throw new TypeError("`this` value for resolvedOptions() is not an initialized Intl.NumberFormat object.");for(var a=0,o=r.length;a<o;a++)Le.call(i,e="[["+r[a]+"]]")&&(n[r[a]]={value:i[e],writable:!0,configurable:!0,enumerable:!0});return Re({},n)}});var gt=/(?:[Eec]{1,6}|G{1,5}|[Qq]{1,5}|(?:[yYur]+|U{1,5})|[ML]{1,5}|d{1,2}|D{1,3}|F{1}|[abB]{1,5}|[hkHK]{1,2}|w{1,2}|W{1}|m{1,2}|s{1,2}|[zZOvVxX]{1,4})(?=([^']*'[^']*')*[^']*$)/g,vt=/^[\s\uFEFF\xA0]+|[\s\uFEFF\xA0]+$/g,bt=/[rqQASjJgwWIQq]/,$t=["era","year","month","day","weekday","quarter"],yt=["hour","minute","second","hour12","timeZoneName"],wt={second:{numeric:"s","2-digit":"ss"},minute:{numeric:"m","2-digit":"mm"},year:{numeric:"y","2-digit":"yy"},day:{numeric:"d","2-digit":"dd"},month:{numeric:"L","2-digit":"LL",narrow:"LLLLL",short:"LLL",long:"LLLL"},weekday:{narrow:"ccccc",short:"ccc",long:"cccc"}},Mt=Re(null,{narrow:{},short:{},long:{}});Ue(ft,"DateTimeFormat",{configurable:!0,writable:!0,value:q}),Ue(q,"prototype",{writable:!1});var kt={weekday:["narrow","short","long"],era:["narrow","short","long"],year:["2-digit","numeric"],month:["2-digit","numeric","narrow","short","long"],day:["2-digit","numeric"],hour:["2-digit","numeric"],minute:["2-digit","numeric"],second:["2-digit","numeric"],timeZoneName:["short","long"]};qe.DateTimeFormat={"[[availableLocales]]":[],"[[relevantExtensionKeys]]":["ca","nu"],"[[localeData]]":{}},Ue(ft.DateTimeFormat,"supportedLocalesOf",{configurable:!0,writable:!0,value:Be.call(function(e){if(!Le.call(this,"[[availableLocales]]"))throw new TypeError("supportedLocalesOf() is not a constructor");var t=r(),n=arguments[1],i=this["[[availableLocales]]"],a=m(e);return t(),M(i,a,n)},qe.NumberFormat)}),Ue(ft.DateTimeFormat.prototype,"format",{configurable:!0,get:X}),Object.defineProperty(ft.DateTimeFormat.prototype,"formatToParts",{enumerable:!1,writable:!0,configurable:!0,value:Z}),Ue(ft.DateTimeFormat.prototype,"resolvedOptions",{writable:!0,configurable:!0,value:function(){var e=void 0,n=new t,r=["locale","calendar","numberingSystem","timeZone","hour12","weekday","era","year","month","day","hour","minute","second","timeZoneName"],i=null!==this&&"object"===Pe.typeof(this)&&l(this);if(!i||!i["[[initializedDateTimeFormat]]"])throw new TypeError("`this` value for resolvedOptions() is not an initialized Intl.DateTimeFormat object.");for(var a=0,o=r.length;a<o;a++)Le.call(i,e="[["+r[a]+"]]")&&(n[r[a]]={value:i[e],writable:!0,configurable:!0,enumerable:!0});return Re({},n)}});var Et=ft.__localeSensitiveProtos={Number:{},Date:{}};if(Et.Number.toLocaleString=function(){if("[object Number]"!==Object.prototype.toString.call(this))throw new TypeError("`this` value must be a number for Number.prototype.toLocaleString()");return I(new x(arguments[0],arguments[1]),this)},Et.Date.toLocaleString=function(){if("[object Date]"!==Object.prototype.toString.call(this))throw new TypeError("`this` value must be a Date instance for Date.prototype.toLocaleString()");var e=+this;if(isNaN(e))return"Invalid Date";var t=arguments[0],n=arguments[1];return n=Y(n,"any","all"),ee(new q(t,n),e)},Et.Date.toLocaleDateString=function(){if("[object Date]"!==Object.prototype.toString.call(this))throw new TypeError("`this` value must be a Date instance for Date.prototype.toLocaleDateString()");var e=+this;if(isNaN(e))return"Invalid Date";var t=arguments[0],n=arguments[1];return n=Y(n,"date","date"),ee(new q(t,n),e)},Et.Date.toLocaleTimeString=function(){if("[object Date]"!==Object.prototype.toString.call(this))throw new TypeError("`this` value must be a Date instance for Date.prototype.toLocaleTimeString()");var e=+this;if(isNaN(e))return"Invalid Date";var t=arguments[0],n=arguments[1];return n=Y(n,"time","time"),ee(new q(t,n),e)},Ue(ft,"__applyLocaleSensitivePrototypes",{writable:!0,configurable:!0,value:function(){Ue(Number.prototype,"toLocaleString",{writable:!0,configurable:!0,value:Et.Number.toLocaleString}),Ue(Date.prototype,"toLocaleString",{writable:!0,configurable:!0,value:Et.Date.toLocaleString});for(var e in Et.Date)Le.call(Et.Date,e)&&Ue(Date.prototype,e,{writable:!0,configurable:!0,value:Et.Date[e]})}}),Ue(ft,"__addLocaleData",{value:function(e){if(!p(e.locale))throw new Error("Object passed doesn't identify itself with a valid language tag");re(e,e.locale)}}),Ue(ft,"__disableRegExpRestore",{value:function(){qe.disableRegExpRestore=!0}}),"undefined"==typeof Intl)try{window.Intl=ft,ft.__applyLocaleSensitivePrototypes()}catch(e){}return ft}),function(e){var t=["gregory","generic","{1}, {0}","{1} 'at' {0}","d","ccc","d E","E h:mm a","E HH:mm","E h:mm:ss a","E HH:mm:ss","y G","MMM y G","MMM d, y G","E, MMM d, y G","h a","HH","h:mm a","HH:mm","h:mm:ss a","HH:mm:ss","h:mm:ss a v","HH:mm:ss v","h:mm a v","HH:mm v","L","M/d","E, M/d","LLL","MMM d","E, MMM d","MMMM d","mm:ss","y","M/y","M/d/y","E, M/d/y","MMM y","MMM d, y","E, MMM d, y","MMMM y","QQQ y","QQQQ y","EEEE, MMMM d, y","MMMM d, y","M/d/yy","h:mm:ss a zzzz","h:mm:ss a z","1","2","3","4","5","6","7","8","9","10","11","12","M01","M02","M03","M04","M05","M06","M07","M08","M09","M10","M11","M12","S","M","T","W","F","Sun","Mon","Tue","Wed","Thu","Fri","Sat","Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday","ERA0","ERA1","AM","PM","J","A","O","N","D","Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec","January","February","March","April","June","July","August","September","October","November","December","B","BCE","CE","BC","AD","Before Christ","Anno Domini","Before Common Era","Common Era","latn","{number}","{minusSign}{number}","{currency}{number}","{minusSign}{currency}{number}","{number}{percentSign}","{minusSign}{number}{percentSign}",".",",","NaN","+","-","%","∞","A$","R$","CA$","CN¥","€","£","HK$","₪","₹","¥","₩","MX$","NZ$","NT$","$","₫","FCFA","EC$","CFA","CFPF","{1} {0}","d.","E d.","E H:mm","E H:mm:ss","LLLL y G","d. M. y G","E d. M. y G","d. MMMM y G","E d. MMMM y G","H","H:mm","H:mm:ss","H:mm:ss v","H:mm v","d. M.","E d. M.","d. MMMM","E d. MMMM","d. M. y","E d. M. y","LLLL y","d. MMMM y","E d. MMMM y","EEEE d. MMMM y","dd.MM.yy","H:mm:ss zzzz","H:mm:ss z","P","Ú","Č","ne","po","út","st","čt","pá","so","neděle","pondělí","úterý","středa","čtvrtek","pátek","sobota","dop.","odp.","led","úno","bře","dub","kvě","čvn","čvc","srp","zář","říj","lis","pro","ledna","února","března","dubna","května","června","července","srpna","září","října","listopadu","prosince","př.n.l.","n.l.","př. n. l.","n. l.","{number} {currency}","{minusSign}{number} {currency}","{number} {percentSign}","{minusSign}{number} {percentSign}"," ","AU$","Kčs","Kč","JP¥","US$","ECU","{1} 'um' {0}","E, d.","E, HH:mm","E, h:mm:ss a","E, HH:mm:ss","d. MMM y G","E, d. MMM y G","HH 'Uhr'","d.M.","E, d.M.","d.MM.","dd.MM.","d. MMM","E, d. MMM","E, d. MMMM","M.y","d.M.y","E, d.M.y","MM.y","dd.MM.y","d. MMM y","E, d. MMM y","EEEE, d. MMMM y","HH:mm:ss zzzz","HH:mm:ss z","So.","Mo.","Di.","Mi.","Do.","Fr.","Sa.","Sonntag","Montag","Dienstag","Mittwoch","Donnerstag","Freitag","Samstag","vorm.","nachm.","Jan.","Feb.","März","Apr.","Mai","Juni","Juli","Aug.","Sep.","Okt.","Nov.","Dez.","Januar","Februar","Oktober","Dezember","v. Chr.","n. Chr.","v. u. Z.","u. Z.","vor unserer Zeitrechnung","unserer Zeitrechnung","öS","BGK","BGJ","DM","฿","E d","E, h:mm a","E, H:mm","E, H:mm:ss","d MMM y G","E, d MMM y G","MMMM 'de' y G","d 'de' MMMM 'de' y G","E, d 'de' MMMM 'de' y G","h:mm:ss a (vvvv)","H:mm:ss (vvvv)","d/M","E, d/M","d MMM","E, d MMM","d 'de' MMMM","E, d 'de' MMMM","d/M/y","EEE, d/M/y","d MMM y","EEE, d MMM y","MMMM 'de' y","d 'de' MMMM 'de' y","EEE, d 'de' MMMM 'de' y","QQQQ 'de' y","EEEE, d 'de' MMMM 'de' y","d/M/yy","H:mm:ss (zzzz)","X","V","dom.","lun.","mar.","mié.","jue.","vie.","sáb.","domingo","lunes","martes","miércoles","jueves","viernes","sábado","a. m.","p. m.","E","ene.","feb.","abr.","may.","jun.","jul.","ago.","sept.","oct.","nov.","dic.","enero","febrero","marzo","abril","mayo","junio","julio","agosto","septiembre","octubre","noviembre","diciembre","a. C.","d. C.","a. e. c.","e. c.","antes de Cristo","después de Cristo","antes de la era común","era común","₧","{1} 'à' {0}","E d MMM y G","HH 'h'","dd/MM","E dd/MM","E d MMM","d MMMM","MM/y","dd/MM/y","E dd/MM/y","E d MMM y","EEEE d MMMM y","d MMMM y","dim.","mer.","jeu.","ven.","sam.","dimanche","lundi","mardi","mercredi","jeudi","vendredi","samedi","janv.","févr.","mars","avr.","mai","juin","juil.","août","déc.","janvier","février","avril","juillet","septembre","octobre","novembre","décembre","av. J.-C.","ap. J.-C.","AEC","EC","avant Jésus-Christ","après Jésus-Christ","avant l’ère commune","de l’ère commune","$AR","$AU","FB","$BM","$BN","$BS","$BZ","$CA","$CL","$CO","£CY","$FJ","£FK","£GB","£GI","£IE","£IL","₤IT","£LB","£MT","$MX","$NA","$NZ","$RH","$SB","$SG","$SR","$TT","$US","$UY","WS$","FCFP","d., E","G y.","G y. MMM","G y. MMM d.","G y. MMM d., E","a h","a h:mm","a h:mm:ss","M. d.","M. d., E","MMM d.","MMM d., E","MMMM d.","y.","y. M.","y. MM. dd.","y. MM. dd., E","y. MMM","y. MMM d.","y. MMM d., E","y. MMMM","y. QQQ","y. QQQQ","y. MMMM d., EEEE","y. MMMM d.","K","Sz","Cs","Sze","Szo","vasárnap","hétfő","kedd","szerda","csütörtök","péntek","szombat","de.","du.","Á","jan.","febr.","márc.","ápr.","máj.","jún.","júl.","aug.","szept.","okt.","dec.","január","február","március","április","május","június","július","augusztus","szeptember","október","november","december","ie.","isz.","i. e.","i. sz.","időszámításunk előtt","időszámításunk szerint","Ft","E d/M","E d/M/y","dd MMM y","dd/MM/yy","G","dom","lun","mar","mer","gio","ven","sab","domenica","lunedì","martedì","mercoledì","giovedì","venerdì","sabato","gen","feb","apr","mag","giu","lug","ago","set","ott","nov","dic","gennaio","febbraio","aprile","maggio","giugno","luglio","settembre","ottobre","dicembre","aC","dC","a.C.","d.C.","a.E.V.","E.V.","avanti Era Volgare","Era Volgare","d日","d日(E)","d日EEEE","aK:mm (E)","H:mm (E)","aK:mm:ss (E)","H:mm:ss (E)","Gy年","Gy年M月","Gy年M月d日","Gy年M月d日(E)","Gy年M月d日EEEE","aK時","H時","aK:mm","aK:mm:ss","aK:mm:ss v","aK:mm v","M月","M/d(E)","M/dEEEE","M月d日","M月d日(E)","M月d日EEEE","y年","y/M","y/M/d","y/M/d(E)","y/M/dEEEE","y/MM","y年M月","y年M月d日","y年M月d日(E)","y年M月d日EEEE","y/QQQ","yQQQQ","y/MM/dd","H時mm分ss秒 zzzz","日","月","火","水","木","金","土","日曜日","月曜日","火曜日","水曜日","木曜日","金曜日","土曜日","午前","午後","1月","2月","3月","4月","5月","6月","7月","8月","9月","10月","11月","12月","紀元前","西暦","西暦紀元前","西暦紀元","元","￥","d일","d일 (E)","d일 EEEE","(E) a h:mm","(E) HH:mm","(E) a h:mm:ss","(E) HH:mm:ss","G y년","G y년 MMM","G y년 MMM d일","G y년 MMM d일 (E)","G y년 MMM d일 EEEE","a h시","H시","H시 m분 s초","a h:mm:ss v","H시 m분 s초 v","a h:mm v","M월","M. d. (E)","M. d. EEEE","MMM d일","MMM d일 (E)","MMM d일 EEEE","MMMM d일","y년","y. M. d.","y. M. d. (E)","y. M. d. EEEE","y년 MMM","y년 MMM d일","y년 MMM d일 (E)","y년 MMM d일 EEEE","y년 MMMM","y년 QQQ","y년 QQQQ","y년 M월 d일 EEEE","y년 M월 d일","yy. M. d.","a h시 m분 s초 zzzz","a h시 m분 s초 z","일","월","화","수","목","금","토","일요일","월요일","화요일","수요일","목요일","금요일","토요일","오전","오후","1월","2월","3월","4월","5월","6월","7월","8월","9월","10월","11월","12월","기원전","서기","E, d","d.MM.y G","d MMMM y G","E, d MMMM y G","d.MM","E, d.MM","E, d MMMM","d.MM.y","E, d.MM.y","E, d MMMM y","EEEE, d MMMM y","Ś","C","niedz.","pon.","wt.","śr.","czw.","pt.","sob.","niedziela","poniedziałek","wtorek","środa","czwartek","piątek","s","l","m","k","c","w","p","g","sty","lut","kwi","maj","cze","lip","sie","wrz","paź","gru","stycznia","lutego","marca","kwietnia","maja","czerwca","lipca","sierpnia","września","października","listopada","grudnia","p.n.e.","n.e.","zł","MMM 'de' y G","d 'de' MMM 'de' y G","E, d 'de' MMM 'de' y G","E, dd/MM","d 'de' MMM","E, d 'de' MMM","E, dd/MM/y","MMM 'de' y","d 'de' MMM 'de' y","E, d 'de' MMM 'de' y","E, d 'de' MMMM 'de' y","y QQQ","y QQQQ","Q","seg","ter","qua","qui","sex","sáb","segunda-feira","terça-feira","quarta-feira","quinta-feira","sexta-feira","jan","fev","abr","jun","jul","out","dez","janeiro","fevereiro","março","maio","junho","julho","setembro","outubro","novembro","dezembro","depois de Cristo","antes da Era Comum","Era Comum","Esc.","{1} 'às' {0}","d/MM","E, d/MM","ccc, d 'de' MMMM","d/MM/y","E, d/MM/y","EEEE, d/MM/y","ccc, d 'de' MMMM 'de' y","segunda","terça","quarta","quinta","sexta","da manhã","da tarde","a.E.C.","E.C.","​","ccc, d","y 'г'. G","LLL y G","d MMM y 'г'. G","E, d MMM y 'г'. G","dd.MM","E, dd.MM","ccc, d MMM","ccc, d.MM.y 'г'.","LLL y 'г'.","d MMM y 'г'.","E, d MMM y 'г'.","LLLL y 'г'.","QQQ y 'г'.","QQQQ y 'г'.","EEEE, d MMMM y 'г'.","d MMMM y 'г'.","вс","пн","вт","ср","чт","пт","сб","воскресенье","понедельник","вторник","среда","четверг","пятница","суббота","ДП","ПП","Я","Ф","М","А","И","С","О","Н","Д","янв.","февр.","мар.","апр.","мая","июн.","июл.","авг.","сент.","окт.","нояб.","дек.","января","февраля","марта","апреля","июня","июля","августа","сентября","октября","ноября","декабря","до н.э.","н.э.","до н. э.","н. э.","до Рождества Христова","от Рождества Христова","до нашей эры","нашей эры","не число","₽","р.","ТМТ","₴","XXXX","d日E","E ah:mm","EHH:mm","E ah:mm:ss","EHH:mm:ss","Gy年M月d日E","ah时","H时","ah:mm","ah:mm:ss","v ah:mm:ss","v HH:mm:ss","v ah:mm","v HH:mm","M/dE","MM/dd","M月d日E","y/M/dE","y年M月d日E","y年第Q季度","zzzz ah:mm:ss","z ah:mm:ss","一","二","三","四","五","六","周日","周一","周二","周三","周四","周五","周六","星期日","星期一","星期二","星期三","星期四","星期五","星期六","上午","下午","一月","二月","三月","四月","五月","六月","七月","八月","九月","十月","十一月","十二月","公元前","公元","西元前","西元","ILS","￦","Gy年M月d日 E","ah時","ah:mm:ss [v]","HH:mm:ss [v]","ah:mm [v]","HH:mm [v]","M/d（E）","M月d日 E","y/M/d（E）","y年M月d日 E","y年QQQ","y年QQQQ","y年M月d日 EEEE","ah:mm:ss [zzzz]","ah:mm:ss [z]","週日","週一","週二","週三","週四","週五","週六","非數值"],n=[];n[0]=[[t[0],t[1]],{d:t[4],E:t[5],Ed:t[6],Ehm:t[7],EHm:t[8],Ehms:t[9],EHms:t[10],Gy:t[11],GyMMM:t[12],GyMMMd:t[13],GyMMMEd:t[14],h:t[15],H:t[16],hm:t[17],Hm:t[18],hms:t[19],Hms:t[20],hmsv:t[21],Hmsv:t[22],hmv:t[23],Hmv:t[24],M:t[25],Md:t[26],MEd:t[27],MMM:t[28],MMMd:t[29],MMMEd:t[30],MMMMd:t[31],ms:t[32],y:t[33],yM:t[34],yMd:t[35],yMEd:t[36],yMMM:t[37],yMMMd:t[38],yMMMEd:t[39],yMMMM:t[40],yQQQ:t[41],yQQQQ:t[42]},{yMMMMEEEEd:t[43],yMMMMd:t[44],yMMMd:t[38],yMd:t[45]},{hmmsszzzz:t[46],hmsz:t[47],hms:t[19],hm:t[17]},[t[48],t[49],t[50],t[51],t[52],t[53],t[54],t[55],t[56],t[57],t[58],t[59]],[t[60],t[61],t[62],t[63],t[64],t[65],t[66],t[67],t[68],t[69],t[70],t[71]],[t[72],t[73],t[74],t[75],t[74],t[76],t[72]],[t[77],t[78],t[79],t[80],t[81],t[82],t[83]],[t[84],t[85],t[86],t[87],t[88],t[89],t[90]],[t[91],t[92]],{am:t[93],pm:t[94]},[t[95],t[76],t[73],t[96],t[73],t[95],t[95],t[96],t[72],t[97],t[98],t[99]],[t[100],t[101],t[102],t[103],t[104],t[105],t[106],t[107],t[108],t[109],t[110],t[111]],[t[112],t[113],t[114],t[115],t[104],t[116],t[117],t[118],t[119],t[120],t[121],t[122]],[t[123],t[96],t[124],t[125]],[t[126],t[127],t[124],t[125]],[t[128],t[129],t[130],t[131]],[t[132]],{positivePattern:t[133],negativePattern:t[134]},{positivePattern:t[135],negativePattern:t[136]},{positivePattern:t[137],negativePattern:t[138]},{decimal:t[139],group:t[140],nan:t[141],plusSign:t[142],minusSign:t[143],percentSign:t[144],infinity:t[145]},{AUD:t[146],BRL:t[147],CAD:t[148],CNY:t[149],EUR:t[150],GBP:t[151],HKD:t[152],ILS:t[153],INR:t[154],JPY:t[155],KRW:t[156],MXN:t[157],NZD:t[158],TWD:t[159],USD:t[160],VND:t[161],XAF:t[162],XCD:t[163],XOF:t[164],XPF:t[165]},{d:t[167],E:t[5],Ed:t[168],Ehm:t[7],EHm:t[169],Ehms:t[9],EHms:t[170],Gy:t[11],GyMMM:t[171],GyMMMd:t[172],GyMMMEd:t[173],GyMMMMd:t[174],GyMMMMEd:t[175],h:t[15],H:t[176],hm:t[17],Hm:t[177],hms:t[19],Hms:t[178],hmsv:t[21],Hmsv:t[179],hmv:t[23],Hmv:t[180],M:t[25],Md:t[181],MEd:t[182],MMM:t[28],MMMd:t[181],MMMEd:t[182],MMMMd:t[183],MMMMEd:t[184],ms:t[32],y:t[33],yM:t[34],yMd:t[185],yMEd:t[186],yMMM:t[187],yMMMd:t[185],yMMMEd:t[186],yMMMM:t[187],yMMMMd:t[188],yMMMMEd:t[189],yQQQ:t[41],yQQQQ:t[42]},{yMMMMEEEEd:t[190],yMMMMd:t[188],yMMMd:t[185],yMd:t[191]},{hmmsszzzz:t[192],hmsz:t[193],hms:t[178],hm:t[177]},[t[98],t[194],t[195],t[72],t[196],t[194],t[72]],[t[197],t[198],t[199],t[200],t[201],t[202],t[203]],[t[204],t[205],t[206],t[207],t[208],t[209],t[210]],{am:t[211],pm:t[212]},[t[213],t[214],t[215],t[216],t[217],t[218],t[219],t[220],t[221],t[222],t[223],t[224]],[t[225],t[226],t[227],t[228],t[229],t[230],t[231],t[232],t[233],t[234],t[235],t[236]],[t[237],t[238],t[124],t[125]],[t[239],t[240],t[124],t[125]],{positivePattern:t[241],negativePattern:t[242]},{positivePattern:t[243],negativePattern:t[244]},{decimal:t[140],group:t[245],nan:t[141],plusSign:t[142],minusSign:t[143],percentSign:t[144],infinity:t[145]},{AUD:t[246],BRL:t[147],CAD:t[148],CNY:t[149],CSK:t[247],CZK:t[248],EUR:t[150],GBP:t[151],HKD:t[152],JPY:t[249],KRW:t[156],MXN:t[157],NZD:t[158],TWD:t[159],USD:t[250],XAF:t[162],XCD:t[163],XEU:t[251],XOF:t[164],XPF:t[165]},{d:t[4],E:t[5],Ed:t[253],Ehm:t[7],EHm:t[254],Ehms:t[255],EHms:t[256],Gy:t[11],GyMMM:t[12],GyMMMd:t[257],GyMMMEd:t[258],h:t[15],H:t[259],hm:t[17],Hm:t[18],hms:t[19],Hms:t[20],hmsv:t[21],Hmsv:t[22],hmv:t[23],Hmv:t[24],M:t[25],Md:t[260],MEd:t[261],MMd:t[262],MMdd:t[263],MMM:t[28],MMMd:t[264],MMMEd:t[265],MMMMd:t[183],MMMMEd:t[266],ms:t[32],y:t[33],yM:t[267],yMd:t[268],yMEd:t[269],yMM:t[270],yMMdd:t[271],yMMM:t[37],yMMMd:t[272],yMMMEd:t[273],yMMMM:t[40],yQQQ:t[41],yQQQQ:t[42]},{yMMMMEEEEd:t[274],yMMMMd:t[188],yMMMd:t[271],yMd:t[191]},{hmmsszzzz:t[275],hmsz:t[276],hms:t[20],hm:t[18]},[t[72],t[73],t[99],t[73],t[99],t[76],t[72]],[t[277],t[278],t[279],t[280],t[281],t[282],t[283]],[t[284],t[285],t[286],t[287],t[288],t[289],t[290]],{am:t[291],pm:t[292]},[t[293],t[294],t[295],t[296],t[297],t[298],t[299],t[300],t[301],t[302],t[303],t[304]],[t[305],t[306],t[295],t[115],t[297],t[298],t[299],t[118],t[119],t[307],t[121],t[308]],[t[309],t[310],t[311],t[312]],[t[309],t[310],t[313],t[314]],{decimal:t[140],group:t[139],nan:t[141],plusSign:t[142],minusSign:t[143],percentSign:t[144],infinity:t[145]},{ATS:t[315],AUD:t[246],BGM:t[316],BGO:t[317],BRL:t[147],CAD:t[148],CNY:t[149],DEM:t[318],EUR:t[150],GBP:t[151],HKD:t[152],ILS:t[153],INR:t[154],JPY:t[155],KRW:t[156],MXN:t[157],NZD:t[158],THB:t[319],TWD:t[159],USD:t[160],VND:t[161],XAF:t[162],XCD:t[163],XOF:t[164],XPF:t[165]},{d:t[4],E:t[5],Ed:t[320],Ehm:t[321],EHm:t[322],Ehms:t[255],EHms:t[323],Gy:t[11],GyMMM:t[12],GyMMMd:t[324],GyMMMEd:t[325],GyMMMM:t[326],GyMMMMd:t[327],GyMMMMEd:t[328],h:t[15],H:t[176],hm:t[17],Hm:t[177],hms:t[19],Hms:t[178],hmsv:t[21],Hmsv:t[179],hmsvvvv:t[329],Hmsvvvv:t[330],hmv:t[23],Hmv:t[180],M:t[25],Md:t[331],MEd:t[332],MMd:t[331],MMdd:t[331],MMM:t[28],MMMd:t[333],MMMEd:t[334],MMMMd:t[335],MMMMEd:t[336],ms:t[32],y:t[33],yM:t[34],yMd:t[337],yMEd:t[338],yMM:t[34],yMMM:t[37],yMMMd:t[339],yMMMEd:t[340],yMMMM:t[341],yMMMMd:t[342],yMMMMEd:t[343],yQQQ:t[41],yQQQQ:t[344]},{yMMMMEEEEd:t[345],yMMMMd:t[342],yMMMd:t[339],yMd:t[346]},{hmmsszzzz:t[347],hmsz:t[193],hms:t[178],hm:t[177]},[t[99],t[25],t[73],t[348],t[95],t[349],t[72]],[t[350],t[351],t[352],t[353],t[354],t[355],t[356]],[t[357],t[358],t[359],t[360],t[361],t[362],t[363]],{am:t[364],pm:t[365]},[t[366],t[76],t[73],t[96],t[73],t[95],t[95],t[96],t[72],t[97],t[98],t[99]],[t[367],t[368],t[352],t[369],t[370],t[371],t[372],t[373],t[374],t[375],t[376],t[377]],[t[378],t[379],t[380],t[381],t[382],t[383],t[384],t[385],t[386],t[387],t[388],t[389]],[t[390],t[391],t[392],t[393]],[t[394],t[395],t[396],t[397]],{CAD:t[148],ESP:t[398],EUR:t[150],THB:t[319],USD:t[160],VND:t[161],XPF:t[165]},{d:t[4],E:t[366],Ed:t[320],Ehm:t[7],EHm:t[8],Ehms:t[9],EHms:t[10],Gy:t[11],GyMMM:t[12],GyMMMd:t[324],GyMMMEd:t[400],h:t[15],H:t[401],hm:t[17],Hm:t[18],hms:t[19],Hms:t[20],hmsv:t[21],Hmsv:t[22],hmv:t[23],Hmv:t[24],M:t[25],Md:t[402],MEd:t[403],MMM:t[28],MMMd:t[333],MMMEd:t[404],MMMMd:t[405],ms:t[32],y:t[33],yM:t[406],yMd:t[407],yMEd:t[408],yMMM:t[37],yMMMd:t[339],yMMMEd:t[409],yMMMM:t[40],yQQQ:t[41],yQQQQ:t[42]},{yMMMMEEEEd:t[410],yMMMMd:t[411],yMMMd:t[339],yMd:t[407]},[t[99],t[25],t[73],t[73],t[95],t[349],t[72]],[t[412],t[351],t[352],t[413],t[414],t[415],t[416]],[t[417],t[418],t[419],t[420],t[421],t[422],t[423]],[t[424],t[425],t[426],t[427],t[428],t[429],t[430],t[431],t[374],t[375],t[376],t[432]],[t[433],t[434],t[426],t[435],t[428],t[429],t[436],t[431],t[437],t[438],t[439],t[440]],[t[441],t[442],t[443],t[444]],[t[445],t[446],t[447],t[448]],{ARS:t[449],AUD:t[450],BEF:t[451],BMD:t[452],BND:t[453],BRL:t[147],BSD:t[454],BZD:t[455],CAD:t[456],CLP:t[457],COP:t[458],CYP:t[459],EUR:t[150],FJD:t[460],FKP:t[461],FRF:t[76],GBP:t[462],GIP:t[463],IEP:t[464],ILP:t[465],ILS:t[153],INR:t[154],ITL:t[466],KRW:t[156],LBP:t[467],MTP:t[468],MXN:t[469],NAD:t[470],NZD:t[471],RHD:t[472],SBD:t[473],SGD:t[474],SRD:t[475],TTD:t[476],USD:t[477],UYU:t[478],VND:t[161],WST:t[479],XAF:t[162],XOF:t[164],XPF:t[480]},{d:t[4],E:t[5],Ed:t[481],Ehm:t[7],EHm:t[8],Ehms:t[9],EHms:t[10],Gy:t[482],GyMMM:t[483],GyMMMd:t[484],GyMMMEd:t[485],h:t[486],H:t[176],hm:t[487],Hm:t[177],hms:t[488],Hms:t[178],hmsv:t[21],Hmsv:t[22],hmv:t[23],Hmv:t[24],M:t[25],Md:t[489],MEd:t[490],MMM:t[28],MMMd:t[491],MMMEd:t[492],MMMMd:t[493],mmss:t[32],ms:t[32],y:t[494],yM:t[495],yMd:t[496],yMEd:t[497],yMMM:t[498],yMMMd:t[499],yMMMEd:t[500],yMMMM:t[501],yQQQ:t[502],yQQQQ:t[503]},{yMMMMEEEEd:t[504],yMMMMd:t[505],yMMMd:t[499],yMd:t[496]},[t[349],t[176],t[506],t[507],t[508],t[194],t[507]],[t[349],t[176],t[506],t[509],t[508],t[194],t[510]],[t[511],t[512],t[513],t[514],t[515],t[516],t[517]],{am:t[518],pm:t[519]},[t[95],t[76],t[73],t[520],t[73],t[95],t[95],t[96],t[507],t[97],t[98],t[99]],[t[521],t[522],t[523],t[524],t[525],t[526],t[527],t[528],t[529],t[530],t[376],t[531]],[t[532],t[533],t[534],t[535],t[536],t[537],t[538],t[539],t[540],t[541],t[542],t[543]],[t[544],t[545],t[124],t[125]],[t[546],t[547],t[124],t[125]],[t[548],t[549],t[546],t[547]],{HUF:t[550],JPY:t[155],XAF:t[162],XOF:t[164],XPF:t[165]},{d:t[4],E:t[5],Ed:t[320],Ehm:t[7],EHm:t[8],Ehms:t[9],EHms:t[10],Gy:t[11],GyMMM:t[12],GyMMMd:t[324],GyMMMEd:t[400],h:t[15],H:t[16],hm:t[17],Hm:t[18],hms:t[19],Hms:t[20],hmsv:t[21],Hmsv:t[22],hmv:t[23],Hmv:t[24],M:t[25],Md:t[331],MEd:t[551],MMM:t[28],MMMd:t[333],MMMEd:t[404],MMMMd:t[405],ms:t[32],y:t[33],yM:t[34],yMd:t[337],yMEd:t[552],yMMM:t[37],yMMMd:t[339],yMMMEd:t[409],yMMMM:t[40],yQQQ:t[41],yQQQQ:t[42]},{yMMMMEEEEd:t[410],yMMMMd:t[411],yMMMd:t[553],yMd:t[554]},[t[99],t[25],t[73],t[73],t[555],t[349],t[72]],[t[556],t[557],t[558],t[559],t[560],t[561],t[562]],[t[563],t[564],t[565],t[566],t[567],t[568],t[569]],[t[555],t[76],t[73],t[96],t[73],t[555],t[25],t[96],t[72],t[97],t[98],t[99]],[t[570],t[571],t[558],t[572],t[573],t[574],t[575],t[576],t[577],t[578],t[579],t[580]],[t[581],t[582],t[380],t[583],t[584],t[585],t[586],t[385],t[587],t[588],t[439],t[589]],[t[590],t[591],t[124],t[125]],[t[592],t[593],t[594],t[595]],[t[592],t[593],t[596],t[597]],{AUD:t[146],CAD:t[148],CNY:t[149],EUR:t[150],GBP:t[151],ILS:t[153],INR:t[154],NZD:t[158],THB:t[319],USD:t[250],VND:t[161],XAF:t[162],XCD:t[163],XOF:t[164],XPF:t[165]},{d:t[598],E:t[5],Ed:t[599],EEEEd:t[600],Ehm:t[601],EHm:t[602],Ehms:t[603],EHms:t[604],Gy:t[605],GyMMM:t[606],GyMMMd:t[607],GyMMMEd:t[608],GyMMMEEEEd:t[609],h:t[610],H:t[611],hm:t[612],Hm:t[177],hms:t[613],Hms:t[178],hmsv:t[614],Hmsv:t[179],hmv:t[615],Hmv:t[180],M:t[616],Md:t[26],MEd:t[617],MEEEEd:t[618],MMM:t[616],MMMd:t[619],MMMEd:t[620],MMMEEEEd:t[621],MMMMd:t[619],ms:t[32],y:t[622],yM:t[623],yMd:t[624],yMEd:t[625],yMEEEEd:t[626],yMM:t[627],yMMM:t[628],yMMMd:t[629],yMMMEd:t[630],yMMMEEEEd:t[631],yMMMM:t[628],yQQQ:t[632],yQQQQ:t[633]},{yMMMMEEEEd:t[631],yMMMMd:t[629],yMMMd:t[634],yMd:t[634]},{hmmsszzzz:t[635],hmsz:t[193],hms:t[178],hm:t[177]},[t[636],t[637],t[638],t[639],t[640],t[641],t[642]],[t[643],t[644],t[645],t[646],t[647],t[648],t[649]],{am:t[650],pm:t[651]},[t[652],t[653],t[654],t[655],t[656],t[657],t[658],t[659],t[660],t[661],t[662],t[663]],[t[664],t[665],t[666],t[667]],{AUD:t[246],BRL:t[147],CAD:t[148],CNY:t[668],EUR:t[150],GBP:t[151],HKD:t[152],ILS:t[153],INR:t[154],JPY:t[669],KRW:t[156],MXN:t[157],NZD:t[158],THB:t[319],TWD:t[159],USD:t[160],VND:t[161],XAF:t[162],XCD:t[163],XOF:t[164],XPF:t[165]},{d:t[670],E:t[5],Ed:t[671],EEEEd:t[672],Ehm:t[673],EHm:t[674],Ehms:t[675],EHms:t[676],Gy:t[677],GyMMM:t[678],GyMMMd:t[679],GyMMMEd:t[680],GyMMMEEEEd:t[681],h:t[682],H:t[683],HHmmss:t[20],hm:t[487],Hm:t[18],hms:t[488],Hms:t[684],hmsv:t[685],Hmsv:t[686],hmv:t[687],Hmv:t[24],M:t[688],Md:t[489],MEd:t[689],MEEEEd:t[690],MMM:t[28],MMMd:t[691],MMMEd:t[692],MMMEEEEd:t[693],MMMMd:t[694],mmss:t[32],ms:t[32],y:t[695],yM:t[495],yMd:t[696],yMEd:t[697],yMEEEEd:t[698],yMM:t[495],yMMM:t[699],yMMMd:t[700],yMMMEd:t[701],yMMMEEEEd:t[702],yMMMM:t[703],yQQQ:t[704],yQQQQ:t[705]},{yMMMMEEEEd:t[706],yMMMMd:t[707],yMMMd:t[696],yMd:t[708]},{hmmsszzzz:t[709],hmsz:t[710],hms:t[488],hm:t[487]},[t[711],t[712],t[713],t[714],t[715],t[716],t[717]],[t[718],t[719],t[720],t[721],t[722],t[723],t[724]],{am:t[725],pm:t[726]},[t[727],t[728],t[729],t[730],t[731],t[732],t[733],t[734],t[735],t[736],t[737],t[738]],[t[739],t[740],t[124],t[125]],{AUD:t[246],BRL:t[147],CAD:t[148],CNY:t[149],EUR:t[150],GBP:t[151],HKD:t[152],ILS:t[153],INR:t[154],JPY:t[249],KRW:t[156],MXN:t[157],NZD:t[158],THB:t[319],TWD:t[159],USD:t[250],VND:t[161],XAF:t[162],XCD:t[163],XOF:t[164],XPF:t[165]},{d:t[4],E:t[5],Ed:t[741],Ehm:t[321],EHm:t[254],Ehms:t[255],EHms:t[256],Gy:t[11],GyMMM:t[12],GyMMMd:t[742],GyMMMEd:t[325],GyMMMM:t[171],GyMMMMd:t[743],GyMMMMEd:t[744],h:t[15],H:t[16],hm:t[17],Hm:t[18],hms:t[19],Hms:t[20],hmsv:t[21],Hmsv:t[22],hmv:t[23],Hmv:t[24],M:t[25],Md:t[745],MEd:t[746],MMM:t[28],MMMd:t[745],MMMEd:t[746],MMMMd:t[405],MMMMEd:t[747],ms:t[32],y:t[33],yM:t[270],yMd:t[748],yMEd:t[749],yMMM:t[270],yMMMd:t[748],yMMMEd:t[749],yMMMM:t[187],yMMMMd:t[411],yMMMMEd:t[750],yQQQ:t[41],yQQQQ:t[42]},{yMMMMEEEEd:t[751],yMMMMd:t[411],yMMMd:t[271],yMd:t[271]},[t[98],t[194],t[75],t[752],t[753],t[194],t[72]],[t[754],t[755],t[756],t[757],t[758],t[759],t[760]],[t[761],t[762],t[763],t[764],t[765],t[766],t[210]],[t[767],t[768],t[769],t[770],t[769],t[771],t[768],t[767],t[772],t[773],t[768],t[774]],[t[775],t[776],t[558],t[777],t[778],t[779],t[780],t[781],t[782],t[783],t[223],t[784]],[t[785],t[786],t[787],t[788],t[789],t[790],t[791],t[792],t[793],t[794],t[795],t[796]],[t[797],t[798],t[124],t[125]],{BRL:t[147],EUR:t[150],PLN:t[799],XAF:t[162],XCD:t[163],XOF:t[164],XPF:t[165]},{d:t[4],E:t[5],Ed:t[741],Ehm:t[321],EHm:t[254],Ehms:t[255],EHms:t[256],Gy:t[11],GyMMM:t[800],GyMMMd:t[801],GyMMMEd:t[802],h:t[15],H:t[16],hm:t[17],Hm:t[18],hms:t[19],Hms:t[20],hmsv:t[21],Hmsv:t[22],hmv:t[23],Hmv:t[24],M:t[25],Md:t[331],MEd:t[803],MMdd:t[402],MMM:t[28],MMMd:t[804],MMMEd:t[805],MMMMd:t[335],MMMMEd:t[336],ms:t[32],y:t[33],yM:t[406],yMd:t[407],yMEd:t[806],yMM:t[406],yMMM:t[807],yMMMd:t[808],yMMMEd:t[809],yMMMM:t[341],yMMMMd:t[342],yMMMMEd:t[810],yQQQ:t[811],yQQQQ:t[812]},{yMMMMEEEEd:t[345],yMMMMd:t[342],yMMMd:t[808],yMd:t[554]},[t[99],t[72],t[74],t[813],t[813],t[72],t[72]],[t[556],t[814],t[815],t[816],t[817],t[818],t[819]],[t[357],t[820],t[821],t[822],t[823],t[824],t[363]],[t[825],t[826],t[558],t[827],t[428],t[828],t[829],t[576],t[577],t[830],t[579],t[831]],[t[832],t[833],t[834],t[381],t[835],t[836],t[837],t[385],t[838],t[839],t[840],t[841]],[t[592],t[593],t[443],t[444]],[t[394],t[842],t[843],t[844]],{AUD:t[246],BRL:t[147],CAD:t[148],CNY:t[149],EUR:t[150],GBP:t[151],HKD:t[152],ILS:t[153],INR:t[154],JPY:t[249],KRW:t[156],MXN:t[157],NZD:t[158],PTE:t[845],THB:t[319],TWD:t[159],USD:t[250],VND:t[161],XAF:t[162],XCD:t[163],XOF:t[164],XPF:t[165]},{d:t[4],E:t[5],Ed:t[741],Ehm:t[321],EHm:t[254],Ehms:t[255],EHms:t[256],Gy:t[11],GyMMM:t[800],GyMMMd:t[801],GyMMMEd:t[802],h:t[15],H:t[16],hm:t[17],Hm:t[18],hms:t[19],Hms:t[20],hmsv:t[21],Hmsv:t[22],hmv:t[23],Hmv:t[24],M:t[25],Md:t[402],MEd:t[803],MMdd:t[402],MMM:t[28],MMMd:t[847],MMMEd:t[848],MMMMd:t[335],MMMMEd:t[849],ms:t[32],y:t[33],yM:t[406],yMd:t[407],yMEd:t[806],yMM:t[406],yMMM:t[406],yMMMd:t[850],yMMMEd:t[851],yMMMEEEEd:t[852],yMMMM:t[341],yMMMMd:t[342],yMMMMEd:t[853],yQQQ:t[344],yQQQQ:t[344]},{yMMMMEEEEd:t[345],yMMMMd:t[342],yMMMd:t[407],yMd:t[554]},[t[357],t[854],t[855],t[856],t[857],t[858],t[363]],{am:t[859],pm:t[860]},[t[592],t[593],t[861],t[862]],{AUD:t[246],BRL:t[147],CAD:t[148],CNY:t[149],EUR:t[150],GBP:t[151],HKD:t[152],ILS:t[153],INR:t[154],JPY:t[249],KRW:t[156],MXN:t[157],NZD:t[158],PTE:t[863],THB:t[319],TWD:t[159],USD:t[250],VND:t[161],XAF:t[162],XCD:t[163],XOF:t[164],XPF:t[165]},{d:t[4],E:t[5],Ed:t[864],Ehm:t[7],EHm:t[8],Ehms:t[9],EHms:t[10],Gy:t[865],GyMMM:t[866],GyMMMd:t[867],GyMMMEd:t[868],h:t[15],H:t[176],hm:t[17],Hm:t[177],hms:t[19],Hms:t[178],hmsv:t[21],Hmsv:t[179],hmv:t[23],Hmv:t[180],M:t[25],Md:t[869],MEd:t[870],MMdd:t[869],MMM:t[28],MMMd:t[333],MMMEd:t[871],MMMMd:t[405],ms:t[32],y:t[33],yM:t[270],yMd:t[271],yMEd:t[872],yMM:t[270],yMMM:t[873],yMMMd:t[874],yMMMEd:t[875],yMMMM:t[876],yQQQ:t[877],yQQQQ:t[878]},{yMMMMEEEEd:t[879],yMMMMd:t[880],yMMMd:t[874],yMd:t[191]},[t[881],t[882],t[883],t[884],t[885],t[886],t[887]],[t[888],t[889],t[890],t[891],t[892],t[893],t[894]],{am:t[895],pm:t[896]},[t[897],t[898],t[899],t[900],t[899],t[901],t[901],t[900],t[902],t[903],t[904],t[905]],[t[906],t[907],t[908],t[909],t[910],t[911],t[912],t[913],t[914],t[915],t[916],t[917]],[t[918],t[919],t[920],t[921],t[910],t[922],t[923],t[924],t[925],t[926],t[927],t[928]],[t[929],t[930],t[124],t[125]],[t[931],t[932],t[124],t[125]],[t[933],t[934],t[935],t[936]],{decimal:t[140],group:t[245],nan:t[937],plusSign:t[142],minusSign:t[143],percentSign:t[144],infinity:t[145]},{AUD:t[146],BRL:t[147],CAD:t[148],CNY:t[149],EUR:t[150],GBP:t[151],HKD:t[152],ILS:t[153],INR:t[154],JPY:t[155],KRW:t[156],MXN:t[157],NZD:t[158],RUB:t[938],RUR:t[939],THB:t[319],TMT:t[940],TWD:t[159],UAH:t[941],USD:t[160],VND:t[161],XAF:t[162],XCD:t[163],XOF:t[164],XPF:t[165],XXX:t[942]},{d:t[598],E:t[5],Ed:t[943],Ehm:t[944],EHm:t[945],Ehms:t[946],EHms:t[947],Gy:t[605],GyMMM:t[606],GyMMMd:t[607],GyMMMEd:t[948],h:t[949],H:t[950],hm:t[951],Hm:t[18],hms:t[952],Hms:t[20],hmsv:t[953],Hmsv:t[954],hmv:t[955],Hmv:t[956],M:t[616],Md:t[26],MEd:t[957],MMdd:t[958],MMM:t[28],MMMd:t[619],MMMEd:t[959],MMMMd:t[619],ms:t[32],y:t[622],yM:t[628],yMd:t[624],yMEd:t[960],yMM:t[628],yMMM:t[628],yMMMd:t[629],yMMMEd:t[961],yMMMM:t[628],yQQQ:t[962],yQQQQ:t[962]},{yMMMMEEEEd:t[631],yMMMMd:t[629],yMMMd:t[629],yMd:t[624]},{hmmsszzzz:t[963],hmsz:t[964],hms:t[952],hm:t[951]},[t[636],t[965],t[966],t[967],t[968],t[969],t[970]],[t[971],t[972],t[973],t[974],t[975],t[976],t[977]],[t[978],t[979],t[980],t[981],t[982],t[983],t[984]],{am:t[985],pm:t[986]},[t[987],t[988],t[989],t[990],t[991],t[992],t[993],t[994],t[995],t[996],t[997],t[998]],[t[999],t[1e3],t[1001],t[1002]],{AUD:t[246],BRL:t[147],CAD:t[148],CNY:t[669],EUR:t[150],GBP:t[151],HKD:t[152],ILR:t[1003],ILS:t[153],INR:t[154],JPY:t[249],KRW:t[1004],MXN:t[157],NZD:t[158],TWD:t[159],USD:t[250],VND:t[161],XAF:t[162],XCD:t[163],XOF:t[164],XPF:t[165]},{d:t[598],E:t[5],Ed:t[6],Ehm:t[944],EHm:t[8],Ehms:t[946],EHms:t[10],Gy:t[605],GyMMM:t[606],GyMMMd:t[607],GyMMMEd:t[1005],h:t[1006],H:t[611],hm:t[951],Hm:t[18],hms:t[952],Hms:t[20],hmsv:t[1007],Hmsv:t[1008],hmv:t[1009],Hmv:t[1010],M:t[616],Md:t[26],MEd:t[1011],MMdd:t[958],MMM:t[28],MMMd:t[619],MMMEd:t[1012],MMMMd:t[619],ms:t[32],y:t[622],yM:t[623],yMd:t[624],yMEd:t[1013],yMM:t[627],yMMM:t[628],yMMMd:t[629],yMMMEd:t[1014],yMMMM:t[628],yQQQ:t[1015],yQQQQ:t[1016]},{yMMMMEEEEd:t[1017],yMMMMd:t[629],yMMMd:t[629],yMd:t[624]},{hmmsszzzz:t[1018],hmsz:t[1019],hms:t[952],hm:t[951]},[t[1020],t[1021],t[1022],t[1023],t[1024],t[1025],t[1026]],[t[1001],t[1002],t[999],t[1e3]],{decimal:t[139],group:t[140],nan:t[1027],plusSign:t[142],minusSign:t[143],percentSign:t[144],infinity:t[145]},{AUD:t[246],BRL:t[147],CAD:t[148],CNY:t[149],EUR:t[150],GBP:t[151],HKD:t[152],ILS:t[153],INR:t[154],JPY:t[155],KRW:t[1004],MXN:t[157],NZD:t[158],TWD:t[160],USD:t[250],VND:t[161],XAF:t[162],XCD:t[163],XOF:t[164],XPF:t[165]}],n[1]=[{short:t[2],medium:t[2],full:t[3],long:t[3],availableFormats:n[0][1],dateFormats:n[0][2],timeFormats:n[0][3]},{narrow:n[0][4],short:n[0][5],long:n[0][5]},{narrow:n[0][6],short:n[0][7],long:n[0][8]},{narrow:n[0][9],short:n[0][9],long:n[0][9]},{narrow:n[0][11],short:n[0][12],long:n[0][13]},{narrow:n[0][14],short:n[0][15],long:n[0][16]},{decimal:n[0][18],currency:n[0][19],percent:n[0][20]},{latn:n[0][21]},{short:t[166],medium:t[166],full:t[166],long:t[166],availableFormats:n[0][23],dateFormats:n[0][24],timeFormats:n[0][25]},{narrow:n[0][26],short:n[0][27],long:n[0][28]},{narrow:n[0][4],short:n[0][30],long:n[0][31]},{narrow:n[0][32],short:n[0][33],long:n[0][33]},{decimal:n[0][18],currency:n[0][34],percent:n[0][35]},{latn:n[0][36]},{short:t[2],medium:t[2],full:t[252],long:t[252],availableFormats:n[0][38],dateFormats:n[0][39],timeFormats:n[0][40]},{narrow:n[0][41],short:n[0][42],long:n[0][43]},{narrow:n[0][11],short:n[0][45],long:n[0][46]},{narrow:n[0][47],short:n[0][47],long:n[0][48]},{latn:n[0][49]},{short:t[166],medium:t[166],full:t[2],long:t[2],availableFormats:n[0][51],dateFormats:n[0][52],timeFormats:n[0][53]},{narrow:n[0][54],short:n[0][55],long:n[0][56]},{narrow:n[0][58],short:n[0][59],long:n[0][60]},{narrow:n[0][61],short:n[0][61],long:n[0][62]},{short:t[166],medium:t[399],full:t[399],long:t[399],availableFormats:n[0][64],dateFormats:n[0][65],timeFormats:n[0][40]},{narrow:n[0][66],short:n[0][67],long:n[0][68]},{narrow:n[0][11],short:n[0][69],long:n[0][70]},{narrow:n[0][71],short:n[0][71],long:n[0][72]},{short:t[166],medium:t[166],full:t[166],long:t[166],availableFormats:n[0][74],dateFormats:n[0][75],timeFormats:n[0][25]},{narrow:n[0][76],short:n[0][77],long:n[0][78]},{narrow:n[0][80],short:n[0][81],long:n[0][82]},{narrow:n[0][83],short:n[0][84],long:n[0][85]},{decimal:n[0][18],currency:n[0][34],percent:n[0][20]},{short:t[2],medium:t[2],full:t[166],long:t[166],availableFormats:n[0][87],dateFormats:n[0][88],timeFormats:n[0][40]},{narrow:n[0][89],short:n[0][90],long:n[0][91]},{narrow:n[0][92],short:n[0][93],long:n[0][94]},{narrow:n[0][95],short:n[0][96],long:n[0][97]},{short:t[166],medium:t[166],full:t[166],long:t[166],availableFormats:n[0][99],dateFormats:n[0][100],timeFormats:n[0][101]},{narrow:n[0][102],short:n[0][102],long:n[0][103]},{narrow:n[0][4],short:n[0][105],long:n[0][105]},{narrow:n[0][15],short:n[0][106],long:n[0][106]},{short:t[166],medium:t[166],full:t[166],long:t[166],availableFormats:n[0][108],dateFormats:n[0][109],timeFormats:n[0][110]},{narrow:n[0][111],short:n[0][111],long:n[0][112]},{narrow:n[0][114],short:n[0][114],long:n[0][114]},{narrow:n[0][15],short:n[0][15],long:n[0][115]},{short:t[2],medium:t[2],full:t[166],long:t[166],availableFormats:n[0][117],dateFormats:n[0][118],timeFormats:n[0][40]},{narrow:n[0][119],short:n[0][120],long:n[0][121]},{narrow:n[0][122],short:n[0][123],long:n[0][124]},{narrow:n[0][125],short:n[0][125],long:n[0][125]},{short:t[166],medium:t[166],full:t[166],long:t[166],availableFormats:n[0][127],dateFormats:n[0][128],timeFormats:n[0][40]},{narrow:n[0][129],short:n[0][130],long:n[0][131]},{narrow:n[0][11],short:n[0][132],long:n[0][133]},{narrow:n[0][134],short:n[0][134],long:n[0][135]},{short:t[2],medium:t[2],full:t[846],long:t[846],availableFormats:n[0][137],dateFormats:n[0][138],timeFormats:n[0][40]},{narrow:n[0][129],short:n[0][139],long:n[0][131]},{narrow:n[0][141],short:n[0][141],long:n[0][135]},{short:t[2],medium:t[2],full:t[2],long:t[2],availableFormats:n[0][143],dateFormats:n[0][144],timeFormats:n[0][25]},{narrow:n[0][145],short:n[0][145],long:n[0][146]},{narrow:n[0][148],short:n[0][149],long:n[0][150]},{narrow:n[0][151],short:n[0][152],long:n[0][153]},{latn:n[0][154]},{short:t[166],medium:t[166],full:t[166],long:t[166],availableFormats:n[0][156],dateFormats:n[0][157],timeFormats:n[0][158]},{narrow:n[0][159],short:n[0][160],long:n[0][161]},{narrow:n[0][4],short:n[0][105],long:n[0][163]},{narrow:n[0][164],short:n[0][164],long:n[0][164]},{hanidec:n[0][21],latn:n[0][21]},{short:t[166],medium:t[166],full:t[166],long:t[166],availableFormats:n[0][166],dateFormats:n[0][167],timeFormats:n[0][168]},{narrow:n[0][159],short:n[0][169],long:n[0][161]},{narrow:n[0][170],short:n[0][170],long:n[0][170]},{hanidec:n[0][171],latn:n[0][171]}],n[2]=[{months:n[1][1],days:n[1][2],eras:n[1][3],dayPeriods:n[0][10]},{months:n[1][4],days:n[1][2],eras:n[1][5],dayPeriods:n[0][10]},{nu:n[0][17],patterns:n[1][6],symbols:n[1][7],currencies:n[0][22]},{months:n[1][1],days:n[1][9],eras:n[1][3],dayPeriods:n[0][29]},{months:n[1][10],days:n[1][9],eras:n[1][11],dayPeriods:n[0][29]},{nu:n[0][17],patterns:n[1][12],symbols:n[1][13],currencies:n[0][37]},{months:n[1][1],days:n[1][15],eras:n[1][3],dayPeriods:n[0][44]},{months:n[1][16],days:n[1][15],eras:n[1][17],dayPeriods:n[0][44]},{nu:n[0][17],patterns:n[1][12],symbols:n[1][18],currencies:n[0][50]},{months:n[1][1],days:n[1][20],eras:n[1][3],dayPeriods:n[0][57]},{months:n[1][21],days:n[1][20],eras:n[1][22],dayPeriods:n[0][57]},{nu:n[0][17],patterns:n[1][12],symbols:n[1][18],currencies:n[0][63]},{months:n[1][1],days:n[1][24],eras:n[1][3],dayPeriods:n[0][10]},{months:n[1][25],days:n[1][24],eras:n[1][26],dayPeriods:n[0][10]},{nu:n[0][17],patterns:n[1][12],symbols:n[1][13],currencies:n[0][73]},{months:n[1][1],days:n[1][28],eras:n[1][3],dayPeriods:n[0][79]},{months:n[1][29],days:n[1][28],eras:n[1][30],dayPeriods:n[0][79]},{nu:n[0][17],patterns:n[1][31],symbols:n[1][13],currencies:n[0][86]},{months:n[1][1],days:n[1][33],eras:n[1][3],dayPeriods:n[0][10]},{months:n[1][34],days:n[1][33],eras:n[1][35],dayPeriods:n[0][10]},{nu:n[0][17],patterns:n[1][31],symbols:n[1][18],currencies:n[0][98]},{months:n[1][1],days:n[1][37],eras:n[1][3],dayPeriods:n[0][104]},{months:n[1][38],days:n[1][37],eras:n[1][39],dayPeriods:n[0][104]},{nu:n[0][17],patterns:n[1][6],symbols:n[1][7],currencies:n[0][107]},{months:n[1][1],days:n[1][41],eras:n[1][3],dayPeriods:n[0][113]},{months:n[1][42],days:n[1][41],eras:n[1][43],dayPeriods:n[0][113]},{nu:n[0][17],patterns:n[1][6],symbols:n[1][7],currencies:n[0][116]},{months:n[1][1],days:n[1][45],eras:n[1][3],dayPeriods:n[0][10]},{months:n[1][46],days:n[1][45],eras:n[1][47],dayPeriods:n[0][10]},{nu:n[0][17],patterns:n[1][31],symbols:n[1][13],currencies:n[0][126]},{months:n[1][1],days:n[1][49],eras:n[1][3],dayPeriods:n[0][10]},{months:n[1][50],days:n[1][49],eras:n[1][51],dayPeriods:n[0][10]},{nu:n[0][17],patterns:n[1][6],symbols:n[1][18],currencies:n[0][136]},{months:n[1][1],days:n[1][53],eras:n[1][3],dayPeriods:n[0][140]},{months:n[1][50],days:n[1][53],eras:n[1][54],dayPeriods:n[0][140]},{nu:n[0][17],patterns:n[1][31],symbols:n[1][13],currencies:n[0][142]},{months:n[1][1],days:n[1][56],eras:n[1][3],dayPeriods:n[0][147]},{months:n[1][57],days:n[1][56],eras:n[1][58],dayPeriods:n[0][147]},{nu:n[0][17],patterns:n[1][12],symbols:n[1][59],currencies:n[0][155]},{months:n[1][1],days:n[1][61],eras:n[1][3],dayPeriods:n[0][162]},{months:n[1][62],days:n[1][61],eras:n[1][63],dayPeriods:n[0][162]},{nu:n[0][17],patterns:n[1][6],symbols:n[1][64],currencies:n[0][165]},{months:n[1][1],days:n[1][66],eras:n[1][3],dayPeriods:n[0][162]},{months:n[1][38],days:n[1][66],eras:n[1][67],dayPeriods:n[0][162]},{nu:n[0][17],patterns:n[1][6],symbols:n[1][68],currencies:n[0][172]}],n[3]=[{generic:n[2][0],gregory:n[2][1]},{generic:n[2][3],gregory:n[2][4]},{generic:n[2][6],gregory:n[2][7]},{generic:n[2][9],gregory:n[2][10]},{generic:n[2][12],gregory:n[2][13]},{generic:n[2][15],gregory:n[2][16]},{generic:n[2][18],gregory:n[2][19]},{generic:n[2][21],gregory:n[2][22]},{generic:n[2][24],gregory:n[2][25]},{generic:n[2][27],gregory:n[2][28]},{generic:n[2][30],gregory:n[2][31]},{generic:n[2][33],gregory:n[2][34]},{generic:n[2][36],gregory:n[2][37]},{generic:n[2][39],gregory:n[2][40]},{generic:n[2][42],gregory:n[2][43]}],n[4]=[{ca:n[0][0],hourNo0:!0,hour12:!0,formats:n[1][0],calendars:n[3][0]},{ca:n[0][0],hourNo0:!0,hour12:!1,formats:n[1][8],calendars:n[3][1]},{ca:n[0][0],hourNo0:!0,hour12:!1,formats:n[1][14],calendars:n[3][2]},{ca:n[0][0],hourNo0:!0,hour12:!1,formats:n[1][19],calendars:n[3][3]},{ca:n[0][0],hourNo0:!0,hour12:!1,formats:n[1][23],calendars:n[3][4]},{ca:n[0][0],hourNo0:!0,hour12:!1,formats:n[1][27],calendars:n[3][5]},{ca:n[0][0],hourNo0:!0,hour12:!1,formats:n[1][32],calendars:n[3][6]},{ca:n[0][0],hourNo0:!1,hour12:!1,formats:n[1][36],calendars:n[3][7]},{ca:n[0][0],hourNo0:!0,hour12:!0,formats:n[1][40],calendars:n[3][8]},{ca:n[0][0],hourNo0:!0,hour12:!1,formats:n[1][44],calendars:n[3][9]},{ca:n[0][0],hourNo0:!0,hour12:!1,formats:n[1][48],calendars:n[3][10]},{ca:n[0][0],hourNo0:!0,hour12:!1,formats:n[1][52],calendars:n[3][11]},{ca:n[0][0],hourNo0:!0,hour12:!1,formats:n[1][55],calendars:n[3][12]},{ca:n[0][0],hourNo0:!0,hour12:!0,formats:n[1][60],calendars:n[3][13]},{ca:n[0][0],hourNo0:!0,hour12:!0,formats:n[1][65],calendars:n[3][14]}],n[5]=[{locale:"en",date:n[4][0],number:n[2][2]},{locale:"cs",date:n[4][1],number:n[2][5]},{locale:"cs-CZ",date:n[4][1],number:n[2][5]},{locale:"de",date:n[4][2],number:n[2][8]},{locale:"de-DE",date:n[4][2],number:n[2][8]},{locale:"en-US",date:n[4][0],number:n[2][2]},{locale:"es",date:n[4][3],number:n[2][11]},{locale:"es-ES",date:n[4][3],number:n[2][11]},{locale:"fr",date:n[4][4],number:n[2][14]},{locale:"fr-FR",date:n[4][4],number:n[2][14]},{locale:"hu",date:n[4][5],number:n[2][17]},{locale:"hu-HU",date:n[4][5],number:n[2][17]},{locale:"it",date:n[4][6],number:n[2][20]},{locale:"it-IT",date:n[4][6],number:n[2][20]},{locale:"ja",date:n[4][7],number:n[2][23]},{locale:"ja-JP",date:n[4][7],number:n[2][23]},{locale:"ko",date:n[4][8],number:n[2][26]},{locale:"ko-KR",date:n[4][8],number:n[2][26]},{locale:"pl",date:n[4][9],number:n[2][29]},{locale:"pl-PL",date:n[4][9],number:n[2][29]},{locale:"pt",date:n[4][10],number:n[2][32]},{locale:"pt-BR",date:n[4][10],number:n[2][32]},{locale:"pt-PT",date:n[4][11],number:n[2][35]},{locale:"ru",date:n[4][12],number:n[2][38]},{locale:"ru-RU",date:n[4][12],number:n[2][38]},{locale:"zh",date:n[4][13],number:n[2][41]},{locale:"zh-Hans",date:n[4][13],number:n[2][41]},{locale:"zh-Hans-CN",date:n[4][13],number:n[2][41]},{locale:"zh-Hant",date:n[4][14],number:n[2][44]},{locale:"zh-Hant-TW",date:n[4][14],number:n[2][44]}],e(n[5][0]),e(n[5][1]),e(n[5][2]),e(n[5][3]),e(n[5][4]),e(n[5][5]),e(n[5][6]),e(n[5][7]),e(n[5][8]),e(n[5][9]),e(n[5][10]),e(n[5][11]),e(n[5][12]),e(n[5][13]),e(n[5][14]),e(n[5][15]),e(n[5][16]),e(n[5][17]),e(n[5][18]),e(n[5][19]),e(n[5][20]),e(n[5][21]),e(n[5][22]),e(n[5][23]),e(n[5][24]),e(n[5][25]),e(n[5][26]),e(n[5][27]),e(n[5][28]),e(n[5][29])}(IntlPolyfill.__addLocaleData),/Trident/.test(navigator.userAgent)&&"number"!=typeof window.devicePixelRatio&&(document.location.href=document.location.href.replace(/(.+\/).+\.html(\?.+)/,"$1lgs-ie8.html$2"));var ClicApp=angular.module("ClicApp",["ngAnimate","ngSanitize","pascalprecht.translate","ui.bootstrap","dndLists"]);ClicApp.factory("clicProtocolInterceptor",["$q","$window","$log",clicProtocolInterceptor]),ClicApp.config(["$provide","$translateProvider","$httpProvider","$windowProvider","$logProvider",clicAppConfig]),ClicApp.controller("headCtrl",["$scope","configService",function(e,t){e.config=t.init();var n=t.isRosetta()?"style-rosetta":"style";e.brandingStyle=n+".min.css?cacheBuster=1.9.1.416"}]),ClicApp.directive("disableRightClick",function(){return{restrict:"A",link:function(e,t,n){t.on("contextmenu",function(e){e.preventDefault()})}}}),ClicApp.directive("fallbackSrc",["$log",function(e){return{link:function(t,n,r){var i=!1;n.bind("error",function(){i||(this.src=r.fallbackSrc,i=!0,e.warn("[WebUI] Image fallback triggered: "+r.fallbackSrc))})}}}]),ClicApp.directive("overflowEllipsis",["$window","$sce",function(e,t){return{restrict:"A",scope:{ngShow:"=",ngBind:"=",ngBindHtml:"=",ellipsisShowMoreText:"@",ellipsisSymbol:"@"},compile:function(n,r,i){return function(n,r,i){function a(e){return void 0!==e}function o(e){return e[0].scrollHeight-l>e[0].clientHeight}function s(){i.lastWindowResizeWidth===window.innerWidth&&i.lastWindowResizeHeight===window.innerHeight||n.buildEllipsis(),i.lastWindowResizeWidth=window.innerWidth,i.lastWindowResizeHeight=window.innerHeight}var l=2;i.lastWindowResizeWidth=0,i.lastWindowResizeHeight=0,i.isTruncated=!1,n.buildEllipsis=function(){var e,s=" ",l=!1,u=n.ngBind||n.ngBindHtml;if(t.isEnabled()&&angular.isObject(u)&&t.getTrustedHtml(u)&&(l=!0,u=t.getTrustedHtml(u)),u){var c=a(i.ellipsisSymbol)?i.ellipsisSymbol:'<span class="ellipsis-symbol">&nbsp;&hellip;&nbsp;</span>',p=a(n.ellipsisShowMoreText)&&""!==n.ellipsisShowMoreText?c+'<span class="ellipsis-show-more">'+n.ellipsisShowMoreText+"</span>":c,d=u.split(s);if(i.isTruncated=!1,r.html(u),o(r)){var f=d.length,h=r[0].clientHeight;for(r.html(u+p),r.attr("data-overflowed","true"),e=0;e<f;e++){var m=d.pop();if(0===d.length&&(d[0]=m.substring(0,Math.min(m.length,5))),r.html(d.join(s)+p),r[0].scrollHeight<h||!1===o(r)){i.isTruncated=!0;break}}n.ellipsisShowMoreText&&angular.element(r[0].querySelector("span.ellipsis-show-more")).bind("click",function(e){r.html(u),r.css("max-height","initial")}),!l&&t.isEnabled()&&t.trustAsHtml(u)}else r.attr("data-overflowed","false")}},n.$watchGroup(["ngShow","ngBind","ngBindHtml"],function(){n.buildEllipsis()}),n.$watch(function(){return 0!==r[0].offsetWidth&&0!==r[0].offsetHeight},function(){n.buildEllipsis()}),angular.element(e).bind("resize",s),n.$on("$destroy",function(){angular.element(e).unbind("resize",s)})}}}}]),ClicApp.directive("preventDefault",function(){return{restrict:"A",link:function(e,t,n){t.on("click",function(e){e.preventDefault()})}}}),ClicApp.directive("serialNum",["$timeout","$log","configService",function(e,t,n){function r(e,t){var n=/^[0-9]{3}$/,r=/^[0-9]{8}$/;return!(!n.test(e)||!r.test(t))}function i(e,n){var i,o,s,l;if(!r(e,n))return!1;if("000"===e&&"00000000"===n)return!1;for(i=e+n,o=parseInt(i.substr(0,9)),s=parseInt(i.substr(9,2)),l=0;l<a[l];l+=2)if(a[l]<=o&&o<=a[l+1]){var u=98-o%97,c=u===s;return t.debug("[WebUI]"+i+" is in checksum validation range, checksum validation result: "+c),c}return t.debug("[WebUI] Serial number is not in checksum range and it is valid.: "+i),!0}var a=[529e6,598999999,829e6,898999999,400552858,496999999,340512454,398999999,0,0];return{restrict:"E",transclude:!0,scope:{p1:"@",p2:"@",isValid:"@",onSubmit:"&",licenseId:"=",sdkId:"="},templateUrl:"serial-num-input.html",link:function(r,a,o){r.init=function(){r.onSubmit=r.onSubmit(),r.showCheckIcon=!1;var t=a[0].querySelector(".serial-p1"),i=a[0].querySelector(".serial-p2"),o=function(){r.p1=this.value,r.$digest()},s=function(){r.p2=this.value,r.$digest()};"windowsIE"===n.systemPlatform&&(t.addEventListener("input",o),i.addEventListener("input",s),r.$on("$destroy",function(){t.removeEventListener("input",o),i.removeEventListener("input",s)})),r.$watch("p1",function(e,t){r.checkValid(),r.showCheckIcon=r.checkAllNumInput(),e&&t&&2===t.length&&3===e.length&&r.focusOnInput(1)},!0),r.$watch("p2",function(e,t){r.checkValid(),r.showCheckIcon=r.checkAllNumInput(),t&&1===t.length&&!e&&r.focusOnInput(0)},!0),e(function(){r.focusOnInput(0)},0)},r.submit=function(){r.checkValid(),r.isValid&&(r.onSubmit&&r.onSubmit({p1:r.p1,p2:r.p2,licenseId:r.licenseId,sdkId:r.sdkId}),t.debug("[WebUI] Click event invoked: Activate serial number"))},r.reset=function(){r.p1="",r.p2="",r.focusOnInput(0)},r.checkAllNumInput=function(){return!(!r.p1||3!==r.p1.length)&&!(!r.p2||8!==r.p2.length)},r.checkValid=function(){r.isValid=i(r.p1+"",r.p2+"")},r.focusOnInput=function(e){var t=a[0].getElementsByTagName("input")[e];t&&t.focus()},r.init()}}}]),ClicApp.filter("emptyDefaultText",["$translate",function(e){return function(t,n){return t||(n?e.instant(n):e.instant("lcpLicBehaviorUnkown"))}}]),ClicApp.filter("translatedate",["$translate","configService",function(e,t){return function(n){if(n=n||"",!t.validateDateFormat(n))return e.instant(n);var r=e.use()||"en-US",i=new Date(n),a={weekday:"long",year:"numeric",month:"long",day:"numeric"};return new Date(i.getUTCFullYear(),i.getUTCMonth(),i.getUTCDate(),i.getUTCHours(),i.getUTCMinutes(),i.getUTCSeconds()).toLocaleDateString(r,a).replace(/\u200e/g,"")}}]),ClicApp.service("configService",["$location","$window","$log","$timeout",function(e,t,n,r){function i(e,t){var n=this;r(function(){var t=document.getElementsByClassName("popover")[0];o(e,t)&&(n.scaleElement(t,!1,!0),angular.element(t).css("opacity","1"))},300),r(function(){var n=document.getElementsByClassName("popover")[0];o(e,n)&&f(n,t,e)},100)}function a(){return/linux/i.test(navigator.userAgent)?"linux":/windows/i.test(navigator.userAgent)&&/trident/i.test(navigator.userAgent)?"windowsIE":/windows/i.test(navigator.userAgent)&&/edge/i.test(navigator.userAgent)?"windowsEdge":/macintosh/i.test(navigator.userAgent)?"mac":null}function o(e,t){return e>1&&!!t}function s(e,t,n,r,i){var a=angular.element(t),o=i?Math.ceil(100/e):(100/e).toFixed(2);if(n)return a.css("zoom",o+"%"),void(r||a.css("width",100*e+"%"));a.css("zoom",e),r||a.css("width",o+"%")}function l(e,t){switch(t){case"top":return e.offsetHeight;case"left":return e.offsetWidth;default:return 1}}function u(e,t){var n,r=window.getComputedStyle(e);return r&&(n=r.getPropertyValue(t)),n}function c(e){return+((e.match(/^[0-9]+([,.][0-9]+)?/)||[])[0]||0)}function p(e,t,n,r){var i=angular.element(e),a=n.replace(/^[0-9]+([,.][0-9]+)?/,r);i.css(t,a)}function d(e,t,n,r){var i=angular.element(e),a=n+""+r;i.css(t,a)}function f(e,t,n){var r=u(e,t),i=c(r),a=l(e,t);p(e,t,r,i-(n*a-a)/2),m(e,t,n)}function h(e){switch(e){case"top":return"left";case"left":default:return"top"}}function m(e,t,n){var r,i=h(t),a=u(e,i),o=c(a),s=l(e,i);switch(t){case"top":r=18*n-9,p(e,i,a,o+r);break;case"left":r=n*s-s+(17*n-8.5),p(e,i,a,o-r)}}this.brandingVersion="1",this.systemPlatform=a(),this.config={api:"",params:{},endpoints:{config:"/api/v1/sdk/<<SDK_ID>>",feature:"/api/v1/feature/FEATURE_ID/<<FEATURE_ID>>/FEATURE_VER/<<FEATURE_VER>>",action:"/ui/v1/action/<<SERVICE_MSG_ID>>",license:"/api/v1/license/<<LICENSE_ID>>",licenses:"/api/v1/license?pid=<<PID>>",devices:"/api/v1/sou/devices/<<SDK_ID>>",analytics:"/analytics/v1/action/<<SERVICE_MSG_ID>>"},actionMapping:{StartTrial:"trialAction",StartSA:"saAction",StartNW:"nwAction",StartUser:"userAction",lcpBorrowLicenseActionText:"borrowAction",lcpReturnLicenseActionText:"returnAction",ChangeSN:"chsnAction",Purchase:"purchaseAction",ChooseOK:"okAction",ChooseCancel:"cancelAction",ChooseContinue:"continueAction",GetUpdate:"getUpdateAction",ChooseQuit:"quitAction",ChoosePostpone:"postponeAction",TryAgain:"tryAgainAction",ChangeLicenseType:"changeLicenseTypeAction",IPM_exploreOptions:"exploreIppAction",IPM_activateLink:"activateAction",IPM_startTrial:"trialAction",IPP_completePurchase:"purchaseCompleteAction",SwitchUser:"switchUserAction",ChooseCheckAgain:"checkAgainAction",SignInAsDiffUser:"signInAsDiffUserAction",ChoosePause:"pauseAction"},whitelist:["https://ipp.autodesk.com","https://ipp.bicstg.autodesk.com","https://ipp.bicdev.autodesk.com","http://ipp.autodesk.com","http://ipp.bicstg.autodesk.com","http://ipp.bicdev.autodesk.com","https://ipm-stg-aem.autodesk.com","https://ipm-qa-aem.autodesk.com","https://ipm-aem.autodesk.com","http://ipm-stg-aem.autodesk.com","http://ipm-qa-aem.autodesk.com","https://ipm-aem.wpecs-qa.autodesk.com","http://ipm-aem.autodesk.com","https://genuine-software2.autodesk.com"],langCode:{"cs-CZ":"csy","de-DE":"deu","en-US":"en","es-ES":"esp","fr-FR":"fra","hu-HU":"hun","it-IT":"ita","ja-JP":"jpn","ko-KR":"kor","pl-PL":"plk","pt-BR":"ptb","pt-PT":"ptg","ru-RU":"rus","zh-CN":"chs","zh-TW":"cht"}},this.init=function(){return this.config.api=e.protocol()?e.protocol():"http",this.config.api+="://",this.config.api+=e.host(),this.config.api+=e.port()?":"+e.port():"",this.config.params=this._parseLocation(t.location.search.substring(1)),this.getScaleFactor()>1&&("windowsIE"===this.systemPlatform&&angular.element(document.body).addClass("scaled"),this.scaleElement(document.body)),this.config.params.qa_api&&(this.config.api=this.config.params.qa_api),this.brandingVersion="2"===this.config.params.brandingVersion?"2":"1",this.config},this.isRosetta=function(){return"2"===this.brandingVersion},this.closeWindow=function(){n.warn("[WebUI] Redirect to clic://close, self invoked"),t.location.href="clic://close"},this._parseLocation=function(e){e=e.replace(/\+/g,"%20");var r,i,a,o=e.split("&"),s={};for(r=0;r<o.length;r++)i=o[r].split("="),void 0===s[i[0]]?s[i[0]]=decodeURIComponent(i[1]):"string"==typeof s[i[0]]?(a=[s[i[0]],decodeURIComponent(i[1])],s[i[0]]=a):s[i[0]].push(decodeURIComponent(i[1]));return n.info("[WebUI] User agent: "+navigator.userAgent),n.info("[WebUI] Page loaded URL: "+t.location.href),n.debug("[WebUI] URL query: "+JSON.stringify(s)),n.info("[WebUI] Locale: "+s.locale),s},this.validateDateFormat=function(e){return!!/^(19|20)\d\d-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])$/.test(e)},this.getScaleFactor=function(){if(!this.config.params.scale)return-1;switch(this.systemPlatform){case"windowsIE":case"linux":return 1*this.config.params.scale||1;default:return-1}},this.scaleElement=function(e,t,n,r){var i=this.getScaleFactor();if(o(i,e))switch(this.systemPlatform){case"windowsIE":s(i,e,t,n,r);break;case"linux":s(i,e,t,!0,r)}},this.scaleIframe=function(e,t,n){var r=this.getScaleFactor(),i="windowsIE"===this.systemPlatform?"":"-webkit-";if(o(r,e)){var a=angular.element(e);a.css(i+"transform","scale("+r+")"),a.css(i+"transform-origin","0 0"),t||a.css("width",(100/r).toFixed(2)+"%"),n||a.css("height",(100/r).toFixed(2)+"%")}},this.scaleElementProp=function(e,t,n,r){var i,a,s,l=this.getScaleFactor();o(l,e)&&(i=u(e,t)||"",0!==(a=n||c(i))&&(s=r?(a/l).toFixed(2):(a*l).toFixed(2),p(e,t,i,s)))},this.scaleElementPropWithUnit=function(e,t,n,r,i){var a,s=this.getScaleFactor();o(s,e)&&0!==n&&(a=i?(n/s).toFixed(2):(n*s).toFixed(2),d(e,t,a,r))},this.scalePopover=function(e){var t,n=this.getScaleFactor();if(n>1)switch(this.systemPlatform){case"windowsIE":return i.call(this,n,e),!0}return r(function(){t=document.getElementsByClassName("popover")[0],angular.element(t).css("opacity","1")},200),!0},this.getLangCode=function(e){return this.config.langCode[e]||"en"}}]),ClicApp.service("hubService",["$http","$q","$translate","configService","$log",function(e,t,n,r,i){function a(e){var t=e;return!t||t.alpha<=0?s:(t.alpha=t.alpha>1?1:t.alpha,"rgba("+t.red+", "+t.green+", "+t.blue+", "+t.alpha+")")}var o="assets/lm/active_appicon.png",s="#0696d7",l="assets/lgs/generic_LGS_background.png";const u=0,c=1,p=2,d=3,f=4;this.licenseTypes={UNKNOWN:u,NETWORK:c,STANDALONE:p,MSSA:d,USER:f},this.licenseTypeMap={},this.licenseTypeMap[u]="lcpLicMethodUnknown",this.licenseTypeMap[c]="lcpLicMethodNetworkLicense",this.licenseTypeMap[p]="lcpLicMethodDeviceLicense",this.licenseTypeMap[d]="lcpLicMethodDeviceLicense",this.licenseTypeMap[f]="lcpLicMethodUserLicense";const h=7;this.licenseUsageMap={},this.licenseUsageMap[0]="lcpLicUsageUnkown",this.licenseUsageMap[1]="lcpLicUsageCommercial",this.licenseUsageMap[2]="lcpLicUsageEducational",this.licenseUsageMap[3]="lcpLicUsageStudent",this.licenseUsageMap[4]="lcpLicUsageNFR",this.licenseUsageMap[5]="lcpLicUsageUnkown",this.licenseUsageMap[6]="lcpLicUsageTrial";const m=1;this.licenseBehaviorMap={},this.licenseBehaviorMap[0]="lcpLicBehaviorUnkown",this.licenseBehaviorMap[m]="lcpLicBehaviorPermanent",this.licenseBehaviorMap[2]="lcpLicBehaviorTermExtendable",this.licenseBehaviorMap[3]="lcpLicBehaviorLimitedTerm",this.licenseBehaviorMap[4]="lcpLicBehaviorUnkown",this.licenseBehaviorMap[5]="lcpLicBehaviorTrial",this.licenseBehaviorMap[6]="lcpLicMethodUserLicense",this.licenseModelsMap={},this.licenseModelsMap[0]="lcpTextNone",this.licenseModelsMap[1]="lcpLicModelStandard",this.licenseModelsMap[2]="lcpLicModelCapacity",this.licenseModelsMap[3]="lcpLicModelNetwork",this.licenseModelsMap[4]="lcpLicModelTerm",this.licenseModelsMap[5]="lcpLicModelUser";this.init=function(e){return this.config=e,this.api=this.config.api,r.isRosetta()&&(s="transparent",l="assets/lgs/generic_LGS_background_rosetta.png",o="assets/lm/active_appicon_rosetta.png"),this.getSDKConfig()},this.getSDKConfig=function(){var n=this,r=this.getEndpointUrl("config");return t(function(t,a){e.get(r).then(function(e){var r=e.data||e;n.config.SDKConfig=r,t(r)},function(e){var t=e.data||e;i.error("[WebUI] hubService.getSDKConfig Error: "+t.message),a(t)})})},this.getFeatureInfo=function(){var n=this.getEndpointUrl("feature");return t(function(t,r){e.get(n).then(function(e){var n=e.data||e;t(n)},function(e){var t=e.data||e;r(t),i.error("[WebUI] hubService.getFeatureInfo Error: "+t.message)})})},this.getLicenseInfo=function(){var n,r=this.getEndpointUrl("license");return this.config.params.licId?n=t(function(t,n){e.get(r).then(function(e){var n=e.data||e;t(n)},function(e){var t=e.data||e;n(t),i.error("[WebUI] hubService.getLicenseInfo Error: "+t.message)})}):(n=t(function(e){e({})}),i.warn("[WebUI] hubService.getLicenseInfo: Missing licId. Fallback to return empty license object")),n},this.getDeviceList=function(){var n=this.getEndpointUrl("devices");return t(function(t,r){e.get(n).then(function(e){var n=e.data||e;t(n)},function(e){var t=e.data||e;r(t)})})},this.getLicenses=function(){var n=this,r=this.getEndpointUrl("licenses");return this.licArr=[],this.config.SDKConfig.pid?t(function(t,a){e.get(r).then(function(e){var r=e.data||e;n.licArr=n.parseLicenses(r),n.getLicensesFeatures().then(function(){t(n.licArr)},function(){i.warn("[WebUI] hubService.getLicenses: Cannot get feature info for showing product key. Fallback to display licenses info."),t(n.licArr)})},function(e){var t=e.data||e;a(t)})}):(i.warn("[WebUI] hubService.getLicenses: Missing pid. Fallback to return empty license set."),t(function(e){e([])}))},this.getLicensesFeatures=function(){var n,r=this,a=[];return this.licArr.forEach(function(t){t.featureId&&(n=r.getEndpointUrl("featureInfo",t.featureId,t.featureVer),a.push(e.get(n).then(function(e){e=e.data||e,t.details.license.productKey=e.selProdKey,t.supportedLicMethods=e.supportedLicMethods,e.icon&&(t.productIcon=e.icon,t.highlight=e.highlight),t.displayChangeLicenseLink=r.getChangeLicenseLinkStatus(t)&&t.displayChangeLicenseLink},function(e){i.warn("[WebUI] hubService.getLicensesFeatures Error: "+e.message+"; Fallback to ignore")})))}),t.all(a)},this.getChangeLicenseLinkStatus=function(e){if(e.supportedLicMethods&&1===e.supportedLicMethods.length){if(e.supportedLicMethods[0]===e.licenseMethod)return i.debug("[WebUI] hubService.parseLicense: hide change lic link due to only one lic method is supported"),!1;i.error("[WebUI] hubService.parseLicense: feature_info.supportedLicMethod mismatches with license_info.method"),i.debug("[WebUI] hubService.parseLicense: license_info.method:"+e.licenseMethod+"; feature_info.supportedLicMethods: "+e.supportedLicMethods.join(","))}return!0},this.parseLicenses=function(e){var t=this,n=[];return e&&e.licenses&&e.licenses.forEach(function(e){var r=t.parseLicense(e);n.push(r),i.info("[WebUI] hubService.parseLicenses: parsed license licenseName="+r.licenseName+" , action="+r.action+", enhancement="+r.enhancement+", serial="+r.details.license.serial)}),i.debug("[WebUI] hubService.parseLicenses: License parsed: "+JSON.stringify(n)),n},this.parseLicense=function(e){var t=e.licInfo||{},n={licenseName:t.licenseName,id:e.licenseId,sdkId:e.sdkId,featureId:t.featureId,featureVer:t.featureVer,licenseMethod:t.method,licenseUsage:t.usage,licenseUsageName:"",action:null,displayChangeLicenseLink:!1,productIcon:o,enhancement:2===t.role||3===t.role,details:{hardware:{deviceName:this.config.SDKConfig.hostName,licenseServer:""},license:{autodeskId:"",serial:t.serialNumber,productKey:"",behavior:t.behavior,models:t.licenseModel,id:t.featureName,expiration:"lcpTextNone"}}},r=this.getUserLicSubModelPrefix(t.userLicSubModel);switch(n.licenseType=this.licenseTypeMap[n.licenseMethod]||"lcpLicMethodUnknown",n.licenseUsage=this.getLicenseUsage(t.usage,r),n.licenseUsageName=this.getLicenseUsageName(t.method,t.userLicSubModelName),n.details.license.behavior=this.getLicenseBehavior(t.method,t.behavior,r),n.details.license.models=this.licenseModelsMap[n.details.license.models]||"lcpTextNone",n.details.license.expiration=this.getExpDate(t.expState,t.subscriptionEndDate,t.expDate,t.behavior),t.method){case c:t.borrowed?(n.licenseType="lcpLicMethodBorrowedNetworkLicense",n.action="lcpReturnLicenseActionText"):n.action="lcpBorrowLicenseActionText",t.networkLicenseServers&&t.networkLicenseServers.length>0&&(n.details.hardware.licenseServer=t.networkLicenseServers.join(", ")),n.displayChangeLicenseLink=!0;break;case p:case d:t.trial?(n.action="lcpActivateProductActionText",n.displayChangeLicenseLink=!1):(n.action=null,n.displayChangeLicenseLink=!0);break;case f:"TRL"===r?(n.action="lcpActivateProductActionText",n.displayChangeLicenseLink=!1):(n.action=null,n.displayChangeLicenseLink=!0),n.details.license.autodeskId=t.oxygenUsername;break;default:i.error("[WebUI] hubService.parseLicenses: un-supported license method:"+t.method)}return n},this.getLicenseUsage=function(e,t){var n=this.licenseUsageMap[e]||"lcpLicUsageUnkown";return e===h&&("TRL"===t&&(n="lcpLicUsageTrial"),"RTL"===t&&(n="lcpLicUsageCommercial"),"TMP"===t&&(n="lcpLicUsageTemporary"),"SUP"===t&&(n="lcpLicUsageStartup"),"STD"===t&&(n="lcpLicUsageStudent"),"OPN"===t&&(n="lcpLicUsageOpenAccess"),"HBY"===t&&(n="lcpLicUsageHobbyist"),"NFR"===t&&(n="lcpLicUsageNFR"),"PPU"===t&&(n="lcpLicUsagePayPerUsage"),"EDU"===t&&(n="lcpLicUsageEducational"),"FLEX"===t&&(n="lcpLicUsageFlexAccess")),n},this.getLicenseUsageName=function(e,t){return e===f&&void 0!==t?t:""},this.getExpDate=function(e,t,n,r){var i="lcpTextNone";return 4===e?"lcpExpDateSubjectToLicenseTerm":r===m?i:this.getValidExpDate(t)||this.getValidExpDate(n)||i},this.getValidExpDate=function(e){return e?(e=(e||"").substr(0,10),r.validateDateFormat(e)?e:null):null},this.getLicenseBehavior=function(e,t,n){switch(e){case c:case p:case d:return this.licenseBehaviorMap[t]||"lcpLicBehaviorUnkown";case f:switch(n){case"TRL":return"lcpTextTrial";case"RTL":case"STD":case"FLEX":return"lcpTextTermExtendable";case"TMP":return"lcpTextTemporary";default:return"lcpLicBehaviorUnkown"}default:return"lcpLicBehaviorUnkown"}},this.getUserLicSubModelPrefix=function(e){return(e||"").split("#")[0].toUpperCase()},this.applyCustomizedStyle=function(e,t){var n=this,i=(new Image,angular.element(document.body));if(r.isRosetta()){if(i.css("background-color","#000000"),e)return void n.applyBackground(e);n.applyBackground(l)}else{if(e)return void n.applyBackgroundAndHighlight(e,t);n.applyBackgroundAndHighlight(l,t)}},this.applyBackgroundAndHighlight=function(e,t){i.debug("[WebUI] bg image and highlight override: "+e);var n=this,r=new Image,a=angular.element(document.body);n.applyCSS(t),n.applyBodyBorder(t),r.onload=function(){a.css("background-image","url("+e+")")},r.onerror=function(){n.applyCSS(null),n.applyBodyBorder(null),a.css("background-image")||a.css("background-image","url("+l+")"),i.warn("[WebUI] Bg image link is provided but image cannot be loaded: "+e)},r.src=e},this.applyBackground=function(e){i.debug("[WebUI] bg image override: "+e);var t=new Image,n=angular.element(document.body);t.onload=function(){n.css("background-image","url("+e+")")},t.onerror=function(){n.css("background-image")||n.css("background-image","url("+l+")"),i.warn("[WebUI] Bg image link is provided but image cannot be loaded: "+e)},t.src=e},this.applyCSS=function(e){var t,n=a(e);t=document.createElement("style"),t.type="text/css",t.innerHTML=".tile-btn.accent-color::before { background: "+n+" !important; }.tile-btn.accent-color { border-top-color: "+n+" !important; }",document.getElementsByTagName("head")[0].appendChild(t),i.debug("[WebUI] LGS Tile color: "+t.innerHTML)},this.applyBodyBorder=function(e){var t,n=a(e);t=document.createElement("style"),t.type="text/css",t.innerHTML="body.accent-color::before { background: "+n+" !important; }",document.getElementsByTagName("head")[0].appendChild(t),i.debug("[WebUI] Page border color: "+t.innerHTML)},this.getEndpointUrl=function(e){var t="";switch(e){case"config":t=this.config.endpoints.config.replace("<<SDK_ID>>",this.config.params.sdk?this.config.params.sdk:"");break;case"feature":t=this.config.endpoints.feature.replace("<<FEATURE_ID>>",this.config.params.featureId?this.config.params.featureId:""),t=t.replace("<<FEATURE_VER>>",this.config.params.featureVer?this.config.params.featureVer:"");break;case"featureInfo":t=this.config.endpoints.feature.replace("<<FEATURE_ID>>",arguments[1]?arguments[1]:""),t=t.replace("<<FEATURE_VER>>",arguments[2]?arguments[2]:"");break;case"action":t=this.config.endpoints.action.replace("<<SERVICE_MSG_ID>>",this.config.params.msgId?this.config.params.msgId:"");break;case"license":t=this.config.endpoints.license.replace("<<LICENSE_ID>>",this.config.params.licId?this.config.params.licId:"");break;case"licenses":t=this.config.endpoints.licenses.replace("<<PID>>",this.config.SDKConfig&&this.config.SDKConfig.pid?this.config.SDKConfig.pid:"");break;case"devices":t=this.config.endpoints.devices.replace("<<SDK_ID>>",this.config.params.sdk?this.config.params.sdk:"");break;case"analytics":t=this.config.endpoints.analytics.replace("<<SERVICE_MSG_ID>>",this.config.params.msgId?this.config.params.msgId:"");break;default:t=""}return this.config.api+t},this.getActionReqObject=function(e,t){var n={};return this.config.actionMapping&&this.config.actionMapping.hasOwnProperty(e)&&(n[this.config.actionMapping[e]]=t||{}),n},this.lgsChoice=function(e){var t="";switch(e){case"user":t="StartUser";break;case"switchUser":t="SwitchUser";break;case"serial":t="StartSA";break;case"network":t="StartNW";break;case"trial":t="StartTrial"}this.action(t)},this.lgsNetworkLicense=function(t){var n=this,a=this.getEndpointUrl("feature");i.info("[WebUI] hubService.lgsNetworkLicense Action invoked with serverType="+t.licServerType),e.put(a,t).then(function(){n.action("ChooseOK")}).catch(function(e){i.error("[WebUI] Error nw config page for updating serverType="+t.licServerType+" when updating hubService.lgsNetworkLicense: "+e.message),r.closeWindow()})},this.action=function(t,n){var a=this.getEndpointUrl("action"),o=this.getActionReqObject(t,n);i.info("[WebUI] hubService.action Action invoked: "+t+", params: "+JSON.stringify(n)),e.post(a,o).then(function(){i.debug("[WebUI] hubService.action executed successfully")}).catch(function(e){i.error("[WebUI] Error when invoking hubService.action: "+e.message),i.error("[WebUI] clic://close is not captured from Service. Closing WebUI as fallback."),r.closeWindow()})},this.close=function(){this.action("ChooseCancel")},this.analytics=function(t,n,r){var a=this,o=this.getEndpointUrl("analytics");i.info("[WebUI] hubService.analytics invoked: "+JSON.stringify(t)),e.post(o,t).then(function(){i.debug("[WebUI] hubService.analytics executed successfully")}).catch(function(e){i.error("[WebUI] Error when invoking hubService.analytics: "+e.message)}).finally(function(){void 0!==n&&(void 0===r?a.action(n):a.action(n,r))})}}]),ClicApp.controller("errorCtrl",["$scope","$compile","$log","$translate","$window","hubService","configService",function(e,t,n,r,i,a,o){const s="errGeneric",l={ChooseCancel:"ChooseCancel",ChooseLink:"ChooseLink",ChooseQuit:"ChooseQuit",TryAgain:"TryAgain",ChooseHelp:"ChooseHelp",ChangeLicenseType:"ChangeLicenseType"},u={Cancel:"cancel",Link:"link",Quit:"quit",TryAgain:"tryagain",Help:"help",ChangeLicenseType:"changelicensetype"},c={Title:"Title",MainText:"MainText",Content:"Content",HelpText:"HelpText"};e.config=o.init(),a.init(e.config).then(function(){e.init()}).catch(function(){e.config.params.page=s,e.init()}),e.init=function(){e.handlePageParam(),e.showHideChangeLicenseTypeLink()},e.handlePageParam=function(){e.pageParam=e.config.params.page,void 0!==e.pageParam&&""!==e.pageParam||(e.pageParam=s,n.error("[WebUI] ERROR: Unspecified page parameter")),e.title=e.pageParam+c.Title,e.mainText=e.pageParam+c.MainText,e.populateContentResource(e.pageParam+c.Content),e.populateHelpTextResource(e.pageParam+c.HelpText),a.applyCustomizedStyle("assets/error/error-background.png")},e.populateContentResource=function(n){r(n).then(function(n){const r=e.replaceNewLineWithHtmlLineBreakTag(e.modifyAnchorForClickAction(n,l.ChooseLink)),i=t('<p id="message-content-text">'+r+"</p>"),a=i(e),o=document.getElementById("message-content-text-placeholder");null!==a&&null!==o&&null!==o.parentElement&&o.parentElement.replaceChild(a[0],o)})},e.populateHelpTextResource=function(n){r(n).then(function(n){const r=e.modifyAnchorForClickAction(n,l.ChooseHelp),i=t('<p id="message-help-text">'+r+"</p>"),a=i(e),o=document.getElementById("message-help-text-placeholder");null!==a&&null!==o&&null!==o.parentElement&&o.parentElement.replaceChild(a[0],o)})},e.modifyAnchorForClickAction=function(e,t){const n=document.createElement("p");n.innerHTML=e;const r=n.getElementsByTagName("a");for(var i=0;i<r.length;i++){const a=r[i],o=t.replace(/[A-Z]/g,function(e,t){return(t>0?"-":"")+e.toLowerCase()}),s='<a class="'+o+'" href="#" prevent-default ng-click="errorAction(\''+t+"', '"+a.href+"')\">"+a.innerHTML+"</a>";a.outerHTML=s}return n.innerHTML},e.replaceNewLineWithHtmlLineBreakTag=function(e){return e.replace(/\n/g,"<br>")},e.showHideChangeLicenseTypeLink=function(){const t=a.licenseTypes.UNKNOWN;var n=parseInt(e.config.params.lm,10);isNaN(n)&&(n=t),e.showChangeLicenseType=n!==t&&-1!==Object.keys(a.licenseTypes).map(function(e){return a.licenseTypes[e]}).indexOf(n)},e.errorAction=function(t,r){n.debug("[WebUI] Click event invoked: "+t);var o;switch(t){case l.ChooseCancel:a.analytics(e.generateAnalyticsJsonData(u.Cancel),t);break;case l.ChooseLink:o=e.generateAnalyticsJsonData(u.Link),o.data={url:r},a.analytics(o),i.open(r,"_blank");break;case l.ChooseQuit:a.analytics(e.generateAnalyticsJsonData(u.Quit),t);break;case l.TryAgain:a.analytics(e.generateAnalyticsJsonData(u.TryAgain),t);break;case l.ChooseHelp:o=e.generateAnalyticsJsonData(u.Help),o.data={url:r},a.analytics(o),i.open(r,"_blank");break;case l.ChangeLicenseType:a.analytics(e.generateAnalyticsJsonData(u.ChangeLicenseType),t);break;default:n.error("[WebUI] ERROR Action not supported : "+t)}},e.generateAnalyticsJsonData=function(e){return{type:"click",source:"error.dialog."+e,eventTime:(new Date).toISOString()}}}]),ClicApp.controller("iplCtrl",["$scope","$log","$timeout","hubService","configService",function(e,t,n,r,i){e.config=i.init(),r.init(e.config).then(function(t){e.init()}).catch(function(n){t.warn("[WebUI] IPL -> hubService.init Error: "+n.message+"; Fallback to English"),e.init()}),e.init=function(){var a=i.getScaleFactor(),o=i.systemPlatform;e.pageParamDays=e.config.params.days?e.config.params.days:"0",t.debug("[WebUI] IPL -> IPL page opened"),e.config.params.days||t.warn("[WebUI] IPL -> missing page parameter for days left, default to 0"),e.daysTranslationData={NO_OF_DAYS:e.pageParamDays},e.iplSize=e.isBigFrame()?"big-ipl":"small-ipl",e.isBigFrame()?(e.config.params.featureId&&e.config.params.featureVer?r.getFeatureInfo().then(function(e){r.applyCustomizedStyle(e.background,e.highlight)}).catch(function(e){t.error("[WebUI] IPL -> Error loading background on hubService.getFeatureInfo: "+e.message),r.applyCustomizedStyle()}):r.applyCustomizedStyle(),a>1&&"windowsIE"===o&&n(function(){var e=document.getElementsByTagName("footer")[0];i.scaleElementProp(e,"height")},0)):a>1&&"windowsIE"===o&&n(function(){var e=document.getElementsByClassName("close-container")[0],t=document.getElementsByClassName("ipl-btn-container")[0],n=document.getElementsByClassName("small-ipl")[0];i.scaleElement(e,!1,!0),i.scaleElementProp(e,"right",10),i.scaleElementProp(e,"top"),i.scaleElementPropWithUnit(n,"height",100,"vh",!0),t&&(i.scaleElement(t.getElementsByTagName("button")[0],!1,!0),i.scaleElementProp(t,"height",65),i.scaleElementProp(t,"left"),i.scaleElementProp(t,"bottom"),i.scaleElementProp(t,"right"))},0)},e.isBigFrame=function(){var e=i.getScaleFactor();return e>1?document.documentElement.clientHeight/e>170:document.documentElement.clientHeight>170},e.close=function(){return t.debug("[WebUI] IPL -> Click event invoked: Close button X"),r.close()}}]),ClicApp.controller("ipmCtrl",["$scope","$sce","$log","hubService","configService","$timeout",function(e,t,n,r,i,a){function o(){var e=document.getElementById("ClicAPIFrame");if(!(i.getScaleFactor()<=1))return"linux"===i.systemPlatform?(i.scaleIframe(e,!1,!0),void i.scaleElementPropWithUnit(e,"height",100,"vh",!0)):void 0}function s(){var e=document.getElementById("ClicAPIFrame"),t=document.getElementsByClassName("limit-height")[0];if(!(i.getScaleFactor()<=1)){if("linux"===i.systemPlatform)return i.scaleIframe(e,!1,!0),i.scaleElementProp(t,"max-height"),void i.scaleElementProp(e,"height");i.scaleElement(e,!0,!1,!0),i.scaleElementProp(t,"max-height"),i.scaleElementProp(e,"height")}}function l(e){return!(!e||"object"!=typeof e)||(n.error("[WebUI] IPM -> unable to parse payload from iframe message. payload is "+e),!1)}var u;e.loading=!0,e.error=!1,e.config=i.init(),e.helpMeUnderstandShow=!1,r.init(e.config).then(function(t){e.init()}).catch(function(t){e.showAndLogError("[WebUI] IPM -> hubService.init Error: "+t.message)}),e.init=function(){var t="unknown";if(e.purchaseCompletedPayload=null,e.supportedMessages=["IPM_loaded","IPM_exploreOptions","IPM_activateLink","IPM_startTrial","IPP_completePurchase","IPP_CloseIPPDialog","IPP_AppLoaded"],!e.config.params.ipmUrl&&!e.config.params.ippUrl)return void e.showAndLogError("[WebUI] IPM -> ipmUrl/ippUrl param not found in the query string");if(t=e.config.params.ipmUrl?"IPM":e.config.params.ippUrl?"IPP":"",e.iframeMessagePrefix=t,!e.isBigFrame())return void e.loadURLAndAddListeners();if("IPP"===t)return e.loadURLAndAddListeners(),void o();switch(e.showWrapper=!0,(e.config.params.ipmType||"").toUpperCase()){case"INPRODUCT":case"PREPRODUCT":e.showHelpPageLink=!1;break;case"EXPIRED":e.showHelpPageLink=!0;break;default:return e.showWrapper=!1,void e.loadURLAndAddListeners()}if(e.config.params.featureId&&e.config.params.featureVer)return r.getFeatureInfo().then(function(t){r.applyCustomizedStyle(t.background,t.highlight),e.loadURLAndAddListeners()}).catch(function(t){n.error("[WebUI] IPM -> Error loading background on hubService.getFeatureInfo: "+t.message),r.applyCustomizedStyle(),e.loadURLAndAddListeners()}),void s();r.applyCustomizedStyle(),e.loadURLAndAddListeners(),s()},e.isBigFrame=function(){var e=i.getScaleFactor();return e>1?document.documentElement.clientHeight/e>170:document.documentElement.clientHeight>170},e.showAndLogError=function(t){e.loading=!1,e.error=!0,n.error(t)},e.loadURLAndAddListeners=function(){e.timeOutPromise=a(function(){e.showAndLogError("[WebUI] IPM -> timeout for waiting IPM_loaded or IPP_AppLoaded")},3e4);var r=e.config.params.ipmUrl||e.config.params.ippUrl;n.debug("[WebUI] IPM -> iframe url is: "+t.trustAsResourceUrl(r)),window.addEventListener("message",u),e.iframeSrc=t.trustAsResourceUrl(r)},e.validateOrigin=function(t){var n=!1;return e.config.whitelist&&e.config.whitelist.forEach(function(e){e===t&&(n=!0)}),t===window.location.origin&&(n=!0),n},u=function(t){var i,a,o=t.message||t.data;if(!e.validateOrigin(t.origin))return n.error("[WebUI] IPM -> message origin is not in whitelist: "+t.origin);try{i="string"==typeof o?JSON.parse(o):o}catch(e){return n.error("[WebUI] IPM -> unable to parse message data: "+o)}if(!i||!i.hasOwnProperty("message"))return n.debug('[WebUI] IPM -> key "message" not found, ignore the notification');if(a=i.message,-1===e.supportedMessages.indexOf(a))return n.debug("[WebUI] IPM -> ignore unknown message: "+a);if(a.substring(0,3)!==e.iframeMessagePrefix)throw new Error("Mismatched iframe message on "+e.iframeMessagePrefix+" found: "+a);switch(n.debug("[WebUI] IPM -> handling "+a+" message"),a){case"IPM_loaded":case"IPP_AppLoaded":e.frameLoaded();break;case"IPP_CloseIPPDialog":if(!e.purchaseCompletedPayload){e.close();break}r.action("IPP_completePurchase",e.purchaseCompletedPayload);break;case"IPM_activateLink":l(i.payload)||(i.payload={}),r.action(a,{prodKey:i.payload.prodKey,prodVer:i.payload.prodKeyVer,featureId:i.payload.featureId});break;case"IPM_exploreOptions":r.action(a,{payload:i.payload});break;case"IPP_completePurchase":l(i.payload)||(i.payload={}),e.purchaseCompleted=!0,e.purchaseCompletedPayload={transactionId:i.payload.transactionId,offeringIds:i.payload.offeringIds};break;case"IPM_startTrial":r.action(a,null);break;default:n.error("[WebUI] IPM -> unknown iframe message: "+i)}},e.messageHandler=u,e.frameLoaded=function(){e.error||(a.cancel(e.timeOutPromise),a(function(){e.loading=!1,n.debug("[WebUI] IPM -> iframe loaded")},0))},e.helpMeUnderstand=function(){n.debug("[WebUI] Click event invoked: help me understand"),e.displayingHelpPage=!0,e.page="lgs-help-me-understand.html"},e.helpMeUnderstandLoaded=function(){if(i.getScaleFactor()<=1||"linux"===i.systemPlatform)return void(e.helpMeUnderstandShow=!0);a(function(){e.helpMeUnderstandShow=!0},150)},e.changeLicenseType=function(){n.debug("[WebUI] Click event invoked: change license type"),r.action("ChangeLicenseType",null)},e.back=function(){n.debug("[WebUI] Click event invoked: back"),e.displayingHelpPage=!1,e.helpMeUnderstandShow=!1},e.close=function(){if(n.debug("[WebUI] IPM -> Click event invoked: Close button X"),!e.purchaseCompletedPayload)return r.close();r.action("IPP_completePurchase",e.purchaseCompletedPayload)},e.isRosetta=function(){return i.isRosetta()}}]),ClicApp.directive("nwFormat",["$timeout","$log","configService",function(e,t,n){function r(e){var t;return-1===e.indexOf("@")?i(e):(t=e.split("@"),!(t.length>2)&&(a(t[0])&&i(t[1])))}function i(e){return!!(s.test(e)||c.test(e)||l.test(e)||u.test(e))}function a(e){return!(!o.test(e)&&""!==e)}var o=/^(0|[1-9][0-9]{0,4})$/,s=/^(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])$/,l=/^(([a-zA-Z0-9]|[a-zA-Z0-9][a-zA-Z0-9\-_]*[a-zA-Z0-9])\.)*([A-Za-z0-9]|[A-Za-z0-9][A-Za-z0-9\-_]*[A-Za-z0-9\-])$/,u=/^(([a-zA-Z]|[a-zA-Z][a-zA-Z0-9\-_]*[a-zA-Z0-9])\.)*([A-Za-z]|[A-Za-z][A-Za-z0-9\-_]*[A-Za-z0-9])$/,c=/^(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])$|^(([a-zA-Z]|[a-zA-Z][a-zA-Z0-9\-]*[a-zA-Z0-9])\.)*([A-Za-z]|[A-Za-z][A-Za-z0-9\-]*[A-Za-z0-9])$|^\s*((([0-9A-Fa-f]{1,4}:){7}([0-9A-Fa-f]{1,4}|:))|(([0-9A-Fa-f]{1,4}:){6}(:[0-9A-Fa-f]{1,4}|((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3})|:))|(([0-9A-Fa-f]{1,4}:){5}(((:[0-9A-Fa-f]{1,4}){1,2})|:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3})|:))|(([0-9A-Fa-f]{1,4}:){4}(((:[0-9A-Fa-f]{1,4}){1,3})|((:[0-9A-Fa-f]{1,4})?:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(([0-9A-Fa-f]{1,4}:){3}(((:[0-9A-Fa-f]{1,4}){1,4})|((:[0-9A-Fa-f]{1,4}){0,2}:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(([0-9A-Fa-f]{1,4}:){2}(((:[0-9A-Fa-f]{1,4}){1,5})|((:[0-9A-Fa-f]{1,4}){0,3}:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(([0-9A-Fa-f]{1,4}:){1}(((:[0-9A-Fa-f]{1,4}){1,6})|((:[0-9A-Fa-f]{1,4}){0,4}:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(:(((:[0-9A-Fa-f]{1,4}){1,7})|((:[0-9A-Fa-f]{1,4}){0,5}:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:)))(%.+)?\s*$/;return{restrict:"A",require:"ngModel",scope:{displayError:"=",inputValue:"=ngModel"},link:function(t,i,a,o){var s,l,u,c="required"===a.nwFormat;l=function(n){"Enter"===n.key&&(t.inputValue=i[0].value,t.$digest(),e(function(){i[0].focus()},0))},u=function(){t.$apply(function(){t.displayError=!1})},i.on("input",u),"windowsIE"===n.systemPlatform?(i.bind("keypress",l),t.$on("$destroy",function(){i.unbind("keypress",l),i.unbind("input",u)})):t.$on("$destroy",function(){i.unbind("input",u)}),s=function(e){return c?"string"!=typeof e||0===e.length?(o.$setValidity("existence",!1),void o.$setValidity("serverNamePattern",!0)):r(e)?(o.$setValidity("existence",!0),o.$setValidity("serverNamePattern",!0),e):(o.$setValidity("serverNamePattern",!1),o.$setValidity("existence",!0),e):(o.$setValidity("existence",!0),"string"==typeof e&&e.length>0&&!r(e)?(o.$setValidity("serverNamePattern",!1),e):(o.$setValidity("serverNamePattern",!0),e))},o.$formatters.push(s),o.$parsers.push(s),s(o.$viewValue)}}}]),ClicApp.directive("overflowBottomLine",["$timeout",function(e){return{restrict:"A",link:function(t,n,r){e(function(){var e=n[0].clientHeight;n[0].scrollHeight>e&&angular.element(n[0]).addClass("overflow")})}}}]),ClicApp.directive("placeholderIe",["$timeout","configService",function(e,t){return{restrict:"A",link:function(e,n,r){var i,a,o,s,l=/MSIE\s9\.0/.test(navigator.userAgent),u=l?"":"hide",c=!1;"windowsIE"===t.systemPlatform&&(n.after('<span class="ie-placeholder '+u+'">'+r.placeholder+"</span>"),i=angular.element(n[0].nextElementSibling),a=function(){i.addClass("hide"),c||(n.removeAttr("placeholder"),c=!0)},o=function(){n[0].value||i.removeClass("hide")},s=function(){i.addClass("hide"),n[0].focus()},n.bind("focus",a),n.bind("blur",o),i.bind("click",s),e.$on("$destroy",function(){n.unbind("focus",a),n.unbind("blur",o),i.unbind("click",s)}))}}}]),ClicApp.controller("lgsCtrl",["$scope","$sce","$log","$translate","$window","hubService","configService",function(e,t,n,r,i,a,o){function s(t){t=!!t,e.nwError.displayErrorRnd1=t,e.nwError.displayErrorRnd2=t,e.nwError.displayErrorRnd3=t}function l(e){switch(e){case"SERVER_TYPE_SINGLE":return"lgsNetworkScreenSingleText@label";case"SERVER_TYPE_REDUNDANT":return"lgsNetworkScreenRedundantText@label";case"SERVER_TYPE_DISTRIBUTE":return"lgsNetworkScreenDistributedText@label";default:return"lgsNetworkScreenSingleText@label"}}function u(){var t=0;return e.offline?0:e.productHasSubscription?(e.productHasSerial&&t++,e.productHasNetwork&&t++,t):0}function c(t){return!t||!t.noUserLic&&("true"!==e.config.params.darkSite&&!t.clsCheckSucc)}e.popoverOpened=!1,e.loggedIn=!1,e.offline=!1,e.config=o.init(),e.nwError={displayError:!1,displayErrorRnd1:!1,displayErrorRnd2:!1,displayErrorRnd3:!1},a.init(e.config).then(function(t){e.init(),e.loggedIn=!!e.config.params.switchUser}).catch(function(){e.config.params.page="licensingerror",e.init()}),e.init=function(){e.productHasSubscription=!1,e.productHasNetwork=!1,e.productHasSerial=!1,e.page="",e.config.params.page&&e.config.params.page.length>0?e.handlePageParam():e.handleLGS()},e.isRosetta=function(){return o.isRosetta()},e.handlePageParam=function(){switch(e.page="lgs-page.html",e.pageParam=e.config.params.page,e.pageParam){case"signout":e.pageTitle="signOutQuitDialogTitle",e.cnt="signOutQuitDialogMsg";break;case"systemerror":e.pageTitle="title_back_soon",e.cnt="msg_prd_unavailable";break;case"activate":e.pageTitle="lgsActivateProduct",e.cnt="activateLicenseConfirmationDialogMsg1",e.cnt2="activateLicenseConfirmationDialogMsg2";break;case"bebackvelodrom":e.pageTitle="lgsWeWillBeBackSoon",e.cnt="msg_prd_unavailable";break;case"bebackother":e.pageTitle="lgsWeWillBeBackSoon",e.cnt="msg_service_unavailable";break;case"clockerror":e.pageTitle="lgsOxygenClockErrorTitle",e.cnt="lgsOxygenTimeMismatchMsg";break;case"connectionerror":e.pageTitle="lgsOxygenTimeMismatchTitle",e.cnt="lgsOxygenConnectionErrorMsg";break;case"exportscreening":e.pageTitle="exportScreeningDialogTitle",e.cnt="exportScreeningDialogMsg1";break;case"updaterequired":e.pageTitle="updateRequiredTitle",e.cnt="updateRequiredDesc1",e.cnt2="updateRequiredDesc2",e.pageParamDays=e.config.params.days?e.config.params.days:"",e.daysTranslationData={NO_OF_DAYS:e.pageParamDays},e.pageParamLink=e.config.params.link?e.config.params.link:"",e.pageParamLinkTxt=e.config.params.linktxt?e.config.params.linktxt:"";break;case"changelicensetype":e.pageTitle="switchLicenseConfirmationDialogTitle",e.cnt="switchLicenseConfirmationDialogMsg1",e.cnt2="switchLicenseConfirmationDialogMsg2";break;case"licensingerror":e.pageTitle="genericLicenseErrorTitle",e.cnt="genericLicenseErrorMsg1",e.cnt2="genericLicenseErrorMsg2";break;case"establishconnection":e.pageTitle="title_establish_connection",e.cnt="lgsConnectNowMsg";break;case"networklicense":return void e.handleNwConfigPage();default:e.pageParam="licensingerror",e.pageTitle="genericLicenseErrorTitle",e.cnt="genericLicenseErrorMsg1",e.cnt2="genericLicenseErrorMsg2",n.error("[WebUI] LGS: No matched page parameter: "+e.pageParam)}a.applyCustomizedStyle()},e.handleNwConfigPage=function(){a.getFeatureInfo().then(function(t){switch(a.applyCustomizedStyle(t.background,t.highlight),e.page="lgs-networklicense.html",e.featureInfo=t,e.formData={singleServerName:"",redundantServerName1:"",redundantServerName2:"",redundantServerName3:"",distributedServerName:"",selectedNetworkOption:""},e.rdnList=[{model:"redundantServerName1",name:"licenseServer1",placeholder:"lgsNetworkScreenRedundantServer1@placeholder",displayError:"displayErrorRnd1"},{model:"redundantServerName2",name:"licenseServer2",placeholder:"lgsNetworkScreenRedundantServer2@placeholder",displayError:"displayErrorRnd2"},{model:"redundantServerName3",name:"licenseServer3",placeholder:"lgsNetworkScreenRedundantServer3@placeholder",displayError:"displayErrorRnd3"}],e.servers=[],t.licServerType){case 1:e.formData.singleServerName=t.licServers&&t.licServers[0]?t.licServers[0]:"",e.formData.selectedNetworkOption="SERVER_TYPE_SINGLE";break;case 2:e.formData.redundantServerName1=t.licServers&&t.licServers[0]?t.licServers[0]:"",e.formData.redundantServerName2=t.licServers&&t.licServers[1]?t.licServers[1]:"",e.formData.redundantServerName3=t.licServers&&t.licServers[2]?t.licServers[2]:"",e.formData.selectedNetworkOption="SERVER_TYPE_REDUNDANT";break;case 3:t.licServers&&Array.isArray(t.licServers)&&t.licServers.length>0&&t.licServers.forEach(function(t){e.servers.push({name:t})}),e.formData.selectedNetworkOption="SERVER_TYPE_DISTRIBUTE";break;default:e.formData.selectedNetworkOption="SERVER_TYPE_SINGLE"}e.txtSelectedNetworkOption=l((e.formData||{}).selectedNetworkOption),n.info("[WebUI] LGS.handlePageParam: partialPage="+e.page+", licServerType="+e.formData.selectedNetworkOption)}).catch(function(t){e.config.params.page="licensingerror",e.init(),n.error("[WebUI] LGS: Error on nw config page during LGS.hubService.getFeatureInfo:"+t.message)})},e.handleLGS=function(){a.getFeatureInfo().then(function(t){t&&(a.applyCustomizedStyle(t.background,t.highlight),e.offline=c(t),t.supportedLicMethods&&Array.isArray(t.supportedLicMethods)&&t.supportedLicMethods.forEach(function(r){switch(r){case 2:e.productHasSerial=!0;break;case 4:!t.noUserLic&&t.userLicEnabled&&"true"!==e.config.params.darkSite&&(e.productHasSubscription=!0);break;case 1:e.productHasNetwork=!0;break;default:n.warn("[WebUI] LGS.handleLGS: No matched LicMethods: "+r)}})),e.displayLGS(),n.info("[WebUI] LGS.handleLGS: supportedLicMethods="+t.supportedLicMethods.join("+"))}).catch(function(t){e.config.params.page="licensingerror",e.init(),n.error("[WebUI] Error during LGS.hubService.getFeatureInfo:"+t.message)})},e.displayLGS=function(){e.title="lgsSplashScreenHeaderText",e.offline&&n.info("[WebUI] User is offline"),e.page="lgs-fx.html",e.strokeStatus=u(),n.info("[WebUI] LGS.displayLGS: partialPage="+e.page+", pageTitle="+e.pageTitle+", title="+e.title)},e.helpMeChoose=function(){n.debug("[WebUI] Click event invoked: help me choose"),e.previousPage=e.page,e.page="lgs-help-me-choose.html"},e.back=function(){n.debug("[WebUI] Click event invoked: back"),e.page=e.previousPage},e.lgsChoice=function(e){n.debug("[WebUI] Click event invoked: "+e),a.lgsChoice(e)},e.lgsAction=function(e){n.debug("[WebUI] Click event invoked: "+e),a.action(e)},e.close=function(){n.debug("[WebUI] Click event invoked: Close button X"),a.close()},e.trustSrc=function(e){return n.debug("[WebUI] loading iframe url: "+e),t.trustAsResourceUrl(e)},e.deletePoolServer=function(t){n.debug("[WebUI] Click event invoked: remove server from license server pool"),e.servers.splice(t,1)},e.changeNetworkOption=function(t){e.formData=e.formData||{},e.formData.selectedNetworkOption=t,e.txtSelectedNetworkOption=l(t),n.debug("[WebUI] nw config page Network Option select value: "+t),e.resetNwFormError()},e.openLearnMoreLink=function(){var e=r.use(),t=o.getLangCode(e),n="http://www.autodesk.com/license-learn-more-"+t;i.open(n,"_blank")},e.add2pool=function(t){var r;if(n.debug("[WebUI] Click event invoked: add server to license server pool"),e.resetNwFormError(),!t)return void(e.nwError.displayError=!0);for(r=0;r<e.servers.length;r++)if(e.servers[r]&&e.servers[r].name===e.formData.distributedServerName)return e.nwError.isDistributedDuplicated=!0,void(e.formData.distributedServerName="");e.formData.distributedServerName&&(e.servers.push({name:e.formData.distributedServerName}),e.formData.distributedServerName="",e.resetNwFormError())},e.resetNwFormError=function(){e.nwError.isDistributedEmpty=!1,e.nwError.isDistributedDuplicated=!1,e.nwError.displayError=!1,s()},e.networkSubmit=function(t){var r=e.featureInfo||{};if(e.nwError.displayError=!0,e.nwError.displayErrorRnd1=!0,e.nwError.displayErrorRnd2=!0,e.nwError.displayErrorRnd3=!0,n.debug("[WebUI] Click event invoked: network config submit"),!t)return void n.debug("[WebUI] Network server name format is not correct, stop submitting nw config form");switch(e.formData.selectedNetworkOption){case"SERVER_TYPE_SINGLE":case 1:if(!e.formData.singleServerName)return void n.info("[WebUI] Single model server name input is empty, stop submitting nw config form");r.licServers=[e.formData.singleServerName],r.licServerType=1;break;case"SERVER_TYPE_REDUNDANT":case 2:if(!e.formData.redundantServerName1||!e.formData.redundantServerName2||!e.formData.redundantServerName3)return void n.info("[WebUI] One of redundant model server name input is empty, stop submitting nw config form");r.licServers=[],r.licServers.push(e.formData.redundantServerName1),r.licServers.push(e.formData.redundantServerName2),r.licServers.push(e.formData.redundantServerName3),r.licServerType=2;break;case"SERVER_TYPE_DISTRIBUTE":case 3:if(0===e.servers.length)return e.nwError.isDistributedEmpty=!0,void n.info("[WebUI] Distributed model server pool is empty, stop submitting nw config form");e.nwError.isDistributedEmpty=!1,r.licServers=[],e.servers.forEach(function(e){r.licServers.push(e.name)}),r.licServerType=3;break;default:r=null,n.warn("[WebUI] LGS.networkSubmit: No matched LicMethods: "+e.formData.selectedNetworkOption)}r&&(a.lgsNetworkLicense(r),e.resetNwFormError())},e.gotoChangeLicenseType=function(){n.debug("[WebUI] Click event invoked: change license type"),a.action("ChangeLicenseType",{})},e.isPopoverOpened=function(e){return o.scalePopover(e)}}]),ClicApp.controller("lmCtrl",["$scope","$sce","$translate","$window","$log","hubService","configService",function(e,t,n,r,i,a,o){e.config=o.init(),a.init(e.config).then(function(t){e.init()}).catch(function(t){e.error=!0,i.error("[WebUI] LM->hubService.init Error: "+t.message)}),e.init=function(){var t=o.getScaleFactor();e.enhancements=[],e.licenses=[],e.error=!1,a.getLicenses().then(function(n){var r,s=!1;if(Array.isArray(n)&&0!==n.length)for(var l=0;l<n.length;l++)n[l].enhancement?e.enhancements.push(n[l]):(e.licenses.push(n[l]),s||(r=n[l].highlight,r&&r.alpha>0?a.applyBodyBorder(r):a.applyBodyBorder(),s=!0));else i.error("[WebUI] LM.init.getLicenses Incorrect format or no license object returned from Service"),e.error=!0;i.info("[WebUI] LM.init: licenseCount="+e.licenses.length+", enhancementCount="+e.enhancements.length),t>1&&"windowsIE"===o.systemPlatform&&o.scaleElementProp(document.getElementsByClassName("lm-container")[0],"height",!1,!0)}).catch(function(t){i.error("[WebUI] LM.init->hubService.getLicenses Error: "+t.message),e.error=!0})},e.close=function(){i.debug("[WebUI] Click event invoked: Close button X"),a.close()},e.changeSN=function(e,t,n){a.action("ChangeSN",{licenseId:e,serialNum:t,sdkId:n})},e.changeLicense=function(e,t,n){a.action("ChangeLicenseType",{featureId:e,featureVer:t,sdkId:n})},e.licenseAction=function(e,t,n){a.action(t,{licenseId:e,sdkId:n})}}]),ClicApp.directive("licensesAccordion",["$log","configService",function(e,t){return{restrict:"E",transclude:!0,scope:{licenses:"=",isEnhancement:"="},templateUrl:"licenses-accordion.html",link:function(n){n.toggleUpdateSerial=function(t){e.debug("[WebUI] Click event invoked: Update serial number"),t.updatingSerial=!t.updatingSerial},n.showUpdateSerialLink=function(e){return"lcpLicMethodDeviceLicense"===e.licenseType&&!e.updatingSerial},n.showUpdateSerialForm=function(e){return"lcpLicMethodDeviceLicense"===e.licenseType&&e.updatingSerial},n.changeLicense=function(t){e.debug("[WebUI] Click event invoked: Change license");var r=n.licenses[t];if(!r)return void e.error("[WebUI] Error on getting license by index: "+t);n.$parent.changeLicense(r.featureId,r.featureVer,r.sdkId)},n.licenseAction=function(t){var r=n.licenses[t];return r?(e.debug("[WebUI] Click event invoked: Action invoked: "+r.action),"lcpActivateProductActionText"===r.action?n.$parent.changeLicense(r.featureId,r.featureVer,r.sdkId):void n.$parent.licenseAction(r.id,r.action,r.sdkId)):void e.error("[WebUI] During click event invoked on Action button, error on getting license by index: "+t)},n.changeSN=function(t){var r=t.p1+"-"+t.p2;e.debug("[WebUI] Click event invoked: Activate serial number"),n.$parent.changeSN(t.licenseId,r,t.sdkId)},n.displayHardwareSection=function(e){return["lcpLicMethodNetworkLicense","lcpLicMethodBorrowedNetworkLicense","lcpLicMethodDeviceLicense"].indexOf(e.licenseType)>=0},n.displaySerial=function(e){return"lcpLicMethodUserLicense"!==e.licenseType},n.displayAutodeskID=function(e){return"lcpLicMethodUserLicense"===e.licenseType},n.isPopoverOpened=function(e){return t.scalePopover(e)},n.displayLicenseUsageName=function(e){return""!==e.licenseUsageName},n.displayLicenseUsage=function(e){return!n.displayLicenseUsageName(e)},n.isRosetta=function(){return t.isRosetta()},n.checkWordWrap=function(e,t){const n=250;var r=document.getElementById(e+t),i=window.getComputedStyle(r);parseInt(i.paddingLeft)+r.getElementsByTagName("span")[0].offsetWidth+r.getElementsByTagName("a")[0].clientWidth>=n&&r.classList.add("word-wrap-padding")}}}}]),ClicApp.controller("souCtrl",["$scope","$sce","$log","$translate","$window","hubService","configService","$timeout",function(e,t,n,r,i,a,o,s){e.config=o.init(),e.popoverOpened=!1,a.init(e.config).then(function(t){e.init()}).catch(function(){e.error=!0,n.error("[WebUI] SOU.init->hubService.init Error")}),e.init=function(){e.handleSOU(),e.isLocalMachineEmpty=!1,e.devices=[],e.error=!1;const t=o.getScaleFactor();a.getDeviceList().then(function(t){const n=t.local,r=t.remote;e.isLocalMachineEmpty=0===n.length,r.length>0&&r.sort(function(e,t){return Number(e.productStartTime)-Number(t.productStartTime)}),e.devices=e.devices.concat(n),e.devices=e.devices.concat(r)}).catch(function(t){n.error("[WebUI] SOU.init->hubService.getDeviceList Error: "+t.message),e.error=!0}),e.config.params.featureId&&e.config.params.featureVer?a.getFeatureInfo().then(function(e){a.applyCustomizedStyle(e.background,e.highlight)}).catch(function(e){n.error("[WebUI] SOU -> Error loading background on hubService.getFeatureInfo: "+e.message),a.applyCustomizedStyle()}):a.applyCustomizedStyle(),t>1&&"windowsIE"===o.systemPlatform&&o.scaleElementProp(document.getElementsByClassName("clm-sou")[0],"height",!1,!0)},e.isRosetta=function(){return o.isRosetta()},e.isStatic=function(){return!0},e.handleSOU=function(){const n=e.config.params.productName?e.config.params.productName:"Product";var r=e.config.params.userName?e.config.params.userName:"";e.pageTitle=n,e.productNameTranslationData={PRODUCT_NAME:n},e.userName=r,e.learnMoreLink="https://www.autodesk.com/account-subscription-device-management",e.manageRemoteDevicesLink="https://www.autodesk.com/account-remote-device-management",e.iframeSrc=t.trustAsResourceUrl("https://ipm-aem.autodesk.com/en-US/3DSMAX/trl.html?licenseType=TRL&contentCategory=standard&prodName=3ds%20Max&country=US&lang=en-US&preTrial=yes&featureId=3DSMAX&prodKey=128K1&prodKeyVer=2021.0.0.f&activate=false&firstDay=YES&owner=true&daysLeft=30&purchase=yes&link=test&type=flyout&source=testHarness")},e.souAction=function(t,r){n.debug("[WebUI] Click event invoked: "+t);var o;switch(t){case"ChooseQuit":a.analytics(e.generateAnalyticsJsonData("quit"),t);break;case"ChooseCheckAgain":a.analytics(e.generateAnalyticsJsonData("checkagain"),t);break;case"SignInAsDiffUser":a.analytics(e.generateAnalyticsJsonData("signinasdiffuser"),t);break;case"ChoosePause":if((r=r||0)<e.devices.length&&!e.isLocalMachine(r)){const s=e.devices[r];var l=e.generateAnalyticsJsonData("pauseproduct");l.data={paused_machine_name:s.machineName,paused_device_id:s.deviceId},a.analytics(l,t,{connectionIds:s.connectionIds,deviceId:s.deviceId,machineName:s.machineName,productStartTime:s.productStartTime})}else n.error("[WebUI] SOU Pause action invalid. Index might be local device or out of bounds");break;case"LearnMore":a.analytics(e.generateAnalyticsJsonData("learnmore")),o=e.generateExternalLinks(e.learnMoreLink),i.open(o,"_blank");break;case"ManageRemoteDevices":a.analytics(e.generateAnalyticsJsonData("manageremotedevices")),o=e.generateExternalLinks(e.manageRemoteDevicesLink),i.open(o,"_blank");break;default:n.error("[WebUI] SOU Action not supported : "+t)}},e.generateExternalLinks=function(t){return t+e.getLanguageCode()},e.getLanguageCode=function(){const e=r.use();return"-"+o.getLangCode(e)},e.generateAnalyticsJsonData=function(e){return{type:"click",source:"overuseprevention.dialog."+e,eventTime:(new Date).toISOString()}},e.isLocalMachine=function(t){return 0===t&&!e.isLocalMachineEmpty},e.isPopoverOpened=function(e){return o.scalePopover(e)}}]),ClicApp.directive("souDevices",[function(){return{restrict:"E",transclude:!0,scope:{devices:"="},templateUrl:"sou-devices.html",link:function(e){e.isLocalMachine=function(t){return e.$parent.isLocalMachine(t)},e.pauseAction=function(t,n){e.$parent.souAction(t,n)}}}}]);